diff --git a/changelog b/changelog
index 4cf9a3f..7ac15d0 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,13 @@
-20130723 tpd src/axiom-website/patches.html 20130722.01.tpd.patch
+20130725 tpd src/axiom-website/patches.html 20130725.01.tpd.patch
+20130725 tpd src/axiom-website/CATS/index.html add rich2, rich3a
+20130725 tpd src/axiom-website/CATS/rich2.input added
+20130725 tpd src/axiom-website/CATS/rich2.input.pdf added
+20130725 tpd src/axiom-website/CATS/rich3a.input added
+20130725 tpd src/axiom-website/CATS/rich3a.input.pdf added
+20130725 tpd src/input/Makefile add rich2, rich3a added
+20130725 tpd src/input/rich2.input added
+20130725 tpd src/input/rich3a.input added
+20130723 tpd src/axiom-website/patches.html 20130723.01.tpd.patch
 20130723 tpd src/axiom-website/CATS/rich1b.input
 20130723 tpd src/axiom-website/CATS/rich1b.input.pdf
 20130723 tpd src/input/rich1b.input
diff --git a/src/axiom-website/CATS/index.html b/src/axiom-website/CATS/index.html
index c39c10a..e975cda 100644
--- a/src/axiom-website/CATS/index.html
+++ b/src/axiom-website/CATS/index.html
@@ -296,6 +296,9 @@ They have been rewritten using Axiom syntax.
   (a+b x)^m (A+B x) (d+e x)^p
   <a href="rich2.input.pamphlet">source</a>
   <a href="rich2.input.pdf">pdf</a><br/>
+  (a+b x)^m (c+d)^n (e+f x)^p (part 1)
+  <a href="rich3a.input.pamphlet">source</a>
+  <a href="rich3a.input.pdf">pdf</a><br/>
 
 <br/><hr/><br/>
 <h3>Rich</h3><br/><br/>
diff --git a/src/axiom-website/CATS/rich2.input.pamphlet b/src/axiom-website/CATS/rich2.input.pamphlet
new file mode 100644
index 0000000..0494093
--- /dev/null
+++ b/src/axiom-website/CATS/rich2.input.pamphlet
@@ -0,0 +1,36165 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich2.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\verb|(a+b x)^m (A+B x) (d+e x)^p|
+There are:
+\begin{itemize}
+\item 249 integrals in this file.
+\item 249 supplied "optimal results".
+\item 230 matching answers.
+\item 24 cases where Axiom supplied 2 results.
+\item 34 cases that Axiom failed to integrate.
+\item 6 that contain expressions Axiom does not recognize.
+\end{itemize}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich2.output
+)spool rich2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1293
+t0:=x^m*(a+b*x)*(A+B*x)
+--R 
+--R
+--R              2                       m
+--R   (1)  (B b x  + (A b + B a)x + A a)x
+--R                                                    Type: Expression(Integer)
+--E 1
+
+--S 2 of 1293
+r0:=a*A*x^(1+m)/(1+m)+(A*b+a*B)*x^(2+m)/(2+m)+b*B*x^(3+m)/(3+m)
+--R 
+--R
+--R   (2)
+--R             2                  m + 3
+--R       (B b m  + 3B b m + 2B b)x
+--R     + 
+--R                    2                                 m + 2
+--R       ((A b + B a)m  + (4A b + 4B a)m + 3A b + 3B a)x
+--R     + 
+--R             2                  m + 1
+--R       (A a m  + 5A a m + 6A a)x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 2
+
+--S 3 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2                  3
+--R         (B b m  + 3B b m + 2B b)x
+--R       + 
+--R                      2                                 2
+--R         ((A b + B a)m  + (4A b + 4B a)m + 3A b + 3B a)x
+--R       + 
+--R               2
+--R         (A a m  + 5A a m + 6A a)x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                         Type: Union(Expression(Integer),...)
+--E 3
+
+--S 4 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                 2                  3
+--R           (B b m  + 3B b m + 2B b)x
+--R         + 
+--R                        2                                 2
+--R           ((A b + B a)m  + (4A b + 4B a)m + 3A b + 3B a)x
+--R         + 
+--R                 2
+--R           (A a m  + 5A a m + 6A a)x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R               2                  m + 3
+--R       (- B b m  - 3B b m - 2B b)x
+--R     + 
+--R                      2                                   m + 2
+--R       ((- A b - B a)m  + (- 4A b - 4B a)m - 3A b - 3B a)x
+--R     + 
+--R               2                  m + 1
+--R       (- A a m  - 5A a m - 6A a)x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 4
+
+--S 5 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 5
+
+)clear all
+
+--S 6 of 1293
+t0:=x^4*(a+b*x)*(A+B*x)
+--R 
+--R
+--R             6               5        4
+--R   (1)  B b x  + (A b + B a)x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 6
+
+--S 7 of 1293
+r0:=1/5*a*A*x^5+1/6*(A*b+a*B)*x^6+1/7*b*B*x^7
+--R 
+--R
+--R        1      7    1       1      6   1      5
+--R   (2)  - B b x  + (- A b + - B a)x  + - A a x
+--R        7           6       6          5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 7
+
+--S 8 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1      7    1       1      6   1      5
+--R   (3)  - B b x  + (- A b + - B a)x  + - A a x
+--R        7           6       6          5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 8
+
+--S 9 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 9
+
+--S 10 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 10
+
+)clear all
+
+--S 11 of 1293
+t0:=x^3*(a+b*x)*(A+B*x)
+--R 
+--R
+--R             5               4        3
+--R   (1)  B b x  + (A b + B a)x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 11
+
+--S 12 of 1293
+r0:=1/4*a*A*x^4+1/5*(A*b+a*B)*x^5+1/6*b*B*x^6
+--R 
+--R
+--R        1      6    1       1      5   1      4
+--R   (2)  - B b x  + (- A b + - B a)x  + - A a x
+--R        6           5       5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 12
+
+--S 13 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1      6    1       1      5   1      4
+--R   (3)  - B b x  + (- A b + - B a)x  + - A a x
+--R        6           5       5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 13
+
+--S 14 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 14
+
+--S 15 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 15
+
+)clear all
+
+--S 16 of 1293
+t0:=x^2*(a+b*x)*(A+B*x)
+--R 
+--R
+--R             4               3        2
+--R   (1)  B b x  + (A b + B a)x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 16
+
+--S 17 of 1293
+r0:=1/3*a*A*x^3+1/4*(A*b+a*B)*x^4+1/5*b*B*x^5
+--R 
+--R
+--R        1      5    1       1      4   1      3
+--R   (2)  - B b x  + (- A b + - B a)x  + - A a x
+--R        5           4       4          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 17
+
+--S 18 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1      5    1       1      4   1      3
+--R   (3)  - B b x  + (- A b + - B a)x  + - A a x
+--R        5           4       4          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 18
+
+--S 19 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 19
+
+--S 20 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 20
+
+)clear all
+
+--S 21 of 1293
+t0:=x*(a+b*x)*(A+B*x)
+--R 
+--R
+--R             3               2
+--R   (1)  B b x  + (A b + B a)x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 21
+
+--S 22 of 1293
+r0:=1/2*a*A*x^2+1/3*(A*b+a*B)*x^3+1/4*b*B*x^4
+--R 
+--R
+--R        1      4    1       1      3   1      2
+--R   (2)  - B b x  + (- A b + - B a)x  + - A a x
+--R        4           3       3          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 22
+
+--S 23 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1      4    1       1      3   1      2
+--R   (3)  - B b x  + (- A b + - B a)x  + - A a x
+--R        4           3       3          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 23
+
+--S 24 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 24
+
+--S 25 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 25
+
+)clear all
+
+--S 26 of 1293
+t0:=(a+b*x)*(A+B*x)
+--R 
+--R
+--R             2
+--R   (1)  B b x  + (A b + B a)x + A a
+--R                                                    Type: Polynomial(Integer)
+--E 26
+
+--S 27 of 1293
+r0:=a*A*x+1/2*(A*b+a*B)*x^2+1/3*b*B*x^3
+--R 
+--R
+--R        1      3    1       1      2
+--R   (2)  - B b x  + (- A b + - B a)x  + A a x
+--R        3           2       2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 27
+
+--S 28 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1      3    1       1      2
+--R   (3)  - B b x  + (- A b + - B a)x  + A a x
+--R        3           2       2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 28
+
+--S 29 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 29
+
+--S 30 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 30
+
+)clear all
+
+--S 31 of 1293
+t0:=(a+b*x)*(A+B*x)/x
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 31
+
+--S 32 of 1293
+r0:=a*B*x+1/2*b*(A+B*x)^2/B+a*A*log(x)
+--R 
+--R
+--R                         2   2               2       2
+--R        2A B a log(x) + B b x  + (2A B b + 2B a)x + A b
+--R   (2)  -----------------------------------------------
+--R                               2B
+--R                                                    Type: Expression(Integer)
+--E 32
+
+--S 33 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                           2
+--R        2A a log(x) + B b x  + (2A b + 2B a)x
+--R   (3)  -------------------------------------
+--R                          2
+--R                                         Type: Union(Expression(Integer),...)
+--E 33
+
+--S 34 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           2
+--R          A b
+--R   (4)  - ---
+--R           2B
+--R                                                    Type: Expression(Integer)
+--E 34
+
+--S 35 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 35
+
+)clear all
+
+--S 36 of 1293
+t0:=(a+b*x)*(A+B*x)/x^2
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      2
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 36
+
+--S 37 of 1293
+r0:=-a*A/x+b*B*x+(A*b+a*B)*log(x)
+--R 
+--R
+--R                                   2
+--R        (A b + B a)x log(x) + B b x  - A a
+--R   (2)  ----------------------------------
+--R                         x
+--R                                                    Type: Expression(Integer)
+--E 37
+
+--S 38 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                                   2
+--R        (A b + B a)x log(x) + B b x  - A a
+--R   (3)  ----------------------------------
+--R                         x
+--R                                         Type: Union(Expression(Integer),...)
+--E 38
+
+--S 39 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 39
+
+--S 40 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 40
+
+)clear all
+
+--S 41 of 1293
+t0:=(a+b*x)*(A+B*x)/x^3
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      3
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 41
+
+--S 42 of 1293
+r0:=-1/2*a*A/x^2+(-A*b-a*B)/x+b*B*log(x)
+--R 
+--R
+--R              2
+--R        2B b x log(x) + (- 2A b - 2B a)x - A a
+--R   (2)  --------------------------------------
+--R                            2
+--R                          2x
+--R                                                    Type: Expression(Integer)
+--E 42
+
+--S 43 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R              2
+--R        2B b x log(x) + (- 2A b - 2B a)x - A a
+--R   (3)  --------------------------------------
+--R                            2
+--R                          2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 43
+
+--S 44 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 44
+
+--S 45 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 45
+
+)clear all
+
+--S 46 of 1293
+t0:=(a+b*x)*(A+B*x)/x^4
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      4
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 46
+
+--S 47 of 1293
+r0:=-1/3*a*A/x^3+1/2*(-A*b-a*B)/x^2-b*B/x
+--R 
+--R
+--R               2      1       1         1
+--R        - B b x  + (- - A b - - B a)x - - A a
+--R                      2       2         3
+--R   (2)  -------------------------------------
+--R                           3
+--R                          x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 47
+
+--S 48 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                2
+--R        - 6B b x  + (- 3A b - 3B a)x - 2A a
+--R   (3)  -----------------------------------
+--R                          3
+--R                        6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 48
+
+--S 49 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 49
+
+--S 50 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 50
+
+)clear all
+
+--S 51 of 1293
+t0:=(a+b*x)*(A+B*x)/x^5
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      5
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 51
+
+--S 52 of 1293
+r0:=-1/4*a*A/x^4+1/3*(-A*b-a*B)/x^3-1/2*b*B/x^2
+--R 
+--R
+--R          1      2      1       1         1
+--R        - - B b x  + (- - A b - - B a)x - - A a
+--R          2             3       3         4
+--R   (2)  ---------------------------------------
+--R                            4
+--R                           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 52
+
+--S 53 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                2
+--R        - 6B b x  + (- 4A b - 4B a)x - 3A a
+--R   (3)  -----------------------------------
+--R                           4
+--R                        12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 53
+
+--S 54 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 54
+
+--S 55 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 55
+
+)clear all
+
+--S 56 of 1293
+t0:=(a+b*x)*(A+B*x)/x^6
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      6
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 56
+
+--S 57 of 1293
+r0:=-1/5*a*A/x^5+1/4*(-A*b-a*B)/x^4-1/3*b*B/x^3
+--R 
+--R
+--R          1      2      1       1         1
+--R        - - B b x  + (- - A b - - B a)x - - A a
+--R          3             4       4         5
+--R   (2)  ---------------------------------------
+--R                            5
+--R                           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 57
+
+--S 58 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                 2
+--R        - 20B b x  + (- 15A b - 15B a)x - 12A a
+--R   (3)  ---------------------------------------
+--R                             5
+--R                          60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 58
+
+--S 59 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 59
+
+--S 60 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 60
+
+)clear all
+
+--S 61 of 1293
+t0:=x^m*(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R            2 3       2           2                2        2  m
+--R   (1)  (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )x
+--R                                                    Type: Expression(Integer)
+--E 61
+
+--S 62 of 1293
+r0:=a^2*A*x^(1+m)/(1+m)+a*(2*A*b+a*B)*x^(2+m)/(2+m)+_
+     b*(A*b+2*a*B)*x^(3+m)/(3+m)+b^2*B*x^(4+m)/(4+m)
+--R 
+--R
+--R   (2)
+--R           2 3       2 2        2        2  m + 4
+--R       (B b m  + 6B b m  + 11B b m + 6B b )x
+--R     + 
+--R               2           3        2            2         2                   2
+--R           (A b  + 2B a b)m  + (7A b  + 14B a b)m  + (14A b  + 28B a b)m + 8A b
+--R         + 
+--R           16B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                        2  3                  2  2                   2
+--R           (2A a b + B a )m  + (16A a b + 8B a )m  + (38A a b + 19B a )m
+--R         + 
+--R                          2
+--R           24A a b + 12B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R           2 3       2 2        2         2  m + 1
+--R       (A a m  + 9A a m  + 26A a m + 24A a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 62
+
+--S 63 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 3       2 2        2        2  4
+--R         (B b m  + 6B b m  + 11B b m + 6B b )x
+--R       + 
+--R                 2           3        2            2         2
+--R             (A b  + 2B a b)m  + (7A b  + 14B a b)m  + (14A b  + 28B a b)m
+--R           + 
+--R                 2
+--R             8A b  + 16B a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                          2  3                  2  2                   2
+--R             (2A a b + B a )m  + (16A a b + 8B a )m  + (38A a b + 19B a )m
+--R           + 
+--R                            2
+--R             24A a b + 12B a
+--R        *
+--R            2
+--R           x
+--R       + 
+--R             2 3       2 2        2         2
+--R         (A a m  + 9A a m  + 26A a m + 24A a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                         Type: Union(Expression(Integer),...)
+--E 63
+
+--S 64 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               2 3       2 2        2        2  4
+--R           (B b m  + 6B b m  + 11B b m + 6B b )x
+--R         + 
+--R                   2           3        2            2         2
+--R               (A b  + 2B a b)m  + (7A b  + 14B a b)m  + (14A b  + 28B a b)m
+--R             + 
+--R                   2
+--R               8A b  + 16B a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                            2  3                  2  2                   2
+--R               (2A a b + B a )m  + (16A a b + 8B a )m  + (38A a b + 19B a )m
+--R             + 
+--R                              2
+--R               24A a b + 12B a
+--R          *
+--R              2
+--R             x
+--R         + 
+--R               2 3       2 2        2         2
+--R           (A a m  + 9A a m  + 26A a m + 24A a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R             2 3       2 2        2        2  m + 4
+--R       (- B b m  - 6B b m  - 11B b m - 6B b )x
+--R     + 
+--R                 2           3          2            2           2
+--R           (- A b  - 2B a b)m  + (- 7A b  - 14B a b)m  + (- 14A b  - 28B a b)m
+--R         + 
+--R                 2
+--R           - 8A b  - 16B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                          2  3                    2  2                     2
+--R           (- 2A a b - B a )m  + (- 16A a b - 8B a )m  + (- 38A a b - 19B a )m
+--R         + 
+--R                            2
+--R           - 24A a b - 12B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R             2 3       2 2        2         2  m + 1
+--R       (- A a m  - 9A a m  - 26A a m - 24A a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 64
+
+--S 65 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 65
+
+)clear all
+
+--S 66 of 1293
+t0:=x^4*(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R           2 7       2           6                2  5      2 4
+--R   (1)  B b x  + (A b  + 2B a b)x  + (2A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 66
+
+--S 67 of 1293
+r0:=1/5*a^2*A*x^5+1/6*a*(2*A*b+a*B)*x^6+1/7*b*(A*b+2*a*B)*x^7+1/8*b^2*B*x^8
+--R 
+--R
+--R        1    2 8    1    2   2        7    1         1    2  6   1    2 5
+--R   (2)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        8           7        7             3         6           5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 67
+
+--S 68 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1    2 8    1    2   2        7    1         1    2  6   1    2 5
+--R   (3)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        8           7        7             3         6           5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 68
+
+--S 69 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 69
+
+--S 70 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 70
+
+)clear all
+
+--S 71 of 1293
+t0:=x^3*(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R           2 6       2           5                2  4      2 3
+--R   (1)  B b x  + (A b  + 2B a b)x  + (2A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 71
+
+--S 72 of 1293
+r0:=1/4*a^2*A*x^4+1/5*a*(2*A*b+a*B)*x^5+1/6*b*(A*b+2*a*B)*x^6+1/7*b^2*B*x^7
+--R 
+--R
+--R        1    2 7    1    2   1        6    2         1    2  5   1    2 4
+--R   (2)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        7           6        3             5         5           4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 72
+
+--S 73 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1    2 7    1    2   1        6    2         1    2  5   1    2 4
+--R   (3)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        7           6        3             5         5           4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 73
+
+--S 74 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 74
+
+--S 75 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 75
+
+)clear all
+
+--S 76 of 1293
+t0:=x^2*(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R           2 5       2           4                2  3      2 2
+--R   (1)  B b x  + (A b  + 2B a b)x  + (2A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 76
+
+--S 77 of 1293
+r0:=1/3*a^2*A*x^3+1/4*a*(2*A*b+a*B)*x^4+1/5*b*(A*b+2*a*B)*x^5+1/6*b^2*B*x^6
+--R 
+--R
+--R        1    2 6    1    2   2        5    1         1    2  4   1    2 3
+--R   (2)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        6           5        5             2         4           3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 77
+
+--S 78 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1    2 6    1    2   2        5    1         1    2  4   1    2 3
+--R   (3)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        6           5        5             2         4           3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 78
+
+--S 79 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 79
+
+--S 80 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 80
+
+)clear all
+
+--S 81 of 1293
+t0:=x*(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R           2 4       2           3                2  2      2
+--R   (1)  B b x  + (A b  + 2B a b)x  + (2A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 81
+
+--S 82 of 1293
+r0:=1/2*a^2*A*x^2+1/3*a*(2*A*b+a*B)*x^3+1/4*b*(A*b+2*a*B)*x^4+1/5*b^2*B*x^5
+--R 
+--R
+--R        1    2 5    1    2   1        4    2         1    2  3   1    2 2
+--R   (2)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        5           4        2             3         3           2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 82
+
+--S 83 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1    2 5    1    2   1        4    2         1    2  3   1    2 2
+--R   (3)  - B b x  + (- A b  + - B a b)x  + (- A a b + - B a )x  + - A a x
+--R        5           4        2             3         3           2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 83
+
+--S 84 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 84
+
+--S 85 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 85
+
+)clear all
+
+--S 86 of 1293
+t0:=(a+b*x)^2*(A+B*x)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R   (1)  B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R                                                    Type: Polynomial(Integer)
+--E 86
+
+--S 87 of 1293
+r0:=1/3*(A*b-a*B)*(a+b*x)^3/b^2+1/4*B*(a+b*x)^4/b^2
+--R 
+--R
+--R   (2)
+--R       1    4 4    1    4   2      3  3         3   1    2 2  2      2 2
+--R       - B b x  + (- A b  + - B a b )x  + (A a b  + - B a b )x  + A a b x
+--R       4           3        3                       2
+--R     + 
+--R       1    3     1    4
+--R       - A a b - -- B a
+--R       3         12
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 87
+
+--S 88 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1    2 4    1    2   2        3            1    2  2      2
+--R   (3)  - B b x  + (- A b  + - B a b)x  + (A a b + - B a )x  + A a x
+--R        4           3        3                     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 88
+
+--S 89 of 1293
+m0:=a0-r0
+--R 
+--R
+--R          1    3     1    4
+--R        - - A a b + -- B a
+--R          3         12
+--R   (4)  -------------------
+--R                  2
+--R                 b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 89
+
+--S 90 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 90
+
+)clear all
+
+--S 91 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 91
+
+--S 92 of 1293
+r0:=2*a*A*b*x+1/2*A*b^2*x^2+1/3*B*(a+b*x)^3/b+a^2*A*log(x)
+--R 
+--R
+--R   (2)
+--R       2               3 3        3         2  2           2       2          3
+--R   6A a b log(x) + 2B b x  + (3A b  + 6B a b )x  + (12A a b  + 6B a b)x + 2B a
+--R   ----------------------------------------------------------------------------
+--R                                        6b
+--R                                                    Type: Expression(Integer)
+--E 92
+
+--S 93 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2             2 3        2           2                  2
+--R        6A a log(x) + 2B b x  + (3A b  + 6B a b)x  + (12A a b + 6B a )x
+--R   (3)  ---------------------------------------------------------------
+--R                                       6
+--R                                         Type: Union(Expression(Integer),...)
+--E 93
+
+--S 94 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             3
+--R          B a
+--R   (4)  - ----
+--R           3b
+--R                                                    Type: Expression(Integer)
+--E 94
+
+--S 95 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 95
+
+)clear all
+
+--S 96 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^2
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  2
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 96
+
+--S 97 of 1293
+r0:=-a^2*A/x+b*(A*b+2*a*B)*x+1/2*b^2*B*x^2+a*(2*A*b+a*B)*log(x)
+--R 
+--R
+--R                      2               2 3        2           2       2
+--R        (4A a b + 2B a )x log(x) + B b x  + (2A b  + 4B a b)x  - 2A a
+--R   (2)  --------------------------------------------------------------
+--R                                      2x
+--R                                                    Type: Expression(Integer)
+--E 97
+
+--S 98 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R                      2               2 3        2           2       2
+--R        (4A a b + 2B a )x log(x) + B b x  + (2A b  + 4B a b)x  - 2A a
+--R   (3)  --------------------------------------------------------------
+--R                                      2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 98
+
+--S 99 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 99
+
+--S 100 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 100
+
+)clear all
+
+--S 101 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^3
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  3
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 101
+
+--S 102 of 1293
+r0:=-1/2*a^2*A/x^2-a*(2*A*b+a*B)/x+b^2*B*x+b*(A*b+2*a*B)*log(x)
+--R 
+--R
+--R             2           2             2 3                   2        2
+--R        (2A b  + 4B a b)x log(x) + 2B b x  + (- 4A a b - 2B a )x - A a
+--R   (2)  ---------------------------------------------------------------
+--R                                        2
+--R                                      2x
+--R                                                    Type: Expression(Integer)
+--E 102
+
+--S 103 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R             2           2             2 3                   2        2
+--R        (2A b  + 4B a b)x log(x) + 2B b x  + (- 4A a b - 2B a )x - A a
+--R   (3)  ---------------------------------------------------------------
+--R                                        2
+--R                                      2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 103
+
+--S 104 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 104
+
+--S 105 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 105
+
+)clear all
+
+--S 106 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^4
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  4
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 106
+
+--S 107 of 1293
+r0:=-1/3*a^2*A/x^3-1/2*a*(2*A*b+a*B)/x^2-b*(A*b+2*a*B)/x+b^2*B*log(x)
+--R 
+--R
+--R            2 3                2            2                   2         2
+--R        6B b x log(x) + (- 6A b  - 12B a b)x  + (- 6A a b - 3B a )x - 2A a
+--R   (2)  -------------------------------------------------------------------
+--R                                          3
+--R                                        6x
+--R                                                    Type: Expression(Integer)
+--E 107
+
+--S 108 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2 3                2            2                   2         2
+--R        6B b x log(x) + (- 6A b  - 12B a b)x  + (- 6A a b - 3B a )x - 2A a
+--R   (3)  -------------------------------------------------------------------
+--R                                          3
+--R                                        6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 108
+
+--S 109 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 109
+
+--S 110 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 110
+
+)clear all
+
+--S 111 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^5
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  5
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 111
+
+--S 112 of 1293
+r0:=-1/4*a^2*A/x^4-1/3*a*(2*A*b+a*B)/x^3-1/2*b*(A*b+2*a*B)/x^2-b^2*B/x
+--R 
+--R
+--R             2 3      1    2          2      2         1    2     1    2
+--R        - B b x  + (- - A b  - B a b)x  + (- - A a b - - B a )x - - A a
+--R                      2                      3         3          4
+--R   (2)  ----------------------------------------------------------------
+--R                                        4
+--R                                       x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 112
+
+--S 113 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R               2 3          2            2                   2         2
+--R        - 12B b x  + (- 6A b  - 12B a b)x  + (- 8A a b - 4B a )x - 3A a
+--R   (3)  ----------------------------------------------------------------
+--R                                         4
+--R                                      12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 113
+
+--S 114 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 114
+
+--S 115 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 115
+
+)clear all
+
+--S 116 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^6
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  6
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 116
+
+--S 117 of 1293
+r0:=-1/5*a^2*A/x^5-1/4*a*(2*A*b+a*B)/x^4-1/3*b*(A*b+2*a*B)/x^3-1/2*b^2*B/x^2
+--R 
+--R
+--R          1    2 3      1    2   2        2      1         1    2     1    2
+--R        - - B b x  + (- - A b  - - B a b)x  + (- - A a b - - B a )x - - A a
+--R          2             3        3               2         4          5
+--R   (2)  --------------------------------------------------------------------
+--R                                          5
+--R                                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 117
+
+--S 118 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R               2 3           2            2                     2          2
+--R        - 30B b x  + (- 20A b  - 40B a b)x  + (- 30A a b - 15B a )x - 12A a
+--R   (3)  --------------------------------------------------------------------
+--R                                           5
+--R                                        60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 118
+
+--S 119 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 119
+
+--S 120 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 120
+
+)clear all
+
+--S 121 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^7
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  7
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 121
+
+--S 122 of 1293
+r0:=-1/6*a^2*A/x^6-1/5*a*(2*A*b+a*B)/x^5-1/4*b*(A*b+2*a*B)/x^4-1/3*b^2*B/x^3
+--R 
+--R
+--R          1    2 3      1    2   1        2      2         1    2     1    2
+--R        - - B b x  + (- - A b  - - B a b)x  + (- - A a b - - B a )x - - A a
+--R          3             4        2               5         5          6
+--R   (2)  --------------------------------------------------------------------
+--R                                          6
+--R                                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 122
+
+--S 123 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R               2 3           2            2                     2          2
+--R        - 20B b x  + (- 15A b  - 30B a b)x  + (- 24A a b - 12B a )x - 10A a
+--R   (3)  --------------------------------------------------------------------
+--R                                           6
+--R                                        60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 123
+
+--S 124 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 124
+
+--S 125 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 125
+
+)clear all
+
+--S 126 of 1293
+t0:=(a+b*x)^2*(A+B*x)/x^8
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                  8
+--R                                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 126
+
+--S 127 of 1293
+r0:=-1/7*a^2*A/x^7-1/6*a*(2*A*b+a*B)/x^6-1/5*b*(A*b+2*a*B)/x^5-1/4*b^2*B/x^4
+--R 
+--R
+--R          1    2 3      1    2   2        2      1         1    2     1    2
+--R        - - B b x  + (- - A b  - - B a b)x  + (- - A a b - - B a )x - - A a
+--R          4             5        5               3         6          7
+--R   (2)  --------------------------------------------------------------------
+--R                                          7
+--R                                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 127
+
+--S 128 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2 3           2             2                      2          2
+--R   - 105B b x  + (- 84A b  - 168B a b)x  + (- 140A a b - 70B a )x - 60A a
+--R   -----------------------------------------------------------------------
+--R                                        7
+--R                                    420x
+--R                                         Type: Union(Expression(Integer),...)
+--E 128
+
+--S 129 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 129
+
+--S 130 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 130
+
+)clear all
+
+--S 131 of 1293
+t0:=x^m*(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R          3 4       3         2  3          2       2   2        2       3
+--R       B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R     + 
+--R          3
+--R       A a
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E 131
+
+--S 132 of 1293
+r0:=a^3*A*x^(1+m)/(1+m)+a^2*(3*A*b+a*B)*x^(2+m)/(2+m)+_
+     3*a*b*(A*b+a*B)*x^(3+m)/(3+m)+b^2*(A*b+3*a*B)*x^(4+m)/(4+m)+_
+     b^3*B*x^(5+m)/(5+m)
+--R 
+--R
+--R   (2)
+--R           3 4        3 3        3 2        3         3  m + 5
+--R       (B b m  + 10B b m  + 35B b m  + 50B b m + 24B b )x
+--R     + 
+--R               3         2  4         3          2  3         3           2  2
+--R           (A b  + 3B a b )m  + (11A b  + 33B a b )m  + (41A b  + 123B a b )m
+--R         + 
+--R                 3           2          3          2
+--R           (61A b  + 183B a b )m + 30A b  + 90B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                  2       2   4           2        2   3
+--R           (3A a b  + 3B a b)m  + (36A a b  + 36B a b)m
+--R         + 
+--R                    2         2   2            2         2              2
+--R           (147A a b  + 147B a b)m  + (234A a b  + 234B a b)m + 120A a b
+--R         + 
+--R                 2
+--R           120B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                2       3  4         2         3  3          2         3  2
+--R           (3A a b + B a )m  + (39A a b + 13B a )m  + (177A a b + 59B a )m
+--R         + 
+--R                  2          3           2         3
+--R           (321A a b + 107B a )m + 180A a b + 60B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R           3 4        3 3        3 2         3          3  m + 1
+--R       (A a m  + 14A a m  + 71A a m  + 154A a m + 120A a )x
+--R  /
+--R      5      4      3       2
+--R     m  + 15m  + 85m  + 225m  + 274m + 120
+--R                                                    Type: Expression(Integer)
+--E 132
+
+--S 133 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3 4        3 3        3 2        3         3  5
+--R         (B b m  + 10B b m  + 35B b m  + 50B b m + 24B b )x
+--R       + 
+--R                 3         2  4         3          2  3         3           2  2
+--R             (A b  + 3B a b )m  + (11A b  + 33B a b )m  + (41A b  + 123B a b )m
+--R           + 
+--R                   3           2          3          2
+--R             (61A b  + 183B a b )m + 30A b  + 90B a b
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    2       2   4           2        2   3
+--R             (3A a b  + 3B a b)m  + (36A a b  + 36B a b)m
+--R           + 
+--R                      2         2   2            2         2              2
+--R             (147A a b  + 147B a b)m  + (234A a b  + 234B a b)m + 120A a b
+--R           + 
+--R                   2
+--R             120B a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  2       3  4         2         3  3          2         3  2
+--R             (3A a b + B a )m  + (39A a b + 13B a )m  + (177A a b + 59B a )m
+--R           + 
+--R                    2          3           2         3
+--R             (321A a b + 107B a )m + 180A a b + 60B a
+--R        *
+--R            2
+--R           x
+--R       + 
+--R             3 4        3 3        3 2         3          3
+--R         (A a m  + 14A a m  + 71A a m  + 154A a m + 120A a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      5      4      3       2
+--R     m  + 15m  + 85m  + 225m  + 274m + 120
+--R                                         Type: Union(Expression(Integer),...)
+--E 133
+
+--S 134 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               3 4        3 3        3 2        3         3  5
+--R           (B b m  + 10B b m  + 35B b m  + 50B b m + 24B b )x
+--R         + 
+--R                   3         2  4         3          2  3
+--R               (A b  + 3B a b )m  + (11A b  + 33B a b )m
+--R             + 
+--R                   3           2  2         3           2          3          2
+--R             (41A b  + 123B a b )m  + (61A b  + 183B a b )m + 30A b  + 90B a b
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                      2       2   4           2        2   3
+--R               (3A a b  + 3B a b)m  + (36A a b  + 36B a b)m
+--R             + 
+--R                        2         2   2            2         2              2
+--R               (147A a b  + 147B a b)m  + (234A a b  + 234B a b)m + 120A a b
+--R             + 
+--R                     2
+--R               120B a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    2       3  4         2         3  3          2         3  2
+--R               (3A a b + B a )m  + (39A a b + 13B a )m  + (177A a b + 59B a )m
+--R             + 
+--R                      2          3           2         3
+--R               (321A a b + 107B a )m + 180A a b + 60B a
+--R          *
+--R              2
+--R             x
+--R         + 
+--R               3 4        3 3        3 2         3          3
+--R           (A a m  + 14A a m  + 71A a m  + 154A a m + 120A a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R             3 4        3 3        3 2        3         3  m + 5
+--R       (- B b m  - 10B b m  - 35B b m  - 50B b m - 24B b )x
+--R     + 
+--R                 3         2  4           3          2  3
+--R           (- A b  - 3B a b )m  + (- 11A b  - 33B a b )m
+--R         + 
+--R                 3           2  2           3           2          3          2
+--R         (- 41A b  - 123B a b )m  + (- 61A b  - 183B a b )m - 30A b  - 90B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                    2       2   4             2        2   3
+--R           (- 3A a b  - 3B a b)m  + (- 36A a b  - 36B a b)m
+--R         + 
+--R                      2         2   2              2         2              2
+--R           (- 147A a b  - 147B a b)m  + (- 234A a b  - 234B a b)m - 120A a b
+--R         + 
+--R                   2
+--R           - 120B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                  2       3  4           2         3  3
+--R           (- 3A a b - B a )m  + (- 39A a b - 13B a )m
+--R         + 
+--R                  2         3  2            2          3           2         3
+--R         (- 177A a b - 59B a )m  + (- 321A a b - 107B a )m - 180A a b - 60B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R             3 4        3 3        3 2         3          3  m + 1
+--R       (- A a m  - 14A a m  - 71A a m  - 154A a m - 120A a )x
+--R  /
+--R      5      4      3       2
+--R     m  + 15m  + 85m  + 225m  + 274m + 120
+--R                                                    Type: Expression(Integer)
+--E 134
+
+--S 135 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 135
+
+)clear all
+
+--S 136 of 1293
+t0:=x^4*(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        3 8       3         2  7          2       2   6        2       3  5
+--R     B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R   + 
+--R        3 4
+--R     A a x
+--R                                                    Type: Polynomial(Integer)
+--E 136
+
+--S 137 of 1293
+r0:=1/5*a^3*A*x^5+1/6*a^2*(3*A*b+a*B)*x^6+3/7*a*b*(A*b+a*B)*x^7+_
+     1/8*b^2*(A*b+3*a*B)*x^8+1/9*b^3*B*x^9
+--R 
+--R
+--R   (2)
+--R     1    3 9    1    3   3      2  8    3      2   3    2   7
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     9           8        8              7          7
+--R   + 
+--R      1    2    1    3  6   1    3 5
+--R     (- A a b + - B a )x  + - A a x
+--R      2         6           5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 137
+
+--S 138 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    3 9    1    3   3      2  8    3      2   3    2   7
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     9           8        8              7          7
+--R   + 
+--R      1    2    1    3  6   1    3 5
+--R     (- A a b + - B a )x  + - A a x
+--R      2         6           5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 138
+
+--S 139 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 139
+
+--S 140 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 140
+
+)clear all
+
+--S 141 of 1293
+t0:=x^3*(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        3 7       3         2  6          2       2   5        2       3  4
+--R     B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R   + 
+--R        3 3
+--R     A a x
+--R                                                    Type: Polynomial(Integer)
+--E 141
+
+--S 142 of 1293
+r0:=1/4*a^3*A*x^4+1/5*a^2*(3*A*b+a*B)*x^5+1/2*a*b*(A*b+a*B)*x^6+_
+     1/7*b^2*(A*b+3*a*B)*x^7+1/8*b^3*B*x^8
+--R 
+--R
+--R   (2)
+--R     1    3 8    1    3   3      2  7    1      2   1    2   6
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     8           7        7              2          2
+--R   + 
+--R      3    2    1    3  5   1    3 4
+--R     (- A a b + - B a )x  + - A a x
+--R      5         5           4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 142
+
+--S 143 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    3 8    1    3   3      2  7    1      2   1    2   6
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     8           7        7              2          2
+--R   + 
+--R      3    2    1    3  5   1    3 4
+--R     (- A a b + - B a )x  + - A a x
+--R      5         5           4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 143
+
+--S 144 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 144
+
+--S 145 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 145
+
+)clear all
+
+--S 146 of 1293
+t0:=x^2*(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        3 6       3         2  5          2       2   4        2       3  3
+--R     B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R   + 
+--R        3 2
+--R     A a x
+--R                                                    Type: Polynomial(Integer)
+--E 146
+
+--S 147 of 1293
+r0:=1/3*a^3*A*x^3+1/4*a^2*(3*A*b+a*B)*x^4+3/5*a*b*(A*b+a*B)*x^5+_
+     1/6*b^2*(A*b+3*a*B)*x^6+1/7*b^3*B*x^7
+--R 
+--R
+--R   (2)
+--R     1    3 7    1    3   1      2  6    3      2   3    2   5
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     7           6        2              5          5
+--R   + 
+--R      3    2    1    3  4   1    3 3
+--R     (- A a b + - B a )x  + - A a x
+--R      4         4           3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 147
+
+--S 148 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    3 7    1    3   1      2  6    3      2   3    2   5
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     7           6        2              5          5
+--R   + 
+--R      3    2    1    3  4   1    3 3
+--R     (- A a b + - B a )x  + - A a x
+--R      4         4           3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 148
+
+--S 149 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 149
+
+--S 150 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 150
+
+)clear all
+
+--S 151 of 1293
+t0:=x*(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        3 5       3         2  4          2       2   3        2       3  2
+--R     B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R   + 
+--R        3
+--R     A a x
+--R                                                    Type: Polynomial(Integer)
+--E 151
+
+--S 152 of 1293
+r0:=-1/4*a*(A*b-a*B)*(a+b*x)^4/b^3+1/5*(A*b-2*a*B)*(a+b*x)^5/b^3+_
+     1/6*B*(a+b*x)^6/b^3
+--R 
+--R
+--R   (2)
+--R       1    6 6    1    6   3      5  5    3      5   3    2 4  4
+--R       - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b )x
+--R       6           5        5              4          4
+--R     + 
+--R           2 4   1    3 3  3   1    3 3 2    1    5     1    6
+--R       (A a b  + - B a b )x  + - A a b x  - -- A a b + -- B a
+--R                 3             2            20         60
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 152
+
+--S 153 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    3 6    1    3   3      2  5    3      2   3    2   4
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b)x
+--R     6           5        5              4          4
+--R   + 
+--R         2    1    3  3   1    3 2
+--R     (A a b + - B a )x  + - A a x
+--R              3           2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 153
+
+--S 154 of 1293
+m0:=a0-r0
+--R 
+--R
+--R         1    5     1    6
+--R        -- A a b - -- B a
+--R        20         60
+--R   (4)  ------------------
+--R                 3
+--R                b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 154
+
+--S 155 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 155
+
+)clear all
+
+--S 156 of 1293
+t0:=(a+b*x)^3*(A+B*x)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R                                                    Type: Polynomial(Integer)
+--E 156
+
+--S 157 of 1293
+r0:=1/4*(A*b-a*B)*(a+b*x)^4/b^2+1/5*B*(a+b*x)^5/b^2
+--R 
+--R
+--R   (2)
+--R       1    5 5    1    5   3      4  4         4      2 3  3
+--R       - B b x  + (- A b  + - B a b )x  + (A a b  + B a b )x
+--R       5           4        4
+--R     + 
+--R        3    2 3   1    3 2  2      3 2    1    4     1    5
+--R       (- A a b  + - B a b )x  + A a b x + - A a b - -- B a
+--R        2          2                       4         20
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 157
+
+--S 158 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    3 5    1    3   3      2  4         2      2   3
+--R     - B b x  + (- A b  + - B a b )x  + (A a b  + B a b)x
+--R     5           4        4
+--R   + 
+--R      3    2    1    3  2      3
+--R     (- A a b + - B a )x  + A a x
+--R      2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 158
+
+--S 159 of 1293
+m0:=a0-r0
+--R 
+--R
+--R          1    4     1    5
+--R        - - A a b + -- B a
+--R          4         20
+--R   (4)  -------------------
+--R                  2
+--R                 b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 159
+
+--S 160 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 160
+
+)clear all
+
+--S 161 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 161
+
+--S 162 of 1293
+r0:=3*a^2*A*b*x+3/2*a*A*b^2*x^2+1/3*A*b^3*x^3+1/4*B*(a+b*x)^4/b+a^3*A*log(x)
+--R 
+--R
+--R   (2)
+--R            3               4 4        4          3  3           3        2 2  2
+--R       12A a b log(x) + 3B b x  + (4A b  + 12B a b )x  + (18A a b  + 18B a b )x
+--R     + 
+--R             2 2        3          4
+--R       (36A a b  + 12B a b)x + 3B a
+--R  /
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E 162
+
+--S 163 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3             3 4        3          2  3           2        2   2
+--R       12A a log(x) + 3B b x  + (4A b  + 12B a b )x  + (18A a b  + 18B a b)x
+--R     + 
+--R             2         3
+--R       (36A a b + 12B a )x
+--R  /
+--R     12
+--R                                         Type: Union(Expression(Integer),...)
+--E 163
+
+--S 164 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             4
+--R          B a
+--R   (4)  - ----
+--R           4b
+--R                                                    Type: Expression(Integer)
+--E 164
+
+--S 165 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 165
+
+)clear all
+
+--S 166 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^2
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         2
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 166
+
+--S 167 of 1293
+r0:=-a^3*A/x+3*a*b*(A*b+a*B)*x+1/2*b^2*(A*b+3*a*B)*x^2+1/3*b^3*B*x^3+_
+     a^2*(3*A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R             2        3                3 4        3         2  3
+--R       (18A a b + 6B a )x log(x) + 2B b x  + (3A b  + 9B a b )x
+--R     + 
+--R               2        2   2       3
+--R       (18A a b  + 18B a b)x  - 6A a
+--R  /
+--R     6x
+--R                                                    Type: Expression(Integer)
+--E 167
+
+--S 168 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2        3                3 4        3         2  3
+--R       (18A a b + 6B a )x log(x) + 2B b x  + (3A b  + 9B a b )x
+--R     + 
+--R               2        2   2       3
+--R       (18A a b  + 18B a b)x  - 6A a
+--R  /
+--R     6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 168
+
+--S 169 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 169
+
+--S 170 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 170
+
+)clear all
+
+--S 171 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^3
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         3
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 171
+
+--S 172 of 1293
+r0:=-1/2*a^3*A/x^2-a^2*(3*A*b+a*B)/x+b^2*(A*b+3*a*B)*x+1/2*b^3*B*x^2+_
+     3*a*b*(A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R              2       2   2            3 4        3         2  3
+--R       (6A a b  + 6B a b)x log(x) + B b x  + (2A b  + 6B a b )x
+--R     + 
+--R              2        3        3
+--R       (- 6A a b - 2B a )x - A a
+--R  /
+--R       2
+--R     2x
+--R                                                    Type: Expression(Integer)
+--E 172
+
+--S 173 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2       2   2            3 4        3         2  3
+--R       (6A a b  + 6B a b)x log(x) + B b x  + (2A b  + 6B a b )x
+--R     + 
+--R              2        3        3
+--R       (- 6A a b - 2B a )x - A a
+--R  /
+--R       2
+--R     2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 173
+
+--S 174 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 174
+
+--S 175 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 175
+
+)clear all
+
+--S 176 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^4
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         4
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 176
+
+--S 177 of 1293
+r0:=-1/3*a^3*A/x^3-1/2*a^2*(3*A*b+a*B)/x^2-3*a*b*(A*b+a*B)/x+_
+     b^3*B*x+b^2*(A*b+3*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R            3          2  3             3 4             2        2   2
+--R       (6A b  + 18B a b )x log(x) + 6B b x  + (- 18A a b  - 18B a b)x
+--R     + 
+--R              2        3         3
+--R       (- 9A a b - 3B a )x - 2A a
+--R  /
+--R       3
+--R     6x
+--R                                                    Type: Expression(Integer)
+--E 177
+
+--S 178 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3          2  3             3 4             2        2   2
+--R       (6A b  + 18B a b )x log(x) + 6B b x  + (- 18A a b  - 18B a b)x
+--R     + 
+--R              2        3         3
+--R       (- 9A a b - 3B a )x - 2A a
+--R  /
+--R       3
+--R     6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 178
+
+--S 179 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 179
+
+--S 180 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 180
+
+)clear all
+
+--S 181 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^5
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         5
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 181
+
+--S 182 of 1293
+r0:=-1/3*a^3*B/x^3-3/2*a^2*b*B/x^2-3*a*b^2*B/x-1/4*A*(a+b*x)^4/(a*x^4)+_
+     b^3*B*log(x)
+--R 
+--R
+--R   (2)
+--R              3 4             4 4             3        2 2  3
+--R       12B a b x log(x) - 3A b x  + (- 12A a b  - 36B a b )x
+--R     + 
+--R               2 2        3   2           3        4         4
+--R       (- 18A a b  - 18B a b)x  + (- 12A a b - 4B a )x - 3A a
+--R  /
+--R          4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E 182
+
+--S 183 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 4                 3          2  3             2        2   2
+--R       12B b x log(x) + (- 12A b  - 36B a b )x  + (- 18A a b  - 18B a b)x
+--R     + 
+--R               2        3         3
+--R       (- 12A a b - 4B a )x - 3A a
+--R  /
+--R        4
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 183
+
+--S 184 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           4
+--R        A b
+--R   (4)  ----
+--R         4a
+--R                                                    Type: Expression(Integer)
+--E 184
+
+--S 185 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 185
+
+)clear all
+
+--S 186 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^6
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         6
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 186
+
+--S 187 of 1293
+r0:=-1/5*a^3*A/x^5-1/4*a^2*(3*A*b+a*B)/x^4-a*b*(A*b+a*B)/x^3-_
+     1/2*b^2*(A*b+3*a*B)/x^2-b^3*B/x
+--R 
+--R
+--R   (2)
+--R            3 4      1    3   3      2  3           2      2   2
+--R       - B b x  + (- - A b  - - B a b )x  + (- A a b  - B a b)x
+--R                     2        2
+--R     + 
+--R          3    2    1    3     1    3
+--R       (- - A a b - - B a )x - - A a
+--R          4         4          5
+--R  /
+--R      5
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 187
+
+--S 188 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 4           3          2  3             2        2   2
+--R       - 20B b x  + (- 10A b  - 30B a b )x  + (- 20A a b  - 20B a b)x
+--R     + 
+--R               2        3         3
+--R       (- 15A a b - 5B a )x - 4A a
+--R  /
+--R        5
+--R     20x
+--R                                         Type: Union(Expression(Integer),...)
+--E 188
+
+--S 189 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 189
+
+--S 190 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 190
+
+)clear all
+
+--S 191 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^7
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         7
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 191
+
+--S 192 of 1293
+r0:=-1/6*a^3*A/x^6-1/5*a^2*(3*A*b+a*B)/x^5-3/4*a*b*(A*b+a*B)/x^4-_
+     1/3*b^2*(A*b+3*a*B)/x^3-1/2*b^3*B/x^2
+--R 
+--R
+--R   (2)
+--R         1    3 4      1    3        2  3      3      2   3    2   2
+--R       - - B b x  + (- - A b  - B a b )x  + (- - A a b  - - B a b)x
+--R         2             3                       4          4
+--R     + 
+--R          3    2    1    3     1    3
+--R       (- - A a b - - B a )x - - A a
+--R          5         5          6
+--R  /
+--R      6
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 192
+
+--S 193 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 4           3          2  3             2        2   2
+--R       - 30B b x  + (- 20A b  - 60B a b )x  + (- 45A a b  - 45B a b)x
+--R     + 
+--R               2         3          3
+--R       (- 36A a b - 12B a )x - 10A a
+--R  /
+--R        6
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 193
+
+--S 194 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 194
+
+--S 195 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 195
+
+)clear all
+
+--S 196 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^8
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         8
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 196
+
+--S 197 of 1293
+r0:=-1/7*a^3*A/x^7-1/6*a^2*(3*A*b+a*B)/x^6-3/5*a*b*(A*b+a*B)/x^5-_
+     1/4*b^2*(A*b+3*a*B)/x^4-1/3*b^3*B/x^3
+--R 
+--R
+--R   (2)
+--R         1    3 4      1    3   3      2  3      3      2   3    2   2
+--R       - - B b x  + (- - A b  - - B a b )x  + (- - A a b  - - B a b)x
+--R         3             4        4                5          5
+--R     + 
+--R          1    2    1    3     1    3
+--R       (- - A a b - - B a )x - - A a
+--R          2         6          7
+--R  /
+--R      7
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 197
+
+--S 198 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 4            3           2  3              2         2   2
+--R       - 140B b x  + (- 105A b  - 315B a b )x  + (- 252A a b  - 252B a b)x
+--R     + 
+--R                2         3          3
+--R       (- 210A a b - 70B a )x - 60A a
+--R  /
+--R         7
+--R     420x
+--R                                         Type: Union(Expression(Integer),...)
+--E 198
+
+--S 199 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 199
+
+--S 200 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 200
+
+)clear all
+
+--S 201 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^9
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         9
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 201
+
+--S 202 of 1293
+r0:=-1/8*a^3*A/x^8-1/7*a^2*(3*A*b+a*B)/x^7-1/2*a*b*(A*b+a*B)/x^6-_
+     1/5*b^2*(A*b+3*a*B)/x^5-1/4*b^3*B/x^4
+--R 
+--R
+--R   (2)
+--R         1    3 4      1    3   3      2  3      1      2   1    2   2
+--R       - - B b x  + (- - A b  - - B a b )x  + (- - A a b  - - B a b)x
+--R         4             5        5                2          2
+--R     + 
+--R          3    2    1    3     1    3
+--R       (- - A a b - - B a )x - - A a
+--R          7         7          8
+--R  /
+--R      8
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 202
+
+--S 203 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 4           3           2  3              2         2   2
+--R       - 70B b x  + (- 56A b  - 168B a b )x  + (- 140A a b  - 140B a b)x
+--R     + 
+--R                2         3          3
+--R       (- 120A a b - 40B a )x - 35A a
+--R  /
+--R         8
+--R     280x
+--R                                         Type: Union(Expression(Integer),...)
+--E 203
+
+--S 204 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 204
+
+--S 205 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 205
+
+)clear all
+
+--S 206 of 1293
+t0:=(a+b*x)^3*(A+B*x)/x^10
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                         10
+--R                                        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 206
+
+--S 207 of 1293
+r0:=-1/9*a^3*A/x^9-1/8*a^2*(3*A*b+a*B)/x^8-3/7*a*b*(A*b+a*B)/x^7-_
+     1/6*b^2*(A*b+3*a*B)/x^6-1/5*b^3*B/x^5
+--R 
+--R
+--R   (2)
+--R         1    3 4      1    3   1      2  3      3      2   3    2   2
+--R       - - B b x  + (- - A b  - - B a b )x  + (- - A a b  - - B a b)x
+--R         5             6        2                7          7
+--R     + 
+--R          3    2    1    3     1    3
+--R       (- - A a b - - B a )x - - A a
+--R          8         8          9
+--R  /
+--R      9
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 207
+
+--S 208 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 4            3            2  3               2          2   2
+--R       - 504B b x  + (- 420A b  - 1260B a b )x  + (- 1080A a b  - 1080B a b)x
+--R     + 
+--R                2          3           3
+--R       (- 945A a b - 315B a )x - 280A a
+--R  /
+--R          9
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 208
+
+--S 209 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 209
+
+--S 210 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 210
+
+)clear all
+
+--S 211 of 1293
+t0:=x^m*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E 211
+
+--S 212 of 1293
+r0:=a^5*A*x^(1+m)/(1+m)+a^4*(5*A*b+a*B)*x^(2+m)/(2+m)+_
+     5*a^3*b*(2*A*b+a*B)*x^(3+m)/(3+m)+10*a^2*b^2*(A*b+a*B)*x^(4+m)/(4+m)+_
+     5*a*b^3*(A*b+2*a*B)*x^(5+m)/(5+m)+b^4*(A*b+5*a*B)*x^(6+m)/(6+m)+_
+     b^5*B*x^(7+m)/(7+m)
+--R 
+--R
+--R   (2)
+--R              5 6        5 5         5 4         5 3          5 2          5
+--R           B b m  + 21B b m  + 175B b m  + 735B b m  + 1624B b m  + 1764B b m
+--R         + 
+--R                 5
+--R           720B b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               5         4  6         5           4  5          5           4  4
+--R           (A b  + 5B a b )m  + (22A b  + 110B a b )m  + (190A b  + 950B a b )m
+--R         + 
+--R                  5            4  3           5            4  2
+--R           (820A b  + 4100B a b )m  + (1849A b  + 9245B a b )m
+--R         + 
+--R                   5             4           5            4
+--R           (2038A b  + 10190B a b )m + 840A b  + 4200B a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                  4        2 3  6            4         2 3  5
+--R           (5A a b  + 10B a b )m  + (115A a b  + 230B a b )m
+--R         + 
+--R                     4          2 3  4             4          2 3  3
+--R           (1035A a b  + 2070B a b )m  + (4625A a b  + 9250B a b )m
+--R         + 
+--R                      4           2 3  2              4           2 3
+--R           (10720A a b  + 21440B a b )m  + (12060A a b  + 24120B a b )m
+--R         + 
+--R                    4           2 3
+--R           5040A a b  + 10080B a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 2 3        3 2  6          2 3         3 2  5
+--R           (10A a b  + 10B a b )m  + (240A a b  + 240B a b )m
+--R         + 
+--R                   2 3          3 2  4            2 3           3 2  3
+--R           (2260A a b  + 2260B a b )m  + (10560A a b  + 10560B a b )m
+--R         + 
+--R                    2 3           3 2  2            2 3           3 2
+--R           (25450A a b  + 25450B a b )m  + (29520A a b  + 29520B a b )m
+--R         + 
+--R                   2 3           3 2
+--R           12600A a b  + 12600B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 3 2       4   6          3 2         4   5
+--R           (10A a b  + 5B a b)m  + (250A a b  + 125B a b)m
+--R         + 
+--R                   3 2          4   4            3 2          4   3
+--R           (2470A a b  + 1235B a b)m  + (12190A a b  + 6095B a b)m
+--R         + 
+--R                    3 2           4   2            3 2           4
+--R           (31120A a b  + 15560B a b)m  + (37960A a b  + 18980B a b)m
+--R         + 
+--R                   3 2          4
+--R           16800A a b  + 8400B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                4       5  6          4         5  5           4          5  4
+--R           (5A a b + B a )m  + (130A a b + 26B a )m  + (1350A a b + 270B a )m
+--R         + 
+--R                   4           5  3            4           5  2
+--R           (7100A a b + 1420B a )m  + (19645A a b + 3929B a )m
+--R         + 
+--R                    4           5             4           5
+--R           (26370A a b + 5274B a )m + 12600A a b + 2520B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              5 6        5 5         5 4          5 3          5 2          5
+--R           A a m  + 27A a m  + 295A a m  + 1665A a m  + 5104A a m  + 8028A a m
+--R         + 
+--R                  5
+--R           5040A a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E 212
+
+--S 213 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R             B b m  + 21B b m  + 175B b m  + 735B b m  + 1624B b m  + 1764B b m
+--R           + 
+--R                   5
+--R             720B b
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                 5         4  6         5           4  5
+--R             (A b  + 5B a b )m  + (22A b  + 110B a b )m
+--R           + 
+--R                    5           4  4          5            4  3
+--R             (190A b  + 950B a b )m  + (820A b  + 4100B a b )m
+--R           + 
+--R                     5            4  2           5             4           5
+--R             (1849A b  + 9245B a b )m  + (2038A b  + 10190B a b )m + 840A b
+--R           + 
+--R                      4
+--R             4200B a b
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    4        2 3  6            4         2 3  5
+--R             (5A a b  + 10B a b )m  + (115A a b  + 230B a b )m
+--R           + 
+--R                       4          2 3  4             4          2 3  3
+--R             (1035A a b  + 2070B a b )m  + (4625A a b  + 9250B a b )m
+--R           + 
+--R                        4           2 3  2              4           2 3
+--R             (10720A a b  + 21440B a b )m  + (12060A a b  + 24120B a b )m
+--R           + 
+--R                      4           2 3
+--R             5040A a b  + 10080B a b
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   2 3        3 2  6          2 3         3 2  5
+--R             (10A a b  + 10B a b )m  + (240A a b  + 240B a b )m
+--R           + 
+--R                     2 3          3 2  4            2 3           3 2  3
+--R             (2260A a b  + 2260B a b )m  + (10560A a b  + 10560B a b )m
+--R           + 
+--R                      2 3           3 2  2            2 3           3 2
+--R             (25450A a b  + 25450B a b )m  + (29520A a b  + 29520B a b )m
+--R           + 
+--R                     2 3           3 2
+--R             12600A a b  + 12600B a b
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   3 2       4   6          3 2         4   5
+--R             (10A a b  + 5B a b)m  + (250A a b  + 125B a b)m
+--R           + 
+--R                     3 2          4   4            3 2          4   3
+--R             (2470A a b  + 1235B a b)m  + (12190A a b  + 6095B a b)m
+--R           + 
+--R                      3 2           4   2            3 2           4
+--R             (31120A a b  + 15560B a b)m  + (37960A a b  + 18980B a b)m
+--R           + 
+--R                     3 2          4
+--R             16800A a b  + 8400B a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  4       5  6          4         5  5           4          5  4
+--R             (5A a b + B a )m  + (130A a b + 26B a )m  + (1350A a b + 270B a )m
+--R           + 
+--R                     4           5  3            4           5  2
+--R             (7100A a b + 1420B a )m  + (19645A a b + 3929B a )m
+--R           + 
+--R                      4           5             4           5
+--R             (26370A a b + 5274B a )m + 12600A a b + 2520B a
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R             A a m  + 27A a m  + 295A a m  + 1665A a m  + 5104A a m  + 8028A a m
+--R           + 
+--R                    5
+--R             5040A a
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                         Type: Union(Expression(Integer),...)
+--E 213
+
+--S 214 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                  5 6        5 5         5 4         5 3          5 2
+--R               B b m  + 21B b m  + 175B b m  + 735B b m  + 1624B b m
+--R             + 
+--R                      5          5
+--R               1764B b m + 720B b
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                   5         4  6         5           4  5
+--R               (A b  + 5B a b )m  + (22A b  + 110B a b )m
+--R             + 
+--R                      5           4  4          5            4  3
+--R               (190A b  + 950B a b )m  + (820A b  + 4100B a b )m
+--R             + 
+--R                       5            4  2           5             4           5
+--R               (1849A b  + 9245B a b )m  + (2038A b  + 10190B a b )m + 840A b
+--R             + 
+--R                        4
+--R               4200B a b
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      4        2 3  6            4         2 3  5
+--R               (5A a b  + 10B a b )m  + (115A a b  + 230B a b )m
+--R             + 
+--R                         4          2 3  4             4          2 3  3
+--R               (1035A a b  + 2070B a b )m  + (4625A a b  + 9250B a b )m
+--R             + 
+--R                          4           2 3  2              4           2 3
+--R               (10720A a b  + 21440B a b )m  + (12060A a b  + 24120B a b )m
+--R             + 
+--R                        4           2 3
+--R               5040A a b  + 10080B a b
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     2 3        3 2  6          2 3         3 2  5
+--R               (10A a b  + 10B a b )m  + (240A a b  + 240B a b )m
+--R             + 
+--R                       2 3          3 2  4            2 3           3 2  3
+--R               (2260A a b  + 2260B a b )m  + (10560A a b  + 10560B a b )m
+--R             + 
+--R                        2 3           3 2  2            2 3           3 2
+--R               (25450A a b  + 25450B a b )m  + (29520A a b  + 29520B a b )m
+--R             + 
+--R                       2 3           3 2
+--R               12600A a b  + 12600B a b
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     3 2       4   6          3 2         4   5
+--R               (10A a b  + 5B a b)m  + (250A a b  + 125B a b)m
+--R             + 
+--R                       3 2          4   4            3 2          4   3
+--R               (2470A a b  + 1235B a b)m  + (12190A a b  + 6095B a b)m
+--R             + 
+--R                        3 2           4   2            3 2           4
+--R               (31120A a b  + 15560B a b)m  + (37960A a b  + 18980B a b)m
+--R             + 
+--R                       3 2          4
+--R               16800A a b  + 8400B a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    4       5  6          4         5  5
+--R               (5A a b + B a )m  + (130A a b + 26B a )m
+--R             + 
+--R                       4          5  4           4           5  3
+--R               (1350A a b + 270B a )m  + (7100A a b + 1420B a )m
+--R             + 
+--R                        4           5  2            4           5             4
+--R               (19645A a b + 3929B a )m  + (26370A a b + 5274B a )m + 12600A a b
+--R             + 
+--R                      5
+--R               2520B a
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  5 6        5 5         5 4          5 3          5 2
+--R               A a m  + 27A a m  + 295A a m  + 1665A a m  + 5104A a m
+--R             + 
+--R                      5           5
+--R               8028A a m + 5040A a
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R           - B b m  - 21B b m  - 175B b m  - 735B b m  - 1624B b m  - 1764B b m
+--R         + 
+--R                   5
+--R           - 720B b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                 5         4  6           5           4  5
+--R           (- A b  - 5B a b )m  + (- 22A b  - 110B a b )m
+--R         + 
+--R                    5           4  4            5            4  3
+--R           (- 190A b  - 950B a b )m  + (- 820A b  - 4100B a b )m
+--R         + 
+--R                     5            4  2             5             4           5
+--R           (- 1849A b  - 9245B a b )m  + (- 2038A b  - 10190B a b )m - 840A b
+--R         + 
+--R                      4
+--R           - 4200B a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                    4        2 3  6              4         2 3  5
+--R           (- 5A a b  - 10B a b )m  + (- 115A a b  - 230B a b )m
+--R         + 
+--R                       4          2 3  4               4          2 3  3
+--R           (- 1035A a b  - 2070B a b )m  + (- 4625A a b  - 9250B a b )m
+--R         + 
+--R                        4           2 3  2                4           2 3
+--R           (- 10720A a b  - 21440B a b )m  + (- 12060A a b  - 24120B a b )m
+--R         + 
+--R                      4           2 3
+--R           - 5040A a b  - 10080B a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                   2 3        3 2  6            2 3         3 2  5
+--R           (- 10A a b  - 10B a b )m  + (- 240A a b  - 240B a b )m
+--R         + 
+--R                     2 3          3 2  4              2 3           3 2  3
+--R           (- 2260A a b  - 2260B a b )m  + (- 10560A a b  - 10560B a b )m
+--R         + 
+--R                      2 3           3 2  2              2 3           3 2
+--R           (- 25450A a b  - 25450B a b )m  + (- 29520A a b  - 29520B a b )m
+--R         + 
+--R                     2 3           3 2
+--R           - 12600A a b  - 12600B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                   3 2       4   6            3 2         4   5
+--R           (- 10A a b  - 5B a b)m  + (- 250A a b  - 125B a b)m
+--R         + 
+--R                     3 2          4   4              3 2          4   3
+--R           (- 2470A a b  - 1235B a b)m  + (- 12190A a b  - 6095B a b)m
+--R         + 
+--R                      3 2           4   2              3 2           4
+--R           (- 31120A a b  - 15560B a b)m  + (- 37960A a b  - 18980B a b)m
+--R         + 
+--R                     3 2          4
+--R           - 16800A a b  - 8400B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                  4       5  6            4         5  5
+--R           (- 5A a b - B a )m  + (- 130A a b - 26B a )m
+--R         + 
+--R                     4          5  4             4           5  3
+--R           (- 1350A a b - 270B a )m  + (- 7100A a b - 1420B a )m
+--R         + 
+--R                      4           5  2              4           5             4
+--R           (- 19645A a b - 3929B a )m  + (- 26370A a b - 5274B a )m - 12600A a b
+--R         + 
+--R                    5
+--R           - 2520B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R           - A a m  - 27A a m  - 295A a m  - 1665A a m  - 5104A a m  - 8028A a m
+--R         + 
+--R                    5
+--R           - 5040A a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E 214
+
+--S 215 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 215
+
+)clear all
+
+--S 216 of 1293
+t0:=x^5*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 11       5         4  10          4        2 3  9
+--R     B b x   + (A b  + 5B a b )x   + (5A a b  + 10B a b )x
+--R   + 
+--R         2 3        3 2  8         3 2       4   7        4       5  6      5 5
+--R   (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 216
+
+--S 217 of 1293
+r0:=1/6*a^5*A*x^6+1/7*a^4*(5*A*b+a*B)*x^7+5/8*a^3*b*(2*A*b+a*B)*x^8+_
+     10/9*a^2*b^2*(A*b+a*B)*x^9+1/2*a*b^3*(A*b+2*a*B)*x^10+_
+     1/11*b^4*(A*b+5*a*B)*x^11+1/12*b^5*B*x^12
+--R 
+--R
+--R   (2)
+--R      1    5 12     1    5    5      4  11    1      4      2 3  10
+--R     -- B b x   + (-- A b  + -- B a b )x   + (- A a b  + B a b )x
+--R     12            11        11               2
+--R   + 
+--R      10    2 3   10    3 2  9    5    3 2   5    4   8    5    4    1    5  7
+--R     (-- A a b  + -- B a b )x  + (- A a b  + - B a b)x  + (- A a b + - B a )x
+--R       9           9              4          8             7         7
+--R   + 
+--R     1    5 6
+--R     - A a x
+--R     6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 217
+
+--S 218 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    5 12     1    5    5      4  11    1      4      2 3  10
+--R     -- B b x   + (-- A b  + -- B a b )x   + (- A a b  + B a b )x
+--R     12            11        11               2
+--R   + 
+--R      10    2 3   10    3 2  9    5    3 2   5    4   8    5    4    1    5  7
+--R     (-- A a b  + -- B a b )x  + (- A a b  + - B a b)x  + (- A a b + - B a )x
+--R       9           9              4          8             7         7
+--R   + 
+--R     1    5 6
+--R     - A a x
+--R     6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 218
+
+--S 219 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 219
+
+--S 220 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 220
+
+)clear all
+
+--S 221 of 1293
+t0:=x^4*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 10       5         4  9          4        2 3  8
+--R     B b x   + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R   + 
+--R         2 3        3 2  7         3 2       4   6        4       5  5      5 4
+--R   (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 221
+
+--S 222 of 1293
+r0:=1/5*a^5*A*x^5+1/6*a^4*(5*A*b+a*B)*x^6+5/7*a^3*b*(2*A*b+a*B)*x^7+_
+     5/4*a^2*b^2*(A*b+a*B)*x^8+5/9*a*b^3*(A*b+2*a*B)*x^9+_
+     1/10*b^4*(A*b+5*a*B)*x^10+1/11*b^5*B*x^11
+--R 
+--R
+--R   (2)
+--R      1    5 11     1    5   1      4  10    5      4   10    2 3  9
+--R     -- B b x   + (-- A b  + - B a b )x   + (- A a b  + -- B a b )x
+--R     11            10        2               9           9
+--R   + 
+--R      5    2 3   5    3 2  8    10    3 2   5    4   7    5    4    1    5  6
+--R     (- A a b  + - B a b )x  + (-- A a b  + - B a b)x  + (- A a b + - B a )x
+--R      4          4               7          7             6         6
+--R   + 
+--R     1    5 5
+--R     - A a x
+--R     5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 222
+
+--S 223 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    5 11     1    5   1      4  10    5      4   10    2 3  9
+--R     -- B b x   + (-- A b  + - B a b )x   + (- A a b  + -- B a b )x
+--R     11            10        2               9           9
+--R   + 
+--R      5    2 3   5    3 2  8    10    3 2   5    4   7    5    4    1    5  6
+--R     (- A a b  + - B a b )x  + (-- A a b  + - B a b)x  + (- A a b + - B a )x
+--R      4          4               7          7             6         6
+--R   + 
+--R     1    5 5
+--R     - A a x
+--R     5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 223
+
+--S 224 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 224
+
+--S 225 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 225
+
+)clear all
+
+--S 226 of 1293
+t0:=x^3*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 9       5         4  8          4        2 3  7
+--R     B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R   + 
+--R         2 3        3 2  6         3 2       4   5        4       5  4      5 3
+--R   (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 226
+
+--S 227 of 1293
+r0:=1/4*a^5*A*x^4+1/5*a^4*(5*A*b+a*B)*x^5+5/6*a^3*b*(2*A*b+a*B)*x^6+_
+     10/7*a^2*b^2*(A*b+a*B)*x^7+5/8*a*b^3*(A*b+2*a*B)*x^8+_
+     1/9*b^4*(A*b+5*a*B)*x^9+1/10*b^5*B*x^10
+--R 
+--R
+--R   (2)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- B b x   + (- A b  + - B a b )x  + (- A a b  + - B a b )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- A a b  + -- B a b )x  + (- A a b  + - B a b)x  + (A a b + - B a )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - A a x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 227
+
+--S 228 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- B b x   + (- A b  + - B a b )x  + (- A a b  + - B a b )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- A a b  + -- B a b )x  + (- A a b  + - B a b)x  + (A a b + - B a )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - A a x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 228
+
+--S 229 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 229
+
+--S 230 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 230
+
+)clear all
+
+--S 231 of 1293
+t0:=x^2*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 8       5         4  7          4        2 3  6
+--R     B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R   + 
+--R         2 3        3 2  5         3 2       4   4        4       5  3      5 2
+--R   (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 231
+
+--S 232 of 1293
+r0:=1/6*a^2*(A*b-a*B)*(a+b*x)^6/b^4-1/7*a*(2*A*b-3*a*B)*(a+b*x)^7/b^4+_
+     1/8*(A*b-3*a*B)*(a+b*x)^8/b^4+1/9*B*(a+b*x)^9/b^4
+--R 
+--R
+--R   (2)
+--R       1    9 9    1    9   5      8  8    5      8   10    2 7  7
+--R       - B b x  + (- A b  + - B a b )x  + (- A a b  + -- B a b )x
+--R       9           8        8              7           7
+--R     + 
+--R        5    2 7   5    3 6  6        3 6      4 5  5    5    4 5   1    5 4  4
+--R       (- A a b  + - B a b )x  + (2A a b  + B a b )x  + (- A a b  + - B a b )x
+--R        3          3                                     4          4
+--R     + 
+--R       1    5 4 3    1     8     1     9
+--R       - A a b x  + --- A a b - --- B a
+--R       3            168         504
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 232
+
+--S 233 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 9    1    5   5      4  8    5      4   10    2 3  7
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + -- B a b )x
+--R     9           8        8              7           7
+--R   + 
+--R      5    2 3   5    3 2  6        3 2      4   5    5    4    1    5  4
+--R     (- A a b  + - B a b )x  + (2A a b  + B a b)x  + (- A a b + - B a )x
+--R      3          3                                    4         4
+--R   + 
+--R     1    5 3
+--R     - A a x
+--R     3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 233
+
+--S 234 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           1     8     1     9
+--R        - --- A a b + --- B a
+--R          168         504
+--R   (4)  ----------------------
+--R                   4
+--R                  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 234
+
+--S 235 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 235
+
+)clear all
+
+--S 236 of 1293
+t0:=x*(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 7       5         4  6          4        2 3  5
+--R     B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R   + 
+--R         2 3        3 2  4         3 2       4   3        4       5  2      5
+--R   (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x  + A a x
+--R                                                    Type: Polynomial(Integer)
+--E 236
+
+--S 237 of 1293
+r0:=-1/6*a*(A*b-a*B)*(a+b*x)^6/b^3+1/7*(A*b-2*a*B)*(a+b*x)^7/b^3+_
+     1/8*B*(a+b*x)^8/b^3
+--R 
+--R
+--R   (2)
+--R       1    8 8    1    8   5      7  7    5      7   5    2 6  6
+--R       - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b )x
+--R       8           7        7              6          3
+--R     + 
+--R            2 6       3 5  5    5    3 5   5    4 4  4    5    4 4   1    5 3  3
+--R       (2A a b  + 2B a b )x  + (- A a b  + - B a b )x  + (- A a b  + - B a b )x
+--R                                2          4              3          3
+--R     + 
+--R       1    5 3 2    1    7     1     8
+--R       - A a b x  - -- A a b + --- B a
+--R       2            42         168
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 237
+
+--S 238 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 8    1    5   5      4  7    5      4   5    2 3  6
+--R     - B b x  + (- A b  + - B a b )x  + (- A a b  + - B a b )x
+--R     8           7        7              6          3
+--R   + 
+--R          2 3       3 2  5    5    3 2   5    4   4    5    4    1    5  3
+--R     (2A a b  + 2B a b )x  + (- A a b  + - B a b)x  + (- A a b + - B a )x
+--R                              2          4             3         3
+--R   + 
+--R     1    5 2
+--R     - A a x
+--R     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 238
+
+--S 239 of 1293
+m0:=a0-r0
+--R 
+--R
+--R         1    7     1     8
+--R        -- A a b - --- B a
+--R        42         168
+--R   (4)  -------------------
+--R                  3
+--R                 b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 239
+
+--S 240 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 240
+
+)clear all
+
+--S 241 of 1293
+t0:=(a+b*x)^5*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        5 6       5         4  5          4        2 3  4
+--R     B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R   + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R                                                    Type: Polynomial(Integer)
+--E 241
+
+--S 242 of 1293
+r0:=1/6*(A*b-a*B)*(a+b*x)^6/b^2+1/7*B*(a+b*x)^7/b^2
+--R 
+--R
+--R   (2)
+--R       1    7 7    1    7   5      6  6         6       2 5  5
+--R       - B b x  + (- A b  + - B a b )x  + (A a b  + 2B a b )x
+--R       7           6        6
+--R     + 
+--R        5    2 5   5    3 4  4    10    3 4   5    4 3  3
+--R       (- A a b  + - B a b )x  + (-- A a b  + - B a b )x
+--R        2          2               3          3
+--R     + 
+--R        5    4 3   1    5 2  2      5 2    1    6     1    7
+--R       (- A a b  + - B a b )x  + A a b x + - A a b - -- B a
+--R        2          2                       6         42
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 242
+
+--S 243 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 7    1    5   5      4  6         4       2 3  5
+--R     - B b x  + (- A b  + - B a b )x  + (A a b  + 2B a b )x
+--R     7           6        6
+--R   + 
+--R      5    2 3   5    3 2  4    10    3 2   5    4   3    5    4    1    5  2
+--R     (- A a b  + - B a b )x  + (-- A a b  + - B a b)x  + (- A a b + - B a )x
+--R      2          2               3          3             2         2
+--R   + 
+--R        5
+--R     A a x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 243
+
+--S 244 of 1293
+m0:=a0-r0
+--R 
+--R
+--R          1    6     1    7
+--R        - - A a b + -- B a
+--R          6         42
+--R   (4)  -------------------
+--R                  2
+--R                 b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 244
+
+--S 245 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 245
+
+)clear all
+
+--S 246 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 246
+
+--S 247 of 1293
+r0:=5*a^4*A*b*x+5*a^3*A*b^2*x^2+10/3*a^2*A*b^3*x^3+5/4*a*A*b^4*x^4+_
+     1/5*A*b^5*x^5+1/6*B*(a+b*x)^6/b+a^5*A*log(x)
+--R 
+--R
+--R   (2)
+--R            5                6 6         6          5  5
+--R       60A a b log(x) + 10B b x  + (12A b  + 60B a b )x
+--R     + 
+--R               5         2 4  4          2 4         3 3  3
+--R       (75A a b  + 150B a b )x  + (200A a b  + 200B a b )x
+--R     + 
+--R              3 3         4 2  2          4 2        5           6
+--R       (300A a b  + 150B a b )x  + (300A a b  + 60B a b)x + 10B a
+--R  /
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E 247
+
+--S 248 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5              5 6         5          4  5
+--R       60A a log(x) + 10B b x  + (12A b  + 60B a b )x
+--R     + 
+--R               4         2 3  4          2 3         3 2  3
+--R       (75A a b  + 150B a b )x  + (200A a b  + 200B a b )x
+--R     + 
+--R              3 2         4   2          4         5
+--R       (300A a b  + 150B a b)x  + (300A a b + 60B a )x
+--R  /
+--R     60
+--R                                         Type: Union(Expression(Integer),...)
+--E 248
+
+--S 249 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             6
+--R          B a
+--R   (4)  - ----
+--R           6b
+--R                                                    Type: Expression(Integer)
+--E 249
+
+--S 250 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 250
+
+)clear all
+
+--S 251 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^2
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      2
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 251
+
+--S 252 of 1293
+r0:=-a^5*A/x+5*a^3*b*(2*A*b+a*B)*x+5*a^2*b^2*(A*b+a*B)*x^2+_
+     5/3*a*b^3*(A*b+2*a*B)*x^3+1/4*b^4*(A*b+5*a*B)*x^4+_
+     1/5*b^5*B*x^5+a^4*(5*A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R              4         5                 5 6         5          4  5
+--R       (300A a b + 60B a )x log(x) + 12B b x  + (15A b  + 75B a b )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100A a b  + 200B a b )x  + (300A a b  + 300B a b )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600A a b  + 300B a b)x  - 60A a
+--R  /
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 252
+
+--S 253 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4         5                 5 6         5          4  5
+--R       (300A a b + 60B a )x log(x) + 12B b x  + (15A b  + 75B a b )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100A a b  + 200B a b )x  + (300A a b  + 300B a b )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600A a b  + 300B a b)x  - 60A a
+--R  /
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 253
+
+--S 254 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 254
+
+--S 255 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 255
+
+)clear all
+
+--S 256 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^3
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      3
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 256
+
+--S 257 of 1293
+r0:=-1/2*a^5*A/x^2-a^4*(5*A*b+a*B)/x+10*a^2*b^2*(A*b+a*B)*x+_
+     5/2*a*b^3*(A*b+2*a*B)*x^2+1/3*b^4*(A*b+5*a*B)*x^3+_
+     1/4*b^5*B*x^4+5*a^3*b*(2*A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120A a b  + 60B a b)x log(x) + 3B b x  + (4A b  + 20B a b )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30A a b  + 60B a b )x  + (120A a b  + 120B a b )x
+--R     + 
+--R               4         5         5
+--R       (- 60A a b - 12B a )x - 6A a
+--R  /
+--R        2
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 257
+
+--S 258 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120A a b  + 60B a b)x log(x) + 3B b x  + (4A b  + 20B a b )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30A a b  + 60B a b )x  + (120A a b  + 120B a b )x
+--R     + 
+--R               4         5         5
+--R       (- 60A a b - 12B a )x - 6A a
+--R  /
+--R        2
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 258
+
+--S 259 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 259
+
+--S 260 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 260
+
+)clear all
+
+--S 261 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^4
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      4
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 261
+
+--S 262 of 1293
+r0:=-1/3*a^5*A/x^3-1/2*a^4*(5*A*b+a*B)/x^2-5*a^3*b*(2*A*b+a*B)/x+_
+     5*a*b^3*(A*b+2*a*B)*x+1/2*b^4*(A*b+5*a*B)*x^2+1/3*b^5*B*x^3+_
+     10*a^2*b^2*(A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R             2 3        3 2  3             5 6        5          4  5
+--R       (60A a b  + 60B a b )x log(x) + 2B b x  + (3A b  + 15B a b )x
+--R     + 
+--R               4        2 3  4           3 2        4   2           4        5
+--R       (30A a b  + 60B a b )x  + (- 60A a b  - 30B a b)x  + (- 15A a b - 3B a )x
+--R     + 
+--R             5
+--R       - 2A a
+--R  /
+--R       3
+--R     6x
+--R                                                    Type: Expression(Integer)
+--E 262
+
+--S 263 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 3        3 2  3             5 6        5          4  5
+--R       (60A a b  + 60B a b )x log(x) + 2B b x  + (3A b  + 15B a b )x
+--R     + 
+--R               4        2 3  4           3 2        4   2           4        5
+--R       (30A a b  + 60B a b )x  + (- 60A a b  - 30B a b)x  + (- 15A a b - 3B a )x
+--R     + 
+--R             5
+--R       - 2A a
+--R  /
+--R       3
+--R     6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 263
+
+--S 264 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 264
+
+--S 265 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 265
+
+)clear all
+
+--S 266 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^5
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      5
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 266
+
+--S 267 of 1293
+r0:=-1/4*a^5*A/x^4-1/3*a^4*(5*A*b+a*B)/x^3-5/2*a^3*b*(2*A*b+a*B)/x^2-_
+     10*a^2*b^2*(A*b+a*B)/x+b^4*(A*b+5*a*B)*x+1/2*b^5*B*x^2+_
+     5*a*b^3*(A*b+2*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R               4         2 3  4             5 6         5          4  5
+--R       (60A a b  + 120B a b )x log(x) + 6B b x  + (12A b  + 60B a b )x
+--R     + 
+--R                2 3         3 2  3           3 2        4   2
+--R       (- 120A a b  - 120B a b )x  + (- 60A a b  - 30B a b)x
+--R     + 
+--R               4        5         5
+--R       (- 20A a b - 4B a )x - 3A a
+--R  /
+--R        4
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 267
+
+--S 268 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               4         2 3  4             5 6         5          4  5
+--R       (60A a b  + 120B a b )x log(x) + 6B b x  + (12A b  + 60B a b )x
+--R     + 
+--R                2 3         3 2  3           3 2        4   2
+--R       (- 120A a b  - 120B a b )x  + (- 60A a b  - 30B a b)x
+--R     + 
+--R               4        5         5
+--R       (- 20A a b - 4B a )x - 3A a
+--R  /
+--R        4
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 268
+
+--S 269 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 269
+
+--S 270 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 270
+
+)clear all
+
+--S 271 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^6
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      6
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 271
+
+--S 272 of 1293
+r0:=-1/5*a^5*A/x^5-1/4*a^4*(5*A*b+a*B)/x^4-5/3*a^3*b*(2*A*b+a*B)/x^3-_
+     5*a^2*b^2*(A*b+a*B)/x^2-5*a*b^3*(A*b+2*a*B)/x+b^5*B*x+_
+     b^4*(A*b+5*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R             5           4  5              5 6              4         2 3  4
+--R       (60A b  + 300B a b )x log(x) + 60B b x  + (- 300A a b  - 600B a b )x
+--R     + 
+--R                2 3         3 2  3            3 2         4   2
+--R       (- 300A a b  - 300B a b )x  + (- 200A a b  - 100B a b)x
+--R     + 
+--R               4         5          5
+--R       (- 75A a b - 15B a )x - 12A a
+--R  /
+--R        5
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 272
+
+--S 273 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5           4  5              5 6              4         2 3  4
+--R       (60A b  + 300B a b )x log(x) + 60B b x  + (- 300A a b  - 600B a b )x
+--R     + 
+--R                2 3         3 2  3            3 2         4   2
+--R       (- 300A a b  - 300B a b )x  + (- 200A a b  - 100B a b)x
+--R     + 
+--R               4         5          5
+--R       (- 75A a b - 15B a )x - 12A a
+--R  /
+--R        5
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 273
+
+--S 274 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 274
+
+--S 275 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 275
+
+)clear all
+
+--S 276 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^7
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      7
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 276
+
+--S 277 of 1293
+r0:=-1/5*a^5*B/x^5-5/4*a^4*b*B/x^4-10/3*a^3*b^2*B/x^3-5*a^2*b^3*B/x^2-_
+     5*a*b^4*B/x-1/6*A*(a+b*x)^6/(a*x^6)+b^5*B*log(x)
+--R 
+--R
+--R   (2)
+--R              5 6              6 6             5         2 4  5
+--R       60B a b x log(x) - 10A b x  + (- 60A a b  - 300B a b )x
+--R     + 
+--R                2 4         3 3  4            3 3         4 2  3
+--R       (- 150A a b  - 300B a b )x  + (- 200A a b  - 200B a b )x
+--R     + 
+--R                4 2        5   2           5         6          6
+--R       (- 150A a b  - 75B a b)x  + (- 60A a b - 12B a )x - 10A a
+--R  /
+--R          6
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E 277
+
+--S 278 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5 6                 5           4  5              4         2 3  4
+--R       60B b x log(x) + (- 60A b  - 300B a b )x  + (- 150A a b  - 300B a b )x
+--R     + 
+--R                2 3         3 2  3            3 2        4   2
+--R       (- 200A a b  - 200B a b )x  + (- 150A a b  - 75B a b)x
+--R     + 
+--R               4         5          5
+--R       (- 60A a b - 12B a )x - 10A a
+--R  /
+--R        6
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 278
+
+--S 279 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           6
+--R        A b
+--R   (4)  ----
+--R         6a
+--R                                                    Type: Expression(Integer)
+--E 279
+
+--S 280 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 280
+
+)clear all
+
+--S 281 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^8
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      8
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 281
+
+--S 282 of 1293
+r0:=-1/7*A*(a+b*x)^6/(a*x^7)+1/42*(A*b-7*a*B)*(a+b*x)^6/(a^2*x^6)
+--R 
+--R
+--R   (2)
+--R         1    7   1      6  7      2 5 6      1    2 5   5    3 4  5
+--R       (-- A b  - - B a b )x  - B a b x  + (- - A a b  - - B a b )x
+--R        42        6                           2          2
+--R     + 
+--R          5    3 4   10    4 3  4      5    4 3   5    5 2  3
+--R       (- - A a b  - -- B a b )x  + (- - A a b  - - B a b )x
+--R          3           3                2          2
+--R     + 
+--R              5 2      6   2      5    6    1    7     1    7
+--R       (- 2A a b  - B a b)x  + (- - A a b - - B a )x - - A a
+--R                                  6         6          7
+--R  /
+--R      2 7
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 282
+
+--S 283 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              5 6           5           4  5             4         2 3  4
+--R       - 42B b x  + (- 21A b  - 105B a b )x  + (- 70A a b  - 140B a b )x
+--R     + 
+--R                2 3         3 2  3           3 2        4   2
+--R       (- 105A a b  - 105B a b )x  + (- 84A a b  - 42B a b)x
+--R     + 
+--R               4        5         5
+--R       (- 35A a b - 7B a )x - 6A a
+--R  /
+--R        7
+--R     42x
+--R                                         Type: Union(Expression(Integer),...)
+--E 283
+
+--S 284 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             7         6
+--R        - A b  + 7B a b
+--R   (4)  ----------------
+--R                 2
+--R              42a
+--R                                                    Type: Expression(Integer)
+--E 284
+
+--S 285 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 285
+
+)clear all
+
+--S 286 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^9
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      9
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 286
+
+--S 287 of 1293
+r0:=-1/8*A*(a+b*x)^6/(a*x^8)+1/28*(A*b-4*a*B)*(a+b*x)^6/(a^2*x^7)-_
+     1/168*b*(A*b-4*a*B)*(a+b*x)^6/(a^3*x^6)
+--R 
+--R
+--R   (2)
+--R           1     8    1      7  8   1    3 5 6      1    3 5   5    4 4  5
+--R       (- --- A b  + -- B a b )x  - - B a b x  + (- - A a b  - - B a b )x
+--R          168        42             2               3          3
+--R     + 
+--R          5    4 4   5    5 3  4          5 3       6 2  3
+--R       (- - A a b  - - B a b )x  + (- 2A a b  - 2B a b )x
+--R          4          2
+--R     + 
+--R          5    6 2   5    7   2      5    7    1    8     1    8
+--R       (- - A a b  - - B a b)x  + (- - A a b - - B a )x - - A a
+--R          3          6               7         7          8
+--R  /
+--R      3 8
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 287
+
+--S 288 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              5 6           5           4  5              4         2 3  4
+--R       - 84B b x  + (- 56A b  - 280B a b )x  + (- 210A a b  - 420B a b )x
+--R     + 
+--R                2 3         3 2  3            3 2         4   2
+--R       (- 336A a b  - 336B a b )x  + (- 280A a b  - 140B a b)x
+--R     + 
+--R                4         5          5
+--R       (- 120A a b - 24B a )x - 21A a
+--R  /
+--R         8
+--R     168x
+--R                                         Type: Union(Expression(Integer),...)
+--E 288
+
+--S 289 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           8         7
+--R        A b  - 4B a b
+--R   (4)  --------------
+--R                 3
+--R             168a
+--R                                                    Type: Expression(Integer)
+--E 289
+
+--S 290 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 290
+
+)clear all
+
+--S 291 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^10
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 291
+
+--S 292 of 1293
+r0:=-1/9*a^5*A/x^9-1/8*a^4*(5*A*b+a*B)/x^8-5/7*a^3*b*(2*A*b+a*B)/x^7-_
+     5/3*a^2*b^2*(A*b+a*B)/x^6-a*b^3*(A*b+2*a*B)/x^5-_
+     1/4*b^4*(A*b+5*a*B)/x^4-1/3*b^5*B/x^3
+--R 
+--R
+--R   (2)
+--R         1    5 6      1    5   5      4  5           4       2 3  4
+--R       - - B b x  + (- - A b  - - B a b )x  + (- A a b  - 2B a b )x
+--R         3             4        4
+--R     + 
+--R          5    2 3   5    3 2  3      10    3 2   5    4   2
+--R       (- - A a b  - - B a b )x  + (- -- A a b  - - B a b)x
+--R          3          3                 7          7
+--R     + 
+--R          5    4    1    5     1    5
+--R       (- - A a b - - B a )x - - A a
+--R          8         8          9
+--R  /
+--R      9
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 292
+
+--S 293 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               5 6            5           4  5              4          2 3  4
+--R       - 168B b x  + (- 126A b  - 630B a b )x  + (- 504A a b  - 1008B a b )x
+--R     + 
+--R                2 3         3 2  3            3 2         4   2
+--R       (- 840A a b  - 840B a b )x  + (- 720A a b  - 360B a b)x
+--R     + 
+--R                4         5          5
+--R       (- 315A a b - 63B a )x - 56A a
+--R  /
+--R         9
+--R     504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 293
+
+--S 294 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 294
+
+--S 295 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 295
+
+)clear all
+
+--S 296 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^11
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      11
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 296
+
+--S 297 of 1293
+r0:=-1/10*a^5*A/x^10-1/9*a^4*(5*A*b+a*B)/x^9-5/8*a^3*b*(2*A*b+a*B)/x^8-_
+     10/7*a^2*b^2*(A*b+a*B)/x^7-5/6*a*b^3*(A*b+2*a*B)/x^6-_
+     1/5*b^4*(A*b+5*a*B)/x^5-1/4*b^5*B/x^4
+--R 
+--R
+--R   (2)
+--R         1    5 6      1    5        4  5      5      4   5    2 3  4
+--R       - - B b x  + (- - A b  - B a b )x  + (- - A a b  - - B a b )x
+--R         4             5                       6          3
+--R     + 
+--R          10    2 3   10    3 2  3      5    3 2   5    4   2
+--R       (- -- A a b  - -- B a b )x  + (- - A a b  - - B a b)x
+--R           7           7                4          8
+--R     + 
+--R          5    4    1    5      1    5
+--R       (- - A a b - - B a )x - -- A a
+--R          9         9          10
+--R  /
+--R      10
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 297
+
+--S 298 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               5 6            5            4  5               4          2 3  4
+--R       - 630B b x  + (- 504A b  - 2520B a b )x  + (- 2100A a b  - 4200B a b )x
+--R     + 
+--R                 2 3          3 2  3             3 2          4   2
+--R       (- 3600A a b  - 3600B a b )x  + (- 3150A a b  - 1575B a b)x
+--R     + 
+--R                 4          5           5
+--R       (- 1400A a b - 280B a )x - 252A a
+--R  /
+--R          10
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 298
+
+--S 299 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 299
+
+--S 300 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 300
+
+)clear all
+
+--S 301 of 1293
+t0:=(a+b*x)^5*(A+B*x)/x^12
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
+--R  /
+--R      12
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 301
+
+--S 302 of 1293
+r0:=-1/11*a^5*A/x^11-1/10*a^4*(5*A*b+a*B)/x^10-5/9*a^3*b*(2*A*b+a*B)/x^9-_
+     5/4*a^2*b^2*(A*b+a*B)/x^8-5/7*a*b^3*(A*b+2*a*B)/x^7-_
+     1/6*b^4*(A*b+5*a*B)/x^6-1/5*b^5*B/x^5
+--R 
+--R
+--R   (2)
+--R         1    5 6      1    5   5      4  5      5      4   10    2 3  4
+--R       - - B b x  + (- - A b  - - B a b )x  + (- - A a b  - -- B a b )x
+--R         5             6        6                7           7
+--R     + 
+--R          5    2 3   5    3 2  3      10    3 2   5    4   2
+--R       (- - A a b  - - B a b )x  + (- -- A a b  - - B a b)x
+--R          4          4                 9          9
+--R     + 
+--R          1    4     1    5      1    5
+--R       (- - A a b - -- B a )x - -- A a
+--R          2         10          11
+--R  /
+--R      11
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 302
+
+--S 303 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 6             5             4  5
+--R       - 2772B b x  + (- 2310A b  - 11550B a b )x
+--R     + 
+--R                   4           2 3  4              2 3           3 2  3
+--R       (- 9900A a b  - 19800B a b )x  + (- 17325A a b  - 17325B a b )x
+--R     + 
+--R                  3 2          4   2             4           5            5
+--R       (- 15400A a b  - 7700B a b)x  + (- 6930A a b - 1386B a )x - 1260A a
+--R  /
+--R           11
+--R     13860x
+--R                                         Type: Union(Expression(Integer),...)
+--E 303
+
+--S 304 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 304
+
+--S 305 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 305
+
+)clear all
+
+--S 306 of 1293
+t0:=x^m*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E 306
+
+--S 307 of 1293
+r0:=a^10*A*x^(1+m)/(1+m)+a^9*(10*A*b+a*B)*x^(2+m)/(2+m)+_
+     5*a^8*b*(9*A*b+2*a*B)*x^(3+m)/(3+m)+_
+     15*a^7*b^2*(8*A*b+3*a*B)*x^(4+m)/(4+m)+_
+     30*a^6*b^3*(7*A*b+4*a*B)*x^(5+m)/(5+m)+_
+     42*a^5*b^4*(6*A*b+5*a*B)*x^(6+m)/(6+m)+_
+     42*a^4*b^5*(5*A*b+6*a*B)*x^(7+m)/(7+m)+_
+     30*a^3*b^6*(4*A*b+7*a*B)*x^(8+m)/(8+m)+_
+     15*a^2*b^7*(3*A*b+8*a*B)*x^(9+m)/(9+m)+_
+     5*a*b^8*(2*A*b+9*a*B)*x^(10+m)/(10+m)+_
+     b^9*(A*b+10*a*B)*x^(11+m)/(11+m)+b^10*B*x^(12+m)/(12+m)
+--R 
+--R
+--R   (2)
+--R              10 11        10 10          10 9           10 8            10 7
+--R           B b  m   + 66B b  m   + 1925B b  m  + 32670B b  m  + 357423B b  m
+--R         + 
+--R                     10 6              10 5              10 4               10 3
+--R           2637558B b  m  + 13339535B b  m  + 45995730B b  m  + 105258076B b  m
+--R         + 
+--R                       10 2               10               10
+--R           150917976B b  m  + 120543840B b  m + 39916800B b
+--R      *
+--R          m + 12
+--R         x
+--R     + 
+--R               10          9  11         10           9  10
+--R           (A b   + 10B a b )m   + (67A b   + 670B a b )m
+--R         + 
+--R                   10             9  9            10              9  8
+--R           (1980A b   + 19800B a b )m  + (33990A b   + 339900B a b )m
+--R         + 
+--R                     10               9  7              10                9  6
+--R           (375573A b   + 3755730B a b )m  + (2795331A b   + 27953310B a b )m
+--R         + 
+--R                       10                 9  5
+--R           (14241590A b   + 142415900B a b )m
+--R         + 
+--R                       10                 9  4
+--R           (49412660A b   + 494126600B a b )m
+--R         + 
+--R                        10                  9  3
+--R           (113667576A b   + 1136675760B a b )m
+--R         + 
+--R                        10                  9  2
+--R           (163671552A b   + 1636715520B a b )m
+--R         + 
+--R                      10                  9                10                 9
+--R         (131172480A b   + 1311724800B a b )m + 43545600A b   + 435456000B a b
+--R      *
+--R          m + 11
+--R         x
+--R     + 
+--R                   9        2 8  11            9          2 8  10
+--R           (10A a b  + 45B a b )m   + (680A a b  + 3060B a b )m
+--R         + 
+--R                      9           2 8  9               9             2 8  8
+--R           (20370A a b  + 91665B a b )m  + (354000A a b  + 1593000B a b )m
+--R         + 
+--R                        9              2 8  7
+--R           (3954630A a b  + 17795835B a b )m
+--R         + 
+--R                         9               2 8  6
+--R           (29720040A a b  + 133740180B a b )m
+--R         + 
+--R                          9               2 8  5
+--R           (152701910A a b  + 687158595B a b )m
+--R         + 
+--R                          9                2 8  4
+--R           (533682400A a b  + 2401570800B a b )m
+--R         + 
+--R                           9                2 8  3
+--R           (1235244360A a b  + 5558599620B a b )m
+--R         + 
+--R                           9                2 8  2
+--R           (1787705280A a b  + 8044673760B a b )m
+--R         + 
+--R                           9                2 8                   9
+--R           (1438542720A a b  + 6473442240B a b )m + 479001600A a b
+--R         + 
+--R                        2 8
+--R           2155507200B a b
+--R      *
+--R          m + 10
+--R         x
+--R     + 
+--R                 2 8         3 7  11           2 8          3 7  10
+--R           (45A a b  + 120B a b )m   + (3105A a b  + 8280B a b )m
+--R         + 
+--R                    2 8            3 7  9              2 8             3 7  8
+--R           (94320A a b  + 251520B a b )m  + (1660770A a b  + 4428720B a b )m
+--R         + 
+--R                       2 8              3 7  7
+--R           (18778905A a b  + 50077080B a b )m
+--R         + 
+--R                        2 8               3 7  6
+--R           (142688385A a b  + 380502360B a b )m
+--R         + 
+--R                        2 8                3 7  5
+--R           (740364930A a b  + 1974306480B a b )m
+--R         + 
+--R                         2 8                3 7  4
+--R           (2609872380A a b  + 6959659680B a b )m
+--R         + 
+--R                         2 8                 3 7  3
+--R           (6085456200A a b  + 16227883200B a b )m
+--R         + 
+--R                         2 8                 3 7  2
+--R           (8861564160A a b  + 23630837760B a b )m
+--R         + 
+--R                         2 8                 3 7                  2 8
+--R           (7166102400A a b  + 19109606400B a b )m + 2395008000A a b
+--R         + 
+--R                        3 7
+--R           6386688000B a b
+--R      *
+--R          m + 9
+--R         x
+--R     + 
+--R                  3 7         4 6  11           3 7           4 6  10
+--R           (120A a b  + 210B a b )m   + (8400A a b  + 14700B a b )m
+--R         + 
+--R                     3 7            4 6  9              3 7             4 6  8
+--R           (258840A a b  + 452970B a b )m  + (4621680A a b  + 8087940B a b )m
+--R         + 
+--R                       3 7              4 6  7
+--R           (52962120A a b  + 92683710B a b )m
+--R         + 
+--R                        3 7               4 6  6
+--R           (407499120A a b  + 713123460B a b )m
+--R         + 
+--R                         3 7                4 6  5
+--R           (2138834760A a b  + 3742960830B a b )m
+--R         + 
+--R                         3 7                 4 6  4
+--R           (7617739920A a b  + 13331044860B a b )m
+--R         + 
+--R                          3 7                 4 6  3
+--R           (17922900960A a b  + 31365076680B a b )m
+--R         + 
+--R                          3 7                 4 6  2
+--R           (26298578880A a b  + 46022513040B a b )m
+--R         + 
+--R                          3 7                 4 6                  3 7
+--R           (21398515200A a b  + 37447401600B a b )m + 7185024000A a b
+--R         + 
+--R                         4 6
+--R           12573792000B a b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                  4 6         5 5  11            4 6           5 5  10
+--R           (210A a b  + 252B a b )m   + (14910A a b  + 17892B a b )m
+--R         + 
+--R                     4 6            5 5  9              4 6              5 5  8
+--R           (466200A a b  + 559440B a b )m  + (8448300A a b  + 10137960B a b )m
+--R         + 
+--R                       4 6               5 5  7
+--R           (98249130A a b  + 117898956B a b )m
+--R         + 
+--R                        4 6               5 5  6
+--R           (766849230A a b  + 920219076B a b )m
+--R         + 
+--R                         4 6                5 5  5
+--R           (4080003900A a b  + 4896004680B a b )m
+--R         + 
+--R                          4 6                 5 5  4
+--R           (14714704200A a b  + 17657645040B a b )m
+--R         + 
+--R                          4 6                 5 5  3
+--R           (35010506160A a b  + 42012607392B a b )m
+--R         + 
+--R                          4 6                 5 5  2
+--R           (51869583360A a b  + 62243500032B a b )m
+--R         + 
+--R                          4 6                 5 5                   4 6
+--R           (42540422400A a b  + 51048506880B a b )m + 14370048000A a b
+--R         + 
+--R                         5 5
+--R           17244057600B a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                  5 5         6 4  11            5 5           6 4  10
+--R           (252A a b  + 210B a b )m   + (18144A a b  + 15120B a b )m
+--R         + 
+--R                     5 5            6 4  9               5 5             6 4  8
+--R           (575820A a b  + 479850B a b )m  + (10599120A a b  + 8832600B a b )m
+--R         + 
+--R                        5 5               6 4  7
+--R           (125269956A a b  + 104391630B a b )m
+--R         + 
+--R                        5 5               6 4  6
+--R           (993892032A a b  + 828243360B a b )m
+--R         + 
+--R                         5 5                6 4  5
+--R           (5374186020A a b  + 4478488350B a b )m
+--R         + 
+--R                          5 5                 6 4  4
+--R           (19684561680A a b  + 16403801400B a b )m
+--R         + 
+--R                          5 5                 6 4  3
+--R           (47508752592A a b  + 39590627160B a b )m
+--R         + 
+--R                          5 5                 6 4  2
+--R           (71279236224A a b  + 59399363520B a b )m
+--R         + 
+--R                          5 5                 6 4                   5 5
+--R           (59077589760A a b  + 49231324800B a b )m + 20118067200A a b
+--R         + 
+--R                         6 4
+--R           16765056000B a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                  6 4         7 3  11            6 4          7 3  10
+--R           (210A a b  + 120B a b )m   + (15330A a b  + 8760B a b )m
+--R         + 
+--R                     6 4            7 3  9              6 4             7 3  8
+--R           (493920A a b  + 282240B a b )m  + (9242100A a b  + 5281200B a b )m
+--R         + 
+--R                        6 4              7 3  7
+--R           (111176730A a b  + 63529560B a b )m
+--R         + 
+--R                        6 4               7 3  6
+--R           (898709490A a b  + 513548280B a b )m
+--R         + 
+--R                         6 4                7 3  5
+--R           (4954401060A a b  + 2831086320B a b )m
+--R         + 
+--R                          6 4                 7 3  4
+--R           (18502726200A a b  + 10572986400B a b )m
+--R         + 
+--R                          6 4                 7 3  3
+--R           (45499804560A a b  + 25999888320B a b )m
+--R         + 
+--R                          6 4                 7 3  2
+--R           (69444103680A a b  + 39682344960B a b )m
+--R         + 
+--R                          6 4                 7 3                   6 4
+--R           (58406987520A a b  + 33375421440B a b )m + 20118067200A a b
+--R         + 
+--R                         7 3
+--R           11496038400B a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                  7 3        8 2  11           7 3          8 2  10
+--R           (120A a b  + 45B a b )m   + (8880A a b  + 3330B a b )m
+--R         + 
+--R                     7 3            8 2  9              7 3             8 2  8
+--R           (290520A a b  + 108945B a b )m  + (5530320A a b  + 2073870B a b )m
+--R         + 
+--R                       7 3              8 2  7
+--R           (67814280A a b  + 25430355B a b )m
+--R         + 
+--R                        7 3               8 2  6
+--R           (559938960A a b  + 209977110B a b )m
+--R         + 
+--R                         7 3                8 2  5
+--R           (3159071880A a b  + 1184651955B a b )m
+--R         + 
+--R                          7 3                8 2  4
+--R           (12092130480A a b  + 4534548930B a b )m
+--R         + 
+--R                          7 3                 8 2  3
+--R           (30496298400A a b  + 11436111900B a b )m
+--R         + 
+--R                          7 3                 8 2  2
+--R           (47696592960A a b  + 17886222360B a b )m
+--R         + 
+--R                          7 3                 8 2                   7 3
+--R           (41000774400A a b  + 15375290400B a b )m + 14370048000A a b
+--R         + 
+--R                        8 2
+--R           5388768000B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 8 2        9   11           8 2         9   10
+--R           (45A a b  + 10B a b)m   + (3375A a b  + 750B a b)m
+--R         + 
+--R                     8 2           9   9              8 2            9   8
+--R           (112140A a b  + 24920B a b)m  + (2173230A a b  + 482940B a b)m
+--R         + 
+--R                       8 2             9   7
+--R           (27206145A a b  + 6045810B a b)m
+--R         + 
+--R                        8 2              9   6
+--R           (230080095A a b  + 51128910B a b)m
+--R         + 
+--R                         8 2               9   5
+--R           (1334320110A a b  + 296515580B a b)m
+--R         + 
+--R                         8 2                9   4
+--R           (5270196420A a b  + 1171154760B a b)m
+--R         + 
+--R                          8 2                9   3
+--R           (13763718360A a b  + 3058604080B a b)m
+--R         + 
+--R                          8 2                9   2
+--R           (22339514880A a b  + 4964336640B a b)m
+--R         + 
+--R                          8 2                9                   8 2
+--R           (19901635200A a b  + 4422585600B a b)m + 7185024000A a b
+--R         + 
+--R                        9
+--R           1596672000B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                 9       10  11          9         10  10
+--R           (10A a b + B a  )m   + (760A a b + 76B a  )m
+--R         + 
+--R                    9           10  9             9            10  8
+--R           (25650A a b + 2565B a  )m  + (506400A a b + 50640B a  )m
+--R         + 
+--R                      9             10  7               9              10  6
+--R           (6481830A a b + 648183B a  )m  + (56302680A a b + 5630268B a  )m
+--R         + 
+--R                        9               10  5
+--R           (337296950A a b + 33729695B a  )m
+--R         + 
+--R                         9                10  4
+--R           (1386107600A a b + 138610760B a  )m
+--R         + 
+--R                         9                10  3
+--R           (3799853160A a b + 379985316B a  )m
+--R         + 
+--R                         9                10  2
+--R           (6540442560A a b + 654044256B a  )m
+--R         + 
+--R                       9                10                  9                10
+--R         (6234710400A a b + 623471040B a  )m + 2395008000A a b + 239500800B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              10 11        10 10          10 9           10 8            10 7
+--R           A a  m   + 77A a  m   + 2640A a  m  + 53130A a  m  + 696333A a  m
+--R         + 
+--R                     10 6              10 5               10 4
+--R           6230301A a  m  + 38759930A a  m  + 167310220A a  m
+--R         + 
+--R                     10 3               10 2                10                10
+--R         489896616A a  m  + 924118272A a  m  + 1007441280A a  m + 479001600A a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R        12      11        10         9          8           7            6
+--R       m   + 78m   + 2717m   + 55770m  + 749463m  + 6926634m  + 44990231m
+--R     + 
+--R                 5             4              3              2
+--R       206070150m  + 657206836m  + 1414014888m  + 1931559552m  + 1486442880m
+--R     + 
+--R       479001600
+--R                                                    Type: Expression(Integer)
+--E 307
+
+--S 308 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                10 11        10 10          10 9           10 8            10 7
+--R             B b  m   + 66B b  m   + 1925B b  m  + 32670B b  m  + 357423B b  m
+--R           + 
+--R                       10 6              10 5              10 4
+--R             2637558B b  m  + 13339535B b  m  + 45995730B b  m
+--R           + 
+--R                       10 3               10 2               10               10
+--R           105258076B b  m  + 150917976B b  m  + 120543840B b  m + 39916800B b
+--R        *
+--R            12
+--R           x
+--R       + 
+--R                 10          9  11         10           9  10
+--R             (A b   + 10B a b )m   + (67A b   + 670B a b )m
+--R           + 
+--R                     10             9  9            10              9  8
+--R             (1980A b   + 19800B a b )m  + (33990A b   + 339900B a b )m
+--R           + 
+--R                       10               9  7              10                9  6
+--R             (375573A b   + 3755730B a b )m  + (2795331A b   + 27953310B a b )m
+--R           + 
+--R                         10                 9  5
+--R             (14241590A b   + 142415900B a b )m
+--R           + 
+--R                         10                 9  4
+--R             (49412660A b   + 494126600B a b )m
+--R           + 
+--R                          10                  9  3
+--R             (113667576A b   + 1136675760B a b )m
+--R           + 
+--R                          10                  9  2
+--R             (163671552A b   + 1636715520B a b )m
+--R           + 
+--R                          10                  9                10
+--R             (131172480A b   + 1311724800B a b )m + 43545600A b
+--R           + 
+--R                           9
+--R             435456000B a b
+--R        *
+--R            11
+--R           x
+--R       + 
+--R                     9        2 8  11            9          2 8  10
+--R             (10A a b  + 45B a b )m   + (680A a b  + 3060B a b )m
+--R           + 
+--R                        9           2 8  9               9             2 8  8
+--R             (20370A a b  + 91665B a b )m  + (354000A a b  + 1593000B a b )m
+--R           + 
+--R                          9              2 8  7
+--R             (3954630A a b  + 17795835B a b )m
+--R           + 
+--R                           9               2 8  6
+--R             (29720040A a b  + 133740180B a b )m
+--R           + 
+--R                            9               2 8  5
+--R             (152701910A a b  + 687158595B a b )m
+--R           + 
+--R                            9                2 8  4
+--R             (533682400A a b  + 2401570800B a b )m
+--R           + 
+--R                             9                2 8  3
+--R             (1235244360A a b  + 5558599620B a b )m
+--R           + 
+--R                             9                2 8  2
+--R             (1787705280A a b  + 8044673760B a b )m
+--R           + 
+--R                             9                2 8                   9
+--R             (1438542720A a b  + 6473442240B a b )m + 479001600A a b
+--R           + 
+--R                          2 8
+--R             2155507200B a b
+--R        *
+--R            10
+--R           x
+--R       + 
+--R                   2 8         3 7  11           2 8          3 7  10
+--R             (45A a b  + 120B a b )m   + (3105A a b  + 8280B a b )m
+--R           + 
+--R                      2 8            3 7  9              2 8             3 7  8
+--R             (94320A a b  + 251520B a b )m  + (1660770A a b  + 4428720B a b )m
+--R           + 
+--R                         2 8              3 7  7
+--R             (18778905A a b  + 50077080B a b )m
+--R           + 
+--R                          2 8               3 7  6
+--R             (142688385A a b  + 380502360B a b )m
+--R           + 
+--R                          2 8                3 7  5
+--R             (740364930A a b  + 1974306480B a b )m
+--R           + 
+--R                           2 8                3 7  4
+--R             (2609872380A a b  + 6959659680B a b )m
+--R           + 
+--R                           2 8                 3 7  3
+--R             (6085456200A a b  + 16227883200B a b )m
+--R           + 
+--R                           2 8                 3 7  2
+--R             (8861564160A a b  + 23630837760B a b )m
+--R           + 
+--R                           2 8                 3 7                  2 8
+--R             (7166102400A a b  + 19109606400B a b )m + 2395008000A a b
+--R           + 
+--R                          3 7
+--R             6386688000B a b
+--R        *
+--R            9
+--R           x
+--R       + 
+--R                    3 7         4 6  11           3 7           4 6  10
+--R             (120A a b  + 210B a b )m   + (8400A a b  + 14700B a b )m
+--R           + 
+--R                       3 7            4 6  9              3 7             4 6  8
+--R             (258840A a b  + 452970B a b )m  + (4621680A a b  + 8087940B a b )m
+--R           + 
+--R                         3 7              4 6  7
+--R             (52962120A a b  + 92683710B a b )m
+--R           + 
+--R                          3 7               4 6  6
+--R             (407499120A a b  + 713123460B a b )m
+--R           + 
+--R                           3 7                4 6  5
+--R             (2138834760A a b  + 3742960830B a b )m
+--R           + 
+--R                           3 7                 4 6  4
+--R             (7617739920A a b  + 13331044860B a b )m
+--R           + 
+--R                            3 7                 4 6  3
+--R             (17922900960A a b  + 31365076680B a b )m
+--R           + 
+--R                            3 7                 4 6  2
+--R             (26298578880A a b  + 46022513040B a b )m
+--R           + 
+--R                            3 7                 4 6                  3 7
+--R             (21398515200A a b  + 37447401600B a b )m + 7185024000A a b
+--R           + 
+--R                           4 6
+--R             12573792000B a b
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                    4 6         5 5  11            4 6           5 5  10
+--R             (210A a b  + 252B a b )m   + (14910A a b  + 17892B a b )m
+--R           + 
+--R                       4 6            5 5  9
+--R             (466200A a b  + 559440B a b )m
+--R           + 
+--R                        4 6              5 5  8
+--R             (8448300A a b  + 10137960B a b )m
+--R           + 
+--R                         4 6               5 5  7
+--R             (98249130A a b  + 117898956B a b )m
+--R           + 
+--R                          4 6               5 5  6
+--R             (766849230A a b  + 920219076B a b )m
+--R           + 
+--R                           4 6                5 5  5
+--R             (4080003900A a b  + 4896004680B a b )m
+--R           + 
+--R                            4 6                 5 5  4
+--R             (14714704200A a b  + 17657645040B a b )m
+--R           + 
+--R                            4 6                 5 5  3
+--R             (35010506160A a b  + 42012607392B a b )m
+--R           + 
+--R                            4 6                 5 5  2
+--R             (51869583360A a b  + 62243500032B a b )m
+--R           + 
+--R                            4 6                 5 5                   4 6
+--R             (42540422400A a b  + 51048506880B a b )m + 14370048000A a b
+--R           + 
+--R                           5 5
+--R             17244057600B a b
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                    5 5         6 4  11            5 5           6 4  10
+--R             (252A a b  + 210B a b )m   + (18144A a b  + 15120B a b )m
+--R           + 
+--R                       5 5            6 4  9
+--R             (575820A a b  + 479850B a b )m
+--R           + 
+--R                         5 5             6 4  8
+--R             (10599120A a b  + 8832600B a b )m
+--R           + 
+--R                          5 5               6 4  7
+--R             (125269956A a b  + 104391630B a b )m
+--R           + 
+--R                          5 5               6 4  6
+--R             (993892032A a b  + 828243360B a b )m
+--R           + 
+--R                           5 5                6 4  5
+--R             (5374186020A a b  + 4478488350B a b )m
+--R           + 
+--R                            5 5                 6 4  4
+--R             (19684561680A a b  + 16403801400B a b )m
+--R           + 
+--R                            5 5                 6 4  3
+--R             (47508752592A a b  + 39590627160B a b )m
+--R           + 
+--R                            5 5                 6 4  2
+--R             (71279236224A a b  + 59399363520B a b )m
+--R           + 
+--R                            5 5                 6 4                   5 5
+--R             (59077589760A a b  + 49231324800B a b )m + 20118067200A a b
+--R           + 
+--R                           6 4
+--R             16765056000B a b
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    6 4         7 3  11            6 4          7 3  10
+--R             (210A a b  + 120B a b )m   + (15330A a b  + 8760B a b )m
+--R           + 
+--R                       6 4            7 3  9              6 4             7 3  8
+--R             (493920A a b  + 282240B a b )m  + (9242100A a b  + 5281200B a b )m
+--R           + 
+--R                          6 4              7 3  7
+--R             (111176730A a b  + 63529560B a b )m
+--R           + 
+--R                          6 4               7 3  6
+--R             (898709490A a b  + 513548280B a b )m
+--R           + 
+--R                           6 4                7 3  5
+--R             (4954401060A a b  + 2831086320B a b )m
+--R           + 
+--R                            6 4                 7 3  4
+--R             (18502726200A a b  + 10572986400B a b )m
+--R           + 
+--R                            6 4                 7 3  3
+--R             (45499804560A a b  + 25999888320B a b )m
+--R           + 
+--R                            6 4                 7 3  2
+--R             (69444103680A a b  + 39682344960B a b )m
+--R           + 
+--R                            6 4                 7 3                   6 4
+--R             (58406987520A a b  + 33375421440B a b )m + 20118067200A a b
+--R           + 
+--R                           7 3
+--R             11496038400B a b
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    7 3        8 2  11           7 3          8 2  10
+--R             (120A a b  + 45B a b )m   + (8880A a b  + 3330B a b )m
+--R           + 
+--R                       7 3            8 2  9              7 3             8 2  8
+--R             (290520A a b  + 108945B a b )m  + (5530320A a b  + 2073870B a b )m
+--R           + 
+--R                         7 3              8 2  7
+--R             (67814280A a b  + 25430355B a b )m
+--R           + 
+--R                          7 3               8 2  6
+--R             (559938960A a b  + 209977110B a b )m
+--R           + 
+--R                           7 3                8 2  5
+--R             (3159071880A a b  + 1184651955B a b )m
+--R           + 
+--R                            7 3                8 2  4
+--R             (12092130480A a b  + 4534548930B a b )m
+--R           + 
+--R                            7 3                 8 2  3
+--R             (30496298400A a b  + 11436111900B a b )m
+--R           + 
+--R                            7 3                 8 2  2
+--R             (47696592960A a b  + 17886222360B a b )m
+--R           + 
+--R                            7 3                 8 2                   7 3
+--R             (41000774400A a b  + 15375290400B a b )m + 14370048000A a b
+--R           + 
+--R                          8 2
+--R             5388768000B a b
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   8 2        9   11           8 2         9   10
+--R             (45A a b  + 10B a b)m   + (3375A a b  + 750B a b)m
+--R           + 
+--R                       8 2           9   9              8 2            9   8
+--R             (112140A a b  + 24920B a b)m  + (2173230A a b  + 482940B a b)m
+--R           + 
+--R                         8 2             9   7
+--R             (27206145A a b  + 6045810B a b)m
+--R           + 
+--R                          8 2              9   6
+--R             (230080095A a b  + 51128910B a b)m
+--R           + 
+--R                           8 2               9   5
+--R             (1334320110A a b  + 296515580B a b)m
+--R           + 
+--R                           8 2                9   4
+--R             (5270196420A a b  + 1171154760B a b)m
+--R           + 
+--R                            8 2                9   3
+--R             (13763718360A a b  + 3058604080B a b)m
+--R           + 
+--R                            8 2                9   2
+--R             (22339514880A a b  + 4964336640B a b)m
+--R           + 
+--R                            8 2                9                   8 2
+--R             (19901635200A a b  + 4422585600B a b)m + 7185024000A a b
+--R           + 
+--R                          9
+--R             1596672000B a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   9       10  11          9         10  10
+--R             (10A a b + B a  )m   + (760A a b + 76B a  )m
+--R           + 
+--R                      9           10  9             9            10  8
+--R             (25650A a b + 2565B a  )m  + (506400A a b + 50640B a  )m
+--R           + 
+--R                        9             10  7               9              10  6
+--R             (6481830A a b + 648183B a  )m  + (56302680A a b + 5630268B a  )m
+--R           + 
+--R                          9               10  5
+--R             (337296950A a b + 33729695B a  )m
+--R           + 
+--R                           9                10  4
+--R             (1386107600A a b + 138610760B a  )m
+--R           + 
+--R                           9                10  3
+--R             (3799853160A a b + 379985316B a  )m
+--R           + 
+--R                           9                10  2
+--R             (6540442560A a b + 654044256B a  )m
+--R           + 
+--R                           9                10                  9
+--R             (6234710400A a b + 623471040B a  )m + 2395008000A a b
+--R           + 
+--R                         10
+--R             239500800B a
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                10 11        10 10          10 9           10 8            10 7
+--R             A a  m   + 77A a  m   + 2640A a  m  + 53130A a  m  + 696333A a  m
+--R           + 
+--R                       10 6              10 5               10 4
+--R             6230301A a  m  + 38759930A a  m  + 167310220A a  m
+--R           + 
+--R                         10 3               10 2                10
+--R             489896616A a  m  + 924118272A a  m  + 1007441280A a  m
+--R           + 
+--R                         10
+--R             479001600A a
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R        12      11        10         9          8           7            6
+--R       m   + 78m   + 2717m   + 55770m  + 749463m  + 6926634m  + 44990231m
+--R     + 
+--R                 5             4              3              2
+--R       206070150m  + 657206836m  + 1414014888m  + 1931559552m  + 1486442880m
+--R     + 
+--R       479001600
+--R                                         Type: Union(Expression(Integer),...)
+--E 308
+
+--S 309 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                  10 11        10 10          10 9           10 8
+--R               B b  m   + 66B b  m   + 1925B b  m  + 32670B b  m
+--R             + 
+--R                        10 7             10 6              10 5
+--R               357423B b  m  + 2637558B b  m  + 13339535B b  m
+--R             + 
+--R                          10 4               10 3               10 2
+--R               45995730B b  m  + 105258076B b  m  + 150917976B b  m
+--R             + 
+--R                           10               10
+--R               120543840B b  m + 39916800B b
+--R          *
+--R              12
+--R             x
+--R         + 
+--R                   10          9  11         10           9  10
+--R               (A b   + 10B a b )m   + (67A b   + 670B a b )m
+--R             + 
+--R                       10             9  9            10              9  8
+--R               (1980A b   + 19800B a b )m  + (33990A b   + 339900B a b )m
+--R             + 
+--R                         10               9  7
+--R               (375573A b   + 3755730B a b )m
+--R             + 
+--R                          10                9  6
+--R               (2795331A b   + 27953310B a b )m
+--R             + 
+--R                           10                 9  5
+--R               (14241590A b   + 142415900B a b )m
+--R             + 
+--R                           10                 9  4
+--R               (49412660A b   + 494126600B a b )m
+--R             + 
+--R                            10                  9  3
+--R               (113667576A b   + 1136675760B a b )m
+--R             + 
+--R                            10                  9  2
+--R               (163671552A b   + 1636715520B a b )m
+--R             + 
+--R                            10                  9                10
+--R               (131172480A b   + 1311724800B a b )m + 43545600A b
+--R             + 
+--R                             9
+--R               435456000B a b
+--R          *
+--R              11
+--R             x
+--R         + 
+--R                       9        2 8  11            9          2 8  10
+--R               (10A a b  + 45B a b )m   + (680A a b  + 3060B a b )m
+--R             + 
+--R                          9           2 8  9               9             2 8  8
+--R               (20370A a b  + 91665B a b )m  + (354000A a b  + 1593000B a b )m
+--R             + 
+--R                            9              2 8  7
+--R               (3954630A a b  + 17795835B a b )m
+--R             + 
+--R                             9               2 8  6
+--R               (29720040A a b  + 133740180B a b )m
+--R             + 
+--R                              9               2 8  5
+--R               (152701910A a b  + 687158595B a b )m
+--R             + 
+--R                              9                2 8  4
+--R               (533682400A a b  + 2401570800B a b )m
+--R             + 
+--R                               9                2 8  3
+--R               (1235244360A a b  + 5558599620B a b )m
+--R             + 
+--R                               9                2 8  2
+--R               (1787705280A a b  + 8044673760B a b )m
+--R             + 
+--R                               9                2 8                   9
+--R               (1438542720A a b  + 6473442240B a b )m + 479001600A a b
+--R             + 
+--R                            2 8
+--R               2155507200B a b
+--R          *
+--R              10
+--R             x
+--R         + 
+--R                     2 8         3 7  11           2 8          3 7  10
+--R               (45A a b  + 120B a b )m   + (3105A a b  + 8280B a b )m
+--R             + 
+--R                        2 8            3 7  9
+--R               (94320A a b  + 251520B a b )m
+--R             + 
+--R                          2 8             3 7  8
+--R               (1660770A a b  + 4428720B a b )m
+--R             + 
+--R                           2 8              3 7  7
+--R               (18778905A a b  + 50077080B a b )m
+--R             + 
+--R                            2 8               3 7  6
+--R               (142688385A a b  + 380502360B a b )m
+--R             + 
+--R                            2 8                3 7  5
+--R               (740364930A a b  + 1974306480B a b )m
+--R             + 
+--R                             2 8                3 7  4
+--R               (2609872380A a b  + 6959659680B a b )m
+--R             + 
+--R                             2 8                 3 7  3
+--R               (6085456200A a b  + 16227883200B a b )m
+--R             + 
+--R                             2 8                 3 7  2
+--R               (8861564160A a b  + 23630837760B a b )m
+--R             + 
+--R                             2 8                 3 7                  2 8
+--R               (7166102400A a b  + 19109606400B a b )m + 2395008000A a b
+--R             + 
+--R                            3 7
+--R               6386688000B a b
+--R          *
+--R              9
+--R             x
+--R         + 
+--R                      3 7         4 6  11           3 7           4 6  10
+--R               (120A a b  + 210B a b )m   + (8400A a b  + 14700B a b )m
+--R             + 
+--R                         3 7            4 6  9
+--R               (258840A a b  + 452970B a b )m
+--R             + 
+--R                          3 7             4 6  8
+--R               (4621680A a b  + 8087940B a b )m
+--R             + 
+--R                           3 7              4 6  7
+--R               (52962120A a b  + 92683710B a b )m
+--R             + 
+--R                            3 7               4 6  6
+--R               (407499120A a b  + 713123460B a b )m
+--R             + 
+--R                             3 7                4 6  5
+--R               (2138834760A a b  + 3742960830B a b )m
+--R             + 
+--R                             3 7                 4 6  4
+--R               (7617739920A a b  + 13331044860B a b )m
+--R             + 
+--R                              3 7                 4 6  3
+--R               (17922900960A a b  + 31365076680B a b )m
+--R             + 
+--R                              3 7                 4 6  2
+--R               (26298578880A a b  + 46022513040B a b )m
+--R             + 
+--R                              3 7                 4 6                  3 7
+--R               (21398515200A a b  + 37447401600B a b )m + 7185024000A a b
+--R             + 
+--R                             4 6
+--R               12573792000B a b
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                      4 6         5 5  11            4 6           5 5  10
+--R               (210A a b  + 252B a b )m   + (14910A a b  + 17892B a b )m
+--R             + 
+--R                         4 6            5 5  9
+--R               (466200A a b  + 559440B a b )m
+--R             + 
+--R                          4 6              5 5  8
+--R               (8448300A a b  + 10137960B a b )m
+--R             + 
+--R                           4 6               5 5  7
+--R               (98249130A a b  + 117898956B a b )m
+--R             + 
+--R                            4 6               5 5  6
+--R               (766849230A a b  + 920219076B a b )m
+--R             + 
+--R                             4 6                5 5  5
+--R               (4080003900A a b  + 4896004680B a b )m
+--R             + 
+--R                              4 6                 5 5  4
+--R               (14714704200A a b  + 17657645040B a b )m
+--R             + 
+--R                              4 6                 5 5  3
+--R               (35010506160A a b  + 42012607392B a b )m
+--R             + 
+--R                              4 6                 5 5  2
+--R               (51869583360A a b  + 62243500032B a b )m
+--R             + 
+--R                              4 6                 5 5                   4 6
+--R               (42540422400A a b  + 51048506880B a b )m + 14370048000A a b
+--R             + 
+--R                             5 5
+--R               17244057600B a b
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                      5 5         6 4  11            5 5           6 4  10
+--R               (252A a b  + 210B a b )m   + (18144A a b  + 15120B a b )m
+--R             + 
+--R                         5 5            6 4  9
+--R               (575820A a b  + 479850B a b )m
+--R             + 
+--R                           5 5             6 4  8
+--R               (10599120A a b  + 8832600B a b )m
+--R             + 
+--R                            5 5               6 4  7
+--R               (125269956A a b  + 104391630B a b )m
+--R             + 
+--R                            5 5               6 4  6
+--R               (993892032A a b  + 828243360B a b )m
+--R             + 
+--R                             5 5                6 4  5
+--R               (5374186020A a b  + 4478488350B a b )m
+--R             + 
+--R                              5 5                 6 4  4
+--R               (19684561680A a b  + 16403801400B a b )m
+--R             + 
+--R                              5 5                 6 4  3
+--R               (47508752592A a b  + 39590627160B a b )m
+--R             + 
+--R                              5 5                 6 4  2
+--R               (71279236224A a b  + 59399363520B a b )m
+--R             + 
+--R                              5 5                 6 4                   5 5
+--R               (59077589760A a b  + 49231324800B a b )m + 20118067200A a b
+--R             + 
+--R                             6 4
+--R               16765056000B a b
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      6 4         7 3  11            6 4          7 3  10
+--R               (210A a b  + 120B a b )m   + (15330A a b  + 8760B a b )m
+--R             + 
+--R                         6 4            7 3  9
+--R               (493920A a b  + 282240B a b )m
+--R             + 
+--R                          6 4             7 3  8
+--R               (9242100A a b  + 5281200B a b )m
+--R             + 
+--R                            6 4              7 3  7
+--R               (111176730A a b  + 63529560B a b )m
+--R             + 
+--R                            6 4               7 3  6
+--R               (898709490A a b  + 513548280B a b )m
+--R             + 
+--R                             6 4                7 3  5
+--R               (4954401060A a b  + 2831086320B a b )m
+--R             + 
+--R                              6 4                 7 3  4
+--R               (18502726200A a b  + 10572986400B a b )m
+--R             + 
+--R                              6 4                 7 3  3
+--R               (45499804560A a b  + 25999888320B a b )m
+--R             + 
+--R                              6 4                 7 3  2
+--R               (69444103680A a b  + 39682344960B a b )m
+--R             + 
+--R                              6 4                 7 3                   6 4
+--R               (58406987520A a b  + 33375421440B a b )m + 20118067200A a b
+--R             + 
+--R                             7 3
+--R               11496038400B a b
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                      7 3        8 2  11           7 3          8 2  10
+--R               (120A a b  + 45B a b )m   + (8880A a b  + 3330B a b )m
+--R             + 
+--R                         7 3            8 2  9
+--R               (290520A a b  + 108945B a b )m
+--R             + 
+--R                          7 3             8 2  8
+--R               (5530320A a b  + 2073870B a b )m
+--R             + 
+--R                           7 3              8 2  7
+--R               (67814280A a b  + 25430355B a b )m
+--R             + 
+--R                            7 3               8 2  6
+--R               (559938960A a b  + 209977110B a b )m
+--R             + 
+--R                             7 3                8 2  5
+--R               (3159071880A a b  + 1184651955B a b )m
+--R             + 
+--R                              7 3                8 2  4
+--R               (12092130480A a b  + 4534548930B a b )m
+--R             + 
+--R                              7 3                 8 2  3
+--R               (30496298400A a b  + 11436111900B a b )m
+--R             + 
+--R                              7 3                 8 2  2
+--R               (47696592960A a b  + 17886222360B a b )m
+--R             + 
+--R                              7 3                 8 2                   7 3
+--R               (41000774400A a b  + 15375290400B a b )m + 14370048000A a b
+--R             + 
+--R                            8 2
+--R               5388768000B a b
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     8 2        9   11           8 2         9   10
+--R               (45A a b  + 10B a b)m   + (3375A a b  + 750B a b)m
+--R             + 
+--R                         8 2           9   9              8 2            9   8
+--R               (112140A a b  + 24920B a b)m  + (2173230A a b  + 482940B a b)m
+--R             + 
+--R                           8 2             9   7
+--R               (27206145A a b  + 6045810B a b)m
+--R             + 
+--R                            8 2              9   6
+--R               (230080095A a b  + 51128910B a b)m
+--R             + 
+--R                             8 2               9   5
+--R               (1334320110A a b  + 296515580B a b)m
+--R             + 
+--R                             8 2                9   4
+--R               (5270196420A a b  + 1171154760B a b)m
+--R             + 
+--R                              8 2                9   3
+--R               (13763718360A a b  + 3058604080B a b)m
+--R             + 
+--R                              8 2                9   2
+--R               (22339514880A a b  + 4964336640B a b)m
+--R             + 
+--R                              8 2                9                   8 2
+--R               (19901635200A a b  + 4422585600B a b)m + 7185024000A a b
+--R             + 
+--R                            9
+--R               1596672000B a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     9       10  11          9         10  10
+--R               (10A a b + B a  )m   + (760A a b + 76B a  )m
+--R             + 
+--R                        9           10  9             9            10  8
+--R               (25650A a b + 2565B a  )m  + (506400A a b + 50640B a  )m
+--R             + 
+--R                          9             10  7               9              10  6
+--R               (6481830A a b + 648183B a  )m  + (56302680A a b + 5630268B a  )m
+--R             + 
+--R                            9               10  5
+--R               (337296950A a b + 33729695B a  )m
+--R             + 
+--R                             9                10  4
+--R               (1386107600A a b + 138610760B a  )m
+--R             + 
+--R                             9                10  3
+--R               (3799853160A a b + 379985316B a  )m
+--R             + 
+--R                             9                10  2
+--R               (6540442560A a b + 654044256B a  )m
+--R             + 
+--R                             9                10                  9
+--R               (6234710400A a b + 623471040B a  )m + 2395008000A a b
+--R             + 
+--R                           10
+--R               239500800B a
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  10 11        10 10          10 9           10 8
+--R               A a  m   + 77A a  m   + 2640A a  m  + 53130A a  m
+--R             + 
+--R                        10 7             10 6              10 5
+--R               696333A a  m  + 6230301A a  m  + 38759930A a  m
+--R             + 
+--R                           10 4               10 3               10 2
+--R               167310220A a  m  + 489896616A a  m  + 924118272A a  m
+--R             + 
+--R                            10                10
+--R               1007441280A a  m + 479001600A a
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R                10 11        10 10          10 9           10 8            10 7
+--R           - B b  m   - 66B b  m   - 1925B b  m  - 32670B b  m  - 357423B b  m
+--R         + 
+--R                       10 6              10 5              10 4
+--R           - 2637558B b  m  - 13339535B b  m  - 45995730B b  m
+--R         + 
+--R                       10 3               10 2               10               10
+--R         - 105258076B b  m  - 150917976B b  m  - 120543840B b  m - 39916800B b
+--R      *
+--R          m + 12
+--R         x
+--R     + 
+--R                 10          9  11           10           9  10
+--R           (- A b   - 10B a b )m   + (- 67A b   - 670B a b )m
+--R         + 
+--R                     10             9  9              10              9  8
+--R           (- 1980A b   - 19800B a b )m  + (- 33990A b   - 339900B a b )m
+--R         + 
+--R                       10               9  7
+--R           (- 375573A b   - 3755730B a b )m
+--R         + 
+--R                        10                9  6
+--R           (- 2795331A b   - 27953310B a b )m
+--R         + 
+--R                         10                 9  5
+--R           (- 14241590A b   - 142415900B a b )m
+--R         + 
+--R                         10                 9  4
+--R           (- 49412660A b   - 494126600B a b )m
+--R         + 
+--R                          10                  9  3
+--R           (- 113667576A b   - 1136675760B a b )m
+--R         + 
+--R                          10                  9  2
+--R           (- 163671552A b   - 1636715520B a b )m
+--R         + 
+--R                          10                  9                10
+--R           (- 131172480A b   - 1311724800B a b )m - 43545600A b
+--R         + 
+--R                           9
+--R           - 435456000B a b
+--R      *
+--R          m + 11
+--R         x
+--R     + 
+--R                     9        2 8  11              9          2 8  10
+--R           (- 10A a b  - 45B a b )m   + (- 680A a b  - 3060B a b )m
+--R         + 
+--R                        9           2 8  9                 9             2 8  8
+--R           (- 20370A a b  - 91665B a b )m  + (- 354000A a b  - 1593000B a b )m
+--R         + 
+--R                          9              2 8  7
+--R           (- 3954630A a b  - 17795835B a b )m
+--R         + 
+--R                           9               2 8  6
+--R           (- 29720040A a b  - 133740180B a b )m
+--R         + 
+--R                            9               2 8  5
+--R           (- 152701910A a b  - 687158595B a b )m
+--R         + 
+--R                            9                2 8  4
+--R           (- 533682400A a b  - 2401570800B a b )m
+--R         + 
+--R                             9                2 8  3
+--R           (- 1235244360A a b  - 5558599620B a b )m
+--R         + 
+--R                             9                2 8  2
+--R           (- 1787705280A a b  - 8044673760B a b )m
+--R         + 
+--R                             9                2 8                   9
+--R           (- 1438542720A a b  - 6473442240B a b )m - 479001600A a b
+--R         + 
+--R                          2 8
+--R           - 2155507200B a b
+--R      *
+--R          m + 10
+--R         x
+--R     + 
+--R                   2 8         3 7  11             2 8          3 7  10
+--R           (- 45A a b  - 120B a b )m   + (- 3105A a b  - 8280B a b )m
+--R         + 
+--R                      2 8            3 7  9
+--R           (- 94320A a b  - 251520B a b )m
+--R         + 
+--R                        2 8             3 7  8
+--R           (- 1660770A a b  - 4428720B a b )m
+--R         + 
+--R                         2 8              3 7  7
+--R           (- 18778905A a b  - 50077080B a b )m
+--R         + 
+--R                          2 8               3 7  6
+--R           (- 142688385A a b  - 380502360B a b )m
+--R         + 
+--R                          2 8                3 7  5
+--R           (- 740364930A a b  - 1974306480B a b )m
+--R         + 
+--R                           2 8                3 7  4
+--R           (- 2609872380A a b  - 6959659680B a b )m
+--R         + 
+--R                           2 8                 3 7  3
+--R           (- 6085456200A a b  - 16227883200B a b )m
+--R         + 
+--R                           2 8                 3 7  2
+--R           (- 8861564160A a b  - 23630837760B a b )m
+--R         + 
+--R                           2 8                 3 7                  2 8
+--R           (- 7166102400A a b  - 19109606400B a b )m - 2395008000A a b
+--R         + 
+--R                          3 7
+--R           - 6386688000B a b
+--R      *
+--R          m + 9
+--R         x
+--R     + 
+--R                    3 7         4 6  11             3 7           4 6  10
+--R           (- 120A a b  - 210B a b )m   + (- 8400A a b  - 14700B a b )m
+--R         + 
+--R                       3 7            4 6  9
+--R           (- 258840A a b  - 452970B a b )m
+--R         + 
+--R                        3 7             4 6  8
+--R           (- 4621680A a b  - 8087940B a b )m
+--R         + 
+--R                         3 7              4 6  7
+--R           (- 52962120A a b  - 92683710B a b )m
+--R         + 
+--R                          3 7               4 6  6
+--R           (- 407499120A a b  - 713123460B a b )m
+--R         + 
+--R                           3 7                4 6  5
+--R           (- 2138834760A a b  - 3742960830B a b )m
+--R         + 
+--R                           3 7                 4 6  4
+--R           (- 7617739920A a b  - 13331044860B a b )m
+--R         + 
+--R                            3 7                 4 6  3
+--R           (- 17922900960A a b  - 31365076680B a b )m
+--R         + 
+--R                            3 7                 4 6  2
+--R           (- 26298578880A a b  - 46022513040B a b )m
+--R         + 
+--R                            3 7                 4 6                  3 7
+--R           (- 21398515200A a b  - 37447401600B a b )m - 7185024000A a b
+--R         + 
+--R                           4 6
+--R           - 12573792000B a b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                    4 6         5 5  11              4 6           5 5  10
+--R           (- 210A a b  - 252B a b )m   + (- 14910A a b  - 17892B a b )m
+--R         + 
+--R                       4 6            5 5  9
+--R           (- 466200A a b  - 559440B a b )m
+--R         + 
+--R                        4 6              5 5  8
+--R           (- 8448300A a b  - 10137960B a b )m
+--R         + 
+--R                         4 6               5 5  7
+--R           (- 98249130A a b  - 117898956B a b )m
+--R         + 
+--R                          4 6               5 5  6
+--R           (- 766849230A a b  - 920219076B a b )m
+--R         + 
+--R                           4 6                5 5  5
+--R           (- 4080003900A a b  - 4896004680B a b )m
+--R         + 
+--R                            4 6                 5 5  4
+--R           (- 14714704200A a b  - 17657645040B a b )m
+--R         + 
+--R                            4 6                 5 5  3
+--R           (- 35010506160A a b  - 42012607392B a b )m
+--R         + 
+--R                            4 6                 5 5  2
+--R           (- 51869583360A a b  - 62243500032B a b )m
+--R         + 
+--R                            4 6                 5 5                   4 6
+--R           (- 42540422400A a b  - 51048506880B a b )m - 14370048000A a b
+--R         + 
+--R                           5 5
+--R           - 17244057600B a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                    5 5         6 4  11              5 5           6 4  10
+--R           (- 252A a b  - 210B a b )m   + (- 18144A a b  - 15120B a b )m
+--R         + 
+--R                       5 5            6 4  9
+--R           (- 575820A a b  - 479850B a b )m
+--R         + 
+--R                         5 5             6 4  8
+--R           (- 10599120A a b  - 8832600B a b )m
+--R         + 
+--R                          5 5               6 4  7
+--R           (- 125269956A a b  - 104391630B a b )m
+--R         + 
+--R                          5 5               6 4  6
+--R           (- 993892032A a b  - 828243360B a b )m
+--R         + 
+--R                           5 5                6 4  5
+--R           (- 5374186020A a b  - 4478488350B a b )m
+--R         + 
+--R                            5 5                 6 4  4
+--R           (- 19684561680A a b  - 16403801400B a b )m
+--R         + 
+--R                            5 5                 6 4  3
+--R           (- 47508752592A a b  - 39590627160B a b )m
+--R         + 
+--R                            5 5                 6 4  2
+--R           (- 71279236224A a b  - 59399363520B a b )m
+--R         + 
+--R                            5 5                 6 4                   5 5
+--R           (- 59077589760A a b  - 49231324800B a b )m - 20118067200A a b
+--R         + 
+--R                           6 4
+--R           - 16765056000B a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                    6 4         7 3  11              6 4          7 3  10
+--R           (- 210A a b  - 120B a b )m   + (- 15330A a b  - 8760B a b )m
+--R         + 
+--R                       6 4            7 3  9
+--R           (- 493920A a b  - 282240B a b )m
+--R         + 
+--R                        6 4             7 3  8
+--R           (- 9242100A a b  - 5281200B a b )m
+--R         + 
+--R                          6 4              7 3  7
+--R           (- 111176730A a b  - 63529560B a b )m
+--R         + 
+--R                          6 4               7 3  6
+--R           (- 898709490A a b  - 513548280B a b )m
+--R         + 
+--R                           6 4                7 3  5
+--R           (- 4954401060A a b  - 2831086320B a b )m
+--R         + 
+--R                            6 4                 7 3  4
+--R           (- 18502726200A a b  - 10572986400B a b )m
+--R         + 
+--R                            6 4                 7 3  3
+--R           (- 45499804560A a b  - 25999888320B a b )m
+--R         + 
+--R                            6 4                 7 3  2
+--R           (- 69444103680A a b  - 39682344960B a b )m
+--R         + 
+--R                            6 4                 7 3                   6 4
+--R           (- 58406987520A a b  - 33375421440B a b )m - 20118067200A a b
+--R         + 
+--R                           7 3
+--R           - 11496038400B a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                    7 3        8 2  11             7 3          8 2  10
+--R           (- 120A a b  - 45B a b )m   + (- 8880A a b  - 3330B a b )m
+--R         + 
+--R                       7 3            8 2  9
+--R           (- 290520A a b  - 108945B a b )m
+--R         + 
+--R                        7 3             8 2  8
+--R           (- 5530320A a b  - 2073870B a b )m
+--R         + 
+--R                         7 3              8 2  7
+--R           (- 67814280A a b  - 25430355B a b )m
+--R         + 
+--R                          7 3               8 2  6
+--R           (- 559938960A a b  - 209977110B a b )m
+--R         + 
+--R                           7 3                8 2  5
+--R           (- 3159071880A a b  - 1184651955B a b )m
+--R         + 
+--R                            7 3                8 2  4
+--R           (- 12092130480A a b  - 4534548930B a b )m
+--R         + 
+--R                            7 3                 8 2  3
+--R           (- 30496298400A a b  - 11436111900B a b )m
+--R         + 
+--R                            7 3                 8 2  2
+--R           (- 47696592960A a b  - 17886222360B a b )m
+--R         + 
+--R                            7 3                 8 2                   7 3
+--R           (- 41000774400A a b  - 15375290400B a b )m - 14370048000A a b
+--R         + 
+--R                          8 2
+--R           - 5388768000B a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                   8 2        9   11             8 2         9   10
+--R           (- 45A a b  - 10B a b)m   + (- 3375A a b  - 750B a b)m
+--R         + 
+--R                       8 2           9   9                8 2            9   8
+--R           (- 112140A a b  - 24920B a b)m  + (- 2173230A a b  - 482940B a b)m
+--R         + 
+--R                         8 2             9   7
+--R           (- 27206145A a b  - 6045810B a b)m
+--R         + 
+--R                          8 2              9   6
+--R           (- 230080095A a b  - 51128910B a b)m
+--R         + 
+--R                           8 2               9   5
+--R           (- 1334320110A a b  - 296515580B a b)m
+--R         + 
+--R                           8 2                9   4
+--R           (- 5270196420A a b  - 1171154760B a b)m
+--R         + 
+--R                            8 2                9   3
+--R           (- 13763718360A a b  - 3058604080B a b)m
+--R         + 
+--R                            8 2                9   2
+--R           (- 22339514880A a b  - 4964336640B a b)m
+--R         + 
+--R                            8 2                9                   8 2
+--R           (- 19901635200A a b  - 4422585600B a b)m - 7185024000A a b
+--R         + 
+--R                          9
+--R           - 1596672000B a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                   9       10  11            9         10  10
+--R           (- 10A a b - B a  )m   + (- 760A a b - 76B a  )m
+--R         + 
+--R                      9           10  9               9            10  8
+--R           (- 25650A a b - 2565B a  )m  + (- 506400A a b - 50640B a  )m
+--R         + 
+--R                        9             10  7                 9              10  6
+--R           (- 6481830A a b - 648183B a  )m  + (- 56302680A a b - 5630268B a  )m
+--R         + 
+--R                          9               10  5
+--R           (- 337296950A a b - 33729695B a  )m
+--R         + 
+--R                           9                10  4
+--R           (- 1386107600A a b - 138610760B a  )m
+--R         + 
+--R                           9                10  3
+--R           (- 3799853160A a b - 379985316B a  )m
+--R         + 
+--R                           9                10  2
+--R           (- 6540442560A a b - 654044256B a  )m
+--R         + 
+--R                           9                10                  9
+--R           (- 6234710400A a b - 623471040B a  )m - 2395008000A a b
+--R         + 
+--R                         10
+--R           - 239500800B a
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R                10 11        10 10          10 9           10 8            10 7
+--R           - A a  m   - 77A a  m   - 2640A a  m  - 53130A a  m  - 696333A a  m
+--R         + 
+--R                       10 6              10 5               10 4
+--R           - 6230301A a  m  - 38759930A a  m  - 167310220A a  m
+--R         + 
+--R                         10 3               10 2                10
+--R           - 489896616A a  m  - 924118272A a  m  - 1007441280A a  m
+--R         + 
+--R                         10
+--R           - 479001600A a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R        12      11        10         9          8           7            6
+--R       m   + 78m   + 2717m   + 55770m  + 749463m  + 6926634m  + 44990231m
+--R     + 
+--R                 5             4              3              2
+--R       206070150m  + 657206836m  + 1414014888m  + 1931559552m  + 1486442880m
+--R     + 
+--R       479001600
+--R                                                    Type: Expression(Integer)
+--E 309
+
+--S 310 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 310
+
+)clear all
+
+--S 311 of 1293
+t0:=x^10*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 21       10          9  20           9        2 8  19
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  18          3 7         4 6  17
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  16          5 5         6 4  15
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  14          7 3        8 2  13
+--R     (210A a b  + 120B a b )x   + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   12         9       10  11      10 10
+--R     (45A a b  + 10B a b)x   + (10A a b + B a  )x   + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 311
+
+--S 312 of 1293
+r0:=1/11*a^10*A*x^11+1/12*a^9*(10*A*b+a*B)*x^12+_
+     5/13*a^8*b*(9*A*b+2*a*B)*x^13+15/14*a^7*b^2*(8*A*b+3*a*B)*x^14+_
+     2*a^6*b^3*(7*A*b+4*a*B)*x^15+21/8*a^5*b^4*(6*A*b+5*a*B)*x^16+_
+     42/17*a^4*b^5*(5*A*b+6*a*B)*x^17+5/3*a^3*b^6*(4*A*b+7*a*B)*x^18+_
+     15/19*a^2*b^7*(3*A*b+8*a*B)*x^19+1/4*a*b^8*(2*A*b+9*a*B)*x^20+_
+     1/21*b^9*(A*b+10*a*B)*x^21+1/22*b^10*B*x^22
+--R 
+--R
+--R   (2)
+--R      1    10 22     1    10   10      9  21    1      9   9    2 8  20
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + - B a b )x
+--R     22             21         21               2          4
+--R   + 
+--R      45    2 8   120    3 7  19    20    3 7   35    4 6  18
+--R     (-- A a b  + --- B a b )x   + (-- A a b  + -- B a b )x
+--R      19           19                3           3
+--R   + 
+--R      210    4 6   252    5 5  17    63    5 5   105    6 4  16
+--R     (--- A a b  + --- B a b )x   + (-- A a b  + --- B a b )x
+--R       17           17                4           8
+--R   + 
+--R           6 4       7 3  15    60    7 3   45    8 2  14
+--R     (14A a b  + 8B a b )x   + (-- A a b  + -- B a b )x
+--R                                 7          14
+--R   + 
+--R      45    8 2   10    9   13    5    9     1    10  12    1    10 11
+--R     (-- A a b  + -- B a b)x   + (- A a b + -- B a  )x   + -- A a  x
+--R      13          13              6         12             11
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 312
+
+--S 313 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 22     1    10   10      9  21    1      9   9    2 8  20
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + - B a b )x
+--R     22             21         21               2          4
+--R   + 
+--R      45    2 8   120    3 7  19    20    3 7   35    4 6  18
+--R     (-- A a b  + --- B a b )x   + (-- A a b  + -- B a b )x
+--R      19           19                3           3
+--R   + 
+--R      210    4 6   252    5 5  17    63    5 5   105    6 4  16
+--R     (--- A a b  + --- B a b )x   + (-- A a b  + --- B a b )x
+--R       17           17                4           8
+--R   + 
+--R           6 4       7 3  15    60    7 3   45    8 2  14
+--R     (14A a b  + 8B a b )x   + (-- A a b  + -- B a b )x
+--R                                 7          14
+--R   + 
+--R      45    8 2   10    9   13    5    9     1    10  12    1    10 11
+--R     (-- A a b  + -- B a b)x   + (- A a b + -- B a  )x   + -- A a  x
+--R      13          13              6         12             11
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 313
+
+--S 314 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 314
+
+--S 315 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 315
+
+)clear all
+
+--S 316 of 1293
+t0:=x^9*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 20       10          9  19           9        2 8  18
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  17          3 7         4 6  16
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  15          5 5         6 4  14
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  13          7 3        8 2  12
+--R     (210A a b  + 120B a b )x   + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   11         9       10  10      10 9
+--R     (45A a b  + 10B a b)x   + (10A a b + B a  )x   + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 316
+
+--S 317 of 1293
+r0:=1/10*a^10*A*x^10+1/11*a^9*(10*A*b+a*B)*x^11+_
+     5/12*a^8*b*(9*A*b+2*a*B)*x^12+15/13*a^7*b^2*(8*A*b+3*a*B)*x^13+_
+     15/7*a^6*b^3*(7*A*b+4*a*B)*x^14+14/5*a^5*b^4*(6*A*b+5*a*B)*x^15+_
+     21/8*a^4*b^5*(5*A*b+6*a*B)*x^16+30/17*a^3*b^6*(4*A*b+7*a*B)*x^17+_
+     5/6*a^2*b^7*(3*A*b+8*a*B)*x^18+5/19*a*b^8*(2*A*b+9*a*B)*x^19+_
+     1/20*b^9*(A*b+10*a*B)*x^20+1/21*b^10*B*x^21
+--R 
+--R
+--R   (2)
+--R      1    10 21     1    10   1      9  20    10      9   45    2 8  19
+--R     -- B b  x   + (-- A b   + - B a b )x   + (-- A a b  + -- B a b )x
+--R     21             20         2               19          19
+--R   + 
+--R      5    2 8   20    3 7  18    120    3 7   210    4 6  17
+--R     (- A a b  + -- B a b )x   + (--- A a b  + --- B a b )x
+--R      2           3                17           17
+--R   + 
+--R      105    4 6   63    5 5  16    84    5 5        6 4  15
+--R     (--- A a b  + -- B a b )x   + (-- A a b  + 14B a b )x
+--R       8            4                5
+--R   + 
+--R           6 4   60    7 3  14    120    7 3   45    8 2  13
+--R     (15A a b  + -- B a b )x   + (--- A a b  + -- B a b )x
+--R                  7                13          13
+--R   + 
+--R      15    8 2   5    9   12    10    9     1    10  11    1    10 10
+--R     (-- A a b  + - B a b)x   + (-- A a b + -- B a  )x   + -- A a  x
+--R       4          6              11         11             10
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 317
+
+--S 318 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 21     1    10   1      9  20    10      9   45    2 8  19
+--R     -- B b  x   + (-- A b   + - B a b )x   + (-- A a b  + -- B a b )x
+--R     21             20         2               19          19
+--R   + 
+--R      5    2 8   20    3 7  18    120    3 7   210    4 6  17
+--R     (- A a b  + -- B a b )x   + (--- A a b  + --- B a b )x
+--R      2           3                17           17
+--R   + 
+--R      105    4 6   63    5 5  16    84    5 5        6 4  15
+--R     (--- A a b  + -- B a b )x   + (-- A a b  + 14B a b )x
+--R       8            4                5
+--R   + 
+--R           6 4   60    7 3  14    120    7 3   45    8 2  13
+--R     (15A a b  + -- B a b )x   + (--- A a b  + -- B a b )x
+--R                  7                13          13
+--R   + 
+--R      15    8 2   5    9   12    10    9     1    10  11    1    10 10
+--R     (-- A a b  + - B a b)x   + (-- A a b + -- B a  )x   + -- A a  x
+--R       4          6              11         11             10
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 318
+
+--S 319 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 319
+
+--S 320 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 320
+
+)clear all
+
+--S 321 of 1293
+t0:=x^8*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 19       10          9  18           9        2 8  17
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  16          3 7         4 6  15
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  14          5 5         6 4  13
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  12          7 3        8 2  11
+--R     (210A a b  + 120B a b )x   + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   10         9       10  9      10 8
+--R     (45A a b  + 10B a b)x   + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 321
+
+--S 322 of 1293
+r0:=1/9*a^10*A*x^9+1/10*a^9*(10*A*b+a*B)*x^10+_
+     5/11*a^8*b*(9*A*b+2*a*B)*x^11+5/4*a^7*b^2*(8*A*b+3*a*B)*x^12+_
+     30/13*a^6*b^3*(7*A*b+4*a*B)*x^13+3*a^5*b^4*(6*A*b+5*a*B)*x^14+_
+     14/5*a^4*b^5*(5*A*b+6*a*B)*x^15+15/8*a^3*b^6*(4*A*b+7*a*B)*x^16+_
+     15/17*a^2*b^7*(3*A*b+8*a*B)*x^17+5/18*a*b^8*(2*A*b+9*a*B)*x^18+_
+     1/19*b^9*(A*b+10*a*B)*x^19+1/20*b^10*B*x^20
+--R 
+--R
+--R   (2)
+--R      1    10 20     1    10   10      9  19    5      9   5    2 8  18
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + - B a b )x
+--R     20             19         19               9          2
+--R   + 
+--R      45    2 8   120    3 7  17    15    3 7   105    4 6  16
+--R     (-- A a b  + --- B a b )x   + (-- A a b  + --- B a b )x
+--R      17           17                2           8
+--R   + 
+--R           4 6   84    5 5  15         5 5        6 4  14
+--R     (14A a b  + -- B a b )x   + (18A a b  + 15B a b )x
+--R                  5
+--R   + 
+--R      210    6 4   120    7 3  13         7 3   15    8 2  12
+--R     (--- A a b  + --- B a b )x   + (10A a b  + -- B a b )x
+--R       13           13                           4
+--R   + 
+--R      45    8 2   10    9   11       9     1    10  10   1    10 9
+--R     (-- A a b  + -- B a b)x   + (A a b + -- B a  )x   + - A a  x
+--R      11          11                      10             9
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 322
+
+--S 323 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 20     1    10   10      9  19    5      9   5    2 8  18
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + - B a b )x
+--R     20             19         19               9          2
+--R   + 
+--R      45    2 8   120    3 7  17    15    3 7   105    4 6  16
+--R     (-- A a b  + --- B a b )x   + (-- A a b  + --- B a b )x
+--R      17           17                2           8
+--R   + 
+--R           4 6   84    5 5  15         5 5        6 4  14
+--R     (14A a b  + -- B a b )x   + (18A a b  + 15B a b )x
+--R                  5
+--R   + 
+--R      210    6 4   120    7 3  13         7 3   15    8 2  12
+--R     (--- A a b  + --- B a b )x   + (10A a b  + -- B a b )x
+--R       13           13                           4
+--R   + 
+--R      45    8 2   10    9   11       9     1    10  10   1    10 9
+--R     (-- A a b  + -- B a b)x   + (A a b + -- B a  )x   + - A a  x
+--R      11          11                      10             9
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 323
+
+--S 324 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 324
+
+--S 325 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 325
+
+)clear all
+
+--S 326 of 1293
+t0:=x^7*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 18       10          9  17           9        2 8  16
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  15          3 7         4 6  14
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  13          5 5         6 4  12
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  11          7 3        8 2  10
+--R     (210A a b  + 120B a b )x   + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   9         9       10  8      10 7
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 326
+
+--S 327 of 1293
+r0:=-1/11*a^7*(A*b-a*B)*(a+b*x)^11/b^9+_
+     1/12*a^6*(7*A*b-8*a*B)*(a+b*x)^12/b^9-_
+     7/13*a^5*(3*A*b-4*a*B)*(a+b*x)^13/b^9+_
+     1/2*a^4*(5*A*b-8*a*B)*(a+b*x)^14/b^9-_
+     7/3*a^3*(A*b-2*a*B)*(a+b*x)^15/b^9+_
+     7/16*a^2*(3*A*b-8*a*B)*(a+b*x)^16/b^9-_
+     7/17*a*(A*b-4*a*B)*(a+b*x)^17/b^9+_
+     1/18*(A*b-8*a*B)*(a+b*x)^18/b^9+1/19*B*(a+b*x)^19/b^9
+--R 
+--R
+--R   (2)
+--R        1    19 19     1    19   5      18  18    10      18   45    2 17  17
+--R       -- B b  x   + (-- A b   + - B a b  )x   + (-- A a b   + -- B a b  )x
+--R       19             18         9                17           17
+--R     + 
+--R        45    2 17   15    3 16  16        3 16        4 15  15
+--R       (-- A a b   + -- B a b  )x   + (8A a b   + 14B a b  )x
+--R        16            2
+--R     + 
+--R             4 15        5 14  14    252    5 14   210    6 13  13
+--R       (15A a b   + 18B a b  )x   + (--- A a b   + --- B a b  )x
+--R                                      13            13
+--R     + 
+--R        35    6 13        7 12  12    120    7 12   45    8 11  11
+--R       (-- A a b   + 10B a b  )x   + (--- A a b   + -- B a b  )x
+--R         2                             11           11
+--R     + 
+--R        9    8 11      9 10  10    10    9 10   1    10 9  9   1    10 9 8
+--R       (- A a b   + B a b  )x   + (-- A a b   + - B a  b )x  + - A a  b x
+--R        2                           9           9              8
+--R     + 
+--R            1      18       1      19
+--R       - ------ A a  b + ------ B a
+--R         350064          831402
+--R  /
+--R      9
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 327
+
+--S 328 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 19     1    10   5      9  18    10      9   45    2 8  17
+--R     -- B b  x   + (-- A b   + - B a b )x   + (-- A a b  + -- B a b )x
+--R     19             18         9               17          17
+--R   + 
+--R      45    2 8   15    3 7  16        3 7        4 6  15
+--R     (-- A a b  + -- B a b )x   + (8A a b  + 14B a b )x
+--R      16           2
+--R   + 
+--R           4 6        5 5  14    252    5 5   210    6 4  13
+--R     (15A a b  + 18B a b )x   + (--- A a b  + --- B a b )x
+--R                                  13           13
+--R   + 
+--R      35    6 4        7 3  12    120    7 3   45    8 2  11
+--R     (-- A a b  + 10B a b )x   + (--- A a b  + -- B a b )x
+--R       2                           11          11
+--R   + 
+--R      9    8 2      9   10    10    9    1    10  9   1    10 8
+--R     (- A a b  + B a b)x   + (-- A a b + - B a  )x  + - A a  x
+--R      2                        9         9            8
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 328
+
+--S 329 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           1      18       1      19
+--R        ------ A a  b - ------ B a
+--R        350064          831402
+--R   (4)  ----------------------------
+--R                      9
+--R                     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 329
+
+--S 330 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 330
+
+)clear all
+
+--S 331 of 1293
+t0:=x^6*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 17       10          9  16           9        2 8  15
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  14          3 7         4 6  13
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  12          5 5         6 4  11
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  10          7 3        8 2  9
+--R     (210A a b  + 120B a b )x   + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   8         9       10  7      10 6
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 331
+
+--S 332 of 1293
+r0:=1/11*a^6*(A*b-a*B)*(a+b*x)^11/b^8-1/12*a^5*(6*A*b-7*a*B)*(a+b*x)^12/b^8+_
+     3/13*a^4*(5*A*b-7*a*B)*(a+b*x)^13/b^8-_
+     5/14*a^3*(4*A*b-7*a*B)*(a+b*x)^14/b^8+_
+     1/3*a^2*(3*A*b-7*a*B)*(a+b*x)^15/b^8-_
+     3/16*a*(2*A*b-7*a*B)*(a+b*x)^16/b^8+_
+     1/17*(A*b-7*a*B)*(a+b*x)^17/b^8+1/18*B*(a+b*x)^18/b^8
+--R 
+--R
+--R   (2)
+--R        1    18 18     1    18   10      17  17    5      17   45    2 16  16
+--R       -- B b  x   + (-- A b   + -- B a b  )x   + (- A a b   + -- B a b  )x
+--R       18             17         17                8           16
+--R     + 
+--R            2 16       3 15  15    60    3 15        4 14  14
+--R       (3A a b   + 8B a b  )x   + (-- A a b   + 15B a b  )x
+--R                                    7
+--R     + 
+--R        210    4 14   252    5 13  13         5 13   35    6 12  12
+--R       (--- A a b   + --- B a b  )x   + (21A a b   + -- B a b  )x
+--R         13            13                             2
+--R     + 
+--R        210    6 12   120    7 11  11         7 11   9    8 10  10
+--R       (--- A a b   + --- B a b  )x   + (12A a b   + - B a b  )x
+--R         11            11                            2
+--R     + 
+--R            8 10   10    9 9  9    5    9 9   1    10 8  8   1    10 8 7
+--R       (5A a b   + -- B a b )x  + (- A a b  + - B a  b )x  + - A a  b x
+--R                    9              4          8              7
+--R     + 
+--R          1      17       1      18
+--R       ------ A a  b - ------ B a
+--R       136136          350064
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 332
+
+--S 333 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 18     1    10   10      9  17    5      9   45    2 8  16
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + -- B a b )x
+--R     18             17         17               8          16
+--R   + 
+--R          2 8       3 7  15    60    3 7        4 6  14
+--R     (3A a b  + 8B a b )x   + (-- A a b  + 15B a b )x
+--R                                7
+--R   + 
+--R      210    4 6   252    5 5  13         5 5   35    6 4  12
+--R     (--- A a b  + --- B a b )x   + (21A a b  + -- B a b )x
+--R       13           13                           2
+--R   + 
+--R      210    6 4   120    7 3  11         7 3   9    8 2  10
+--R     (--- A a b  + --- B a b )x   + (12A a b  + - B a b )x
+--R       11           11                          2
+--R   + 
+--R          8 2   10    9   9    5    9    1    10  8   1    10 7
+--R     (5A a b  + -- B a b)x  + (- A a b + - B a  )x  + - A a  x
+--R                 9             4         8            7
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 333
+
+--S 334 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             1      17       1      18
+--R        - ------ A a  b + ------ B a
+--R          136136          350064
+--R   (4)  ------------------------------
+--R                       8
+--R                      b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 334
+
+--S 335 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 335
+
+)clear all
+
+--S 336 of 1293
+t0:=x^5*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 16       10          9  15           9        2 8  14
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  13          3 7         4 6  12
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  11          5 5         6 4  10
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  9          7 3        8 2  8
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   7         9       10  6      10 5
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 336
+
+--S 337 of 1293
+r0:=-1/11*a^5*(A*b-a*B)*(a+b*x)^11/b^7+_
+     1/12*a^4*(5*A*b-6*a*B)*(a+b*x)^12/b^7-_
+     5/13*a^3*(2*A*b-3*a*B)*(a+b*x)^13/b^7+_
+     5/7*a^2*(A*b-2*a*B)*(a+b*x)^14/b^7-_
+     1/3*a*(A*b-3*a*B)*(a+b*x)^15/b^7+_
+     1/16*(A*b-6*a*B)*(a+b*x)^16/b^7+1/17*B*(a+b*x)^17/b^7
+--R 
+--R
+--R   (2)
+--R        1    17 17     1    17   5      16  16    2      16       2 15  15
+--R       -- B b  x   + (-- A b   + - B a b  )x   + (- A a b   + 3B a b  )x
+--R       17             16         8                3
+--R     + 
+--R        45    2 15   60    3 14  14    120    3 14   210    4 13  13
+--R       (-- A a b   + -- B a b  )x   + (--- A a b   + --- B a b  )x
+--R        14            7                 13            13
+--R     + 
+--R        35    4 13        5 12  12    252    5 12   210    6 11  11
+--R       (-- A a b   + 21B a b  )x   + (--- A a b   + --- B a b  )x
+--R         2                             11            11
+--R     + 
+--R             6 11        7 10  10    40    7 10       8 9  9
+--R       (21A a b   + 12B a b  )x   + (-- A a b   + 5B a b )x
+--R                                      3
+--R     + 
+--R        45    8 9   5    9 8  8    10    9 8   1    10 7  7   1    10 7 6
+--R       (-- A a b  + - B a b )x  + (-- A a b  + - B a  b )x  + - A a  b x
+--R         8          4               7          7              6
+--R     + 
+--R           1      16       1      17
+--R       - ----- A a  b + ------ B a
+--R         48048          136136
+--R  /
+--R      7
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 337
+
+--S 338 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 17     1    10   5      9  16    2      9       2 8  15
+--R     -- B b  x   + (-- A b   + - B a b )x   + (- A a b  + 3B a b )x
+--R     17             16         8               3
+--R   + 
+--R      45    2 8   60    3 7  14    120    3 7   210    4 6  13
+--R     (-- A a b  + -- B a b )x   + (--- A a b  + --- B a b )x
+--R      14           7                13           13
+--R   + 
+--R      35    4 6        5 5  12    252    5 5   210    6 4  11
+--R     (-- A a b  + 21B a b )x   + (--- A a b  + --- B a b )x
+--R       2                           11           11
+--R   + 
+--R           6 4        7 3  10    40    7 3       8 2  9
+--R     (21A a b  + 12B a b )x   + (-- A a b  + 5B a b )x
+--R                                  3
+--R   + 
+--R      45    8 2   5    9   8    10    9    1    10  7   1    10 6
+--R     (-- A a b  + - B a b)x  + (-- A a b + - B a  )x  + - A a  x
+--R       8          4              7         7            6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 338
+
+--S 339 of 1293
+m0:=a0-r0
+--R 
+--R
+--R          1      16       1      17
+--R        ----- A a  b - ------ B a
+--R        48048          136136
+--R   (4)  ---------------------------
+--R                      7
+--R                     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 339
+
+--S 340 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 340
+
+)clear all
+
+--S 341 of 1293
+t0:=x^4*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 15       10          9  14           9        2 8  13
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  12          3 7         4 6  11
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  10          5 5         6 4  9
+--R     (210A a b  + 252B a b )x   + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  8          7 3        8 2  7
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   6         9       10  5      10 4
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 341
+
+--S 342 of 1293
+r0:=1/11*a^4*(A*b-a*B)*(a+b*x)^11/b^6-_
+     1/12*a^3*(4*A*b-5*a*B)*(a+b*x)^12/b^6+_
+     2/13*a^2*(3*A*b-5*a*B)*(a+b*x)^13/b^6-_
+     1/7*a*(2*A*b-5*a*B)*(a+b*x)^14/b^6+_
+     1/15*(A*b-5*a*B)*(a+b*x)^15/b^6+1/16*B*(a+b*x)^16/b^6
+--R 
+--R
+--R   (2)
+--R        1    16 16     1    16   2      15  15    5      15   45    2 14  14
+--R       -- B b  x   + (-- A b   + - B a b  )x   + (- A a b   + -- B a b  )x
+--R       16             15         3                7           14
+--R     + 
+--R        45    2 14   120    3 13  13         3 13   35    4 12  12
+--R       (-- A a b   + --- B a b  )x   + (10A a b   + -- B a b  )x
+--R        13            13                             2
+--R     + 
+--R        210    4 12   252    5 11  11    126    5 11        6 10  10
+--R       (--- A a b   + --- B a b  )x   + (--- A a b   + 21B a b  )x
+--R         11            11                 5
+--R     + 
+--R        70    6 10   40    7 9  9         7 9   45    8 8  8
+--R       (-- A a b   + -- B a b )x  + (15A a b  + -- B a b )x
+--R         3            3                          8
+--R     + 
+--R        45    8 8   10    9 7  7    5    9 7   1    10 6  6   1    10 6 5
+--R       (-- A a b  + -- B a b )x  + (- A a b  + - B a  b )x  + - A a  b x
+--R         7           7              3          6              5
+--R     + 
+--R         1      15      1      16
+--R       ----- A a  b - ----- B a
+--R       15015          48048
+--R  /
+--R      6
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 342
+
+--S 343 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 16     1    10   2      9  15    5      9   45    2 8  14
+--R     -- B b  x   + (-- A b   + - B a b )x   + (- A a b  + -- B a b )x
+--R     16             15         3               7          14
+--R   + 
+--R      45    2 8   120    3 7  13         3 7   35    4 6  12
+--R     (-- A a b  + --- B a b )x   + (10A a b  + -- B a b )x
+--R      13           13                           2
+--R   + 
+--R      210    4 6   252    5 5  11    126    5 5        6 4  10
+--R     (--- A a b  + --- B a b )x   + (--- A a b  + 21B a b )x
+--R       11           11                5
+--R   + 
+--R      70    6 4   40    7 3  9         7 3   45    8 2  8
+--R     (-- A a b  + -- B a b )x  + (15A a b  + -- B a b )x
+--R       3           3                          8
+--R   + 
+--R      45    8 2   10    9   7    5    9    1    10  6   1    10 5
+--R     (-- A a b  + -- B a b)x  + (- A a b + - B a  )x  + - A a  x
+--R       7           7             3         6            5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 343
+
+--S 344 of 1293
+m0:=a0-r0
+--R 
+--R
+--R            1      15      1      16
+--R        - ----- A a  b + ----- B a
+--R          15015          48048
+--R   (4)  ----------------------------
+--R                      6
+--R                     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 344
+
+--S 345 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 345
+
+)clear all
+
+--S 346 of 1293
+t0:=x^3*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 14       10          9  13           9        2 8  12
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  11          3 7         4 6  10
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  9          5 5         6 4  8
+--R     (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  7          7 3        8 2  6
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   5         9       10  4      10 3
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 346
+
+--S 347 of 1293
+r0:=-1/11*a^3*(A*b-a*B)*(a+b*x)^11/b^5+_
+     1/12*a^2*(3*A*b-4*a*B)*(a+b*x)^12/b^5-_
+     3/13*a*(A*b-2*a*B)*(a+b*x)^13/b^5+_
+     1/14*(A*b-4*a*B)*(a+b*x)^14/b^5+1/15*B*(a+b*x)^15/b^5
+--R 
+--R
+--R   (2)
+--R        1    15 15     1    15   5      14  14    10      14   45    2 13  13
+--R       -- B b  x   + (-- A b   + - B a b  )x   + (-- A a b   + -- B a b  )x
+--R       15             14         7                13           13
+--R     + 
+--R        15    2 13        3 12  12    120    3 12   210    4 11  11
+--R       (-- A a b   + 10B a b  )x   + (--- A a b   + --- B a b  )x
+--R         4                             11            11
+--R     + 
+--R             4 11   126    5 10  10         5 10   70    6 9  9
+--R       (21A a b   + --- B a b  )x   + (28A a b   + -- B a b )x
+--R                     5                              3
+--R     + 
+--R        105    6 9        7 8  8    120    7 8   45    8 7  7
+--R       (--- A a b  + 15B a b )x  + (--- A a b  + -- B a b )x
+--R         4                           7            7
+--R     + 
+--R        15    8 7   5    9 6  6        9 6   1    10 5  5   1    10 5 4
+--R       (-- A a b  + - B a b )x  + (2A a b  + - B a  b )x  + - A a  b x
+--R         2          3                        5              4
+--R     + 
+--R           1     14      1      15
+--R       - ---- A a  b + ----- B a
+--R         4004          15015
+--R  /
+--R      5
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 347
+
+--S 348 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 15     1    10   5      9  14    10      9   45    2 8  13
+--R     -- B b  x   + (-- A b   + - B a b )x   + (-- A a b  + -- B a b )x
+--R     15             14         7               13          13
+--R   + 
+--R      15    2 8        3 7  12    120    3 7   210    4 6  11
+--R     (-- A a b  + 10B a b )x   + (--- A a b  + --- B a b )x
+--R       4                           11           11
+--R   + 
+--R           4 6   126    5 5  10         5 5   70    6 4  9
+--R     (21A a b  + --- B a b )x   + (28A a b  + -- B a b )x
+--R                  5                            3
+--R   + 
+--R      105    6 4        7 3  8    120    7 3   45    8 2  7
+--R     (--- A a b  + 15B a b )x  + (--- A a b  + -- B a b )x
+--R       4                           7            7
+--R   + 
+--R      15    8 2   5    9   6        9    1    10  5   1    10 4
+--R     (-- A a b  + - B a b)x  + (2A a b + - B a  )x  + - A a  x
+--R       2          3                      5            4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 348
+
+--S 349 of 1293
+m0:=a0-r0
+--R 
+--R
+--R          1     14      1      15
+--R        ---- A a  b - ----- B a
+--R        4004          15015
+--R   (4)  -------------------------
+--R                     5
+--R                    b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 349
+
+--S 350 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 350
+
+)clear all
+
+--S 351 of 1293
+t0:=x^2*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 13       10          9  12           9        2 8  11
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  10          3 7         4 6  9
+--R     (45A a b  + 120B a b )x   + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  8          5 5         6 4  7
+--R     (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  6          7 3        8 2  5
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   4         9       10  3      10 2
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 351
+
+--S 352 of 1293
+r0:=1/11*a^2*(A*b-a*B)*(a+b*x)^11/b^4-_
+     1/12*a*(2*A*b-3*a*B)*(a+b*x)^12/b^4+_
+     1/13*(A*b-3*a*B)*(a+b*x)^13/b^4+1/14*B*(a+b*x)^14/b^4
+--R 
+--R
+--R   (2)
+--R        1    14 14     1    14   10      13  13    5      13   15    2 12  12
+--R       -- B b  x   + (-- A b   + -- B a b  )x   + (- A a b   + -- B a b  )x
+--R       14             13         13                6            4
+--R     + 
+--R        45    2 12   120    3 11  11         3 11        4 10  10
+--R       (-- A a b   + --- B a b  )x   + (12A a b   + 21B a b  )x
+--R        11            11
+--R     + 
+--R        70    4 10        5 9  9    63    5 9   105    6 8  8
+--R       (-- A a b   + 28B a b )x  + (-- A a b  + --- B a b )x
+--R         3                           2           4
+--R     + 
+--R             6 8   120    7 7  7         7 7   15    8 6  6
+--R       (30A a b  + --- B a b )x  + (20A a b  + -- B a b )x
+--R                    7                           2
+--R     + 
+--R            8 6       9 5  5    5    9 5   1    10 4  4   1    10 4 3
+--R       (9A a b  + 2B a b )x  + (- A a b  + - B a  b )x  + - A a  b x
+--R                                2          4              3
+--R     + 
+--R        1     13      1     14
+--R       --- A a  b - ---- B a
+--R       858          4004
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 352
+
+--S 353 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 14     1    10   10      9  13    5      9   15    2 8  12
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (- A a b  + -- B a b )x
+--R     14             13         13               6           4
+--R   + 
+--R      45    2 8   120    3 7  11         3 7        4 6  10
+--R     (-- A a b  + --- B a b )x   + (12A a b  + 21B a b )x
+--R      11           11
+--R   + 
+--R      70    4 6        5 5  9    63    5 5   105    6 4  8
+--R     (-- A a b  + 28B a b )x  + (-- A a b  + --- B a b )x
+--R       3                          2           4
+--R   + 
+--R           6 4   120    7 3  7         7 3   15    8 2  6        8 2       9   5
+--R     (30A a b  + --- B a b )x  + (20A a b  + -- B a b )x  + (9A a b  + 2B a b)x
+--R                  7                           2
+--R   + 
+--R      5    9    1    10  4   1    10 3
+--R     (- A a b + - B a  )x  + - A a  x
+--R      2         4            3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 353
+
+--S 354 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           1     13      1     14
+--R        - --- A a  b + ---- B a
+--R          858          4004
+--R   (4)  -------------------------
+--R                     4
+--R                    b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 354
+
+--S 355 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 355
+
+)clear all
+
+--S 356 of 1293
+t0:=x*(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 12       10          9  11           9        2 8  10
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  9          3 7         4 6  8
+--R     (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  7          5 5         6 4  6
+--R     (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  5          7 3        8 2  4
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   3         9       10  2      10
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x  + A a  x
+--R                                                    Type: Polynomial(Integer)
+--E 356
+
+--S 357 of 1293
+r0:=-1/11*a*(A*b-a*B)*(a+b*x)^11/b^3+1/12*(A*b-2*a*B)*(a+b*x)^12/b^3+_
+     1/13*B*(a+b*x)^13/b^3
+--R 
+--R
+--R   (2)
+--R        1    13 13     1    13   5      12  12    10      12   45    2 11  11
+--R       -- B b  x   + (-- A b   + - B a b  )x   + (-- A a b   + -- B a b  )x
+--R       13             12         6                11           11
+--R     + 
+--R        9    2 11        3 10  10    40    3 10   70    4 9  9
+--R       (- A a b   + 12B a b  )x   + (-- A a b   + -- B a b )x
+--R        2                             3            3
+--R     + 
+--R        105    4 9   63    5 8  8         5 8        6 7  7
+--R       (--- A a b  + -- B a b )x  + (36A a b  + 30B a b )x
+--R         4            2
+--R     + 
+--R             6 7        7 6  6         7 6       8 5  5
+--R       (35A a b  + 20B a b )x  + (24A a b  + 9B a b )x
+--R     + 
+--R        45    8 5   5    9 4  4    10    9 4   1    10 3  3   1    10 3 2
+--R       (-- A a b  + - B a b )x  + (-- A a b  + - B a  b )x  + - A a  b x
+--R         4          2               3          3              2
+--R     + 
+--R          1     12     1     13
+--R       - --- A a  b + --- B a
+--R         132          858
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 357
+
+--S 358 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 13     1    10   5      9  12    10      9   45    2 8  11
+--R     -- B b  x   + (-- A b   + - B a b )x   + (-- A a b  + -- B a b )x
+--R     13             12         6               11          11
+--R   + 
+--R      9    2 8        3 7  10    40    3 7   70    4 6  9
+--R     (- A a b  + 12B a b )x   + (-- A a b  + -- B a b )x
+--R      2                           3           3
+--R   + 
+--R      105    4 6   63    5 5  8         5 5        6 4  7
+--R     (--- A a b  + -- B a b )x  + (36A a b  + 30B a b )x
+--R       4            2
+--R   + 
+--R           6 4        7 3  6         7 3       8 2  5    45    8 2   5    9   4
+--R     (35A a b  + 20B a b )x  + (24A a b  + 9B a b )x  + (-- A a b  + - B a b)x
+--R                                                          4          2
+--R   + 
+--R      10    9    1    10  3   1    10 2
+--R     (-- A a b + - B a  )x  + - A a  x
+--R       3         3            2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 358
+
+--S 359 of 1293
+m0:=a0-r0
+--R 
+--R
+--R         1     12     1     13
+--R        --- A a  b - --- B a
+--R        132          858
+--R   (4)  ----------------------
+--R                   3
+--R                  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 359
+
+--S 360 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 360
+
+)clear all
+
+--S 361 of 1293
+t0:=(a+b*x)^10*(A+B*x)
+--R 
+--R
+--R   (1)
+--R        10 11       10          9  10           9        2 8  9
+--R     B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R   + 
+--R           2 8         3 7  8          3 7         4 6  7
+--R     (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R   + 
+--R            4 6         5 5  6          5 5         6 4  5
+--R     (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R   + 
+--R            6 4         7 3  4          7 3        8 2  3
+--R     (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R   + 
+--R           8 2        9   2         9       10        10
+--R     (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R                                                    Type: Polynomial(Integer)
+--E 361
+
+--S 362 of 1293
+r0:=1/11*(A*b-a*B)*(a+b*x)^11/b^2+1/12*B*(a+b*x)^12/b^2
+--R 
+--R
+--R   (2)
+--R        1    12 12     1    12   10      11  11         11   9    2 10  10
+--R       -- B b  x   + (-- A b   + -- B a b  )x   + (A a b   + - B a b  )x
+--R       12             11         11                          2
+--R     + 
+--R            2 10   40    3 9  9         3 9   105    4 8  8
+--R       (5A a b   + -- B a b )x  + (15A a b  + --- B a b )x
+--R                    3                          4
+--R     + 
+--R             4 8        5 7  7         5 7        6 6  6
+--R       (30A a b  + 36B a b )x  + (42A a b  + 35B a b )x
+--R     + 
+--R             6 6        7 5  5         7 5   45    8 4  4
+--R       (42A a b  + 24B a b )x  + (30A a b  + -- B a b )x
+--R                                              4
+--R     + 
+--R             8 4   10    9 3  3        9 3   1    10 2  2      10 2     1    11
+--R       (15A a b  + -- B a b )x  + (5A a b  + - B a  b )x  + A a  b x + -- A a  b
+--R                    3                        2                         11
+--R     + 
+--R          1     12
+--R       - --- B a
+--R         132
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 362
+
+--S 363 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    10 12     1    10   10      9  11         9   9    2 8  10
+--R     -- B b  x   + (-- A b   + -- B a b )x   + (A a b  + - B a b )x
+--R     12             11         11                        2
+--R   + 
+--R          2 8   40    3 7  9         3 7   105    4 6  8
+--R     (5A a b  + -- B a b )x  + (15A a b  + --- B a b )x
+--R                 3                          4
+--R   + 
+--R           4 6        5 5  7         5 5        6 4  6         6 4        7 3  5
+--R     (30A a b  + 36B a b )x  + (42A a b  + 35B a b )x  + (42A a b  + 24B a b )x
+--R   + 
+--R           7 3   45    8 2  4         8 2   10    9   3        9    1    10  2
+--R     (30A a b  + -- B a b )x  + (15A a b  + -- B a b)x  + (5A a b + - B a  )x
+--R                  4                          3                      2
+--R   + 
+--R        10
+--R     A a  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 363
+
+--S 364 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           1    11     1     12
+--R        - -- A a  b + --- B a
+--R          11          132
+--R   (4)  -----------------------
+--R                    2
+--R                   b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 364
+
+--S 365 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 365
+
+)clear all
+
+--S 366 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 366
+
+--S 367 of 1293
+r0:=10*a^9*A*b*x+45/2*a^8*A*b^2*x^2+40*a^7*A*b^3*x^3+_
+     105/2*a^6*A*b^4*x^4+252/5*a^5*A*b^5*x^5+35*a^4*A*b^6*x^6+_
+     120/7*a^3*A*b^7*x^7+45/8*a^2*A*b^8*x^8+10/9*a*A*b^9*x^9+_
+     1/10*A*b^10*x^10+1/11*B*(a+b*x)^11/b+a^10*A*log(x)
+--R 
+--R
+--R   (2)
+--R               10                  11 11           11             10  10
+--R       27720A a  b log(x) + 2520B b  x   + (2772A b   + 27720B a b  )x
+--R     + 
+--R                  10            2 9  9             2 9            3 8  8
+--R       (30800A a b   + 138600B a b )x  + (155925A a b  + 415800B a b )x
+--R     + 
+--R                 3 8            4 7  7             4 7             5 6  6
+--R       (475200A a b  + 831600B a b )x  + (970200A a b  + 1164240B a b )x
+--R     + 
+--R                  5 6             6 5  5              6 5            7 4  4
+--R       (1397088A a b  + 1164240B a b )x  + (1455300A a b  + 831600B a b )x
+--R     + 
+--R                  7 4            8 3  3             8 3            9 2  2
+--R       (1108800A a b  + 415800B a b )x  + (623700A a b  + 138600B a b )x
+--R     + 
+--R                 9 2           10             11
+--R       (277200A a b  + 27720B a  b)x + 2520B a
+--R  /
+--R     27720b
+--R                                                    Type: Expression(Integer)
+--E 367
+
+--S 368 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               10                10 11           10             9  10
+--R       27720A a  log(x) + 2520B b  x   + (2772A b   + 27720B a b )x
+--R     + 
+--R                  9            2 8  9             2 8            3 7  8
+--R       (30800A a b  + 138600B a b )x  + (155925A a b  + 415800B a b )x
+--R     + 
+--R                 3 7            4 6  7             4 6             5 5  6
+--R       (475200A a b  + 831600B a b )x  + (970200A a b  + 1164240B a b )x
+--R     + 
+--R                  5 5             6 4  5              6 4            7 3  4
+--R       (1397088A a b  + 1164240B a b )x  + (1455300A a b  + 831600B a b )x
+--R     + 
+--R                  7 3            8 2  3             8 2            9   2
+--R       (1108800A a b  + 415800B a b )x  + (623700A a b  + 138600B a b)x
+--R     + 
+--R                 9            10
+--R       (277200A a b + 27720B a  )x
+--R  /
+--R     27720
+--R                                         Type: Union(Expression(Integer),...)
+--E 368
+
+--S 369 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             11
+--R          B a
+--R   (4)  - -----
+--R           11b
+--R                                                    Type: Expression(Integer)
+--E 369
+
+--S 370 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 370
+
+)clear all
+
+--S 371 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^2
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      2
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 371
+
+--S 372 of 1293
+r0:=-a^10*A/x+5*a^8*b*(9*A*b+2*a*B)*x+15/2*a^7*b^2*(8*A*b+3*a*B)*x^2+_
+     10*a^6*b^3*(7*A*b+4*a*B)*x^3+21/2*a^5*b^4*(6*A*b+5*a*B)*x^4+_
+     42/5*a^4*b^5*(5*A*b+6*a*B)*x^5+5*a^3*b^6*(4*A*b+7*a*B)*x^6+_
+     15/7*a^2*b^7*(3*A*b+8*a*B)*x^7+5/8*a*b^8*(2*A*b+9*a*B)*x^8+_
+     1/9*b^9*(A*b+10*a*B)*x^9+1/10*b^10*B*x^10+a^9*(10*A*b+a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                9           10                  10 11
+--R       (25200A a b + 2520B a  )x log(x) + 252B b  x
+--R     + 
+--R              10            9  10             9           2 8  9
+--R       (280A b   + 2800B a b )x   + (3150A a b  + 14175B a b )x
+--R     + 
+--R                2 8           3 7  8            3 7           4 6  7
+--R       (16200A a b  + 43200B a b )x  + (50400A a b  + 88200B a b )x
+--R     + 
+--R                 4 6            5 5  6             5 5            6 4  5
+--R       (105840A a b  + 127008B a b )x  + (158760A a b  + 132300B a b )x
+--R     + 
+--R                 6 4            7 3  4             7 3           8 2  3
+--R       (176400A a b  + 100800B a b )x  + (151200A a b  + 56700B a b )x
+--R     + 
+--R                 8 2           9   2          10
+--R       (113400A a b  + 25200B a b)x  - 2520A a
+--R  /
+--R     2520x
+--R                                                    Type: Expression(Integer)
+--E 372
+
+--S 373 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                9           10                  10 11
+--R       (25200A a b + 2520B a  )x log(x) + 252B b  x
+--R     + 
+--R              10            9  10             9           2 8  9
+--R       (280A b   + 2800B a b )x   + (3150A a b  + 14175B a b )x
+--R     + 
+--R                2 8           3 7  8            3 7           4 6  7
+--R       (16200A a b  + 43200B a b )x  + (50400A a b  + 88200B a b )x
+--R     + 
+--R                 4 6            5 5  6             5 5            6 4  5
+--R       (105840A a b  + 127008B a b )x  + (158760A a b  + 132300B a b )x
+--R     + 
+--R                 6 4            7 3  4             7 3           8 2  3
+--R       (176400A a b  + 100800B a b )x  + (151200A a b  + 56700B a b )x
+--R     + 
+--R                 8 2           9   2          10
+--R       (113400A a b  + 25200B a b)x  - 2520A a
+--R  /
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 373
+
+--S 374 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 374
+
+--S 375 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 375
+
+)clear all
+
+--S 376 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^3
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      3
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 376
+
+--S 377 of 1293
+r0:=-1/2*a^10*A/x^2-a^9*(10*A*b+a*B)/x+15*a^7*b^2*(8*A*b+3*a*B)*x+_
+     15*a^6*b^3*(7*A*b+4*a*B)*x^2+14*a^5*b^4*(6*A*b+5*a*B)*x^3+_
+     21/2*a^4*b^5*(5*A*b+6*a*B)*x^4+6*a^3*b^6*(4*A*b+7*a*B)*x^5+_
+     5/2*a^2*b^7*(3*A*b+8*a*B)*x^6+5/7*a*b^8*(2*A*b+9*a*B)*x^7+_
+     1/8*b^9*(A*b+10*a*B)*x^8+1/9*b^10*B*x^9+5*a^8*b*(9*A*b+2*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                8 2          9   2              10 11         10           9  10
+--R       (22680A a b  + 5040B a b)x log(x) + 56B b  x   + (63A b   + 630B a b )x
+--R     + 
+--R                9          2 8  9           2 8           3 7  8
+--R       (720A a b  + 3240B a b )x  + (3780A a b  + 10080B a b )x
+--R     + 
+--R                3 7           4 6  7            4 6           5 5  6
+--R       (12096A a b  + 21168B a b )x  + (26460A a b  + 31752B a b )x
+--R     + 
+--R                5 5           6 4  5            6 4           7 3  4
+--R       (42336A a b  + 35280B a b )x  + (52920A a b  + 30240B a b )x
+--R     + 
+--R                7 3           8 2  3             9          10           10
+--R       (60480A a b  + 22680B a b )x  + (- 5040A a b - 504B a  )x - 252A a
+--R  /
+--R         2
+--R     504x
+--R                                                    Type: Expression(Integer)
+--E 377
+
+--S 378 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                8 2          9   2              10 11         10           9  10
+--R       (22680A a b  + 5040B a b)x log(x) + 56B b  x   + (63A b   + 630B a b )x
+--R     + 
+--R                9          2 8  9           2 8           3 7  8
+--R       (720A a b  + 3240B a b )x  + (3780A a b  + 10080B a b )x
+--R     + 
+--R                3 7           4 6  7            4 6           5 5  6
+--R       (12096A a b  + 21168B a b )x  + (26460A a b  + 31752B a b )x
+--R     + 
+--R                5 5           6 4  5            6 4           7 3  4
+--R       (42336A a b  + 35280B a b )x  + (52920A a b  + 30240B a b )x
+--R     + 
+--R                7 3           8 2  3             9          10           10
+--R       (60480A a b  + 22680B a b )x  + (- 5040A a b - 504B a  )x - 252A a
+--R  /
+--R         2
+--R     504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 378
+
+--S 379 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 379
+
+--S 380 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 380
+
+)clear all
+
+--S 381 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^4
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      4
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 381
+
+--S 382 of 1293
+r0:=-1/3*a^10*A/x^3-1/2*a^9*(10*A*b+a*B)/x^2-5*a^8*b*(9*A*b+2*a*B)/x+_
+     30*a^6*b^3*(7*A*b+4*a*B)*x+21*a^5*b^4*(6*A*b+5*a*B)*x^2+_
+     14*a^4*b^5*(5*A*b+6*a*B)*x^3+15/2*a^3*b^6*(4*A*b+7*a*B)*x^4+_
+     3*a^2*b^7*(3*A*b+8*a*B)*x^5+5/6*a*b^8*(2*A*b+9*a*B)*x^6+_
+     1/7*b^9*(A*b+10*a*B)*x^7+1/8*b^10*B*x^8+15*a^7*b^2*(8*A*b+3*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                7 3          8 2  3              10 11
+--R       (20160A a b  + 7560B a b )x log(x) + 21B b  x
+--R     + 
+--R             10           9  10            9          2 8  9
+--R       (24A b   + 240B a b )x   + (280A a b  + 1260B a b )x
+--R     + 
+--R               2 8          3 7  8           3 7          4 6  7
+--R       (1512A a b  + 4032B a b )x  + (5040A a b  + 8820B a b )x
+--R     + 
+--R                4 6           5 5  6            5 5           6 4  5
+--R       (11760A a b  + 14112B a b )x  + (21168A a b  + 17640B a b )x
+--R     + 
+--R                6 4           7 3  4             8 2          9   2
+--R       (35280A a b  + 20160B a b )x  + (- 7560A a b  - 1680B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 840A a b - 84B a  )x - 56A a
+--R  /
+--R         3
+--R     168x
+--R                                                    Type: Expression(Integer)
+--E 382
+
+--S 383 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                7 3          8 2  3              10 11
+--R       (20160A a b  + 7560B a b )x log(x) + 21B b  x
+--R     + 
+--R             10           9  10            9          2 8  9
+--R       (24A b   + 240B a b )x   + (280A a b  + 1260B a b )x
+--R     + 
+--R               2 8          3 7  8           3 7          4 6  7
+--R       (1512A a b  + 4032B a b )x  + (5040A a b  + 8820B a b )x
+--R     + 
+--R                4 6           5 5  6            5 5           6 4  5
+--R       (11760A a b  + 14112B a b )x  + (21168A a b  + 17640B a b )x
+--R     + 
+--R                6 4           7 3  4             8 2          9   2
+--R       (35280A a b  + 20160B a b )x  + (- 7560A a b  - 1680B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 840A a b - 84B a  )x - 56A a
+--R  /
+--R         3
+--R     168x
+--R                                         Type: Union(Expression(Integer),...)
+--E 383
+
+--S 384 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 384
+
+--S 385 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 385
+
+)clear all
+
+--S 386 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^5
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      5
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 386
+
+--S 387 of 1293
+r0:=-1/4*a^10*A/x^4-1/3*a^9*(10*A*b+a*B)/x^3-5/2*a^8*b*(9*A*b+2*a*B)/x^2-_
+     15*a^7*b^2*(8*A*b+3*a*B)/x+42*a^5*b^4*(6*A*b+5*a*B)*x+_
+     21*a^4*b^5*(5*A*b+6*a*B)*x^2+10*a^3*b^6*(4*A*b+7*a*B)*x^3+_
+     15/4*a^2*b^7*(3*A*b+8*a*B)*x^4+a*b^8*(2*A*b+9*a*B)*x^5+_
+     1/6*b^9*(A*b+10*a*B)*x^6+1/7*b^10*B*x^7+30*a^6*b^3*(7*A*b+4*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                6 4           7 3  4              10 11
+--R       (17640A a b  + 10080B a b )x log(x) + 12B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (14A b   + 140B a b )x   + (168A a b  + 756B a b )x
+--R     + 
+--R              2 8          3 7  8           3 7          4 6  7
+--R       (945A a b  + 2520B a b )x  + (3360A a b  + 5880B a b )x
+--R     + 
+--R               4 6           5 5  6            5 5           6 4  5
+--R       (8820A a b  + 10584B a b )x  + (21168A a b  + 17640B a b )x
+--R     + 
+--R                  7 3          8 2  3             8 2         9   2
+--R       (- 10080A a b  - 3780B a b )x  + (- 1890A a b  - 420B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 280A a b - 28B a  )x - 21A a
+--R  /
+--R        4
+--R     84x
+--R                                                    Type: Expression(Integer)
+--E 387
+
+--S 388 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                6 4           7 3  4              10 11
+--R       (17640A a b  + 10080B a b )x log(x) + 12B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (14A b   + 140B a b )x   + (168A a b  + 756B a b )x
+--R     + 
+--R              2 8          3 7  8           3 7          4 6  7
+--R       (945A a b  + 2520B a b )x  + (3360A a b  + 5880B a b )x
+--R     + 
+--R               4 6           5 5  6            5 5           6 4  5
+--R       (8820A a b  + 10584B a b )x  + (21168A a b  + 17640B a b )x
+--R     + 
+--R                  7 3          8 2  3             8 2         9   2
+--R       (- 10080A a b  - 3780B a b )x  + (- 1890A a b  - 420B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 280A a b - 28B a  )x - 21A a
+--R  /
+--R        4
+--R     84x
+--R                                         Type: Union(Expression(Integer),...)
+--E 388
+
+--S 389 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 389
+
+--S 390 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 390
+
+)clear all
+
+--S 391 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^6
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      6
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 391
+
+--S 392 of 1293
+r0:=-1/5*a^10*A/x^5-1/4*a^9*(10*A*b+a*B)/x^4-5/3*a^8*b*(9*A*b+2*a*B)/x^3-_
+     15/2*a^7*b^2*(8*A*b+3*a*B)/x^2-30*a^6*b^3*(7*A*b+4*a*B)/x+_
+     42*a^4*b^5*(5*A*b+6*a*B)*x+15*a^3*b^6*(4*A*b+7*a*B)*x^2+_
+     5*a^2*b^7*(3*A*b+8*a*B)*x^3+5/4*a*b^8*(2*A*b+9*a*B)*x^4+_
+     1/5*b^9*(A*b+10*a*B)*x^5+1/6*b^10*B*x^6+42*a^5*b^4*(6*A*b+5*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                5 5           6 4  5              10 11
+--R       (15120A a b  + 12600B a b )x log(x) + 10B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (12A b   + 120B a b )x   + (150A a b  + 675B a b )x
+--R     + 
+--R              2 8          3 7  8           3 7          4 6  7
+--R       (900A a b  + 2400B a b )x  + (3600A a b  + 6300B a b )x
+--R     + 
+--R                4 6           5 5  6              6 4          7 3  4
+--R       (12600A a b  + 15120B a b )x  + (- 12600A a b  - 7200B a b )x
+--R     + 
+--R                 7 3          8 2  3            8 2         9   2
+--R       (- 3600A a b  - 1350B a b )x  + (- 900A a b  - 200B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 150A a b - 15B a  )x - 12A a
+--R  /
+--R        5
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 392
+
+--S 393 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 5           6 4  5              10 11
+--R       (15120A a b  + 12600B a b )x log(x) + 10B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (12A b   + 120B a b )x   + (150A a b  + 675B a b )x
+--R     + 
+--R              2 8          3 7  8           3 7          4 6  7
+--R       (900A a b  + 2400B a b )x  + (3600A a b  + 6300B a b )x
+--R     + 
+--R                4 6           5 5  6              6 4          7 3  4
+--R       (12600A a b  + 15120B a b )x  + (- 12600A a b  - 7200B a b )x
+--R     + 
+--R                 7 3          8 2  3            8 2         9   2
+--R       (- 3600A a b  - 1350B a b )x  + (- 900A a b  - 200B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 150A a b - 15B a  )x - 12A a
+--R  /
+--R        5
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 393
+
+--S 394 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 394
+
+--S 395 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 395
+
+)clear all
+
+--S 396 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^7
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      7
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 396
+
+--S 397 of 1293
+r0:=-1/6*a^10*A/x^6-1/5*a^9*(10*A*b+a*B)/x^5-5/4*a^8*b*(9*A*b+2*a*B)/x^4-_
+     5*a^7*b^2*(8*A*b+3*a*B)/x^3-15*a^6*b^3*(7*A*b+4*a*B)/x^2-_
+     42*a^5*b^4*(6*A*b+5*a*B)/x+30*a^3*b^6*(4*A*b+7*a*B)*x+_
+     15/2*a^2*b^7*(3*A*b+8*a*B)*x^2+5/3*a*b^8*(2*A*b+9*a*B)*x^3+_
+     1/4*b^9*(A*b+10*a*B)*x^4+1/5*b^10*B*x^5+42*a^4*b^5*(5*A*b+6*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                4 6           5 5  6              10 11
+--R       (12600A a b  + 15120B a b )x log(x) + 12B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (15A b   + 150B a b )x   + (200A a b  + 900B a b )x
+--R     + 
+--R               2 8          3 7  8           3 7           4 6  7
+--R       (1350A a b  + 3600B a b )x  + (7200A a b  + 12600B a b )x
+--R     + 
+--R                  5 5           6 4  5             6 4          7 3  4
+--R       (- 15120A a b  - 12600B a b )x  + (- 6300A a b  - 3600B a b )x
+--R     + 
+--R                 7 3         8 2  3            8 2         9   2
+--R       (- 2400A a b  - 900B a b )x  + (- 675A a b  - 150B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 120A a b - 12B a  )x - 10A a
+--R  /
+--R        6
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 397
+
+--S 398 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                4 6           5 5  6              10 11
+--R       (12600A a b  + 15120B a b )x log(x) + 12B b  x
+--R     + 
+--R             10           9  10            9         2 8  9
+--R       (15A b   + 150B a b )x   + (200A a b  + 900B a b )x
+--R     + 
+--R               2 8          3 7  8           3 7           4 6  7
+--R       (1350A a b  + 3600B a b )x  + (7200A a b  + 12600B a b )x
+--R     + 
+--R                  5 5           6 4  5             6 4          7 3  4
+--R       (- 15120A a b  - 12600B a b )x  + (- 6300A a b  - 3600B a b )x
+--R     + 
+--R                 7 3         8 2  3            8 2         9   2
+--R       (- 2400A a b  - 900B a b )x  + (- 675A a b  - 150B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 120A a b - 12B a  )x - 10A a
+--R  /
+--R        6
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 398
+
+--S 399 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 399
+
+--S 400 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 400
+
+)clear all
+
+--S 401 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^8
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      8
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 401
+
+--S 402 of 1293
+r0:=-1/7*a^10*A/x^7-1/6*a^9*(10*A*b+a*B)/x^6-a^8*b*(9*A*b+2*a*B)/x^5-_
+     15/4*a^7*b^2*(8*A*b+3*a*B)/x^4-10*a^6*b^3*(7*A*b+4*a*B)/x^3-_
+     21*a^5*b^4*(6*A*b+5*a*B)/x^2-42*a^4*b^5*(5*A*b+6*a*B)/x+_
+     15*a^2*b^7*(3*A*b+8*a*B)*x+5/2*a*b^8*(2*A*b+9*a*B)*x^2+_
+     1/3*b^9*(A*b+10*a*B)*x^3+1/4*b^10*B*x^4+30*a^3*b^6*(4*A*b+7*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                3 7           4 6  7              10 11
+--R       (10080A a b  + 17640B a b )x log(x) + 21B b  x
+--R     + 
+--R             10           9  10            9          2 8  9
+--R       (28A b   + 280B a b )x   + (420A a b  + 1890B a b )x
+--R     + 
+--R               2 8           3 7  8              4 6           5 5  6
+--R       (3780A a b  + 10080B a b )x  + (- 17640A a b  - 21168B a b )x
+--R     + 
+--R                  5 5          6 4  5             6 4          7 3  4
+--R       (- 10584A a b  - 8820B a b )x  + (- 5880A a b  - 3360B a b )x
+--R     + 
+--R                 7 3         8 2  3            8 2         9   2
+--R       (- 2520A a b  - 945B a b )x  + (- 756A a b  - 168B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 140A a b - 14B a  )x - 12A a
+--R  /
+--R        7
+--R     84x
+--R                                                    Type: Expression(Integer)
+--E 402
+
+--S 403 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 7           4 6  7              10 11
+--R       (10080A a b  + 17640B a b )x log(x) + 21B b  x
+--R     + 
+--R             10           9  10            9          2 8  9
+--R       (28A b   + 280B a b )x   + (420A a b  + 1890B a b )x
+--R     + 
+--R               2 8           3 7  8              4 6           5 5  6
+--R       (3780A a b  + 10080B a b )x  + (- 17640A a b  - 21168B a b )x
+--R     + 
+--R                  5 5          6 4  5             6 4          7 3  4
+--R       (- 10584A a b  - 8820B a b )x  + (- 5880A a b  - 3360B a b )x
+--R     + 
+--R                 7 3         8 2  3            8 2         9   2
+--R       (- 2520A a b  - 945B a b )x  + (- 756A a b  - 168B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 140A a b - 14B a  )x - 12A a
+--R  /
+--R        7
+--R     84x
+--R                                         Type: Union(Expression(Integer),...)
+--E 403
+
+--S 404 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 404
+
+--S 405 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 405
+
+)clear all
+
+--S 406 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^9
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      9
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 406
+
+--S 407 of 1293
+r0:=-1/8*a^10*A/x^8-1/7*a^9*(10*A*b+a*B)/x^7-5/6*a^8*b*(9*A*b+2*a*B)/x^6-_
+     3*a^7*b^2*(8*A*b+3*a*B)/x^5-15/2*a^6*b^3*(7*A*b+4*a*B)/x^4-_
+     14*a^5*b^4*(6*A*b+5*a*B)/x^3-21*a^4*b^5*(5*A*b+6*a*B)/x^2-_
+     30*a^3*b^6*(4*A*b+7*a*B)/x+5*a*b^8*(2*A*b+9*a*B)*x+_
+     1/2*b^9*(A*b+10*a*B)*x^2+1/3*b^10*B*x^3+15*a^2*b^7*(3*A*b+8*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R               2 8           3 7  8              10 11
+--R       (7560A a b  + 20160B a b )x log(x) + 56B b  x
+--R     + 
+--R             10           9  10             9          2 8  9
+--R       (84A b   + 840B a b )x   + (1680A a b  + 7560B a b )x
+--R     + 
+--R                  3 7           4 6  7              4 6           5 5  6
+--R       (- 20160A a b  - 35280B a b )x  + (- 17640A a b  - 21168B a b )x
+--R     + 
+--R                  5 5           6 4  5             6 4          7 3  4
+--R       (- 14112A a b  - 11760B a b )x  + (- 8820A a b  - 5040B a b )x
+--R     + 
+--R                 7 3          8 2  3             8 2         9   2
+--R       (- 4032A a b  - 1512B a b )x  + (- 1260A a b  - 280B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 240A a b - 24B a  )x - 21A a
+--R  /
+--R         8
+--R     168x
+--R                                                    Type: Expression(Integer)
+--E 407
+
+--S 408 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 8           3 7  8              10 11
+--R       (7560A a b  + 20160B a b )x log(x) + 56B b  x
+--R     + 
+--R             10           9  10             9          2 8  9
+--R       (84A b   + 840B a b )x   + (1680A a b  + 7560B a b )x
+--R     + 
+--R                  3 7           4 6  7              4 6           5 5  6
+--R       (- 20160A a b  - 35280B a b )x  + (- 17640A a b  - 21168B a b )x
+--R     + 
+--R                  5 5           6 4  5             6 4          7 3  4
+--R       (- 14112A a b  - 11760B a b )x  + (- 8820A a b  - 5040B a b )x
+--R     + 
+--R                 7 3          8 2  3             8 2         9   2
+--R       (- 4032A a b  - 1512B a b )x  + (- 1260A a b  - 280B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 240A a b - 24B a  )x - 21A a
+--R  /
+--R         8
+--R     168x
+--R                                         Type: Union(Expression(Integer),...)
+--E 408
+
+--S 409 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 409
+
+--S 410 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 410
+
+)clear all
+
+--S 411 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^10
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 411
+
+--S 412 of 1293
+r0:=-1/9*a^10*A/x^9-1/8*a^9*(10*A*b+a*B)/x^8-5/7*a^8*b*(9*A*b+2*a*B)/x^7-_
+     5/2*a^7*b^2*(8*A*b+3*a*B)/x^6-6*a^6*b^3*(7*A*b+4*a*B)/x^5-_
+     21/2*a^5*b^4*(6*A*b+5*a*B)/x^4-14*a^4*b^5*(5*A*b+6*a*B)/x^3-_
+     15*a^3*b^6*(4*A*b+7*a*B)/x^2-15*a^2*b^7*(3*A*b+8*a*B)/x+_
+     b^9*(A*b+10*a*B)*x+1/2*b^10*B*x^2+5*a*b^8*(2*A*b+9*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R                 9           2 8  9               10 11
+--R       (5040A a b  + 22680B a b )x log(x) + 252B b  x
+--R     + 
+--R              10            9  10              2 8           3 7  8
+--R       (504A b   + 5040B a b )x   + (- 22680A a b  - 60480B a b )x
+--R     + 
+--R                  3 7           4 6  7              4 6           5 5  6
+--R       (- 30240A a b  - 52920B a b )x  + (- 35280A a b  - 42336B a b )x
+--R     + 
+--R                  5 5           6 4  5              6 4           7 3  4
+--R       (- 31752A a b  - 26460B a b )x  + (- 21168A a b  - 12096B a b )x
+--R     + 
+--R                  7 3          8 2  3             8 2         9   2
+--R       (- 10080A a b  - 3780B a b )x  + (- 3240A a b  - 720B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 630A a b - 63B a  )x - 56A a
+--R  /
+--R         9
+--R     504x
+--R                                                    Type: Expression(Integer)
+--E 412
+
+--S 413 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 9           2 8  9               10 11
+--R       (5040A a b  + 22680B a b )x log(x) + 252B b  x
+--R     + 
+--R              10            9  10              2 8           3 7  8
+--R       (504A b   + 5040B a b )x   + (- 22680A a b  - 60480B a b )x
+--R     + 
+--R                  3 7           4 6  7              4 6           5 5  6
+--R       (- 30240A a b  - 52920B a b )x  + (- 35280A a b  - 42336B a b )x
+--R     + 
+--R                  5 5           6 4  5              6 4           7 3  4
+--R       (- 31752A a b  - 26460B a b )x  + (- 21168A a b  - 12096B a b )x
+--R     + 
+--R                  7 3          8 2  3             8 2         9   2
+--R       (- 10080A a b  - 3780B a b )x  + (- 3240A a b  - 720B a b)x
+--R     + 
+--R                9         10          10
+--R       (- 630A a b - 63B a  )x - 56A a
+--R  /
+--R         9
+--R     504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 413
+
+--S 414 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 414
+
+--S 415 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 415
+
+)clear all
+
+--S 416 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^11
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      11
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 416
+
+--S 417 of 1293
+r0:=-1/10*a^10*A/x^10-1/9*a^9*(10*A*b+a*B)/x^9-5/8*a^8*b*(9*A*b+2*a*B)/x^8-_
+     15/7*a^7*b^2*(8*A*b+3*a*B)/x^7-5*a^6*b^3*(7*A*b+4*a*B)/x^6-_
+     42/5*a^5*b^4*(6*A*b+5*a*B)/x^5-21/2*a^4*b^5*(5*A*b+6*a*B)/x^4-_
+     10*a^3*b^6*(4*A*b+7*a*B)/x^3-15/2*a^2*b^7*(3*A*b+8*a*B)/x^2-_
+     5*a*b^8*(2*A*b+9*a*B)/x+b^10*B*x+b^9*(A*b+10*a*B)*log(x)
+--R 
+--R
+--R   (2)
+--R               10             9  10                10 11
+--R       (2520A b   + 25200B a b )x  log(x) + 2520B b  x
+--R     + 
+--R                    9            2 8  9              2 8            3 7  8
+--R       (- 25200A a b  - 113400B a b )x  + (- 56700A a b  - 151200B a b )x
+--R     + 
+--R                   3 7            4 6  7               4 6            5 5  6
+--R       (- 100800A a b  - 176400B a b )x  + (- 132300A a b  - 158760B a b )x
+--R     + 
+--R                   5 5            6 4  5              6 4           7 3  4
+--R       (- 127008A a b  - 105840B a b )x  + (- 88200A a b  - 50400B a b )x
+--R     + 
+--R                  7 3           8 2  3              8 2          9   2
+--R       (- 43200A a b  - 16200B a b )x  + (- 14175A a b  - 3150B a b)x
+--R     + 
+--R                 9          10           10
+--R       (- 2800A a b - 280B a  )x - 252A a
+--R  /
+--R          10
+--R     2520x
+--R                                                    Type: Expression(Integer)
+--E 417
+
+--S 418 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               10             9  10                10 11
+--R       (2520A b   + 25200B a b )x  log(x) + 2520B b  x
+--R     + 
+--R                    9            2 8  9              2 8            3 7  8
+--R       (- 25200A a b  - 113400B a b )x  + (- 56700A a b  - 151200B a b )x
+--R     + 
+--R                   3 7            4 6  7               4 6            5 5  6
+--R       (- 100800A a b  - 176400B a b )x  + (- 132300A a b  - 158760B a b )x
+--R     + 
+--R                   5 5            6 4  5              6 4           7 3  4
+--R       (- 127008A a b  - 105840B a b )x  + (- 88200A a b  - 50400B a b )x
+--R     + 
+--R                  7 3           8 2  3              8 2          9   2
+--R       (- 43200A a b  - 16200B a b )x  + (- 14175A a b  - 3150B a b)x
+--R     + 
+--R                 9          10           10
+--R       (- 2800A a b - 280B a  )x - 252A a
+--R  /
+--R          10
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 418
+
+--S 419 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 419
+
+--S 420 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 420
+
+)clear all
+
+--S 421 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^12
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      12
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 421
+
+--S 422 of 1293
+r0:=-1/10*a^10*B/x^10-10/9*a^9*b*B/x^9-45/8*a^8*b^2*B/x^8-_
+     120/7*a^7*b^3*B/x^7-35*a^6*b^4*B/x^6-252/5*a^5*b^5*B/x^5-_
+     105/2*a^4*b^6*B/x^4-40*a^3*b^7*B/x^3-45/2*a^2*b^8*B/x^2-_
+     10*a*b^9*B/x-1/11*A*(a+b*x)^11/(a*x^11)+b^10*B*log(x)
+--R 
+--R
+--R   (2)
+--R                 10 11                11 11                10            2 9  10
+--R       27720B a b  x  log(x) - 2520A b  x   + (- 27720A a b   - 277200B a b )x
+--R     + 
+--R                   2 9            3 8  9               3 8             4 7  8
+--R       (- 138600A a b  - 623700B a b )x  + (- 415800A a b  - 1108800B a b )x
+--R     + 
+--R                   4 7             5 6  7                5 6             6 5  6
+--R       (- 831600A a b  - 1455300B a b )x  + (- 1164240A a b  - 1397088B a b )x
+--R     + 
+--R                    6 5            7 4  5               7 4            8 3  4
+--R       (- 1164240A a b  - 970200B a b )x  + (- 831600A a b  - 475200B a b )x
+--R     + 
+--R                   8 3            9 2  3               9 2           10   2
+--R       (- 415800A a b  - 155925B a b )x  + (- 138600A a b  - 30800B a  b)x
+--R     + 
+--R                  10           11            11
+--R       (- 27720A a  b - 2772B a  )x - 2520A a
+--R  /
+--R             11
+--R     27720a x
+--R                                                    Type: Expression(Integer)
+--E 422
+
+--S 423 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               10 11                    10              9  10
+--R       27720B b  x  log(x) + (- 27720A b   - 277200B a b )x
+--R     + 
+--R                     9            2 8  9               2 8             3 7  8
+--R       (- 138600A a b  - 623700B a b )x  + (- 415800A a b  - 1108800B a b )x
+--R     + 
+--R                   3 7             4 6  7                4 6             5 5  6
+--R       (- 831600A a b  - 1455300B a b )x  + (- 1164240A a b  - 1397088B a b )x
+--R     + 
+--R                    5 5            6 4  5               6 4            7 3  4
+--R       (- 1164240A a b  - 970200B a b )x  + (- 831600A a b  - 475200B a b )x
+--R     + 
+--R                   7 3            8 2  3               8 2           9   2
+--R       (- 415800A a b  - 155925B a b )x  + (- 138600A a b  - 30800B a b)x
+--R     + 
+--R                  9           10            10
+--R       (- 27720A a b - 2772B a  )x - 2520A a
+--R  /
+--R           11
+--R     27720x
+--R                                         Type: Union(Expression(Integer),...)
+--E 423
+
+--S 424 of 1293
+m0:=a0-r0
+--R 
+--R
+--R           11
+--R        A b
+--R   (4)  -----
+--R         11a
+--R                                                    Type: Expression(Integer)
+--E 424
+
+--S 425 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 425
+
+)clear all
+
+--S 426 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^13
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      13
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 426
+
+--S 427 of 1293
+r0:=-1/12*A*(a+b*x)^11/(a*x^12)+1/132*(A*b-12*a*B)*(a+b*x)^11/(a^2*x^11)
+--R 
+--R
+--R   (2)
+--R         1     12    1      11  12      2 10 11      1    2 10       3 9  10
+--R       (--- A b   - -- B a b  )x   - B a b  x   + (- - A a b   - 5B a b )x
+--R        132         11                               2
+--R     + 
+--R          10    3 9        4 8  9      45    4 8        5 7  8
+--R       (- -- A a b  - 15B a b )x  + (- -- A a b  - 30B a b )x
+--R           3                            4
+--R     + 
+--R               5 7        6 6  7           6 6        7 5  6
+--R       (- 24A a b  - 42B a b )x  + (- 35A a b  - 42B a b )x
+--R     + 
+--R               7 5        8 4  5      105    8 4        9 3  4
+--R       (- 36A a b  - 30B a b )x  + (- --- A a b  - 15B a b )x
+--R                                       4
+--R     + 
+--R          40    9 3       10 2  3      9    10 2      11   2
+--R       (- -- A a b  - 5B a  b )x  + (- - A a  b  - B a  b)x
+--R           3                           2
+--R     + 
+--R          10    11     1    12      1    12
+--R       (- -- A a  b - -- B a  )x - -- A a
+--R          11          11           12
+--R  /
+--R      2 12
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 427
+
+--S 428 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               10 11           10           9  10              9          2 8  9
+--R       - 132B b  x   + (- 66A b   - 660B a b )x   + (- 440A a b  - 1980B a b )x
+--R     + 
+--R                 2 8          3 7  8             3 7          4 6  7
+--R       (- 1485A a b  - 3960B a b )x  + (- 3168A a b  - 5544B a b )x
+--R     + 
+--R                 4 6          5 5  6             5 5          6 4  5
+--R       (- 4620A a b  - 5544B a b )x  + (- 4752A a b  - 3960B a b )x
+--R     + 
+--R                 6 4          7 3  4             7 3         8 2  3
+--R       (- 3465A a b  - 1980B a b )x  + (- 1760A a b  - 660B a b )x
+--R     + 
+--R                8 2         9   2            9         10          10
+--R       (- 594A a b  - 132B a b)x  + (- 120A a b - 12B a  )x - 11A a
+--R  /
+--R         12
+--R     132x
+--R                                         Type: Union(Expression(Integer),...)
+--E 428
+
+--S 429 of 1293
+m0:=a0-r0
+--R 
+--R
+--R             12          11
+--R        - A b   + 12B a b
+--R   (4)  -------------------
+--R                   2
+--R               132a
+--R                                                    Type: Expression(Integer)
+--E 429
+
+--S 430 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 430
+
+)clear all
+
+--S 431 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^14
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      14
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 431
+
+--S 432 of 1293
+r0:=-1/13*A*(a+b*x)^11/(a*x^13)+1/156*(2*A*b-13*a*B)*(a+b*x)^11/(a^2*x^12)-_
+     1/1716*b*(2*A*b-13*a*B)*(a+b*x)^11/(a^3*x^11)
+--R 
+--R
+--R   (2)
+--R           1     13    1       12  13   1    3 10 11
+--R       (- --- A b   + --- B a b  )x   - - B a b  x
+--R          858         132               2
+--R     + 
+--R          1    3 10   10    4 9  10      5    4 9   45    5 8  9
+--R       (- - A a b   - -- B a b )x   + (- - A a b  - -- B a b )x
+--R          3            3                 2           4
+--R     + 
+--R              5 8        6 7  8           6 7        7 6  7
+--R       (- 9A a b  - 24B a b )x  + (- 20A a b  - 35B a b )x
+--R     + 
+--R               7 6        8 5  6      63    8 5   105    9 4  5
+--R       (- 30A a b  - 36B a b )x  + (- -- A a b  - --- B a b )x
+--R                                       2           4
+--R     + 
+--R          70    9 4   40    10 3  4           10 3   9    11 2  3
+--R       (- -- A a b  - -- B a  b )x  + (- 12A a  b  - - B a  b )x
+--R           3           3                             2
+--R     + 
+--R          45    11 2   10    12   2      5    12     1    13      1    13
+--R       (- -- A a  b  - -- B a  b)x  + (- - A a  b - -- B a  )x - -- A a
+--R          11           11                6          12           13
+--R  /
+--R      3 13
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 432
+
+--S 433 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               10 11            10            9  10
+--R       - 858B b  x   + (- 572A b   - 5720B a b )x
+--R     + 
+--R                   9           2 8  9              2 8           3 7  8
+--R       (- 4290A a b  - 19305B a b )x  + (- 15444A a b  - 41184B a b )x
+--R     + 
+--R                  3 7           4 6  7              4 6           5 5  6
+--R       (- 34320A a b  - 60060B a b )x  + (- 51480A a b  - 61776B a b )x
+--R     + 
+--R                  5 5           6 4  5              6 4           7 3  4
+--R       (- 54054A a b  - 45045B a b )x  + (- 40040A a b  - 22880B a b )x
+--R     + 
+--R                  7 3          8 2  3             8 2          9   2
+--R       (- 20592A a b  - 7722B a b )x  + (- 7020A a b  - 1560B a b)x
+--R     + 
+--R                 9          10           10
+--R       (- 1430A a b - 143B a  )x - 132A a
+--R  /
+--R          13
+--R     1716x
+--R                                         Type: Union(Expression(Integer),...)
+--E 433
+
+--S 434 of 1293
+m0:=a0-r0
+--R 
+--R
+--R            13          12
+--R        2A b   - 13B a b
+--R   (4)  ------------------
+--R                   3
+--R              1716a
+--R                                                    Type: Expression(Integer)
+--E 434
+
+--S 435 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 435
+
+)clear all
+
+--S 436 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^15
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      15
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 436
+
+--S 437 of 1293
+r0:=-1/14*A*(a+b*x)^11/(a*x^14)+1/182*(3*A*b-14*a*B)*(a+b*x)^11/(a^2*x^13)-_
+     1/1092*b*(3*A*b-14*a*B)*(a+b*x)^11/(a^3*x^12)+_
+     1/12012*b^2*(3*A*b-14*a*B)*(a+b*x)^11/(a^4*x^11)
+--R 
+--R
+--R   (2)
+--R          1     14    1       13  14   1    4 10 11
+--R       (---- A b   - --- B a b  )x   - - B a b  x
+--R        4004         858               3
+--R     + 
+--R          1    4 10   5    5 9  10          5 9       6 8  9
+--R       (- - A a b   - - B a b )x   + (- 2A a b  - 9B a b )x
+--R          4           2
+--R     + 
+--R          15    6 8        7 7  8      120    7 7        8 6  7
+--R       (- -- A a b  - 20B a b )x  + (- --- A a b  - 30B a b )x
+--R           2                            7
+--R     + 
+--R          105    8 6   63    9 5  6           9 5   70    10 4  5
+--R       (- --- A a b  - -- B a b )x  + (- 28A a b  - -- B a  b )x
+--R           4            2                            3
+--R     + 
+--R               10 4        11 3  4      120    11 3   45    12 2  3
+--R       (- 21A a  b  - 12B a  b )x  + (- --- A a  b  - -- B a  b )x
+--R                                         11           11
+--R     + 
+--R          15    12 2   5    13   2      10    13     1    14      1    14
+--R       (- -- A a  b  - - B a  b)x  + (- -- A a  b - -- B a  )x - -- A a
+--R           4           6                13          13           14
+--R  /
+--R      4 14
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 437
+
+--S 438 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                10 11             10             9  10
+--R       - 4004B b  x   + (- 3003A b   - 30030B a b )x
+--R     + 
+--R                    9            2 8  9              2 8            3 7  8
+--R       (- 24024A a b  - 108108B a b )x  + (- 90090A a b  - 240240B a b )x
+--R     + 
+--R                   3 7            4 6  7               4 6            5 5  6
+--R       (- 205920A a b  - 360360B a b )x  + (- 315315A a b  - 378378B a b )x
+--R     + 
+--R                   5 5            6 4  5               6 4            7 3  4
+--R       (- 336336A a b  - 280280B a b )x  + (- 252252A a b  - 144144B a b )x
+--R     + 
+--R                   7 3           8 2  3              8 2           9   2
+--R       (- 131040A a b  - 49140B a b )x  + (- 45045A a b  - 10010B a b)x
+--R     + 
+--R                 9          10           10
+--R       (- 9240A a b - 924B a  )x - 858A a
+--R  /
+--R           14
+--R     12012x
+--R                                         Type: Union(Expression(Integer),...)
+--E 438
+
+--S 439 of 1293
+m0:=a0-r0
+--R 
+--R
+--R              14          13
+--R        - 3A b   + 14B a b
+--R   (4)  --------------------
+--R                     4
+--R               12012a
+--R                                                    Type: Expression(Integer)
+--E 439
+
+--S 440 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 440
+
+)clear all
+
+--S 441 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^16
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      16
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 441
+
+--S 442 of 1293
+r0:=-1/15*A*(a+b*x)^11/(a*x^15)+1/210*(4*A*b-15*a*B)*(a+b*x)^11/(a^2*x^14)-_
+     1/910*b*(4*A*b-15*a*B)*(a+b*x)^11/(a^3*x^13)+_
+     1/5460*b^2*(4*A*b-15*a*B)*(a+b*x)^11/(a^4*x^12)-_
+     1/60060*b^3*(4*A*b-15*a*B)*(a+b*x)^11/(a^5*x^11)
+--R 
+--R
+--R   (2)
+--R            1      15     1       14  15   1    5 10 11
+--R       (- ----- A b   + ---- B a b  )x   - - B a b  x
+--R          15015         4004               4
+--R     + 
+--R          1    5 10       6 9  10      5    6 9   15    7 8  9
+--R       (- - A a b   - 2B a b )x   + (- - A a b  - -- B a b )x
+--R          5                            3           2
+--R     + 
+--R          45    7 8   120    8 7  8           8 7   105    9 6  7
+--R       (- -- A a b  - --- B a b )x  + (- 15A a b  - --- B a b )x
+--R           7           7                             4
+--R     + 
+--R          70    9 6        10 5  6      126    10 5        11 4  5
+--R       (- -- A a b  - 28B a  b )x  + (- --- A a  b  - 21B a  b )x
+--R           3                             5
+--R     + 
+--R          210    11 4   120    12 3  4           12 3   15    13 2  3
+--R       (- --- A a  b  - --- B a  b )x  + (- 10A a  b  - -- B a  b )x
+--R           11            11                              4
+--R     + 
+--R          45    13 2   10    14   2      5    14     1    15      1    15
+--R       (- -- A a  b  - -- B a  b)x  + (- - A a  b - -- B a  )x - -- A a
+--R          13           13                7          14           15
+--R  /
+--R      5 15
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 442
+
+--S 443 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 10 11              10              9  10
+--R       - 15015B b  x   + (- 12012A b   - 120120B a b )x
+--R     + 
+--R                     9            2 8  9               2 8             3 7  8
+--R       (- 100100A a b  - 450450B a b )x  + (- 386100A a b  - 1029600B a b )x
+--R     + 
+--R                   3 7             4 6  7                4 6             5 5  6
+--R       (- 900900A a b  - 1576575B a b )x  + (- 1401400A a b  - 1681680B a b )x
+--R     + 
+--R                    5 5             6 4  5                6 4            7 3  4
+--R       (- 1513512A a b  - 1261260B a b )x  + (- 1146600A a b  - 655200B a b )x
+--R     + 
+--R                   7 3            8 2  3               8 2           9   2
+--R       (- 600600A a b  - 225225B a b )x  + (- 207900A a b  - 46200B a b)x
+--R     + 
+--R                  9           10            10
+--R       (- 42900A a b - 4290B a  )x - 4004A a
+--R  /
+--R           15
+--R     60060x
+--R                                         Type: Union(Expression(Integer),...)
+--E 443
+
+--S 444 of 1293
+m0:=a0-r0
+--R 
+--R
+--R            15          14
+--R        4A b   - 15B a b
+--R   (4)  ------------------
+--R                    5
+--R              60060a
+--R                                                    Type: Expression(Integer)
+--E 444
+
+--S 445 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 445
+
+)clear all
+
+--S 446 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^17
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      17
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 446
+
+--S 447 of 1293
+r0:=-1/16*A*(a+b*x)^11/(a*x^16)+1/240*(5*A*b-16*a*B)*(a+b*x)^11/(a^2*x^15)-_
+     1/840*b*(5*A*b-16*a*B)*(a+b*x)^11/(a^3*x^14)+_
+     1/3640*b^2*(5*A*b-16*a*B)*(a+b*x)^11/(a^4*x^13)-_
+     1/21840*b^3*(5*A*b-16*a*B)*(a+b*x)^11/(a^5*x^12)+_
+     1/240240*b^4*(5*A*b-16*a*B)*(a+b*x)^11/(a^6*x^11)
+--R 
+--R
+--R   (2)
+--R          1      16     1        15  16   1    6 10 11
+--R       (----- A b   - ----- B a b  )x   - - B a b  x
+--R        48048         15015               5
+--R     + 
+--R          1    6 10   5    7 9  10      10    7 9   45    8 8  9
+--R       (- - A a b   - - B a b )x   + (- -- A a b  - -- B a b )x
+--R          6           3                  7           7
+--R     + 
+--R          45    8 8        9 7  8      40    9 7   70    10 6  7
+--R       (- -- A a b  - 15B a b )x  + (- -- A a b  - -- B a  b )x
+--R           8                            3           3
+--R     + 
+--R               10 6   126    11 5  6      252    11 5   210    12 4  5
+--R       (- 21A a  b  - --- B a  b )x  + (- --- A a  b  - --- B a  b )x
+--R                       5                   11            11
+--R     + 
+--R          35    12 4        13 3  4      120    13 3   45    14 2  3
+--R       (- -- A a  b  - 10B a  b )x  + (- --- A a  b  - -- B a  b )x
+--R           2                              13           13
+--R     + 
+--R          45    14 2   5    15   2      2    15     1    16      1    16
+--R       (- -- A a  b  - - B a  b)x  + (- - A a  b - -- B a  )x - -- A a
+--R          14           7                3          15           16
+--R  /
+--R      6 16
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 447
+
+--S 448 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 10 11              10              9  10
+--R       - 48048B b  x   + (- 40040A b   - 400400B a b )x
+--R     + 
+--R                     9             2 8  9                2 8             3 7  8
+--R       (- 343200A a b  - 1544400B a b )x  + (- 1351350A a b  - 3603600B a b )x
+--R     + 
+--R                    3 7             4 6  7                4 6             5 5  6
+--R       (- 3203200A a b  - 5605600B a b )x  + (- 5045040A a b  - 6054048B a b )x
+--R     + 
+--R                    5 5             6 4  5                6 4             7 3  4
+--R       (- 5503680A a b  - 4586400B a b )x  + (- 4204200A a b  - 2402400B a b )x
+--R     + 
+--R                    7 3            8 2  3               8 2            9   2
+--R       (- 2217600A a b  - 831600B a b )x  + (- 772200A a b  - 171600B a b)x
+--R     + 
+--R                   9            10             10
+--R       (- 160160A a b - 16016B a  )x - 15015A a
+--R  /
+--R            16
+--R     240240x
+--R                                         Type: Union(Expression(Integer),...)
+--E 448
+
+--S 449 of 1293
+m0:=a0-r0
+--R 
+--R
+--R              16          15
+--R        - 5A b   + 16B a b
+--R   (4)  --------------------
+--R                     6
+--R              240240a
+--R                                                    Type: Expression(Integer)
+--E 449
+
+--S 450 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 450
+
+)clear all
+
+--S 451 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^18
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      18
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 451
+
+--S 452 of 1293
+r0:=-1/17*A*(a+b*x)^11/(a*x^17)+1/272*(6*A*b-17*a*B)*(a+b*x)^11/(a^2*x^16)-_
+     1/816*b*(6*A*b-17*a*B)*(a+b*x)^11/(a^3*x^15)+_
+     1/2856*b^2*(6*A*b-17*a*B)*(a+b*x)^11/(a^4*x^14)-_
+     1/12376*b^3*(6*A*b-17*a*B)*(a+b*x)^11/(a^5*x^13)+_
+     1/74256*b^4*(6*A*b-17*a*B)*(a+b*x)^11/(a^6*x^12)-_
+     1/816816*b^5*(6*A*b-17*a*B)*(a+b*x)^11/(a^7*x^11)
+--R 
+--R
+--R   (2)
+--R             1      17     1        16  17   1    7 10 11
+--R       (- ------ A b   + ----- B a b  )x   - - B a b  x
+--R          136136         48048               6
+--R     + 
+--R          1    7 10   10    8 9  10      5    8 9   45    9 8  9
+--R       (- - A a b   - -- B a b )x   + (- - A a b  - -- B a b )x
+--R          7            7                 4           8
+--R     + 
+--R              9 8   40    10 7  8           10 7        11 6  7
+--R       (- 5A a b  - -- B a  b )x  + (- 12A a  b  - 21B a  b )x
+--R                     3
+--R     + 
+--R          210    11 6   252    12 5  6           12 5   35    13 4  5
+--R       (- --- A a  b  - --- B a  b )x  + (- 21A a  b  - -- B a  b )x
+--R           11            11                              2
+--R     + 
+--R          210    13 4   120    14 3  4      60    14 3   45    15 2  3
+--R       (- --- A a  b  - --- B a  b )x  + (- -- A a  b  - -- B a  b )x
+--R           13            13                  7           14
+--R     + 
+--R              15 2   2    16   2      5    16     1    17      1    17
+--R       (- 3A a  b  - - B a  b)x  + (- - A a  b - -- B a  )x - -- A a
+--R                     3                8          16           17
+--R  /
+--R      7 17
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 452
+
+--S 453 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  10 11               10               9  10
+--R       - 136136B b  x   + (- 116688A b   - 1166880B a b )x
+--R     + 
+--R                      9             2 8  9
+--R       (- 1021020A a b  - 4594590B a b )x
+--R     + 
+--R                    2 8              3 7  8
+--R       (- 4084080A a b  - 10890880B a b )x
+--R     + 
+--R                    3 7              4 6  7
+--R       (- 9801792A a b  - 17153136B a b )x
+--R     + 
+--R                     4 6              5 5  6
+--R       (- 15593760A a b  - 18712512B a b )x
+--R     + 
+--R                     5 5              6 4  5
+--R       (- 17153136A a b  - 14294280B a b )x
+--R     + 
+--R                     6 4             7 3  4
+--R       (- 13194720A a b  - 7539840B a b )x
+--R     + 
+--R                    7 3             8 2  3                8 2            9   2
+--R       (- 7001280A a b  - 2625480B a b )x  + (- 2450448A a b  - 544544B a b)x
+--R     + 
+--R                   9            10             10
+--R       (- 510510A a b - 51051B a  )x - 48048A a
+--R  /
+--R            17
+--R     816816x
+--R                                         Type: Union(Expression(Integer),...)
+--E 453
+
+--S 454 of 1293
+m0:=a0-r0
+--R 
+--R
+--R            17          16
+--R        6A b   - 17B a b
+--R   (4)  ------------------
+--R                    7
+--R             816816a
+--R                                                    Type: Expression(Integer)
+--E 454
+
+--S 455 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 455
+
+)clear all
+
+--S 456 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^19
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      19
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 456
+
+--S 457 of 1293
+r0:=-1/18*a^10*A/x^18-1/17*a^9*(10*A*b+a*B)/x^17-_
+     5/16*a^8*b*(9*A*b+2*a*B)/x^16-a^7*b^2*(8*A*b+3*a*B)/x^15-_
+     15/7*a^6*b^3*(7*A*b+4*a*B)/x^14-42/13*a^5*b^4*(6*A*b+5*a*B)/x^13-_
+     7/2*a^4*b^5*(5*A*b+6*a*B)/x^12-30/11*a^3*b^6*(4*A*b+7*a*B)/x^11-_
+     3/2*a^2*b^7*(3*A*b+8*a*B)/x^10-5/9*a*b^8*(2*A*b+9*a*B)/x^9-_
+     1/8*b^9*(A*b+10*a*B)/x^8-1/7*b^10*B/x^7
+--R 
+--R
+--R   (2)
+--R         1    10 11      1    10   5      9  10      10      9       2 8  9
+--R       - - B b  x   + (- - A b   - - B a b )x   + (- -- A a b  - 5B a b )x
+--R         7               8         4                  9
+--R     + 
+--R          9    2 8        3 7  8      120    3 7   210    4 6  7
+--R       (- - A a b  - 12B a b )x  + (- --- A a b  - --- B a b )x
+--R          2                            11           11
+--R     + 
+--R          35    4 6        5 5  6      252    5 5   210    6 4  5
+--R       (- -- A a b  - 21B a b )x  + (- --- A a b  - --- B a b )x
+--R           2                            13           13
+--R     + 
+--R               6 4   60    7 3  4          7 3       8 2  3
+--R       (- 15A a b  - -- B a b )x  + (- 8A a b  - 3B a b )x
+--R                      7
+--R     + 
+--R          45    8 2   5    9   2      10    9     1    10      1    10
+--R       (- -- A a b  - - B a b)x  + (- -- A a b - -- B a  )x - -- A a
+--R          16          8               17         17           18
+--R  /
+--R      18
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 457
+
+--S 458 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  10 11               10               9  10
+--R       - 350064B b  x   + (- 306306A b   - 3063060B a b )x
+--R     + 
+--R                      9              2 8  9
+--R       (- 2722720A a b  - 12252240B a b )x
+--R     + 
+--R                     2 8              3 7  8
+--R       (- 11027016A a b  - 29405376B a b )x
+--R     + 
+--R                     3 7              4 6  7
+--R       (- 26732160A a b  - 46781280B a b )x
+--R     + 
+--R                     4 6              5 5  6
+--R       (- 42882840A a b  - 51459408B a b )x
+--R     + 
+--R                     5 5              6 4  5
+--R       (- 47500992A a b  - 39584160B a b )x
+--R     + 
+--R                     6 4              7 3  4
+--R       (- 36756720A a b  - 21003840B a b )x
+--R     + 
+--R                     7 3             8 2  3                8 2             9   2
+--R       (- 19603584A a b  - 7351344B a b )x  + (- 6891885A a b  - 1531530B a b)x
+--R     + 
+--R                    9             10              10
+--R       (- 1441440A a b - 144144B a  )x - 136136A a
+--R  /
+--R             18
+--R     2450448x
+--R                                         Type: Union(Expression(Integer),...)
+--E 458
+
+--S 459 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 459
+
+--S 460 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 460
+
+)clear all
+
+--S 461 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^20
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      20
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 461
+
+--S 462 of 1293
+r0:=-1/19*a^10*A/x^19-1/18*a^9*(10*A*b+a*B)/x^18-_
+     5/17*a^8*b*(9*A*b+2*a*B)/x^17-15/16*a^7*b^2*(8*A*b+3*a*B)/x^16-_
+     2*a^6*b^3*(7*A*b+4*a*B)/x^15-3*a^5*b^4*(6*A*b+5*a*B)/x^14-_
+     42/13*a^4*b^5*(5*A*b+6*a*B)/x^13-5/2*a^3*b^6*(4*A*b+7*a*B)/x^12-_
+     15/11*a^2*b^7*(3*A*b+8*a*B)/x^11-1/2*a*b^8*(2*A*b+9*a*B)/x^10-_
+     1/9*b^9*(A*b+10*a*B)/x^9-1/8*b^10*B/x^8
+--R 
+--R
+--R   (2)
+--R         1    10 11      1    10   10      9  10           9   9    2 8  9
+--R       - - B b  x   + (- - A b   - -- B a b )x   + (- A a b  - - B a b )x
+--R         8               9          9                          2
+--R     + 
+--R          45    2 8   120    3 7  8           3 7   35    4 6  7
+--R       (- -- A a b  - --- B a b )x  + (- 10A a b  - -- B a b )x
+--R          11           11                            2
+--R     + 
+--R          210    4 6   252    5 5  6           5 5        6 4  5
+--R       (- --- A a b  - --- B a b )x  + (- 18A a b  - 15B a b )x
+--R           13           13
+--R     + 
+--R               6 4       7 3  4      15    7 3   45    8 2  3
+--R       (- 14A a b  - 8B a b )x  + (- -- A a b  - -- B a b )x
+--R                                      2          16
+--R     + 
+--R          45    8 2   10    9   2      5    9     1    10      1    10
+--R       (- -- A a b  - -- B a b)x  + (- - A a b - -- B a  )x - -- A a
+--R          17          17               9         18           19
+--R  /
+--R      19
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 462
+
+--S 463 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  10 11               10               9  10
+--R       - 831402B b  x   + (- 739024A b   - 7390240B a b )x
+--R     + 
+--R                      9              2 8  9
+--R       (- 6651216A a b  - 29930472B a b )x
+--R     + 
+--R                     2 8              3 7  8
+--R       (- 27209520A a b  - 72558720B a b )x
+--R     + 
+--R                     3 7               4 6  7
+--R       (- 66512160A a b  - 116396280B a b )x
+--R     + 
+--R                      4 6               5 5  6
+--R       (- 107442720A a b  - 128931264B a b )x
+--R     + 
+--R                      5 5              6 4  5
+--R       (- 119721888A a b  - 99768240B a b )x
+--R     + 
+--R                     6 4              7 3  4
+--R       (- 93117024A a b  - 53209728B a b )x
+--R     + 
+--R                     7 3              8 2  3
+--R       (- 49884120A a b  - 18706545B a b )x
+--R     + 
+--R                     8 2             9   2                9             10
+--R       (- 17606160A a b  - 3912480B a b)x  + (- 3695120A a b - 369512B a  )x
+--R     + 
+--R                  10
+--R       - 350064A a
+--R  /
+--R             19
+--R     6651216x
+--R                                         Type: Union(Expression(Integer),...)
+--E 463
+
+--S 464 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 464
+
+--S 465 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 465
+
+)clear all
+
+--S 466 of 1293
+t0:=(a+b*x)^10*(A+B*x)/x^21
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R      21
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 466
+
+--S 467 of 1293
+r0:=-1/20*a^10*A/x^20-1/19*a^9*(10*A*b+a*B)/x^19-_
+     5/18*a^8*b*(9*A*b+2*a*B)/x^18-15/17*a^7*b^2*(8*A*b+3*a*B)/x^17-_
+     15/8*a^6*b^3*(7*A*b+4*a*B)/x^16-14/5*a^5*b^4*(6*A*b+5*a*B)/x^15-_
+     3*a^4*b^5*(5*A*b+6*a*B)/x^14-30/13*a^3*b^6*(4*A*b+7*a*B)/x^13-_
+     5/4*a^2*b^7*(3*A*b+8*a*B)/x^12-5/11*a*b^8*(2*A*b+9*a*B)/x^11-_
+     1/10*b^9*(A*b+10*a*B)/x^10-1/9*b^10*B/x^9
+--R 
+--R
+--R   (2)
+--R         1    10 11       1    10        9  10      10      9   45    2 8  9
+--R       - - B b  x   + (- -- A b   - B a b )x   + (- -- A a b  - -- B a b )x
+--R         9               10                         11          11
+--R     + 
+--R          15    2 8        3 7  8      120    3 7   210    4 6  7
+--R       (- -- A a b  - 10B a b )x  + (- --- A a b  - --- B a b )x
+--R           4                            13           13
+--R     + 
+--R               4 6        5 5  6      84    5 5        6 4  5
+--R       (- 15A a b  - 18B a b )x  + (- -- A a b  - 14B a b )x
+--R                                       5
+--R     + 
+--R          105    6 4   15    7 3  4      120    7 3   45    8 2  3
+--R       (- --- A a b  - -- B a b )x  + (- --- A a b  - -- B a b )x
+--R           8            2                 17          17
+--R     + 
+--R          5    8 2   5    9   2      10    9     1    10      1    10
+--R       (- - A a b  - - B a b)x  + (- -- A a b - -- B a  )x - -- A a
+--R          2          9               19         19           20
+--R  /
+--R      20
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 467
+
+--S 468 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   10 11                10                9  10
+--R       - 1847560B b  x   + (- 1662804A b   - 16628040B a b )x
+--R     + 
+--R                       9              2 8  9
+--R       (- 15116400A a b  - 68023800B a b )x
+--R     + 
+--R                     2 8               3 7  8
+--R       (- 62355150A a b  - 166280400B a b )x
+--R     + 
+--R                      3 7               4 6  7
+--R       (- 153489600A a b  - 268606800B a b )x
+--R     + 
+--R                      4 6               5 5  6
+--R       (- 249420600A a b  - 299304720B a b )x
+--R     + 
+--R                      5 5               6 4  5
+--R       (- 279351072A a b  - 232792560B a b )x
+--R     + 
+--R                      6 4               7 3  4
+--R       (- 218243025A a b  - 124710300B a b )x
+--R     + 
+--R                      7 3              8 2  3
+--R       (- 117374400A a b  - 44015400B a b )x
+--R     + 
+--R                     8 2             9   2                9             10
+--R       (- 41570100A a b  - 9237800B a b)x  + (- 8751600A a b - 875160B a  )x
+--R     + 
+--R                  10
+--R       - 831402A a
+--R  /
+--R              20
+--R     16628040x
+--R                                         Type: Union(Expression(Integer),...)
+--E 468
+
+--S 469 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 469
+
+--S 470 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 470
+
+)clear all
+
+--S 471 of 1293
+t0:=(a+b*x)^10*(A+B*x)/(d+e*x)^22
+--R 
+--R
+--R   (1)
+--R          10 11       10          9  10           9        2 8  9
+--R       B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
+--R     + 
+--R             2 8         3 7  8          3 7         4 6  7
+--R       (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
+--R     + 
+--R              4 6         5 5  6          5 5         6 4  5
+--R       (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
+--R     + 
+--R              6 4         7 3  4          7 3        8 2  3
+--R       (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
+--R     + 
+--R             8 2        9   2         9       10        10
+--R       (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
+--R  /
+--R        22 22        21 21       2 20 20        3 19 19        4 18 18
+--R       e  x   + 22d e  x   + 231d e  x   + 1540d e  x   + 7315d e  x
+--R     + 
+--R             5 17 17         6 16 16          7 15 15          8 14 14
+--R       26334d e  x   + 74613d e  x   + 170544d e  x   + 319770d e  x
+--R     + 
+--R              9 13 13          10 12 12          11 11 11          12 10 10
+--R       497420d e  x   + 646646d  e  x   + 705432d  e  x   + 646646d  e  x
+--R     + 
+--R              13 9 9          14 8 8          15 7 7         16 6 6
+--R       497420d  e x  + 319770d  e x  + 170544d  e x  + 74613d  e x
+--R     + 
+--R             17 5 5        18 4 4        19 3 3       20 2 2      21       22
+--R       26334d  e x  + 7315d  e x  + 1540d  e x  + 231d  e x  + 22d  e x + d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 471
+
+--S 472 of 1293
+r0:=1/21*(b*d-a*e)^10*(B*d-A*e)/(e^12*(d+e*x)^21)-_
+     1/20*(b*d-a*e)^9*(11*b*B*d-10*A*b*e-a*B*e)/(e^12*(d+e*x)^20)+_
+     5/19*b*(b*d-a*e)^8*(11*b*B*d-9*A*b*e-2*a*B*e)/(e^12*(d+e*x)^19)-_
+     5/6*b^2*(b*d-a*e)^7*(11*b*B*d-8*A*b*e-3*a*B*e)/(e^12*(d+e*x)^18)+_
+     30/17*b^3*(b*d-a*e)^6*(11*b*B*d-7*A*b*e-4*a*B*e)/(e^12*(d+e*x)^17)-_
+     21/8*b^4*(b*d-a*e)^5*(11*b*B*d-6*A*b*e-5*a*B*e)/(e^12*(d+e*x)^16)+_
+     14/5*b^5*(b*d-a*e)^4*(11*b*B*d-5*A*b*e-6*a*B*e)/(e^12*(d+e*x)^15)-_
+     15/7*b^6*(b*d-a*e)^3*(11*b*B*d-4*A*b*e-7*a*B*e)/(e^12*(d+e*x)^14)+_
+     15/13*b^7*(b*d-a*e)^2*(11*b*B*d-3*A*b*e-8*a*B*e)/(e^12*(d+e*x)^13)-_
+     5/12*b^8*(b*d-a*e)*(11*b*B*d-2*A*b*e-9*a*B*e)/(e^12*(d+e*x)^12)+_
+     1/11*b^9*(11*b*B*d-A*b*e-10*a*B*e)/(e^12*(d+e*x)^11)-_
+     1/10*b^10*B/(e^12*(d+e*x)^10)
+--R 
+--R
+--R   (2)
+--R          1    10 11 11        1    10   10      9  11    1    10   10  10
+--R       - -- B b  e  x   + ((- -- A b   - -- B a b )e   - -- B b  d e  )x
+--R         10                   11         11              10
+--R     + 
+--R              5      9   15    2 8  11       5    10   25      9    10
+--R           (- - A a b  - -- B a b )e   + (- -- A b   - -- B a b )d e
+--R              6           4                 66         33
+--R         + 
+--R              1    10 2 9
+--R           - -- B b  d e
+--R             12
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              45    2 8   120    3 7  11      15      9   135    2 8    10
+--R           (- -- A a b  - --- B a b )e   + (- -- A a b  - --- B a b )d e
+--R              13           13                 26           52
+--R         + 
+--R               15    10    75      9  2 9    3    10 3 8
+--R           (- --- A b   - --- B a b )d e  - -- B b  d e
+--R              286         143               52
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              60    3 7        4 6  11      180    2 8   480    3 7    10
+--R           (- -- A a b  - 15B a b )e   + (- --- A a b  - --- B a b )d e
+--R               7                             91           91
+--R         + 
+--R              30      9   135    2 8  2 9       30     10    300      9  3 8
+--R           (- -- A a b  - --- B a b )d e  + (- ---- A b   - ---- B a b )d e
+--R              91           91                  1001         1001
+--R         + 
+--R              3    10 4 7
+--R           - -- B b  d e
+--R             91
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                   4 6   84    5 5  11          3 7       4 6    10
+--R           (- 14A a b  - -- B a b )e   + (- 4A a b  - 7B a b )d e
+--R                          5
+--R         + 
+--R              12    2 8   32    3 7  2 9       2      9    9    2 8  3 8
+--R           (- -- A a b  - -- B a b )d e  + (- -- A a b  - -- B a b )d e
+--R              13          13                  13          13
+--R         + 
+--R               2     10    20      9  4 7    1    10 5 6
+--R           (- --- A b   - --- B a b )d e  - -- B b  d e
+--R              143         143               65
+--R      *
+--R          6
+--R         x
+--R     + 
+--R              63    5 5   105    6 4  11      21    4 6   63    5 5    10
+--R           (- -- A a b  - --- B a b )e   + (- -- A a b  - -- B a b )d e
+--R               4           8                   4          10
+--R         + 
+--R              3    3 7   21    4 6  2 9       9    2 8   12    3 7  3 8
+--R           (- - A a b  - -- B a b )d e  + (- -- A a b  - -- B a b )d e
+--R              2           8                  26          13
+--R         + 
+--R               3      9    27    2 8  4 7       3     10    15      9  5 6
+--R           (- -- A a b  - --- B a b )d e  + (- --- A b   - --- B a b )d e
+--R              52          104                  572         286
+--R         + 
+--R              3     10 6 5
+--R           - --- B b  d e
+--R             520
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              210    6 4   120    7 3  11      315    5 5   525    6 4    10
+--R           (- --- A a b  - --- B a b )e   + (- --- A a b  - --- B a b )d e
+--R               17           17                  68          136
+--R         + 
+--R              105    4 6   63    5 5  2 9      15    3 7   105    4 6  3 8
+--R           (- --- A a b  - -- B a b )d e  + (- -- A a b  - --- B a b )d e
+--R               68          34                  34          136
+--R         + 
+--R               45    2 8    60    3 7  4 7       15      9    135    2 8  5 6
+--R           (- --- A a b  - --- B a b )d e  + (- --- A a b  - ---- B a b )d e
+--R              442          221                  884          1768
+--R         + 
+--R               15     10    75       9  6 5     3     10 7 4
+--R           (- ---- A b   - ---- B a b )d e  - ---- B b  d e
+--R              9724         4862               1768
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              20    7 3   5    8 2  11      140    6 4   80    7 3    10
+--R           (- -- A a b  - - B a b )e   + (- --- A a b  - -- B a b )d e
+--R               3          2                  51          51
+--R         + 
+--R              35    5 5   175    6 4  2 9       35    4 6    7    5 5  3 8
+--R           (- -- A a b  - --- B a b )d e  + (- --- A a b  - -- B a b )d e
+--R              34          204                  102          17
+--R         + 
+--R               5    3 7    35    4 6  4 7       5     2 8    40    3 7  5 6
+--R           (- -- A a b  - --- B a b )d e  + (- --- A a b  - --- B a b )d e
+--R              51          204                  221          663
+--R         + 
+--R                5       9    15    2 8  6 5        5      10    25       9  7 4
+--R           (- ---- A a b  - --- B a b )d e  + (- ----- A b   - ---- B a b )d e
+--R              1326          884                  14586         7293
+--R         + 
+--R               1     10 8 3
+--R           - ---- B b  d e
+--R             2652
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              45    8 2   10    9   11      20    7 3   15    8 2    10
+--R           (- -- A a b  - -- B a b)e   + (- -- A a b  - -- B a b )d e
+--R              19          19                19          38
+--R         + 
+--R              140    6 4    80    7 3  2 9      105    5 5    175    6 4  3 8
+--R           (- --- A a b  - --- B a b )d e  + (- --- A a b  - ---- B a b )d e
+--R              323          323                  646          1292
+--R         + 
+--R               35    4 6    21    5 5  4 7       5     3 7    35     4 6  5 6
+--R           (- --- A a b  - --- B a b )d e  + (- --- A a b  - ---- B a b )d e
+--R              646          323                  323          1292
+--R         + 
+--R               15     2 8    40     3 7  6 5
+--R           (- ---- A a b  - ---- B a b )d e
+--R              4199          4199
+--R         + 
+--R                5       9     45     2 8  7 4
+--R           (- ---- A a b  - ----- B a b )d e
+--R              8398          16796
+--R         + 
+--R                5      10     25       9  8 3     1      10 9 2
+--R           (- ----- A b   - ----- B a b )d e  - ----- B b  d e
+--R              92378         46189               16796
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              1    9     1    10  11       9    8 2    1    9     10
+--R           (- - A a b - -- B a  )e   + (- -- A a b  - -- B a b)d e
+--R              2         20                38          19
+--R         + 
+--R               2    7 3    3    8 2  2 9       14    6 4    8     7 3  3 8
+--R           (- -- A a b  - -- B a b )d e  + (- --- A a b  - --- B a b )d e
+--R              19          76                  323          323
+--R         + 
+--R               21     5 5    35     6 4  4 7        7     4 6    21     5 5  5 6
+--R           (- ---- A a b  - ---- B a b )d e  + (- ---- A a b  - ---- B a b )d e
+--R              1292          2584                  1292          3230
+--R         + 
+--R               1     3 7     7     4 6  6 5        3     2 8     4     3 7  7 4
+--R           (- --- A a b  - ---- B a b )d e  + (- ---- A a b  - ---- B a b )d e
+--R              646          2584                  8398          4199
+--R         + 
+--R                1        9     9      2 8  8 3
+--R           (- ----- A a b  - ----- B a b )d e
+--R              16796          33592
+--R         + 
+--R                 1      10     5        9  9 2      1      10 10
+--R           (- ------ A b   - ----- B a b )d e  - ------ B b  d  e
+--R              184756         92378               167960
+--R      *
+--R         x
+--R     + 
+--R          1    10 11       1    9     1     10    10
+--R       - -- A a  e   + (- -- A a b - --- B a  )d e
+--R         21               42         420
+--R     + 
+--R           3     8 2    1     9   2 9       2     7 3    1     8 2  3 8
+--R       (- --- A a b  - --- B a b)d e  + (- --- A a b  - --- B a b )d e
+--R          266          399                 399          532
+--R     + 
+--R           2     6 4     8     7 3  4 7        1     5 5     5     6 4  5 6
+--R       (- --- A a b  - ---- B a b )d e  + (- ---- A a b  - ---- B a b )d e
+--R          969          6783                  1292          7752
+--R     + 
+--R            1     4 6     1     5 5  6 5        1      3 7     1     4 6  7 4
+--R       (- ---- A a b  - ---- B a b )d e  + (- ----- A a b  - ---- B a b )d e
+--R          3876          3230                  13566          7752
+--R     + 
+--R            1      2 8     4      3 7  8 3
+--R       (- ----- A a b  - ----- B a b )d e
+--R          58786          88179
+--R     + 
+--R             1        9      3      2 8  9 2
+--R       (- ------ A a b  - ------ B a b )d e
+--R          352716          235144
+--R     + 
+--R             1       10      5         9  10       1       10 11
+--R       (- ------- A b   - ------- B a b )d  e - ------- B b  d
+--R          3879876         1939938               3527160
+--R  /
+--R        33 21        32 20       2 31 19        3 30 18        4 29 17
+--R       e  x   + 21d e  x   + 210d e  x   + 1330d e  x   + 5985d e  x
+--R     + 
+--R             5 28 16         6 27 15          7 26 14          8 25 13
+--R       20349d e  x   + 54264d e  x   + 116280d e  x   + 203490d e  x
+--R     + 
+--R              9 24 12          10 23 11          11 22 10          12 21 9
+--R       293930d e  x   + 352716d  e  x   + 352716d  e  x   + 293930d  e  x
+--R     + 
+--R              13 20 8          14 19 7         15 18 6         16 17 5
+--R       203490d  e  x  + 116280d  e  x  + 54264d  e  x  + 20349d  e  x
+--R     + 
+--R            17 16 4        18 15 3       19 14 2      20 13     21 12
+--R       5985d  e  x  + 1330d  e  x  + 210d  e  x  + 21d  e  x + d  e
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 472
+
+--S 473 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   10 11 11
+--R       - 3879876B b  e  x
+--R     + 
+--R                     10                9  11             10   10  10
+--R       ((- 3527160A b   - 35271600B a b )e   - 3879876B b  d e  )x
+--R     + 
+--R                           9               2 8  11
+--R           (- 32332300A a b  - 145495350B a b )e
+--R         + 
+--R                        10                9    10             10 2 9
+--R           (- 2939300A b   - 29393000B a b )d e   - 3233230B b  d e
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                          2 8               3 7  11
+--R           (- 134303400A a b  - 358142400B a b )e
+--R         + 
+--R                           9               2 8    10
+--R           (- 22383900A a b  - 100727550B a b )d e
+--R         + 
+--R                        10                9  2 9             10 3 8
+--R           (- 2034900A b   - 20349000B a b )d e  - 2238390B b  d e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                          3 7               4 6  11
+--R           (- 332560800A a b  - 581981400B a b )e
+--R         + 
+--R                         2 8               3 7    10
+--R           (- 76744800A a b  - 204652800B a b )d e
+--R         + 
+--R                           9              2 8  2 9
+--R           (- 12790800A a b  - 57558600B a b )d e
+--R         + 
+--R                        10                9  3 8             10 4 7
+--R           (- 1162800A b   - 11628000B a b )d e  - 1279080B b  d e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                          4 6               5 5  11
+--R           (- 543182640A a b  - 651819168B a b )e
+--R         + 
+--R                          3 7               4 6    10
+--R           (- 155195040A a b  - 271591320B a b )d e
+--R         + 
+--R                         2 8              3 7  2 9
+--R           (- 35814240A a b  - 95504640B a b )d e
+--R         + 
+--R                          9              2 8  3 8
+--R           (- 5969040A a b  - 26860680B a b )d e
+--R         + 
+--R                       10               9  4 7            10 5 6
+--R           (- 542640A b   - 5426400B a b )d e  - 596904B b  d e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                          5 5               6 4  11
+--R           (- 611080470A a b  - 509233725B a b )e
+--R         + 
+--R                          4 6               5 5    10
+--R           (- 203693490A a b  - 244432188B a b )d e
+--R         + 
+--R                         3 7               4 6  2 9
+--R           (- 58198140A a b  - 101846745B a b )d e
+--R         + 
+--R                         2 8              3 7  3 8
+--R           (- 13430340A a b  - 35814240B a b )d e
+--R         + 
+--R                          9              2 8  4 7
+--R           (- 2238390A a b  - 10072755B a b )d e
+--R         + 
+--R                       10               9  5 6            10 6 5
+--R           (- 203490A b   - 2034900B a b )d e  - 223839B b  d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                          6 4               7 3  11
+--R           (- 479278800A a b  - 273873600B a b )e
+--R         + 
+--R                          5 5               6 4    10
+--R           (- 179729550A a b  - 149774625B a b )d e
+--R         + 
+--R                         4 6              5 5  2 9
+--R           (- 59909850A a b  - 71891820B a b )d e
+--R         + 
+--R                         3 7              4 6  3 8
+--R           (- 17117100A a b  - 29954925B a b )d e
+--R         + 
+--R                        2 8              3 7  4 7
+--R           (- 3950100A a b  - 10533600B a b )d e
+--R         + 
+--R                         9             2 8  5 6
+--R           (- 658350A a b  - 2962575B a b )d e
+--R         + 
+--R                      10              9  6 5           10 7 4
+--R           (- 59850A b   - 598500B a b )d e  - 65835B b  d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                          7 3              8 2  11
+--R           (- 258658400A a b  - 96996900B a b )e
+--R         + 
+--R                          6 4              7 3    10
+--R           (- 106506400A a b  - 60860800B a b )d e
+--R         + 
+--R                         5 5              6 4  2 9
+--R           (- 39939900A a b  - 33283250B a b )d e
+--R         + 
+--R                         4 6              5 5  3 8
+--R           (- 13313300A a b  - 15975960B a b )d e
+--R         + 
+--R                        3 7             4 6  4 7
+--R           (- 3803800A a b  - 6656650B a b )d e
+--R         + 
+--R                       2 8             3 7  5 6
+--R           (- 877800A a b  - 2340800B a b )d e
+--R         + 
+--R                         9            2 8  6 5
+--R           (- 146300A a b  - 658350B a b )d e
+--R         + 
+--R                      10              9  7 4           10 8 3
+--R           (- 13300A b   - 133000B a b )d e  - 14630B b  d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                         8 2              9   11
+--R           (- 91891800A a b  - 20420400B a b)e
+--R         + 
+--R                         7 3              8 2    10
+--R           (- 40840800A a b  - 15315300B a b )d e
+--R         + 
+--R                         6 4             7 3  2 9
+--R           (- 16816800A a b  - 9609600B a b )d e
+--R         + 
+--R                        5 5             6 4  3 8
+--R           (- 6306300A a b  - 5255250B a b )d e
+--R         + 
+--R                        4 6             5 5  4 7
+--R           (- 2102100A a b  - 2522520B a b )d e
+--R         + 
+--R                       3 7             4 6  5 6
+--R           (- 600600A a b  - 1051050B a b )d e
+--R         + 
+--R                       2 8            3 7  6 5
+--R           (- 138600A a b  - 369600B a b )d e
+--R         + 
+--R                        9            2 8  7 4             10             9  8 3
+--R           (- 23100A a b  - 103950B a b )d e  + (- 2100A b   - 21000B a b )d e
+--R         + 
+--R                    10 9 2
+--R           - 2310B b  d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                         9              10  11
+--R           (- 19399380A a b - 1939938B a  )e
+--R         + 
+--R                        8 2             9     10
+--R           (- 9189180A a b  - 2042040B a b)d e
+--R         + 
+--R                        7 3             8 2  2 9
+--R           (- 4084080A a b  - 1531530B a b )d e
+--R         + 
+--R                        6 4            7 3  3 8
+--R           (- 1681680A a b  - 960960B a b )d e
+--R         + 
+--R                       5 5            6 4  4 7
+--R           (- 630630A a b  - 525525B a b )d e
+--R         + 
+--R                       4 6            5 5  5 6
+--R           (- 210210A a b  - 252252B a b )d e
+--R         + 
+--R                      3 7            4 6  6 5
+--R           (- 60060A a b  - 105105B a b )d e
+--R         + 
+--R                      2 8           3 7  7 4               9           2 8  8 3
+--R           (- 13860A a b  - 36960B a b )d e  + (- 2310A a b  - 10395B a b )d e
+--R         + 
+--R                    10            9  9 2         10 10
+--R           (- 210A b   - 2100B a b )d e  - 231B b  d  e
+--R      *
+--R         x
+--R     + 
+--R                   10 11               9            10    10
+--R       - 1847560A a  e   + (- 923780A a b - 92378B a  )d e
+--R     + 
+--R                   8 2           9   2 9               7 3           8 2  3 8
+--R       (- 437580A a b  - 97240B a b)d e  + (- 194480A a b  - 72930B a b )d e
+--R     + 
+--R                  6 4           7 3  4 7              5 5           6 4  5 6
+--R       (- 80080A a b  - 45760B a b )d e  + (- 30030A a b  - 25025B a b )d e
+--R     + 
+--R                  4 6           5 5  6 5             3 7          4 6  7 4
+--R       (- 10010A a b  - 12012B a b )d e  + (- 2860A a b  - 5005B a b )d e
+--R     + 
+--R                2 8          3 7  8 3              9         2 8  9 2
+--R       (- 660A a b  - 1760B a b )d e  + (- 110A a b  - 495B a b )d e
+--R     + 
+--R               10           9  10         10 11
+--R       (- 10A b   - 100B a b )d  e - 11B b  d
+--R  /
+--R                33 21               32 20              2 31 19
+--R       38798760e  x   + 814773960d e  x   + 8147739600d e  x
+--R     + 
+--R                   3 30 18                4 29 17                5 28 16
+--R       51602350800d e  x   + 232210578600d e  x   + 789515967240d e  x
+--R     + 
+--R                     6 27 15                 7 26 14                 8 25 13
+--R       2105375912640d e  x   + 4511519812800d e  x   + 7895159672400d e  x
+--R     + 
+--R                      9 24 12                  10 23 11
+--R       11404119526800d e  x   + 13684943432160d  e  x
+--R     + 
+--R                      11 22 10                  12 21 9                 13 20 8
+--R       13684943432160d  e  x   + 11404119526800d  e  x  + 7895159672400d  e  x
+--R     + 
+--R                     14 19 7                 15 18 6                16 17 5
+--R       4511519812800d  e  x  + 2105375912640d  e  x  + 789515967240d  e  x
+--R     + 
+--R                    17 16 4               18 15 3              19 14 2
+--R       232210578600d  e  x  + 51602350800d  e  x  + 8147739600d  e  x
+--R     + 
+--R                 20 13             21 12
+--R       814773960d  e  x + 38798760d  e
+--R                                         Type: Union(Expression(Integer),...)
+--E 473
+
+--S 474 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 474
+
+--S 475 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 475
+
+)clear all
+
+--S 476 of 1293
+t0:=(A+B*x)*(d+e*x)^5/(a+b*x)
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B e x  + (A e  + 5B d e )x  + (5A d e  + 10B d e )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A d e  + 10B d e )x  + (10A d e  + 5B d e)x  + (5A d e + B d )x + A d
+--R  /
+--R     b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 476
+
+--S 477 of 1293
+r0:=(A*b-a*B)*e*(b*d-a*e)^4*x/b^6+1/2*(A*b-a*B)*(b*d-a*e)^3*(d+e*x)^2/b^5+_
+     1/3*(A*b-a*B)*(b*d-a*e)^2*(d+e*x)^3/b^4+_
+     1/4*(A*b-a*B)*(b*d-a*e)*(d+e*x)^4/b^3+1/5*(A*b-a*B)*(d+e*x)^5/b^2+_
+     1/6*B*(d+e*x)^6/(b*e)+(A*b-a*B)*(b*d-a*e)^5*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                   5         6  6          4 2         5     5
+--R           (- 60A a b + 60B a )e  + (300A a b  - 300B a b)d e
+--R         + 
+--R                    3 3         4 2  2 4          2 4         3 3  3 3
+--R           (- 600A a b  + 600B a b )d e  + (600A a b  - 600B a b )d e
+--R         + 
+--R                      5         2 4  4 2         6          5  5
+--R           (- 300A a b  + 300B a b )d e  + (60A b  - 60B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            6 6 6          6          5  6        6   5  5
+--R       10B b e x  + ((12A b  - 12B a b )e  + 60B b d e )x
+--R     + 
+--R                  5        2 4  6         6          5    5         6 2 4  4
+--R       ((- 15A a b  + 15B a b )e  + (75A b  - 75B a b )d e  + 150B b d e )x
+--R     + 
+--R                 2 4        3 3  6              5         2 4    5
+--R           (20A a b  - 20B a b )e  + (- 100A a b  + 100B a b )d e
+--R         + 
+--R                  6           5  2 4         6 3 3
+--R           (200A b  - 200B a b )d e  + 200B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 3        4 2  6          2 4         3 3    5
+--R           (- 30A a b  + 30B a b )e  + (150A a b  - 150B a b )d e
+--R         + 
+--R                    5         2 4  2 4          6           5  3 3         6 4 2
+--R         (- 300A a b  + 300B a b )d e  + (300A b  - 300B a b )d e  + 150B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4 2        5   6            3 3         4 2    5
+--R           (60A a b  - 60B a b)e  + (- 300A a b  + 300B a b )d e
+--R         + 
+--R                  2 4         3 3  2 4              5         2 4  3 3
+--R           (600A a b  - 600B a b )d e  + (- 600A a b  + 600B a b )d e
+--R         + 
+--R                  6           5  4 2        6 5
+--R           (300A b  - 300B a b )d e  + 60B b d e
+--R      *
+--R         x
+--R     + 
+--R               3 3        4 2  2 4          2 4         3 3  3 3
+--R       (- 30A a b  + 30B a b )d e  + (110A a b  - 110B a b )d e
+--R     + 
+--R                  5         2 4  4 2         6          5  5         6 6
+--R       (- 145A a b  + 145B a b )d e  + (77A b  - 77B a b )d e + 10B b d
+--R  /
+--R        7
+--R     60b e
+--R                                                    Type: Expression(Integer)
+--E 477
+
+--S 478 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   5         6  5          4 2         5     4
+--R           (- 60A a b + 60B a )e  + (300A a b  - 300B a b)d e
+--R         + 
+--R                    3 3         4 2  2 3          2 4         3 3  3 2
+--R           (- 600A a b  + 600B a b )d e  + (600A a b  - 600B a b )d e
+--R         + 
+--R                      5         2 4  4          6          5  5
+--R           (- 300A a b  + 300B a b )d e + (60A b  - 60B a b )d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            6 5 6          6          5  5        6   4  5
+--R       10B b e x  + ((12A b  - 12B a b )e  + 60B b d e )x
+--R     + 
+--R                  5        2 4  5         6          5    4         6 2 3  4
+--R       ((- 15A a b  + 15B a b )e  + (75A b  - 75B a b )d e  + 150B b d e )x
+--R     + 
+--R                 2 4        3 3  5              5         2 4    4
+--R           (20A a b  - 20B a b )e  + (- 100A a b  + 100B a b )d e
+--R         + 
+--R                  6           5  2 3         6 3 2
+--R           (200A b  - 200B a b )d e  + 200B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 3        4 2  5          2 4         3 3    4
+--R           (- 30A a b  + 30B a b )e  + (150A a b  - 150B a b )d e
+--R         + 
+--R                    5         2 4  2 3          6           5  3 2         6 4
+--R         (- 300A a b  + 300B a b )d e  + (300A b  - 300B a b )d e  + 150B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4 2        5   5            3 3         4 2    4
+--R           (60A a b  - 60B a b)e  + (- 300A a b  + 300B a b )d e
+--R         + 
+--R                  2 4         3 3  2 3              5         2 4  3 2
+--R           (600A a b  - 600B a b )d e  + (- 600A a b  + 600B a b )d e
+--R         + 
+--R                  6           5  4         6 5
+--R           (300A b  - 300B a b )d e + 60B b d
+--R      *
+--R         x
+--R  /
+--R        7
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E 478
+
+--S 479 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3         4  2 4            2 2         3   3 3
+--R       (30A a b - 30B a )d e  + (- 110A a b  + 110B a b)d e
+--R     + 
+--R                3         2 2  4 2           4          3  5         4 6
+--R       (145A a b  - 145B a b )d e  + (- 77A b  + 77B a b )d e - 10B b d
+--R  /
+--R        5
+--R     60b e
+--R                                                    Type: Expression(Integer)
+--E 479
+
+--S 480 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 480
+
+)clear all
+
+--S 481 of 1293
+t0:=(A+B*x)*(d+e*x)^4/(a+b*x)
+--R 
+--R
+--R   (1)
+--R          4 5       4         3  4          3       2 2  3
+--R       B e x  + (A e  + 4B d e )x  + (4A d e  + 6B d e )x
+--R     + 
+--R            2 2       3   2        3       4        4
+--R       (6A d e  + 4B d e)x  + (4A d e + B d )x + A d
+--R  /
+--R     b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 481
+
+--S 482 of 1293
+r0:=(A*b-a*B)*e*(b*d-a*e)^3*x/b^5+1/2*(A*b-a*B)*(b*d-a*e)^2*(d+e*x)^2/b^4+_
+     1/3*(A*b-a*B)*(b*d-a*e)*(d+e*x)^3/b^3+1/4*(A*b-a*B)*(d+e*x)^4/b^2+_
+     1/5*B*(d+e*x)^5/(b*e)+(A*b-a*B)*(b*d-a*e)^4*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R                 4         5  5            3 2         4     4
+--R           (60A a b - 60B a )e  + (- 240A a b  + 240B a b)d e
+--R         + 
+--R                  2 3         3 2  2 3              4         2 3  3 2
+--R           (360A a b  - 360B a b )d e  + (- 240A a b  + 240B a b )d e
+--R         + 
+--R                 5          4  4
+--R           (60A b  - 60B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5 5 5          5          4  5        5   4  4
+--R       12B b e x  + ((15A b  - 15B a b )e  + 60B b d e )x
+--R     + 
+--R                  4        2 3  5         5          4    4         5 2 3  3
+--R       ((- 20A a b  + 20B a b )e  + (80A b  - 80B a b )d e  + 120B b d e )x
+--R     + 
+--R                 2 3        3 2  5              4         2 3    4
+--R           (30A a b  - 30B a b )e  + (- 120A a b  + 120B a b )d e
+--R         + 
+--R                  5           4  2 3         5 3 2
+--R           (180A b  - 180B a b )d e  + 120B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   3 2        4   5          2 3         3 2    4
+--R           (- 60A a b  + 60B a b)e  + (240A a b  - 240B a b )d e
+--R         + 
+--R                    4         2 3  2 3          5           4  3 2        5 4
+--R         (- 360A a b  + 360B a b )d e  + (240A b  - 240B a b )d e  + 60B b d e
+--R      *
+--R         x
+--R     + 
+--R             2 3        3 2  2 3             4        2 3  3 2
+--R       (30A a b  - 30B a b )d e  + (- 80A a b  + 80B a b )d e
+--R     + 
+--R             5          4  4         5 5
+--R       (65A b  - 65B a b )d e + 12B b d
+--R  /
+--R        6
+--R     60b e
+--R                                                    Type: Expression(Integer)
+--E 482
+
+--S 483 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 4         5  4            3 2         4     3
+--R           (60A a b - 60B a )e  + (- 240A a b  + 240B a b)d e
+--R         + 
+--R                  2 3         3 2  2 2              4         2 3  3
+--R           (360A a b  - 360B a b )d e  + (- 240A a b  + 240B a b )d e
+--R         + 
+--R                 5          4  4
+--R           (60A b  - 60B a b )d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5 4 5          5          4  4        5   3  4
+--R       12B b e x  + ((15A b  - 15B a b )e  + 60B b d e )x
+--R     + 
+--R                  4        2 3  4         5          4    3         5 2 2  3
+--R       ((- 20A a b  + 20B a b )e  + (80A b  - 80B a b )d e  + 120B b d e )x
+--R     + 
+--R                 2 3        3 2  4              4         2 3    3
+--R           (30A a b  - 30B a b )e  + (- 120A a b  + 120B a b )d e
+--R         + 
+--R                  5           4  2 2         5 3
+--R           (180A b  - 180B a b )d e  + 120B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   3 2        4   4          2 3         3 2    3
+--R           (- 60A a b  + 60B a b)e  + (240A a b  - 240B a b )d e
+--R         + 
+--R                      4         2 3  2 2          5           4  3         5 4
+--R           (- 360A a b  + 360B a b )d e  + (240A b  - 240B a b )d e + 60B b d
+--R      *
+--R         x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E 483
+
+--S 484 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               2         3  2 3           2        2   3 2
+--R       (- 30A a b + 30B a )d e  + (80A a b  - 80B a b)d e
+--R     + 
+--R               3          2  4         3 5
+--R       (- 65A b  + 65B a b )d e - 12B b d
+--R  /
+--R        4
+--R     60b e
+--R                                                    Type: Expression(Integer)
+--E 484
+
+--S 485 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 485
+
+)clear all
+
+--S 486 of 1293
+t0:=(A+B*x)*(d+e*x)^3/(a+b*x)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x + A d
+--R   ----------------------------------------------------------------------------
+--R                                      b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 486
+
+--S 487 of 1293
+r0:=(A*b-a*B)*e*(b*d-a*e)^2*x/b^4+1/2*(A*b-a*B)*(b*d-a*e)*(d+e*x)^2/b^3+_
+     1/3*(A*b-a*B)*(d+e*x)^3/b^2+1/4*B*(d+e*x)^4/(b*e)+_
+     (A*b-a*B)*(b*d-a*e)^3*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                   3         4  4         2 2        3     3
+--R           (- 12A a b + 12B a )e  + (36A a b  - 36B a b)d e
+--R         + 
+--R                     3        2 2  2 2         4          3  3
+--R           (- 36A a b  + 36B a b )d e  + (12A b  - 12B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           4 4 4         4         3  4        4   3  3
+--R       3B b e x  + ((4A b  - 4B a b )e  + 12B b d e )x
+--R     + 
+--R                 3       2 2  4         4          3    3        4 2 2  2
+--R       ((- 6A a b  + 6B a b )e  + (18A b  - 18B a b )d e  + 18B b d e )x
+--R     + 
+--R                 2 2        3   4             3        2 2    3
+--R           (12A a b  - 12B a b)e  + (- 36A a b  + 36B a b )d e
+--R         + 
+--R                 4          3  2 2        4 3
+--R           (36A b  - 36B a b )d e  + 12B b d e
+--R      *
+--R         x
+--R     + 
+--R                3       2 2  2 2         4          3  3        4 4
+--R       (- 6A a b  + 6B a b )d e  + (10A b  - 10B a b )d e + 3B b d
+--R  /
+--R        5
+--R     12b e
+--R                                                    Type: Expression(Integer)
+--E 487
+
+--S 488 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   3         4  3         2 2        3     2
+--R           (- 12A a b + 12B a )e  + (36A a b  - 36B a b)d e
+--R         + 
+--R                     3        2 2  2          4          3  3
+--R           (- 36A a b  + 36B a b )d e + (12A b  - 12B a b )d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           4 3 4         4         3  3        4   2  3
+--R       3B b e x  + ((4A b  - 4B a b )e  + 12B b d e )x
+--R     + 
+--R                 3       2 2  3         4          3    2        4 2   2
+--R       ((- 6A a b  + 6B a b )e  + (18A b  - 18B a b )d e  + 18B b d e)x
+--R     + 
+--R                 2 2        3   3             3        2 2    2
+--R           (12A a b  - 12B a b)e  + (- 36A a b  + 36B a b )d e
+--R         + 
+--R                 4          3  2         4 3
+--R           (36A b  - 36B a b )d e + 12B b d
+--R      *
+--R         x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E 488
+
+--S 489 of 1293
+m0:=a0-r0
+--R 
+--R
+--R                      2  2 2           2            3        2 4
+--R        (6A a b - 6B a )d e  + (- 10A b  + 10B a b)d e - 3B b d
+--R   (4)  --------------------------------------------------------
+--R                                     3
+--R                                  12b e
+--R                                                    Type: Expression(Integer)
+--E 489
+
+--S 490 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 490
+
+)clear all
+
+--S 491 of 1293
+t0:=(A+B*x)*(d+e*x)^2/(a+b*x)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d
+--R   (1)  ----------------------------------------------------
+--R                               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 491
+
+--S 492 of 1293
+r0:=(A*b-a*B)*e*(b*d-a*e)*x/b^3+1/2*(A*b-a*B)*(d+e*x)^2/b^2+_
+     1/3*B*(d+e*x)^3/(b*e)+(A*b-a*B)*(b*d-a*e)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                  2        3  3             2        2     2
+--R             (6A a b - 6B a )e  + (- 12A a b  + 12B a b)d e
+--R           + 
+--R                  3         2  2
+--R             (6A b  - 6B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           3 3 3         3         2  3       3   2  2
+--R       2B b e x  + ((3A b  - 3B a b )e  + 6B b d e )x
+--R     + 
+--R                 2       2   3         3          2    2       3 2
+--R       ((- 6A a b  + 6B a b)e  + (12A b  - 12B a b )d e  + 6B b d e)x
+--R     + 
+--R            3         2  2        3 3
+--R       (3A b  - 3B a b )d e + 2B b d
+--R  /
+--R       4
+--R     6b e
+--R                                                    Type: Expression(Integer)
+--E 492
+
+--S 493 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2        3  2             2        2             3         2  2
+--R         ((6A a b - 6B a )e  + (- 12A a b  + 12B a b)d e + (6A b  - 6B a b )d )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           3 2 3         3         2  2       3     2
+--R       2B b e x  + ((3A b  - 3B a b )e  + 6B b d e)x
+--R     + 
+--R                 2       2   2         3          2           3 2
+--R       ((- 6A a b  + 6B a b)e  + (12A b  - 12B a b )d e + 6B b d )x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 493
+
+--S 494 of 1293
+m0:=a0-r0
+--R 
+--R
+--R                        2          3
+--R        (- 3A b + 3B a)d e - 2B b d
+--R   (4)  ----------------------------
+--R                      2
+--R                    6b e
+--R                                                    Type: Expression(Integer)
+--E 494
+
+--S 495 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 495
+
+)clear all
+
+--S 496 of 1293
+t0:=(A+B*x)*(d+e*x)/(a+b*x)
+--R 
+--R
+--R             2
+--R        B e x  + (A e + B d)x + A d
+--R   (1)  ---------------------------
+--R                  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 496
+
+--S 497 of 1293
+r0:=B*(b*d-a*e)*x/b^2+1/2*e*(A+B*x)^2/(b*B)+(A*b-a*B)*(b*d-a*e)*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                        2 2            2     2                      2 2   2
+--R       ((- 2A B a b + 2B a )e + (2A B b  - 2B a b)d)log(b x + a) + B b e x
+--R     + 
+--R               2     2          2 2       2 2
+--R       ((2A B b  - 2B a b)e + 2B b d)x + A b e
+--R  /
+--R         3
+--R     2B b
+--R                                                    Type: Expression(Integer)
+--E 497
+
+--S 498 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                        2          2                              2   2
+--R       ((- 2A a b + 2B a )e + (2A b  - 2B a b)d)log(b x + a) + B b e x
+--R     + 
+--R             2                  2
+--R       ((2A b  - 2B a b)e + 2B b d)x
+--R  /
+--R       3
+--R     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 498
+
+--S 499 of 1293
+m0:=a0-r0
+--R 
+--R
+--R            2
+--R           A e
+--R   (4)  - ----
+--R          2B b
+--R                                                    Type: Expression(Integer)
+--E 499
+
+--S 500 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 500
+
+)clear all
+
+--S 501 of 1293
+t0:=(A+B*x)/(a+b*x)
+--R 
+--R
+--R        B x + A
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 501
+
+--S 502 of 1293
+r0:=B*x/b+(A*b-a*B)*log(a+b*x)/b^2
+--R 
+--R
+--R        (A b - B a)log(b x + a) + B b x
+--R   (2)  -------------------------------
+--R                        2
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 502
+
+--S 503 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (A b - B a)log(b x + a) + B b x
+--R   (3)  -------------------------------
+--R                        2
+--R                       b
+--R                                         Type: Union(Expression(Integer),...)
+--E 503
+
+--S 504 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 504
+
+--S 505 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 505
+
+)clear all
+
+--S 506 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x))
+--R 
+--R
+--R                  B x + A
+--R   (1)  ---------------------------
+--R             2
+--R        b e x  + (a e + b d)x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 506
+
+--S 507 of 1293
+r0:=(A*b-a*B)*log(a+b*x)/(b*(b*d-a*e))+(B*d-A*e)*log(d+e*x)/(e*(b*d-a*e))
+--R 
+--R
+--R        (A b e - B b d)log(e x + d) + (- A b + B a)e log(b x + a)
+--R   (2)  ---------------------------------------------------------
+--R                                   2    2
+--R                              a b e  - b d e
+--R                                                    Type: Expression(Integer)
+--E 507
+
+--S 508 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (A b e - B b d)log(e x + d) + (- A b + B a)e log(b x + a)
+--R   (3)  ---------------------------------------------------------
+--R                                   2    2
+--R                              a b e  - b d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 508
+
+--S 509 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 509
+
+--S 510 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 510
+
+)clear all
+
+--S 511 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^2)
+--R 
+--R
+--R                               B x + A
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b e x  + (a e  + 2b d e)x  + (2a d e + b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 511
+
+--S 512 of 1293
+r0:=(-B*d+A*e)/(e*(b*d-a*e)*(d+e*x))+(A*b-a*B)*log(a+b*x)/(b*d-a*e)^2-_
+     (A*b-a*B)*log(d+e*x)/(b*d-a*e)^2
+--R 
+--R
+--R   (2)
+--R                      2
+--R       ((- A b + B a)e x + (- A b + B a)d e)log(e x + d)
+--R     + 
+--R                    2                                       2
+--R       ((A b - B a)e x + (A b - B a)d e)log(b x + a) - A a e  + (A b + B a)d e
+--R     + 
+--R              2
+--R       - B b d
+--R  /
+--R       2 4           3    2 2 2      2   3         2 2    2 3
+--R     (a e  - 2a b d e  + b d e )x + a d e  - 2a b d e  + b d e
+--R                                                    Type: Expression(Integer)
+--E 512
+
+--S 513 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                      2
+--R       ((- A b + B a)e x + (- A b + B a)d e)log(e x + d)
+--R     + 
+--R                    2                                       2
+--R       ((A b - B a)e x + (A b - B a)d e)log(b x + a) - A a e  + (A b + B a)d e
+--R     + 
+--R              2
+--R       - B b d
+--R  /
+--R       2 4           3    2 2 2      2   3         2 2    2 3
+--R     (a e  - 2a b d e  + b d e )x + a d e  - 2a b d e  + b d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 513
+
+--S 514 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 514
+
+--S 515 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 515
+
+)clear all
+
+--S 516 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^3)
+--R 
+--R
+--R   (1)
+--R                                      B x + A
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b e x  + (a e  + 3b d e )x  + (3a d e  + 3b d e)x  + (3a d e + b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 516
+
+--S 517 of 1293
+r0:=1/2*(-B*d+A*e)/(e*(b*d-a*e)*(d+e*x)^2)+(A*b-a*B)/((b*d-a*e)^2*(d+e*x))+_
+     b*(A*b-a*B)*log(a+b*x)/(b*d-a*e)^3-b*(A*b-a*B)*log(d+e*x)/(b*d-a*e)^3
+--R 
+--R
+--R   (2)
+--R               2           3 2        2             2         2           2
+--R         ((2A b  - 2B a b)e x  + (4A b  - 4B a b)d e x + (2A b  - 2B a b)d e)
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  2           3 2          2             2
+--R           (- 2A b  + 2B a b)e x  + (- 4A b  + 4B a b)d e x
+--R         + 
+--R                  2           2
+--R           (- 2A b  + 2B a b)d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                      2  3          2             2        2 3
+--R       ((2A a b - 2B a )e  + (- 2A b  + 2B a b)d e )x - A a e
+--R     + 
+--R                    2    2       2 2       2 3
+--R       (4A a b - B a )d e  - 3A b d e + B b d
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a e  - 6a b d e  + 6a b d e  - 2b d e )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a d e  - 12a b d e  + 12a b d e  - 4b d e )x + 2a d e  - 6a b d e
+--R     + 
+--R           2 4 2     3 5
+--R       6a b d e  - 2b d e
+--R                                                    Type: Expression(Integer)
+--E 517
+
+--S 518 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2           3 2        2             2         2           2
+--R         ((2A b  - 2B a b)e x  + (4A b  - 4B a b)d e x + (2A b  - 2B a b)d e)
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  2           3 2          2             2
+--R           (- 2A b  + 2B a b)e x  + (- 4A b  + 4B a b)d e x
+--R         + 
+--R                  2           2
+--R           (- 2A b  + 2B a b)d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                      2  3          2             2        2 3
+--R       ((2A a b - 2B a )e  + (- 2A b  + 2B a b)d e )x - A a e
+--R     + 
+--R                    2    2       2 2       2 3
+--R       (4A a b - B a )d e  - 3A b d e + B b d
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a e  - 6a b d e  + 6a b d e  - 2b d e )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a d e  - 12a b d e  + 12a b d e  - 4b d e )x + 2a d e  - 6a b d e
+--R     + 
+--R           2 4 2     3 5
+--R       6a b d e  - 2b d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 518
+
+--S 519 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 519
+
+--S 520 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 520
+
+)clear all
+
+--S 521 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^4)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          4 5       4         3  4          3       2 2  3
+--R       b e x  + (a e  + 4b d e )x  + (4a d e  + 6b d e )x
+--R     + 
+--R            2 2       3   2        3       4        4
+--R       (6a d e  + 4b d e)x  + (4a d e + b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 521
+
+--S 522 of 1293
+r0:=1/3*(-B*d+A*e)/(e*(b*d-a*e)*(d+e*x)^3)+_
+     1/2*(A*b-a*B)/((b*d-a*e)^2*(d+e*x)^2)+_
+     b*(A*b-a*B)/((b*d-a*e)^3*(d+e*x))+_
+     b^2*(A*b-a*B)*log(a+b*x)/(b*d-a*e)^4-b^2*(A*b-a*B)*log(d+e*x)/(b*d-a*e)^4
+--R 
+--R
+--R   (2)
+--R                  3         2  4 3           3          2    3 2
+--R           (- 6A b  + 6B a b )e x  + (- 18A b  + 18B a b )d e x
+--R         + 
+--R                   3          2  2 2           3         2  3
+--R           (- 18A b  + 18B a b )d e x + (- 6A b  + 6B a b )d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                3         2  4 3         3          2    3 2
+--R           (6A b  - 6B a b )e x  + (18A b  - 18B a b )d e x
+--R         + 
+--R                 3          2  2 2         3         2  3
+--R           (18A b  - 18B a b )d e x + (6A b  - 6B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2       2   4        3         2    3  2
+--R       ((- 6A a b  + 6B a b)e  + (6A b  - 6B a b )d e )x
+--R     + 
+--R                2        3  4             2        2     3
+--R           (3A a b - 3B a )e  + (- 18A a b  + 18B a b)d e
+--R         + 
+--R                 3          2  2 2
+--R           (15A b  - 15B a b )d e
+--R      *
+--R         x
+--R     + 
+--R             3 4        2       3    3             2       2   2 2
+--R       - 2A a e  + (9A a b - B a )d e  + (- 18A a b  + 6B a b)d e
+--R     + 
+--R             3         2  3        3 4
+--R       (11A b  - 3B a b )d e - 2B b d
+--R  /
+--R          4 8      3     7      2 2 2 6        3 3 5     4 4 4  3
+--R       (6a e  - 24a b d e  + 36a b d e  - 24a b d e  + 6b d e )x
+--R     + 
+--R           4   7      3   2 6       2 2 3 5        3 4 4      4 5 3  2
+--R       (18a d e  - 72a b d e  + 108a b d e  - 72a b d e  + 18b d e )x
+--R     + 
+--R           4 2 6      3   3 5       2 2 4 4        3 5 3      4 6 2       4 3 5
+--R       (18a d e  - 72a b d e  + 108a b d e  - 72a b d e  + 18b d e )x + 6a d e
+--R     + 
+--R            3   4 4      2 2 5 3        3 6 2     4 7
+--R       - 24a b d e  + 36a b d e  - 24a b d e  + 6b d e
+--R                                                    Type: Expression(Integer)
+--E 522
+
+--S 523 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  3         2  4 3           3          2    3 2
+--R           (- 6A b  + 6B a b )e x  + (- 18A b  + 18B a b )d e x
+--R         + 
+--R                   3          2  2 2           3         2  3
+--R           (- 18A b  + 18B a b )d e x + (- 6A b  + 6B a b )d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                3         2  4 3         3          2    3 2
+--R           (6A b  - 6B a b )e x  + (18A b  - 18B a b )d e x
+--R         + 
+--R                 3          2  2 2         3         2  3
+--R           (18A b  - 18B a b )d e x + (6A b  - 6B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2       2   4        3         2    3  2
+--R       ((- 6A a b  + 6B a b)e  + (6A b  - 6B a b )d e )x
+--R     + 
+--R                2        3  4             2        2     3
+--R           (3A a b - 3B a )e  + (- 18A a b  + 18B a b)d e
+--R         + 
+--R                 3          2  2 2
+--R           (15A b  - 15B a b )d e
+--R      *
+--R         x
+--R     + 
+--R             3 4        2       3    3             2       2   2 2
+--R       - 2A a e  + (9A a b - B a )d e  + (- 18A a b  + 6B a b)d e
+--R     + 
+--R             3         2  3        3 4
+--R       (11A b  - 3B a b )d e - 2B b d
+--R  /
+--R          4 8      3     7      2 2 2 6        3 3 5     4 4 4  3
+--R       (6a e  - 24a b d e  + 36a b d e  - 24a b d e  + 6b d e )x
+--R     + 
+--R           4   7      3   2 6       2 2 3 5        3 4 4      4 5 3  2
+--R       (18a d e  - 72a b d e  + 108a b d e  - 72a b d e  + 18b d e )x
+--R     + 
+--R           4 2 6      3   3 5       2 2 4 4        3 5 3      4 6 2       4 3 5
+--R       (18a d e  - 72a b d e  + 108a b d e  - 72a b d e  + 18b d e )x + 6a d e
+--R     + 
+--R            3   4 4      2 2 5 3        3 6 2     4 7
+--R       - 24a b d e  + 36a b d e  - 24a b d e  + 6b d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 523
+
+--S 524 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 524
+
+--S 525 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 525
+
+)clear all
+
+--S 526 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^5)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          5 6       5         4  5          4        2 3  4
+--R       b e x  + (a e  + 5b d e )x  + (5a d e  + 10b d e )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a d e  + 10b d e )x  + (10a d e  + 5b d e)x  + (5a d e + b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 526
+
+--S 527 of 1293
+r0:=1/4*(-B*d+A*e)/(e*(b*d-a*e)*(d+e*x)^4)+_
+     1/3*(A*b-a*B)/((b*d-a*e)^2*(d+e*x)^3)+_
+     1/2*b*(A*b-a*B)/((b*d-a*e)^3*(d+e*x)^2)+_
+     b^2*(A*b-a*B)/((b*d-a*e)^4*(d+e*x))+_
+     b^3*(A*b-a*B)*log(a+b*x)/(b*d-a*e)^5-b^3*(A*b-a*B)*log(d+e*x)/(b*d-a*e)^5
+--R 
+--R
+--R   (2)
+--R                 4          3  5 4         4          3    4 3
+--R           (12A b  - 12B a b )e x  + (48A b  - 48B a b )d e x
+--R         + 
+--R                 4          3  2 3 2         4          3  3 2
+--R           (72A b  - 72B a b )d e x  + (48A b  - 48B a b )d e x
+--R         + 
+--R                 4          3  4
+--R           (12A b  - 12B a b )d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                   4          3  5 4           4          3    4 3
+--R           (- 12A b  + 12B a b )e x  + (- 48A b  + 48B a b )d e x
+--R         + 
+--R                   4          3  2 3 2           4          3  3 2
+--R           (- 72A b  + 72B a b )d e x  + (- 48A b  + 48B a b )d e x
+--R         + 
+--R                   4          3  4
+--R           (- 12A b  + 12B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                3        2 2  5           4          3    4  3
+--R       ((12A a b  - 12B a b )e  + (- 12A b  + 12B a b )d e )x
+--R     + 
+--R                  2 2       3   5           3        2 2    4
+--R           (- 6A a b  + 6B a b)e  + (48A a b  - 48B a b )d e
+--R         + 
+--R                   4          3  2 3
+--R           (- 42A b  + 42B a b )d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  5           2 2        3     4
+--R           (4A a b - 4B a )e  + (- 24A a b  + 24B a b)d e
+--R         + 
+--R                   3        2 2  2 3           4          3  3 2
+--R           (72A a b  - 72B a b )d e  + (- 52A b  + 52B a b )d e
+--R      *
+--R         x
+--R     + 
+--R             4 5         3       4    4           2 2       3   2 3
+--R       - 3A a e  + (16A a b - B a )d e  + (- 36A a b  + 6B a b)d e
+--R     + 
+--R               3        2 2  3 2           4          3  4        4 5
+--R       (48A a b  - 18B a b )d e  + (- 25A b  + 10B a b )d e + 3B b d
+--R  /
+--R              5 10      4     9       3 2 2 8       2 3 3 7        4 4 6
+--R           12a e   - 60a b d e  + 120a b d e  - 120a b d e  + 60a b d e
+--R         + 
+--R                5 5 5
+--R           - 12b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              5   9       4   2 8       3 2 3 7       2 3 4 6         4 5 5
+--R           48a d e  - 240a b d e  + 480a b d e  - 480a b d e  + 240a b d e
+--R         + 
+--R                5 6 4
+--R           - 48b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              5 2 8       4   3 7       3 2 4 6       2 3 5 5         4 6 4
+--R           72a d e  - 360a b d e  + 720a b d e  - 720a b d e  + 360a b d e
+--R         + 
+--R                5 7 3
+--R           - 72b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 3 7       4   4 6       3 2 5 5       2 3 6 4         4 7 3
+--R           48a d e  - 240a b d e  + 480a b d e  - 480a b d e  + 240a b d e
+--R         + 
+--R                5 8 2
+--R           - 48b d e
+--R      *
+--R         x
+--R     + 
+--R          5 4 6      4   5 5       3 2 6 4       2 3 7 3        4 8 2      5 9
+--R       12a d e  - 60a b d e  + 120a b d e  - 120a b d e  + 60a b d e  - 12b d e
+--R                                                    Type: Expression(Integer)
+--E 527
+
+--S 528 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 4          3  5 4         4          3    4 3
+--R           (12A b  - 12B a b )e x  + (48A b  - 48B a b )d e x
+--R         + 
+--R                 4          3  2 3 2         4          3  3 2
+--R           (72A b  - 72B a b )d e x  + (48A b  - 48B a b )d e x
+--R         + 
+--R                 4          3  4
+--R           (12A b  - 12B a b )d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                   4          3  5 4           4          3    4 3
+--R           (- 12A b  + 12B a b )e x  + (- 48A b  + 48B a b )d e x
+--R         + 
+--R                   4          3  2 3 2           4          3  3 2
+--R           (- 72A b  + 72B a b )d e x  + (- 48A b  + 48B a b )d e x
+--R         + 
+--R                   4          3  4
+--R           (- 12A b  + 12B a b )d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                3        2 2  5           4          3    4  3
+--R       ((12A a b  - 12B a b )e  + (- 12A b  + 12B a b )d e )x
+--R     + 
+--R                  2 2       3   5           3        2 2    4
+--R           (- 6A a b  + 6B a b)e  + (48A a b  - 48B a b )d e
+--R         + 
+--R                   4          3  2 3
+--R           (- 42A b  + 42B a b )d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  5           2 2        3     4
+--R           (4A a b - 4B a )e  + (- 24A a b  + 24B a b)d e
+--R         + 
+--R                   3        2 2  2 3           4          3  3 2
+--R           (72A a b  - 72B a b )d e  + (- 52A b  + 52B a b )d e
+--R      *
+--R         x
+--R     + 
+--R             4 5         3       4    4           2 2       3   2 3
+--R       - 3A a e  + (16A a b - B a )d e  + (- 36A a b  + 6B a b)d e
+--R     + 
+--R               3        2 2  3 2           4          3  4        4 5
+--R       (48A a b  - 18B a b )d e  + (- 25A b  + 10B a b )d e + 3B b d
+--R  /
+--R              5 10      4     9       3 2 2 8       2 3 3 7        4 4 6
+--R           12a e   - 60a b d e  + 120a b d e  - 120a b d e  + 60a b d e
+--R         + 
+--R                5 5 5
+--R           - 12b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              5   9       4   2 8       3 2 3 7       2 3 4 6         4 5 5
+--R           48a d e  - 240a b d e  + 480a b d e  - 480a b d e  + 240a b d e
+--R         + 
+--R                5 6 4
+--R           - 48b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              5 2 8       4   3 7       3 2 4 6       2 3 5 5         4 6 4
+--R           72a d e  - 360a b d e  + 720a b d e  - 720a b d e  + 360a b d e
+--R         + 
+--R                5 7 3
+--R           - 72b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 3 7       4   4 6       3 2 5 5       2 3 6 4         4 7 3
+--R           48a d e  - 240a b d e  + 480a b d e  - 480a b d e  + 240a b d e
+--R         + 
+--R                5 8 2
+--R           - 48b d e
+--R      *
+--R         x
+--R     + 
+--R          5 4 6      4   5 5       3 2 6 4       2 3 7 3        4 8 2      5 9
+--R       12a d e  - 60a b d e  + 120a b d e  - 120a b d e  + 60a b d e  - 12b d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 528
+
+--S 529 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 529
+
+--S 530 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 530
+
+)clear all
+
+--S 531 of 1293
+t0:=(A+B*x)*(d+e*x)^5/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B e x  + (A e  + 5B d e )x  + (5A d e  + 10B d e )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A d e  + 10B d e )x  + (10A d e  + 5B d e)x  + (5A d e + B d )x + A d
+--R  /
+--R      2 2             2
+--R     b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 531
+
+--S 532 of 1293
+r0:=5*e*(b*d-a*e)^3*(b*B*d+2*A*b*e-3*a*B*e)*x/b^6-_
+     (A*b-a*B)*(b*d-a*e)^5/(b^7*(a+b*x))+_
+     5*e^2*(b*d-a*e)^2*(b*B*d+A*b*e-2*a*B*e)*(a+b*x)^2/b^7+_
+     5/3*e^3*(b*d-a*e)*(2*b*B*d+A*b*e-3*a*B*e)*(a+b*x)^3/b^7+_
+     1/4*e^4*(5*b*B*d+A*b*e-6*a*B*e)*(a+b*x)^4/b^7+_
+     1/5*B*e^5*(a+b*x)^5/b^7+(b*d-a*e)^4*(b*B*d+5*A*b*e-6*a*B*e)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                      4 2         5   5             3 3          4 2    4
+--R               (300A a b  - 360B a b)e  + (- 1200A a b  + 1500B a b )d e
+--R             + 
+--R                       2 4          3 3  2 3               5          2 4  3 2
+--R               (1800A a b  - 2400B a b )d e  + (- 1200A a b  + 1800B a b )d e
+--R             + 
+--R                      6           5  4         6 5
+--R               (300A b  - 600B a b )d e + 60B b d
+--R          *
+--R             x
+--R         + 
+--R                  5          6  5             4 2          5     4
+--R           (300A a b - 360B a )e  + (- 1200A a b  + 1500B a b)d e
+--R         + 
+--R                   3 3          4 2  2 3             2 4          3 3  3 2
+--R           (1800A a b  - 2400B a b )d e  + (- 1200A a b  + 1800B a b )d e
+--R         + 
+--R                    5         2 4  4           5 5
+--R           (300A a b  - 600B a b )d e + 60B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            6 5 6          6          5  5        6   4  5
+--R       12B b e x  + ((15A b  - 18B a b )e  + 75B b d e )x
+--R     + 
+--R                  5        2 4  5          6           5    4         6 2 3  4
+--R       ((- 25A a b  + 30B a b )e  + (100A b  - 125B a b )d e  + 200B b d e )x
+--R     + 
+--R                 2 4        3 3  5              5         2 4    4
+--R           (50A a b  - 60B a b )e  + (- 200A a b  + 250B a b )d e
+--R         + 
+--R                  6           5  2 3         6 3 2
+--R           (300A b  - 400B a b )d e  + 300B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    3 3         4 2  5          2 4         3 3    4
+--R           (- 150A a b  + 180B a b )e  + (600A a b  - 750B a b )d e
+--R         + 
+--R                    5          2 4  2 3          6           5  3 2         6 4
+--R         (- 900A a b  + 1200B a b )d e  + (600A b  - 900B a b )d e  + 300B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   4 2        5   5          3 3         4 2    4
+--R           (- 25A a b  - 78B a b)e  + (400A a b  - 125B a b )d e
+--R         + 
+--R                    2 4         3 3  2 3            5         2 4  3 2
+--R           (- 900A a b  + 800B a b )d e  + (600A a b  - 900B a b )d e
+--R         + 
+--R                   5 4
+--R           300B a b d e
+--R      *
+--R         x
+--R     + 
+--R              5          6  5            4 2          5     4
+--R       (275A a b - 438B a )e  + (- 800A a b  + 1375B a b)d e
+--R     + 
+--R              3 3          4 2  2 3            2 4         3 3  3 2
+--R       (900A a b  - 1600B a b )d e  + (- 600A a b  + 900B a b )d e
+--R     + 
+--R                5         2 4  4            6          5  5
+--R       (300A a b  - 300B a b )d e + (- 60A b  + 60B a b )d
+--R  /
+--R        8         7
+--R     60b x + 60a b
+--R                                                    Type: Expression(Integer)
+--E 532
+
+--S 533 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                      4 2         5   5             3 3          4 2    4
+--R               (300A a b  - 360B a b)e  + (- 1200A a b  + 1500B a b )d e
+--R             + 
+--R                       2 4          3 3  2 3               5          2 4  3 2
+--R               (1800A a b  - 2400B a b )d e  + (- 1200A a b  + 1800B a b )d e
+--R             + 
+--R                      6           5  4         6 5
+--R               (300A b  - 600B a b )d e + 60B b d
+--R          *
+--R             x
+--R         + 
+--R                  5          6  5             4 2          5     4
+--R           (300A a b - 360B a )e  + (- 1200A a b  + 1500B a b)d e
+--R         + 
+--R                   3 3          4 2  2 3             2 4          3 3  3 2
+--R           (1800A a b  - 2400B a b )d e  + (- 1200A a b  + 1800B a b )d e
+--R         + 
+--R                    5         2 4  4           5 5
+--R           (300A a b  - 600B a b )d e + 60B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            6 5 6          6          5  5        6   4  5
+--R       12B b e x  + ((15A b  - 18B a b )e  + 75B b d e )x
+--R     + 
+--R                  5        2 4  5          6           5    4         6 2 3  4
+--R       ((- 25A a b  + 30B a b )e  + (100A b  - 125B a b )d e  + 200B b d e )x
+--R     + 
+--R                 2 4        3 3  5              5         2 4    4
+--R           (50A a b  - 60B a b )e  + (- 200A a b  + 250B a b )d e
+--R         + 
+--R                  6           5  2 3         6 3 2
+--R           (300A b  - 400B a b )d e  + 300B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    3 3         4 2  5          2 4         3 3    4
+--R           (- 150A a b  + 180B a b )e  + (600A a b  - 750B a b )d e
+--R         + 
+--R                    5          2 4  2 3          6           5  3 2         6 4
+--R         (- 900A a b  + 1200B a b )d e  + (600A b  - 900B a b )d e  + 300B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    4 2         5   5          3 3          4 2    4
+--R           (- 240A a b  + 300B a b)e  + (900A a b  - 1200B a b )d e
+--R         + 
+--R                     2 4          3 3  2 3            5          2 4  3 2
+--R           (- 1200A a b  + 1800B a b )d e  + (600A a b  - 1200B a b )d e
+--R         + 
+--R                   5 4
+--R           300B a b d e
+--R      *
+--R         x
+--R     + 
+--R             5         6  5            4 2         5     4
+--R       (60A a b - 60B a )e  + (- 300A a b  + 300B a b)d e
+--R     + 
+--R              3 3         4 2  2 3            2 4         3 3  3 2
+--R       (600A a b  - 600B a b )d e  + (- 600A a b  + 600B a b )d e
+--R     + 
+--R                5         2 4  4            6          5  5
+--R       (300A a b  - 300B a b )d e + (- 60A b  + 60B a b )d
+--R  /
+--R        8         7
+--R     60b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 533
+
+--S 534 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                4          5  5          3 2          4     4
+--R       (- 215A a b + 378B a )e  + (500A a b  - 1075B a b)d e
+--R     + 
+--R                2 3          3 2  2 3         2 3 3 2
+--R       (- 300A a b  + 1000B a b )d e  - 300B a b d e
+--R  /
+--R        7
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E 534
+
+--S 535 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 535
+
+)clear all
+
+--S 536 of 1293
+t0:=(A+B*x)*(d+e*x)^4/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R          4 5       4         3  4          3       2 2  3
+--R       B e x  + (A e  + 4B d e )x  + (4A d e  + 6B d e )x
+--R     + 
+--R            2 2       3   2        3       4        4
+--R       (6A d e  + 4B d e)x  + (4A d e + B d )x + A d
+--R  /
+--R      2 2             2
+--R     b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 536
+
+--S 537 of 1293
+r0:=2*e*(b*d-a*e)^2*(2*b*B*d+3*A*b*e-5*a*B*e)*x/b^5-_
+     (A*b-a*B)*(b*d-a*e)^4/(b^6*(a+b*x))+_
+     e^2*(b*d-a*e)*(3*b*B*d+2*A*b*e-5*a*B*e)*(a+b*x)^2/b^6+_
+     1/3*e^3*(4*b*B*d+A*b*e-5*a*B*e)*(a+b*x)^3/b^6+_
+     1/4*B*e^4*(a+b*x)^4/b^6+(b*d-a*e)^3*(b*B*d+4*A*b*e-5*a*B*e)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R                       3 2        4   4          2 3         3 2    3
+--R               (- 48A a b  + 60B a b)e  + (144A a b  - 192B a b )d e
+--R             + 
+--R                        4         2 3  2 2         5          4  3         5 4
+--R             (- 144A a b  + 216B a b )d e  + (48A b  - 96B a b )d e + 12B b d
+--R          *
+--R             x
+--R         + 
+--R                   4         5  4          3 2         4     3
+--R           (- 48A a b + 60B a )e  + (144A a b  - 192B a b)d e
+--R         + 
+--R                  2 3         3 2  2 2           4        2 3  3           4 4
+--R         (- 144A a b  + 216B a b )d e  + (48A a b  - 96B a b )d e + 12B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           5 4 5         5         4  4        5   3  4
+--R       3B b e x  + ((4A b  - 5B a b )e  + 16B b d e )x
+--R     + 
+--R                 4        2 3  4         5          4    3        5 2 2  3
+--R       ((- 8A a b  + 10B a b )e  + (24A b  - 32B a b )d e  + 36B b d e )x
+--R     + 
+--R                 2 3        3 2  4             4        2 3    3
+--R           (24A a b  - 30B a b )e  + (- 72A a b  + 96B a b )d e
+--R         + 
+--R                 5           4  2 2        5 3
+--R           (72A b  - 108B a b )d e  + 48B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 3 2       4   4           2 3        3 2    3
+--R           (16A a b  - 5B a b)e  + (- 72A a b  + 64B a b )d e
+--R         + 
+--R                   4         2 3  2 2          4 3
+--R           (72A a b  - 108B a b )d e  + 48B a b d e
+--R      *
+--R         x
+--R     + 
+--R               4         5  4         3 2         4     3
+--R       (- 32A a b + 55B a )e  + (72A a b  - 128B a b)d e
+--R     + 
+--R               2 3         3 2  2 2           4        2 3  3
+--R       (- 72A a b  + 108B a b )d e  + (48A a b  - 48B a b )d e
+--R     + 
+--R               5          4  4
+--R       (- 12A b  + 12B a b )d
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 537
+
+--S 538 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                       3 2        4   4          2 3         3 2    3
+--R               (- 48A a b  + 60B a b)e  + (144A a b  - 192B a b )d e
+--R             + 
+--R                        4         2 3  2 2         5          4  3         5 4
+--R             (- 144A a b  + 216B a b )d e  + (48A b  - 96B a b )d e + 12B b d
+--R          *
+--R             x
+--R         + 
+--R                   4         5  4          3 2         4     3
+--R           (- 48A a b + 60B a )e  + (144A a b  - 192B a b)d e
+--R         + 
+--R                  2 3         3 2  2 2           4        2 3  3           4 4
+--R         (- 144A a b  + 216B a b )d e  + (48A a b  - 96B a b )d e + 12B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           5 4 5         5         4  4        5   3  4
+--R       3B b e x  + ((4A b  - 5B a b )e  + 16B b d e )x
+--R     + 
+--R                 4        2 3  4         5          4    3        5 2 2  3
+--R       ((- 8A a b  + 10B a b )e  + (24A b  - 32B a b )d e  + 36B b d e )x
+--R     + 
+--R                 2 3        3 2  4             4        2 3    3
+--R           (24A a b  - 30B a b )e  + (- 72A a b  + 96B a b )d e
+--R         + 
+--R                 5           4  2 2        5 3
+--R           (72A b  - 108B a b )d e  + 48B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 3 2        4   4           2 3         3 2    3
+--R           (36A a b  - 48B a b)e  + (- 96A a b  + 144B a b )d e
+--R         + 
+--R                   4         2 3  2 2          4 3
+--R           (72A a b  - 144B a b )d e  + 48B a b d e
+--R      *
+--R         x
+--R     + 
+--R               4         5  4         3 2        4     3
+--R       (- 12A a b + 12B a )e  + (48A a b  - 48B a b)d e
+--R     + 
+--R               2 3        3 2  2 2           4        2 3  3
+--R       (- 72A a b  + 72B a b )d e  + (48A a b  - 48B a b )d e
+--R     + 
+--R               5          4  4
+--R       (- 12A b  + 12B a b )d
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 538
+
+--S 539 of 1293
+m0:=a0-r0
+--R 
+--R
+--R              3         4  4           2 2        3     3        2 2 2 2
+--R        (20A a b - 43B a )e  + (- 24A a b  + 80B a b)d e  - 36B a b d e
+--R   (4)  ----------------------------------------------------------------
+--R                                         6
+--R                                      12b
+--R                                                    Type: Expression(Integer)
+--E 539
+
+--S 540 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 540
+
+)clear all
+
+--S 541 of 1293
+t0:=(A+B*x)*(d+e*x)^3/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x + A d
+--R   ----------------------------------------------------------------------------
+--R                                 2 2             2
+--R                                b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 541
+
+--S 542 of 1293
+r0:=3*e*(b*d-a*e)*(b*B*d+A*b*e-2*a*B*e)*x/b^4-_
+     (A*b-a*B)*(b*d-a*e)^3/(b^5*(a+b*x))+_
+     1/2*e^2*(3*b*B*d+A*b*e-4*a*B*e)*(a+b*x)^2/b^5+_
+     1/3*B*e^3*(a+b*x)^3/b^5+(b*d-a*e)^2*(b*B*d+3*A*b*e-4*a*B*e)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                     2 2        3   3             3        2 2    2
+--R               (18A a b  - 24B a b)e  + (- 36A a b  + 54B a b )d e
+--R             + 
+--R                     4          3  2        4 3
+--R               (18A b  - 36B a b )d e + 6B b d
+--R          *
+--R             x
+--R         + 
+--R                 3         4  3           2 2        3     2
+--R           (18A a b - 24B a )e  + (- 36A a b  + 54B a b)d e
+--R         + 
+--R                   3        2 2  2          3 3
+--R           (18A a b  - 36B a b )d e + 6B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           4 3 4         4         3  3       4   2  3
+--R       2B b e x  + ((3A b  - 4B a b )e  + 9B b d e )x
+--R     + 
+--R                 3        2 2  3         4          3    2        4 2   2
+--R       ((- 9A a b  + 12B a b )e  + (18A b  - 27B a b )d e  + 18B b d e)x
+--R     + 
+--R               2 2       3   3           3        2 2    2          3 2
+--R       ((- 9A a b  + 8B a b)e  + (18A a b  - 27B a b )d e  + 18B a b d e)x
+--R     + 
+--R            3         4  3           2 2        3     2
+--R       (9A a b - 16B a )e  + (- 18A a b  + 27B a b)d e
+--R     + 
+--R               3        2 2  2           4         3  3
+--R       (18A a b  - 18B a b )d e + (- 6A b  + 6B a b )d
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 542
+
+--S 543 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     2 2        3   3             3        2 2    2
+--R               (18A a b  - 24B a b)e  + (- 36A a b  + 54B a b )d e
+--R             + 
+--R                     4          3  2        4 3
+--R               (18A b  - 36B a b )d e + 6B b d
+--R          *
+--R             x
+--R         + 
+--R                 3         4  3           2 2        3     2
+--R           (18A a b - 24B a )e  + (- 36A a b  + 54B a b)d e
+--R         + 
+--R                   3        2 2  2          3 3
+--R           (18A a b  - 36B a b )d e + 6B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           4 3 4         4         3  3       4   2  3
+--R       2B b e x  + ((3A b  - 4B a b )e  + 9B b d e )x
+--R     + 
+--R                 3        2 2  3         4          3    2        4 2   2
+--R       ((- 9A a b  + 12B a b )e  + (18A b  - 27B a b )d e  + 18B b d e)x
+--R     + 
+--R                2 2        3   3           3        2 2    2          3 2
+--R       ((- 12A a b  + 18B a b)e  + (18A a b  - 36B a b )d e  + 18B a b d e)x
+--R     + 
+--R            3        4  3           2 2        3     2
+--R       (6A a b - 6B a )e  + (- 18A a b  + 18B a b)d e
+--R     + 
+--R               3        2 2  2           4         3  3
+--R       (18A a b  - 18B a b )d e + (- 6A b  + 6B a b )d
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 543
+
+--S 544 of 1293
+m0:=a0-r0
+--R 
+--R
+--R               2         3  3       2     2
+--R        (- 3A a b + 10B a )e  - 9B a b d e
+--R   (4)  -----------------------------------
+--R                          5
+--R                        6b
+--R                                                    Type: Expression(Integer)
+--E 544
+
+--S 545 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 545
+
+)clear all
+
+--S 546 of 1293
+t0:=(A+B*x)*(d+e*x)^2/(a+b*x)^2
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d
+--R   (1)  ----------------------------------------------------
+--R                          2 2             2
+--R                         b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 546
+
+--S 547 of 1293
+r0:=e*(2*b*B*d+A*b*e-2*a*B*e)*x/b^3+1/2*B*e^2*x^2/b^2-_
+     (A*b-a*B)*(b*d-a*e)^2/(b^4*(a+b*x))+(b*d-a*e)*_
+     (b*B*d+2*A*b*e-3*a*B*e)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                     2       2   2        3         2           3 2
+--R           ((- 4A a b  + 6B a b)e  + (4A b  - 8B a b )d e + 2B b d )x
+--R         + 
+--R                  2        3  2          2       2              2 2
+--R           (- 4A a b + 6B a )e  + (4A a b  - 8B a b)d e + 2B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 2 3         3         2  2       3     2
+--R       B b e x  + ((2A b  - 3B a b )e  + 4B b d e)x
+--R     + 
+--R               2       2   2         2               2        3  2
+--R       ((2A a b  - 4B a b)e  + 4B a b d e)x + (- 2A a b + 2B a )e
+--R     + 
+--R              2       2               3         2  2
+--R       (4A a b  - 4B a b)d e + (- 2A b  + 2B a b )d
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 547
+
+--S 548 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     2       2   2        3         2           3 2
+--R           ((- 4A a b  + 6B a b)e  + (4A b  - 8B a b )d e + 2B b d )x
+--R         + 
+--R                  2        3  2          2       2              2 2
+--R           (- 4A a b + 6B a )e  + (4A a b  - 8B a b)d e + 2B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 2 3         3         2  2       3     2
+--R       B b e x  + ((2A b  - 3B a b )e  + 4B b d e)x
+--R     + 
+--R               2       2   2         2               2        3  2
+--R       ((2A a b  - 4B a b)e  + 4B a b d e)x + (- 2A a b + 2B a )e
+--R     + 
+--R              2       2               3         2  2
+--R       (4A a b  - 4B a b)d e + (- 2A b  + 2B a b )d
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 548
+
+--S 549 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 549
+
+--S 550 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 550
+
+)clear all
+
+--S 551 of 1293
+t0:=(A+B*x)*(d+e*x)/(a+b*x)^2
+--R 
+--R
+--R             2
+--R        B e x  + (A e + B d)x + A d
+--R   (1)  ---------------------------
+--R              2 2             2
+--R             b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 551
+
+--S 552 of 1293
+r0:=B*e*x/b^2-(A*b-a*B)*(b*d-a*e)/(b^3*(a+b*x))+_
+     (b*B*d+A*b*e-2*a*B*e)*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R             2                 2                   2
+--R       (((A b  - 2B a b)e + B b d)x + (A a b - 2B a )e + B a b d)log(b x + a)
+--R     + 
+--R          2   2                           2           2
+--R       B b e x  + B a b e x + (A a b - B a )e + (- A b  + B a b)d
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                                    Type: Expression(Integer)
+--E 552
+
+--S 553 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2                 2                   2
+--R       (((A b  - 2B a b)e + B b d)x + (A a b - 2B a )e + B a b d)log(b x + a)
+--R     + 
+--R          2   2                           2           2
+--R       B b e x  + B a b e x + (A a b - B a )e + (- A b  + B a b)d
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 553
+
+--S 554 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 554
+
+--S 555 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 555
+
+)clear all
+
+--S 556 of 1293
+t0:=(A+B*x)/(a+b*x)^2
+--R 
+--R
+--R              B x + A
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 556
+
+--S 557 of 1293
+r0:=(-A*b+a*B)/(b^2*(a+b*x))+B*log(a+b*x)/b^2
+--R 
+--R
+--R        (B b x + B a)log(b x + a) - A b + B a
+--R   (2)  -------------------------------------
+--R                       3       2
+--R                      b x + a b
+--R                                                    Type: Expression(Integer)
+--E 557
+
+--S 558 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (B b x + B a)log(b x + a) - A b + B a
+--R   (3)  -------------------------------------
+--R                       3       2
+--R                      b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 558
+
+--S 559 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 559
+
+--S 560 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 560
+
+)clear all
+
+--S 561 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x))
+--R 
+--R
+--R                             B x + A
+--R   (1)  -------------------------------------------------
+--R         2   3              2   2     2                2
+--R        b e x  + (2a b e + b d)x  + (a e + 2a b d)x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 561
+
+--S 562 of 1293
+r0:=(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x))+(B*d-A*e)*log(a+b*x)/(b*d-a*e)^2-_
+     (B*d-A*e)*log(d+e*x)/(b*d-a*e)^2
+--R 
+--R
+--R   (2)
+--R            2       2
+--R       ((A b e - B b d)x + A a b e - B a b d)log(e x + d)
+--R     + 
+--R              2       2                                                   2
+--R       ((- A b e + B b d)x - A a b e + B a b d)log(b x + a) + (A a b - B a )e
+--R     + 
+--R             2
+--R       (- A b  + B a b)d
+--R  /
+--R       2 2 2       3       4 2      3   2     2 2         3 2
+--R     (a b e  - 2a b d e + b d )x + a b e  - 2a b d e + a b d
+--R                                                    Type: Expression(Integer)
+--E 562
+
+--S 563 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2       2
+--R       ((A b e - B b d)x + A a b e - B a b d)log(e x + d)
+--R     + 
+--R              2       2                                                   2
+--R       ((- A b e + B b d)x - A a b e + B a b d)log(b x + a) + (A a b - B a )e
+--R     + 
+--R             2
+--R       (- A b  + B a b)d
+--R  /
+--R       2 2 2       3       4 2      3   2     2 2         3 2
+--R     (a b e  - 2a b d e + b d )x + a b e  - 2a b d e + a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 563
+
+--S 564 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 564
+
+--S 565 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 565
+
+)clear all
+
+--S 566 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^2)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b e x  + (2a b e  + 2b d e)x  + (a e  + 4a b d e + b d )x
+--R     + 
+--R          2            2      2 2
+--R       (2a d e + 2a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 566
+
+--S 567 of 1293
+r0:=(-A*b+a*B)/((b*d-a*e)^2*(a+b*x))+(B*d-A*e)/((b*d-a*e)^2*(d+e*x))+_
+     (b*B*d-2*A*b*e+a*B*e)*log(a+b*x)/(b*d-a*e)^3-_
+     (b*B*d-2*A*b*e+a*B*e)*log(d+e*x)/(b*d-a*e)^3
+--R 
+--R
+--R   (2)
+--R                   2          2      2     2
+--R           ((- 2A b  + B a b)e  + B b d e)x
+--R         + 
+--R                           2  2          2                   2 2
+--R           ((- 2A a b + B a )e  + (- 2A b  + 2B a b)d e + B b d )x
+--R         + 
+--R                          2              2
+--R           (- 2A a b + B a )d e + B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                 2          2      2     2
+--R           ((2A b  - B a b)e  - B b d e)x
+--R         + 
+--R                         2  2        2                   2 2
+--R           ((2A a b - B a )e  + (2A b  - 2B a b)d e - B b d )x
+--R         + 
+--R                        2              2
+--R           (2A a b - B a )d e - B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                       2  2       2         2 2        2 2       2
+--R       ((- 2A a b + B a )e  + 2A b d e - B b d )x - A a e  + 2B a d e
+--R     + 
+--R           2           2
+--R       (A b  - 2B a b)d
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b e  - 3a b d e  + 3a b d e  - b d e)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a e  - 2a b d e  + 2a b d e - b d )x + a d e  - 3a b d e  + 3a b d e
+--R     + 
+--R            3 4
+--R       - a b d
+--R                                                    Type: Expression(Integer)
+--E 567
+
+--S 568 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   2          2      2     2
+--R           ((- 2A b  + B a b)e  + B b d e)x
+--R         + 
+--R                           2  2          2                   2 2
+--R           ((- 2A a b + B a )e  + (- 2A b  + 2B a b)d e + B b d )x
+--R         + 
+--R                          2              2
+--R           (- 2A a b + B a )d e + B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                 2          2      2     2
+--R           ((2A b  - B a b)e  - B b d e)x
+--R         + 
+--R                         2  2        2                   2 2
+--R           ((2A a b - B a )e  + (2A b  - 2B a b)d e - B b d )x
+--R         + 
+--R                        2              2
+--R           (2A a b - B a )d e - B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                       2  2       2         2 2        2 2       2
+--R       ((- 2A a b + B a )e  + 2A b d e - B b d )x - A a e  + 2B a d e
+--R     + 
+--R           2           2
+--R       (A b  - 2B a b)d
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b e  - 3a b d e  + 3a b d e  - b d e)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a e  - 2a b d e  + 2a b d e - b d )x + a d e  - 3a b d e  + 3a b d e
+--R     + 
+--R            3 4
+--R       - a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 568
+
+--S 569 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 569
+
+--S 570 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 570
+
+)clear all
+
+--S 571 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^3)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b e x  + (2a b e  + 3b d e )x  + (a e  + 6a b d e  + 3b d e)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a d e  + 6a b d e + b d )x  + (3a d e + 2a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 571
+
+--S 572 of 1293
+r0:=-b*(A*b-a*B)/((b*d-a*e)^3*(a+b*x))+1/2*(B*d-A*e)/_
+     ((b*d-a*e)^2*(d+e*x)^2)+(b*B*d-2*A*b*e+a*B*e)/_
+     ((b*d-a*e)^3*(d+e*x))+b*(b*B*d-3*A*b*e+2*a*B*e)*_
+     log(a+b*x)/(b*d-a*e)^4-b*(b*B*d-3*A*b*e+2*a*B*e)*log(d+e*x)/(b*d-a*e)^4
+--R 
+--R
+--R   (2)
+--R                 3         2  3       3   2  3
+--R           ((6A b  - 4B a b )e  - 2B b d e )x
+--R         + 
+--R                   2       2   3         3          2    2       3 2   2
+--R           ((6A a b  - 4B a b)e  + (12A b  - 10B a b )d e  - 4B b d e)x
+--R         + 
+--R                    2       2     2        3         2  2        3 3
+--R           ((12A a b  - 8B a b)d e  + (6A b  - 8B a b )d e - 2B b d )x
+--R         + 
+--R                  2       2   2          2 3
+--R           (6A a b  - 4B a b)d e - 2B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                   3         2  3       3   2  3
+--R           ((- 6A b  + 4B a b )e  + 2B b d e )x
+--R         + 
+--R                     2       2   3           3          2    2       3 2   2
+--R           ((- 6A a b  + 4B a b)e  + (- 12A b  + 10B a b )d e  + 4B b d e)x
+--R         + 
+--R                      2       2     2          3         2  2        3 3
+--R           ((- 12A a b  + 8B a b)d e  + (- 6A b  + 8B a b )d e + 2B b d )x
+--R         + 
+--R                    2       2   2          2 3
+--R           (- 6A a b  + 4B a b)d e + 2B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               2       2   3          3         2    2       3 2   2
+--R       ((6A a b  - 4B a b)e  + (- 6A b  + 2B a b )d e  + 2B b d e)x
+--R     + 
+--R                2        3  3          2       2     2          3         2  2
+--R           (3A a b - 2B a )e  + (6A a b  - 5B a b)d e  + (- 9A b  + 4B a b )d e
+--R         + 
+--R               3 3
+--R           3B b d
+--R      *
+--R         x
+--R     + 
+--R            3 3        2       3    2            2       2   2
+--R       - A a e  + (6A a b - B a )d e  + (- 3A a b  - 4B a b)d e
+--R     + 
+--R              3         2  3
+--R       (- 2A b  + 5B a b )d
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b e  - 8a b d e  + 12a b d e  - 8a b d e  + 2b d e )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a e  - 4a b d e  - 4a b d e  + 16a b d e  - 14a b d e  + 4b d e)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a d e  - 14a b d e  + 16a b d e  - 4a b d e  - 4a b d e + 2b d )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a d e  - 8a b d e  + 12a b d e  - 8a b d e + 2a b d
+--R                                                    Type: Expression(Integer)
+--E 572
+
+--S 573 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3         2  3       3   2  3
+--R           ((6A b  - 4B a b )e  - 2B b d e )x
+--R         + 
+--R                   2       2   3         3          2    2       3 2   2
+--R           ((6A a b  - 4B a b)e  + (12A b  - 10B a b )d e  - 4B b d e)x
+--R         + 
+--R                    2       2     2        3         2  2        3 3
+--R           ((12A a b  - 8B a b)d e  + (6A b  - 8B a b )d e - 2B b d )x
+--R         + 
+--R                  2       2   2          2 3
+--R           (6A a b  - 4B a b)d e - 2B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                   3         2  3       3   2  3
+--R           ((- 6A b  + 4B a b )e  + 2B b d e )x
+--R         + 
+--R                     2       2   3           3          2    2       3 2   2
+--R           ((- 6A a b  + 4B a b)e  + (- 12A b  + 10B a b )d e  + 4B b d e)x
+--R         + 
+--R                      2       2     2          3         2  2        3 3
+--R           ((- 12A a b  + 8B a b)d e  + (- 6A b  + 8B a b )d e + 2B b d )x
+--R         + 
+--R                    2       2   2          2 3
+--R           (- 6A a b  + 4B a b)d e + 2B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               2       2   3          3         2    2       3 2   2
+--R       ((6A a b  - 4B a b)e  + (- 6A b  + 2B a b )d e  + 2B b d e)x
+--R     + 
+--R                2        3  3          2       2     2          3         2  2
+--R           (3A a b - 2B a )e  + (6A a b  - 5B a b)d e  + (- 9A b  + 4B a b )d e
+--R         + 
+--R               3 3
+--R           3B b d
+--R      *
+--R         x
+--R     + 
+--R            3 3        2       3    2            2       2   2
+--R       - A a e  + (6A a b - B a )d e  + (- 3A a b  - 4B a b)d e
+--R     + 
+--R              3         2  3
+--R       (- 2A b  + 5B a b )d
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b e  - 8a b d e  + 12a b d e  - 8a b d e  + 2b d e )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a e  - 4a b d e  - 4a b d e  + 16a b d e  - 14a b d e  + 4b d e)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a d e  - 14a b d e  + 16a b d e  - 4a b d e  - 4a b d e + 2b d )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a d e  - 8a b d e  + 12a b d e  - 8a b d e + 2a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 573
+
+--S 574 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 574
+
+--S 575 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 575
+
+)clear all
+
+--S 576 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^4)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        2 4 6          4     2   3  5     2 4           3     2 2 2  4
+--R       b e x  + (2a b e  + 4b d e )x  + (a e  + 8a b d e  + 6b d e )x
+--R     + 
+--R          2   3          2 2     2 3   3      2 2 2         3     2 4  2
+--R       (4a d e  + 12a b d e  + 4b d e)x  + (6a d e  + 8a b d e + b d )x
+--R     + 
+--R          2 3          4      2 4
+--R       (4a d e + 2a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 576
+
+--S 577 of 1293
+r0:=-b^2*(A*b-a*B)/((b*d-a*e)^4*(a+b*x))+_
+     1/3*(B*d-A*e)/((b*d-a*e)^2*(d+e*x)^3)+_
+     1/2*(b*B*d-2*A*b*e+a*B*e)/((b*d-a*e)^3*(d+e*x)^2)+_
+     b*(b*B*d-3*A*b*e+2*a*B*e)/((b*d-a*e)^4*(d+e*x))+_
+     b^2*(b*B*d-4*A*b*e+3*a*B*e)*log(a+b*x)/(b*d-a*e)^5-_
+     b^2*(b*B*d-4*A*b*e+3*a*B*e)*log(d+e*x)/(b*d-a*e)^5
+--R 
+--R
+--R   (2)
+--R                    4          3  4       4   3  4
+--R           ((- 24A b  + 18B a b )e  + 6B b d e )x
+--R         + 
+--R                           3        2 2  4           4          3    3
+--R                 (- 24A a b  + 18B a b )e  + (- 72A b  + 60B a b )d e
+--R               + 
+--R                      4 2 2
+--R                 18B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                           3        2 2    3           4          3  2 2
+--R                 (- 72A a b  + 54B a b )d e  + (- 72A b  + 72B a b )d e
+--R               + 
+--R                      4 3
+--R                 18B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      3        2 2  2 2           4          3  3        4 4
+--R           ((- 72A a b  + 54B a b )d e  + (- 24A b  + 36B a b )d e + 6B b d )x
+--R         + 
+--R                     3        2 2  3          3 4
+--R           (- 24A a b  + 18B a b )d e + 6B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  4          3  4       4   3  4
+--R           ((24A b  - 18B a b )e  - 6B b d e )x
+--R         + 
+--R                    3        2 2  4         4          3    3        4 2 2  3
+--R           ((24A a b  - 18B a b )e  + (72A b  - 60B a b )d e  - 18B b d e )x
+--R         + 
+--R                    3        2 2    3         4          3  2 2        4 3   2
+--R           ((72A a b  - 54B a b )d e  + (72A b  - 72B a b )d e  - 18B b d e)x
+--R         + 
+--R                    3        2 2  2 2         4          3  3        4 4
+--R           ((72A a b  - 54B a b )d e  + (24A b  - 36B a b )d e - 6B b d )x
+--R         + 
+--R                   3        2 2  3          3 4
+--R           (24A a b  - 18B a b )d e - 6B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  3        2 2  4         4          3    3       4 2 2  3
+--R       ((- 24A a b  + 18B a b )e  + (24A b  - 12B a b )d e  - 6B b d e )x
+--R     + 
+--R                   2 2       3   4             3        2 2    3
+--R           (- 12A a b  + 9B a b)e  + (- 48A a b  + 39B a b )d e
+--R         + 
+--R                 4          3  2 2        4 3
+--R           (60A b  - 33B a b )d e  - 15B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  4           2 2        3     3
+--R           (4A a b - 3B a )e  + (- 36A a b  + 26B a b)d e
+--R         + 
+--R                     3        2 2  2 2         4          3  3         4 4
+--R           (- 12A a b  + 18B a b )d e  + (44A b  - 30B a b )d e - 11B b d
+--R      *
+--R         x
+--R     + 
+--R             4 4         3       4    3           2 2       3   2 2
+--R       - 2A a e  + (12A a b - B a )d e  + (- 36A a b  + 9B a b)d e
+--R     + 
+--R               3       2 2  3         4          3  4
+--R       (20A a b  + 9B a b )d e + (6A b  - 17B a b )d
+--R  /
+--R          5   8      4 2   7      3 3 2 6      2 4 3 5        5 4 4     6 5 3  4
+--R       (6a b e  - 30a b d e  + 60a b d e  - 60a b d e  + 30a b d e  - 6b d e )x
+--R     + 
+--R             6 8      5     7      4 2 2 6       3 3 3 5       2 4 4 4
+--R           6a e  - 12a b d e  - 30a b d e  + 120a b d e  - 150a b d e
+--R         + 
+--R                5 5 3      6 6 2
+--R           84a b d e  - 18b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                6   7      5   2 6      4 2 3 5      2 4 5 3        5 6 2
+--R             18a d e  - 72a b d e  + 90a b d e  - 90a b d e  + 72a b d e
+--R           + 
+--R                  6 7
+--R             - 18b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              6 2 6      5   3 5       4 2 4 4       3 3 5 3      2 4 6 2
+--R           18a d e  - 84a b d e  + 150a b d e  - 120a b d e  + 30a b d e
+--R         + 
+--R                5 7      6 8
+--R           12a b d e - 6b d
+--R      *
+--R         x
+--R     + 
+--R         6 3 5      5   4 4      4 2 5 3      3 3 6 2      2 4 7        5 8
+--R       6a d e  - 30a b d e  + 60a b d e  - 60a b d e  + 30a b d e - 6a b d
+--R                                                    Type: Expression(Integer)
+--E 577
+
+--S 578 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    4          3  4       4   3  4
+--R           ((- 24A b  + 18B a b )e  + 6B b d e )x
+--R         + 
+--R                           3        2 2  4           4          3    3
+--R                 (- 24A a b  + 18B a b )e  + (- 72A b  + 60B a b )d e
+--R               + 
+--R                      4 2 2
+--R                 18B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                           3        2 2    3           4          3  2 2
+--R                 (- 72A a b  + 54B a b )d e  + (- 72A b  + 72B a b )d e
+--R               + 
+--R                      4 3
+--R                 18B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      3        2 2  2 2           4          3  3        4 4
+--R           ((- 72A a b  + 54B a b )d e  + (- 24A b  + 36B a b )d e + 6B b d )x
+--R         + 
+--R                     3        2 2  3          3 4
+--R           (- 24A a b  + 18B a b )d e + 6B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  4          3  4       4   3  4
+--R           ((24A b  - 18B a b )e  - 6B b d e )x
+--R         + 
+--R                    3        2 2  4         4          3    3        4 2 2  3
+--R           ((24A a b  - 18B a b )e  + (72A b  - 60B a b )d e  - 18B b d e )x
+--R         + 
+--R                    3        2 2    3         4          3  2 2        4 3   2
+--R           ((72A a b  - 54B a b )d e  + (72A b  - 72B a b )d e  - 18B b d e)x
+--R         + 
+--R                    3        2 2  2 2         4          3  3        4 4
+--R           ((72A a b  - 54B a b )d e  + (24A b  - 36B a b )d e - 6B b d )x
+--R         + 
+--R                   3        2 2  3          3 4
+--R           (24A a b  - 18B a b )d e - 6B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  3        2 2  4         4          3    3       4 2 2  3
+--R       ((- 24A a b  + 18B a b )e  + (24A b  - 12B a b )d e  - 6B b d e )x
+--R     + 
+--R                   2 2       3   4             3        2 2    3
+--R           (- 12A a b  + 9B a b)e  + (- 48A a b  + 39B a b )d e
+--R         + 
+--R                 4          3  2 2        4 3
+--R           (60A b  - 33B a b )d e  - 15B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  4           2 2        3     3
+--R           (4A a b - 3B a )e  + (- 36A a b  + 26B a b)d e
+--R         + 
+--R                     3        2 2  2 2         4          3  3         4 4
+--R           (- 12A a b  + 18B a b )d e  + (44A b  - 30B a b )d e - 11B b d
+--R      *
+--R         x
+--R     + 
+--R             4 4         3       4    3           2 2       3   2 2
+--R       - 2A a e  + (12A a b - B a )d e  + (- 36A a b  + 9B a b)d e
+--R     + 
+--R               3       2 2  3         4          3  4
+--R       (20A a b  + 9B a b )d e + (6A b  - 17B a b )d
+--R  /
+--R          5   8      4 2   7      3 3 2 6      2 4 3 5        5 4 4     6 5 3  4
+--R       (6a b e  - 30a b d e  + 60a b d e  - 60a b d e  + 30a b d e  - 6b d e )x
+--R     + 
+--R             6 8      5     7      4 2 2 6       3 3 3 5       2 4 4 4
+--R           6a e  - 12a b d e  - 30a b d e  + 120a b d e  - 150a b d e
+--R         + 
+--R                5 5 3      6 6 2
+--R           84a b d e  - 18b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                6   7      5   2 6      4 2 3 5      2 4 5 3        5 6 2
+--R             18a d e  - 72a b d e  + 90a b d e  - 90a b d e  + 72a b d e
+--R           + 
+--R                  6 7
+--R             - 18b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              6 2 6      5   3 5       4 2 4 4       3 3 5 3      2 4 6 2
+--R           18a d e  - 84a b d e  + 150a b d e  - 120a b d e  + 30a b d e
+--R         + 
+--R                5 7      6 8
+--R           12a b d e - 6b d
+--R      *
+--R         x
+--R     + 
+--R         6 3 5      5   4 4      4 2 5 3      3 3 6 2      2 4 7        5 8
+--R       6a d e  - 30a b d e  + 60a b d e  - 60a b d e  + 30a b d e - 6a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 578
+
+--S 579 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 579
+
+--S 580 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 580
+
+)clear all
+
+--S 581 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^5)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        2 5 7          5     2   4  6     2 5            4      2 2 3  5
+--R       b e x  + (2a b e  + 5b d e )x  + (a e  + 10a b d e  + 10b d e )x
+--R     + 
+--R          2   4          2 3      2 3 2  4       2 2 3          3 2     2 4   3
+--R       (5a d e  + 20a b d e  + 10b d e )x  + (10a d e  + 20a b d e  + 5b d e)x
+--R     + 
+--R           2 3 2          4     2 5  2      2 4          5      2 5
+--R       (10a d e  + 10a b d e + b d )x  + (5a d e + 2a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 581
+
+--S 582 of 1293
+r0:=-b^3*(A*b-a*B)/((b*d-a*e)^5*(a+b*x))+_
+     1/4*(B*d-A*e)/((b*d-a*e)^2*(d+e*x)^4)+_
+     1/3*(b*B*d-2*A*b*e+a*B*e)/((b*d-a*e)^3*(d+e*x)^3)+_
+     1/2*b*(b*B*d-3*A*b*e+2*a*B*e)/((b*d-a*e)^4*(d+e*x)^2)+_
+     b^2*(b*B*d-4*A*b*e+3*a*B*e)/((b*d-a*e)^5*(d+e*x))+_
+     b^3*(b*B*d-5*A*b*e+4*a*B*e)*log(a+b*x)/(b*d-a*e)^6-_
+     b^3*(b*B*d-5*A*b*e+4*a*B*e)*log(d+e*x)/(b*d-a*e)^6
+--R 
+--R
+--R   (2)
+--R                  5          4  5        5   4  5
+--R           ((60A b  - 48B a b )e  - 12B b d e )x
+--R         + 
+--R                    4        2 3  5          5           4    4        5 2 3  4
+--R           ((60A a b  - 48B a b )e  + (240A b  - 204B a b )d e  - 48B b d e )x
+--R         + 
+--R                        4         2 3    4          5           4  2 3
+--R               (240A a b  - 192B a b )d e  + (360A b  - 336B a b )d e
+--R             + 
+--R                      5 3 2
+--R               - 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                          4         2 3  2 3          5           4  3 2
+--R                 (360A a b  - 288B a b )d e  + (240A b  - 264B a b )d e
+--R               + 
+--R                        5 4
+--R                 - 48B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     4         2 3  3 2         5          4  4         5 5
+--R           ((240A a b  - 192B a b )d e  + (60A b  - 96B a b )d e - 12B b d )x
+--R         + 
+--R                   4        2 3  4           4 5
+--R           (60A a b  - 48B a b )d e - 12B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                    5          4  5        5   4  5
+--R           ((- 60A b  + 48B a b )e  + 12B b d e )x
+--R         + 
+--R                         4        2 3  5            5           4    4
+--R               (- 60A a b  + 48B a b )e  + (- 240A b  + 204B a b )d e
+--R             + 
+--R                    5 2 3
+--R               48B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                          4         2 3    4            5           4  2 3
+--R               (- 240A a b  + 192B a b )d e  + (- 360A b  + 336B a b )d e
+--R             + 
+--R                    5 3 2
+--R               72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                          4         2 3  2 3            5           4  3 2
+--R               (- 360A a b  + 288B a b )d e  + (- 240A b  + 264B a b )d e
+--R             + 
+--R                    5 4
+--R               48B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                            4         2 3  3 2           5          4  4
+--R                 (- 240A a b  + 192B a b )d e  + (- 60A b  + 96B a b )d e
+--R               + 
+--R                      5 5
+--R                 12B b d
+--R          *
+--R             x
+--R         + 
+--R                     4        2 3  4           4 5
+--R           (- 60A a b  + 48B a b )d e + 12B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4        2 3  5           5          4    4        5 2 3  4
+--R       ((60A a b  - 48B a b )e  + (- 60A b  + 36B a b )d e  + 12B b d e )x
+--R     + 
+--R                 2 3        3 2  5            4         2 3    4
+--R           (30A a b  - 24B a b )e  + (180A a b  - 150B a b )d e
+--R         + 
+--R                    5           4  2 3        5 3 2
+--R           (- 210A b  + 132B a b )d e  + 42B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 2       4   5          2 3        3 2    4
+--R           (- 10A a b  + 8B a b)e  + (120A a b  - 94B a b )d e
+--R         + 
+--R                  4         2 3  2 3            5           4  3 2        5 4
+--R         (150A a b  - 144B a b )d e  + (- 260A b  + 178B a b )d e  + 52B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4        5  5           3 2        4     4
+--R           (5A a b - 4B a )e  + (- 40A a b  + 31B a b)d e
+--R         + 
+--R                  2 3         3 2  2 3             4        2 3  3 2
+--R           (180A a b  - 136B a b )d e  + (- 20A a b  - 20B a b )d e
+--R         + 
+--R                    5           4  4         5 5
+--R           (- 125A b  + 104B a b )d e + 25B b d
+--R      *
+--R         x
+--R     + 
+--R             5 5         4       5    4           3 2       4   2 3
+--R       - 3A a e  + (20A a b - B a )d e  + (- 60A a b  + 8B a b)d e
+--R     + 
+--R              2 3        3 2  3 2             4       2 3  4
+--R       (120A a b  - 36B a b )d e  + (- 65A a b  - 8B a b )d e
+--R     + 
+--R               5          4  5
+--R       (- 12A b  + 37B a b )d
+--R  /
+--R              6   10      5 2   9       4 3 2 8       3 4 3 7       2 5 4 6
+--R           12a b e   - 72a b d e  + 180a b d e  - 240a b d e  + 180a b d e
+--R         + 
+--R                  6 5 5      7 6 4
+--R           - 72a b d e  + 12b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7 10      6     9       5 2 2 8       4 3 3 7       3 4 4 6
+--R           12a e   - 24a b d e  - 108a b d e  + 480a b d e  - 780a b d e
+--R         + 
+--R               2 5 5 5         6 6 4      7 7 3
+--R           648a b d e  - 276a b d e  + 48b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9       6   2 8       5 2 3 7       4 3 4 6       3 4 5 5
+--R           48a d e  - 216a b d e  + 288a b d e  + 120a b d e  - 720a b d e
+--R         + 
+--R               2 5 6 4         6 7 3      7 8 2
+--R           792a b d e  - 384a b d e  + 72b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 8       6   3 7       5 2 4 6       4 3 5 5       3 4 6 4
+--R           72a d e  - 384a b d e  + 792a b d e  - 720a b d e  + 120a b d e
+--R         + 
+--R               2 5 7 3         6 8 2      7 9
+--R           288a b d e  - 216a b d e  + 48b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              7 3 7       6   4 6       5 2 5 5       4 3 6 4       3 4 7 3
+--R           48a d e  - 276a b d e  + 648a b d e  - 780a b d e  + 480a b d e
+--R         + 
+--R                 2 5 8 2        6 9       7 10
+--R           - 108a b d e  - 24a b d e + 12b d
+--R      *
+--R         x
+--R     + 
+--R          7 4 6      6   5 5       5 2 6 4       4 3 7 3       3 4 8 2
+--R       12a d e  - 72a b d e  + 180a b d e  - 240a b d e  + 180a b d e
+--R     + 
+--R            2 5 9         6 10
+--R       - 72a b d e + 12a b d
+--R                                                    Type: Expression(Integer)
+--E 582
+
+--S 583 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  5          4  5        5   4  5
+--R           ((60A b  - 48B a b )e  - 12B b d e )x
+--R         + 
+--R                    4        2 3  5          5           4    4        5 2 3  4
+--R           ((60A a b  - 48B a b )e  + (240A b  - 204B a b )d e  - 48B b d e )x
+--R         + 
+--R                        4         2 3    4          5           4  2 3
+--R               (240A a b  - 192B a b )d e  + (360A b  - 336B a b )d e
+--R             + 
+--R                      5 3 2
+--R               - 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                          4         2 3  2 3          5           4  3 2
+--R                 (360A a b  - 288B a b )d e  + (240A b  - 264B a b )d e
+--R               + 
+--R                        5 4
+--R                 - 48B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     4         2 3  3 2         5          4  4         5 5
+--R           ((240A a b  - 192B a b )d e  + (60A b  - 96B a b )d e - 12B b d )x
+--R         + 
+--R                   4        2 3  4           4 5
+--R           (60A a b  - 48B a b )d e - 12B a b d
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                    5          4  5        5   4  5
+--R           ((- 60A b  + 48B a b )e  + 12B b d e )x
+--R         + 
+--R                         4        2 3  5            5           4    4
+--R               (- 60A a b  + 48B a b )e  + (- 240A b  + 204B a b )d e
+--R             + 
+--R                    5 2 3
+--R               48B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                          4         2 3    4            5           4  2 3
+--R               (- 240A a b  + 192B a b )d e  + (- 360A b  + 336B a b )d e
+--R             + 
+--R                    5 3 2
+--R               72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                          4         2 3  2 3            5           4  3 2
+--R               (- 360A a b  + 288B a b )d e  + (- 240A b  + 264B a b )d e
+--R             + 
+--R                    5 4
+--R               48B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                            4         2 3  3 2           5          4  4
+--R                 (- 240A a b  + 192B a b )d e  + (- 60A b  + 96B a b )d e
+--R               + 
+--R                      5 5
+--R                 12B b d
+--R          *
+--R             x
+--R         + 
+--R                     4        2 3  4           4 5
+--R           (- 60A a b  + 48B a b )d e + 12B a b d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4        2 3  5           5          4    4        5 2 3  4
+--R       ((60A a b  - 48B a b )e  + (- 60A b  + 36B a b )d e  + 12B b d e )x
+--R     + 
+--R                 2 3        3 2  5            4         2 3    4
+--R           (30A a b  - 24B a b )e  + (180A a b  - 150B a b )d e
+--R         + 
+--R                    5           4  2 3        5 3 2
+--R           (- 210A b  + 132B a b )d e  + 42B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 2       4   5          2 3        3 2    4
+--R           (- 10A a b  + 8B a b)e  + (120A a b  - 94B a b )d e
+--R         + 
+--R                  4         2 3  2 3            5           4  3 2        5 4
+--R         (150A a b  - 144B a b )d e  + (- 260A b  + 178B a b )d e  + 52B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4        5  5           3 2        4     4
+--R           (5A a b - 4B a )e  + (- 40A a b  + 31B a b)d e
+--R         + 
+--R                  2 3         3 2  2 3             4        2 3  3 2
+--R           (180A a b  - 136B a b )d e  + (- 20A a b  - 20B a b )d e
+--R         + 
+--R                    5           4  4         5 5
+--R           (- 125A b  + 104B a b )d e + 25B b d
+--R      *
+--R         x
+--R     + 
+--R             5 5         4       5    4           3 2       4   2 3
+--R       - 3A a e  + (20A a b - B a )d e  + (- 60A a b  + 8B a b)d e
+--R     + 
+--R              2 3        3 2  3 2             4       2 3  4
+--R       (120A a b  - 36B a b )d e  + (- 65A a b  - 8B a b )d e
+--R     + 
+--R               5          4  5
+--R       (- 12A b  + 37B a b )d
+--R  /
+--R              6   10      5 2   9       4 3 2 8       3 4 3 7       2 5 4 6
+--R           12a b e   - 72a b d e  + 180a b d e  - 240a b d e  + 180a b d e
+--R         + 
+--R                  6 5 5      7 6 4
+--R           - 72a b d e  + 12b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7 10      6     9       5 2 2 8       4 3 3 7       3 4 4 6
+--R           12a e   - 24a b d e  - 108a b d e  + 480a b d e  - 780a b d e
+--R         + 
+--R               2 5 5 5         6 6 4      7 7 3
+--R           648a b d e  - 276a b d e  + 48b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9       6   2 8       5 2 3 7       4 3 4 6       3 4 5 5
+--R           48a d e  - 216a b d e  + 288a b d e  + 120a b d e  - 720a b d e
+--R         + 
+--R               2 5 6 4         6 7 3      7 8 2
+--R           792a b d e  - 384a b d e  + 72b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 8       6   3 7       5 2 4 6       4 3 5 5       3 4 6 4
+--R           72a d e  - 384a b d e  + 792a b d e  - 720a b d e  + 120a b d e
+--R         + 
+--R               2 5 7 3         6 8 2      7 9
+--R           288a b d e  - 216a b d e  + 48b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              7 3 7       6   4 6       5 2 5 5       4 3 6 4       3 4 7 3
+--R           48a d e  - 276a b d e  + 648a b d e  - 780a b d e  + 480a b d e
+--R         + 
+--R                 2 5 8 2        6 9       7 10
+--R           - 108a b d e  - 24a b d e + 12b d
+--R      *
+--R         x
+--R     + 
+--R          7 4 6      6   5 5       5 2 6 4       4 3 7 3       3 4 8 2
+--R       12a d e  - 72a b d e  + 180a b d e  - 240a b d e  + 180a b d e
+--R     + 
+--R            2 5 9         6 10
+--R       - 72a b d e + 12a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 583
+
+--S 584 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 584
+
+--S 585 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 585
+
+)clear all
+
+--S 586 of 1293
+t0:=(A+B*x)*(d+e*x)^5/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       B e x  + (A e  + 5B d e )x  + (5A d e  + 10B d e )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10A d e  + 10B d e )x  + (10A d e  + 5B d e)x  + (5A d e + B d )x + A d
+--R  /
+--R      3 3       2 2     2       3
+--R     b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 586
+
+--S 587 of 1293
+r0:=10*e^2*(b*d-a*e)^2*(b*B*d+A*b*e-2*a*B*e)*x/b^6-_
+     1/2*(A*b-a*B)*(b*d-a*e)^5/(b^7*(a+b*x)^2)-_
+     (b*d-a*e)^4*(b*B*d+5*A*b*e-6*a*B*e)/(b^7*(a+b*x))+_
+     5/2*e^3*(b*d-a*e)*(2*b*B*d+A*b*e-3*a*B*e)*(a+b*x)^2/b^7+_
+     1/3*e^4*(5*b*B*d+A*b*e-6*a*B*e)*(a+b*x)^3/b^7+_
+     1/4*B*e^5*(a+b*x)^4/b^7+5*e*(b*d-a*e)^3*_
+     (b*B*d+2*A*b*e-3*a*B*e)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                        3 3         4 2  5          2 4         3 3    4
+--R               (- 120A a b  + 180B a b )e  + (360A a b  - 600B a b )d e
+--R             + 
+--R                          5         2 4  2 3          6           5  3 2
+--R               (- 360A a b  + 720B a b )d e  + (120A b  - 360B a b )d e
+--R             + 
+--R                    6 4
+--R               60B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        4 2         5   5          3 3          4 2    4
+--R               (- 240A a b  + 360B a b)e  + (720A a b  - 1200B a b )d e
+--R             + 
+--R                        2 4          3 3  2 3            5         2 4  3 2
+--R               (- 720A a b  + 1440B a b )d e  + (240A a b  - 720B a b )d e
+--R             + 
+--R                       5 4
+--R               120B a b d e
+--R          *
+--R             x
+--R         + 
+--R                    5          6  5          4 2         5     4
+--R           (- 120A a b + 180B a )e  + (360A a b  - 600B a b)d e
+--R         + 
+--R                    3 3         4 2  2 3          2 4         3 3  3 2
+--R           (- 360A a b  + 720B a b )d e  + (120A a b  - 360B a b )d e
+--R         + 
+--R                2 4 4
+--R           60B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           6 5 6         6         5  5        6   4  5
+--R       3B b e x  + ((4A b  - 6B a b )e  + 20B b d e )x
+--R     + 
+--R                  5        2 4  5         6          5    4        6 2 3  4
+--R       ((- 10A a b  + 15B a b )e  + (30A b  - 50B a b )d e  + 60B b d e )x
+--R     + 
+--R                 2 4        3 3  5              5         2 4    4
+--R           (40A a b  - 60B a b )e  + (- 120A a b  + 200B a b )d e
+--R         + 
+--R                  6           5  2 3         6 3 2
+--R           (120A b  - 240B a b )d e  + 120B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  3 3         4 2  5            2 4         3 3    4
+--R           (100A a b  - 135B a b )e  + (- 300A a b  + 500B a b )d e
+--R         + 
+--R                    5         2 4  2 3           5 3 2
+--R           (240A a b  - 600B a b )d e  + 240B a b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   4 2        5   5          3 3         4 2    4
+--R           (- 40A a b  + 90B a b)e  + (120A a b  - 200B a b )d e
+--R         + 
+--R                    2 4         3 3  2 3            5         2 4  3 2
+--R           (- 240A a b  + 240B a b )d e  + (240A a b  - 240B a b )d e
+--R         + 
+--R                   6           5  4         6 5
+--R           (- 60A b  + 120B a b )d e - 12B b d
+--R      *
+--R         x
+--R     + 
+--R               5          6  5          4 2         5     4
+--R       (- 80A a b + 135B a )e  + (240A a b  - 400B a b)d e
+--R     + 
+--R                3 3         4 2  2 3          2 4         3 3  3 2
+--R       (- 300A a b  + 480B a b )d e  + (180A a b  - 300B a b )d e
+--R     + 
+--R                 5        2 4  4           6         5  5
+--R       (- 30A a b  + 90B a b )d e + (- 6A b  - 6B a b )d
+--R  /
+--R        9 2        8       2 7
+--R     12b x  + 24a b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 587
+
+--S 588 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                        3 3         4 2  5          2 4         3 3    4
+--R               (- 120A a b  + 180B a b )e  + (360A a b  - 600B a b )d e
+--R             + 
+--R                          5         2 4  2 3          6           5  3 2
+--R               (- 360A a b  + 720B a b )d e  + (120A b  - 360B a b )d e
+--R             + 
+--R                    6 4
+--R               60B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        4 2         5   5          3 3          4 2    4
+--R               (- 240A a b  + 360B a b)e  + (720A a b  - 1200B a b )d e
+--R             + 
+--R                        2 4          3 3  2 3            5         2 4  3 2
+--R               (- 720A a b  + 1440B a b )d e  + (240A a b  - 720B a b )d e
+--R             + 
+--R                       5 4
+--R               120B a b d e
+--R          *
+--R             x
+--R         + 
+--R                    5          6  5          4 2         5     4
+--R           (- 120A a b + 180B a )e  + (360A a b  - 600B a b)d e
+--R         + 
+--R                    3 3         4 2  2 3          2 4         3 3  3 2
+--R           (- 360A a b  + 720B a b )d e  + (120A a b  - 360B a b )d e
+--R         + 
+--R                2 4 4
+--R           60B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           6 5 6         6         5  5        6   4  5
+--R       3B b e x  + ((4A b  - 6B a b )e  + 20B b d e )x
+--R     + 
+--R                  5        2 4  5         6          5    4        6 2 3  4
+--R       ((- 10A a b  + 15B a b )e  + (30A b  - 50B a b )d e  + 60B b d e )x
+--R     + 
+--R                 2 4        3 3  5              5         2 4    4
+--R           (40A a b  - 60B a b )e  + (- 120A a b  + 200B a b )d e
+--R         + 
+--R                  6           5  2 3         6 3 2
+--R           (120A b  - 240B a b )d e  + 120B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  3 3         4 2  5            2 4         3 3    4
+--R           (126A a b  - 204B a b )e  + (- 330A a b  + 630B a b )d e
+--R         + 
+--R                    5         2 4  2 3           5 3 2
+--R           (240A a b  - 660B a b )d e  + 240B a b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4 2        5   5         3 3        4 2    4
+--R           (12A a b  - 48B a b)e  + (60A a b  + 60B a b )d e
+--R         + 
+--R                    2 4         3 3  2 3            5         2 4  3 2
+--R           (- 240A a b  + 120B a b )d e  + (240A a b  - 240B a b )d e
+--R         + 
+--R                   6           5  4         6 5
+--R           (- 60A b  + 120B a b )d e - 12B b d
+--R      *
+--R         x
+--R     + 
+--R               5         6  5          4 2         5     4
+--R       (- 54A a b + 66B a )e  + (210A a b  - 270B a b)d e
+--R     + 
+--R                3 3         4 2  2 3          2 4         3 3  3 2
+--R       (- 300A a b  + 420B a b )d e  + (180A a b  - 300B a b )d e
+--R     + 
+--R                 5        2 4  4           6         5  5
+--R       (- 30A a b  + 90B a b )d e + (- 6A b  - 6B a b )d
+--R  /
+--R        9 2        8       2 7
+--R     12b x  + 24a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 588
+
+--S 589 of 1293
+m0:=a0-r0
+--R 
+--R
+--R              3         4  5           2 2         3     4        2 2 2 3
+--R        (26A a b - 69B a )e  + (- 30A a b  + 130B a b)d e  - 60B a b d e
+--R   (4)  -----------------------------------------------------------------
+--R                                          7
+--R                                       12b
+--R                                                    Type: Expression(Integer)
+--E 589
+
+--S 590 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 590
+
+)clear all
+
+--S 591 of 1293
+t0:=(A+B*x)*(d+e*x)^4/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R          4 5       4         3  4          3       2 2  3
+--R       B e x  + (A e  + 4B d e )x  + (4A d e  + 6B d e )x
+--R     + 
+--R            2 2       3   2        3       4        4
+--R       (6A d e  + 4B d e)x  + (4A d e + B d )x + A d
+--R  /
+--R      3 3       2 2     2       3
+--R     b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 591
+
+--S 592 of 1293
+r0:=2*e^2*(b*d-a*e)*(3*b*B*d+2*A*b*e-5*a*B*e)*x/b^5-_
+     1/2*(A*b-a*B)*(b*d-a*e)^4/(b^6*(a+b*x)^2)-_
+     (b*d-a*e)^3*(b*B*d+4*A*b*e-5*a*B*e)/(b^6*(a+b*x))+_
+     1/2*e^3*(4*b*B*d+A*b*e-5*a*B*e)*(a+b*x)^2/b^6+_
+     1/3*B*e^4*(a+b*x)^3/b^6+2*e*(b*d-a*e)^2*_
+     (2*b*B*d+3*A*b*e-5*a*B*e)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R                     2 3        3 2  4             4         2 3    3
+--R               (36A a b  - 60B a b )e  + (- 72A a b  + 144B a b )d e
+--R             + 
+--R                     5           4  2 2        5 3
+--R               (36A b  - 108B a b )d e  + 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     3 2         4   4            2 3         3 2    3
+--R               (72A a b  - 120B a b)e  + (- 144A a b  + 288B a b )d e
+--R             + 
+--R                       4         2 3  2 2          4 3
+--R               (72A a b  - 216B a b )d e  + 48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                 4         5  4           3 2         4     3
+--R           (36A a b - 60B a )e  + (- 72A a b  + 144B a b)d e
+--R         + 
+--R                 2 3         3 2  2 2        2 3 3
+--R           (36A a b  - 108B a b )d e  + 24B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           5 4 5         5         4  4        5   3  4
+--R       2B b e x  + ((3A b  - 5B a b )e  + 12B b d e )x
+--R     + 
+--R                  4        2 3  4         5          4    3        5 2 2  3
+--R       ((- 12A a b  + 20B a b )e  + (24A b  - 48B a b )d e  + 36B b d e )x
+--R     + 
+--R                2 3        3 2  4           4         2 3    3          4 2 2  2
+--R       ((- 30A a b  + 50B a b )e  + (48A a b  - 120B a b )d e  + 72B a b d e )x
+--R     + 
+--R                 3 2        4   4           2 3        3 2    3
+--R           (12A a b  - 20B a b)e  + (- 48A a b  + 48B a b )d e
+--R         + 
+--R                   4        2 3  2 2           5          4  3        5 4
+--R           (72A a b  - 72B a b )d e  + (- 24A b  + 48B a b )d e - 6B b d
+--R      *
+--R         x
+--R     + 
+--R             4         5  4           3 2        4     3
+--R       (24A a b - 40B a )e  + (- 60A a b  + 96B a b)d e
+--R     + 
+--R             2 3        3 2  2 2             4        2 3  3
+--R       (54A a b  - 90B a b )d e  + (- 12A a b  + 36B a b )d e
+--R     + 
+--R              5         4  4
+--R       (- 3A b  - 3B a b )d
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 592
+
+--S 593 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     2 3        3 2  4             4         2 3    3
+--R               (36A a b  - 60B a b )e  + (- 72A a b  + 144B a b )d e
+--R             + 
+--R                     5           4  2 2        5 3
+--R               (36A b  - 108B a b )d e  + 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     3 2         4   4            2 3         3 2    3
+--R               (72A a b  - 120B a b)e  + (- 144A a b  + 288B a b )d e
+--R             + 
+--R                       4         2 3  2 2          4 3
+--R               (72A a b  - 216B a b )d e  + 48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                 4         5  4           3 2         4     3
+--R           (36A a b - 60B a )e  + (- 72A a b  + 144B a b)d e
+--R         + 
+--R                 2 3         3 2  2 2        2 3 3
+--R           (36A a b  - 108B a b )d e  + 24B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           5 4 5         5         4  4        5   3  4
+--R       2B b e x  + ((3A b  - 5B a b )e  + 12B b d e )x
+--R     + 
+--R                  4        2 3  4         5          4    3        5 2 2  3
+--R       ((- 12A a b  + 20B a b )e  + (24A b  - 48B a b )d e  + 36B b d e )x
+--R     + 
+--R                2 3        3 2  4           4         2 3    3          4 2 2  2
+--R       ((- 33A a b  + 63B a b )e  + (48A a b  - 132B a b )d e  + 72B a b d e )x
+--R     + 
+--R                3 2       4   4           2 3        3 2    3
+--R           (6A a b  + 6B a b)e  + (- 48A a b  + 24B a b )d e
+--R         + 
+--R                   4        2 3  2 2           5          4  3        5 4
+--R           (72A a b  - 72B a b )d e  + (- 24A b  + 48B a b )d e - 6B b d
+--R      *
+--R         x
+--R     + 
+--R             4         5  4           3 2        4     3
+--R       (21A a b - 27B a )e  + (- 60A a b  + 84B a b)d e
+--R     + 
+--R             2 3        3 2  2 2             4        2 3  3
+--R       (54A a b  - 90B a b )d e  + (- 12A a b  + 36B a b )d e
+--R     + 
+--R              5         4  4
+--R       (- 3A b  - 3B a b )d
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 593
+
+--S 594 of 1293
+m0:=a0-r0
+--R 
+--R
+--R               2         3  4        2     3
+--R        (- 3A a b + 13B a )e  - 12B a b d e
+--R   (4)  ------------------------------------
+--R                           6
+--R                         6b
+--R                                                    Type: Expression(Integer)
+--E 594
+
+--S 595 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 595
+
+)clear all
+
+--S 596 of 1293
+t0:=(A+B*x)*(d+e*x)^3/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x + A d
+--R   ----------------------------------------------------------------------------
+--R                            3 3       2 2     2       3
+--R                           b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 596
+
+--S 597 of 1293
+r0:=e^2*(3*b*B*d+A*b*e-3*a*B*e)*x/b^4+1/2*B*e^3*x^2/b^3-_
+     1/2*(A*b-a*B)*(b*d-a*e)^3/(b^5*(a+b*x)^2)-_
+     (b*d-a*e)^2*(b*B*d+3*A*b*e-4*a*B*e)/(b^5*(a+b*x))+_
+     3*e*(b*d-a*e)*(b*B*d+A*b*e-2*a*B*e)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                     3        2 2  3        4          3    2       4 2   2
+--R           ((- 6A a b  + 12B a b )e  + (6A b  - 18B a b )d e  + 6B b d e)x
+--R         + 
+--R                    2 2        3   3           3        2 2    2          3 2
+--R           ((- 12A a b  + 24B a b)e  + (12A a b  - 36B a b )d e  + 12B a b d e)x
+--R         + 
+--R                  3         4  3        2 2        3     2       2 2 2
+--R           (- 6A a b + 12B a )e  + (6A a b  - 18B a b)d e  + 6B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 3 4         4         3  3       4   2  3
+--R       B b e x  + ((2A b  - 4B a b )e  + 6B b d e )x
+--R     + 
+--R               3        2 2  3          3   2  2
+--R       ((4A a b  - 11B a b )e  + 12B a b d e )x
+--R     + 
+--R                  2 2       3   3           3        2 2    2
+--R           (- 4A a b  + 2B a b)e  + (12A a b  - 12B a b )d e
+--R         + 
+--R                  4          3  2        4 3
+--R           (- 6A b  + 12B a b )d e - 2B b d
+--R      *
+--R         x
+--R     + 
+--R              3        4  3        2 2        3     2            3       2 2  2
+--R       (- 5A a b + 7B a )e  + (9A a b  - 15B a b)d e  + (- 3A a b  + 9B a b )d e
+--R     + 
+--R             4        3  3
+--R       (- A b  - B a b )d
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 597
+
+--S 598 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     3        2 2  3        4          3    2       4 2   2
+--R           ((- 6A a b  + 12B a b )e  + (6A b  - 18B a b )d e  + 6B b d e)x
+--R         + 
+--R                    2 2        3   3           3        2 2    2          3 2
+--R           ((- 12A a b  + 24B a b)e  + (12A a b  - 36B a b )d e  + 12B a b d e)x
+--R         + 
+--R                  3         4  3        2 2        3     2       2 2 2
+--R           (- 6A a b + 12B a )e  + (6A a b  - 18B a b)d e  + 6B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 3 4         4         3  3       4   2  3
+--R       B b e x  + ((2A b  - 4B a b )e  + 6B b d e )x
+--R     + 
+--R               3        2 2  3          3   2  2
+--R       ((4A a b  - 11B a b )e  + 12B a b d e )x
+--R     + 
+--R                  2 2       3   3           3        2 2    2
+--R           (- 4A a b  + 2B a b)e  + (12A a b  - 12B a b )d e
+--R         + 
+--R                  4          3  2        4 3
+--R           (- 6A b  + 12B a b )d e - 2B b d
+--R      *
+--R         x
+--R     + 
+--R              3        4  3        2 2        3     2            3       2 2  2
+--R       (- 5A a b + 7B a )e  + (9A a b  - 15B a b)d e  + (- 3A a b  + 9B a b )d e
+--R     + 
+--R             4        3  3
+--R       (- A b  - B a b )d
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 598
+
+--S 599 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 599
+
+--S 600 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 600
+
+)clear all
+
+--S 601 of 1293
+t0:=(A+B*x)*(d+e*x)^2/(a+b*x)^3
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d
+--R   (1)  ----------------------------------------------------
+--R                     3 3       2 2     2       3
+--R                    b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 601
+
+--S 602 of 1293
+r0:=B*e^2*x/b^3-1/2*(A*b-a*B)*(b*d-a*e)^2/(b^4*(a+b*x)^2)-_
+     (b*d-a*e)*(b*B*d+2*A*b*e-3*a*B*e)/(b^4*(a+b*x))+_
+     e*(2*b*B*d+A*b*e-3*a*B*e)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                 3         2  2       3     2
+--R           ((2A b  - 6B a b )e  + 4B b d e)x
+--R         + 
+--R                 2        2   2         2             2        3  2       2
+--R         ((4A a b  - 12B a b)e  + 8B a b d e)x + (2A a b - 6B a )e  + 4B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           3 2 3         2 2 2
+--R       2B b e x  + 4B a b e x
+--R     + 
+--R               2       2   2          3         2           3 2
+--R       ((4A a b  - 4B a b)e  + (- 4A b  + 8B a b )d e - 2B b d )x
+--R     + 
+--R            2        3  2            2       2              3        2  2
+--R       (3A a b - 5B a )e  + (- 2A a b  + 6B a b)d e + (- A b  - B a b )d
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 602
+
+--S 603 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3         2  2       3     2
+--R           ((2A b  - 6B a b )e  + 4B b d e)x
+--R         + 
+--R                 2        2   2         2             2        3  2       2
+--R         ((4A a b  - 12B a b)e  + 8B a b d e)x + (2A a b - 6B a )e  + 4B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           3 2 3         2 2 2
+--R       2B b e x  + 4B a b e x
+--R     + 
+--R               2       2   2          3         2           3 2
+--R       ((4A a b  - 4B a b)e  + (- 4A b  + 8B a b )d e - 2B b d )x
+--R     + 
+--R            2        3  2            2       2              3        2  2
+--R       (3A a b - 5B a )e  + (- 2A a b  + 6B a b)d e + (- A b  - B a b )d
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 603
+
+--S 604 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 604
+
+--S 605 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 605
+
+)clear all
+
+--S 606 of 1293
+t0:=(A+B*x)*(d+e*x)/(a+b*x)^3
+--R 
+--R
+--R              2
+--R         B e x  + (A e + B d)x + A d
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 606
+
+--S 607 of 1293
+r0:=-1/2*(A*b-a*B)*(b*d-a*e)/(b^3*(a+b*x)^2)+_
+     (-b*B*d-A*b*e+2*a*B*e)/(b^3*(a+b*x))+B*e*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R            2   2                    2
+--R       (2B b e x  + 4B a b e x + 2B a e)log(b x + a)
+--R     + 
+--R               2                  2                     2           2
+--R       ((- 2A b  + 4B a b)e - 2B b d)x + (- A a b + 3B a )e + (- A b  - B a b)d
+--R  /
+--R       5 2       4      2 3
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 607
+
+--S 608 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2   2                    2
+--R       (2B b e x  + 4B a b e x + 2B a e)log(b x + a)
+--R     + 
+--R               2                  2                     2           2
+--R       ((- 2A b  + 4B a b)e - 2B b d)x + (- A a b + 3B a )e + (- A b  - B a b)d
+--R  /
+--R       5 2       4      2 3
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 608
+
+--S 609 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 609
+
+--S 610 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 610
+
+)clear all
+
+--S 611 of 1293
+t0:=(A+B*x)/(a+b*x)^3
+--R 
+--R
+--R                   B x + A
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 611
+
+--S 612 of 1293
+r0:=-1/2*(A+B*x)^2/((A*b-a*B)*(a+b*x)^2)
+--R 
+--R
+--R                          1  2 2           1  2
+--R                        - - B x  - A B x - - A
+--R                          2                2
+--R   (2)  ------------------------------------------------------
+--R            3        2  2          2       2         2       3
+--R        (A b  - B a b )x  + (2A a b  - 2B a b)x + A a b - B a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 612
+
+--S 613 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R         - 2B b x - A b - B a
+--R   (3)  ----------------------
+--R          4 2       3      2 2
+--R        2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 613
+
+--S 614 of 1293
+m0:=a0-r0
+--R 
+--R
+--R                2
+--R               B
+--R   (4)  ---------------
+--R            3         2
+--R        2A b  - 2B a b
+--R                                                    Type: Expression(Integer)
+--E 614
+
+--S 615 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 615
+
+)clear all
+
+--S 616 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x))
+--R 
+--R
+--R   (1)
+--R                                   B x + A
+--R   -----------------------------------------------------------------------
+--R    3   4        2     3   3      2          2   2     3      2         3
+--R   b e x  + (3a b e + b d)x  + (3a b e + 3a b d)x  + (a e + 3a b d)x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 616
+
+--S 617 of 1293
+r0:=1/2*(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)^2)+(-B*d+A*e)/((b*d-a*e)^2*(a+b*x))-_
+     e*(B*d-A*e)*log(a+b*x)/(b*d-a*e)^3+e*(B*d-A*e)*log(d+e*x)/(b*d-a*e)^3
+--R 
+--R
+--R   (2)
+--R                3 2       3     2          2 2         2            2   2
+--R           (2A b e  - 2B b d e)x  + (4A a b e  - 4B a b d e)x + 2A a b e
+--R         + 
+--R                 2
+--R           - 2B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  3 2       3     2            2 2         2            2   2
+--R           (- 2A b e  + 2B b d e)x  + (- 4A a b e  + 4B a b d e)x - 2A a b e
+--R         + 
+--R               2
+--R           2B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 2          3         2           3 2          2       3  2
+--R       (2A a b e  + (- 2A b  - 2B a b )d e + 2B b d )x + (3A a b - B a )e
+--R     + 
+--R               2          3        2  2
+--R       - 4A a b d e + (A b  + B a b )d
+--R  /
+--R          3 3 3     2 4   2       5 2      6 3  2
+--R       (2a b e  - 6a b d e  + 6a b d e - 2b d )x
+--R     + 
+--R          4 2 3      3 3   2      2 4 2        5 3       5   3     4 2   2
+--R       (4a b e  - 12a b d e  + 12a b d e - 4a b d )x + 2a b e  - 6a b d e
+--R     + 
+--R         3 3 2      2 4 3
+--R       6a b d e - 2a b d
+--R                                                    Type: Expression(Integer)
+--E 617
+
+--S 618 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2       3     2          2 2         2            2   2
+--R           (2A b e  - 2B b d e)x  + (4A a b e  - 4B a b d e)x + 2A a b e
+--R         + 
+--R                 2
+--R           - 2B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  3 2       3     2            2 2         2            2   2
+--R           (- 2A b e  + 2B b d e)x  + (- 4A a b e  + 4B a b d e)x - 2A a b e
+--R         + 
+--R               2
+--R           2B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 2          3         2           3 2          2       3  2
+--R       (2A a b e  + (- 2A b  - 2B a b )d e + 2B b d )x + (3A a b - B a )e
+--R     + 
+--R               2          3        2  2
+--R       - 4A a b d e + (A b  + B a b )d
+--R  /
+--R          3 3 3     2 4   2       5 2      6 3  2
+--R       (2a b e  - 6a b d e  + 6a b d e - 2b d )x
+--R     + 
+--R          4 2 3      3 3   2      2 4 2        5 3       5   3     4 2   2
+--R       (4a b e  - 12a b d e  + 12a b d e - 4a b d )x + 2a b e  - 6a b d e
+--R     + 
+--R         3 3 2      2 4 3
+--R       6a b d e - 2a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 618
+
+--S 619 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 619
+
+--S 620 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 620
+
+)clear all
+
+--S 621 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^2)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        3 2 5        2 2     3     4      2   2       2       3 2  3
+--R       b e x  + (3a b e  + 2b d e)x  + (3a b e  + 6a b d e + b d )x
+--R     + 
+--R         3 2     2            2 2  2      3        2   2      3 2
+--R       (a e  + 6a b d e + 3a b d )x  + (2a d e + 3a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 621
+
+--S 622 of 1293
+r0:=1/2*(-A*b+a*B)/((b*d-a*e)^2*(a+b*x)^2)+_
+     (-b*B*d+2*A*b*e-a*B*e)/((b*d-a*e)^3*(a+b*x))-_
+     e*(B*d-A*e)/((b*d-a*e)^3*(d+e*x))-_
+     e*(2*b*B*d-3*A*b*e+a*B*e)*log(a+b*x)/(b*d-a*e)^4+_
+     e*(2*b*B*d-3*A*b*e+a*B*e)*log(d+e*x)/(b*d-a*e)^4
+--R 
+--R
+--R   (2)
+--R                   3         2  3       3   2  3
+--R           ((- 6A b  + 2B a b )e  + 4B b d e )x
+--R         + 
+--R                      2       2   3          3          2    2       3 2   2
+--R           ((- 12A a b  + 4B a b)e  + (- 6A b  + 10B a b )d e  + 4B b d e)x
+--R         + 
+--R                   2        3  3             2       2     2         2 2
+--R           ((- 6A a b + 2B a )e  + (- 12A a b  + 8B a b)d e  + 8B a b d e)x
+--R         + 
+--R                  2        3    2       2   2
+--R           (- 6A a b + 2B a )d e  + 4B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                 3         2  3       3   2  3
+--R           ((6A b  - 2B a b )e  - 4B b d e )x
+--R         + 
+--R                    2       2   3        3          2    2       3 2   2
+--R           ((12A a b  - 4B a b)e  + (6A b  - 10B a b )d e  - 4B b d e)x
+--R         + 
+--R                 2        3  3           2       2     2         2 2
+--R           ((6A a b - 2B a )e  + (12A a b  - 8B a b)d e  - 8B a b d e)x
+--R         + 
+--R                2        3    2       2   2
+--R           (6A a b - 2B a )d e  - 4B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2       2   3        3         2    2       3 2   2
+--R       ((- 6A a b  + 2B a b)e  + (6A b  + 2B a b )d e  - 4B b d e)x
+--R     + 
+--R                  2        3  3          2       2     2        3         2  2
+--R           (- 9A a b + 3B a )e  + (6A a b  + 4B a b)d e  + (3A b  - 5B a b )d e
+--R         + 
+--R                 3 3
+--R           - 2B b d
+--R      *
+--R         x
+--R     + 
+--R             3 3          2        3    2          2       2   2
+--R       - 2A a e  + (- 3A a b + 5B a )d e  + (6A a b  - 4B a b)d e
+--R     + 
+--R             3        2  3
+--R       (- A b  - B a b )d
+--R  /
+--R          4 2 5     3 3   4      2 4 2 3       5 3 2     6 4   3
+--R       (2a b e  - 8a b d e  + 12a b d e  - 8a b d e  + 2b d e)x
+--R     + 
+--R          5   5      4 2   4      3 3 2 3     2 4 3 2       5 4      6 5  2
+--R       (4a b e  - 14a b d e  + 16a b d e  - 4a b d e  - 4a b d e + 2b d )x
+--R     + 
+--R          6 5     5     4     4 2 2 3      3 3 3 2      2 4 4        5 5
+--R       (2a e  - 4a b d e  - 4a b d e  + 16a b d e  - 14a b d e + 4a b d )x
+--R     + 
+--R         6   4     5   2 3      4 2 3 2     3 3 4      2 4 5
+--R       2a d e  - 8a b d e  + 12a b d e  - 8a b d e + 2a b d
+--R                                                    Type: Expression(Integer)
+--E 622
+
+--S 623 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   3         2  3       3   2  3
+--R           ((- 6A b  + 2B a b )e  + 4B b d e )x
+--R         + 
+--R                      2       2   3          3          2    2       3 2   2
+--R           ((- 12A a b  + 4B a b)e  + (- 6A b  + 10B a b )d e  + 4B b d e)x
+--R         + 
+--R                   2        3  3             2       2     2         2 2
+--R           ((- 6A a b + 2B a )e  + (- 12A a b  + 8B a b)d e  + 8B a b d e)x
+--R         + 
+--R                  2        3    2       2   2
+--R           (- 6A a b + 2B a )d e  + 4B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                 3         2  3       3   2  3
+--R           ((6A b  - 2B a b )e  - 4B b d e )x
+--R         + 
+--R                    2       2   3        3          2    2       3 2   2
+--R           ((12A a b  - 4B a b)e  + (6A b  - 10B a b )d e  - 4B b d e)x
+--R         + 
+--R                 2        3  3           2       2     2         2 2
+--R           ((6A a b - 2B a )e  + (12A a b  - 8B a b)d e  - 8B a b d e)x
+--R         + 
+--R                2        3    2       2   2
+--R           (6A a b - 2B a )d e  - 4B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2       2   3        3         2    2       3 2   2
+--R       ((- 6A a b  + 2B a b)e  + (6A b  + 2B a b )d e  - 4B b d e)x
+--R     + 
+--R                  2        3  3          2       2     2        3         2  2
+--R           (- 9A a b + 3B a )e  + (6A a b  + 4B a b)d e  + (3A b  - 5B a b )d e
+--R         + 
+--R                 3 3
+--R           - 2B b d
+--R      *
+--R         x
+--R     + 
+--R             3 3          2        3    2          2       2   2
+--R       - 2A a e  + (- 3A a b + 5B a )d e  + (6A a b  - 4B a b)d e
+--R     + 
+--R             3        2  3
+--R       (- A b  - B a b )d
+--R  /
+--R          4 2 5     3 3   4      2 4 2 3       5 3 2     6 4   3
+--R       (2a b e  - 8a b d e  + 12a b d e  - 8a b d e  + 2b d e)x
+--R     + 
+--R          5   5      4 2   4      3 3 2 3     2 4 3 2       5 4      6 5  2
+--R       (4a b e  - 14a b d e  + 16a b d e  - 4a b d e  - 4a b d e + 2b d )x
+--R     + 
+--R          6 5     5     4     4 2 2 3      3 3 3 2      2 4 4        5 5
+--R       (2a e  - 4a b d e  - 4a b d e  + 16a b d e  - 14a b d e + 4a b d )x
+--R     + 
+--R         6   4     5   2 3      4 2 3 2     3 3 4      2 4 5
+--R       2a d e  - 8a b d e  + 12a b d e  - 8a b d e + 2a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 623
+
+--S 624 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 624
+
+--S 625 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 625
+
+)clear all
+
+--S 626 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^3)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b e x  + (3a b e  + 3b d e )x  + (3a b e  + 9a b d e  + 3b d e)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a e  + 9a b d e  + 9a b d e + b d )x  + (3a d e  + 9a b d e + 3a b d )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a d e + 3a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 626
+
+--S 627 of 1293
+r0:=-1/2*b*(A*b-a*B)/((b*d-a*e)^3*(a+b*x)^2)-_
+     b*(b*B*d-3*A*b*e+2*a*B*e)/((b*d-a*e)^4*(a+b*x))-_
+     1/2*e*(B*d-A*e)/((b*d-a*e)^3*(d+e*x)^2)-_
+     e*(2*b*B*d-3*A*b*e+a*B*e)/((b*d-a*e)^4*(d+e*x))-_
+     3*b*e*(b*B*d-2*A*b*e+a*B*e)*log(a+b*x)/(b*d-a*e)^5+_
+     3*b*e*(b*B*d-2*A*b*e+a*B*e)*log(d+e*x)/(b*d-a*e)^5
+--R 
+--R
+--R   (2)
+--R                  4         3  4       4   3  4
+--R           ((12A b  - 6B a b )e  - 6B b d e )x
+--R         + 
+--R                    3        2 2  4         4          3    3        4 2 2  3
+--R           ((24A a b  - 12B a b )e  + (24A b  - 24B a b )d e  - 12B b d e )x
+--R         + 
+--R                     2 2       3   4           3        2 2    3
+--R               (12A a b  - 6B a b)e  + (48A a b  - 30B a b )d e
+--R             + 
+--R                     4          3  2 2       4 3
+--R               (12A b  - 30B a b )d e  - 6B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  2 2        3     3           3        2 2  2 2          3 3
+--R           ((24A a b  - 12B a b)d e  + (24A a b  - 24B a b )d e  - 12B a b d e)x
+--R         + 
+--R                 2 2       3   2 2       2 2 3
+--R           (12A a b  - 6B a b)d e  - 6B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                    4         3  4       4   3  4
+--R           ((- 12A b  + 6B a b )e  + 6B b d e )x
+--R         + 
+--R                           3        2 2  4           4          3    3
+--R                 (- 24A a b  + 12B a b )e  + (- 24A b  + 24B a b )d e
+--R               + 
+--R                      4 2 2
+--R                 12B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       2 2       3   4             3        2 2    3
+--R               (- 12A a b  + 6B a b)e  + (- 48A a b  + 30B a b )d e
+--R             + 
+--R                       4          3  2 2       4 3
+--R               (- 12A b  + 30B a b )d e  + 6B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       2 2        3     3             3        2 2  2 2
+--R               (- 24A a b  + 12B a b)d e  + (- 24A a b  + 24B a b )d e
+--R             + 
+--R                      3 3
+--R               12B a b d e
+--R          *
+--R             x
+--R         + 
+--R                   2 2       3   2 2       2 2 3
+--R           (- 12A a b  + 6B a b)d e  + 6B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                3       2 2  4        4   3       4 2 2  3
+--R       ((12A a b  - 6B a b )e  - 12A b d e  + 6B b d e )x
+--R     + 
+--R                 2 2       3   4       2 2   3           4         3  2 2
+--R           (18A a b  - 9B a b)e  - 9B a b d e  + (- 18A b  + 9B a b )d e
+--R         + 
+--R               4 3
+--R           9B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  4         2 2        3     3          3 2 2
+--R           (4A a b - 2B a )e  + (24A a b  - 14B a b)d e  - 24A a b d e
+--R         + 
+--R                  4          3  3        4 4
+--R           (- 4A b  + 14B a b )d e + 2B b d
+--R      *
+--R         x
+--R     + 
+--R            4 4        3       4    3       3   2 2            3       2 2  3
+--R       - A a e  + (8A a b - B a )d e  - 9B a b d e  + (- 8A a b  + 9B a b )d e
+--R     + 
+--R           4        3  4
+--R       (A b  + B a b )d
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b e  - 10a b d e  + 20a b d e  - 20a b d e  + 10a b d e  - 2b d e )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b e  - 16a b d e  + 20a b d e  - 20a b d e  + 16a b d e  - 4b d e)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a e  - 2a b d e  - 18a b d e  + 50a b d e  - 50a b d e  + 18a b d e
+--R         + 
+--R               6 6      7 7
+--R           2a b d e - 2b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a d e  - 16a b d e  + 20a b d e  - 20a b d e  + 16a b d e - 4a b d )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a d e  - 10a b d e  + 20a b d e  - 20a b d e  + 10a b d e - 2a b d
+--R                                                    Type: Expression(Integer)
+--E 627
+
+--S 628 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4         3  4       4   3  4
+--R           ((12A b  - 6B a b )e  - 6B b d e )x
+--R         + 
+--R                    3        2 2  4         4          3    3        4 2 2  3
+--R           ((24A a b  - 12B a b )e  + (24A b  - 24B a b )d e  - 12B b d e )x
+--R         + 
+--R                     2 2       3   4           3        2 2    3
+--R               (12A a b  - 6B a b)e  + (48A a b  - 30B a b )d e
+--R             + 
+--R                     4          3  2 2       4 3
+--R               (12A b  - 30B a b )d e  - 6B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  2 2        3     3           3        2 2  2 2          3 3
+--R           ((24A a b  - 12B a b)d e  + (24A a b  - 24B a b )d e  - 12B a b d e)x
+--R         + 
+--R                 2 2       3   2 2       2 2 3
+--R           (12A a b  - 6B a b)d e  - 6B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                    4         3  4       4   3  4
+--R           ((- 12A b  + 6B a b )e  + 6B b d e )x
+--R         + 
+--R                           3        2 2  4           4          3    3
+--R                 (- 24A a b  + 12B a b )e  + (- 24A b  + 24B a b )d e
+--R               + 
+--R                      4 2 2
+--R                 12B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       2 2       3   4             3        2 2    3
+--R               (- 12A a b  + 6B a b)e  + (- 48A a b  + 30B a b )d e
+--R             + 
+--R                       4          3  2 2       4 3
+--R               (- 12A b  + 30B a b )d e  + 6B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       2 2        3     3             3        2 2  2 2
+--R               (- 24A a b  + 12B a b)d e  + (- 24A a b  + 24B a b )d e
+--R             + 
+--R                      3 3
+--R               12B a b d e
+--R          *
+--R             x
+--R         + 
+--R                   2 2       3   2 2       2 2 3
+--R           (- 12A a b  + 6B a b)d e  + 6B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                3       2 2  4        4   3       4 2 2  3
+--R       ((12A a b  - 6B a b )e  - 12A b d e  + 6B b d e )x
+--R     + 
+--R                 2 2       3   4       2 2   3           4         3  2 2
+--R           (18A a b  - 9B a b)e  - 9B a b d e  + (- 18A b  + 9B a b )d e
+--R         + 
+--R               4 3
+--R           9B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3        4  4         2 2        3     3          3 2 2
+--R           (4A a b - 2B a )e  + (24A a b  - 14B a b)d e  - 24A a b d e
+--R         + 
+--R                  4          3  3        4 4
+--R           (- 4A b  + 14B a b )d e + 2B b d
+--R      *
+--R         x
+--R     + 
+--R            4 4        3       4    3       3   2 2            3       2 2  3
+--R       - A a e  + (8A a b - B a )d e  - 9B a b d e  + (- 8A a b  + 9B a b )d e
+--R     + 
+--R           4        3  4
+--R       (A b  + B a b )d
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b e  - 10a b d e  + 20a b d e  - 20a b d e  + 10a b d e  - 2b d e )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b e  - 16a b d e  + 20a b d e  - 20a b d e  + 16a b d e  - 4b d e)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a e  - 2a b d e  - 18a b d e  + 50a b d e  - 50a b d e  + 18a b d e
+--R         + 
+--R               6 6      7 7
+--R           2a b d e - 2b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a d e  - 16a b d e  + 20a b d e  - 20a b d e  + 16a b d e - 4a b d )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a d e  - 10a b d e  + 20a b d e  - 20a b d e  + 10a b d e - 2a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 628
+
+--S 629 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 629
+
+--S 630 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 630
+
+)clear all
+
+--S 631 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^4)
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R        3 4 7        2 4     3   3  6      2   4        2   3     3 2 2  5
+--R       b e x  + (3a b e  + 4b d e )x  + (3a b e  + 12a b d e  + 6b d e )x
+--R     + 
+--R         3 4      2     3        2 2 2     3 3   4
+--R       (a e  + 12a b d e  + 18a b d e  + 4b d e)x
+--R     + 
+--R          3   3      2   2 2        2 3     3 4  3
+--R       (4a d e  + 18a b d e  + 12a b d e + b d )x
+--R     + 
+--R          3 2 2      2   3        2 4  2      3 3      2   4      3 4
+--R       (6a d e  + 12a b d e + 3a b d )x  + (4a d e + 3a b d )x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 631
+
+--S 632 of 1293
+r0:=-1/2*b^2*(A*b-a*B)/((b*d-a*e)^4*(a+b*x)^2)-_
+     b^2*(b*B*d-4*A*b*e+3*a*B*e)/((b*d-a*e)^5*(a+b*x))-_
+     1/3*e*(B*d-A*e)/((b*d-a*e)^3*(d+e*x)^3)-_
+     1/2*e*(2*b*B*d-3*A*b*e+a*B*e)/((b*d-a*e)^4*(d+e*x)^2)-_
+     3*b*e*(b*B*d-2*A*b*e+a*B*e)/((b*d-a*e)^5*(d+e*x))-_
+     2*b^2*e*(2*b*B*d-5*A*b*e+3*a*B*e)*log(a+b*x)/(b*d-a*e)^6+_
+     2*b^2*e*(2*b*B*d-5*A*b*e+3*a*B*e)*log(d+e*x)/(b*d-a*e)^6
+--R 
+--R
+--R   (2)
+--R                    5          4  5        5   4  5
+--R           ((- 60A b  + 36B a b )e  + 24B b d e )x
+--R         + 
+--R                          4        2 3  5            5           4    4
+--R               (- 120A a b  + 72B a b )e  + (- 180A b  + 156B a b )d e
+--R             + 
+--R                    5 2 3
+--R               72B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       2 3        3 2  5              4         2 3    4
+--R               (- 60A a b  + 36B a b )e  + (- 360A a b  + 240B a b )d e
+--R             + 
+--R                        5           4  2 3        5 3 2
+--R               (- 180A b  + 252B a b )d e  + 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        2 3         3 2    4              4         2 3  2 3
+--R               (- 180A a b  + 108B a b )d e  + (- 360A a b  + 288B a b )d e
+--R             + 
+--R                       5           4  3 2        5 4
+--R               (- 60A b  + 180B a b )d e  + 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        2 3         3 2  2 3              4         2 3  3 2
+--R               (- 180A a b  + 108B a b )d e  + (- 120A a b  + 144B a b )d e
+--R             + 
+--R                      4 4
+--R               48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                   2 3        3 2  3 2        2 3 4
+--R           (- 60A a b  + 36B a b )d e  + 24B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  5          4  5        5   4  5
+--R           ((60A b  - 36B a b )e  - 24B b d e )x
+--R         + 
+--R                     4        2 3  5          5           4    4        5 2 3  4
+--R           ((120A a b  - 72B a b )e  + (180A b  - 156B a b )d e  - 72B b d e )x
+--R         + 
+--R                     2 3        3 2  5            4         2 3    4
+--R               (60A a b  - 36B a b )e  + (360A a b  - 240B a b )d e
+--R             + 
+--R                      5           4  2 3        5 3 2
+--R               (180A b  - 252B a b )d e  - 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      2 3         3 2    4            4         2 3  2 3
+--R               (180A a b  - 108B a b )d e  + (360A a b  - 288B a b )d e
+--R             + 
+--R                     5           4  3 2        5 4
+--R               (60A b  - 180B a b )d e  - 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      2 3         3 2  2 3            4         2 3  3 2
+--R               (180A a b  - 108B a b )d e  + (120A a b  - 144B a b )d e
+--R             + 
+--R                        4 4
+--R               - 48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                 2 3        3 2  3 2        2 3 4
+--R           (60A a b  - 36B a b )d e  - 24B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4        2 3  5         5          4    4        5 2 3  4
+--R       ((- 60A a b  + 36B a b )e  + (60A b  - 12B a b )d e  - 24B b d e )x
+--R     + 
+--R                   2 3        3 2  5             4        2 3    4
+--R           (- 90A a b  + 54B a b )e  + (- 60A a b  + 72B a b )d e
+--R         + 
+--R                  5          4  2 3        5 3 2
+--R           (150A b  - 66B a b )d e  - 60B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 2        4   5            2 3         3 2    4
+--R           (- 20A a b  + 12B a b)e  + (- 210A a b  + 134B a b )d e
+--R         + 
+--R                    4        2 3  2 3          5           4  3 2        5 4
+--R           (120A a b  + 12B a b )d e  + (110A b  - 114B a b )d e  - 44B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4        5  5           3 2        4     4
+--R           (5A a b - 3B a )e  + (- 60A a b  + 34B a b)d e
+--R         + 
+--R                    2 3        3 2  2 3            4        2 3  3 2
+--R           (- 120A a b  + 96B a b )d e  + (160A a b  - 48B a b )d e
+--R         + 
+--R                 5          4  4        5 5
+--R           (15A b  - 73B a b )d e - 6B b d
+--R      *
+--R         x
+--R     + 
+--R             5 5         4       5    4           3 2        4   2 3
+--R       - 2A a e  + (15A a b - B a )d e  + (- 60A a b  + 12B a b)d e
+--R     + 
+--R             2 3        3 2  3 2           4        2 3  4
+--R       (20A a b  + 36B a b )d e  + (30A a b  - 44B a b )d e
+--R     + 
+--R              5         4  5
+--R       (- 3A b  - 3B a b )d
+--R  /
+--R             6 2 9      5 3   8      4 4 2 7       3 5 3 6      2 6 4 5
+--R           6a b e  - 36a b d e  + 90a b d e  - 120a b d e  + 90a b d e
+--R         + 
+--R                  7 5 4     8 6 3
+--R           - 36a b d e  + 6b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7      4 4 3 6       3 5 4 5
+--R           12a b e  - 54a b d e  + 72a b d e  + 30a b d e  - 180a b d e
+--R         + 
+--R               2 6 5 4        7 6 3      8 7 2
+--R           198a b d e  - 96a b d e  + 18b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8 9       6 2 2 7       5 3 3 6       4 4 4 5       3 5 5 4
+--R           6a e  - 108a b d e  + 312a b d e  - 360a b d e  + 144a b d e
+--R         + 
+--R              2 6 6 3        7 7 2      8 8
+--R           60a b d e  - 72a b d e  + 18b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              8   8      7   2 7      6 2 3 6       5 3 4 5       4 4 5 4
+--R           18a d e  - 72a b d e  + 60a b d e  + 144a b d e  - 360a b d e
+--R         + 
+--R               3 5 6 3       2 6 7 2     8 9
+--R           312a b d e  - 108a b d e  + 6b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              8 2 7      7   3 6       6 2 4 5       5 3 5 4      4 4 6 3
+--R           18a d e  - 96a b d e  + 198a b d e  - 180a b d e  + 30a b d e
+--R         + 
+--R              3 5 7 2      2 6 8         7 9
+--R           72a b d e  - 54a b d e + 12a b d
+--R      *
+--R         x
+--R     + 
+--R         8 3 6      7   4 5      6 2 5 4       5 3 6 3      4 4 7 2      3 5 8
+--R       6a d e  - 36a b d e  + 90a b d e  - 120a b d e  + 90a b d e  - 36a b d e
+--R     + 
+--R         2 6 9
+--R       6a b d
+--R                                                    Type: Expression(Integer)
+--E 632
+
+--S 633 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    5          4  5        5   4  5
+--R           ((- 60A b  + 36B a b )e  + 24B b d e )x
+--R         + 
+--R                          4        2 3  5            5           4    4
+--R               (- 120A a b  + 72B a b )e  + (- 180A b  + 156B a b )d e
+--R             + 
+--R                    5 2 3
+--R               72B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       2 3        3 2  5              4         2 3    4
+--R               (- 60A a b  + 36B a b )e  + (- 360A a b  + 240B a b )d e
+--R             + 
+--R                        5           4  2 3        5 3 2
+--R               (- 180A b  + 252B a b )d e  + 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        2 3         3 2    4              4         2 3  2 3
+--R               (- 180A a b  + 108B a b )d e  + (- 360A a b  + 288B a b )d e
+--R             + 
+--R                       5           4  3 2        5 4
+--R               (- 60A b  + 180B a b )d e  + 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        2 3         3 2  2 3              4         2 3  3 2
+--R               (- 180A a b  + 108B a b )d e  + (- 120A a b  + 144B a b )d e
+--R             + 
+--R                      4 4
+--R               48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                   2 3        3 2  3 2        2 3 4
+--R           (- 60A a b  + 36B a b )d e  + 24B a b d e
+--R      *
+--R         log(e x + d)
+--R     + 
+--R                  5          4  5        5   4  5
+--R           ((60A b  - 36B a b )e  - 24B b d e )x
+--R         + 
+--R                     4        2 3  5          5           4    4        5 2 3  4
+--R           ((120A a b  - 72B a b )e  + (180A b  - 156B a b )d e  - 72B b d e )x
+--R         + 
+--R                     2 3        3 2  5            4         2 3    4
+--R               (60A a b  - 36B a b )e  + (360A a b  - 240B a b )d e
+--R             + 
+--R                      5           4  2 3        5 3 2
+--R               (180A b  - 252B a b )d e  - 72B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      2 3         3 2    4            4         2 3  2 3
+--R               (180A a b  - 108B a b )d e  + (360A a b  - 288B a b )d e
+--R             + 
+--R                     5           4  3 2        5 4
+--R               (60A b  - 180B a b )d e  - 24B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      2 3         3 2  2 3            4         2 3  3 2
+--R               (180A a b  - 108B a b )d e  + (120A a b  - 144B a b )d e
+--R             + 
+--R                        4 4
+--R               - 48B a b d e
+--R          *
+--R             x
+--R         + 
+--R                 2 3        3 2  3 2        2 3 4
+--R           (60A a b  - 36B a b )d e  - 24B a b d e
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4        2 3  5         5          4    4        5 2 3  4
+--R       ((- 60A a b  + 36B a b )e  + (60A b  - 12B a b )d e  - 24B b d e )x
+--R     + 
+--R                   2 3        3 2  5             4        2 3    4
+--R           (- 90A a b  + 54B a b )e  + (- 60A a b  + 72B a b )d e
+--R         + 
+--R                  5          4  2 3        5 3 2
+--R           (150A b  - 66B a b )d e  - 60B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 2        4   5            2 3         3 2    4
+--R           (- 20A a b  + 12B a b)e  + (- 210A a b  + 134B a b )d e
+--R         + 
+--R                    4        2 3  2 3          5           4  3 2        5 4
+--R           (120A a b  + 12B a b )d e  + (110A b  - 114B a b )d e  - 44B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4        5  5           3 2        4     4
+--R           (5A a b - 3B a )e  + (- 60A a b  + 34B a b)d e
+--R         + 
+--R                    2 3        3 2  2 3            4        2 3  3 2
+--R           (- 120A a b  + 96B a b )d e  + (160A a b  - 48B a b )d e
+--R         + 
+--R                 5          4  4        5 5
+--R           (15A b  - 73B a b )d e - 6B b d
+--R      *
+--R         x
+--R     + 
+--R             5 5         4       5    4           3 2        4   2 3
+--R       - 2A a e  + (15A a b - B a )d e  + (- 60A a b  + 12B a b)d e
+--R     + 
+--R             2 3        3 2  3 2           4        2 3  4
+--R       (20A a b  + 36B a b )d e  + (30A a b  - 44B a b )d e
+--R     + 
+--R              5         4  5
+--R       (- 3A b  - 3B a b )d
+--R  /
+--R             6 2 9      5 3   8      4 4 2 7       3 5 3 6      2 6 4 5
+--R           6a b e  - 36a b d e  + 90a b d e  - 120a b d e  + 90a b d e
+--R         + 
+--R                  7 5 4     8 6 3
+--R           - 36a b d e  + 6b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7      4 4 3 6       3 5 4 5
+--R           12a b e  - 54a b d e  + 72a b d e  + 30a b d e  - 180a b d e
+--R         + 
+--R               2 6 5 4        7 6 3      8 7 2
+--R           198a b d e  - 96a b d e  + 18b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8 9       6 2 2 7       5 3 3 6       4 4 4 5       3 5 5 4
+--R           6a e  - 108a b d e  + 312a b d e  - 360a b d e  + 144a b d e
+--R         + 
+--R              2 6 6 3        7 7 2      8 8
+--R           60a b d e  - 72a b d e  + 18b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              8   8      7   2 7      6 2 3 6       5 3 4 5       4 4 5 4
+--R           18a d e  - 72a b d e  + 60a b d e  + 144a b d e  - 360a b d e
+--R         + 
+--R               3 5 6 3       2 6 7 2     8 9
+--R           312a b d e  - 108a b d e  + 6b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              8 2 7      7   3 6       6 2 4 5       5 3 5 4      4 4 6 3
+--R           18a d e  - 96a b d e  + 198a b d e  - 180a b d e  + 30a b d e
+--R         + 
+--R              3 5 7 2      2 6 8         7 9
+--R           72a b d e  - 54a b d e + 12a b d
+--R      *
+--R         x
+--R     + 
+--R         8 3 6      7   4 5      6 2 5 4       5 3 6 3      4 4 7 2      3 5 8
+--R       6a d e  - 36a b d e  + 90a b d e  - 120a b d e  + 90a b d e  - 36a b d e
+--R     + 
+--R         2 6 9
+--R       6a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 633
+
+--S 634 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 634
+
+--S 635 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 635
+
+)clear all
+
+--S 636 of 1293
+t0:=(a+b*x)*(A+B*x)*(d+e*x)^(7/2)
+--R 
+--R
+--R   (1)
+--R            3 5                3           2  4
+--R       B b e x  + ((A b + B a)e  + 3B b d e )x
+--R     + 
+--R             3                   2         2   3
+--R       (A a e  + (3A b + 3B a)d e  + 3B b d e)x
+--R     + 
+--R                2                 2         3  2          2                3
+--R       (3A a d e  + (3A b + 3B a)d e + B b d )x  + (3A a d e + (A b + B a)d )x
+--R     + 
+--R            3
+--R       A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 636
+
+--S 637 of 1293
+r0:=2/9*(b*d-a*e)*(B*d-A*e)*(d+e*x)^(9/2)/e^3-_
+     2/11*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(11/2)/e^3+2/13*b*B*(d+e*x)^(13/2)/e^3
+--R 
+--R
+--R   (2)
+--R                 6 6                      6             5  5
+--R         198B b e x  + ((234A b + 234B a)e  + 720B b d e )x
+--R       + 
+--R                  6                       5           2 4  4
+--R         (286A a e  + (884A b + 884B a)d e  + 916B b d e )x
+--R       + 
+--R                     5                       2 4           3 3  3
+--R         (1144A a d e  + (1196A b + 1196B a)d e  + 424B b d e )x
+--R       + 
+--R                   2 4                     3 3         4 2  2
+--R         (1716A a d e  + (624A b + 624B a)d e  + 6B b d e )x
+--R       + 
+--R                   3 3                   4 2         5              4 2
+--R         (1144A a d e  + (26A b + 26B a)d e  - 8B b d e)x + 286A a d e
+--R       + 
+--R                           5           6
+--R         (- 52A b - 52B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          3
+--R     1287e
+--R                                                    Type: Expression(Integer)
+--E 637
+
+--S 638 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 6 6                      6             5  5
+--R         198B b e x  + ((234A b + 234B a)e  + 720B b d e )x
+--R       + 
+--R                  6                       5           2 4  4
+--R         (286A a e  + (884A b + 884B a)d e  + 916B b d e )x
+--R       + 
+--R                     5                       2 4           3 3  3
+--R         (1144A a d e  + (1196A b + 1196B a)d e  + 424B b d e )x
+--R       + 
+--R                   2 4                     3 3         4 2  2
+--R         (1716A a d e  + (624A b + 624B a)d e  + 6B b d e )x
+--R       + 
+--R                   3 3                   4 2         5              4 2
+--R         (1144A a d e  + (26A b + 26B a)d e  - 8B b d e)x + 286A a d e
+--R       + 
+--R                           5           6
+--R         (- 52A b - 52B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          3
+--R     1287e
+--R                                         Type: Union(Expression(Integer),...)
+--E 638
+
+--S 639 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 639
+
+--S 640 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 640
+
+)clear all
+
+--S 641 of 1293
+t0:=(a+b*x)*(A+B*x)*(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R            2 4                2             3
+--R       B b e x  + ((A b + B a)e  + 2B b d e)x
+--R     + 
+--R             2                           2  2                           2
+--R       (A a e  + (2A b + 2B a)d e + B b d )x  + (2A a d e + (A b + B a)d )x
+--R     + 
+--R            2
+--R       A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 641
+
+--S 642 of 1293
+r0:=2/7*(b*d-a*e)*(B*d-A*e)*(d+e*x)^(7/2)/e^3-_
+     2/9*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(9/2)/e^3+2/11*b*B*(d+e*x)^(11/2)/e^3
+--R 
+--R
+--R   (2)
+--R                 5 5                      5             4  4
+--R         126B b e x  + ((154A b + 154B a)e  + 322B b d e )x
+--R       + 
+--R                  5                       4           2 3  3
+--R         (198A a e  + (418A b + 418B a)d e  + 226B b d e )x
+--R       + 
+--R                    4                     2 3         3 2  2
+--R         (594A a d e  + (330A b + 330B a)d e  + 6B b d e )x
+--R       + 
+--R                  2 3                   3 2         4              3 2
+--R         (594A a d e  + (22A b + 22B a)d e  - 8B b d e)x + 198A a d e
+--R       + 
+--R                           4           5
+--R         (- 44A b - 44B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     693e
+--R                                                    Type: Expression(Integer)
+--E 642
+
+--S 643 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 5 5                      5             4  4
+--R         126B b e x  + ((154A b + 154B a)e  + 322B b d e )x
+--R       + 
+--R                  5                       4           2 3  3
+--R         (198A a e  + (418A b + 418B a)d e  + 226B b d e )x
+--R       + 
+--R                    4                     2 3         3 2  2
+--R         (594A a d e  + (330A b + 330B a)d e  + 6B b d e )x
+--R       + 
+--R                  2 3                   3 2         4              3 2
+--R         (594A a d e  + (22A b + 22B a)d e  - 8B b d e)x + 198A a d e
+--R       + 
+--R                           4           5
+--R         (- 44A b - 44B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     693e
+--R                                         Type: Union(Expression(Integer),...)
+--E 643
+
+--S 644 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 644
+
+--S 645 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 645
+
+)clear all
+
+--S 646 of 1293
+t0:=(a+b*x)*(A+B*x)*(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R             3                          2
+--R     (B b e x  + ((A b + B a)e + B b d)x  + (A a e + (A b + B a)d)x + A a d)
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 646
+
+--S 647 of 1293
+r0:=2/5*(b*d-a*e)*(B*d-A*e)*(d+e*x)^(5/2)/e^3-_
+     2/7*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(7/2)/e^3+2/9*b*B*(d+e*x)^(9/2)/e^3
+--R 
+--R
+--R   (2)
+--R                4 4                    4             3  3
+--R         70B b e x  + ((90A b + 90B a)e  + 100B b d e )x
+--R       + 
+--R                  4                       3         2 2  2
+--R         (126A a e  + (144A b + 144B a)d e  + 6B b d e )x
+--R       + 
+--R                    3                   2 2         3              2 2
+--R         (252A a d e  + (18A b + 18B a)d e  - 8B b d e)x + 126A a d e
+--R       + 
+--R                           3           4
+--R         (- 36A b - 36B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     315e
+--R                                                    Type: Expression(Integer)
+--E 647
+
+--S 648 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                4 4                    4             3  3
+--R         70B b e x  + ((90A b + 90B a)e  + 100B b d e )x
+--R       + 
+--R                  4                       3         2 2  2
+--R         (126A a e  + (144A b + 144B a)d e  + 6B b d e )x
+--R       + 
+--R                    3                   2 2         3              2 2
+--R         (252A a d e  + (18A b + 18B a)d e  - 8B b d e)x + 126A a d e
+--R       + 
+--R                           3           4
+--R         (- 36A b - 36B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     315e
+--R                                         Type: Union(Expression(Integer),...)
+--E 648
+
+--S 649 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 649
+
+--S 650 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 650
+
+)clear all
+
+--S 651 of 1293
+t0:=(a+b*x)*(A+B*x)*sqrt(d+e*x)
+--R 
+--R
+--R              2                       +-------+
+--R   (1)  (B b x  + (A b + B a)x + A a)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 651
+
+--S 652 of 1293
+r0:=2/3*(b*d-a*e)*(B*d-A*e)*(d+e*x)^(3/2)/e^3-_
+     2/5*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(5/2)/e^3+2/7*b*B*(d+e*x)^(7/2)/e^3
+--R 
+--R
+--R   (2)
+--R                3 3                    3           2  2
+--R         30B b e x  + ((42A b + 42B a)e  + 6B b d e )x
+--R       + 
+--R                 3                     2         2               2
+--R         (70A a e  + (14A b + 14B a)d e  - 8B b d e)x + 70A a d e
+--R       + 
+--R                           2           3
+--R         (- 28A b - 28B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     105e
+--R                                                    Type: Expression(Integer)
+--E 652
+
+--S 653 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 3                    3           2  2
+--R         30B b e x  + ((42A b + 42B a)e  + 6B b d e )x
+--R       + 
+--R                 3                     2         2               2
+--R         (70A a e  + (14A b + 14B a)d e  - 8B b d e)x + 70A a d e
+--R       + 
+--R                           2           3
+--R         (- 28A b - 28B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         3
+--R     105e
+--R                                         Type: Union(Expression(Integer),...)
+--E 653
+
+--S 654 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 654
+
+--S 655 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 655
+
+)clear all
+
+--S 656 of 1293
+t0:=(a+b*x)*(A+B*x)/sqrt(d+e*x)
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                  +-------+
+--R                 \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 656
+
+--S 657 of 1293
+r0:=-2/3*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(3/2)/e^3+_
+     2/5*b*B*(d+e*x)^(5/2)/e^3+2*(b*d-a*e)*(B*d-A*e)*sqrt(d+e*x)/e^3
+--R 
+--R
+--R   (2)
+--R               2 2                    2                       2
+--R         6B b e x  + ((10A b + 10B a)e  - 8B b d e)x + 30A a e
+--R       + 
+--R                                       2
+--R         (- 20A b - 20B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R        3
+--R     15e
+--R                                                    Type: Expression(Integer)
+--E 657
+
+--S 658 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2                    2                       2
+--R         6B b e x  + ((10A b + 10B a)e  - 8B b d e)x + 30A a e
+--R       + 
+--R                                       2
+--R         (- 20A b - 20B a)d e + 16B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R        3
+--R     15e
+--R                                         Type: Union(Expression(Integer),...)
+--E 658
+
+--S 659 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 659
+
+--S 660 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 660
+
+)clear all
+
+--S 661 of 1293
+t0:=(a+b*x)*(A+B*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R             2
+--R        B b x  + (A b + B a)x + A a
+--R   (1)  ---------------------------
+--R                      +-------+
+--R            (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 661
+
+--S 662 of 1293
+r0:=2/3*b*B*(d+e*x)^(3/2)/e^3-2*(b*d-a*e)*(B*d-A*e)/(e^3*sqrt(d+e*x))-_
+     2*(2*b*B*d-A*b*e-a*B*e)*sqrt(d+e*x)/e^3
+--R 
+--R
+--R   (2)
+--R             2 2                  2                      2
+--R       2B b e x  + ((6A b + 6B a)e  - 8B b d e)x - 6A a e  + (12A b + 12B a)d e
+--R     + 
+--R                2
+--R       - 16B b d
+--R  /
+--R       3 +-------+
+--R     3e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 662
+
+--S 663 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2                  2                      2
+--R       2B b e x  + ((6A b + 6B a)e  - 8B b d e)x - 6A a e  + (12A b + 12B a)d e
+--R     + 
+--R                2
+--R       - 16B b d
+--R  /
+--R       3 +-------+
+--R     3e \|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 663
+
+--S 664 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 664
+
+--S 665 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 665
+
+)clear all
+
+--S 666 of 1293
+t0:=(a+b*x)*(A+B*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R               2
+--R          B b x  + (A b + B a)x + A a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 666
+
+--S 667 of 1293
+r0:=-2/3*(b*d-a*e)*(B*d-A*e)/(e^3*(d+e*x)^(3/2))+_
+     2*(2*b*B*d-A*b*e-a*B*e)/(e^3*sqrt(d+e*x))+2*b*B*sqrt(d+e*x)/e^3
+--R 
+--R
+--R   (2)
+--R             2 2                    2                       2
+--R       6B b e x  + ((- 6A b - 6B a)e  + 24B b d e)x - 2A a e
+--R     + 
+--R                                   2
+--R       (- 4A b - 4B a)d e + 16B b d
+--R  /
+--R        4        3  +-------+
+--R     (3e x + 3d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 667
+
+--S 668 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2                    2                       2
+--R       6B b e x  + ((- 6A b - 6B a)e  + 24B b d e)x - 2A a e
+--R     + 
+--R                                   2
+--R       (- 4A b - 4B a)d e + 16B b d
+--R  /
+--R        4        3  +-------+
+--R     (3e x + 3d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 668
+
+--S 669 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 669
+
+--S 670 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 670
+
+)clear all
+
+--S 671 of 1293
+t0:=(a+b*x)*(A+B*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R                    2
+--R               B b x  + (A b + B a)x + A a
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 671
+
+--S 672 of 1293
+r0:=-2/5*(b*d-a*e)*(B*d-A*e)/(e^3*(d+e*x)^(5/2))+_
+     2/3*(2*b*B*d-A*b*e-a*B*e)/(e^3*(d+e*x)^(3/2))-2*b*B/(e^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                2 2                      2                       2
+--R       - 30B b e x  + ((- 10A b - 10B a)e  - 40B b d e)x - 6A a e
+--R     + 
+--R                                   2
+--R       (- 4A b - 4B a)d e - 16B b d
+--R  /
+--R         5 2        4       2 3  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 672
+
+--S 673 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 2                      2                       2
+--R       - 30B b e x  + ((- 10A b - 10B a)e  - 40B b d e)x - 6A a e
+--R     + 
+--R                                   2
+--R       (- 4A b - 4B a)d e - 16B b d
+--R  /
+--R         5 2        4       2 3  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 673
+
+--S 674 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 674
+
+--S 675 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 675
+
+)clear all
+
+--S 676 of 1293
+t0:=(a+b*x)^2*(A+B*x)*(d+e*x)^(7/2)
+--R 
+--R
+--R   (1)
+--R          2 3 6        2           3       2   2  5
+--R       B b e x  + ((A b  + 2B a b)e  + 3B b d e )x
+--R     + 
+--R                     2  3        2             2       2 2   4
+--R       ((2A a b + B a )e  + (3A b  + 6B a b)d e  + 3B b d e)x
+--R     + 
+--R           2 3                 2    2        2           2       2 3  3
+--R       (A a e  + (6A a b + 3B a )d e  + (3A b  + 6B a b)d e + B b d )x
+--R     + 
+--R            2   2                 2  2        2           3  2
+--R       (3A a d e  + (6A a b + 3B a )d e + (A b  + 2B a b)d )x
+--R     + 
+--R            2 2                 2  3        2 3
+--R       (3A a d e + (2A a b + B a )d )x + A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 676
+
+--S 677 of 1293
+r0:=-2/9*(b*d-a*e)^2*(B*d-A*e)*(d+e*x)^(9/2)/e^4+_
+     2/11*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*(d+e*x)^(11/2)/e^4-_
+     2/13*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(13/2)/e^4+_
+     2/15*b^2*B*(d+e*x)^(15/2)/e^4
+--R 
+--R
+--R   (2)
+--R               2 7 7           2              7          2   6  6
+--R         858B b e x  + ((990A b  + 1980B a b)e  + 3036B b d e )x
+--R       + 
+--R                                   2  7           2                6
+--R               (2340A a b + 1170B a )e  + (3600A b  + 7200B a b)d e
+--R             + 
+--R                      2 2 5
+--R               3708B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    2 7                       2    6
+--R             1430A a e  + (8840A a b + 4420B a )d e
+--R           + 
+--R                     2              2 5          2 3 4
+--R             (4580A b  + 9160B a b)d e  + 1600B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    2   6                        2  2 5
+--R             5720A a d e  + (11960A a b + 5980B a )d e
+--R           + 
+--R                     2              3 4        2 4 3
+--R             (2120A b  + 4240B a b)d e  + 10B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    2 2 5                       2  3 4         2            4 3
+--R             8580A a d e  + (6240A a b + 3120B a )d e  + (30A b  + 60B a b)d e
+--R           + 
+--R                    2 5 2
+--R             - 12B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2 3 4                     2  4 3           2            5 2
+--R             5720A a d e  + (260A a b + 130B a )d e  + (- 40A b  - 80B a b)d e
+--R           + 
+--R                  2 6
+--R             16B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 4 3                       2  5 2         2             6
+--R         1430A a d e  + (- 520A a b - 260B a )d e  + (80A b  + 160B a b)d e
+--R       + 
+--R                2 7
+--R         - 32B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     6435e
+--R                                                    Type: Expression(Integer)
+--E 677
+
+--S 678 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 7 7           2              7          2   6  6
+--R         858B b e x  + ((990A b  + 1980B a b)e  + 3036B b d e )x
+--R       + 
+--R                                   2  7           2                6
+--R               (2340A a b + 1170B a )e  + (3600A b  + 7200B a b)d e
+--R             + 
+--R                      2 2 5
+--R               3708B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    2 7                       2    6
+--R             1430A a e  + (8840A a b + 4420B a )d e
+--R           + 
+--R                     2              2 5          2 3 4
+--R             (4580A b  + 9160B a b)d e  + 1600B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    2   6                        2  2 5
+--R             5720A a d e  + (11960A a b + 5980B a )d e
+--R           + 
+--R                     2              3 4        2 4 3
+--R             (2120A b  + 4240B a b)d e  + 10B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    2 2 5                       2  3 4         2            4 3
+--R             8580A a d e  + (6240A a b + 3120B a )d e  + (30A b  + 60B a b)d e
+--R           + 
+--R                    2 5 2
+--R             - 12B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2 3 4                     2  4 3           2            5 2
+--R             5720A a d e  + (260A a b + 130B a )d e  + (- 40A b  - 80B a b)d e
+--R           + 
+--R                  2 6
+--R             16B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 4 3                       2  5 2         2             6
+--R         1430A a d e  + (- 520A a b - 260B a )d e  + (80A b  + 160B a b)d e
+--R       + 
+--R                2 7
+--R         - 32B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     6435e
+--R                                         Type: Union(Expression(Integer),...)
+--E 678
+
+--S 679 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 679
+
+--S 680 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 680
+
+)clear all
+
+--S 681 of 1293
+t0:=(a+b*x)^2*(A+B*x)*(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R          2 2 5        2           2       2     4
+--R       B b e x  + ((A b  + 2B a b)e  + 2B b d e)x
+--R     + 
+--R                     2  2        2                   2 2  3
+--R       ((2A a b + B a )e  + (2A b  + 4B a b)d e + B b d )x
+--R     + 
+--R           2 2                 2           2           2  2
+--R       (A a e  + (4A a b + 2B a )d e + (A b  + 2B a b)d )x
+--R     + 
+--R            2                   2  2        2 2
+--R       (2A a d e + (2A a b + B a )d )x + A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 681
+
+--S 682 of 1293
+r0:=-2/7*(b*d-a*e)^2*(B*d-A*e)*(d+e*x)^(7/2)/e^4+_
+     2/9*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*(d+e*x)^(9/2)/e^4-_
+     2/11*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(11/2)/e^4+_
+     2/13*b^2*B*(d+e*x)^(13/2)/e^4
+--R 
+--R
+--R   (2)
+--R                2 6 6            2              6          2   5  5
+--R         1386B b e x  + ((1638A b  + 3276B a b)e  + 3402B b d e )x
+--R       + 
+--R                                   2  6           2                5
+--R               (4004A a b + 2002B a )e  + (4186A b  + 8372B a b)d e
+--R             + 
+--R                      2 2 4
+--R               2226B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    2 6                        2    5
+--R             2574A a e  + (10868A a b + 5434B a )d e
+--R           + 
+--R                     2              2 4        2 3 3
+--R             (2938A b  + 5876B a b)d e  + 30B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    2   5                       2  2 4         2             3 3
+--R             7722A a d e  + (8580A a b + 4290B a )d e  + (78A b  + 156B a b)d e
+--R           + 
+--R                    2 4 2
+--R             - 36B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2 2 4                     2  3 3
+--R             7722A a d e  + (572A a b + 286B a )d e
+--R           + 
+--R                      2             4 2        2 5
+--R             (- 104A b  - 208B a b)d e  + 48B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 3 3                        2  4 2          2             5
+--R         2574A a d e  + (- 1144A a b - 572B a )d e  + (208A b  + 416B a b)d e
+--R       + 
+--R                2 6
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     9009e
+--R                                                    Type: Expression(Integer)
+--E 682
+
+--S 683 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 6 6            2              6          2   5  5
+--R         1386B b e x  + ((1638A b  + 3276B a b)e  + 3402B b d e )x
+--R       + 
+--R                                   2  6           2                5
+--R               (4004A a b + 2002B a )e  + (4186A b  + 8372B a b)d e
+--R             + 
+--R                      2 2 4
+--R               2226B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    2 6                        2    5
+--R             2574A a e  + (10868A a b + 5434B a )d e
+--R           + 
+--R                     2              2 4        2 3 3
+--R             (2938A b  + 5876B a b)d e  + 30B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    2   5                       2  2 4         2             3 3
+--R             7722A a d e  + (8580A a b + 4290B a )d e  + (78A b  + 156B a b)d e
+--R           + 
+--R                    2 4 2
+--R             - 36B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2 2 4                     2  3 3
+--R             7722A a d e  + (572A a b + 286B a )d e
+--R           + 
+--R                      2             4 2        2 5
+--R             (- 104A b  - 208B a b)d e  + 48B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 3 3                        2  4 2          2             5
+--R         2574A a d e  + (- 1144A a b - 572B a )d e  + (208A b  + 416B a b)d e
+--R       + 
+--R                2 6
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     9009e
+--R                                         Type: Union(Expression(Integer),...)
+--E 683
+
+--S 684 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 684
+
+--S 685 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 685
+
+)clear all
+
+--S 686 of 1293
+t0:=(a+b*x)^2*(A+B*x)*(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R          2   4        2                 2   3
+--R       B b e x  + ((A b  + 2B a b)e + B b d)x
+--R     + 
+--R                     2         2             2       2                 2
+--R       ((2A a b + B a )e + (A b  + 2B a b)d)x  + (A a e + (2A a b + B a )d)x
+--R     + 
+--R          2
+--R       A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 686
+
+--S 687 of 1293
+r0:=-2/5*(b*d-a*e)^2*(B*d-A*e)*(d+e*x)^(5/2)/e^4+_
+     2/7*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*(d+e*x)^(7/2)/e^4-_
+     2/9*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(9/2)/e^4+_
+     2/11*b^2*B*(d+e*x)^(11/2)/e^4
+--R 
+--R
+--R   (2)
+--R               2 5 5           2              5         2   4  4
+--R         630B b e x  + ((770A b  + 1540B a b)e  + 840B b d e )x
+--R       + 
+--R                             2  5           2                4        2 2 3  3
+--R         ((1980A a b + 990B a )e  + (1100A b  + 2200B a b)d e  + 30B b d e )x
+--R       + 
+--R                    2 5                       2    4         2             2 3
+--R             1386A a e  + (3168A a b + 1584B a )d e  + (66A b  + 132B a b)d e
+--R           + 
+--R                    2 3 2
+--R             - 36B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2   4                     2  2 3           2             3 2
+--R             2772A a d e  + (396A a b + 198B a )d e  + (- 88A b  - 176B a b)d e
+--R           + 
+--R                  2 4
+--R             48B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 2 3                       2  3 2          2             4
+--R         1386A a d e  + (- 792A a b - 396B a )d e  + (176A b  + 352B a b)d e
+--R       + 
+--R                2 5
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     3465e
+--R                                                    Type: Expression(Integer)
+--E 687
+
+--S 688 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 5 5           2              5         2   4  4
+--R         630B b e x  + ((770A b  + 1540B a b)e  + 840B b d e )x
+--R       + 
+--R                             2  5           2                4        2 2 3  3
+--R         ((1980A a b + 990B a )e  + (1100A b  + 2200B a b)d e  + 30B b d e )x
+--R       + 
+--R                    2 5                       2    4         2             2 3
+--R             1386A a e  + (3168A a b + 1584B a )d e  + (66A b  + 132B a b)d e
+--R           + 
+--R                    2 3 2
+--R             - 36B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    2   4                     2  2 3           2             3 2
+--R             2772A a d e  + (396A a b + 198B a )d e  + (- 88A b  - 176B a b)d e
+--R           + 
+--R                  2 4
+--R             48B b d e
+--R        *
+--R           x
+--R       + 
+--R                2 2 3                       2  3 2          2             4
+--R         1386A a d e  + (- 792A a b - 396B a )d e  + (176A b  + 352B a b)d e
+--R       + 
+--R                2 5
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          4
+--R     3465e
+--R                                         Type: Union(Expression(Integer),...)
+--E 688
+
+--S 689 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 689
+
+--S 690 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 690
+
+)clear all
+
+--S 691 of 1293
+t0:=(a+b*x)^2*(A+B*x)*sqrt(d+e*x)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R   (1)  (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 691
+
+--S 692 of 1293
+r0:=-2/3*(b*d-a*e)^2*(B*d-A*e)*(d+e*x)^(3/2)/e^4+_
+     2/5*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*(d+e*x)^(5/2)/e^4-_
+     2/7*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(7/2)/e^4+_
+     2/9*b^2*B*(d+e*x)^(9/2)/e^4
+--R 
+--R
+--R   (2)
+--R              2 4 4          2             4        2   3  3
+--R         70B b e x  + ((90A b  + 180B a b)e  + 10B b d e )x
+--R       + 
+--R                            2  4         2              3        2 2 2  2
+--R         ((252A a b + 126B a )e  + (18A b  + 36B a b)d e  - 12B b d e )x
+--R       + 
+--R                   2 4                   2    3           2            2 2
+--R             210A a e  + (84A a b + 42B a )d e  + (- 24A b  - 48B a b)d e
+--R           + 
+--R                  2 3
+--R             16B b d e
+--R        *
+--R           x
+--R       + 
+--R               2   3                      2  2 2         2            3
+--R         210A a d e  + (- 168A a b - 84B a )d e  + (48A b  + 96B a b)d e
+--R       + 
+--R                2 4
+--R         - 32B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         4
+--R     315e
+--R                                                    Type: Expression(Integer)
+--E 692
+
+--S 693 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 4 4          2             4        2   3  3
+--R         70B b e x  + ((90A b  + 180B a b)e  + 10B b d e )x
+--R       + 
+--R                            2  4         2              3        2 2 2  2
+--R         ((252A a b + 126B a )e  + (18A b  + 36B a b)d e  - 12B b d e )x
+--R       + 
+--R                   2 4                   2    3           2            2 2
+--R             210A a e  + (84A a b + 42B a )d e  + (- 24A b  - 48B a b)d e
+--R           + 
+--R                  2 3
+--R             16B b d e
+--R        *
+--R           x
+--R       + 
+--R               2   3                      2  2 2         2            3
+--R         210A a d e  + (- 168A a b - 84B a )d e  + (48A b  + 96B a b)d e
+--R       + 
+--R                2 4
+--R         - 32B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         4
+--R     315e
+--R                                         Type: Union(Expression(Integer),...)
+--E 693
+
+--S 694 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 694
+
+--S 695 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 695
+
+)clear all
+
+--S 696 of 1293
+t0:=(a+b*x)^2*(A+B*x)/sqrt(d+e*x)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                              +-------+
+--R                             \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 696
+
+--S 697 of 1293
+r0:=2/3*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*(d+e*x)^(3/2)/e^4-_
+     2/5*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(5/2)/e^4+_
+     2/7*b^2*B*(d+e*x)^(7/2)/e^4-2*(b*d-a*e)^2*(B*d-A*e)*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R              2 3 3          2            3        2   2  2
+--R         30B b e x  + ((42A b  + 84B a b)e  - 36B b d e )x
+--R       + 
+--R                           2  3           2               2        2 2
+--R         ((140A a b + 70B a )e  + (- 56A b  - 112B a b)d e  + 48B b d e)x
+--R       + 
+--R               2 3                       2    2          2             2
+--R         210A a e  + (- 280A a b - 140B a )d e  + (112A b  + 224B a b)d e
+--R       + 
+--R                2 3
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         4
+--R     105e
+--R                                                    Type: Expression(Integer)
+--E 697
+
+--S 698 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 3 3          2            3        2   2  2
+--R         30B b e x  + ((42A b  + 84B a b)e  - 36B b d e )x
+--R       + 
+--R                           2  3           2               2        2 2
+--R         ((140A a b + 70B a )e  + (- 56A b  - 112B a b)d e  + 48B b d e)x
+--R       + 
+--R               2 3                       2    2          2             2
+--R         210A a e  + (- 280A a b - 140B a )d e  + (112A b  + 224B a b)d e
+--R       + 
+--R                2 3
+--R         - 96B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         4
+--R     105e
+--R                                         Type: Union(Expression(Integer),...)
+--E 698
+
+--S 699 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 699
+
+--S 700 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 700
+
+)clear all
+
+--S 701 of 1293
+t0:=(a+b*x)^2*(A+B*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                                   +-------+
+--R                         (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 701
+
+--S 702 of 1293
+r0:=-2/3*b*(3*b*B*d-A*b*e-2*a*B*e)*(d+e*x)^(3/2)/e^4+_
+     2/5*b^2*B*(d+e*x)^(5/2)/e^4+2*(b*d-a*e)^2*(B*d-A*e)/(e^4*sqrt(d+e*x))+_
+     2*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R           2 3 3          2            3        2   2  2
+--R       6B b e x  + ((10A b  + 20B a b)e  - 12B b d e )x
+--R     + 
+--R                        2  3           2              2        2 2           2 3
+--R       ((60A a b + 30B a )e  + (- 40A b  - 80B a b)d e  + 48B b d e)x - 30A a e
+--R     + 
+--R                        2    2           2             2         2 3
+--R       (120A a b + 60B a )d e  + (- 80A b  - 160B a b)d e + 96B b d
+--R  /
+--R        4 +-------+
+--R     15e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 702
+
+--S 703 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2 3 3          2            3        2   2  2
+--R       6B b e x  + ((10A b  + 20B a b)e  - 12B b d e )x
+--R     + 
+--R                        2  3           2              2        2 2           2 3
+--R       ((60A a b + 30B a )e  + (- 40A b  - 80B a b)d e  + 48B b d e)x - 30A a e
+--R     + 
+--R                        2    2           2             2         2 3
+--R       (120A a b + 60B a )d e  + (- 80A b  - 160B a b)d e + 96B b d
+--R  /
+--R        4 +-------+
+--R     15e \|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 703
+
+--S 704 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 704
+
+--S 705 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 705
+
+)clear all
+
+--S 706 of 1293
+t0:=(a+b*x)^2*(A+B*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                     2 2             2  +-------+
+--R                   (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 706
+
+--S 707 of 1293
+r0:=2/3*(b*d-a*e)^2*(B*d-A*e)/(e^4*(d+e*x)^(3/2))+_
+     2/3*b^2*B*(d+e*x)^(3/2)/e^4-_
+     2*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)/(e^4*sqrt(d+e*x))-_
+     2*b*(3*b*B*d-A*b*e-2*a*B*e)*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R           2 3 3         2            3        2   2  2
+--R       2B b e x  + ((6A b  + 12B a b)e  - 12B b d e )x
+--R     + 
+--R                         2  3         2              2        2 2          2 3
+--R       ((- 12A a b - 6B a )e  + (24A b  + 48B a b)d e  - 48B b d e)x - 2A a e
+--R     + 
+--R                       2    2         2            2         2 3
+--R       (- 8A a b - 4B a )d e  + (16A b  + 32B a b)d e - 32B b d
+--R  /
+--R        5        4  +-------+
+--R     (3e x + 3d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 707
+
+--S 708 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2 3 3         2            3        2   2  2
+--R       2B b e x  + ((6A b  + 12B a b)e  - 12B b d e )x
+--R     + 
+--R                         2  3         2              2        2 2          2 3
+--R       ((- 12A a b - 6B a )e  + (24A b  + 48B a b)d e  - 48B b d e)x - 2A a e
+--R     + 
+--R                       2    2         2            2         2 3
+--R       (- 8A a b - 4B a )d e  + (16A b  + 32B a b)d e - 32B b d
+--R  /
+--R        5        4  +-------+
+--R     (3e x + 3d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 708
+
+--S 709 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 709
+
+--S 710 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 710
+
+)clear all
+
+--S 711 of 1293
+t0:=(a+b*x)^2*(A+B*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R           2 3       2           2                2        2
+--R        B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a
+--R   (1)  ----------------------------------------------------
+--R                3 3       2 2     2       3  +-------+
+--R              (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 711
+
+--S 712 of 1293
+r0:=2/5*(b*d-a*e)^2*(B*d-A*e)/(e^4*(d+e*x)^(5/2))-_
+     2/3*(b*d-a*e)*(3*b*B*d-2*A*b*e-a*B*e)/(e^4*(d+e*x)^(3/2))+_
+     2*b*(3*b*B*d-A*b*e-2*a*B*e)/(e^4*sqrt(d+e*x))+2*b^2*B*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R            2 3 3            2            3         2   2  2
+--R       30B b e x  + ((- 30A b  - 60B a b)e  + 180B b d e )x
+--R     + 
+--R                          2  3           2              2         2 2
+--R       ((- 20A a b - 10B a )e  + (- 40A b  - 80B a b)d e  + 240B b d e)x
+--R     + 
+--R             2 3                   2    2           2            2         2 3
+--R       - 6A a e  + (- 8A a b - 4B a )d e  + (- 16A b  - 32B a b)d e + 96B b d
+--R  /
+--R         6 2        5       2 4  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 712
+
+--S 713 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 3 3            2            3         2   2  2
+--R       30B b e x  + ((- 30A b  - 60B a b)e  + 180B b d e )x
+--R     + 
+--R                          2  3           2              2         2 2
+--R       ((- 20A a b - 10B a )e  + (- 40A b  - 80B a b)d e  + 240B b d e)x
+--R     + 
+--R             2 3                   2    2           2            2         2 3
+--R       - 6A a e  + (- 8A a b - 4B a )d e  + (- 16A b  - 32B a b)d e + 96B b d
+--R  /
+--R         6 2        5       2 4  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 713
+
+--S 714 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 714
+
+--S 715 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 715
+
+)clear all
+
+--S 716 of 1293
+t0:=(a+b*x)^3*(A+B*x)*(d+e*x)^(7/2)
+--R 
+--R
+--R   (1)
+--R          3 3 7        3         2  3       3   2  6
+--R       B b e x  + ((A b  + 3B a b )e  + 3B b d e )x
+--R     + 
+--R               2       2   3        3         2    2       3 2   5
+--R       ((3A a b  + 3B a b)e  + (3A b  + 9B a b )d e  + 3B b d e)x
+--R     + 
+--R                2       3  3          2       2     2        3         2  2
+--R           (3A a b + B a )e  + (9A a b  + 9B a b)d e  + (3A b  + 9B a b )d e
+--R         + 
+--R              3 3
+--R           B b d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              3 3        2        3    2          2       2   2
+--R           A a e  + (9A a b + 3B a )d e  + (9A a b  + 9B a b)d e
+--R         + 
+--R               3         2  3
+--R           (A b  + 3B a b )d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R            3   2        2        3  2           2       2   3  2
+--R       (3A a d e  + (9A a b + 3B a )d e + (3A a b  + 3B a b)d )x
+--R     + 
+--R            3 2         2       3  3        3 3
+--R       (3A a d e + (3A a b + B a )d )x + A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 716
+
+--S 717 of 1293
+r0:=2/9*(b*d-a*e)^3*(B*d-A*e)*(d+e*x)^(9/2)/e^5-_
+     2/11*(b*d-a*e)^2*(4*b*B*d-3*A*b*e-a*B*e)*(d+e*x)^(11/2)/e^5+_
+     6/13*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(13/2)/e^5-_
+     2/15*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(15/2)/e^5+_
+     2/17*b^3*B*(d+e*x)^(17/2)/e^5
+--R 
+--R
+--R   (2)
+--R                 3 8 8             3             2  8           3   7  7
+--R         12870B b e x  + ((14586A b  + 43758B a b )e  + 44616B b d e )x
+--R       + 
+--R                        2           2   8            3              2    7
+--R             (50490A a b  + 50490B a b)e  + (51612A b  + 154836B a b )d e
+--R           + 
+--R                     3 2 6
+--R             52932B b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                      2            3  8               2            2     7
+--R             (59670A a b + 19890B a )e  + (183600A a b  + 183600B a b)d e
+--R           + 
+--R                      3              2  2 6           3 3 5
+--R             (63036A b  + 189108B a b )d e  + 21816B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                     3 8             2            3    7
+--R             24310A a e  + (225420A a b + 75140B a )d e
+--R           + 
+--R                         2            2   2 6            3             2  3 5
+--R             (233580A a b  + 233580B a b)d e  + (27200A b  + 81600B a b )d e
+--R           + 
+--R                  3 4 4
+--R             70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     3   7             2             3  2 6
+--R             97240A a d e  + (304980A a b + 101660B a )d e
+--R           + 
+--R                         2            2   3 5          3           2  4 4
+--R             (108120A a b  + 108120B a b)d e  + (170A b  + 510B a b )d e
+--R           + 
+--R                    3 5 3
+--R             - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      3 2 6             2            3  3 5
+--R             145860A a d e  + (159120A a b + 53040B a )d e
+--R           + 
+--R                       2          2   4 4            3           2  5 3
+--R             (1530A a b  + 1530B a b)d e  + (- 204A b  - 612B a b )d e
+--R           + 
+--R                  3 6 2
+--R             96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3 3 5           2           3  4 4
+--R             97240A a d e  + (6630A a b + 2210B a )d e
+--R           + 
+--R                         2          2   5 3          3           2  6 2
+--R             (- 2040A a b  - 2040B a b)d e  + (272A b  + 816B a b )d e
+--R           + 
+--R                     3 7
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                 3 4 4              2           3  5 3
+--R         24310A a d e  + (- 13260A a b - 4420B a )d e
+--R       + 
+--R                   2          2   6 2            3            2  7          3 8
+--R         (4080A a b  + 4080B a b)d e  + (- 544A b  - 1632B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R            5
+--R     109395e
+--R                                                    Type: Expression(Integer)
+--E 717
+
+--S 718 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3 8 8             3             2  8           3   7  7
+--R         12870B b e x  + ((14586A b  + 43758B a b )e  + 44616B b d e )x
+--R       + 
+--R                        2           2   8            3              2    7
+--R             (50490A a b  + 50490B a b)e  + (51612A b  + 154836B a b )d e
+--R           + 
+--R                     3 2 6
+--R             52932B b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                      2            3  8               2            2     7
+--R             (59670A a b + 19890B a )e  + (183600A a b  + 183600B a b)d e
+--R           + 
+--R                      3              2  2 6           3 3 5
+--R             (63036A b  + 189108B a b )d e  + 21816B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                     3 8             2            3    7
+--R             24310A a e  + (225420A a b + 75140B a )d e
+--R           + 
+--R                         2            2   2 6            3             2  3 5
+--R             (233580A a b  + 233580B a b)d e  + (27200A b  + 81600B a b )d e
+--R           + 
+--R                  3 4 4
+--R             70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     3   7             2             3  2 6
+--R             97240A a d e  + (304980A a b + 101660B a )d e
+--R           + 
+--R                         2            2   3 5          3           2  4 4
+--R             (108120A a b  + 108120B a b)d e  + (170A b  + 510B a b )d e
+--R           + 
+--R                    3 5 3
+--R             - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      3 2 6             2            3  3 5
+--R             145860A a d e  + (159120A a b + 53040B a )d e
+--R           + 
+--R                       2          2   4 4            3           2  5 3
+--R             (1530A a b  + 1530B a b)d e  + (- 204A b  - 612B a b )d e
+--R           + 
+--R                  3 6 2
+--R             96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3 3 5           2           3  4 4
+--R             97240A a d e  + (6630A a b + 2210B a )d e
+--R           + 
+--R                         2          2   5 3          3           2  6 2
+--R             (- 2040A a b  - 2040B a b)d e  + (272A b  + 816B a b )d e
+--R           + 
+--R                     3 7
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                 3 4 4              2           3  5 3
+--R         24310A a d e  + (- 13260A a b - 4420B a )d e
+--R       + 
+--R                   2          2   6 2            3            2  7          3 8
+--R         (4080A a b  + 4080B a b)d e  + (- 544A b  - 1632B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R            5
+--R     109395e
+--R                                         Type: Union(Expression(Integer),...)
+--E 718
+
+--S 719 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 719
+
+--S 720 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 720
+
+)clear all
+
+--S 721 of 1293
+t0:=(a+b*x)^3*(A+B*x)*(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R          3 2 6        3         2  2       3     5
+--R       B b e x  + ((A b  + 3B a b )e  + 2B b d e)x
+--R     + 
+--R               2       2   2        3         2          3 2  4
+--R       ((3A a b  + 3B a b)e  + (2A b  + 6B a b )d e + B b d )x
+--R     + 
+--R             2       3  2          2       2            3         2  2  3
+--R       ((3A a b + B a )e  + (6A a b  + 6B a b)d e + (A b  + 3B a b )d )x
+--R     + 
+--R           3 2        2        3              2       2   2  2
+--R       (A a e  + (6A a b + 2B a )d e + (3A a b  + 3B a b)d )x
+--R     + 
+--R            3           2       3  2        3 2
+--R       (2A a d e + (3A a b + B a )d )x + A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 721
+
+--S 722 of 1293
+r0:=2/7*(b*d-a*e)^3*(B*d-A*e)*(d+e*x)^(7/2)/e^5-_
+     2/9*(b*d-a*e)^2*(4*b*B*d-3*A*b*e-a*B*e)*(d+e*x)^(9/2)/e^5+_
+     6/11*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(11/2)/e^5-_
+     2/13*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(13/2)/e^5+_
+     2/15*b^3*B*(d+e*x)^(15/2)/e^5
+--R 
+--R
+--R   (2)
+--R                3 7 7            3             2  7           3   6  6
+--R         6006B b e x  + ((6930A b  + 20790B a b )e  + 14322B b d e )x
+--R       + 
+--R                        2           2   7            3             2    6
+--R             (24570A a b  + 24570B a b)e  + (17010A b  + 51030B a b )d e
+--R           + 
+--R                    3 2 5
+--R             8946B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                      2            3  7              2           2     6
+--R             (30030A a b + 10010B a )e  + (62790A a b  + 62790B a b)d e
+--R           + 
+--R                      3             2  2 5        3 3 4
+--R             (11130A b  + 33390B a b )d e  + 70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     3 7            2            3    6
+--R             12870A a e  + (81510A a b + 27170B a )d e
+--R           + 
+--R                        2           2   2 5          3           2  3 4
+--R             (44070A a b  + 44070B a b)d e  + (150A b  + 450B a b )d e
+--R           + 
+--R                    3 4 3
+--R             - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                     3   6            2            3  2 5
+--R             38610A a d e  + (64350A a b + 21450B a )d e
+--R           + 
+--R                       2          2   3 4            3           2  4 3
+--R             (1170A a b  + 1170B a b)d e  + (- 180A b  - 540B a b )d e
+--R           + 
+--R                  3 5 2
+--R             96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3 2 5           2           3  3 4
+--R             38610A a d e  + (4290A a b + 1430B a )d e
+--R           + 
+--R                         2          2   4 3          3           2  5 2
+--R             (- 1560A a b  - 1560B a b)d e  + (240A b  + 720B a b )d e
+--R           + 
+--R                     3 6
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                 3 3 4             2           3  4 3
+--R         12870A a d e  + (- 8580A a b - 2860B a )d e
+--R       + 
+--R                   2          2   5 2            3            2  6          3 7
+--R         (3120A a b  + 3120B a b)d e  + (- 480A b  - 1440B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R           5
+--R     45045e
+--R                                                    Type: Expression(Integer)
+--E 722
+
+--S 723 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 7 7            3             2  7           3   6  6
+--R         6006B b e x  + ((6930A b  + 20790B a b )e  + 14322B b d e )x
+--R       + 
+--R                        2           2   7            3             2    6
+--R             (24570A a b  + 24570B a b)e  + (17010A b  + 51030B a b )d e
+--R           + 
+--R                    3 2 5
+--R             8946B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                      2            3  7              2           2     6
+--R             (30030A a b + 10010B a )e  + (62790A a b  + 62790B a b)d e
+--R           + 
+--R                      3             2  2 5        3 3 4
+--R             (11130A b  + 33390B a b )d e  + 70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     3 7            2            3    6
+--R             12870A a e  + (81510A a b + 27170B a )d e
+--R           + 
+--R                        2           2   2 5          3           2  3 4
+--R             (44070A a b  + 44070B a b)d e  + (150A b  + 450B a b )d e
+--R           + 
+--R                    3 4 3
+--R             - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                     3   6            2            3  2 5
+--R             38610A a d e  + (64350A a b + 21450B a )d e
+--R           + 
+--R                       2          2   3 4            3           2  4 3
+--R             (1170A a b  + 1170B a b)d e  + (- 180A b  - 540B a b )d e
+--R           + 
+--R                  3 5 2
+--R             96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3 2 5           2           3  3 4
+--R             38610A a d e  + (4290A a b + 1430B a )d e
+--R           + 
+--R                         2          2   4 3          3           2  5 2
+--R             (- 1560A a b  - 1560B a b)d e  + (240A b  + 720B a b )d e
+--R           + 
+--R                     3 6
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                 3 3 4             2           3  4 3
+--R         12870A a d e  + (- 8580A a b - 2860B a )d e
+--R       + 
+--R                   2          2   5 2            3            2  6          3 7
+--R         (3120A a b  + 3120B a b)d e  + (- 480A b  - 1440B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R           5
+--R     45045e
+--R                                         Type: Union(Expression(Integer),...)
+--E 723
+
+--S 724 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 724
+
+--S 725 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 725
+
+)clear all
+
+--S 726 of 1293
+t0:=(a+b*x)^3*(A+B*x)*(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R          3   5        3         2        3   4
+--R       B b e x  + ((A b  + 3B a b )e + B b d)x
+--R     + 
+--R               2       2          3         2    3
+--R       ((3A a b  + 3B a b)e + (A b  + 3B a b )d)x
+--R     + 
+--R             2       3            2       2     2       3         2       3
+--R       ((3A a b + B a )e + (3A a b  + 3B a b)d)x  + (A a e + (3A a b + B a )d)x
+--R     + 
+--R          3
+--R       A a d
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 726
+
+--S 727 of 1293
+r0:=2/5*(b*d-a*e)^3*(B*d-A*e)*(d+e*x)^(5/2)/e^5-2/7*(b*d-a*e)^2*(4*b*B*d-_
+     3*A*b*e-a*B*e)*(d+e*x)^(7/2)/e^5+_
+     2/3*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(9/2)/e^5-_
+     2/11*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(11/2)/e^5+_
+     2/13*b^3*B*(d+e*x)^(13/2)/e^5
+--R 
+--R
+--R   (2)
+--R                3 6 6            3            2  6          3   5  5
+--R         2310B b e x  + ((2730A b  + 8190B a b )e  + 2940B b d e )x
+--R       + 
+--R                        2           2   6           3             2    5
+--R             (10010A a b  + 10010B a b)e  + (3640A b  + 10920B a b )d e
+--R           + 
+--R                  3 2 4
+--R             70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                      2           3  6              2           2     5
+--R             (12870A a b + 4290B a )e  + (14300A a b  + 14300B a b)d e
+--R           + 
+--R                    3           2  2 4        3 3 3
+--R             (130A b  + 390B a b )d e  - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    3 6            2           3    5
+--R             6006A a e  + (20592A a b + 6864B a )d e
+--R           + 
+--R                    2         2   2 4            3           2  3 3        3 4 2
+--R           (858A a b  + 858B a b)d e  + (- 156A b  - 468B a b )d e  + 96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3   5           2          3  2 4
+--R             12012A a d e  + (2574A a b + 858B a )d e
+--R           + 
+--R                         2          2   3 3          3           2  4 2
+--R             (- 1144A a b  - 1144B a b)d e  + (208A b  + 624B a b )d e
+--R           + 
+--R                     3 5
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                3 2 4             2           3  3 3
+--R         6006A a d e  + (- 5148A a b - 1716B a )d e
+--R       + 
+--R                   2          2   4 2            3            2  5          3 6
+--R         (2288A a b  + 2288B a b)d e  + (- 416A b  - 1248B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R           5
+--R     15015e
+--R                                                    Type: Expression(Integer)
+--E 727
+
+--S 728 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 6 6            3            2  6          3   5  5
+--R         2310B b e x  + ((2730A b  + 8190B a b )e  + 2940B b d e )x
+--R       + 
+--R                        2           2   6           3             2    5
+--R             (10010A a b  + 10010B a b)e  + (3640A b  + 10920B a b )d e
+--R           + 
+--R                  3 2 4
+--R             70B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                      2           3  6              2           2     5
+--R             (12870A a b + 4290B a )e  + (14300A a b  + 14300B a b)d e
+--R           + 
+--R                    3           2  2 4        3 3 3
+--R             (130A b  + 390B a b )d e  - 80B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    3 6            2           3    5
+--R             6006A a e  + (20592A a b + 6864B a )d e
+--R           + 
+--R                    2         2   2 4            3           2  3 3        3 4 2
+--R           (858A a b  + 858B a b)d e  + (- 156A b  - 468B a b )d e  + 96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3   5           2          3  2 4
+--R             12012A a d e  + (2574A a b + 858B a )d e
+--R           + 
+--R                         2          2   3 3          3           2  4 2
+--R             (- 1144A a b  - 1144B a b)d e  + (208A b  + 624B a b )d e
+--R           + 
+--R                     3 5
+--R             - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                3 2 4             2           3  3 3
+--R         6006A a d e  + (- 5148A a b - 1716B a )d e
+--R       + 
+--R                   2          2   4 2            3            2  5          3 6
+--R         (2288A a b  + 2288B a b)d e  + (- 416A b  - 1248B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R           5
+--R     15015e
+--R                                         Type: Union(Expression(Integer),...)
+--E 728
+
+--S 729 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 729
+
+--S 730 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 730
+
+)clear all
+
+--S 731 of 1293
+t0:=(a+b*x)^3*(A+B*x)*sqrt(d+e*x)
+--R 
+--R
+--R   (1)
+--R          3 4       3         2  3          2       2   2        2       3
+--R       B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
+--R     + 
+--R          3
+--R       A a
+--R  *
+--R      +-------+
+--R     \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 731
+
+--S 732 of 1293
+r0:=2/3*(b*d-a*e)^3*(B*d-A*e)*(d+e*x)^(3/2)/e^5-2/5*(b*d-a*e)^2*(4*b*B*d-_
+     3*A*b*e-a*B*e)*(d+e*x)^(5/2)/e^5+_
+     6/7*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(7/2)/e^5-_
+     2/9*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(9/2)/e^5+_
+     2/11*b^3*B*(d+e*x)^(11/2)/e^5
+--R 
+--R
+--R   (2)
+--R               3 5 5           3            2  5        3   4  4
+--R         630B b e x  + ((770A b  + 2310B a b )e  + 70B b d e )x
+--R       + 
+--R                    2          2   5          3           2    4        3 2 3  3
+--R         ((2970A a b  + 2970B a b)e  + (110A b  + 330B a b )d e  - 80B b d e )x
+--R       + 
+--R                     2           3  5            2         2     4
+--R             (4158A a b + 1386B a )e  + (594A a b  + 594B a b)d e
+--R           + 
+--R                      3           2  2 3        3 3 2
+--R             (- 132A b  - 396B a b )d e  + 96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    3 5           2          3    4
+--R             2310A a e  + (1386A a b + 462B a )d e
+--R           + 
+--R                      2         2   2 3          3           2  3 2         3 4
+--R           (- 792A a b  - 792B a b)d e  + (176A b  + 528B a b )d e  - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                3   4             2          3  2 3
+--R         2310A a d e  + (- 2772A a b - 924B a )d e
+--R       + 
+--R                   2          2   3 2            3            2  4          3 5
+--R         (1584A a b  + 1584B a b)d e  + (- 352A b  - 1056B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          5
+--R     3465e
+--R                                                    Type: Expression(Integer)
+--E 732
+
+--S 733 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 5 5           3            2  5        3   4  4
+--R         630B b e x  + ((770A b  + 2310B a b )e  + 70B b d e )x
+--R       + 
+--R                    2          2   5          3           2    4        3 2 3  3
+--R         ((2970A a b  + 2970B a b)e  + (110A b  + 330B a b )d e  - 80B b d e )x
+--R       + 
+--R                     2           3  5            2         2     4
+--R             (4158A a b + 1386B a )e  + (594A a b  + 594B a b)d e
+--R           + 
+--R                      3           2  2 3        3 3 2
+--R             (- 132A b  - 396B a b )d e  + 96B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    3 5           2          3    4
+--R             2310A a e  + (1386A a b + 462B a )d e
+--R           + 
+--R                      2         2   2 3          3           2  3 2         3 4
+--R           (- 792A a b  - 792B a b)d e  + (176A b  + 528B a b )d e  - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R                3   4             2          3  2 3
+--R         2310A a d e  + (- 2772A a b - 924B a )d e
+--R       + 
+--R                   2          2   3 2            3            2  4          3 5
+--R         (1584A a b  + 1584B a b)d e  + (- 352A b  - 1056B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R          5
+--R     3465e
+--R                                         Type: Union(Expression(Integer),...)
+--E 733
+
+--S 734 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 734
+
+--S 735 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 735
+
+)clear all
+
+--S 736 of 1293
+t0:=(a+b*x)^3*(A+B*x)/sqrt(d+e*x)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                     +-------+
+--R                                    \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 736
+
+--S 737 of 1293
+r0:=-2/3*(b*d-a*e)^2*(4*b*B*d-3*A*b*e-a*B*e)*(d+e*x)^(3/2)/e^5+_
+     6/5*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(5/2)/e^5-_
+     2/7*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(7/2)/e^5+_
+     2/9*b^3*B*(d+e*x)^(9/2)/e^5+2*(b*d-a*e)^3*(B*d-A*e)*sqrt(d+e*x)/e^5
+--R 
+--R
+--R   (2)
+--R              3 4 4          3           2  4        3   3  3
+--R         70B b e x  + ((90A b  + 270B a b )e  - 80B b d e )x
+--R       + 
+--R                   2         2   4            3           2    3        3 2 2  2
+--R         ((378A a b  + 378B a b)e  + (- 108A b  - 324B a b )d e  + 96B b d e )x
+--R       + 
+--R                    2          3  4              2         2     3
+--R             (630A a b + 210B a )e  + (- 504A a b  - 504B a b)d e
+--R           + 
+--R                    3           2  2 2         3 3
+--R             (144A b  + 432B a b )d e  - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R               3 4             2          3    3             2          2   2 2
+--R         630A a e  + (- 1260A a b - 420B a )d e  + (1008A a b  + 1008B a b)d e
+--R       + 
+--R                  3           2  3          3 4
+--R         (- 288A b  - 864B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         5
+--R     315e
+--R                                                    Type: Expression(Integer)
+--E 737
+
+--S 738 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 4 4          3           2  4        3   3  3
+--R         70B b e x  + ((90A b  + 270B a b )e  - 80B b d e )x
+--R       + 
+--R                   2         2   4            3           2    3        3 2 2  2
+--R         ((378A a b  + 378B a b)e  + (- 108A b  - 324B a b )d e  + 96B b d e )x
+--R       + 
+--R                    2          3  4              2         2     3
+--R             (630A a b + 210B a )e  + (- 504A a b  - 504B a b)d e
+--R           + 
+--R                    3           2  2 2         3 3
+--R             (144A b  + 432B a b )d e  - 128B b d e
+--R        *
+--R           x
+--R       + 
+--R               3 4             2          3    3             2          2   2 2
+--R         630A a e  + (- 1260A a b - 420B a )d e  + (1008A a b  + 1008B a b)d e
+--R       + 
+--R                  3           2  3          3 4
+--R         (- 288A b  - 864B a b )d e + 256B b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R         5
+--R     315e
+--R                                         Type: Union(Expression(Integer),...)
+--E 738
+
+--S 739 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 739
+
+--S 740 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 740
+
+)clear all
+
+--S 741 of 1293
+t0:=(a+b*x)^3*(A+B*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                                          +-------+
+--R                                (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 741
+
+--S 742 of 1293
+r0:=2*b*(b*d-a*e)*(2*b*B*d-A*b*e-a*B*e)*(d+e*x)^(3/2)/e^5-_
+     2/5*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(5/2)/e^5+_
+     2/7*b^3*B*(d+e*x)^(7/2)/e^5-2*(b*d-a*e)^3*(B*d-A*e)/(e^5*sqrt(d+e*x))-_
+     2*(b*d-a*e)^2*(4*b*B*d-3*A*b*e-a*B*e)*sqrt(d+e*x)/e^5
+--R 
+--R
+--R   (2)
+--R            3 4 4          3          2  4        3   3  3
+--R       10B b e x  + ((14A b  + 42B a b )e  - 16B b d e )x
+--R     + 
+--R                2        2   4           3          2    3        3 2 2  2
+--R       ((70A a b  + 70B a b)e  + (- 28A b  - 84B a b )d e  + 32B b d e )x
+--R     + 
+--R                  2         3  4              2         2     3
+--R           (210A a b + 70B a )e  + (- 280A a b  - 280B a b)d e
+--R         + 
+--R                  3           2  2 2         3 3
+--R           (112A b  + 336B a b )d e  - 128B b d e
+--R      *
+--R         x
+--R     + 
+--R              3 4          2          3    3              2         2   2 2
+--R       - 70A a e  + (420A a b + 140B a )d e  + (- 560A a b  - 560B a b)d e
+--R     + 
+--R              3           2  3          3 4
+--R       (224A b  + 672B a b )d e - 256B b d
+--R  /
+--R        5 +-------+
+--R     35e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 742
+
+--S 743 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 4 4          3          2  4        3   3  3
+--R       10B b e x  + ((14A b  + 42B a b )e  - 16B b d e )x
+--R     + 
+--R                2        2   4           3          2    3        3 2 2  2
+--R       ((70A a b  + 70B a b)e  + (- 28A b  - 84B a b )d e  + 32B b d e )x
+--R     + 
+--R                  2         3  4              2         2     3
+--R           (210A a b + 70B a )e  + (- 280A a b  - 280B a b)d e
+--R         + 
+--R                  3           2  2 2         3 3
+--R           (112A b  + 336B a b )d e  - 128B b d e
+--R      *
+--R         x
+--R     + 
+--R              3 4          2          3    3              2         2   2 2
+--R       - 70A a e  + (420A a b + 140B a )d e  + (- 560A a b  - 560B a b)d e
+--R     + 
+--R              3           2  3          3 4
+--R       (224A b  + 672B a b )d e - 256B b d
+--R  /
+--R        5 +-------+
+--R     35e \|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 743
+
+--S 744 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 744
+
+--S 745 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 745
+
+)clear all
+
+--S 746 of 1293
+t0:=(a+b*x)^3*(A+B*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                            2 2             2  +-------+
+--R                          (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 746
+
+--S 747 of 1293
+r0:=-2/3*(b*d-a*e)^3*(B*d-A*e)/(e^5*(d+e*x)^(3/2))-_
+     2/3*b^2*(4*b*B*d-A*b*e-3*a*B*e)*(d+e*x)^(3/2)/e^5+_
+     2/5*b^3*B*(d+e*x)^(5/2)/e^5+2*(b*d-a*e)^2*_
+     (4*b*B*d-3*A*b*e-a*B*e)/(e^5*sqrt(d+e*x))+6*b*(b*d-a*e)*_
+     (2*b*B*d-A*b*e-a*B*e)*sqrt(d+e*x)/e^5
+--R 
+--R
+--R   (2)
+--R           3 4 4          3          2  4        3   3  3
+--R       6B b e x  + ((10A b  + 30B a b )e  - 16B b d e )x
+--R     + 
+--R                2        2   4           3           2    3        3 2 2  2
+--R       ((90A a b  + 90B a b)e  + (- 60A b  - 180B a b )d e  + 96B b d e )x
+--R     + 
+--R                   2         3  4            2         2     3
+--R           (- 90A a b - 30B a )e  + (360A a b  + 360B a b)d e
+--R         + 
+--R                    3           2  2 2         3 3
+--R           (- 240A b  - 720B a b )d e  + 384B b d e
+--R      *
+--R         x
+--R     + 
+--R              3 4           2         3    3            2         2   2 2
+--R       - 10A a e  + (- 60A a b - 20B a )d e  + (240A a b  + 240B a b)d e
+--R     + 
+--R                3           2  3          3 4
+--R       (- 160A b  - 480B a b )d e + 256B b d
+--R  /
+--R         6         5  +-------+
+--R     (15e x + 15d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 747
+
+--S 748 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 4 4          3          2  4        3   3  3
+--R       6B b e x  + ((10A b  + 30B a b )e  - 16B b d e )x
+--R     + 
+--R                2        2   4           3           2    3        3 2 2  2
+--R       ((90A a b  + 90B a b)e  + (- 60A b  - 180B a b )d e  + 96B b d e )x
+--R     + 
+--R                   2         3  4            2         2     3
+--R           (- 90A a b - 30B a )e  + (360A a b  + 360B a b)d e
+--R         + 
+--R                    3           2  2 2         3 3
+--R           (- 240A b  - 720B a b )d e  + 384B b d e
+--R      *
+--R         x
+--R     + 
+--R              3 4           2         3    3            2         2   2 2
+--R       - 10A a e  + (- 60A a b - 20B a )d e  + (240A a b  + 240B a b)d e
+--R     + 
+--R                3           2  3          3 4
+--R       (- 160A b  - 480B a b )d e + 256B b d
+--R  /
+--R         6         5  +-------+
+--R     (15e x + 15d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 748
+
+--S 749 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 749
+
+--S 750 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 750
+
+)clear all
+
+--S 751 of 1293
+t0:=(a+b*x)^3*(A+B*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x + A a
+--R   ----------------------------------------------------------------------------
+--R                       3 3       2 2     2       3  +-------+
+--R                     (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 751
+
+--S 752 of 1293
+r0:=-2/5*(b*d-a*e)^3*(B*d-A*e)/(e^5*(d+e*x)^(5/2))+_
+     2/3*(b*d-a*e)^2*(4*b*B*d-3*A*b*e-a*B*e)/(e^5*(d+e*x)^(3/2))+_
+     2/3*b^3*B*(d+e*x)^(3/2)/e^5-6*b*(b*d-a*e)*_
+     (2*b*B*d-A*b*e-a*B*e)/(e^5*sqrt(d+e*x))-_
+     2*b^2*(4*b*B*d-A*b*e-3*a*B*e)*sqrt(d+e*x)/e^5
+--R 
+--R
+--R   (2)
+--R            3 4 4          3          2  4        3   3  3
+--R       10B b e x  + ((30A b  + 90B a b )e  - 80B b d e )x
+--R     + 
+--R                  2        2   4          3           2    3         3 2 2  2
+--R       ((- 90A a b  - 90B a b)e  + (180A b  + 540B a b )d e  - 480B b d e )x
+--R     + 
+--R                   2         3  4              2         2     3
+--R           (- 30A a b - 10B a )e  + (- 120A a b  - 120B a b)d e
+--R         + 
+--R                  3           2  2 2         3 3
+--R           (240A b  + 720B a b )d e  - 640B b d e
+--R      *
+--R         x
+--R     + 
+--R             3 4           2        3    3             2        2   2 2
+--R       - 6A a e  + (- 12A a b - 4B a )d e  + (- 48A a b  - 48B a b)d e
+--R     + 
+--R             3           2  3          3 4
+--R       (96A b  + 288B a b )d e - 256B b d
+--R  /
+--R         7 2        6       2 5  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 752
+
+--S 753 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 4 4          3          2  4        3   3  3
+--R       10B b e x  + ((30A b  + 90B a b )e  - 80B b d e )x
+--R     + 
+--R                  2        2   4          3           2    3         3 2 2  2
+--R       ((- 90A a b  - 90B a b)e  + (180A b  + 540B a b )d e  - 480B b d e )x
+--R     + 
+--R                   2         3  4              2         2     3
+--R           (- 30A a b - 10B a )e  + (- 120A a b  - 120B a b)d e
+--R         + 
+--R                  3           2  2 2         3 3
+--R           (240A b  + 720B a b )d e  - 640B b d e
+--R      *
+--R         x
+--R     + 
+--R             3 4           2        3    3             2        2   2 2
+--R       - 6A a e  + (- 12A a b - 4B a )d e  + (- 48A a b  - 48B a b)d e
+--R     + 
+--R             3           2  3          3 4
+--R       (96A b  + 288B a b )d e - 256B b d
+--R  /
+--R         7 2        6       2 5  +-------+
+--R     (15e x  + 30d e x + 15d e )\|e x + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 753
+
+--S 754 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 754
+
+--S 755 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 755
+
+)clear all
+
+--S 756 of 1293
+t0:=(A+B*x)*(d+e*x)^(7/2)/(a+b*x)
+--R 
+--R
+--R   (1)
+--R            3 4       3         2  3          2       2   2        2       3
+--R         B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x
+--R       + 
+--R            3
+--R         A d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R     b x + a
+--R                                                    Type: Expression(Integer)
+--E 756
+
+--S 757 of 1293
+r0:=2/3*(A*b-a*B)*(b*d-a*e)^2*(d+e*x)^(3/2)/b^4+_
+     2/5*(A*b-a*B)*(b*d-a*e)*(d+e*x)^(5/2)/b^3+_
+     2/7*(A*b-a*B)*(d+e*x)^(7/2)/b^2+2/9*B*(d+e*x)^(9/2)/(b*e)-_
+     2*(A*b-a*B)*(b*d-a*e)^(7/2)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/b^(11/2)+2*(A*b-a*B)*_
+     (b*d-a*e)^3*sqrt(d+e*x)/b^5
+--R 
+--R
+--R   (2)
+--R                  3          4  4             2 2          3     3
+--R           (630A a b - 630B a )e  + (- 1890A a b  + 1890B a b)d e
+--R         + 
+--R                     3          2 2  2 2            4           3  3
+--R           (1890A a b  - 1890B a b )d e  + (- 630A b  + 630B a b )d e
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                4 4 4          4          3  4         4   3  3
+--R           70B b e x  + ((90A b  - 90B a b )e  + 280B b d e )x
+--R         + 
+--R                          3         2 2  4          4           3    3
+--R               (- 126A a b  + 126B a b )e  + (396A b  - 396B a b )d e
+--R             + 
+--R                     4 2 2
+--R               420B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      2 2         3   4              3         2 2    3
+--R               (210A a b  - 210B a b)e  + (- 672A a b  + 672B a b )d e
+--R             + 
+--R                      4           3  2 2         4 3
+--R               (732A b  - 732B a b )d e  + 280B b d e
+--R          *
+--R             x
+--R         + 
+--R                    3          4  4           2 2          3     3
+--R           (- 630A a b + 630B a )e  + (2100A a b  - 2100B a b)d e
+--R         + 
+--R                     3          2 2  2 2           4            3  3         4 4
+--R         (- 2436A a b  + 2436B a b )d e  + (1056A b  - 1056B a b )d e + 70B b d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         5  +-+
+--R     315b e\|b
+--R                                                    Type: Expression(Integer)
+--E 757
+
+--S 758 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      3          4  4          2 2         3     3
+--R             (- 315A a b + 315B a )e  + (945A a b  - 945B a b)d e
+--R           + 
+--R                        3         2 2  2 2          4           3  3
+--R             (- 945A a b  + 945B a b )d e  + (315A b  - 315B a b )d e
+--R        *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R            +-----------+    - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                  4 4 4          4          3  4         4   3  3
+--R             70B b e x  + ((90A b  - 90B a b )e  + 280B b d e )x
+--R           + 
+--R                            3         2 2  4          4           3    3
+--R                 (- 126A a b  + 126B a b )e  + (396A b  - 396B a b )d e
+--R               + 
+--R                       4 2 2
+--R                 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                        2 2         3   4              3         2 2    3
+--R                 (210A a b  - 210B a b)e  + (- 672A a b  + 672B a b )d e
+--R               + 
+--R                        4           3  2 2         4 3
+--R                 (732A b  - 732B a b )d e  + 280B b d e
+--R            *
+--R               x
+--R           + 
+--R                      3          4  4           2 2          3     3
+--R             (- 630A a b + 630B a )e  + (2100A a b  - 2100B a b)d e
+--R           + 
+--R                         3          2 2  2 2           4            3  3
+--R             (- 2436A a b  + 2436B a b )d e  + (1056A b  - 1056B a b )d e
+--R           + 
+--R                  4 4
+--R             70B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           5
+--R       315b e
+--R     ,
+--R
+--R                    3          4  4             2 2          3     3
+--R             (630A a b - 630B a )e  + (- 1890A a b  + 1890B a b)d e
+--R           + 
+--R                       3          2 2  2 2            4           3  3
+--R             (1890A a b  - 1890B a b )d e  + (- 630A b  + 630B a b )d e
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                  4 4 4          4          3  4         4   3  3
+--R             70B b e x  + ((90A b  - 90B a b )e  + 280B b d e )x
+--R           + 
+--R                            3         2 2  4          4           3    3
+--R                 (- 126A a b  + 126B a b )e  + (396A b  - 396B a b )d e
+--R               + 
+--R                       4 2 2
+--R                 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                        2 2         3   4              3         2 2    3
+--R                 (210A a b  - 210B a b)e  + (- 672A a b  + 672B a b )d e
+--R               + 
+--R                        4           3  2 2         4 3
+--R                 (732A b  - 732B a b )d e  + 280B b d e
+--R            *
+--R               x
+--R           + 
+--R                      3          4  4           2 2          3     3
+--R             (- 630A a b + 630B a )e  + (2100A a b  - 2100B a b)d e
+--R           + 
+--R                         3          2 2  2 2           4            3  3
+--R             (- 2436A a b  + 2436B a b )d e  + (1056A b  - 1056B a b )d e
+--R           + 
+--R                  4 4
+--R             70B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           5
+--R       315b e
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 758
+
+--S 759 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                 3       4  3        2 2       3     2
+--R           (- A a b + B a )e  + (3A a b  - 3B a b)d e
+--R         + 
+--R                    3       2 2  2        4        3  3
+--R           (- 3A a b  + 3B a b )d e + (A b  - B a b )d
+--R      *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R        +-----------+        - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R        |- a e + b d  +-+        \|     b
+--R        |----------- \|b log(-------------------------------------------------)
+--R       \|     b                                   b x + a
+--R     + 
+--R                  3        4  3        2 2       3     2
+--R           (- 2A a b + 2B a )e  + (6A a b  - 6B a b)d e
+--R         + 
+--R                    3       2 2  2         4         3  3
+--R           (- 6A a b  + 6B a b )d e + (2A b  - 2B a b )d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 759
+
+--S 760 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 760
+
+--S 761 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                  3        4  3        2 2       3     2
+--R           (- 2A a b + 2B a )e  + (6A a b  - 6B a b)d e
+--R         + 
+--R                    3       2 2  2         4         3  3
+--R           (- 6A a b  + 6B a b )d e + (2A b  - 2B a b )d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                3        4  3          2 2       3     2
+--R           (2A a b - 2B a )e  + (- 6A a b  + 6B a b)d e
+--R         + 
+--R                  3       2 2  2           4         3  3
+--R           (6A a b  - 6B a b )d e + (- 2A b  + 2B a b )d
+--R      *
+--R              +---------+       +-------+
+--R          +-+ |a e - b d       \|e x + d
+--R         \|b  |--------- atan(------------)
+--R             \|    b           +---------+
+--R                               |a e - b d
+--R                               |---------
+--R                              \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 761
+
+--S 762 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 762
+
+)clear all
+
+--S 763 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                                     b x + a
+--R                                                    Type: Expression(Integer)
+--E 763
+
+--S 764 of 1293
+r0:=2/3*(A*b-a*B)*(b*d-a*e)*(d+e*x)^(3/2)/b^3+_
+     2/5*(A*b-a*B)*(d+e*x)^(5/2)/b^2+2/7*B*(d+e*x)^(7/2)/(b*e)-_
+     2*(A*b-a*B)*(b*d-a*e)^(5/2)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/b^(9/2)+2*(A*b-a*B)*_
+     (b*d-a*e)^2*sqrt(d+e*x)/b^4
+--R 
+--R
+--R   (2)
+--R                    2          3  3            2         2     2
+--R           (- 210A a b + 210B a )e  + (420A a b  - 420B a b)d e
+--R         + 
+--R                    3           2  2
+--R           (- 210A b  + 210B a b )d e
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                3 3 3          3          2  3        3   2  2
+--R           30B b e x  + ((42A b  - 42B a b )e  + 90B b d e )x
+--R         + 
+--R                      2        2   3          3           2    2        3 2
+--R           ((- 70A a b  + 70B a b)e  + (154A b  - 154B a b )d e  + 90B b d e)x
+--R         + 
+--R                  2          3  3              2         2     2
+--R           (210A a b - 210B a )e  + (- 490A a b  + 490B a b)d e
+--R         + 
+--R                  3           2  2         3 3
+--R           (322A b  - 322B a b )d e + 30B b d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         4  +-+
+--R     105b e\|b
+--R                                                    Type: Expression(Integer)
+--E 764
+
+--S 765 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      2          3  3            2         2     2
+--R             (- 105A a b + 105B a )e  + (210A a b  - 210B a b)d e
+--R           + 
+--R                      3           2  2
+--R             (- 105A b  + 105B a b )d e
+--R        *
+--R                                +-----------+
+--R                                |- a e + b d  +-------+
+--R            +-----------+    2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                  3 3 3          3          2  3        3   2  2
+--R             30B b e x  + ((42A b  - 42B a b )e  + 90B b d e )x
+--R           + 
+--R                        2        2   3          3           2    2        3 2
+--R             ((- 70A a b  + 70B a b)e  + (154A b  - 154B a b )d e  + 90B b d e)x
+--R           + 
+--R                    2          3  3              2         2     2
+--R             (210A a b - 210B a )e  + (- 490A a b  + 490B a b)d e
+--R           + 
+--R                    3           2  2         3 3
+--R             (322A b  - 322B a b )d e + 30B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           4
+--R       105b e
+--R     ,
+--R
+--R                      2          3  3            2         2     2
+--R             (- 210A a b + 210B a )e  + (420A a b  - 420B a b)d e
+--R           + 
+--R                      3           2  2
+--R             (- 210A b  + 210B a b )d e
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                  3 3 3          3          2  3        3   2  2
+--R             30B b e x  + ((42A b  - 42B a b )e  + 90B b d e )x
+--R           + 
+--R                        2        2   3          3           2    2        3 2
+--R             ((- 70A a b  + 70B a b)e  + (154A b  - 154B a b )d e  + 90B b d e)x
+--R           + 
+--R                    2          3  3              2         2     2
+--R             (210A a b - 210B a )e  + (- 490A a b  + 490B a b)d e
+--R           + 
+--R                    3           2  2         3 3
+--R             (322A b  - 322B a b )d e + 30B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           4
+--R       105b e
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 765
+
+--S 766 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                2       3  2          2       2              3        2  2
+--R         ((- A a b + B a )e  + (2A a b  - 2B a b)d e + (- A b  + B a b )d )
+--R      *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R          +-----------+        2b |----------- \|e x + d  + b e x - a e + 2b d
+--R          |- a e + b d  +-+      \|     b
+--R          |----------- \|b log(-----------------------------------------------)
+--R         \|     b                                  b x + a
+--R     + 
+--R               2        3  2            2       2             3         2  2
+--R         ((2A a b - 2B a )e  + (- 4A a b  + 4B a b)d e + (2A b  - 2B a b )d )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 766
+
+--S 767 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 767
+
+--S 768 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R               2        3  2            2       2             3         2  2
+--R         ((2A a b - 2B a )e  + (- 4A a b  + 4B a b)d e + (2A b  - 2B a b )d )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                 2        3  2          2       2               3         2  2
+--R         ((- 2A a b + 2B a )e  + (4A a b  - 4B a b)d e + (- 2A b  + 2B a b )d )
+--R      *
+--R              +---------+       +-------+
+--R          +-+ |a e - b d       \|e x + d
+--R         \|b  |--------- atan(------------)
+--R             \|    b           +---------+
+--R                               |a e - b d
+--R                               |---------
+--R                              \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 768
+
+--S 769 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 769
+
+)clear all
+
+--S 770 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/(a+b*x)
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R                        b x + a
+--R                                                    Type: Expression(Integer)
+--E 770
+
+--S 771 of 1293
+r0:=2/3*(A*b-a*B)*(d+e*x)^(3/2)/b^2+2/5*B*(d+e*x)^(5/2)/(b*e)-_
+     2*(A*b-a*B)*(b*d-a*e)^(3/2)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/b^(7/2)+2*(A*b-a*B)*(b*d-a*e)*sqrt(d+e*x)/b^3
+--R 
+--R
+--R   (2)
+--R                          2  2           2                +-----------+
+--R         ((30A a b - 30B a )e  + (- 30A b  + 30B a b)d e)\|- a e + b d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R               2 2 2          2            2        2
+--R           6B b e x  + ((10A b  - 10B a b)e  + 12B b d e)x
+--R         + 
+--R                             2  2         2                     2 2
+--R           (- 30A a b + 30B a )e  + (40A b  - 40B a b)d e + 6B b d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R        3  +-+
+--R     15b e\|b
+--R                                                    Type: Expression(Integer)
+--E 771
+
+--S 772 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                            +-----------+
+--R                              2  2         2                |- a e + b d
+--R           ((- 15A a b + 15B a )e  + (15A b  - 15B a b)d e) |-----------
+--R                                                           \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a e + b d  +-------+
+--R               - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                 2 2 2          2            2        2
+--R             6B b e x  + ((10A b  - 10B a b)e  + 12B b d e)x
+--R           + 
+--R                               2  2         2                     2 2
+--R             (- 30A a b + 30B a )e  + (40A b  - 40B a b)d e + 6B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          3
+--R       15b e
+--R     ,
+--R
+--R                                                            +---------+
+--R                            2  2           2                |a e - b d
+--R           ((30A a b - 30B a )e  + (- 30A b  + 30B a b)d e) |---------
+--R                                                           \|    b
+--R        *
+--R                  +-------+
+--R                 \|e x + d
+--R           atan(------------)
+--R                 +---------+
+--R                 |a e - b d
+--R                 |---------
+--R                \|    b
+--R       + 
+--R                 2 2 2          2            2        2
+--R             6B b e x  + ((10A b  - 10B a b)e  + 12B b d e)x
+--R           + 
+--R                               2  2         2                     2 2
+--R             (- 30A a b + 30B a )e  + (40A b  - 40B a b)d e + 6B b d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          3
+--R       15b e
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 772
+
+--S 773 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                               +-----------+
+--R                        2         2            |- a e + b d  +-+
+--R         ((- A a b + B a )e + (A b  - B a b)d) |----------- \|b
+--R                                              \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a e + b d  +-------+
+--R             - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                          2          2             +-----------+
+--R         ((- 2A a b + 2B a )e + (2A b  - 2B a b)d)\|- a e + b d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 773
+
+--S 774 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 774
+
+--S 775 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                          2          2             +-----------+
+--R         ((- 2A a b + 2B a )e + (2A b  - 2B a b)d)\|- a e + b d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                                                   +---------+       +-------+
+--R                    2            2             +-+ |a e - b d       \|e x + d
+--R     ((2A a b - 2B a )e + (- 2A b  + 2B a b)d)\|b  |--------- atan(------------)
+--R                                                  \|    b           +---------+
+--R                                                                    |a e - b d
+--R                                                                    |---------
+--R                                                                   \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 775
+
+--S 776 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 776
+
+)clear all
+
+--S 777 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/(a+b*x)
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|e x + d
+--R   (1)  -------------------
+--R              b x + a
+--R                                                    Type: Expression(Integer)
+--E 777
+
+--S 778 of 1293
+r0:=2/3*B*(d+e*x)^(3/2)/(b*e)-2*(A*b-a*B)*atanh(sqrt(b)*sqrt(d+e*x)/_
+     sqrt(b*d-a*e))*sqrt(b*d-a*e)/b^(5/2)+2*(A*b-a*B)*sqrt(d+e*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R                        +-----------+      \|b \|e x + d
+--R       (- 6A b + 6B a)e\|- a e + b d atanh(--------------)
+--R                                            +-----------+
+--R                                           \|- a e + b d
+--R     + 
+--R                                            +-+ +-------+
+--R       (2B b e x + (6A b - 6B a)e + 2B b d)\|b \|e x + d
+--R  /
+--R       2  +-+
+--R     3b e\|b
+--R                                                    Type: Expression(Integer)
+--E 778
+
+--S 779 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                          +-----------+
+--R                          |- a e + b d
+--R           (3A b - 3B a)e |-----------
+--R                         \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a e + b d  +-------+
+--R               - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                              +-------+
+--R         (2B b e x + (6A b - 6B a)e + 2B b d)\|e x + d
+--R    /
+--R         2
+--R       3b e
+--R     ,
+--R
+--R                          +---------+       +-------+
+--R                          |a e - b d       \|e x + d
+--R         (- 6A b + 6B a)e |--------- atan(------------)
+--R                         \|    b           +---------+
+--R                                           |a e - b d
+--R                                           |---------
+--R                                          \|    b
+--R       + 
+--R                                              +-------+
+--R         (2B b e x + (6A b - 6B a)e + 2B b d)\|e x + d
+--R    /
+--R         2
+--R       3b e
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 779
+
+--S 780 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                     +-----------+
+--R                     |- a e + b d  +-+
+--R         (A b - B a) |----------- \|b
+--R                    \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a e + b d  +-------+
+--R             - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     +-----------+      \|b \|e x + d
+--R       (2A b - 2B a)\|- a e + b d atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a e + b d
+--R  /
+--R      2 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 780
+
+--S 781 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 781
+
+--S 782 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                         +-+ +-------+
+--R                     +-----------+      \|b \|e x + d
+--R       (2A b - 2B a)\|- a e + b d atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a e + b d
+--R     + 
+--R                           +---------+       +-------+
+--R                       +-+ |a e - b d       \|e x + d
+--R       (- 2A b + 2B a)\|b  |--------- atan(------------)
+--R                          \|    b           +---------+
+--R                                            |a e - b d
+--R                                            |---------
+--R                                           \|    b
+--R  /
+--R      2 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 782
+
+--S 783 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 783
+
+)clear all
+
+--S 784 of 1293
+t0:=(A+B*x)/((a+b*x)*sqrt(d+e*x))
+--R 
+--R
+--R              B x + A
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 784
+
+--S 785 of 1293
+r0:=-2*(A*b-a*B)*atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/(b^(3/2)*_
+     sqrt(b*d-a*e))+2*B*sqrt(d+e*x)/(b*e)
+--R 
+--R
+--R   (2)
+--R                           +-+ +-------+
+--R                          \|b \|e x + d        +-----------+ +-+ +-------+
+--R   (- 2A b + 2B a)e atanh(--------------) + 2B\|- a e + b d \|b \|e x + d
+--R                           +-----------+
+--R                          \|- a e + b d
+--R   -----------------------------------------------------------------------
+--R                                +-----------+ +-+
+--R                            b e\|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 785
+
+--S 786 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R           (A b - B a)e
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R            +-------------+
+--R            |           2   +-------+
+--R         2B\|- a b e + b d \|e x + d
+--R    /
+--R           +-------------+
+--R           |           2
+--R       b e\|- a b e + b d
+--R     ,
+--R                         +-----------+
+--R                         |         2   +-------+       +-----------+
+--R                        \|a b e - b d \|e x + d        |         2   +-------+
+--R    (2A b - 2B a)e atan(------------------------) + 2B\|a b e - b d \|e x + d
+--R                                a e - b d
+--R    --------------------------------------------------------------------------]
+--R                                     +-----------+
+--R                                     |         2
+--R                                 b e\|a b e - b d
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 786
+
+--S 787 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                     +-----------+ +-+
+--R         (A b - B a)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                     +-------------+       +-+ +-------+
+--R                     |           2        \|b \|e x + d
+--R       (2A b - 2B a)\|- a b e + b d atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a e + b d
+--R  /
+--R       +-------------+
+--R       |           2   +-----------+ +-+
+--R     b\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 787
+
+--S 788 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 788
+
+--S 789 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                     +-----------+       +-+ +-------+
+--R                     |         2        \|b \|e x + d
+--R       (2A b - 2B a)\|a b e - b d atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a e + b d
+--R     + 
+--R                                            +-----------+
+--R                                            |         2   +-------+
+--R                     +-----------+ +-+     \|a b e - b d \|e x + d
+--R       (2A b - 2B a)\|- a e + b d \|b atan(------------------------)
+--R                                                   a e - b d
+--R  /
+--R                         +-----------+
+--R       +-----------+ +-+ |         2
+--R     b\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 789
+
+--S 790 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 790
+
+)clear all
+
+--S 791 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^(3/2))
+--R 
+--R
+--R                        B x + A
+--R   (1)  ---------------------------------------
+--R              2                       +-------+
+--R        (b e x  + (a e + b d)x + a d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 791
+
+--S 792 of 1293
+r0:=-2*(A*b-a*B)*atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/_
+     ((b*d-a*e)^(3/2)*sqrt(b))-2*(B*d-A*e)/(e*(b*d-a*e)*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                                      +-+ +-------+
+--R                      +-------+      \|b \|e x + d
+--R       (2A b - 2B a)e\|e x + d atanh(--------------)
+--R                                      +-----------+
+--R                                     \|- a e + b d
+--R     + 
+--R                       +-----------+ +-+
+--R       (- 2A e + 2B d)\|- a e + b d \|b
+--R  /
+--R         2          +-----------+ +-+ +-------+
+--R     (a e  - b d e)\|- a e + b d \|b \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 792
+
+--S 793 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                        +-------+
+--R           (A b - B a)e\|e x + d
+--R        *
+--R                                                                +-------------+
+--R                           2   +-------+                        |           2
+--R             (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(------------------------------------------------------------------)
+--R                                           b x + a
+--R       + 
+--R                         +-------------+
+--R                         |           2
+--R         (- 2A e + 2B d)\|- a b e + b d
+--R    /
+--R                      +-------------+
+--R           2          |           2   +-------+
+--R       (a e  - b d e)\|- a b e + b d \|e x + d
+--R     ,
+--R
+--R                                         +-----------+
+--R                                         |         2   +-------+
+--R                          +-------+     \|a b e - b d \|e x + d
+--R         (- 2A b + 2B a)e\|e x + d atan(------------------------)
+--R                                                a e - b d
+--R       + 
+--R                         +-----------+
+--R                         |         2
+--R         (- 2A e + 2B d)\|a b e - b d
+--R    /
+--R                      +-----------+
+--R           2          |         2   +-------+
+--R       (a e  - b d e)\|a b e - b d \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 793
+
+--S 794 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                     +-----------+ +-+
+--R         (A b - B a)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R           (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R       log(------------------------------------------------------------------)
+--R                                         b x + a
+--R     + 
+--R                       +-------------+       +-+ +-------+
+--R                       |           2        \|b \|e x + d
+--R       (- 2A b + 2B a)\|- a b e + b d atanh(--------------)
+--R                                             +-----------+
+--R                                            \|- a e + b d
+--R  /
+--R                 +-------------+
+--R                 |           2   +-----------+ +-+
+--R     (a e - b d)\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 794
+
+--S 795 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 795
+
+--S 796 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                       +-----------+       +-+ +-------+
+--R                       |         2        \|b \|e x + d
+--R       (- 2A b + 2B a)\|a b e - b d atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a e + b d
+--R     + 
+--R                                              +-----------+
+--R                                              |         2   +-------+
+--R                       +-----------+ +-+     \|a b e - b d \|e x + d
+--R       (- 2A b + 2B a)\|- a e + b d \|b atan(------------------------)
+--R                                                     a e - b d
+--R  /
+--R                                   +-----------+
+--R                 +-----------+ +-+ |         2
+--R     (a e - b d)\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 796
+
+--S 797 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 797
+
+)clear all
+
+--S 798 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^(5/2))
+--R 
+--R
+--R                                     B x + A
+--R   (1)  ----------------------------------------------------------------
+--R            2 3       2           2                2        2  +-------+
+--R        (b e x  + (a e  + 2b d e)x  + (2a d e + b d )x + a d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 798
+
+--S 799 of 1293
+r0:=-2/3*(B*d-A*e)/(e*(b*d-a*e)*(d+e*x)^(3/2))-2*(A*b-a*B)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))*sqrt(b)/_
+     (b*d-a*e)^(5/2)+2*(A*b-a*B)/((b*d-a*e)^2*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                          2                        +-+ +-------+
+--R         ((- 6A b + 6B a)e x + (- 6A b + 6B a)d e)\|b \|e x + d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                      2          2                            2  +-----------+
+--R       ((6A b - 6B a)e x - 2A a e  + (8A b - 4B a)d e - 2B b d )\|- a e + b d
+--R  /
+--R           2 4           3     2 2 2       2   3         2 2     2 3
+--R       ((3a e  - 6a b d e  + 3b d e )x + 3a d e  - 6a b d e  + 3b d e)
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 799
+
+--S 800 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                 +-----------+
+--R                          2                      |      b      +-------+
+--R           ((3A b - 3B a)e x + (3A b - 3B a)d e) |- --------- \|e x + d
+--R                                                \|  a e - b d
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                       2          2                            2
+--R         (6A b - 6B a)e x - 2A a e  + (8A b - 4B a)d e - 2B b d
+--R    /
+--R           2 4           3     2 2 2       2   3         2 2     2 3   +-------+
+--R       ((3a e  - 6a b d e  + 3b d e )x + 3a d e  - 6a b d e  + 3b d e)\|e x + d
+--R     ,
+--R
+--R                                                 +---------+
+--R                          2                      |    b      +-------+
+--R           ((6A b - 6B a)e x + (6A b - 6B a)d e) |--------- \|e x + d
+--R                                                \|a e - b d
+--R        *
+--R                        +-------+
+--R                      b\|e x + d
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a e - b d) |---------
+--R                           \|a e - b d
+--R       + 
+--R                       2          2                            2
+--R         (6A b - 6B a)e x - 2A a e  + (8A b - 4B a)d e - 2B b d
+--R    /
+--R           2 4           3     2 2 2       2   3         2 2     2 3   +-------+
+--R       ((3a e  - 6a b d e  + 3b d e )x + 3a d e  - 6a b d e  + 3b d e)\|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 800
+
+--S 801 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                   +-----------+
+--R                     +-----------+ |      b
+--R         (A b - B a)\|- a e + b d  |- ---------
+--R                                  \|  a e - b d
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                          \|  a e - b d
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                               +-+ +-------+
+--R                     +-+      \|b \|e x + d
+--R       (2A b - 2B a)\|b atanh(--------------)
+--R                               +-----------+
+--R                              \|- a e + b d
+--R  /
+--R       2 2               2 2  +-----------+
+--R     (a e  - 2a b d e + b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 801
+
+--S 802 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 802
+
+--S 803 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                               +-+ +-------+
+--R                     +-+      \|b \|e x + d
+--R       (2A b - 2B a)\|b atanh(--------------)
+--R                               +-----------+
+--R                              \|- a e + b d
+--R     + 
+--R                                   +---------+             +-------+
+--R                     +-----------+ |    b                b\|e x + d
+--R       (2A b - 2B a)\|- a e + b d  |--------- atan(-----------------------)
+--R                                  \|a e - b d                  +---------+
+--R                                                               |    b
+--R                                                   (a e - b d) |---------
+--R                                                              \|a e - b d
+--R  /
+--R       2 2               2 2  +-----------+
+--R     (a e  - 2a b d e + b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 803
+
+--S 804 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 804
+
+)clear all
+
+--S 805 of 1293
+t0:=(A+B*x)/((a+b*x)*(d+e*x)^(7/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R            3 4       3         2  3          2       2   2        2       3
+--R         b e x  + (a e  + 3b d e )x  + (3a d e  + 3b d e)x  + (3a d e + b d )x
+--R       + 
+--R            3
+--R         a d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 805
+
+--S 806 of 1293
+r0:=-2/5*(B*d-A*e)/(e*(b*d-a*e)*(d+e*x)^(5/2))+2/3*(A*b-a*B)/_
+     ((b*d-a*e)^2*(d+e*x)^(3/2))-2*b^(3/2)*(A*b-a*B)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/(b*d-a*e)^(7/2)+_
+     2*b*(A*b-a*B)/((b*d-a*e)^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                 2            3 2         2              2
+--R           (30A b  - 30B a b)e x  + (60A b  - 60B a b)d e x
+--R         + 
+--R                 2            2
+--R           (30A b  - 30B a b)d e
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|e x + d
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                   2            3 2
+--R           (- 30A b  + 30B a b)e x
+--R         + 
+--R                            2  3           2              2         2 3
+--R           ((10A a b - 10B a )e  + (- 70A b  + 70B a b)d e )x - 6A a e
+--R         + 
+--R                          2    2           2            2        2 3
+--R           (22A a b - 4B a )d e  + (- 46A b  + 28B a b)d e + 6B b d
+--R      *
+--R          +-----------+
+--R         \|- a e + b d
+--R  /
+--R             3 6      2     5        2 2 4      3 3 3  2
+--R         (15a e  - 45a b d e  + 45a b d e  - 15b d e )x
+--R       + 
+--R             3   5      2   2 4        2 3 3      3 4 2        3 2 4
+--R         (30a d e  - 90a b d e  + 90a b d e  - 30b d e )x + 15a d e
+--R       + 
+--R              2   3 3        2 4 2      3 5
+--R         - 45a b d e  + 45a b d e  - 15b d e
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 806
+
+--S 807 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   2            3 2         2              2
+--R             (15A b  - 15B a b)e x  + (30A b  - 30B a b)d e x
+--R           + 
+--R                   2            2
+--R             (15A b  - 15B a b)d e
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|e x + d
+--R           \|  a e - b d
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                              \|  a e - b d
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                 2            3 2
+--R         (- 30A b  + 30B a b)e x
+--R       + 
+--R                          2  3           2              2         2 3
+--R         ((10A a b - 10B a )e  + (- 70A b  + 70B a b)d e )x - 6A a e
+--R       + 
+--R                        2    2           2            2        2 3
+--R         (22A a b - 4B a )d e  + (- 46A b  + 28B a b)d e + 6B b d
+--R    /
+--R               3 6      2     5        2 2 4      3 3 3  2
+--R           (15a e  - 45a b d e  + 45a b d e  - 15b d e )x
+--R         + 
+--R               3   5      2   2 4        2 3 3      3 4 2        3 2 4
+--R           (30a d e  - 90a b d e  + 90a b d e  - 30b d e )x + 15a d e
+--R         + 
+--R                2   3 3        2 4 2      3 5
+--R           - 45a b d e  + 45a b d e  - 15b d e
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ,
+--R
+--R                     2            3 2           2              2
+--R             (- 30A b  + 30B a b)e x  + (- 60A b  + 60B a b)d e x
+--R           + 
+--R                     2            2
+--R             (- 30A b  + 30B a b)d e
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|e x + d
+--R            |--------- \|e x + d atan(-----------------------)
+--R           \|a e - b d                            +---------+
+--R                                                  |    b
+--R                                      (a e - b d) |---------
+--R                                                 \|a e - b d
+--R       + 
+--R                 2            3 2
+--R         (- 30A b  + 30B a b)e x
+--R       + 
+--R                          2  3           2              2         2 3
+--R         ((10A a b - 10B a )e  + (- 70A b  + 70B a b)d e )x - 6A a e
+--R       + 
+--R                        2    2           2            2        2 3
+--R         (22A a b - 4B a )d e  + (- 46A b  + 28B a b)d e + 6B b d
+--R    /
+--R               3 6      2     5        2 2 4      3 3 3  2
+--R           (15a e  - 45a b d e  + 45a b d e  - 15b d e )x
+--R         + 
+--R               3   5      2   2 4        2 3 3      3 4 2        3 2 4
+--R           (30a d e  - 90a b d e  + 90a b d e  - 30b d e )x + 15a d e
+--R         + 
+--R                2   3 3        2 4 2      3 5
+--R           - 45a b d e  + 45a b d e  - 15b d e
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 807
+
+--S 808 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                      +-----------+
+--R             2          +-----------+ |      b
+--R         (A b  - B a b)\|- a e + b d  |- ---------
+--R                                     \|  a e - b d
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                    +-+ +-------+
+--R              2           +-+      \|b \|e x + d
+--R       (- 2A b  + 2B a b)\|b atanh(--------------)
+--R                                    +-----------+
+--R                                   \|- a e + b d
+--R  /
+--R       3 3     2     2       2 2     3 3  +-----------+
+--R     (a e  - 3a b d e  + 3a b d e - b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 808
+
+--S 809 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 809
+
+--S 810 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                    +-+ +-------+
+--R              2           +-+      \|b \|e x + d
+--R       (- 2A b  + 2B a b)\|b atanh(--------------)
+--R                                    +-----------+
+--R                                   \|- a e + b d
+--R     + 
+--R                                      +---------+             +-------+
+--R            2           +-----------+ |    b                b\|e x + d
+--R     (- 2A b  + 2B a b)\|- a e + b d  |--------- atan(-----------------------)
+--R                                     \|a e - b d                  +---------+
+--R                                                                  |    b
+--R                                                      (a e - b d) |---------
+--R                                                                 \|a e - b d
+--R  /
+--R       3 3     2     2       2 2     3 3  +-----------+
+--R     (a e  - 3a b d e  + 3a b d e - b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 810
+
+--S 811 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 811
+
+)clear all
+
+--S 812 of 1293
+t0:=(A+B*x)*(d+e*x)^(7/2)/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R            3 4       3         2  3          2       2   2        2       3
+--R         B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x
+--R       + 
+--R            3
+--R         A d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R      2 2             2
+--R     b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 812
+
+--S 813 of 1293
+r0:=1/3*(b*d-a*e)*(2*b*B*d+7*A*b*e-9*a*B*e)*(d+e*x)^(3/2)/b^4+_
+     1/5*(2*b*B*d+7*A*b*e-9*a*B*e)*(d+e*x)^(5/2)/b^3+_
+     1/7*(2*b*B*d+7*A*b*e-9*a*B*e)*(d+e*x)^(7/2)/(b^2*(b*d-a*e))-_
+     (A*b-a*B)*(d+e*x)^(9/2)/(b*(b*d-a*e)*(a+b*x))-_
+     (b*d-a*e)^(5/2)*(2*b*B*d+7*A*b*e-9*a*B*e)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/b^(11/2)+(b*d-a*e)^2*_
+     (2*b*B*d+7*A*b*e-9*a*B*e)*sqrt(d+e*x)/b^5
+--R 
+--R
+--R   (2)
+--R                        2 2         3   3             3          2 2    2
+--R               (- 735A a b  + 945B a b)e  + (1470A a b  - 2100B a b )d e
+--R             + 
+--R                        4            3  2          4 3
+--R               (- 735A b  + 1365B a b )d e - 210B b d
+--R          *
+--R             x
+--R         + 
+--R                    3          4  3           2 2          3     2
+--R           (- 735A a b + 945B a )e  + (1470A a b  - 2100B a b)d e
+--R         + 
+--R                      3          2 2  2            3 3
+--R           (- 735A a b  + 1365B a b )d e - 210B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                4 3 4          4          3  3         4   2  3
+--R           30B b e x  + ((42A b  - 54B a b )e  + 132B b d e )x
+--R         + 
+--R                           3         2 2  3          4           3    2
+--R                 (- 98A a b  + 126B a b )e  + (224A b  - 316B a b )d e
+--R               + 
+--R                       4 2
+--R                 244B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      2 2         3   3               3          2 2    2
+--R               (490A a b  - 630B a b)e  + (- 1176A a b  + 1652B a b )d e
+--R             + 
+--R                      4            3  2          4 3
+--R               (812A b  - 1380B a b )d e + 352B b d
+--R          *
+--R             x
+--R         + 
+--R                  3          4  3             2 2          3     2
+--R           (735A a b - 945B a )e  + (- 1715A a b  + 2415B a b)d e
+--R         + 
+--R                     3          2 2  2             4           3  3
+--R           (1127A a b  - 1939B a b )d e + (- 105A b  + 457B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R          6          5  +-+
+--R     (105b x + 105a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 813
+
+--S 814 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                        2 2         3   3               3          2 2    2
+--R                 (735A a b  - 945B a b)e  + (- 1470A a b  + 2100B a b )d e
+--R               + 
+--R                        4            3  2          4 3
+--R                 (735A b  - 1365B a b )d e + 210B b d
+--R            *
+--R               x
+--R           + 
+--R                    3          4  3             2 2          3     2
+--R             (735A a b - 945B a )e  + (- 1470A a b  + 2100B a b)d e
+--R           + 
+--R                      3          2 2  2            3 3
+--R             (735A a b  - 1365B a b )d e + 210B a b d
+--R        *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R            +-----------+    - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                  4 3 4          4           3  3         4   2  3
+--R             60B b e x  + ((84A b  - 108B a b )e  + 264B b d e )x
+--R           + 
+--R                            3         2 2  3          4           3    2
+--R                 (- 196A a b  + 252B a b )e  + (448A b  - 632B a b )d e
+--R               + 
+--R                       4 2
+--R                 488B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                        2 2          3   3               3          2 2    2
+--R                 (980A a b  - 1260B a b)e  + (- 2352A a b  + 3304B a b )d e
+--R               + 
+--R                         4            3  2          4 3
+--R                 (1624A b  - 2760B a b )d e + 704B b d
+--R            *
+--R               x
+--R           + 
+--R                     3           4  3             2 2          3     2
+--R             (1470A a b - 1890B a )e  + (- 3430A a b  + 4830B a b)d e
+--R           + 
+--R                       3          2 2  2             4           3  3
+--R             (2254A a b  - 3878B a b )d e + (- 210A b  + 914B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           6          5
+--R       210b x + 210a b
+--R     ,
+--R
+--R                          2 2         3   3             3          2 2    2
+--R                 (- 735A a b  + 945B a b)e  + (1470A a b  - 2100B a b )d e
+--R               + 
+--R                          4            3  2          4 3
+--R                 (- 735A b  + 1365B a b )d e - 210B b d
+--R            *
+--R               x
+--R           + 
+--R                      3          4  3           2 2          3     2
+--R             (- 735A a b + 945B a )e  + (1470A a b  - 2100B a b)d e
+--R           + 
+--R                        3          2 2  2            3 3
+--R             (- 735A a b  + 1365B a b )d e - 210B a b d
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                  4 3 4          4          3  3         4   2  3
+--R             30B b e x  + ((42A b  - 54B a b )e  + 132B b d e )x
+--R           + 
+--R                           3         2 2  3          4           3    2
+--R                 (- 98A a b  + 126B a b )e  + (224A b  - 316B a b )d e
+--R               + 
+--R                       4 2
+--R                 244B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                        2 2         3   3               3          2 2    2
+--R                 (490A a b  - 630B a b)e  + (- 1176A a b  + 1652B a b )d e
+--R               + 
+--R                        4            3  2          4 3
+--R                 (812A b  - 1380B a b )d e + 352B b d
+--R            *
+--R               x
+--R           + 
+--R                    3          4  3             2 2          3     2
+--R             (735A a b - 945B a )e  + (- 1715A a b  + 2415B a b)d e
+--R           + 
+--R                       3          2 2  2             4           3  3
+--R             (1127A a b  - 1939B a b )d e + (- 105A b  + 457B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           6          5
+--R       105b x + 105a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 814
+
+--S 815 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                2        3  3             2        2     2
+--R           (7A a b - 9B a )e  + (- 14A a b  + 20B a b)d e
+--R         + 
+--R                3          2  2        3 3
+--R           (7A b  - 13B a b )d e + 2B b d
+--R      *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R        +-----------+        - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R        |- a e + b d  +-+        \|     b
+--R        |----------- \|b log(-------------------------------------------------)
+--R       \|     b                                   b x + a
+--R     + 
+--R                 2         3  3             2        2     2
+--R           (14A a b - 18B a )e  + (- 28A a b  + 40B a b)d e
+--R         + 
+--R                 3          2  2        3 3
+--R           (14A b  - 26B a b )d e + 4B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R  /
+--R       5 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 815
+
+--S 816 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 816
+
+--S 817 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                2        3  3             2        2     2
+--R           (7A a b - 9B a )e  + (- 14A a b  + 20B a b)d e
+--R         + 
+--R                3          2  2        3 3
+--R           (7A b  - 13B a b )d e + 2B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                  2        3  3           2        2     2
+--R           (- 7A a b + 9B a )e  + (14A a b  - 20B a b)d e
+--R         + 
+--R                  3          2  2        3 3
+--R           (- 7A b  + 13B a b )d e - 2B b d
+--R      *
+--R              +---------+       +-------+
+--R          +-+ |a e - b d       \|e x + d
+--R         \|b  |--------- atan(------------)
+--R             \|    b           +---------+
+--R                               |a e - b d
+--R                               |---------
+--R                              \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 817
+
+--S 818 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 818
+
+)clear all
+
+--S 819 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                                2 2             2
+--R                               b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 819
+
+--S 820 of 1293
+r0:=1/3*(2*b*B*d+5*A*b*e-7*a*B*e)*(d+e*x)^(3/2)/b^3+_
+     1/5*(2*b*B*d+5*A*b*e-7*a*B*e)*(d+e*x)^(5/2)/(b^2*(b*d-a*e))-_
+     (A*b-a*B)*(d+e*x)^(7/2)/(b*(b*d-a*e)*(a+b*x))-_
+     (b*d-a*e)^(3/2)*(2*b*B*d+5*A*b*e-7*a*B*e)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/b^(9/2)+_
+     (b*d-a*e)*(2*b*B*d+5*A*b*e-7*a*B*e)*sqrt(d+e*x)/b^4
+--R 
+--R
+--R   (2)
+--R                    2         2   2           3           2            3 2
+--R           ((75A a b  - 105B a b)e  + (- 75A b  + 135B a b )d e - 30B b d )x
+--R         + 
+--R                 2          3  2             2         2               2 2
+--R           (75A a b - 105B a )e  + (- 75A a b  + 135B a b)d e - 30B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R               3 2 3          3          2  2        3     2
+--R           6B b e x  + ((10A b  - 14B a b )e  + 22B b d e)x
+--R         + 
+--R                      2        2   2         3           2            3 2
+--R           ((- 50A a b  + 70B a b)e  + (70A b  - 118B a b )d e + 46B b d )x
+--R         + 
+--R                   2          3  2            2         2
+--R           (- 75A a b + 105B a )e  + (100A a b  - 170B a b)d e
+--R         + 
+--R                   3          2  2
+--R           (- 15A b  + 61B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         5         4  +-+
+--R     (15b x + 15a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 820
+
+--S 821 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      2         2   2           3           2            3 2
+--R             ((75A a b  - 105B a b)e  + (- 75A b  + 135B a b )d e - 30B b d )x
+--R           + 
+--R                   2          3  2             2         2               2 2
+--R             (75A a b - 105B a )e  + (- 75A a b  + 135B a b)d e - 30B a b d
+--R        *
+--R                                +-----------+
+--R                                |- a e + b d  +-------+
+--R            +-----------+    2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                  3 2 3          3          2  2        3     2
+--R             12B b e x  + ((20A b  - 28B a b )e  + 44B b d e)x
+--R           + 
+--R                         2         2   2          3           2            3 2
+--R             ((- 100A a b  + 140B a b)e  + (140A b  - 236B a b )d e + 92B b d )x
+--R           + 
+--R                      2          3  2            2         2
+--R             (- 150A a b + 210B a )e  + (200A a b  - 340B a b)d e
+--R           + 
+--R                     3           2  2
+--R             (- 30A b  + 122B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          5         4
+--R       30b x + 30a b
+--R     ,
+--R
+--R                      2         2   2           3           2            3 2
+--R             ((75A a b  - 105B a b)e  + (- 75A b  + 135B a b )d e - 30B b d )x
+--R           + 
+--R                   2          3  2             2         2               2 2
+--R             (75A a b - 105B a )e  + (- 75A a b  + 135B a b)d e - 30B a b d
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                 3 2 3          3          2  2        3     2
+--R             6B b e x  + ((10A b  - 14B a b )e  + 22B b d e)x
+--R           + 
+--R                        2        2   2         3           2            3 2
+--R             ((- 50A a b  + 70B a b)e  + (70A b  - 118B a b )d e + 46B b d )x
+--R           + 
+--R                     2          3  2            2         2
+--R             (- 75A a b + 105B a )e  + (100A a b  - 170B a b)d e
+--R           + 
+--R                     3          2  2
+--R             (- 15A b  + 61B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          5         4
+--R       15b x + 15a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 821
+
+--S 822 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                                                +-----------+
+--R                        2  2          2                    2 2  |- a e + b d
+--R         ((5A a b - 7B a )e  + (- 5A b  + 9B a b)d e - 2B b d ) |-----------
+--R                                                               \|     b
+--R      *
+--R                    +-----------+
+--R                    |- a e + b d  +-------+
+--R                 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R          +-+      \|     b
+--R         \|b log(-----------------------------------------------)
+--R                                     b x + a
+--R     + 
+--R                            2  2         2                     2 2
+--R         ((- 10A a b + 14B a )e  + (10A b  - 18B a b)d e + 4B b d )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R  /
+--R       4 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 822
+
+--S 823 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 823
+
+--S 824 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                          2  2        2                    2 2  +-----------+
+--R         ((- 5A a b + 7B a )e  + (5A b  - 9B a b)d e + 2B b d )\|- a e + b d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                                                                    +---------+
+--R                        2  2          2                    2 2  +-+ |a e - b d
+--R         ((5A a b - 7B a )e  + (- 5A b  + 9B a b)d e - 2B b d )\|b  |---------
+--R                                                                   \|    b
+--R      *
+--R                +-------+
+--R               \|e x + d
+--R         atan(------------)
+--R               +---------+
+--R               |a e - b d
+--R               |---------
+--R              \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 824
+
+--S 825 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 825
+
+)clear all
+
+--S 826 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/(a+b*x)^2
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R                    2 2             2
+--R                   b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 826
+
+--S 827 of 1293
+r0:=1/3*(2*b*B*d+3*A*b*e-5*a*B*e)*(d+e*x)^(3/2)/(b^2*(b*d-a*e))-_
+     (A*b-a*B)*(d+e*x)^(5/2)/(b*(b*d-a*e)*(a+b*x))-_
+     (2*b*B*d+3*A*b*e-5*a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/_
+     sqrt(b*d-a*e))*sqrt(b*d-a*e)/b^(7/2)+_
+     (2*b*B*d+3*A*b*e-5*a*B*e)*sqrt(d+e*x)/b^3
+--R 
+--R
+--R   (2)
+--R                  2                   2                       2
+--R         (((- 9A b  + 15B a b)e - 6B b d)x + (- 9A a b + 15B a )e - 6B a b d)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R               2   2         2                   2                     2
+--R           2B b e x  + ((6A b  - 10B a b)e + 8B b d)x + (9A a b - 15B a )e
+--R         + 
+--R                  2
+--R           (- 3A b  + 11B a b)d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R        4        3  +-+
+--R     (3b x + 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 827
+
+--S 828 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                  2                   2                     2
+--R           (((9A b  - 15B a b)e + 6B b d)x + (9A a b - 15B a )e + 6B a b d)
+--R        *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R            +-----------+    - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                 2   2          2                    2                      2
+--R             4B b e x  + ((12A b  - 20B a b)e + 16B b d)x + (18A a b - 30B a )e
+--R           + 
+--R                    2
+--R             (- 6A b  + 22B a b)d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R         4        3
+--R       6b x + 6a b
+--R     ,
+--R
+--R                    2                   2                       2
+--R           (((- 9A b  + 15B a b)e - 6B b d)x + (- 9A a b + 15B a )e - 6B a b d)
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                 2   2         2                   2                     2
+--R             2B b e x  + ((6A b  - 10B a b)e + 8B b d)x + (9A a b - 15B a )e
+--R           + 
+--R                    2
+--R             (- 3A b  + 11B a b)d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R         4        3
+--R       3b x + 3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 828
+
+--S 829 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                   +-----------+
+--R                                   |- a e + b d  +-+
+--R         ((3A b - 5B a)e + 2B b d) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a e + b d  +-------+
+--R             - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                      +-+ +-------+
+--R                                  +-----------+      \|b \|e x + d
+--R       ((6A b - 10B a)e + 4B b d)\|- a e + b d atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a e + b d
+--R  /
+--R       3 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 829
+
+--S 830 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 830
+
+--S 831 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                     +-+ +-------+
+--R                                 +-----------+      \|b \|e x + d
+--R       ((3A b - 5B a)e + 2B b d)\|- a e + b d atanh(--------------)
+--R                                                     +-----------+
+--R                                                    \|- a e + b d
+--R     + 
+--R                                       +---------+       +-------+
+--R                                   +-+ |a e - b d       \|e x + d
+--R       ((- 3A b + 5B a)e - 2B b d)\|b  |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a e - b d
+--R                                                        |---------
+--R                                                       \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 831
+
+--S 832 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 832
+
+)clear all
+
+--S 833 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/(a+b*x)^2
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|e x + d
+--R   (1)  -------------------
+--R          2 2             2
+--R         b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 833
+
+--S 834 of 1293
+r0:=-(A*b-a*B)*(d+e*x)^(3/2)/(b*(b*d-a*e)*(a+b*x))-_
+     (2*b*B*d+A*b*e-3*a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/_
+     sqrt(b*d-a*e))/(b^(5/2)*sqrt(b*d-a*e))+(2*b*B*d+A*b*e-3*a*B*e)*_
+     sqrt(d+e*x)/(b^2*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                 2                  2                     2
+--R         (((- A b  + 3B a b)e - 2B b d)x + (- A a b + 3B a )e - 2B a b d)
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                             +-----------+ +-+ +-------+
+--R       (2B b x - A b + 3B a)\|- a e + b d \|b \|e x + d
+--R  /
+--R       3       2  +-----------+ +-+
+--R     (b x + a b )\|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 834
+
+--S 835 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 2                  2                   2
+--R           (((A b  - 3B a b)e + 2B b d)x + (A a b - 3B a )e + 2B a b d)
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                +-------------+
+--R                                |           2   +-------+
+--R         (4B b x - 2A b + 6B a)\|- a b e + b d \|e x + d
+--R    /
+--R                      +-------------+
+--R          3        2  |           2
+--R       (2b x + 2a b )\|- a b e + b d
+--R     ,
+--R
+--R                 2                  2                   2
+--R           (((A b  - 3B a b)e + 2B b d)x + (A a b - 3B a )e + 2B a b d)
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b e - b d \|e x + d
+--R           atan(------------------------)
+--R                        a e - b d
+--R       + 
+--R                               +-----------+
+--R                               |         2   +-------+
+--R         (2B b x - A b + 3B a)\|a b e - b d \|e x + d
+--R    /
+--R                    +-----------+
+--R         3       2  |         2
+--R       (b x + a b )\|a b e - b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 835
+
+--S 836 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+ +-+
+--R         ((A b - 3B a)e + 2B b d)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                                 +-------------+       +-+ +-------+
+--R                                 |           2        \|b \|e x + d
+--R       ((2A b - 6B a)e + 4B b d)\|- a b e + b d atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a e + b d
+--R  /
+--R         +-------------+
+--R       2 |           2   +-----------+ +-+
+--R     2b \|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 836
+
+--S 837 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 837
+
+--S 838 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                +-----------+       +-+ +-------+
+--R                                |         2        \|b \|e x + d
+--R       ((A b - 3B a)e + 2B b d)\|a b e - b d atanh(--------------)
+--R                                                    +-----------+
+--R                                                   \|- a e + b d
+--R     + 
+--R                                                       +-----------+
+--R                                                       |         2   +-------+
+--R                                +-----------+ +-+     \|a b e - b d \|e x + d
+--R       ((A b - 3B a)e + 2B b d)\|- a e + b d \|b atan(------------------------)
+--R                                                              a e - b d
+--R  /
+--R                          +-----------+
+--R      2 +-----------+ +-+ |         2
+--R     b \|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 838
+
+--S 839 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 839
+
+)clear all
+
+--S 840 of 1293
+t0:=(A+B*x)/((a+b*x)^2*sqrt(d+e*x))
+--R 
+--R
+--R                    B x + A
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 840
+
+--S 841 of 1293
+r0:=-(2*b*B*d-A*b*e-a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/_
+     (b^(3/2)*(b*d-a*e)^(3/2))-(A*b-a*B)*sqrt(d+e*x)/(b*(b*d-a*e)*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 2                 2                    2
+--R         (((- A b  - B a b)e + 2B b d)x + (- A a b - B a )e + 2B a b d)
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                   +-----------+ +-+ +-------+
+--R       (A b - B a)\|- a e + b d \|b \|e x + d
+--R  /
+--R          2     3       2         2   +-----------+ +-+
+--R     ((a b e - b d)x + a b e - a b d)\|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 841
+
+--S 842 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 2                 2                  2
+--R           (((A b  + B a b)e - 2B b d)x + (A a b + B a )e - 2B a b d)
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                       +-------------+
+--R                       |           2   +-------+
+--R         (2A b - 2B a)\|- a b e + b d \|e x + d
+--R    /
+--R                                            +-------------+
+--R             2      3        2          2   |           2
+--R       ((2a b e - 2b d)x + 2a b e - 2a b d)\|- a b e + b d
+--R     ,
+--R
+--R                 2                 2                  2
+--R           (((A b  + B a b)e - 2B b d)x + (A a b + B a )e - 2B a b d)
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b e - b d \|e x + d
+--R           atan(------------------------)
+--R                        a e - b d
+--R       + 
+--R                     +-----------+
+--R                     |         2   +-------+
+--R         (A b - B a)\|a b e - b d \|e x + d
+--R    /
+--R                                        +-----------+
+--R            2     3       2         2   |         2
+--R       ((a b e - b d)x + a b e - a b d)\|a b e - b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 842
+
+--S 843 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                 +-----------+ +-+
+--R         ((A b + B a)e - 2B b d)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                                 +-------------+       +-+ +-------+
+--R                                 |           2        \|b \|e x + d
+--R       ((2A b + 2B a)e - 4B b d)\|- a b e + b d atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a e + b d
+--R  /
+--R                     +-------------+
+--R                 2   |           2   +-----------+ +-+
+--R     (2a b e - 2b d)\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 843
+
+--S 844 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 844
+
+--S 845 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                               +-----------+       +-+ +-------+
+--R                               |         2        \|b \|e x + d
+--R       ((A b + B a)e - 2B b d)\|a b e - b d atanh(--------------)
+--R                                                   +-----------+
+--R                                                  \|- a e + b d
+--R     + 
+--R                                                      +-----------+
+--R                                                      |         2   +-------+
+--R                               +-----------+ +-+     \|a b e - b d \|e x + d
+--R       ((A b + B a)e - 2B b d)\|- a e + b d \|b atan(------------------------)
+--R                                                             a e - b d
+--R  /
+--R                                     +-----------+
+--R               2   +-----------+ +-+ |         2
+--R     (a b e - b d)\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 845
+
+--S 846 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 846
+
+)clear all
+
+--S 847 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^(3/2))
+--R 
+--R
+--R                                   B x + A
+--R   (1)  -------------------------------------------------------------
+--R          2   3              2   2     2                2   +-------+
+--R        (b e x  + (2a b e + b d)x  + (a e + 2a b d)x + a d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 847
+
+--S 848 of 1293
+r0:=-(2*b*B*d-3*A*b*e+a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/_
+     ((b*d-a*e)^(5/2)*sqrt(b))+(2*b*B*d-3*A*b*e+a*B*e)/_
+     (b*(b*d-a*e)^2*sqrt(d+e*x))+(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                2                 2                   2               +-------+
+--R         (((3A b  - B a b)e - 2B b d)x + (3A a b - B a )e - 2B a b d)\|e x + d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                                                              +-----------+ +-+
+--R     (((- 3A b + B a)e + 2B b d)x - 2A a e + (- A b + 3B a)d)\|- a e + b d \|b
+--R  /
+--R          2   2       2       3 2      3 2     2           2 2  +-----------+
+--R       ((a b e  - 2a b d e + b d )x + a e  - 2a b d e + a b d )\|- a e + b d
+--R    *
+--R        +-+ +-------+
+--R       \|b \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 848
+
+--S 849 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                  2                 2                   2
+--R           (((3A b  - B a b)e - 2B b d)x + (3A a b - B a )e - 2B a b d)
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R        *
+--R                                                                +-------------+
+--R                           2   +-------+                        |           2
+--R             (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(------------------------------------------------------------------)
+--R                                           b x + a
+--R       + 
+--R           (((- 6A b + 2B a)e + 4B b d)x - 4A a e + (- 2A b + 6B a)d)
+--R        *
+--R            +-------------+
+--R            |           2
+--R           \|- a b e + b d
+--R    /
+--R             2   2       2        3 2       3 2     2            2 2
+--R         ((2a b e  - 4a b d e + 2b d )x + 2a e  - 4a b d e + 2a b d )
+--R      *
+--R          +-------------+
+--R          |           2   +-------+
+--R         \|- a b e + b d \|e x + d
+--R     ,
+--R
+--R                    2                 2                     2
+--R           (((- 3A b  + B a b)e + 2B b d)x + (- 3A a b + B a )e + 2B a b d)
+--R        *
+--R                           +-----------+
+--R                           |         2   +-------+
+--R            +-------+     \|a b e - b d \|e x + d
+--R           \|e x + d atan(------------------------)
+--R                                  a e - b d
+--R       + 
+--R                                                                  +-----------+
+--R                                                                  |         2
+--R         (((- 3A b + B a)e + 2B b d)x - 2A a e + (- A b + 3B a)d)\|a b e - b d
+--R    /
+--R                                                                  +-----------+
+--R            2   2       2       3 2      3 2     2           2 2  |         2
+--R         ((a b e  - 2a b d e + b d )x + a e  - 2a b d e + a b d )\|a b e - b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 849
+
+--S 850 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+ +-+
+--R         ((3A b - B a)e - 2B b d)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R           (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R       log(------------------------------------------------------------------)
+--R                                         b x + a
+--R     + 
+--R                                   +-------------+       +-+ +-------+
+--R                                   |           2        \|b \|e x + d
+--R       ((- 6A b + 2B a)e + 4B b d)\|- a b e + b d atanh(--------------)
+--R                                                         +-----------+
+--R                                                        \|- a e + b d
+--R  /
+--R                                +-------------+
+--R        2 2                2 2  |           2   +-----------+ +-+
+--R     (2a e  - 4a b d e + 2b d )\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 850
+
+--S 851 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 851
+
+--S 852 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                  +-----------+       +-+ +-------+
+--R                                  |         2        \|b \|e x + d
+--R       ((- 3A b + B a)e + 2B b d)\|a b e - b d atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a e + b d
+--R     + 
+--R                                                       +-----------+
+--R                                                       |         2   +-------+
+--R                                +-----------+ +-+     \|a b e - b d \|e x + d
+--R     ((- 3A b + B a)e + 2B b d)\|- a e + b d \|b atan(------------------------)
+--R                                                              a e - b d
+--R  /
+--R                                                +-----------+
+--R       2 2               2 2  +-----------+ +-+ |         2
+--R     (a e  - 2a b d e + b d )\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 852
+
+--S 853 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 853
+
+)clear all
+
+--S 854 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b e x  + (2a b e  + 2b d e)x  + (a e  + 4a b d e + b d )x
+--R       + 
+--R            2            2      2 2
+--R         (2a d e + 2a b d )x + a d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 854
+
+--S 855 of 1293
+r0:=1/3*(2*b*B*d-5*A*b*e+3*a*B*e)/(b*(b*d-a*e)^2*(d+e*x)^(3/2))+_
+     (-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)*(d+e*x)^(3/2))-_
+     (2*b*B*d-5*A*b*e+3*a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))*_
+     sqrt(b)/(b*d-a*e)^(7/2)+(2*b*B*d-5*A*b*e+3*a*B*e)/_
+     ((b*d-a*e)^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                    2           2       2     2
+--R           ((- 15A b  + 9B a b)e  + 6B b d e)x
+--R         + 
+--R                             2  2           2                     2 2
+--R           ((- 15A a b + 9B a )e  + (- 15A b  + 15B a b)d e + 6B b d )x
+--R         + 
+--R                            2               2
+--R           (- 15A a b + 9B a )d e + 6B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|e x + d
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                  2           2       2     2
+--R           ((15A b  - 9B a b)e  - 6B b d e)x
+--R         + 
+--R                           2  2         2                     2 2         2 2
+--R           ((10A a b - 6B a )e  + (20A b  - 16B a b)d e - 8B b d )x - 2A a e
+--R         + 
+--R                          2            2            2
+--R           (14A a b - 4B a )d e + (3A b  - 11B a b)d
+--R      *
+--R          +-----------+
+--R         \|- a e + b d
+--R  /
+--R            3   4     2 2   3       3 2 2     4 3   2
+--R         (3a b e  - 9a b d e  + 9a b d e  - 3b d e)x
+--R       + 
+--R            4 4     3     3       3 3      4 4       4   3     3   2 2
+--R         (3a e  - 6a b d e  + 6a b d e - 3b d )x + 3a d e  - 9a b d e
+--R       + 
+--R           2 2 3        3 4
+--R         9a b d e - 3a b d
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 855
+
+--S 856 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                    2           2       2     2
+--R             ((15A b  - 9B a b)e  - 6B b d e)x
+--R           + 
+--R                             2  2         2                     2 2
+--R             ((15A a b - 9B a )e  + (15A b  - 15B a b)d e - 6B b d )x
+--R           + 
+--R                            2               2
+--R             (15A a b - 9B a )d e - 6B a b d
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|e x + d
+--R           \|  a e - b d
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                2            2        2     2
+--R         ((30A b  - 18B a b)e  - 12B b d e)x
+--R       + 
+--R                          2  2         2                      2 2         2 2
+--R         ((20A a b - 12B a )e  + (40A b  - 32B a b)d e - 16B b d )x - 4A a e
+--R       + 
+--R                        2            2            2
+--R         (28A a b - 8B a )d e + (6A b  - 22B a b)d
+--R    /
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b e  - 18a b d e  + 18a b d e  - 6b d e)x
+--R         + 
+--R              4 4      3     3        3 3      4 4       4   3      3   2 2
+--R           (6a e  - 12a b d e  + 12a b d e - 6b d )x + 6a d e  - 18a b d e
+--R         + 
+--R              2 2 3        3 4
+--R           18a b d e - 6a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ,
+--R
+--R                    2           2       2     2
+--R             ((15A b  - 9B a b)e  - 6B b d e)x
+--R           + 
+--R                             2  2         2                     2 2
+--R             ((15A a b - 9B a )e  + (15A b  - 15B a b)d e - 6B b d )x
+--R           + 
+--R                            2               2
+--R             (15A a b - 9B a )d e - 6B a b d
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|e x + d
+--R            |--------- \|e x + d atan(-----------------------)
+--R           \|a e - b d                            +---------+
+--R                                                  |    b
+--R                                      (a e - b d) |---------
+--R                                                 \|a e - b d
+--R       + 
+--R                2           2       2     2
+--R         ((15A b  - 9B a b)e  - 6B b d e)x
+--R       + 
+--R                         2  2         2                     2 2         2 2
+--R         ((10A a b - 6B a )e  + (20A b  - 16B a b)d e - 8B b d )x - 2A a e
+--R       + 
+--R                        2            2            2
+--R         (14A a b - 4B a )d e + (3A b  - 11B a b)d
+--R    /
+--R              3   4     2 2   3       3 2 2     4 3   2
+--R           (3a b e  - 9a b d e  + 9a b d e  - 3b d e)x
+--R         + 
+--R              4 4     3     3       3 3      4 4       4   3     3   2 2
+--R           (3a e  - 6a b d e  + 6a b d e - 3b d )x + 3a d e  - 9a b d e
+--R         + 
+--R             2 2 3        3 4
+--R           9a b d e - 3a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 856
+
+--S 857 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                                 +-----------+
+--R                                   +-----------+ |      b
+--R         ((5A b - 3B a)e - 2B b d)\|- a e + b d  |- ---------
+--R                                                \|  a e - b d
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                          \|  a e - b d
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                                            +-+ +-------+
+--R                                  +-+      \|b \|e x + d
+--R       ((10A b - 6B a)e - 4B b d)\|b atanh(--------------)
+--R                                            +-----------+
+--R                                           \|- a e + b d
+--R  /
+--R        3 3     2     2       2 2      3 3  +-----------+
+--R     (2a e  - 6a b d e  + 6a b d e - 2b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 857
+
+--S 858 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 858
+
+--S 859 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                           +-+ +-------+
+--R                                 +-+      \|b \|e x + d
+--R       ((5A b - 3B a)e - 2B b d)\|b atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a e + b d
+--R     + 
+--R                                                 +---------+
+--R                                   +-----------+ |    b
+--R         ((5A b - 3B a)e - 2B b d)\|- a e + b d  |---------
+--R                                                \|a e - b d
+--R      *
+--R                      +-------+
+--R                    b\|e x + d
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a e - b d) |---------
+--R                         \|a e - b d
+--R  /
+--R       3 3     2     2       2 2     3 3  +-----------+
+--R     (a e  - 3a b d e  + 3a b d e - b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 859
+
+--S 860 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 860
+
+)clear all
+
+--S 861 of 1293
+t0:=(A+B*x)/((a+b*x)^2*(d+e*x)^(7/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          2 3 5          3     2   2  4     2 3           2     2 2   3
+--R         b e x  + (2a b e  + 3b d e )x  + (a e  + 6a b d e  + 3b d e)x
+--R       + 
+--R            2   2         2     2 3  2      2 2          3      2 3
+--R         (3a d e  + 6a b d e + b d )x  + (3a d e + 2a b d )x + a d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 861
+
+--S 862 of 1293
+r0:=1/5*(2*b*B*d-7*A*b*e+5*a*B*e)/(b*(b*d-a*e)^2*(d+e*x)^(5/2))+_
+     (-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)*(d+e*x)^(5/2))+_
+     1/3*(2*b*B*d-7*A*b*e+5*a*B*e)/((b*d-a*e)^3*(d+e*x)^(3/2))-_
+     b^(3/2)*(2*b*B*d-7*A*b*e+5*a*B*e)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/(b*d-a*e)^(9/2)+_
+     b*(2*b*B*d-7*A*b*e+5*a*B*e)/((b*d-a*e)^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                   3          2  3        3   2  3
+--R           ((105A b  - 75B a b )e  - 30B b d e )x
+--R         + 
+--R                     2        2   3          3           2    2        3 2   2
+--R           ((105A a b  - 75B a b)e  + (210A b  - 180B a b )d e  - 60B b d e)x
+--R         + 
+--R                     2         2     2          3           2  2         3 3
+--R           ((210A a b  - 150B a b)d e  + (105A b  - 135B a b )d e - 30B b d )x
+--R         + 
+--R                    2        2   2           2 3
+--R           (105A a b  - 75B a b)d e - 30B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|e x + d
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                     3          2  3        3   2  3
+--R           ((- 105A b  + 75B a b )e  + 30B b d e )x
+--R         + 
+--R                           2        2   3            3           2    2
+--R                 (- 70A a b  + 50B a b)e  + (- 245A b  + 195B a b )d e
+--R               + 
+--R                      3 2
+--R                 70B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     2         3  3              2         2     2
+--R               (14A a b - 10B a )e  + (- 168A a b  + 116B a b)d e
+--R             + 
+--R                        3           2  2         3 3
+--R               (- 161A b  + 163B a b )d e + 46B b d
+--R          *
+--R             x
+--R         + 
+--R                 3 3         2        3    2              2        2   2
+--R           - 6A a e  + (32A a b - 4B a )d e  + (- 116A a b  + 48B a b)d e
+--R         + 
+--R                   3          2  3
+--R           (- 15A b  + 61B a b )d
+--R      *
+--R          +-----------+
+--R         \|- a e + b d
+--R  /
+--R             4   6      3 2   5      2 3 2 4        4 3 3      5 4 2  3
+--R         (15a b e  - 60a b d e  + 90a b d e  - 60a b d e  + 15b d e )x
+--R       + 
+--R                5 6      4     5      3 2 2 4       2 3 3 3         4 4 2
+--R             15a e  - 30a b d e  - 30a b d e  + 120a b d e  - 105a b d e
+--R           + 
+--R                5 5
+--R             30b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                5   5       4   2 4       3 2 3 3      2 3 4 2        4 5
+--R             30a d e  - 105a b d e  + 120a b d e  - 30a b d e  - 30a b d e
+--R           + 
+--R                5 6
+--R             15b d
+--R        *
+--R           x
+--R       + 
+--R            5 2 4      4   3 3      3 2 4 2      2 3 5         4 6
+--R         15a d e  - 60a b d e  + 90a b d e  - 60a b d e + 15a b d
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 862
+
+--S 863 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                     3          2  3        3   2  3
+--R             ((105A b  - 75B a b )e  - 30B b d e )x
+--R           + 
+--R                       2        2   3          3           2    2        3 2   2
+--R             ((105A a b  - 75B a b)e  + (210A b  - 180B a b )d e  - 60B b d e)x
+--R           + 
+--R                       2         2     2          3           2  2         3 3
+--R             ((210A a b  - 150B a b)d e  + (105A b  - 135B a b )d e - 30B b d )x
+--R           + 
+--R                      2        2   2           2 3
+--R             (105A a b  - 75B a b)d e - 30B a b d
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|e x + d
+--R           \|  a e - b d
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                              \|  a e - b d
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                   3           2  3        3   2  3
+--R         ((- 210A b  + 150B a b )e  + 60B b d e )x
+--R       + 
+--R                          2         2   3            3           2    2
+--R               (- 140A a b  + 100B a b)e  + (- 490A b  + 390B a b )d e
+--R             + 
+--R                     3 2
+--R               140B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   2         3  3              2         2     2
+--R             (28A a b - 20B a )e  + (- 336A a b  + 232B a b)d e
+--R           + 
+--R                      3           2  2         3 3
+--R             (- 322A b  + 326B a b )d e + 92B b d
+--R        *
+--R           x
+--R       + 
+--R                3 3         2        3    2              2        2   2
+--R         - 12A a e  + (64A a b - 8B a )d e  + (- 232A a b  + 96B a b)d e
+--R       + 
+--R                 3           2  3
+--R         (- 30A b  + 122B a b )d
+--R    /
+--R               4   6       3 2   5       2 3 2 4         4 3 3      5 4 2  3
+--R           (30a b e  - 120a b d e  + 180a b d e  - 120a b d e  + 30b d e )x
+--R         + 
+--R                  5 6      4     5      3 2 2 4       2 3 3 3         4 4 2
+--R               30a e  - 60a b d e  - 60a b d e  + 240a b d e  - 210a b d e
+--R             + 
+--R                  5 5
+--R               60b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  5   5       4   2 4       3 2 3 3      2 3 4 2        4 5
+--R               60a d e  - 210a b d e  + 240a b d e  - 60a b d e  - 60a b d e
+--R             + 
+--R                  5 6
+--R               30b d
+--R          *
+--R             x
+--R         + 
+--R              5 2 4       4   3 3       3 2 4 2       2 3 5         4 6
+--R           30a d e  - 120a b d e  + 180a b d e  - 120a b d e + 30a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ,
+--R
+--R                       3          2  3        3   2  3
+--R             ((- 105A b  + 75B a b )e  + 30B b d e )x
+--R           + 
+--R                            2        2   3            3           2    2
+--R                 (- 105A a b  + 75B a b)e  + (- 210A b  + 180B a b )d e
+--R               + 
+--R                      3 2
+--R                 60B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                            2         2     2            3           2  2
+--R                 (- 210A a b  + 150B a b)d e  + (- 105A b  + 135B a b )d e
+--R               + 
+--R                      3 3
+--R                 30B b d
+--R            *
+--R               x
+--R           + 
+--R                        2        2   2           2 3
+--R             (- 105A a b  + 75B a b)d e + 30B a b d
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|e x + d
+--R            |--------- \|e x + d atan(-----------------------)
+--R           \|a e - b d                            +---------+
+--R                                                  |    b
+--R                                      (a e - b d) |---------
+--R                                                 \|a e - b d
+--R       + 
+--R                   3          2  3        3   2  3
+--R         ((- 105A b  + 75B a b )e  + 30B b d e )x
+--R       + 
+--R                    2        2   3            3           2    2        3 2   2
+--R         ((- 70A a b  + 50B a b)e  + (- 245A b  + 195B a b )d e  + 70B b d e)x
+--R       + 
+--R                   2         3  3              2         2     2
+--R             (14A a b - 10B a )e  + (- 168A a b  + 116B a b)d e
+--R           + 
+--R                      3           2  2         3 3
+--R             (- 161A b  + 163B a b )d e + 46B b d
+--R        *
+--R           x
+--R       + 
+--R               3 3         2        3    2              2        2   2
+--R         - 6A a e  + (32A a b - 4B a )d e  + (- 116A a b  + 48B a b)d e
+--R       + 
+--R                 3          2  3
+--R         (- 15A b  + 61B a b )d
+--R    /
+--R               4   6      3 2   5      2 3 2 4        4 3 3      5 4 2  3
+--R           (15a b e  - 60a b d e  + 90a b d e  - 60a b d e  + 15b d e )x
+--R         + 
+--R                  5 6      4     5      3 2 2 4       2 3 3 3         4 4 2
+--R               15a e  - 30a b d e  - 30a b d e  + 120a b d e  - 105a b d e
+--R             + 
+--R                  5 5
+--R               30b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  5   5       4   2 4       3 2 3 3      2 3 4 2        4 5
+--R               30a d e  - 105a b d e  + 120a b d e  - 30a b d e  - 30a b d e
+--R             + 
+--R                  5 6
+--R               15b d
+--R          *
+--R             x
+--R         + 
+--R              5 2 4      4   3 3      3 2 4 2      2 3 5         4 6
+--R           15a d e  - 60a b d e  + 90a b d e  - 60a b d e + 15a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 863
+
+--S 864 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                                    +-----------+
+--R               2                  2   +-----------+ |      b
+--R         ((7A b  - 5B a b)e - 2B b d)\|- a e + b d  |- ---------
+--R                                                   \|  a e - b d
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                                  +-+ +-------+
+--R                2                   2   +-+      \|b \|e x + d
+--R       ((- 14A b  + 10B a b)e + 4B b d)\|b atanh(--------------)
+--R                                                  +-----------+
+--R                                                 \|- a e + b d
+--R  /
+--R        4 4     3     3      2 2 2 2       3 3      4 4  +-----------+
+--R     (2a e  - 8a b d e  + 12a b d e  - 8a b d e + 2b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 864
+
+--S 865 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 865
+
+--S 866 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                +-+ +-------+
+--R               2                  2   +-+      \|b \|e x + d
+--R       ((- 7A b  + 5B a b)e + 2B b d)\|b atanh(--------------)
+--R                                                +-----------+
+--R                                               \|- a e + b d
+--R     + 
+--R                                                      +---------+
+--R                 2                  2   +-----------+ |    b
+--R         ((- 7A b  + 5B a b)e + 2B b d)\|- a e + b d  |---------
+--R                                                     \|a e - b d
+--R      *
+--R                      +-------+
+--R                    b\|e x + d
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a e - b d) |---------
+--R                         \|a e - b d
+--R  /
+--R       4 4     3     3     2 2 2 2       3 3     4 4  +-----------+
+--R     (a e  - 4a b d e  + 6a b d e  - 4a b d e + b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 866
+
+--S 867 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 867
+
+)clear all
+
+--S 868 of 1293
+t0:=(A+B*x)*(d+e*x)^(7/2)/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R            3 4       3         2  3          2       2   2        2       3
+--R         B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x
+--R       + 
+--R            3
+--R         A d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R      3 3       2 2     2       3
+--R     b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 868
+
+--S 869 of 1293
+r0:=7/12*e*(4*b*B*d+5*A*b*e-9*a*B*e)*(d+e*x)^(3/2)/b^4+_
+     7/20*e*(4*b*B*d+5*A*b*e-9*a*B*e)*(d+e*x)^(5/2)/(b^3*(b*d-a*e))-_
+     1/4*(4*b*B*d+5*A*b*e-9*a*B*e)*(d+e*x)^(7/2)/(b^2*(b*d-a*e)*(a+b*x))-_
+     1/2*(A*b-a*B)*(d+e*x)^(9/2)/(b*(b*d-a*e)*(a+b*x)^2)-_
+     7/4*e*(b*d-a*e)^(3/2)*(4*b*B*d+5*A*b*e-9*a*B*e)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/b^(11/2)+_
+     7/4*e*(b*d-a*e)*(4*b*B*d+5*A*b*e-9*a*B*e)*sqrt(d+e*x)/b^5
+--R 
+--R
+--R   (2)
+--R                        3         2 2  3            4            3    2
+--R               (525A a b  - 945B a b )e  + (- 525A b  + 1365B a b )d e
+--R             + 
+--R                       4 2
+--R               - 420B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       2 2          3   3               3          2 2    2
+--R               (1050A a b  - 1890B a b)e  + (- 1050A a b  + 2730B a b )d e
+--R             + 
+--R                         3 2
+--R               - 840B a b d e
+--R          *
+--R             x
+--R         + 
+--R                3          4  3            2 2          3     2         2 2 2
+--R         (525A a b - 945B a )e  + (- 525A a b  + 1365B a b)d e  - 420B a b d e
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                4 3 4          4          3  3         4   2  3
+--R           24B b e x  + ((40A b  - 72B a b )e  + 128B b d e )x
+--R         + 
+--R                          3         2 2  3          4           3    2
+--R               (- 280A a b  + 504B a b )e  + (400A b  - 944B a b )d e
+--R             + 
+--R                     4 2
+--R               464B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        2 2          3   3             3          2 2    2
+--R               (- 875A a b  + 1575B a b)e  + (1190A a b  - 2842B a b )d e
+--R             + 
+--R                        4            3  2         4 3
+--R               (- 195A b  + 1303B a b )d e - 60B b d
+--R          *
+--R             x
+--R         + 
+--R                    3          4  3          2 2          3     2
+--R           (- 525A a b + 945B a )e  + (700A a b  - 1680B a b)d e
+--R         + 
+--R                      3         2 2  2            4          3  3
+--R           (- 105A a b  + 749B a b )d e + (- 30A b  - 30B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         7 2         6       2 5  +-+
+--R     (60b x  + 120a b x + 60a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 869
+
+--S 870 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                            3         2 2  3          4            3    2
+--R                 (- 525A a b  + 945B a b )e  + (525A b  - 1365B a b )d e
+--R               + 
+--R                       4 2
+--R                 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                           2 2          3   3             3          2 2    2
+--R                 (- 1050A a b  + 1890B a b)e  + (1050A a b  - 2730B a b )d e
+--R               + 
+--R                         3 2
+--R                 840B a b d e
+--R            *
+--R               x
+--R           + 
+--R                    3          4  3          2 2          3     2         2 2 2
+--R           (- 525A a b + 945B a )e  + (525A a b  - 1365B a b)d e  + 420B a b d e
+--R        *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R            +-----------+    - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                  4 3 4          4           3  3         4   2  3
+--R             48B b e x  + ((80A b  - 144B a b )e  + 256B b d e )x
+--R           + 
+--R                            3          2 2  3          4            3    2
+--R                 (- 560A a b  + 1008B a b )e  + (800A b  - 1888B a b )d e
+--R               + 
+--R                       4 2
+--R                 928B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                           2 2          3   3             3          2 2    2
+--R                 (- 1750A a b  + 3150B a b)e  + (2380A a b  - 5684B a b )d e
+--R               + 
+--R                          4            3  2          4 3
+--R                 (- 390A b  + 2606B a b )d e - 120B b d
+--R            *
+--R               x
+--R           + 
+--R                       3           4  3           2 2          3     2
+--R             (- 1050A a b + 1890B a )e  + (1400A a b  - 3360B a b)d e
+--R           + 
+--R                        3          2 2  2            4          3  3
+--R             (- 210A a b  + 1498B a b )d e + (- 60A b  - 60B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R           7 2         6        2 5
+--R       120b x  + 240a b x + 120a b
+--R     ,
+--R
+--R                          3         2 2  3            4            3    2
+--R                 (525A a b  - 945B a b )e  + (- 525A b  + 1365B a b )d e
+--R               + 
+--R                         4 2
+--R                 - 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                         2 2          3   3               3          2 2    2
+--R                 (1050A a b  - 1890B a b)e  + (- 1050A a b  + 2730B a b )d e
+--R               + 
+--R                           3 2
+--R                 - 840B a b d e
+--R            *
+--R               x
+--R           + 
+--R                  3          4  3            2 2          3     2         2 2 2
+--R           (525A a b - 945B a )e  + (- 525A a b  + 1365B a b)d e  - 420B a b d e
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                  4 3 4          4          3  3         4   2  3
+--R             24B b e x  + ((40A b  - 72B a b )e  + 128B b d e )x
+--R           + 
+--R                            3         2 2  3          4           3    2
+--R                 (- 280A a b  + 504B a b )e  + (400A b  - 944B a b )d e
+--R               + 
+--R                       4 2
+--R                 464B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                          2 2          3   3             3          2 2    2
+--R                 (- 875A a b  + 1575B a b)e  + (1190A a b  - 2842B a b )d e
+--R               + 
+--R                          4            3  2         4 3
+--R                 (- 195A b  + 1303B a b )d e - 60B b d
+--R            *
+--R               x
+--R           + 
+--R                      3          4  3          2 2          3     2
+--R             (- 525A a b + 945B a )e  + (700A a b  - 1680B a b)d e
+--R           + 
+--R                        3         2 2  2            4          3  3
+--R             (- 105A a b  + 749B a b )d e + (- 30A b  - 30B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          7 2         6       2 5
+--R       60b x  + 120a b x + 60a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 870
+
+--S 871 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                            2  3         2              2        2 2
+--R         ((- 35A a b + 63B a )e  + (35A b  - 91B a b)d e  + 28B b d e)
+--R      *
+--R                                  +-----------+
+--R                                  |- a e + b d  +-------+
+--R        +-----------+        - 2b |----------- \|e x + d  + b e x - a e + 2b d
+--R        |- a e + b d  +-+        \|     b
+--R        |----------- \|b log(-------------------------------------------------)
+--R       \|     b                                   b x + a
+--R     + 
+--R                             2  3         2               2        2 2
+--R         ((- 70A a b + 126B a )e  + (70A b  - 182B a b)d e  + 56B b d e)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R  /
+--R       5 +-+
+--R     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 871
+
+--S 872 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 872
+
+--S 873 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                            2  3         2              2        2 2
+--R         ((- 35A a b + 63B a )e  + (35A b  - 91B a b)d e  + 28B b d e)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                          2  3           2              2        2 2   +-+
+--R         ((35A a b - 63B a )e  + (- 35A b  + 91B a b)d e  - 28B b d e)\|b
+--R      *
+--R          +---------+       +-------+
+--R          |a e - b d       \|e x + d
+--R          |--------- atan(------------)
+--R         \|    b           +---------+
+--R                           |a e - b d
+--R                           |---------
+--R                          \|    b
+--R  /
+--R       5 +-+
+--R     4b \|b
+--R                                                    Type: Expression(Integer)
+--E 873
+
+--S 874 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 874
+
+)clear all
+
+--S 875 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/(a+b*x)^3
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                           3 3       2 2     2       3
+--R                          b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 875
+
+--S 876 of 1293
+r0:=5/12*e*(4*b*B*d+3*A*b*e-7*a*B*e)*(d+e*x)^(3/2)/(b^3*(b*d-a*e))-_
+     1/4*(4*b*B*d+3*A*b*e-7*a*B*e)*(d+e*x)^(5/2)/(b^2*(b*d-a*e)*(a+b*x))-_
+     1/2*(A*b-a*B)*(d+e*x)^(7/2)/(b*(b*d-a*e)*(a+b*x)^2)-_
+     5/4*e*(4*b*B*d+3*A*b*e-7*a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/_
+     sqrt(b*d-a*e))*sqrt(b*d-a*e)/b^(9/2)+5/4*e*(4*b*B*d+3*A*b*e-7*a*B*e)*_
+     sqrt(d+e*x)/b^4
+--R 
+--R
+--R   (2)
+--R                    3           2  2        3     2
+--R           ((- 45A b  + 105B a b )e  - 60B b d e)x
+--R         + 
+--R                      2         2   2           2                2          3  2
+--R           ((- 90A a b  + 210B a b)e  - 120B a b d e)x + (- 45A a b + 105B a )e
+--R         + 
+--R                  2
+--R           - 60B a b d e
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|e x + d
+--R         \|- a e + b d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R               3 2 3          3          2  2        3     2
+--R           8B b e x  + ((24A b  - 56B a b )e  + 56B b d e)x
+--R         + 
+--R                    2         2   2           3           2            3 2
+--R           ((75A a b  - 175B a b)e  + (- 27A b  + 163B a b )d e - 12B b d )x
+--R         + 
+--R                 2          3  2             2        2
+--R           (45A a b - 105B a )e  + (- 15A a b  + 95B a b)d e
+--R         + 
+--R                  3         2  2
+--R           (- 6A b  - 6B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         6 2        5       2 4  +-+
+--R     (12b x  + 24a b x + 12a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 876
+
+--S 877 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      3           2  2        3     2
+--R             ((- 45A b  + 105B a b )e  - 60B b d e)x
+--R           + 
+--R                        2         2   2           2
+--R             ((- 90A a b  + 210B a b)e  - 120B a b d e)x
+--R           + 
+--R                     2          3  2        2
+--R             (- 45A a b + 105B a )e  - 60B a b d e
+--R        *
+--R                                +-----------+
+--R                                |- a e + b d  +-------+
+--R            +-----------+    2b |----------- \|e x + d  + b e x - a e + 2b d
+--R            |- a e + b d       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                  3 2 3          3           2  2         3     2
+--R             16B b e x  + ((48A b  - 112B a b )e  + 112B b d e)x
+--R           + 
+--R                       2         2   2           3           2            3 2
+--R             ((150A a b  - 350B a b)e  + (- 54A b  + 326B a b )d e - 24B b d )x
+--R           + 
+--R                   2          3  2             2         2
+--R             (90A a b - 210B a )e  + (- 30A a b  + 190B a b)d e
+--R           + 
+--R                     3          2  2
+--R             (- 12A b  - 12B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          6 2        5       2 4
+--R       24b x  + 48a b x + 24a b
+--R     ,
+--R
+--R                      3           2  2        3     2
+--R             ((- 45A b  + 105B a b )e  - 60B b d e)x
+--R           + 
+--R                        2         2   2           2
+--R             ((- 90A a b  + 210B a b)e  - 120B a b d e)x
+--R           + 
+--R                     2          3  2        2
+--R             (- 45A a b + 105B a )e  - 60B a b d e
+--R        *
+--R            +---------+       +-------+
+--R            |a e - b d       \|e x + d
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a e - b d
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                 3 2 3          3          2  2        3     2
+--R             8B b e x  + ((24A b  - 56B a b )e  + 56B b d e)x
+--R           + 
+--R                      2         2   2           3           2            3 2
+--R             ((75A a b  - 175B a b)e  + (- 27A b  + 163B a b )d e - 12B b d )x
+--R           + 
+--R                   2          3  2             2        2
+--R             (45A a b - 105B a )e  + (- 15A a b  + 95B a b)d e
+--R           + 
+--R                    3         2  2
+--R             (- 6A b  - 6B a b )d
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R    /
+--R          6 2        5       2 4
+--R       12b x  + 24a b x + 12a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 877
+
+--S 878 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                           +-----------+
+--R                            2              |- a e + b d  +-+
+--R         ((- 15A b + 35B a)e  - 20B b d e) |----------- \|b
+--R                                          \|     b
+--R      *
+--R                +-----------+
+--R                |- a e + b d  +-------+
+--R             2b |----------- \|e x + d  + b e x - a e + 2b d
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                           +-+ +-------+
+--R                        2              +-----------+      \|b \|e x + d
+--R       ((30A b - 70B a)e  + 40B b d e)\|- a e + b d atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a e + b d
+--R  /
+--R       4 +-+
+--R     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 878
+
+--S 879 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 879
+
+--S 880 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                           +-+ +-------+
+--R                        2              +-----------+      \|b \|e x + d
+--R       ((15A b - 35B a)e  + 20B b d e)\|- a e + b d atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a e + b d
+--R     + 
+--R                                             +---------+       +-------+
+--R                          2              +-+ |a e - b d       \|e x + d
+--R       ((- 15A b + 35B a)e  - 20B b d e)\|b  |--------- atan(------------)
+--R                                            \|    b           +---------+
+--R                                                              |a e - b d
+--R                                                              |---------
+--R                                                             \|    b
+--R  /
+--R       4 +-+
+--R     4b \|b
+--R                                                    Type: Expression(Integer)
+--E 880
+
+--S 881 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 881
+
+)clear all
+
+--S 882 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/(a+b*x)^3
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R               3 3       2 2     2       3
+--R              b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 882
+
+--S 883 of 1293
+r0:=-1/4*(4*b*B*d+A*b*e-5*a*B*e)*(d+e*x)^(3/2)/(b^2*(b*d-a*e)*(a+b*x))-_
+     1/2*(A*b-a*B)*(d+e*x)^(5/2)/(b*(b*d-a*e)*(a+b*x)^2)-_
+     3/4*e*(4*b*B*d+A*b*e-5*a*B*e)*atanh(sqrt(b)*sqrt(d+e*x)/_
+     sqrt(b*d-a*e))/(b^(7/2)*sqrt(b*d-a*e))+3/4*e*(4*b*B*d+A*b*e-5*a*B*e)*_
+     sqrt(d+e*x)/(b^3*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                   3          2  2        3     2
+--R           ((- 3A b  + 15B a b )e  - 12B b d e)x
+--R         + 
+--R                     2        2   2          2               2         3  2
+--R           ((- 6A a b  + 30B a b)e  - 24B a b d e)x + (- 3A a b + 15B a )e
+--R         + 
+--R                  2
+--R           - 12B a b d e
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R               2   2           2                   2                       2
+--R           8B b e x  + ((- 5A b  + 25B a b)e - 4B b d)x + (- 3A a b + 15B a )e
+--R         + 
+--R                  2
+--R           (- 2A b  - 2B a b)d
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a e + b d \|b \|e x + d
+--R  /
+--R        5 2       4      2 3  +-----------+ +-+
+--R     (4b x  + 8a b x + 4a b )\|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 883
+
+--S 884 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   3          2  2        3     2
+--R             ((3A b  - 15B a b )e  + 12B b d e)x
+--R           + 
+--R                     2        2   2          2             2         3  2
+--R             ((6A a b  - 30B a b)e  + 24B a b d e)x + (3A a b - 15B a )e
+--R           + 
+--R                  2
+--R             12B a b d e
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                  2   2            2                   2
+--R             16B b e x  + ((- 10A b  + 50B a b)e - 8B b d)x
+--R           + 
+--R                              2            2
+--R             (- 6A a b + 30B a )e + (- 4A b  - 4B a b)d
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b e + b d \|e x + d
+--R    /
+--R                                 +-------------+
+--R          5 2        4      2 3  |           2
+--R       (8b x  + 16a b x + 8a b )\|- a b e + b d
+--R     ,
+--R
+--R                   3          2  2        3     2
+--R             ((3A b  - 15B a b )e  + 12B b d e)x
+--R           + 
+--R                     2        2   2          2             2         3  2
+--R             ((6A a b  - 30B a b)e  + 24B a b d e)x + (3A a b - 15B a )e
+--R           + 
+--R                  2
+--R             12B a b d e
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b e - b d \|e x + d
+--R           atan(------------------------)
+--R                        a e - b d
+--R       + 
+--R                 2   2           2                   2                       2
+--R             8B b e x  + ((- 5A b  + 25B a b)e - 4B b d)x + (- 3A a b + 15B a )e
+--R           + 
+--R                    2
+--R             (- 2A b  - 2B a b)d
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b e - b d \|e x + d
+--R    /
+--R                                +-----------+
+--R          5 2       4      2 3  |         2
+--R       (4b x  + 8a b x + 4a b )\|a b e - b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 884
+
+--S 885 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                         2              +-----------+ +-+
+--R         ((3A b - 15B a)e  + 12B b d e)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                                      +-------------+       +-+ +-------+
+--R                       2              |           2        \|b \|e x + d
+--R       ((6A b - 30B a)e  + 24B b d e)\|- a b e + b d atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a e + b d
+--R  /
+--R         +-------------+
+--R       3 |           2   +-----------+ +-+
+--R     8b \|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 885
+
+--S 886 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 886
+
+--S 887 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                      +-----------+       +-+ +-------+
+--R                       2              |         2        \|b \|e x + d
+--R       ((3A b - 15B a)e  + 12B b d e)\|a b e - b d atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a e + b d
+--R     + 
+--R                         2              +-----------+ +-+
+--R         ((3A b - 15B a)e  + 12B b d e)\|- a e + b d \|b
+--R      *
+--R               +-----------+
+--R               |         2   +-------+
+--R              \|a b e - b d \|e x + d
+--R         atan(------------------------)
+--R                      a e - b d
+--R  /
+--R                           +-----------+
+--R       3 +-----------+ +-+ |         2
+--R     4b \|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 887
+
+--S 888 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 888
+
+)clear all
+
+--S 889 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/(a+b*x)^3
+--R 
+--R
+--R                       +-------+
+--R             (B x + A)\|e x + d
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 889
+
+--S 890 of 1293
+r0:=-1/2*(A*b-a*B)*(d+e*x)^(3/2)/(b*(b*d-a*e)*(a+b*x)^2)-_
+     1/4*e*(4*b*B*d-A*b*e-3*a*B*e)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/(b^(5/2)*(b*d-a*e)^(3/2))-_
+     1/4*(4*b*B*d-A*b*e-3*a*B*e)*sqrt(d+e*x)/(b^2*(b*d-a*e)*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                  3         2  2       3     2
+--R           ((- A b  - 3B a b )e  + 4B b d e)x
+--R         + 
+--R                     2       2   2         2              2        3  2
+--R           ((- 2A a b  - 6B a b)e  + 8B a b d e)x + (- A a b - 3B a )e
+--R         + 
+--R               2
+--R           4B a b d e
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R               2                  2                     2          2
+--R         (((A b  - 5B a b)e + 4B b d)x + (- A a b - 3B a )e + (2A b  + 2B a b)d)
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a e + b d \|b \|e x + d
+--R  /
+--R             4      5   2      2 3        4        3 2      2 3   +-----------+
+--R       ((4a b e - 4b d)x  + (8a b e - 8a b d)x + 4a b e - 4a b d)\|- a e + b d
+--R    *
+--R        +-+
+--R       \|b
+--R                                                    Type: Expression(Integer)
+--E 890
+
+--S 891 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                  3         2  2       3     2
+--R             ((A b  + 3B a b )e  - 4B b d e)x
+--R           + 
+--R                   2       2   2         2            2        3  2       2
+--R           ((2A a b  + 6B a b)e  - 8B a b d e)x + (A a b + 3B a )e  - 4B a b d e
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                   2                   2                      2
+--R             ((2A b  - 10B a b)e + 8B b d)x + (- 2A a b - 6B a )e
+--R           + 
+--R                  2
+--R             (4A b  + 4B a b)d
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b e + b d \|e x + d
+--R    /
+--R               4      5   2       2 3         4        3 2      2 3
+--R         ((8a b e - 8b d)x  + (16a b e - 16a b d)x + 8a b e - 8a b d)
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b e + b d
+--R     ,
+--R
+--R                  3         2  2       3     2
+--R             ((A b  + 3B a b )e  - 4B b d e)x
+--R           + 
+--R                   2       2   2         2            2        3  2       2
+--R           ((2A a b  + 6B a b)e  - 8B a b d e)x + (A a b + 3B a )e  - 4B a b d e
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b e - b d \|e x + d
+--R           atan(------------------------)
+--R                        a e - b d
+--R       + 
+--R                    2                  2                     2
+--R               ((A b  - 5B a b)e + 4B b d)x + (- A a b - 3B a )e
+--R             + 
+--R                    2
+--R               (2A b  + 2B a b)d
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b e - b d \|e x + d
+--R    /
+--R                                                                  +-----------+
+--R             4      5   2      2 3        4        3 2      2 3   |         2
+--R       ((4a b e - 4b d)x  + (8a b e - 8a b d)x + 4a b e - 4a b d)\|a b e - b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 891
+
+--S 892 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                       2             +-----------+ +-+
+--R         ((A b + 3B a)e  - 4B b d e)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                                    +-------------+       +-+ +-------+
+--R                      2             |           2        \|b \|e x + d
+--R       ((2A b + 6B a)e  - 8B b d e)\|- a b e + b d atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a e + b d
+--R  /
+--R                     +-------------+
+--R          2      3   |           2   +-----------+ +-+
+--R     (8a b e - 8b d)\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 892
+
+--S 893 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 893
+
+--S 894 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                   +-----------+       +-+ +-------+
+--R                     2             |         2        \|b \|e x + d
+--R       ((A b + 3B a)e  - 4B b d e)\|a b e - b d atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a e + b d
+--R     + 
+--R                                                        +-----------+
+--R                                                        |         2   +-------+
+--R                   2             +-----------+ +-+     \|a b e - b d \|e x + d
+--R     ((A b + 3B a)e  - 4B b d e)\|- a e + b d \|b atan(------------------------)
+--R                                                               a e - b d
+--R  /
+--R                                       +-----------+
+--R          2      3   +-----------+ +-+ |         2
+--R     (4a b e - 4b d)\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 894
+
+--S 895 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 895
+
+)clear all
+
+--S 896 of 1293
+t0:=(A+B*x)/((a+b*x)^3*sqrt(d+e*x))
+--R 
+--R
+--R                         B x + A
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 896
+
+--S 897 of 1293
+r0:=1/4*e*(4*b*B*d-3*A*b*e-a*B*e)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/(b^(3/2)*(b*d-a*e)^(5/2))-_
+     1/2*(A*b-a*B)*sqrt(d+e*x)/(b*(b*d-a*e)*(a+b*x)^2)-_
+     1/4*(4*b*B*d-3*A*b*e-a*B*e)*sqrt(d+e*x)/(b*(b*d-a*e)^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                   3        2  2       3     2
+--R           ((- 3A b  - B a b )e  + 4B b d e)x
+--R         + 
+--R                     2       2   2         2               2       3  2
+--R           ((- 6A a b  - 2B a b)e  + 8B a b d e)x + (- 3A a b - B a )e
+--R         + 
+--R               2
+--R           4B a b d e
+--R      *
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a e + b d
+--R     + 
+--R                2                 2                   2            2
+--R         (((3A b  + B a b)e - 4B b d)x + (5A a b - B a )e + (- 2A b  - 2B a b)d)
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a e + b d \|b \|e x + d
+--R  /
+--R            2 3 2       4        5 2  2      3 2 2      2 3          4 2
+--R         (4a b e  - 8a b d e + 4b d )x  + (8a b e  - 16a b d e + 8a b d )x
+--R       + 
+--R           4   2     3 2        2 3 2
+--R         4a b e  - 8a b d e + 4a b d
+--R    *
+--R        +-----------+ +-+
+--R       \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 897
+
+--S 898 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   3        2  2       3     2
+--R             ((3A b  + B a b )e  - 4B b d e)x
+--R           + 
+--R                   2       2   2         2             2       3  2       2
+--R           ((6A a b  + 2B a b)e  - 8B a b d e)x + (3A a b + B a )e  - 4B a b d e
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                   2                  2                     2
+--R             ((6A b  + 2B a b)e - 8B b d)x + (10A a b - 2B a )e
+--R           + 
+--R                    2
+--R             (- 4A b  - 4B a b)d
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b e + b d \|e x + d
+--R    /
+--R              2 3 2        4        5 2  2       3 2 2      2 3           4 2
+--R           (8a b e  - 16a b d e + 8b d )x  + (16a b e  - 32a b d e + 16a b d )x
+--R         + 
+--R             4   2      3 2        2 3 2
+--R           8a b e  - 16a b d e + 8a b d
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b e + b d
+--R     ,
+--R
+--R                   3        2  2       3     2
+--R             ((3A b  + B a b )e  - 4B b d e)x
+--R           + 
+--R                   2       2   2         2             2       3  2       2
+--R           ((6A a b  + 2B a b)e  - 8B a b d e)x + (3A a b + B a )e  - 4B a b d e
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b e - b d \|e x + d
+--R           atan(------------------------)
+--R                        a e - b d
+--R       + 
+--R                     2                 2                   2
+--R               ((3A b  + B a b)e - 4B b d)x + (5A a b - B a )e
+--R             + 
+--R                      2
+--R               (- 2A b  - 2B a b)d
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b e - b d \|e x + d
+--R    /
+--R              2 3 2       4        5 2  2      3 2 2      2 3          4 2
+--R           (4a b e  - 8a b d e + 4b d )x  + (8a b e  - 16a b d e + 8a b d )x
+--R         + 
+--R             4   2     3 2        2 3 2
+--R           4a b e  - 8a b d e + 4a b d
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b e - b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 898
+
+--S 899 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                       2             +-----------+ +-+
+--R         ((3A b + B a)e  - 4B b d e)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b e - 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R                                    +-------------+       +-+ +-------+
+--R                      2             |           2        \|b \|e x + d
+--R       ((6A b + 2B a)e  - 8B b d e)\|- a b e + b d atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a e + b d
+--R  /
+--R                                   +-------------+
+--R        2   2        2        3 2  |           2   +-----------+ +-+
+--R     (8a b e  - 16a b d e + 8b d )\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 899
+
+--S 900 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 900
+
+--S 901 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                   +-----------+       +-+ +-------+
+--R                     2             |         2        \|b \|e x + d
+--R       ((3A b + B a)e  - 4B b d e)\|a b e - b d atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a e + b d
+--R     + 
+--R                                                        +-----------+
+--R                                                        |         2   +-------+
+--R                   2             +-----------+ +-+     \|a b e - b d \|e x + d
+--R     ((3A b + B a)e  - 4B b d e)\|- a e + b d \|b atan(------------------------)
+--R                                                               a e - b d
+--R  /
+--R                                                    +-----------+
+--R        2   2       2        3 2  +-----------+ +-+ |         2
+--R     (4a b e  - 8a b d e + 4b d )\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 901
+
+--S 902 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 902
+
+)clear all
+
+--S 903 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R         3   4        2     3   3      2          2   2     3      2         3
+--R       (b e x  + (3a b e + b d)x  + (3a b e + 3a b d)x  + (a e + 3a b d)x + a d)
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 903
+
+--S 904 of 1293
+r0:=3/4*e*(4*b*B*d-5*A*b*e+a*B*e)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))/((b*d-a*e)^(7/2)*sqrt(b))-_
+     3/4*e*(4*b*B*d-5*A*b*e+a*B*e)/(b*(b*d-a*e)^3*sqrt(d+e*x))+_
+     1/2*(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)^2*sqrt(d+e*x))+_
+     1/4*(-4*b*B*d+5*A*b*e-a*B*e)/(b*(b*d-a*e)^2*(a+b*x)*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                  3         2  2        3     2
+--R           ((15A b  - 3B a b )e  - 12B b d e)x
+--R         + 
+--R                    2       2   2          2              2        3  2
+--R           ((30A a b  - 6B a b)e  - 24B a b d e)x + (15A a b - 3B a )e
+--R         + 
+--R                  2
+--R           - 12B a b d e
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|b \|e x + d
+--R         \|e x + d atanh(--------------)
+--R                          +-----------+
+--R                         \|- a e + b d
+--R     + 
+--R                    2           2        2     2
+--R           ((- 15A b  + 3B a b)e  + 12B b d e)x
+--R         + 
+--R                             2  2          2                     2 2         2 2
+--R           ((- 25A a b + 5B a )e  + (- 5A b  + 21B a b)d e + 4B b d )x - 8A a e
+--R         + 
+--R                            2            2           2
+--R           (- 9A a b + 13B a )d e + (2A b  + 2B a b)d
+--R      *
+--R          +-----------+ +-+
+--R         \|- a e + b d \|b
+--R  /
+--R            3 2 3      2 3   2        4 2      5 3  2
+--R         (4a b e  - 12a b d e  + 12a b d e - 4b d )x
+--R       + 
+--R            4   3      3 2   2      2 3 2        4 3       5 3      4     2
+--R         (8a b e  - 24a b d e  + 24a b d e - 8a b d )x + 4a e  - 12a b d e
+--R       + 
+--R            3 2 2      2 3 3
+--R         12a b d e - 4a b d
+--R    *
+--R        +-----------+ +-+ +-------+
+--R       \|- a e + b d \|b \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 904
+
+--S 905 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                    3         2  2        3     2
+--R             ((15A b  - 3B a b )e  - 12B b d e)x
+--R           + 
+--R                      2       2   2          2              2        3  2
+--R             ((30A a b  - 6B a b)e  - 24B a b d e)x + (15A a b - 3B a )e
+--R           + 
+--R                    2
+--R             - 12B a b d e
+--R        *
+--R            +-------+
+--R           \|e x + d
+--R        *
+--R                                                                +-------------+
+--R                           2   +-------+                        |           2
+--R             (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R         log(------------------------------------------------------------------)
+--R                                           b x + a
+--R       + 
+--R                      2           2        2     2
+--R             ((- 30A b  + 6B a b)e  + 24B b d e)x
+--R           + 
+--R                                2  2           2                     2 2
+--R             ((- 50A a b + 10B a )e  + (- 10A b  + 42B a b)d e + 8B b d )x
+--R           + 
+--R                    2 2                     2            2           2
+--R             - 16A a e  + (- 18A a b + 26B a )d e + (4A b  + 4B a b)d
+--R        *
+--R            +-------------+
+--R            |           2
+--R           \|- a b e + b d
+--R    /
+--R              3 2 3      2 3   2        4 2      5 3  2
+--R           (8a b e  - 24a b d e  + 24a b d e - 8b d )x
+--R         + 
+--R               4   3      3 2   2      2 3 2         4 3       5 3      4     2
+--R           (16a b e  - 48a b d e  + 48a b d e - 16a b d )x + 8a e  - 24a b d e
+--R         + 
+--R              3 2 2      2 3 3
+--R           24a b d e - 8a b d
+--R      *
+--R          +-------------+
+--R          |           2   +-------+
+--R         \|- a b e + b d \|e x + d
+--R     ,
+--R
+--R                      3         2  2        3     2
+--R             ((- 15A b  + 3B a b )e  + 12B b d e)x
+--R           + 
+--R                        2       2   2          2                2        3  2
+--R             ((- 30A a b  + 6B a b)e  + 24B a b d e)x + (- 15A a b + 3B a )e
+--R           + 
+--R                  2
+--R             12B a b d e
+--R        *
+--R                           +-----------+
+--R                           |         2   +-------+
+--R            +-------+     \|a b e - b d \|e x + d
+--R           \|e x + d atan(------------------------)
+--R                                  a e - b d
+--R       + 
+--R                      2           2        2     2
+--R             ((- 15A b  + 3B a b)e  + 12B b d e)x
+--R           + 
+--R                               2  2          2                     2 2
+--R             ((- 25A a b + 5B a )e  + (- 5A b  + 21B a b)d e + 4B b d )x
+--R           + 
+--R                   2 2                    2            2           2
+--R             - 8A a e  + (- 9A a b + 13B a )d e + (2A b  + 2B a b)d
+--R        *
+--R            +-----------+
+--R            |         2
+--R           \|a b e - b d
+--R    /
+--R              3 2 3      2 3   2        4 2      5 3  2
+--R           (4a b e  - 12a b d e  + 12a b d e - 4b d )x
+--R         + 
+--R              4   3      3 2   2      2 3 2        4 3       5 3      4     2
+--R           (8a b e  - 24a b d e  + 24a b d e - 8a b d )x + 4a e  - 12a b d e
+--R         + 
+--R              3 2 2      2 3 3
+--R           12a b d e - 4a b d
+--R      *
+--R          +-----------+
+--R          |         2   +-------+
+--R         \|a b e - b d \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 905
+
+--S 906 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                         2              +-----------+ +-+
+--R         ((15A b - 3B a)e  - 12B b d e)\|- a e + b d \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R           (- 2a b e + 2b d)\|e x + d  + (b e x - a e + 2b d)\|- a b e + b d
+--R       log(------------------------------------------------------------------)
+--R                                         b x + a
+--R     + 
+--R                                        +-------------+       +-+ +-------+
+--R                         2              |           2        \|b \|e x + d
+--R       ((- 30A b + 6B a)e  + 24B b d e)\|- a b e + b d atanh(--------------)
+--R                                                              +-----------+
+--R                                                             \|- a e + b d
+--R  /
+--R                                              +-------------+
+--R        3 3      2     2        2 2      3 3  |           2   +-----------+ +-+
+--R     (8a e  - 24a b d e  + 24a b d e - 8b d )\|- a b e + b d \|- a e + b d \|b
+--R                                                    Type: Expression(Integer)
+--E 906
+
+--S 907 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 907
+
+--S 908 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                        +-----------+       +-+ +-------+
+--R                         2              |         2        \|b \|e x + d
+--R       ((- 15A b + 3B a)e  + 12B b d e)\|a b e - b d atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a e + b d
+--R     + 
+--R                           2              +-----------+ +-+
+--R         ((- 15A b + 3B a)e  + 12B b d e)\|- a e + b d \|b
+--R      *
+--R               +-----------+
+--R               |         2   +-------+
+--R              \|a b e - b d \|e x + d
+--R         atan(------------------------)
+--R                      a e - b d
+--R  /
+--R                                                                +-----------+
+--R        3 3      2     2        2 2      3 3  +-----------+ +-+ |         2
+--R     (4a e  - 12a b d e  + 12a b d e - 4b d )\|- a e + b d \|b \|a b e - b d
+--R                                                    Type: Expression(Integer)
+--E 908
+
+--S 909 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 909
+
+)clear all
+
+--S 910 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          3 2 5        2 2     3     4      2   2       2       3 2  3
+--R         b e x  + (3a b e  + 2b d e)x  + (3a b e  + 6a b d e + b d )x
+--R       + 
+--R           3 2     2            2 2  2      3        2   2      3 2
+--R         (a e  + 6a b d e + 3a b d )x  + (2a d e + 3a b d )x + a d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 910
+
+--S 911 of 1293
+r0:=-5/12*e*(4*b*B*d-7*A*b*e+3*a*B*e)/(b*(b*d-a*e)^3*(d+e*x)^(3/2))+_
+     1/2*(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)^2*(d+e*x)^(3/2))+_
+     1/4*(-4*b*B*d+7*A*b*e-3*a*B*e)/(b*(b*d-a*e)^2*(a+b*x)*(d+e*x)^(3/2))+_
+     5/4*e*(4*b*B*d-7*A*b*e+3*a*B*e)*atanh(sqrt(b)*_
+     sqrt(d+e*x)/sqrt(b*d-a*e))*sqrt(b)/(b*d-a*e)^(9/2)-_
+     5/4*e*(4*b*B*d-7*A*b*e+3*a*B*e)/((b*d-a*e)^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                     3          2  3        3   2  3
+--R           ((- 105A b  + 45B a b )e  + 60B b d e )x
+--R         + 
+--R                            2        2   3            3           2    2
+--R                 (- 210A a b  + 90B a b)e  + (- 105A b  + 165B a b )d e
+--R               + 
+--R                      3 2
+--R                 60B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        2         3  3              2         2     2
+--R               (- 105A a b + 45B a )e  + (- 210A a b  + 150B a b)d e
+--R             + 
+--R                       2 2
+--R               120B a b d e
+--R          *
+--R             x
+--R         + 
+--R                    2         3    2        2   2
+--R           (- 105A a b + 45B a )d e  + 60B a b d e
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|e x + d
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                   3          2  3        3   2  3
+--R           ((105A b  - 45B a b )e  - 60B b d e )x
+--R         + 
+--R                     2        2   3          3           2    2        3 2   2
+--R           ((175A a b  - 75B a b)e  + (140A b  - 160B a b )d e  - 80B b d e)x
+--R         + 
+--R                     2         3  3            2         2     2
+--R               (56A a b - 24B a )e  + (238A a b  - 134B a b)d e
+--R             + 
+--R                     3           2  2         3 3
+--R               (21A b  - 145B a b )d e - 12B b d
+--R          *
+--R             x
+--R         + 
+--R                 3 3         2         3    2           2        2   2
+--R           - 8A a e  + (80A a b - 16B a )d e  + (39A a b  - 83B a b)d e
+--R         + 
+--R                  3         2  3
+--R           (- 6A b  - 6B a b )d
+--R      *
+--R          +-----------+
+--R         \|- a e + b d
+--R  /
+--R             4 2 5      3 3   4      2 4 2 3        5 3 2      6 4   3
+--R         (12a b e  - 48a b d e  + 72a b d e  - 48a b d e  + 12b d e)x
+--R       + 
+--R                  5   5      4 2   4      3 3 2 3      2 4 3 2        5 4
+--R               24a b e  - 84a b d e  + 96a b d e  - 24a b d e  - 24a b d e
+--R             + 
+--R                  6 5
+--R               12b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R             6 5      5     4      4 2 2 3      3 3 3 2      2 4 4         5 5
+--R         (12a e  - 24a b d e  - 24a b d e  + 96a b d e  - 84a b d e + 24a b d )x
+--R       + 
+--R            6   4      5   2 3      4 2 3 2      3 3 4       2 4 5
+--R         12a d e  - 48a b d e  + 72a b d e  - 48a b d e + 12a b d
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 911
+
+--S 912 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                     3          2  3        3   2  3
+--R             ((105A b  - 45B a b )e  - 60B b d e )x
+--R           + 
+--R                       2        2   3          3           2    2        3 2   2
+--R             ((210A a b  - 90B a b)e  + (105A b  - 165B a b )d e  - 60B b d e)x
+--R           + 
+--R                          2         3  3            2         2     2
+--R                   (105A a b - 45B a )e  + (210A a b  - 150B a b)d e
+--R                 + 
+--R                             2 2
+--R                   - 120B a b d e
+--R            *
+--R               x
+--R           + 
+--R                    2         3    2        2   2
+--R             (105A a b - 45B a )d e  - 60B a b d e
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|e x + d
+--R           \|  a e - b d
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                 3          2  3         3   2  3
+--R         ((210A b  - 90B a b )e  - 120B b d e )x
+--R       + 
+--R                   2         2   3          3           2    2         3 2   2
+--R         ((350A a b  - 150B a b)e  + (280A b  - 320B a b )d e  - 160B b d e)x
+--R       + 
+--R                    2         3  3            2         2     2
+--R             (112A a b - 48B a )e  + (476A a b  - 268B a b)d e
+--R           + 
+--R                   3           2  2         3 3
+--R             (42A b  - 290B a b )d e - 24B b d
+--R        *
+--R           x
+--R       + 
+--R                3 3          2         3    2           2         2   2
+--R         - 16A a e  + (160A a b - 32B a )d e  + (78A a b  - 166B a b)d e
+--R       + 
+--R                 3          2  3
+--R         (- 12A b  - 12B a b )d
+--R    /
+--R               4 2 5      3 3   4       2 4 2 3        5 3 2      6 4   3
+--R           (24a b e  - 96a b d e  + 144a b d e  - 96a b d e  + 24b d e)x
+--R         + 
+--R                  5   5       4 2   4       3 3 2 3      2 4 3 2        5 4
+--R               48a b e  - 168a b d e  + 192a b d e  - 48a b d e  - 48a b d e
+--R             + 
+--R                  6 5
+--R               24b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  6 5      5     4      4 2 2 3       3 3 3 2       2 4 4
+--R               24a e  - 48a b d e  - 48a b d e  + 192a b d e  - 168a b d e
+--R             + 
+--R                    5 5
+--R               48a b d
+--R          *
+--R             x
+--R         + 
+--R              6   4      5   2 3       4 2 3 2      3 3 4       2 4 5
+--R           24a d e  - 96a b d e  + 144a b d e  - 96a b d e + 24a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ,
+--R
+--R                     3          2  3        3   2  3
+--R             ((105A b  - 45B a b )e  - 60B b d e )x
+--R           + 
+--R                       2        2   3          3           2    2        3 2   2
+--R             ((210A a b  - 90B a b)e  + (105A b  - 165B a b )d e  - 60B b d e)x
+--R           + 
+--R                          2         3  3            2         2     2
+--R                   (105A a b - 45B a )e  + (210A a b  - 150B a b)d e
+--R                 + 
+--R                             2 2
+--R                   - 120B a b d e
+--R            *
+--R               x
+--R           + 
+--R                    2         3    2        2   2
+--R             (105A a b - 45B a )d e  - 60B a b d e
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|e x + d
+--R            |--------- \|e x + d atan(-----------------------)
+--R           \|a e - b d                            +---------+
+--R                                                  |    b
+--R                                      (a e - b d) |---------
+--R                                                 \|a e - b d
+--R       + 
+--R                 3          2  3        3   2  3
+--R         ((105A b  - 45B a b )e  - 60B b d e )x
+--R       + 
+--R                   2        2   3          3           2    2        3 2   2
+--R         ((175A a b  - 75B a b)e  + (140A b  - 160B a b )d e  - 80B b d e)x
+--R       + 
+--R                   2         3  3            2         2     2
+--R             (56A a b - 24B a )e  + (238A a b  - 134B a b)d e
+--R           + 
+--R                   3           2  2         3 3
+--R             (21A b  - 145B a b )d e - 12B b d
+--R        *
+--R           x
+--R       + 
+--R               3 3         2         3    2           2        2   2
+--R         - 8A a e  + (80A a b - 16B a )d e  + (39A a b  - 83B a b)d e
+--R       + 
+--R                3         2  3
+--R         (- 6A b  - 6B a b )d
+--R    /
+--R               4 2 5      3 3   4      2 4 2 3        5 3 2      6 4   3
+--R           (12a b e  - 48a b d e  + 72a b d e  - 48a b d e  + 12b d e)x
+--R         + 
+--R                  5   5      4 2   4      3 3 2 3      2 4 3 2        5 4
+--R               24a b e  - 84a b d e  + 96a b d e  - 24a b d e  - 24a b d e
+--R             + 
+--R                  6 5
+--R               12b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  6 5      5     4      4 2 2 3      3 3 3 2      2 4 4
+--R               12a e  - 24a b d e  - 24a b d e  + 96a b d e  - 84a b d e
+--R             + 
+--R                    5 5
+--R               24a b d
+--R          *
+--R             x
+--R         + 
+--R              6   4      5   2 3      4 2 3 2      3 3 4       2 4 5
+--R           12a d e  - 48a b d e  + 72a b d e  - 48a b d e + 12a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 912
+
+--S 913 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                                       +-----------+
+--R                          2              +-----------+ |      b
+--R         ((35A b - 15B a)e  - 20B b d e)\|- a e + b d  |- ---------
+--R                                                      \|  a e - b d
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a e - 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                          \|  a e - b d
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                                                 +-+ +-------+
+--R                        2              +-+      \|b \|e x + d
+--R       ((70A b - 30B a)e  - 40B b d e)\|b atanh(--------------)
+--R                                                 +-----------+
+--R                                                \|- a e + b d
+--R  /
+--R        4 4      3     3      2 2 2 2        3 3      4 4  +-----------+
+--R     (8a e  - 32a b d e  + 48a b d e  - 32a b d e + 8b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 913
+
+--S 914 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 914
+
+--S 915 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                 +-+ +-------+
+--R                        2              +-+      \|b \|e x + d
+--R       ((35A b - 15B a)e  - 20B b d e)\|b atanh(--------------)
+--R                                                 +-----------+
+--R                                                \|- a e + b d
+--R     + 
+--R                                                       +---------+
+--R                          2              +-----------+ |    b
+--R         ((35A b - 15B a)e  - 20B b d e)\|- a e + b d  |---------
+--R                                                      \|a e - b d
+--R      *
+--R                      +-------+
+--R                    b\|e x + d
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a e - b d) |---------
+--R                         \|a e - b d
+--R  /
+--R        4 4      3     3      2 2 2 2        3 3      4 4  +-----------+
+--R     (4a e  - 16a b d e  + 24a b d e  - 16a b d e + 4b d )\|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 915
+
+--S 916 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 916
+
+)clear all
+
+--S 917 of 1293
+t0:=(A+B*x)/((a+b*x)^3*(d+e*x)^(7/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R         b e x  + (3a b e  + 3b d e )x  + (3a b e  + 9a b d e  + 3b d e)x
+--R       + 
+--R           3 3     2     2       2 2     3 3  3
+--R         (a e  + 9a b d e  + 9a b d e + b d )x
+--R       + 
+--R            3   2     2   2        2 3  2      3 2      2   3      3 3
+--R         (3a d e  + 9a b d e + 3a b d )x  + (3a d e + 3a b d )x + a d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 917
+
+--S 918 of 1293
+r0:=-7/20*e*(4*b*B*d-9*A*b*e+5*a*B*e)/(b*(b*d-a*e)^3*(d+e*x)^(5/2))+_
+     1/2*(-A*b+a*B)/(b*(b*d-a*e)*(a+b*x)^2*(d+e*x)^(5/2))+_
+     1/4*(-4*b*B*d+9*A*b*e-5*a*B*e)/(b*(b*d-a*e)^2*(a+b*x)*(d+e*x)^(5/2))-_
+     7/12*e*(4*b*B*d-9*A*b*e+5*a*B*e)/((b*d-a*e)^4*(d+e*x)^(3/2))+_
+     7/4*b^(3/2)*e*(4*b*B*d-9*A*b*e+5*a*B*e)*_
+     atanh(sqrt(b)*sqrt(d+e*x)/sqrt(b*d-a*e))/(b*d-a*e)^(11/2)-_
+     7/4*b*e*(4*b*B*d-9*A*b*e+5*a*B*e)/((b*d-a*e)^5*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                   4           3  4         4   3  4
+--R           ((945A b  - 525B a b )e  - 420B b d e )x
+--R         + 
+--R                         3          2 2  4           4            3    3
+--R               (1890A a b  - 1050B a b )e  + (1890A b  - 1890B a b )d e
+--R             + 
+--R                       4 2 2
+--R               - 840B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      2 2         3   4             3          2 2    3
+--R               (945A a b  - 525B a b)e  + (3780A a b  - 2520B a b )d e
+--R             + 
+--R                      4            3  2 2         4 3
+--R               (945A b  - 2205B a b )d e  - 420B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       2 2          3     3             3          2 2  2 2
+--R               (1890A a b  - 1050B a b)d e  + (1890A a b  - 1890B a b )d e
+--R             + 
+--R                         3 3
+--R               - 840B a b d e
+--R          *
+--R             x
+--R         + 
+--R                  2 2         3   2 2         2 2 3
+--R           (945A a b  - 525B a b)d e  - 420B a b d e
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|e x + d
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-----------+
+--R                             \|- a e + b d
+--R     + 
+--R                     4           3  4         4   3  4
+--R           ((- 945A b  + 525B a b )e  + 420B b d e )x
+--R         + 
+--R                           3         2 2  4             4            3    3
+--R               (- 1575A a b  + 875B a b )e  + (- 2205A b  + 1925B a b )d e
+--R             + 
+--R                     4 2 2
+--R               980B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        2 2         3   4               3          2 2    3
+--R               (- 504A a b  + 280B a b)e  + (- 3717A a b  + 2289B a b )d e
+--R             + 
+--R                         4            3  2 2         4 3
+--R               (- 1449A b  + 2457B a b )d e  + 644B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     3         4  4             2 2         3     3
+--R               (72A a b - 40B a )e  + (- 1224A a b  + 648B a b)d e
+--R             + 
+--R                           3          2 2  2 2            4            3  3
+--R               (- 2493A a b  + 1929B a b )d e  + (- 135A b  + 1183B a b )d e
+--R             + 
+--R                    4 4
+--R               60B b d
+--R          *
+--R             x
+--R         + 
+--R                  4 4          3         4    3            2 2         3   2 2
+--R           - 24A a e  + (168A a b - 16B a )d e  + (- 864A a b  + 272B a b)d e
+--R         + 
+--R                      3         2 2  3          4          3  4
+--R           (- 255A a b  + 659B a b )d e + (30A b  + 30B a b )d
+--R      *
+--R          +-----------+
+--R         \|- a e + b d
+--R  /
+--R                5 2 7       4 3   6       3 4 2 5       2 5 3 4         6 4 3
+--R             60a b e  - 300a b d e  + 600a b d e  - 600a b d e  + 300a b d e
+--R           + 
+--R                  7 5 2
+--R             - 60b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                 6   7       5 2   6       4 3 2 5       2 5 4 3         6 5 2
+--R             120a b e  - 480a b d e  + 600a b d e  - 600a b d e  + 480a b d e
+--R           + 
+--R                   7 6
+--R             - 120b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                7 7      6     6       5 2 2 5        4 3 3 4        3 4 4 3
+--R             60a e  - 60a b d e  - 540a b d e  + 1500a b d e  - 1500a b d e
+--R           + 
+--R                 2 5 5 2        6 6       7 7
+--R             540a b d e  + 60a b d e - 60b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 7   6       6   2 5       5 2 3 4       3 4 5 2       2 5 6
+--R             120a d e  - 480a b d e  + 600a b d e  - 600a b d e  + 480a b d e
+--R           + 
+--R                     6 7
+--R             - 120a b d
+--R        *
+--R           x
+--R       + 
+--R            7 2 5       6   3 4       5 2 4 3       4 3 5 2       3 4 6
+--R         60a d e  - 300a b d e  + 600a b d e  - 600a b d e  + 300a b d e
+--R       + 
+--R              2 5 7
+--R         - 60a b d
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a e + b d \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 918
+
+--S 919 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                     4           3  4         4   3  4
+--R             ((945A b  - 525B a b )e  - 420B b d e )x
+--R           + 
+--R                           3          2 2  4           4            3    3
+--R                 (1890A a b  - 1050B a b )e  + (1890A b  - 1890B a b )d e
+--R               + 
+--R                         4 2 2
+--R                 - 840B b d e
+--R            *
+--R                3
+--R               x
+--R           + 
+--R                        2 2         3   4             3          2 2    3
+--R                 (945A a b  - 525B a b)e  + (3780A a b  - 2520B a b )d e
+--R               + 
+--R                        4            3  2 2         4 3
+--R                 (945A b  - 2205B a b )d e  - 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                         2 2          3     3             3          2 2  2 2
+--R                 (1890A a b  - 1050B a b)d e  + (1890A a b  - 1890B a b )d e
+--R               + 
+--R                           3 3
+--R                 - 840B a b d e
+--R            *
+--R               x
+--R           + 
+--R                    2 2         3   2 2         2 2 3
+--R             (945A a b  - 525B a b)d e  - 420B a b d e
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|e x + d
+--R           \|  a e - b d
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                              \|  a e - b d
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                    4            3  4         4   3  4
+--R         ((- 1890A b  + 1050B a b )e  + 840B b d e )x
+--R       + 
+--R                         3          2 2  4             4            3    3
+--R             (- 3150A a b  + 1750B a b )e  + (- 4410A b  + 3850B a b )d e
+--R           + 
+--R                    4 2 2
+--R             1960B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                       2 2         3   4               3          2 2    3
+--R             (- 1008A a b  + 560B a b)e  + (- 7434A a b  + 4578B a b )d e
+--R           + 
+--R                       4            3  2 2          4 3
+--R             (- 2898A b  + 4914B a b )d e  + 1288B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    3         4  4             2 2          3     3
+--R             (144A a b - 80B a )e  + (- 2448A a b  + 1296B a b)d e
+--R           + 
+--R                         3          2 2  2 2            4            3  3
+--R             (- 4986A a b  + 3858B a b )d e  + (- 270A b  + 2366B a b )d e
+--R           + 
+--R                   4 4
+--R             120B b d
+--R        *
+--R           x
+--R       + 
+--R                4 4          3         4    3             2 2         3   2 2
+--R         - 48A a e  + (336A a b - 32B a )d e  + (- 1728A a b  + 544B a b)d e
+--R       + 
+--R                    3          2 2  3          4          3  4
+--R         (- 510A a b  + 1318B a b )d e + (60A b  + 60B a b )d
+--R    /
+--R                   5 2 7       4 3   6        3 4 2 5        2 5 3 4
+--R               120a b e  - 600a b d e  + 1200a b d e  - 1200a b d e
+--R             + 
+--R                     6 4 3       7 5 2
+--R               600a b d e  - 120b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                   6   7       5 2   6        4 3 2 5        2 5 4 3
+--R               240a b e  - 960a b d e  + 1200a b d e  - 1200a b d e
+--R             + 
+--R                     6 5 2       7 6
+--R               960a b d e  - 240b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                   7 7       6     6        5 2 2 5        4 3 3 4
+--R               120a e  - 120a b d e  - 1080a b d e  + 3000a b d e
+--R             + 
+--R                      3 4 4 3        2 5 5 2         6 6        7 7
+--R               - 3000a b d e  + 1080a b d e  + 120a b d e - 120b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   7   6       6   2 5        5 2 3 4        3 4 5 2
+--R               240a d e  - 960a b d e  + 1200a b d e  - 1200a b d e
+--R             + 
+--R                   2 5 6          6 7
+--R               960a b d e - 240a b d
+--R          *
+--R             x
+--R         + 
+--R               7 2 5       6   3 4        5 2 4 3        4 3 5 2       3 4 6
+--R           120a d e  - 600a b d e  + 1200a b d e  - 1200a b d e  + 600a b d e
+--R         + 
+--R                 2 5 7
+--R           - 120a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ,
+--R
+--R                       4           3  4         4   3  4
+--R             ((- 945A b  + 525B a b )e  + 420B b d e )x
+--R           + 
+--R                             3          2 2  4             4            3    3
+--R                 (- 1890A a b  + 1050B a b )e  + (- 1890A b  + 1890B a b )d e
+--R               + 
+--R                       4 2 2
+--R                 840B b d e
+--R            *
+--R                3
+--R               x
+--R           + 
+--R                          2 2         3   4               3          2 2    3
+--R                 (- 945A a b  + 525B a b)e  + (- 3780A a b  + 2520B a b )d e
+--R               + 
+--R                          4            3  2 2         4 3
+--R                 (- 945A b  + 2205B a b )d e  + 420B b d e
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                           2 2          3     3
+--R                 (- 1890A a b  + 1050B a b)d e
+--R               + 
+--R                             3          2 2  2 2           3 3
+--R                 (- 1890A a b  + 1890B a b )d e  + 840B a b d e
+--R            *
+--R               x
+--R           + 
+--R                      2 2         3   2 2         2 2 3
+--R             (- 945A a b  + 525B a b)d e  + 420B a b d e
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|e x + d
+--R            |--------- \|e x + d atan(-----------------------)
+--R           \|a e - b d                            +---------+
+--R                                                  |    b
+--R                                      (a e - b d) |---------
+--R                                                 \|a e - b d
+--R       + 
+--R                   4           3  4         4   3  4
+--R         ((- 945A b  + 525B a b )e  + 420B b d e )x
+--R       + 
+--R                         3         2 2  4             4            3    3
+--R             (- 1575A a b  + 875B a b )e  + (- 2205A b  + 1925B a b )d e
+--R           + 
+--R                   4 2 2
+--R             980B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      2 2         3   4               3          2 2    3
+--R             (- 504A a b  + 280B a b)e  + (- 3717A a b  + 2289B a b )d e
+--R           + 
+--R                       4            3  2 2         4 3
+--R             (- 1449A b  + 2457B a b )d e  + 644B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   3         4  4             2 2         3     3
+--R             (72A a b - 40B a )e  + (- 1224A a b  + 648B a b)d e
+--R           + 
+--R                         3          2 2  2 2            4            3  3
+--R             (- 2493A a b  + 1929B a b )d e  + (- 135A b  + 1183B a b )d e
+--R           + 
+--R                  4 4
+--R             60B b d
+--R        *
+--R           x
+--R       + 
+--R                4 4          3         4    3            2 2         3   2 2
+--R         - 24A a e  + (168A a b - 16B a )d e  + (- 864A a b  + 272B a b)d e
+--R       + 
+--R                    3         2 2  3          4          3  4
+--R         (- 255A a b  + 659B a b )d e + (30A b  + 30B a b )d
+--R    /
+--R                  5 2 7       4 3   6       3 4 2 5       2 5 3 4         6 4 3
+--R               60a b e  - 300a b d e  + 600a b d e  - 600a b d e  + 300a b d e
+--R             + 
+--R                    7 5 2
+--R               - 60b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                   6   7       5 2   6       4 3 2 5       2 5 4 3         6 5 2
+--R               120a b e  - 480a b d e  + 600a b d e  - 600a b d e  + 480a b d e
+--R             + 
+--R                     7 6
+--R               - 120b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  7 7      6     6       5 2 2 5        4 3 3 4        3 4 4 3
+--R               60a e  - 60a b d e  - 540a b d e  + 1500a b d e  - 1500a b d e
+--R             + 
+--R                   2 5 5 2        6 6       7 7
+--R               540a b d e  + 60a b d e - 60b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   7   6       6   2 5       5 2 3 4       3 4 5 2       2 5 6
+--R               120a d e  - 480a b d e  + 600a b d e  - 600a b d e  + 480a b d e
+--R             + 
+--R                       6 7
+--R               - 120a b d
+--R          *
+--R             x
+--R         + 
+--R              7 2 5       6   3 4       5 2 4 3       4 3 5 2       3 4 6
+--R           60a d e  - 300a b d e  + 600a b d e  - 600a b d e  + 300a b d e
+--R         + 
+--R                2 5 7
+--R           - 60a b d
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 919
+
+--S 920 of 1293
+m0:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                                          +-----------+
+--R                2            2        2     +-----------+ |      b
+--R         ((63A b  - 35B a b)e  - 28B b d e)\|- a e + b d  |- ---------
+--R                                                         \|  a e - b d
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a e + 2b d) |- --------- \|e x + d  + b e x - a e + 2b d
+--R                            \|  a e - b d
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                                       +-+ +-------+
+--R                 2            2        2     +-+      \|b \|e x + d
+--R       ((- 126A b  + 70B a b)e  + 56B b d e)\|b atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a e + b d
+--R  /
+--R          5 5      4     4      3 2 2 3      2 3 3 2        4 4      5 5
+--R       (8a e  - 40a b d e  + 80a b d e  - 80a b d e  + 40a b d e - 8b d )
+--R    *
+--R        +-----------+
+--R       \|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 920
+
+--S 921 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 921
+
+--S 922 of 1293
+m0:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R                2            2        2     +-+      \|b \|e x + d
+--R       ((- 63A b  + 35B a b)e  + 28B b d e)\|b atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a e + b d
+--R     + 
+--R                                                            +---------+
+--R                  2            2        2     +-----------+ |    b
+--R         ((- 63A b  + 35B a b)e  + 28B b d e)\|- a e + b d  |---------
+--R                                                           \|a e - b d
+--R      *
+--R                      +-------+
+--R                    b\|e x + d
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a e - b d) |---------
+--R                         \|a e - b d
+--R  /
+--R          5 5      4     4      3 2 2 3      2 3 3 2        4 4      5 5
+--R       (4a e  - 20a b d e  + 40a b d e  - 40a b d e  + 20a b d e - 4b d )
+--R    *
+--R        +-----------+
+--R       \|- a e + b d
+--R                                                    Type: Expression(Integer)
+--E 922
+
+--S 923 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 923
+
+)clear all
+
+--S 924 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 924
+
+--S 925 of 1293
+r0:=-1/48*(b*d-a*e)*(3*b*B*d-10*A*b*e+7*a*B*e)*(a+b*x)^(3/2)*_
+     (d+e*x)^(3/2)/(b^3*e)-1/40*(3*b*B*d-10*A*b*e+7*a*B*e)*_
+     (a+b*x)^(3/2)*(d+e*x)^(5/2)/(b^2*e)+1/5*B*(a+b*x)^(3/2)*_
+     (d+e*x)^(7/2)/(b*e)+1/128*(b*d-a*e)^4*(3*b*B*d-10*A*b*e+7*a*B*e)*_
+     atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(9/2)*e^(5/2))-_
+     1/64*(b*d-a*e)^2*(3*b*B*d-10*A*b*e+7*a*B*e)*(a+b*x)^(3/2)*_
+     sqrt(d+e*x)/(b^4*e)-1/128*(b*d-a*e)^3*(3*b*B*d-10*A*b*e+7*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b^4*e^2)
+--R 
+--R
+--R   (2)
+--R                    4          5  5          3 2         4     4
+--R           (- 150A a b + 105B a )e  + (600A a b  - 375B a b)d e
+--R         + 
+--R                    2 3         3 2  2 3            4         2 3  3 2
+--R           (- 900A a b  + 450B a b )d e  + (600A a b  - 150B a b )d e
+--R         + 
+--R                    5          4  4         5 5
+--R           (- 150A b  - 75B a b )d e + 45B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                 4 4 4           4          3  4          4   3  3
+--R           384B b e x  + ((480A b  + 48B a b )e  + 1008B b d e )x
+--R         + 
+--R                         3        2 2  4           4           3    3
+--R                 (80A a b  - 56B a b )e  + (1360A b  + 176B a b )d e
+--R               + 
+--R                       4 2 2
+--R                 744B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        2 2        3   4            3         2 2    3
+--R               (- 100A a b  + 70B a b)e  + (360A a b  - 222B a b )d e
+--R             + 
+--R                       4           3  2 2        4 3
+--R               (1180A b  + 218B a b )d e  + 30B b d e
+--R          *
+--R             x
+--R         + 
+--R                  3          4  4            2 2         3     3
+--R           (150A a b - 105B a )e  + (- 550A a b  + 340B a b)d e
+--R         + 
+--R                    3         2 2  2 2          4          3  3         4 4
+--R           (730A a b  - 346B a b )d e  + (150A b  + 60B a b )d e - 45B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R          4 2 +-+ +-+
+--R     1920b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 925
+
+--S 926 of 1293
+--a0:=integrate(t0,x)
+--E 926
+
+--S 927 of 1293
+--m0:=a0-r0
+--E 927
+
+--S 928 of 1293
+--d0:=D(m0,x)
+--E 928
+
+)clear all
+
+--S 929 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R   (1)  (B e x  + (A e + B d)x + A d)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 929
+
+--S 930 of 1293
+r0:=-1/24*(3*b*B*d-8*A*b*e+5*a*B*e)*(a+b*x)^(3/2)*(d+e*x)^(3/2)/(b^2*e)+_
+     1/4*B*(a+b*x)^(3/2)*(d+e*x)^(5/2)/(b*e)+1/64*(b*d-a*e)^3*_
+     (3*b*B*d-8*A*b*e+5*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(7/2)*e^(5/2))-1/32*(b*d-a*e)*_
+     (3*b*B*d-8*A*b*e+5*a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^3*e)-_
+     1/64*(b*d-a*e)^2*(3*b*B*d-8*A*b*e+5*a*B*e)*sqrt(a+b*x)*_
+     sqrt(d+e*x)/(b^3*e^2)
+--R 
+--R
+--R   (2)
+--R                 3         4  4           2 2        3     3
+--R           (24A a b - 15B a )e  + (- 72A a b  + 36B a b)d e
+--R         + 
+--R                   3        2 2  2 2           4          3  3        4 4
+--R           (72A a b  - 18B a b )d e  + (- 24A b  - 12B a b )d e + 9B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                3 3 3          3         2  3        3   2  2
+--R           48B b e x  + ((64A b  + 8B a b )e  + 72B b d e )x
+--R         + 
+--R                    2        2   3          3          2    2       3 2
+--R           ((16A a b  - 10B a b)e  + (112A b  + 20B a b )d e  + 6B b d e)x
+--R         + 
+--R                   2         3  3           2        2     2
+--R           (- 24A a b + 15B a )e  + (64A a b  - 31B a b)d e
+--R         + 
+--R                 3         2  2        3 3
+--R           (24A b  + 9B a b )d e - 9B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R         3 2 +-+ +-+
+--R     192b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 930
+
+--S 931 of 1293
+--a0:=integrate(t0,x)
+--E 931
+
+--S 932 of 1293
+--m0:=a0-r0
+--E 932
+
+--S 933 of 1293
+--d0:=D(m0,x)
+--E 933
+
+)clear all
+
+--S 934 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)*sqrt(d+e*x)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (B x + A)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 934
+
+--S 935 of 1293
+r0:=1/3*B*(a+b*x)^(3/2)*(d+e*x)^(3/2)/(b*e)-1/8*(b*d-a*e)^2*_
+     (2*A*b*e-B*(b*d+a*e))*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(5/2)*e^(5/2))+1/4*(2*A*b*e-B*(b*d+a*e))*_
+     (a+b*x)^(3/2)*sqrt(d+e*x)/(b^2*e)+1/8*(b*d-a*e)*_
+     (2*A*b*e-B*(b*d+a*e))*sqrt(a+b*x)*sqrt(d+e*x)/(b^2*e^2)
+--R 
+--R
+--R   (2)
+--R                  2        3  3           2       2     2
+--R           (- 6A a b + 3B a )e  + (12A a b  - 3B a b)d e
+--R         + 
+--R                  3         2  2        3 3
+--R           (- 6A b  - 3B a b )d e + 3B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R               2 2 2          2           2       2                      2  2
+--R           8B b e x  + ((12A b  + 2B a b)e  + 2B b d e)x + (6A a b - 3B a )e
+--R         + 
+--R                2                    2 2
+--R           (6A b  + 2B a b)d e - 3B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R        2 2 +-+ +-+
+--R     24b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 935
+
+--S 936 of 1293
+--a0:=integrate(t0,x)
+--E 936
+
+--S 937 of 1293
+--m0:=a0-r0
+--E 937
+
+--S 938 of 1293
+--d0:=D(m0,x)
+--E 938
+
+)clear all
+
+--S 939 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/sqrt(d+e*x)
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R             \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 939
+
+--S 940 of 1293
+r0:=1/4*(b*d-a*e)*(3*b*B*d-4*A*b*e+a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(3/2)*e^(5/2))+1/2*B*(a+b*x)^(3/2)*_
+     sqrt(d+e*x)/(b*e)-1/4*(3*b*B*d-4*A*b*e+a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b*e^2)
+--R 
+--R
+--R   (2)
+--R                       2  2          2                    2 2
+--R         ((4A a b - B a )e  + (- 4A b  - 2B a b)d e + 3B b d )
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                                           +-+ +-+ +-------+ +-------+
+--R       (2B b e x + (4A b + B a)e - 3B b d)\|b \|e \|b x + a \|e x + d
+--R  /
+--R         2 +-+ +-+
+--R     4b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 940
+
+--S 941 of 1293
+--a0:=integrate(t0,x)
+--E 941
+
+--S 942 of 1293
+--m0:=a0-r0
+--E 942
+
+--S 943 of 1293
+--d0:=D(m0,x)
+--E 943
+
+)clear all
+
+--S 944 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 944
+
+--S 945 of 1293
+r0:=-(3*b*B*d-2*A*b*e-a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(e^(5/2)*sqrt(b))-2*(B*d-A*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)*sqrt(d+e*x))+(3*b*B*d-2*A*b*e-a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(e^2*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                                                +-+ +-------+
+--R                                +-------+      \|e \|b x + a
+--R       ((2A b + B a)e - 3B b d)\|e x + d atanh(--------------)
+--R                                                +-+ +-------+
+--R                                               \|b \|e x + d
+--R     + 
+--R                             +-+ +-+ +-------+
+--R       (B e x - 2A e + 3B d)\|b \|e \|b x + a
+--R  /
+--R      2 +-+ +-+ +-------+
+--R     e \|b \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 945
+
+--S 946 of 1293
+--a0:=integrate(t0,x)
+--E 946
+
+--S 947 of 1293
+--m0:=a0-r0
+--E 947
+
+--S 948 of 1293
+--d0:=D(m0,x)
+--E 948
+
+)clear all
+
+--S 949 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (B x + A)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 949
+
+--S 950 of 1293
+r0:=-2/3*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(3/2))+_
+     2*B*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))*sqrt(b)/e^(5/2)-_
+     2*B*sqrt(a+b*x)/(e^2*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                 2                                 2  +-+ +-------+
+--R         ((6B a e  - 6B b d e)x + 6B a d e - 6B b d )\|b \|e x + d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                           2                      2                    2  +-+
+--R         (((- 2A b - 6B a)e  + 8B b d e)x - 2A a e  - 4B a d e + 6B b d )\|e
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R           4         3           3       2 2  +-+ +-------+
+--R     ((3a e  - 3b d e )x + 3a d e  - 3b d e )\|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 950
+
+--S 951 of 1293
+--a0:=integrate(t0,x)
+--E 951
+
+--S 952 of 1293
+--m0:=a0-r0
+--E 952
+
+--S 953 of 1293
+--d0:=D(m0,x)
+--E 953
+
+)clear all
+
+--S 954 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R                             +-------+
+--R                   (B x + A)\|b x + a
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 954
+
+--S 955 of 1293
+r0:=-2/5*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(5/2))+_
+     2/15*(3*b*B*d+2*A*b*e-5*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^2*(d+e*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R               2                   2   2
+--R         ((4A b  - 10B a b)e + 6B b d)x
+--R       + 
+--R                           2           2                    2
+--R         ((- 2A a b - 10B a )e + (10A b  + 2B a b)d)x - 6A a e
+--R       + 
+--R                        2
+--R         (10A a b - 4B a )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             2 4            3      2 2 2  2       2   3          2 2      2 3
+--R         (15a e  - 30a b d e  + 15b d e )x  + (30a d e  - 60a b d e  + 30b d e)x
+--R       + 
+--R            2 2 2          3       2 4
+--R         15a d e  - 30a b d e + 15b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 955
+
+--S 956 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2            3        2 4  2
+--R           ((4A b  - 10B a b)d e + 6B b d )x
+--R         + 
+--R                             2  3          2           4         2 3
+--R           ((- 2A a b - 10B a )d e + (10A b  + 2B a b)d )x - 6A a d e
+--R         + 
+--R                          2  4
+--R           (10A a b - 4B a )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R               2        3  4                  2  2        2        3    3  3
+--R       ((- 3A a d - 3A a )e  + ((5A a b - 2B a )d  + (5A a b - 2B a )d)e )x
+--R     + 
+--R                    2 2       3   3
+--R             (- 9A a d  - 9A a d)e
+--R           + 
+--R                             2  3         2        3  2  2
+--R             ((15A a b - 6B a )d  + (15A a b - 6B a )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               2 3       3 2  2                   2  4         2        3  3
+--R       ((- 9A a d  - 9A a d )e  + ((15A a b - 6B a )d  + (15A a b - 6B a )d )e)x
+--R     + 
+--R              2 4       3 3                   2  5        2        3  4
+--R       (- 3A a d  - 3A a d )e + (5A a b - 2B a )d  + (5A a b - 2B a )d
+--R  /
+--R           2 3 5          4 4      2 5 3  3
+--R       (15a d e  - 30a b d e  + 15b d e )x
+--R     + 
+--R           2 4 4          5 3      2 6 2  2       2 5 3          6 2      2 7
+--R       (45a d e  - 90a b d e  + 45b d e )x  + (45a d e  - 90a b d e  + 45b d e)x
+--R     + 
+--R          2 6 2          7       2 8
+--R       15a d e  - 30a b d e + 15b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 956
+
+--S 957 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R               2        3                   2  2        2        3
+--R        (- 3A a d - 3A a )e + (5A a b - 2B a )d  + (5A a b - 2B a )d
+--R   (4)  ------------------------------------------------------------
+--R                           2 3 2          4       2 5
+--R                        15a d e  - 30a b d e + 15b d
+--R                                                    Type: Expression(Integer)
+--E 957
+
+--S 958 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 958
+
+)clear all
+
+--S 959 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(9/2)
+--R 
+--R
+--R                                  +-------+
+--R                        (B x + A)\|b x + a
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (e x  + 4d e x  + 6d e x  + 4d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 959
+
+--S 960 of 1293
+r0:=-2/7*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(7/2))+_
+     2/35*(3*b*B*d+4*A*b*e-7*a*B*e)*(a+b*x)^(3/2)/_
+     (e*(b*d-a*e)^2*(d+e*x)^(5/2))+4/105*b*(3*b*B*d+4*A*b*e-7*a*B*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)^3*(d+e*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R                  3          2  2        3     3
+--R         ((- 16A b  + 28B a b )e  - 12B b d e)x
+--R       + 
+--R                 2        2   2           3           2            3 2  2
+--R         ((8A a b  - 14B a b)e  + (- 56A b  + 104B a b )d e - 42B b d )x
+--R       + 
+--R                    2         3  2           2         2
+--R             (- 6A a b - 42B a )e  + (28A a b  + 104B a b)d e
+--R           + 
+--R                     3          2  2
+--R             (- 70A b  - 14B a b )d
+--R        *
+--R           x
+--R       + 
+--R                3 2         2         3                 2        2   2
+--R         - 30A a e  + (84A a b - 12B a )d e + (- 70A a b  + 28B a b)d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              3 6       2     5         2 2 4       3 3 3  3
+--R         (105a e  - 315a b d e  + 315a b d e  - 105b d e )x
+--R       + 
+--R              3   5       2   2 4         2 3 3       3 4 2  2
+--R         (315a d e  - 945a b d e  + 945a b d e  - 315b d e )x
+--R       + 
+--R              3 2 4       2   3 3         2 4 2       3 5          3 3 3
+--R         (315a d e  - 945a b d e  + 945a b d e  - 315b d e)x + 105a d e
+--R       + 
+--R               2   4 2         2 5        3 6
+--R         - 315a b d e  + 315a b d e - 105b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 960
+
+--S 961 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    3          2  4 2        3 5   3
+--R           ((- 16A b  + 28B a b )d e  - 12B b d e)x
+--R         + 
+--R                   2        2   4 2           3           2  5         3 6  2
+--R           ((8A a b  - 14B a b)d e  + (- 56A b  + 104B a b )d e - 42B b d )x
+--R         + 
+--R                      2         3  4 2           2         2   5
+--R               (- 6A a b - 42B a )d e  + (28A a b  + 104B a b)d e
+--R             + 
+--R                       3          2  6
+--R               (- 70A b  - 14B a b )d
+--R          *
+--R             x
+--R         + 
+--R                  3 4 2         2         3  5              2        2   6
+--R           - 30A a d e  + (84A a b - 12B a )d e + (- 70A a b  + 28B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                 3         4  6
+--R           (15A a d + 15A a )e
+--R         + 
+--R                    2        3  2           3        4    5
+--R           ((- 42A a b + 6B a )d  + (- 42A a b + 6B a )d)e
+--R         + 
+--R                    2        2   3         2 2        3   2  4
+--R           ((35A a b  - 14B a b)d  + (35A a b  - 14B a b)d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 3 2        4   5
+--R           (60A a d  + 60A a d)e
+--R         + 
+--R                     2         3  3            3         4  2  4
+--R           ((- 168A a b + 24B a )d  + (- 168A a b + 24B a )d )e
+--R         + 
+--R                     2        2   4          2 2        3   3  3
+--R           ((140A a b  - 56B a b)d  + (140A a b  - 56B a b)d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 3 3        4 2  4
+--R           (90A a d  + 90A a d )e
+--R         + 
+--R                     2         3  4            3         4  3  3
+--R           ((- 252A a b + 36B a )d  + (- 252A a b + 36B a )d )e
+--R         + 
+--R                     2        2   5          2 2        3   4  2
+--R           ((210A a b  - 84B a b)d  + (210A a b  - 84B a b)d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 3 4        4 3  3
+--R           (60A a d  + 60A a d )e
+--R         + 
+--R                     2         3  5            3         4  4  2
+--R           ((- 168A a b + 24B a )d  + (- 168A a b + 24B a )d )e
+--R         + 
+--R                     2        2   6          2 2        3   5
+--R           ((140A a b  - 56B a b)d  + (140A a b  - 56B a b)d )e
+--R      *
+--R         x
+--R     + 
+--R             3 5        4 4  2
+--R       (15A a d  + 15A a d )e
+--R     + 
+--R                2        3  6           3        4  5             2        2   7
+--R       ((- 42A a b + 6B a )d  + (- 42A a b + 6B a )d )e + (35A a b  - 14B a b)d
+--R     + 
+--R             2 2        3   6
+--R       (35A a b  - 14B a b)d
+--R  /
+--R            3 4 7       2   5 6         2 6 5       3 7 4  4
+--R       (105a d e  - 315a b d e  + 315a b d e  - 105b d e )x
+--R     + 
+--R            3 5 6        2   6 5          2 7 4       3 8 3  3
+--R       (420a d e  - 1260a b d e  + 1260a b d e  - 420b d e )x
+--R     + 
+--R            3 6 5        2   7 4          2 8 3       3 9 2  2
+--R       (630a d e  - 1890a b d e  + 1890a b d e  - 630b d e )x
+--R     + 
+--R            3 7 4        2   8 3          2 9 2       3 10          3 8 3
+--R       (420a d e  - 1260a b d e  + 1260a b d e  - 420b d  e)x + 105a d e
+--R     + 
+--R             2   9 2         2 10        3 11
+--R       - 315a b d e  + 315a b d  e - 105b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 961
+
+--S 962 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3         4  2            2        3  2           3        4
+--R       (15A a d + 15A a )e  + ((- 42A a b + 6B a )d  + (- 42A a b + 6B a )d)e
+--R     + 
+--R               2        2   3         2 2        3   2
+--R       (35A a b  - 14B a b)d  + (35A a b  - 14B a b)d
+--R  /
+--R         3 4 3       2   5 2         2 6        3 7
+--R     105a d e  - 315a b d e  + 315a b d e - 105b d
+--R                                                    Type: Expression(Integer)
+--E 962
+
+--S 963 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 963
+
+)clear all
+
+--S 964 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(11/2)
+--R 
+--R
+--R                                        +-------+
+--R                              (B x + A)\|b x + a
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (e x  + 5d e x  + 10d e x  + 10d e x  + 5d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 964
+
+--S 965 of 1293
+r0:=-2/9*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(9/2))+_
+     2/21*(b*B*d+2*A*b*e-3*a*B*e)*(a+b*x)^(3/2)/_
+     (e*(b*d-a*e)^2*(d+e*x)^(7/2))+8/105*b*(b*B*d+2*A*b*e-3*a*B*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)^3*(d+e*x)^(5/2))+16/315*b^2*_
+     (b*B*d+2*A*b*e-3*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^4*(d+e*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R                4          3  3        4   2  4
+--R         ((32A b  - 48B a b )e  + 16B b d e )x
+--R       + 
+--R                    3        2 2  3          4           3    2        4 2   3
+--R         ((- 16A a b  + 24B a b )e  + (144A b  - 224B a b )d e  + 72B b d e)x
+--R       + 
+--R                   2 2        3   3             3         2 2    2
+--R             (12A a b  - 18B a b)e  + (- 72A a b  + 114B a b )d e
+--R           + 
+--R                    4           3  2          4 3
+--R             (252A b  - 414B a b )d e + 126B b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     3         4  3         2 2         3     2
+--R             (- 10A a b - 90B a )e  + (54A a b  + 334B a b)d e
+--R           + 
+--R                        3         2 2  2           4          3  3
+--R             (- 126A a b  - 414B a b )d e + (210A b  + 42B a b )d
+--R        *
+--R           x
+--R       + 
+--R                4 3          3         4    2            2 2        3   2
+--R         - 70A a e  + (270A a b - 20B a )d e  + (- 378A a b  + 72B a b)d e
+--R       + 
+--R                  3        2 2  3
+--R         (210A a b  - 84B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              4 8        3     7        2 2 2 6          3 3 5       4 4 4  4
+--R         (315a e  - 1260a b d e  + 1890a b d e  - 1260a b d e  + 315b d e )x
+--R       + 
+--R                    4   7        3   2 6        2 2 3 5          3 4 4
+--R               1260a d e  - 5040a b d e  + 7560a b d e  - 5040a b d e
+--R             + 
+--R                    4 5 3
+--R               1260b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    4 2 6        3   3 5         2 2 4 4          3 5 3
+--R               1890a d e  - 7560a b d e  + 11340a b d e  - 7560a b d e
+--R             + 
+--R                    4 6 2
+--R               1890b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               4 3 5        3   4 4        2 2 5 3          3 6 2        4 7
+--R         (1260a d e  - 5040a b d e  + 7560a b d e  - 5040a b d e  + 1260b d e)x
+--R       + 
+--R             4 4 4        3   5 3        2 2 6 2          3 7        4 8
+--R         315a d e  - 1260a b d e  + 1890a b d e  - 1260a b d e + 315b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 965
+
+--S 966 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4           3  5 3        4 6 2  4
+--R           ((96A b  - 144B a b )d e  + 48B b d e )x
+--R         + 
+--R                         3        2 2  5 3          4           3  6 2
+--R               (- 48A a b  + 72B a b )d e  + (432A b  - 672B a b )d e
+--R             + 
+--R                     4 7
+--R               216B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     2 2        3   5 3              3         2 2  6 2
+--R               (36A a b  - 54B a b)d e  + (- 216A a b  + 342B a b )d e
+--R             + 
+--R                      4            3  7          4 8
+--R               (756A b  - 1242B a b )d e + 378B b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       3          4  5 3          2 2          3   6 2
+--R               (- 30A a b - 270B a )d e  + (162A a b  + 1002B a b)d e
+--R             + 
+--R                          3          2 2  7           4           3  8
+--R               (- 378A a b  - 1242B a b )d e + (630A b  + 126B a b )d
+--R          *
+--R             x
+--R         + 
+--R                   4 5 3          3         4  6 2
+--R           - 210A a d e  + (810A a b - 60B a )d e
+--R         + 
+--R                     2 2         3   7             3         2 2  8
+--R           (- 1134A a b  + 216B a b)d e + (630A a b  - 252B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   4          5  8
+--R           (- 35A a d - 315A a )e
+--R         + 
+--R                   3         4  2           4         5    7
+--R           ((135A a b - 10B a )d  + (1215A a b - 90B a )d)e
+--R         + 
+--R                     2 2        3   3             3 2         4   2  6
+--R           ((- 189A a b  + 36B a b)d  + (- 1701A a b  + 324B a b)d )e
+--R         + 
+--R                     3        2 2  4          2 3         3 2  3  5
+--R           ((105A a b  - 42B a b )d  + (945A a b  - 378B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    4 2          5   7
+--R           (- 175A a d  - 1575A a d)e
+--R         + 
+--R                   3         4  3           4          5  2  6
+--R           ((675A a b - 50B a )d  + (6075A a b - 450B a )d )e
+--R         + 
+--R                     2 2         3   4             3 2          4   3  5
+--R           ((- 945A a b  + 180B a b)d  + (- 8505A a b  + 1620B a b)d )e
+--R         + 
+--R                     3         2 2  5           2 3          3 2  4  4
+--R           ((525A a b  - 210B a b )d  + (4725A a b  - 1890B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    4 3          5 2  6
+--R           (- 350A a d  - 3150A a d )e
+--R         + 
+--R                    3          4  4            4          5  3  5
+--R           ((1350A a b - 100B a )d  + (12150A a b - 900B a )d )e
+--R         + 
+--R                      2 2         3   5              3 2          4   4  4
+--R           ((- 1890A a b  + 360B a b)d  + (- 17010A a b  + 3240B a b)d )e
+--R         + 
+--R                      3         2 2  6           2 3          3 2  5  3
+--R           ((1050A a b  - 420B a b )d  + (9450A a b  - 3780B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    4 4          5 3  5
+--R           (- 350A a d  - 3150A a d )e
+--R         + 
+--R                    3          4  5            4          5  4  4
+--R           ((1350A a b - 100B a )d  + (12150A a b - 900B a )d )e
+--R         + 
+--R                      2 2         3   6              3 2          4   5  3
+--R           ((- 1890A a b  + 360B a b)d  + (- 17010A a b  + 3240B a b)d )e
+--R         + 
+--R                      3         2 2  7           2 3          3 2  6  2
+--R           ((1050A a b  - 420B a b )d  + (9450A a b  - 3780B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    4 5          5 4  4
+--R           (- 175A a d  - 1575A a d )e
+--R         + 
+--R                   3         4  6           4          5  5  3
+--R           ((675A a b - 50B a )d  + (6075A a b - 450B a )d )e
+--R         + 
+--R                     2 2         3   7             3 2          4   6  2
+--R           ((- 945A a b  + 180B a b)d  + (- 8505A a b  + 1620B a b)d )e
+--R         + 
+--R                     3         2 2  8           2 3          3 2  7
+--R           ((525A a b  - 210B a b )d  + (4725A a b  - 1890B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R               4 6         5 5  3
+--R       (- 35A a d  - 315A a d )e
+--R     + 
+--R               3         4  7           4         5  6  2
+--R       ((135A a b - 10B a )d  + (1215A a b - 90B a )d )e
+--R     + 
+--R                 2 2        3   8             3 2         4   7
+--R       ((- 189A a b  + 36B a b)d  + (- 1701A a b  + 324B a b)d )e
+--R     + 
+--R                3        2 2  9          2 3         3 2  8
+--R       (105A a b  - 42B a b )d  + (945A a b  - 378B a b )d
+--R  /
+--R            4 5 9        3   6 8        2 2 7 7          3 8 6       4 9 5  5
+--R       (945a d e  - 3780a b d e  + 5670a b d e  - 3780a b d e  + 945b d e )x
+--R     + 
+--R                4 6 8         3   7 7         2 2 8 6           3 9 5
+--R           4725a d e  - 18900a b d e  + 28350a b d e  - 18900a b d e
+--R         + 
+--R                4 10 4
+--R           4725b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4 7 7         3   8 6         2 2 9 5           3 10 4
+--R           9450a d e  - 37800a b d e  + 56700a b d e  - 37800a b d  e
+--R         + 
+--R                4 11 3
+--R           9450b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                4 8 6         3   9 5         2 2 10 4           3 11 3
+--R           9450a d e  - 37800a b d e  + 56700a b d  e  - 37800a b d  e
+--R         + 
+--R                4 12 2
+--R           9450b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4 9 5         3   10 4         2 2 11 3           3 12 2
+--R           4725a d e  - 18900a b d  e  + 28350a b d  e  - 18900a b d  e
+--R         + 
+--R                4 13
+--R           4725b d  e
+--R      *
+--R         x
+--R     + 
+--R           4 10 4        3   11 3        2 2 12 2          3 13        4 14
+--R       945a d  e  - 3780a b d  e  + 5670a b d  e  - 3780a b d  e + 945b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 966
+
+--S 967 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               4          5  3
+--R       (- 35A a d - 315A a )e
+--R     + 
+--R               3         4  2           4         5    2
+--R       ((135A a b - 10B a )d  + (1215A a b - 90B a )d)e
+--R     + 
+--R                 2 2        3   3             3 2         4   2
+--R       ((- 189A a b  + 36B a b)d  + (- 1701A a b  + 324B a b)d )e
+--R     + 
+--R                3        2 2  4          2 3         3 2  3
+--R       (105A a b  - 42B a b )d  + (945A a b  - 378B a b )d
+--R  /
+--R         4 5 4        3   6 3        2 2 7 2          3 8        4 9
+--R     945a d e  - 3780a b d e  + 5670a b d e  - 3780a b d e + 945b d
+--R                                                    Type: Expression(Integer)
+--E 967
+
+--S 968 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 968
+
+)clear all
+
+--S 969 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R                                        +-------+
+--R                              (B x + A)\|b x + a
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (e x  + 6d e x  + 15d e x  + 20d e x  + 15d e x  + 6d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 969
+
+--S 970 of 1293
+r0:=-2/11*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(11/2))+_
+     2/99*(3*b*B*d+8*A*b*e-11*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(9/2))+4/231*b*(3*b*B*d+8*A*b*e-11*a*B*e)*(a+b*x)^(3/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(7/2))+16/1155*b^2*_
+     (3*b*B*d+8*A*b*e-11*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^4*_
+     (d+e*x)^(5/2))+32/3465*b^3*(3*b*B*d+8*A*b*e-11*a*B*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)^5*(d+e*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R                   5           4  4        5   3  5
+--R         ((- 256A b  + 352B a b )e  - 96B b d e )x
+--R       + 
+--R                      4         2 3  4             5            4    3
+--R             (128A a b  - 176B a b )e  + (- 1408A b  + 1984B a b )d e
+--R           + 
+--R                     5 2 2
+--R             - 528B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     2 3         3 2  4            4          2 3    3
+--R             (- 96A a b  + 132B a b )e  + (704A a b  - 1004B a b )d e
+--R           + 
+--R                       5            4  2 2          5 3
+--R             (- 3168A b  + 4620B a b )d e  - 1188B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   3 2         4   4            2 3         3 2    3
+--R             (80A a b  - 110B a b)e  + (- 528A a b  + 756B a b )d e
+--R           + 
+--R                       4          2 3  2 2             5            4  3
+--R             (1584A a b  - 2376B a b )d e  + (- 3696A b  + 5676B a b )d e
+--R           + 
+--R                      5 4
+--R             - 1386B b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     4          5  4          3 2          4     3
+--R             (- 70A a b - 770B a )e  + (440A a b  + 3700B a b)d e
+--R           + 
+--R                       2 3          3 2  2 2             4          2 3  3
+--R             (- 1188A a b  - 6864B a b )d e  + (1848A a b  + 5676B a b )d e
+--R           + 
+--R                       5           4  4
+--R             (- 2310A b  - 462B a b )d
+--R        *
+--R           x
+--R       + 
+--R                 5 4           4          5    3             3 2         4   2 2
+--R         - 630A a e  + (3080A a b - 140B a )d e  + (- 5940A a b  + 660B a b)d e
+--R       + 
+--R                 2 3          3 2  3                4         2 3  4
+--R         (5544A a b  - 1188B a b )d e + (- 2310A a b  + 924B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                  5 10         4     9         3 2 2 8         2 3 3 7
+--R             3465a e   - 17325a b d e  + 34650a b d e  - 34650a b d e
+--R           + 
+--R                     4 4 6        5 5 5
+--R             17325a b d e  - 3465b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   5   9         4   2 8          3 2 3 7          2 3 4 6
+--R             17325a d e  - 86625a b d e  + 173250a b d e  - 173250a b d e
+--R           + 
+--R                     4 5 5         5 6 4
+--R             86625a b d e  - 17325b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   5 2 8          4   3 7          3 2 4 6          2 3 5 5
+--R             34650a d e  - 173250a b d e  + 346500a b d e  - 346500a b d e
+--R           + 
+--R                      4 6 4         5 7 3
+--R             173250a b d e  - 34650b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   5 3 7          4   4 6          3 2 5 5          2 3 6 4
+--R             34650a d e  - 173250a b d e  + 346500a b d e  - 346500a b d e
+--R           + 
+--R                      4 7 3         5 8 2
+--R             173250a b d e  - 34650b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   5 4 6         4   5 5          3 2 6 4          2 3 7 3
+--R             17325a d e  - 86625a b d e  + 173250a b d e  - 173250a b d e
+--R           + 
+--R                     4 8 2         5 9
+--R             86625a b d e  - 17325b d e
+--R        *
+--R           x
+--R       + 
+--R              5 5 5         4   6 4         3 2 7 3         2 3 8 2
+--R         3465a d e  - 17325a b d e  + 34650a b d e  - 34650a b d e
+--R       + 
+--R                 4 9         5 10
+--R         17325a b d e - 3465b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 970
+
+--S 971 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     5           4  6 4        5 7 3  5
+--R           ((- 256A b  + 352B a b )d e  - 96B b d e )x
+--R         + 
+--R                        4         2 3  6 4             5            4  7 3
+--R               (128A a b  - 176B a b )d e  + (- 1408A b  + 1984B a b )d e
+--R             + 
+--R                       5 8 2
+--R               - 528B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       2 3         3 2  6 4            4          2 3  7 3
+--R               (- 96A a b  + 132B a b )d e  + (704A a b  - 1004B a b )d e
+--R             + 
+--R                         5            4  8 2          5 9
+--R               (- 3168A b  + 4620B a b )d e  - 1188B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     3 2         4   6 4            2 3         3 2  7 3
+--R               (80A a b  - 110B a b)d e  + (- 528A a b  + 756B a b )d e
+--R             + 
+--R                         4          2 3  8 2             5            4  9
+--R               (1584A a b  - 2376B a b )d e  + (- 3696A b  + 5676B a b )d e
+--R             + 
+--R                        5 10
+--R               - 1386B b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       4          5  6 4          3 2          4   7 3
+--R               (- 70A a b - 770B a )d e  + (440A a b  + 3700B a b)d e
+--R             + 
+--R                         2 3          3 2  8 2             4          2 3  9
+--R               (- 1188A a b  - 6864B a b )d e  + (1848A a b  + 5676B a b )d e
+--R             + 
+--R                         5           4  10
+--R               (- 2310A b  - 462B a b )d
+--R          *
+--R             x
+--R         + 
+--R                   5 6 4           4          5  7 3
+--R           - 630A a d e  + (3080A a b - 140B a )d e
+--R         + 
+--R                     3 2         4   8 2           2 3          3 2  9
+--R           (- 5940A a b  + 660B a b)d e  + (5544A a b  - 1188B a b )d e
+--R         + 
+--R                       4         2 3  10
+--R           (- 2310A a b  + 924B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                  5          6  10
+--R           (315A a d + 315A a )e
+--R         + 
+--R                      4         5  2             5         6    9
+--R           ((- 1540A a b + 70B a )d  + (- 1540A a b + 70B a )d)e
+--R         + 
+--R                    3 2         4   3           4 2         5   2  8
+--R           ((2970A a b  - 330B a b)d  + (2970A a b  - 330B a b)d )e
+--R         + 
+--R                      2 3         3 2  4             3 3         4 2  3  7
+--R           ((- 2772A a b  + 594B a b )d  + (- 2772A a b  + 594B a b )d )e
+--R         + 
+--R                      4         2 3  5           2 4         3 3  4  6
+--R           ((1155A a b  - 462B a b )d  + (1155A a b  - 462B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 2          6   9
+--R           (1890A a d  + 1890A a d)e
+--R         + 
+--R                      4          5  3             5          6  2  8
+--R           ((- 9240A a b + 420B a )d  + (- 9240A a b + 420B a )d )e
+--R         + 
+--R                     3 2          4   4            4 2          5   3  7
+--R           ((17820A a b  - 1980B a b)d  + (17820A a b  - 1980B a b)d )e
+--R         + 
+--R                       2 3          3 2  5              3 3          4 2  4  6
+--R           ((- 16632A a b  + 3564B a b )d  + (- 16632A a b  + 3564B a b )d )e
+--R         + 
+--R                      4          2 3  6           2 4          3 3  5  5
+--R           ((6930A a b  - 2772B a b )d  + (6930A a b  - 2772B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   5 3          6 2  8
+--R           (4725A a d  + 4725A a d )e
+--R         + 
+--R                       4           5  4              5           6  3  7
+--R           ((- 23100A a b + 1050B a )d  + (- 23100A a b + 1050B a )d )e
+--R         + 
+--R                     3 2          4   5            4 2          5   4  6
+--R           ((44550A a b  - 4950B a b)d  + (44550A a b  - 4950B a b)d )e
+--R         + 
+--R                       2 3          3 2  6              3 3          4 2  5  5
+--R           ((- 41580A a b  + 8910B a b )d  + (- 41580A a b  + 8910B a b )d )e
+--R         + 
+--R                       4          2 3  7            2 4          3 3  6  4
+--R           ((17325A a b  - 6930B a b )d  + (17325A a b  - 6930B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 4          6 3  7
+--R           (6300A a d  + 6300A a d )e
+--R         + 
+--R                       4           5  5              5           6  4  6
+--R           ((- 30800A a b + 1400B a )d  + (- 30800A a b + 1400B a )d )e
+--R         + 
+--R                     3 2          4   6            4 2          5   5  5
+--R           ((59400A a b  - 6600B a b)d  + (59400A a b  - 6600B a b)d )e
+--R         + 
+--R                       2 3           3 2  7              3 3           4 2  6  4
+--R           ((- 55440A a b  + 11880B a b )d  + (- 55440A a b  + 11880B a b )d )e
+--R         + 
+--R                       4          2 3  8            2 4          3 3  7  3
+--R           ((23100A a b  - 9240B a b )d  + (23100A a b  - 9240B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   5 5          6 4  6
+--R           (4725A a d  + 4725A a d )e
+--R         + 
+--R                       4           5  6              5           6  5  5
+--R           ((- 23100A a b + 1050B a )d  + (- 23100A a b + 1050B a )d )e
+--R         + 
+--R                     3 2          4   7            4 2          5   6  4
+--R           ((44550A a b  - 4950B a b)d  + (44550A a b  - 4950B a b)d )e
+--R         + 
+--R                       2 3          3 2  8              3 3          4 2  7  3
+--R           ((- 41580A a b  + 8910B a b )d  + (- 41580A a b  + 8910B a b )d )e
+--R         + 
+--R                       4          2 3  9            2 4          3 3  8  2
+--R           ((17325A a b  - 6930B a b )d  + (17325A a b  - 6930B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   5 6          6 5  5
+--R           (1890A a d  + 1890A a d )e
+--R         + 
+--R                      4          5  7             5          6  6  4
+--R           ((- 9240A a b + 420B a )d  + (- 9240A a b + 420B a )d )e
+--R         + 
+--R                     3 2          4   8            4 2          5   7  3
+--R           ((17820A a b  - 1980B a b)d  + (17820A a b  - 1980B a b)d )e
+--R         + 
+--R                       2 3          3 2  9              3 3          4 2  8  2
+--R           ((- 16632A a b  + 3564B a b )d  + (- 16632A a b  + 3564B a b )d )e
+--R         + 
+--R                      4          2 3  10           2 4          3 3  9
+--R           ((6930A a b  - 2772B a b )d   + (6930A a b  - 2772B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R              5 7         6 6  4
+--R       (315A a d  + 315A a d )e
+--R     + 
+--R                  4         5  8             5         6  7  3
+--R       ((- 1540A a b + 70B a )d  + (- 1540A a b + 70B a )d )e
+--R     + 
+--R                3 2         4   9           4 2         5   8  2
+--R       ((2970A a b  - 330B a b)d  + (2970A a b  - 330B a b)d )e
+--R     + 
+--R                  2 3         3 2  10             3 3         4 2  9
+--R       ((- 2772A a b  + 594B a b )d   + (- 2772A a b  + 594B a b )d )e
+--R     + 
+--R                 4         2 3  11           2 4         3 3  10
+--R       (1155A a b  - 462B a b )d   + (1155A a b  - 462B a b )d
+--R  /
+--R                5 6 11         4   7 10         3 2 8 9         2 3 9 8
+--R           3465a d e   - 17325a b d e   + 34650a b d e  - 34650a b d e
+--R         + 
+--R                   4 10 7        5 11 6
+--R           17325a b d  e  - 3465b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 7 10          4   8 9          3 2 9 8          2 3 10 7
+--R           20790a d e   - 103950a b d e  + 207900a b d e  - 207900a b d  e
+--R         + 
+--R                    4 11 6         5 12 5
+--R           103950a b d  e  - 20790b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 5 8 9          4   9 8          3 2 10 7          2 3 11 6
+--R           51975a d e  - 259875a b d e  + 519750a b d  e  - 519750a b d  e
+--R         + 
+--R                    4 12 5         5 13 4
+--R           259875a b d  e  - 51975b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 5 9 8          4   10 7          3 2 11 6          2 3 12 5
+--R           69300a d e  - 346500a b d  e  + 693000a b d  e  - 693000a b d  e
+--R         + 
+--R                    4 13 4         5 14 3
+--R           346500a b d  e  - 69300b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 5 10 7          4   11 6          3 2 12 5          2 3 13 4
+--R           51975a d  e  - 259875a b d  e  + 519750a b d  e  - 519750a b d  e
+--R         + 
+--R                    4 14 3         5 15 2
+--R           259875a b d  e  - 51975b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 5 11 6          4   12 5          3 2 13 4          2 3 14 3
+--R           20790a d  e  - 103950a b d  e  + 207900a b d  e  - 207900a b d  e
+--R         + 
+--R                    4 15 2         5 16
+--R           103950a b d  e  - 20790b d  e
+--R      *
+--R         x
+--R     + 
+--R            5 12 5         4   13 4         3 2 14 3         2 3 15 2
+--R       3465a d  e  - 17325a b d  e  + 34650a b d  e  - 34650a b d  e
+--R     + 
+--R               4 16         5 17
+--R       17325a b d  e - 3465b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 971
+
+--S 972 of 1293 ok to fail, differs by a constant
+m0:=a0-r0 
+--R 
+--R
+--R   (4)
+--R              5          6  4
+--R       (315A a d + 315A a )e
+--R     + 
+--R                  4         5  2             5         6    3
+--R       ((- 1540A a b + 70B a )d  + (- 1540A a b + 70B a )d)e
+--R     + 
+--R                3 2         4   3           4 2         5   2  2
+--R       ((2970A a b  - 330B a b)d  + (2970A a b  - 330B a b)d )e
+--R     + 
+--R                  2 3         3 2  4             3 3         4 2  3
+--R       ((- 2772A a b  + 594B a b )d  + (- 2772A a b  + 594B a b )d )e
+--R     + 
+--R                 4         2 3  5           2 4         3 3  4
+--R       (1155A a b  - 462B a b )d  + (1155A a b  - 462B a b )d
+--R  /
+--R            5 6 5         4   7 4         3 2 8 3         2 3 9 2
+--R       3465a d e  - 17325a b d e  + 34650a b d e  - 34650a b d e
+--R     + 
+--R               4 10         5 11
+--R       17325a b d  e - 3465b d
+--R                                                    Type: Expression(Integer)
+--E 972
+
+--S 973 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 973
+
+)clear all
+
+--S 974 of 1293
+t0:=(A+B*x)*sqrt(a+b*x)/(d+e*x)^(15/2)
+--R 
+--R
+--R   (1)
+--R               +-------+
+--R     (B x + A)\|b x + a
+--R  /
+--R            7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6
+--R           e x  + 7d e x  + 21d e x  + 35d e x  + 35d e x  + 21d e x  + 7d e x
+--R         + 
+--R            7
+--R           d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 974
+
+--S 975 of 1293
+r0:=-2/13*(B*d-A*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)*(d+e*x)^(13/2))+_
+     2/143*(3*b*B*d+10*A*b*e-13*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(11/2))+16/1287*b*(3*b*B*d+10*A*b*e-13*a*B*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)^3*(d+e*x)^(9/2))+32/3003*b^2*_
+     (3*b*B*d+10*A*b*e-13*a*B*e)*(a+b*x)^(3/2)/(e*(b*d-a*e)^4*_
+     (d+e*x)^(7/2))+128/15015*b^3*(3*b*B*d+10*A*b*e-13*a*B*e)*_
+     (a+b*x)^(3/2)/(e*(b*d-a*e)^5*(d+e*x)^(5/2))+_
+     256/45045*b^4*(3*b*B*d+10*A*b*e-13*a*B*e)*(a+b*x)^(3/2)/_
+     (e*(b*d-a*e)^6*(d+e*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R                  6            5  5         6   4  6
+--R         ((2560A b  - 3328B a b )e  + 768B b d e )x
+--R       + 
+--R                         5          2 4  5            6             5    4
+--R             (- 1280A a b  + 1664B a b )e  + (16640A b  - 22016B a b )d e
+--R           + 
+--R                    6 2 3
+--R             4992B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    2 4          3 3  5               5           2 4    4
+--R             (960A a b  - 1248B a b )e  + (- 8320A a b  + 11104B a b )d e
+--R           + 
+--R                      6             5  2 3           6 3 2
+--R             (45760A b  - 61984B a b )d e  + 13728B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                      3 3          4 2  5           2 4          3 3    4
+--R             (- 800A a b  + 1040B a b )e  + (6240A a b  - 8352B a b )d e
+--R           + 
+--R                          5           2 4  2 3            6             5  3 2
+--R             (- 22880A a b  + 31616B a b )d e  + (68640A b  - 96096B a b )d e
+--R           + 
+--R                     6 4
+--R             20592B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    4 2         5   5             3 3          4 2    4
+--R             (700A a b  - 910B a b)e  + (- 5200A a b  + 6970B a b )d e
+--R           + 
+--R                      2 4           3 3  2 3                5           2 4  3 2
+--R             (17160A a b  - 23868B a b )d e  + (- 34320A a b  + 49764B a b )d e
+--R           + 
+--R                      6             5  4            6 5
+--R             (60060A b  - 88374B a b )d e + 18018B b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      5           6  5           4 2           5     4
+--R             (- 630A a b - 8190B a )e  + (4550A a b  + 47950B a b)d e
+--R           + 
+--R                        3 3            4 2  2 3
+--R             (- 14300A a b  - 115180B a b )d e
+--R           + 
+--R                      2 4            3 3  3 2                5           2 4  4
+--R             (25740A a b  + 142428B a b )d e  + (- 30030A a b  - 88374B a b )d e
+--R           + 
+--R                      6            5  5
+--R             (30030A b  + 6006B a b )d
+--R        *
+--R           x
+--R       + 
+--R                  6 5            5           6    4
+--R         - 6930A a e  + (40950A a b - 1260B a )d e
+--R       + 
+--R                     4 2          5   2 3             3 3           4 2  3 2
+--R         (- 100100A a b  + 7280B a b)d e  + (128700A a b  - 17160B a b )d e
+--R       + 
+--R                    2 4           3 3  4               5           2 4  5
+--R         (- 90090A a b  + 20592B a b )d e + (30030A a b  - 12012B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                   6 12          5     11          4 2 2 10          3 3 3 9
+--R             45045a e   - 270270a b d e   + 675675a b d e   - 900900a b d e
+--R           + 
+--R                    2 4 4 8            5 5 7         6 6 6
+--R             675675a b d e  - 270270a b d e  + 45045b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    6   11           5   2 10           4 2 3 9
+--R             270270a d e   - 1621620a b d e   + 4054050a b d e
+--R           + 
+--R                     3 3 4 8           2 4 5 7             5 6 6          6 7 5
+--R           - 5405400a b d e  + 4054050a b d e  - 1621620a b d e  + 270270b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    6 2 10           5   3 9            4 2 4 8
+--R             675675a d e   - 4054050a b d e  + 10135125a b d e
+--R           + 
+--R                        3 3 5 7            2 4 6 6             5 7 5
+--R             - 13513500a b d e  + 10135125a b d e  - 4054050a b d e
+--R           + 
+--R                    6 8 4
+--R             675675b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    6 3 9           5   4 8            4 2 5 7
+--R             900900a d e  - 5405400a b d e  + 13513500a b d e
+--R           + 
+--R                        3 3 6 6            2 4 7 5             5 8 4
+--R             - 18018000a b d e  + 13513500a b d e  - 5405400a b d e
+--R           + 
+--R                    6 9 3
+--R             900900b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    6 4 8           5   5 7            4 2 6 6
+--R             675675a d e  - 4054050a b d e  + 10135125a b d e
+--R           + 
+--R                        3 3 7 5            2 4 8 4             5 9 3
+--R             - 13513500a b d e  + 10135125a b d e  - 4054050a b d e
+--R           + 
+--R                    6 10 2
+--R             675675b d  e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    6 5 7           5   6 6           4 2 7 5           3 3 8 4
+--R             270270a d e  - 1621620a b d e  + 4054050a b d e  - 5405400a b d e
+--R           + 
+--R                     2 4 9 3             5 10 2          6 11
+--R             4054050a b d e  - 1621620a b d  e  + 270270b d  e
+--R        *
+--R           x
+--R       + 
+--R               6 6 6          5   7 5          4 2 8 4          3 3 9 3
+--R         45045a d e  - 270270a b d e  + 675675a b d e  - 900900a b d e
+--R       + 
+--R                2 4 10 2            5 11          6 12
+--R         675675a b d  e  - 270270a b d  e + 45045b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 975
+
+--S 976 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     6             5  7 5          6 8 4  6
+--R           ((10240A b  - 13312B a b )d e  + 3072B b d e )x
+--R         + 
+--R                           5          2 4  7 5            6             5  8 4
+--R               (- 5120A a b  + 6656B a b )d e  + (66560A b  - 88064B a b )d e
+--R             + 
+--R                       6 9 3
+--R               19968B b d e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                       2 4          3 3  7 5                5           2 4  8 4
+--R               (3840A a b  - 4992B a b )d e  + (- 33280A a b  + 44416B a b )d e
+--R             + 
+--R                         6              5  9 3           6 10 2
+--R               (183040A b  - 247936B a b )d e  + 54912B b d  e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                         3 3          4 2  7 5            2 4           3 3  8 4
+--R               (- 3200A a b  + 4160B a b )d e  + (24960A a b  - 33408B a b )d e
+--R             + 
+--R                            5            2 4  9 3
+--R               (- 91520A a b  + 126464B a b )d e
+--R             + 
+--R                         6              5  10 2           6 11
+--R               (274560A b  - 384384B a b )d  e  + 82368B b d  e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       4 2          5   7 5              3 3           4 2  8 4
+--R               (2800A a b  - 3640B a b)d e  + (- 20800A a b  + 27880B a b )d e
+--R             + 
+--R                        2 4           3 3  9 3
+--R               (68640A a b  - 95472B a b )d e
+--R             + 
+--R                             5            2 4  10 2
+--R               (- 137280A a b  + 199056B a b )d  e
+--R             + 
+--R                         6              5  11            6 12
+--R               (240240A b  - 353496B a b )d  e + 72072B b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                         5            6  7 5            4 2            5   8 4
+--R               (- 2520A a b - 32760B a )d e  + (18200A a b  + 191800B a b)d e
+--R             + 
+--R                          3 3            4 2  9 3
+--R               (- 57200A a b  - 460720B a b )d e
+--R             + 
+--R                         2 4            3 3  10 2
+--R               (102960A a b  + 569712B a b )d  e
+--R             + 
+--R                           5            2 4  11              6             5  12
+--R             (- 120120A a b  - 353496B a b )d  e + (120120A b  + 24024B a b )d
+--R          *
+--R             x
+--R         + 
+--R                     6 7 5             5           6  8 4
+--R           - 27720A a d e  + (163800A a b - 5040B a )d e
+--R         + 
+--R                       4 2           5   9 3             3 3           4 2  10 2
+--R           (- 400400A a b  + 29120B a b)d e  + (514800A a b  - 68640B a b )d  e
+--R         + 
+--R                       2 4           3 3  11                5           2 4  12
+--R           (- 360360A a b  + 82368B a b )d  e + (120120A a b  - 48048B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                     6            7  12
+--R           (- 3465A a d - 55440A a )e
+--R         + 
+--R                     5          6  2             6            7    11
+--R           ((20475A a b - 630B a )d  + (327600A a b - 10080B a )d)e
+--R         + 
+--R                       4 2          5   3               5 2           6   2  10
+--R           ((- 50050A a b  + 3640B a b)d  + (- 800800A a b  + 58240B a b)d )e
+--R         + 
+--R                     3 3          4 2  4              4 3            5 2  3  9
+--R           ((64350A a b  - 8580B a b )d  + (1029600A a b  - 137280B a b )d )e
+--R         + 
+--R                            2 4           3 3  5
+--R                 (- 45045A a b  + 10296B a b )d
+--R               + 
+--R                             3 4            4 3  4
+--R                 (- 720720A a b  + 164736B a b )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                       5          2 4  6             2 5           3 4  5  7
+--R           ((15015A a b  - 6006B a b )d  + (240240A a b  - 96096B a b )d )e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                      6 2            7   11
+--R           (- 24255A a d  - 388080A a d)e
+--R         + 
+--R                      5           6  3              6            7  2  10
+--R           ((143325A a b - 4410B a )d  + (2293200A a b - 70560B a )d )e
+--R         + 
+--R                             4 2           5   4
+--R                 (- 350350A a b  + 25480B a b)d
+--R               + 
+--R                              5 2            6   3
+--R                 (- 5605600A a b  + 407680B a b)d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                      3 3           4 2  5              4 3            5 2  4  8
+--R           ((450450A a b  - 60060B a b )d  + (7207200A a b  - 960960B a b )d )e
+--R         + 
+--R                           2 4           3 3  6
+--R               (- 315315A a b  + 72072B a b )d
+--R             + 
+--R                            3 4             4 3  5
+--R               (- 5045040A a b  + 1153152B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                      5           2 4  7              2 5            3 4  6  6
+--R         ((105105A a b  - 42042B a b )d  + (1681680A a b  - 672672B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                      6 3             7 2  10
+--R           (- 72765A a d  - 1164240A a d )e
+--R         + 
+--R                      5            6  4              6             7  3  9
+--R           ((429975A a b - 13230B a )d  + (6879600A a b - 211680B a )d )e
+--R         + 
+--R                            4 2           5   5
+--R               (- 1051050A a b  + 76440B a b)d
+--R             + 
+--R                             5 2             6   4
+--R               (- 16816800A a b  + 1223040B a b)d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                          3 3            4 2  6
+--R               (1351350A a b  - 180180B a b )d
+--R             + 
+--R                           4 3             5 2  5
+--R               (21621600A a b  - 2882880B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                           2 4            3 3  7
+--R               (- 945945A a b  + 216216B a b )d
+--R             + 
+--R                             3 4             4 3  6
+--R               (- 15135120A a b  + 3459456B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                      5            2 4  8              2 5             3 4  7  5
+--R         ((315315A a b  - 126126B a b )d  + (5045040A a b  - 2018016B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                       6 4             7 3  9
+--R           (- 121275A a d  - 1940400A a d )e
+--R         + 
+--R                      5            6  5               6             7  4  8
+--R           ((716625A a b - 22050B a )d  + (11466000A a b - 352800B a )d )e
+--R         + 
+--R                            4 2            5   6
+--R               (- 1751750A a b  + 127400B a b)d
+--R             + 
+--R                             5 2             6   5
+--R               (- 28028000A a b  + 2038400B a b)d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                          3 3            4 2  7
+--R               (2252250A a b  - 300300B a b )d
+--R             + 
+--R                           4 3             5 2  6
+--R               (36036000A a b  - 4804800B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                            2 4            3 3  8
+--R               (- 1576575A a b  + 360360B a b )d
+--R             + 
+--R                             3 4             4 3  7
+--R               (- 25225200A a b  + 5765760B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                      5            2 4  9              2 5             3 4  8  4
+--R         ((525525A a b  - 210210B a b )d  + (8408400A a b  - 3363360B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                       6 5             7 4  8
+--R           (- 121275A a d  - 1940400A a d )e
+--R         + 
+--R                      5            6  6               6             7  5  7
+--R           ((716625A a b - 22050B a )d  + (11466000A a b - 352800B a )d )e
+--R         + 
+--R                            4 2            5   7
+--R               (- 1751750A a b  + 127400B a b)d
+--R             + 
+--R                             5 2             6   6
+--R               (- 28028000A a b  + 2038400B a b)d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                          3 3            4 2  8
+--R               (2252250A a b  - 300300B a b )d
+--R             + 
+--R                           4 3             5 2  7
+--R               (36036000A a b  - 4804800B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                            2 4            3 3  9
+--R               (- 1576575A a b  + 360360B a b )d
+--R             + 
+--R                             3 4             4 3  8
+--R               (- 25225200A a b  + 5765760B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                           5            2 4  10
+--R               (525525A a b  - 210210B a b )d
+--R             + 
+--R                          2 5             3 4  9
+--R               (8408400A a b  - 3363360B a b )d
+--R          *
+--R              3
+--R             e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                      6 6             7 5  7
+--R           (- 72765A a d  - 1164240A a d )e
+--R         + 
+--R                      5            6  7              6             7  6  6
+--R           ((429975A a b - 13230B a )d  + (6879600A a b - 211680B a )d )e
+--R         + 
+--R                            4 2           5   8
+--R               (- 1051050A a b  + 76440B a b)d
+--R             + 
+--R                             5 2             6   7
+--R               (- 16816800A a b  + 1223040B a b)d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                          3 3            4 2  9
+--R               (1351350A a b  - 180180B a b )d
+--R             + 
+--R                           4 3             5 2  8
+--R               (21621600A a b  - 2882880B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                           2 4            3 3  10
+--R               (- 945945A a b  + 216216B a b )d
+--R             + 
+--R                             3 4             4 3  9
+--R               (- 15135120A a b  + 3459456B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                           5            2 4  11
+--R               (315315A a b  - 126126B a b )d
+--R             + 
+--R                          2 5             3 4  10
+--R               (5045040A a b  - 2018016B a b )d
+--R          *
+--R              2
+--R             e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                      6 7            7 6  6
+--R           (- 24255A a d  - 388080A a d )e
+--R         + 
+--R                      5           6  8              6            7  7  5
+--R           ((143325A a b - 4410B a )d  + (2293200A a b - 70560B a )d )e
+--R         + 
+--R                             4 2           5   9
+--R                 (- 350350A a b  + 25480B a b)d
+--R               + 
+--R                              5 2            6   8
+--R                 (- 5605600A a b  + 407680B a b)d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                           3 3           4 2  10
+--R                 (450450A a b  - 60060B a b )d
+--R               + 
+--R                            4 3            5 2  9
+--R                 (7207200A a b  - 960960B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                           2 4           3 3  11
+--R               (- 315315A a b  + 72072B a b )d
+--R             + 
+--R                            3 4             4 3  10
+--R               (- 5045040A a b  + 1153152B a b )d
+--R          *
+--R              2
+--R             e
+--R         + 
+--R                      5           2 4  12              2 5            3 4  11
+--R         ((105105A a b  - 42042B a b )d   + (1681680A a b  - 672672B a b )d  )e
+--R      *
+--R         x
+--R     + 
+--R                 6 8           7 7  5
+--R       (- 3465A a d  - 55440A a d )e
+--R     + 
+--R                 5          6  9             6            7  8  4
+--R       ((20475A a b - 630B a )d  + (327600A a b - 10080B a )d )e
+--R     + 
+--R                   4 2          5   10               5 2           6   9  3
+--R       ((- 50050A a b  + 3640B a b)d   + (- 800800A a b  + 58240B a b)d )e
+--R     + 
+--R                 3 3          4 2  11              4 3            5 2  10  2
+--R       ((64350A a b  - 8580B a b )d   + (1029600A a b  - 137280B a b )d  )e
+--R     + 
+--R                   2 4           3 3  12               3 4            4 3  11
+--R       ((- 45045A a b  + 10296B a b )d   + (- 720720A a b  + 164736B a b )d  )e
+--R     + 
+--R                  5          2 4  13             2 5           3 4  12
+--R       (15015A a b  - 6006B a b )d   + (240240A a b  - 96096B a b )d
+--R  /
+--R                  6 7 13           5   8 12           4 2 9 11
+--R           180180a d e   - 1081080a b d e   + 2702700a b d e
+--R         + 
+--R                     3 3 10 10           2 4 11 9             5 12 8
+--R           - 3603600a b d  e   + 2702700a b d  e  - 1081080a b d  e
+--R         + 
+--R                  6 13 7
+--R           180180b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                   6 8 12           5   9 11            4 2 10 10
+--R           1261260a d e   - 7567560a b d e   + 18918900a b d  e
+--R         + 
+--R                      3 3 11 9            2 4 12 8             5 13 7
+--R           - 25225200a b d  e  + 18918900a b d  e  - 7567560a b d  e
+--R         + 
+--R                   6 14 6
+--R           1261260b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   6 9 11            5   10 10            4 2 11 9
+--R           3783780a d e   - 22702680a b d  e   + 56756700a b d  e
+--R         + 
+--R                      3 3 12 8            2 4 13 7              5 14 6
+--R           - 75675600a b d  e  + 56756700a b d  e  - 22702680a b d  e
+--R         + 
+--R                   6 15 5
+--R           3783780b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   6 10 10            5   11 9            4 2 12 8
+--R           6306300a d  e   - 37837800a b d  e  + 94594500a b d  e
+--R         + 
+--R                       3 3 13 7            2 4 14 6              5 15 5
+--R           - 126126000a b d  e  + 94594500a b d  e  - 37837800a b d  e
+--R         + 
+--R                   6 16 4
+--R           6306300b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   6 11 9            5   12 8            4 2 13 7
+--R           6306300a d  e  - 37837800a b d  e  + 94594500a b d  e
+--R         + 
+--R                       3 3 14 6            2 4 15 5              5 16 4
+--R           - 126126000a b d  e  + 94594500a b d  e  - 37837800a b d  e
+--R         + 
+--R                   6 17 3
+--R           6306300b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   6 12 8            5   13 7            4 2 14 6
+--R           3783780a d  e  - 22702680a b d  e  + 56756700a b d  e
+--R         + 
+--R                      3 3 15 5            2 4 16 4              5 17 3
+--R           - 75675600a b d  e  + 56756700a b d  e  - 22702680a b d  e
+--R         + 
+--R                   6 18 2
+--R           3783780b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   6 13 7           5   14 6            4 2 15 5
+--R           1261260a d  e  - 7567560a b d  e  + 18918900a b d  e
+--R         + 
+--R                      3 3 16 4            2 4 17 3             5 18 2
+--R           - 25225200a b d  e  + 18918900a b d  e  - 7567560a b d  e
+--R         + 
+--R                   6 19
+--R           1261260b d  e
+--R      *
+--R         x
+--R     + 
+--R              6 14 6           5   15 5           4 2 16 4           3 3 17 3
+--R       180180a d  e  - 1081080a b d  e  + 2702700a b d  e  - 3603600a b d  e
+--R     + 
+--R               2 4 18 2             5 19           6 20
+--R       2702700a b d  e  - 1081080a b d  e + 180180b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 976
+
+--S 977 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                 6            7  5
+--R       (- 3465A a d - 55440A a )e
+--R     + 
+--R                 5          6  2             6            7    4
+--R       ((20475A a b - 630B a )d  + (327600A a b - 10080B a )d)e
+--R     + 
+--R                   4 2          5   3               5 2           6   2  3
+--R       ((- 50050A a b  + 3640B a b)d  + (- 800800A a b  + 58240B a b)d )e
+--R     + 
+--R                 3 3          4 2  4              4 3            5 2  3  2
+--R       ((64350A a b  - 8580B a b )d  + (1029600A a b  - 137280B a b )d )e
+--R     + 
+--R                   2 4           3 3  5               3 4            4 3  4
+--R       ((- 45045A a b  + 10296B a b )d  + (- 720720A a b  + 164736B a b )d )e
+--R     + 
+--R                  5          2 4  6             2 5           3 4  5
+--R       (15015A a b  - 6006B a b )d  + (240240A a b  - 96096B a b )d
+--R  /
+--R              6 7 6           5   8 5           4 2 9 4           3 3 10 3
+--R       180180a d e  - 1081080a b d e  + 2702700a b d e  - 3603600a b d  e
+--R     + 
+--R               2 4 11 2             5 12           6 13
+--R       2702700a b d  e  - 1081080a b d  e + 180180b d
+--R                                                    Type: Expression(Integer)
+--E 977
+
+--S 978 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 978
+
+)clear all
+
+--S 979 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)*(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R            2 4                2             3
+--R       B b e x  + ((A b + B a)e  + 2B b d e)x
+--R     + 
+--R             2                           2  2                           2
+--R       (A a e  + (2A b + 2B a)d e + B b d )x  + (2A a d e + (A b + B a)d )x
+--R     + 
+--R            2
+--R       A a d
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 979
+
+--S 980 of 1293
+r0:=-1/96*(b*d-a*e)*(5*b*B*d-12*A*b*e+7*a*B*e)*(a+b*x)^(5/2)*_
+     (d+e*x)^(3/2)/(b^3*e)-1/60*(5*b*B*d-12*A*b*e+7*a*B*e)*(a+b*x)^(5/2)*_
+     (d+e*x)^(5/2)/(b^2*e)+1/6*B*(a+b*x)^(5/2)*(d+e*x)^(7/2)/(b*e)-_
+     1/512*(b*d-a*e)^5*(5*b*B*d-12*A*b*e+7*a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(9/2)*e^(7/2))-_
+     1/768*(b*d-a*e)^3*(5*b*B*d-12*A*b*e+7*a*B*e)*(a+b*x)^(3/2)*_
+     sqrt(d+e*x)/(b^4*e^2)-1/192*(b*d-a*e)^2*(5*b*B*d-_
+     12*A*b*e+7*a*B*e)*(a+b*x)^(5/2)*sqrt(d+e*x)/(b^4*e)+_
+     1/512*(b*d-a*e)^4*(5*b*B*d-12*A*b*e+7*a*B*e)*sqrt(a+b*x)*_
+     sqrt(d+e*x)/(b^4*e^3)
+--R 
+--R
+--R   (2)
+--R                    5          6  6          4 2         5     5
+--R           (- 180A a b + 105B a )e  + (900A a b  - 450B a b)d e
+--R         + 
+--R                     3 3         4 2  2 4           2 4         3 3  3 3
+--R           (- 1800A a b  + 675B a b )d e  + (1800A a b  - 300B a b )d e
+--R         + 
+--R                      5         2 4  4 2          6           5  5         6 6
+--R           (- 900A a b  - 225B a b )d e  + (180A b  + 270B a b )d e - 75B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                  5 5 5            5            4  5          5   4  4
+--R           1280B b e x  + ((1536A b  + 1664B a b )e  + 3200B b d e )x
+--R         + 
+--R                         4        2 3  5           5            4    4
+--R               (2112A a b  + 48B a b )e  + (4032A b  + 4448B a b )d e
+--R             + 
+--R                      5 2 3
+--R               2160B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     2 3        3 2  5             4         2 3    4
+--R               (96A a b  - 56B a b )e  + (6144A a b  + 216B a b )d e
+--R             + 
+--R                       5            4  2 3        5 3 2
+--R               (2976A b  + 3384B a b )d e  + 40B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        3 2        4   5          2 3         3 2    4
+--R               (- 120A a b  + 70B a b)e  + (552A a b  - 272B a b )d e
+--R             + 
+--R                         4         2 3  2 3          5           4  3 2
+--R               (5592A a b  + 348B a b )d e  + (120A b  + 160B a b )d e
+--R             + 
+--R                      5 4
+--R               - 50B b d e
+--R          *
+--R             x
+--R         + 
+--R                  4          5  5            3 2         4     4
+--R           (180A a b - 105B a )e  + (- 840A a b  + 415B a b)d e
+--R         + 
+--R                   2 3         3 2  2 3            4         2 3  3 2
+--R           (1536A a b  - 546B a b )d e  + (840A a b  + 150B a b )d e
+--R         + 
+--R                    5           4  4         5 5
+--R           (- 180A b  - 245B a b )d e + 75B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R          4 3 +-+ +-+
+--R     7680b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 980
+
+--S 981 of 1293
+--a0:=integrate(t0,x)
+--E 981
+
+--S 982 of 1293
+--m0:=a0-r0
+--E 982
+
+--S 983 of 1293
+--d0:=D(m0,x)
+--E 983
+
+)clear all
+
+--S 984 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)*(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R             3                          2
+--R     (B b e x  + ((A b + B a)e + B b d)x  + (A a e + (A b + B a)d)x + A a d)
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 984
+
+--S 985 of 1293
+r0:=1/8*(2*A*b*e-B*(b*d+a*e))*(a+b*x)^(5/2)*(d+e*x)^(3/2)/(b^2*e)+_
+     1/5*B*(a+b*x)^(5/2)*(d+e*x)^(5/2)/(b*e)+3/128*(b*d-a*e)^4*_
+     (2*A*b*e-B*(b*d+a*e))*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(d+e*x)))/(b^(7/2)*e^(7/2))+1/64*(b*d-a*e)^2*(2*A*b*e-_
+     B*(b*d+a*e))*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^3*e^2)+1/16*(b*d-a*e)*_
+     (2*A*b*e-B*(b*d+a*e))*(a+b*x)^(5/2)*sqrt(d+e*x)/(b^3*e)-_
+     3/128*(b*d-a*e)^3*(2*A*b*e-B*(b*d+a*e))*sqrt(a+b*x)*sqrt(d+e*x)/(b^3*e^3)
+--R 
+--R
+--R   (2)
+--R                 4         5  5            3 2        4     4
+--R           (30A a b - 15B a )e  + (- 120A a b  + 45B a b)d e
+--R         + 
+--R                  2 3        3 2  2 3              4        2 3  3 2
+--R           (180A a b  - 30B a b )d e  + (- 120A a b  - 30B a b )d e
+--R         + 
+--R                 5          4  4         5 5
+--R           (30A b  + 45B a b )d e - 15B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                 4 4 4           4           3  4         4   3  3
+--R           128B b e x  + ((160A b  + 176B a b )e  + 176B b d e )x
+--R         + 
+--R                     3       2 2  4          4           3    3       4 2 2  2
+--R           ((240A a b  + 8B a b )e  + (240A b  + 272B a b )d e  + 8B b d e )x
+--R         + 
+--R                     2 2        3   4            3        2 2    3
+--R               (20A a b  - 10B a b)e  + (440A a b  + 26B a b )d e
+--R             + 
+--R                     4          3  2 2        4 3
+--R               (20A b  + 26B a b )d e  - 10B b d e
+--R          *
+--R             x
+--R         + 
+--R                   3         4  4          2 2        3     3
+--R           (- 30A a b + 15B a )e  + (110A a b  - 40B a b)d e
+--R         + 
+--R                    3        2 2  2 2           4          3  3         4 4
+--R           (110A a b  + 18B a b )d e  + (- 30A b  - 40B a b )d e + 15B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R         3 3 +-+ +-+
+--R     640b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 985
+
+--S 986 of 1293
+--a0:=integrate(t0,x)
+--E 986
+
+--S 987 of 1293
+--m0:=a0-r0
+--E 987
+
+--S 988 of 1293
+--d0:=D(m0,x)
+--E 988
+
+)clear all
+
+--S 989 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)*sqrt(d+e*x)
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R   (1)  (B b x  + (A b + B a)x + A a)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 989
+
+--S 990 of 1293
+r0:=1/4*B*(a+b*x)^(5/2)*(d+e*x)^(3/2)/(b*e)-1/64*(b*d-a*e)^3*_
+     (5*b*B*d-8*A*b*e+3*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(5/2)*e^(7/2))-1/96*(b*d-a*e)*_
+     (5*b*B*d-8*A*b*e+3*a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^2*e^2)-_
+     1/24*(5*b*B*d-8*A*b*e+3*a*B*e)*(a+b*x)^(5/2)*sqrt(d+e*x)/(b^2*e)+_
+     1/64*(b*d-a*e)^2*(5*b*B*d-8*A*b*e+3*a*B*e)*sqrt(a+b*x)*_
+     sqrt(d+e*x)/(b^2*e^3)
+--R 
+--R
+--R   (2)
+--R                   3        4  4         2 2        3     3
+--R           (- 24A a b + 9B a )e  + (72A a b  - 12B a b)d e
+--R         + 
+--R                     3        2 2  2 2         4          3  3         4 4
+--R           (- 72A a b  - 18B a b )d e  + (24A b  + 36B a b )d e - 15B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                3 3 3          3          2  3       3   2  2
+--R           48B b e x  + ((64A b  + 72B a b )e  + 8B b d e )x
+--R         + 
+--R                     2       2   3         3          2    2        3 2
+--R           ((112A a b  + 6B a b)e  + (16A b  + 20B a b )d e  - 10B b d e)x
+--R         + 
+--R                 2        3  3           2       2     2
+--R           (24A a b - 9B a )e  + (64A a b  + 9B a b)d e
+--R         + 
+--R                   3          2  2         3 3
+--R           (- 24A b  - 31B a b )d e + 15B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R         2 3 +-+ +-+
+--R     192b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 990
+
+--S 991 of 1293
+--a0:=integrate(t0,x)
+--E 991
+
+--S 992 of 1293
+--m0:=a0-r0
+--E 992
+
+--S 993 of 1293
+--d0:=D(m0,x)
+--E 993
+
+)clear all
+
+--S 994 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/sqrt(d+e*x)
+--R 
+--R
+--R              2                       +-------+
+--R        (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  ---------------------------------------
+--R                        +-------+
+--R                       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 994
+
+--S 995 of 1293
+r0:=-1/8*(b*d-a*e)^2*(5*b*B*d-6*A*b*e+a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(3/2)*e^(7/2))-1/12*(5*b*B*d-6*A*b*e+a*B*e)*_
+     (a+b*x)^(3/2)*sqrt(d+e*x)/(b*e^2)+1/3*B*(a+b*x)^(5/2)*_
+     sqrt(d+e*x)/(b*e)+1/8*(b*d-a*e)*(5*b*B*d-6*A*b*e+a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b*e^3)
+--R 
+--R
+--R   (2)
+--R                 2        3  3             2       2     2
+--R           (18A a b - 3B a )e  + (- 36A a b  - 9B a b)d e
+--R         + 
+--R                 3          2  2         3 3
+--R           (18A b  + 27B a b )d e - 15B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R               2 2 2          2            2        2                       2  2
+--R           8B b e x  + ((12A b  + 14B a b)e  - 10B b d e)x + (30A a b + 3B a )e
+--R         + 
+--R                   2                      2 2
+--R           (- 18A b  - 22B a b)d e + 15B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R          3 +-+ +-+
+--R     24b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 995
+
+--S 996 of 1293
+--a0:=integrate(t0,x)
+--E 996
+
+--S 997 of 1293
+--m0:=a0-r0
+--E 997
+
+--S 998 of 1293
+--d0:=D(m0,x)
+--E 998
+
+)clear all
+
+--S 999 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+
+--R        (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  ---------------------------------------
+--R                            +-------+
+--R                  (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 999
+
+--S 1000 of 1293
+r0:=3/4*(b*d-a*e)*(5*b*B*d-4*A*b*e-a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(e^(7/2)*sqrt(b))-_
+     2*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*sqrt(d+e*x))+_
+     1/2*(5*b*B*d-4*A*b*e-a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(e^2*(b*d-a*e))-_
+     3/4*(5*b*B*d-4*A*b*e-a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/e^3
+--R 
+--R
+--R   (2)
+--R                         2  2           2                      2 2  +-------+
+--R         ((12A a b + 3B a )e  + (- 12A b  - 18B a b)d e + 15B b d )\|e x + d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                 2 2                  2                      2
+--R           2B b e x  + ((4A b + 5B a)e  - 5B b d e)x - 8A a e
+--R         + 
+--R                                       2
+--R           (12A b + 13B a)d e - 15B b d
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|e \|b x + a
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4e \|b \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1000
+
+--S 1001 of 1293
+--a0:=integrate(t0,x)
+--E 1001
+
+--S 1002 of 1293
+--m0:=a0-r0
+--E 1002
+
+--S 1003 of 1293
+--d0:=D(m0,x)
+--E 1003
+
+)clear all
+
+--S 1004 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R              2                       +-------+
+--R        (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  ---------------------------------------
+--R               2 2             2  +-------+
+--R             (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1004
+
+--S 1005 of 1293
+r0:=-2/3*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(3/2))-_
+     (5*b*B*d-2*A*b*e-3*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))*sqrt(b)/e^(7/2)-2/3*(5*b*B*d-2*A*b*e-3*a*B*e)*_
+     (a+b*x)^(3/2)/(e^2*(b*d-a*e)*sqrt(d+e*x))+b*(5*b*B*d-2*A*b*e-3*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(e^3*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                         2                                           2  +-+
+--R         (((6A b + 9B a)e  - 15B b d e)x + (6A b + 9B a)d e - 15B b d )\|b
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|e \|b x + a
+--R         \|e x + d atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|e x + d
+--R     + 
+--R                 2 2                    2                       2
+--R           3B b e x  + ((- 8A b - 6B a)e  + 20B b d e)x - 2A a e
+--R         + 
+--R                                       2
+--R           (- 6A b - 4B a)d e + 15B b d
+--R      *
+--R          +-+ +-------+
+--R         \|e \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3e x + 3d e )\|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1005
+
+--S 1006 of 1293
+--a0:=integrate(t0,x)
+--E 1006
+
+--S 1007 of 1293
+--m0:=a0-r0
+--E 1007
+
+--S 1008 of 1293
+--d0:=D(m0,x)
+--E 1008
+
+)clear all
+
+--S 1009 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R               2                       +-------+
+--R         (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1009
+
+--S 1010 of 1293
+r0:=-2/5*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(5/2))-_
+     2/3*B*(a+b*x)^(3/2)/(e^2*(d+e*x)^(3/2))+2*b^(3/2)*_
+     B*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/e^(7/2)-_
+     2*b*B*sqrt(a+b*x)/(e^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                     3        2   2  2               2        2 2
+--R           (30B a b e  - 30B b d e )x  + (60B a b d e  - 60B b d e)x
+--R         + 
+--R                    2         2 3
+--R           30B a b d e - 30B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R                   2            3        2   2  2
+--R           ((- 6A b  - 40B a b)e  + 46B b d e )x
+--R         + 
+--R                              2  3              2        2 2          2 3
+--R           ((- 12A a b - 10B a )e  - 48B a b d e  + 70B b d e)x - 6A a e
+--R         + 
+--R                 2   2            2         2 3
+--R           - 4B a d e  - 20B a b d e + 30B b d
+--R      *
+--R          +-+ +-------+
+--R         \|e \|b x + a
+--R  /
+--R              6          5  2           5        2 4          2 4        3 3
+--R       ((15a e  - 15b d e )x  + (30a d e  - 30b d e )x + 15a d e  - 15b d e )
+--R    *
+--R        +-+ +-------+
+--R       \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1010
+
+--S 1011 of 1293
+--a0:=integrate(t0,x)
+--E 1011
+
+--S 1012 of 1293
+--m0:=a0-r0
+--E 1012
+
+--S 1013 of 1293
+--d0:=D(m0,x)
+--E 1013
+
+)clear all
+
+--S 1014 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(9/2)
+--R 
+--R
+--R                    2                       +-------+
+--R              (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (e x  + 4d e x  + 6d e x  + 4d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1014
+
+--S 1015 of 1293
+r0:=-2/7*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(7/2))+_
+     2/35*(5*b*B*d+2*A*b*e-7*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^2*(d+e*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R               3          2          3   3
+--R         ((4A b  - 14B a b )e + 10B b d)x
+--R       + 
+--R                   2        2            3          2    2
+--R         ((- 2A a b  - 28B a b)e + (14A b  + 16B a b )d)x
+--R       + 
+--R                  2         3             2       2             3
+--R         ((- 16A a b - 14B a )e + (28A a b  + 2B a b)d)x - 10A a e
+--R       + 
+--R               2        3
+--R         (14A a b - 4B a )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             2 5            4      2 2 3  3
+--R         (35a e  - 70a b d e  + 35b d e )x
+--R       + 
+--R              2   4           2 3       2 3 2  2
+--R         (105a d e  - 210a b d e  + 105b d e )x
+--R       + 
+--R              2 2 3           3 2       2 4         2 3 2          4       2 5
+--R         (105a d e  - 210a b d e  + 105b d e)x + 35a d e  - 70a b d e + 35b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1015
+
+--S 1016 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3          2  4         3 5  3
+--R           ((8A b  - 28B a b )d e + 20B b d )x
+--R         + 
+--R                     2        2   4          3          2  5  2
+--R           ((- 4A a b  - 56B a b)d e + (28A b  + 32B a b )d )x
+--R         + 
+--R                    2         3  4            2       2   5          3 4
+--R           ((- 32A a b - 28B a )d e + (56A a b  + 4B a b)d )x - 20A a d e
+--R         + 
+--R                 2        3  5
+--R           (28A a b - 8B a )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R               3         4  5         2        3  2         3        4    4  4
+--R       ((- 5A a d - 20A a )e  + ((7A a b - 2B a )d  + (28A a b - 8B a )d)e )x
+--R     + 
+--R                   3 2        4   4
+--R           (- 20A a d  - 80A a d)e
+--R         + 
+--R                  2        3  3          3         4  2  3
+--R           ((28A a b - 8B a )d  + (112A a b - 32B a )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 3         4 2  3
+--R           (- 30A a d  - 120A a d )e
+--R         + 
+--R                  2         3  4          3         4  3  2
+--R           ((42A a b - 12B a )d  + (168A a b - 48B a )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   3 4        4 3  2
+--R           (- 20A a d  - 80A a d )e
+--R         + 
+--R                  2        3  5          3         4  4
+--R           ((28A a b - 8B a )d  + (112A a b - 32B a )d )e
+--R      *
+--R         x
+--R     + 
+--R              3 5        4 4          2        3  6         3        4  5
+--R       (- 5A a d  - 20A a d )e + (7A a b - 2B a )d  + (28A a b - 8B a )d
+--R  /
+--R           2 4 6           5 5      2 6 4  4
+--R       (70a d e  - 140a b d e  + 70b d e )x
+--R     + 
+--R            2 5 5           6 4       2 7 3  3
+--R       (280a d e  - 560a b d e  + 280b d e )x
+--R     + 
+--R            2 6 4           7 3       2 8 2  2
+--R       (420a d e  - 840a b d e  + 420b d e )x
+--R     + 
+--R            2 7 3           8 2       2 9         2 8 2           9       2 10
+--R       (280a d e  - 560a b d e  + 280b d e)x + 70a d e  - 140a b d e + 70b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1016
+
+--S 1017 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R               3         4          2        3  2         3        4
+--R        (- 5A a d - 20A a )e + (7A a b - 2B a )d  + (28A a b - 8B a )d
+--R   (4)  --------------------------------------------------------------
+--R                           2 4 2           5       2 6
+--R                        70a d e  - 140a b d e + 70b d
+--R                                                    Type: Expression(Integer)
+--E 1017
+
+--S 1018 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1018
+
+)clear all
+
+--S 1019 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(11/2)
+--R 
+--R
+--R                          2                       +-------+
+--R                    (B b x  + (A b + B a)x + A a)\|b x + a
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (e x  + 5d e x  + 10d e x  + 10d e x  + 5d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1019
+
+--S 1020 of 1293
+r0:=-2/9*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(9/2))+_
+     2/63*(5*b*B*d+4*A*b*e-9*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(7/2))+4/315*b*(5*b*B*d+4*A*b*e-9*a*B*e)*(a+b*x)^(5/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R                  4          3  2        4     4
+--R         ((- 16A b  + 36B a b )e  - 20B b d e)x
+--R       + 
+--R                 3        2 2  2           4           3            4 2  3
+--R         ((8A a b  - 18B a b )e  + (- 72A b  + 172B a b )d e - 90B b d )x
+--R       + 
+--R                    2 2         3   2           3         2 2
+--R             (- 6A a b  - 144B a b)e  + (36A a b  + 384B a b )d e
+--R           + 
+--R                      4           3  2
+--R             (- 126A b  - 144B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      3         4  2          2 2         3
+--R             (- 100A a b - 90B a )e  + (288A a b  + 172B a b)d e
+--R           + 
+--R                        3        2 2  2
+--R             (- 252A a b  - 18B a b )d
+--R        *
+--R           x
+--R       + 
+--R                4 2          3         4                2 2        3   2
+--R         - 70A a e  + (180A a b - 20B a )d e + (- 126A a b  + 36B a b)d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              3 7       2     6         2 2 5       3 3 4  4
+--R         (315a e  - 945a b d e  + 945a b d e  - 315b d e )x
+--R       + 
+--R               3   6        2   2 5          2 3 4        3 4 3  3
+--R         (1260a d e  - 3780a b d e  + 3780a b d e  - 1260b d e )x
+--R       + 
+--R               3 2 5        2   3 4          2 4 3        3 5 2  2
+--R         (1890a d e  - 5670a b d e  + 5670a b d e  - 1890b d e )x
+--R       + 
+--R               3 3 4        2   4 3          2 5 2        3 6          3 4 3
+--R         (1260a d e  - 3780a b d e  + 3780a b d e  - 1260b d e)x + 315a d e
+--R       + 
+--R               2   5 2         2 6        3 7
+--R         - 945a b d e  + 945a b d e - 315b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1020
+
+--S 1021 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    4          3  5 2        4 6   4
+--R           ((- 32A b  + 72B a b )d e  - 40B b d e)x
+--R         + 
+--R                         3        2 2  5 2            4           3  6
+--R                 (16A a b  - 36B a b )d e  + (- 144A b  + 344B a b )d e
+--R               + 
+--R                         4 7
+--R                 - 180B b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       2 2         3   5 2           3         2 2  6
+--R               (- 12A a b  - 288B a b)d e  + (72A a b  + 768B a b )d e
+--R             + 
+--R                        4           3  7
+--R               (- 252A b  - 288B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        3          4  5 2          2 2         3   6
+--R               (- 200A a b - 180B a )d e  + (576A a b  + 344B a b)d e
+--R             + 
+--R                          3        2 2  7
+--R               (- 504A a b  - 36B a b )d
+--R          *
+--R             x
+--R         + 
+--R                   4 5 2          3         4  6             2 2        3   7
+--R           - 140A a d e  + (360A a b - 40B a )d e + (- 252A a b  + 72B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   4          5  7
+--R           (- 35A a d - 140A a )e
+--R         + 
+--R                  3         4  2          4         5    6
+--R           ((90A a b - 10B a )d  + (360A a b - 40B a )d)e
+--R         + 
+--R                    2 2        3   3            3 2        4   2  5
+--R           ((- 63A a b  + 18B a b)d  + (- 252A a b  + 72B a b)d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    4 2         5   6
+--R           (- 175A a d  - 700A a d)e
+--R         + 
+--R                   3         4  3           4          5  2  5
+--R           ((450A a b - 50B a )d  + (1800A a b - 200B a )d )e
+--R         + 
+--R                     2 2        3   4             3 2         4   3  4
+--R           ((- 315A a b  + 90B a b)d  + (- 1260A a b  + 360B a b)d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    4 3          5 2  5
+--R           (- 350A a d  - 1400A a d )e
+--R         + 
+--R                   3          4  4           4          5  3  4
+--R           ((900A a b - 100B a )d  + (3600A a b - 400B a )d )e
+--R         + 
+--R                     2 2         3   5             3 2         4   4  3
+--R           ((- 630A a b  + 180B a b)d  + (- 2520A a b  + 720B a b)d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    4 4          5 3  4
+--R           (- 350A a d  - 1400A a d )e
+--R         + 
+--R                   3          4  5           4          5  4  3
+--R           ((900A a b - 100B a )d  + (3600A a b - 400B a )d )e
+--R         + 
+--R                     2 2         3   6             3 2         4   5  2
+--R           ((- 630A a b  + 180B a b)d  + (- 2520A a b  + 720B a b)d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    4 5         5 4  3
+--R           (- 175A a d  - 700A a d )e
+--R         + 
+--R                   3         4  6           4          5  5  2
+--R           ((450A a b - 50B a )d  + (1800A a b - 200B a )d )e
+--R         + 
+--R                     2 2        3   7             3 2         4   6
+--R           ((- 315A a b  + 90B a b)d  + (- 1260A a b  + 360B a b)d )e
+--R      *
+--R         x
+--R     + 
+--R               4 6         5 5  2
+--R       (- 35A a d  - 140A a d )e
+--R     + 
+--R              3         4  7          4         5  6
+--R       ((90A a b - 10B a )d  + (360A a b - 40B a )d )e
+--R     + 
+--R               2 2        3   8            3 2        4   7
+--R       (- 63A a b  + 18B a b)d  + (- 252A a b  + 72B a b)d
+--R  /
+--R            3 5 8        2   6 7          2 7 6       3 8 5  5
+--R       (630a d e  - 1890a b d e  + 1890a b d e  - 630b d e )x
+--R     + 
+--R             3 6 7        2   7 6          2 8 5        3 9 4  4
+--R       (3150a d e  - 9450a b d e  + 9450a b d e  - 3150b d e )x
+--R     + 
+--R             3 7 6         2   8 5           2 9 4        3 10 3  3
+--R       (6300a d e  - 18900a b d e  + 18900a b d e  - 6300b d  e )x
+--R     + 
+--R             3 8 5         2   9 4           2 10 3        3 11 2  2
+--R       (6300a d e  - 18900a b d e  + 18900a b d  e  - 6300b d  e )x
+--R     + 
+--R             3 9 4        2   10 3          2 11 2        3 12          3 10 3
+--R       (3150a d e  - 9450a b d  e  + 9450a b d  e  - 3150b d  e)x + 630a d  e
+--R     + 
+--R              2   11 2          2 12        3 13
+--R       - 1890a b d  e  + 1890a b d  e - 630b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1021
+
+--S 1022 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               4          5  2          3         4  2          4         5
+--R       (- 35A a d - 140A a )e  + ((90A a b - 10B a )d  + (360A a b - 40B a )d)e
+--R     + 
+--R               2 2        3   3            3 2        4   2
+--R       (- 63A a b  + 18B a b)d  + (- 252A a b  + 72B a b)d
+--R  /
+--R         3 5 3        2   6 2          2 7        3 8
+--R     630a d e  - 1890a b d e  + 1890a b d e - 630b d
+--R                                                    Type: Expression(Integer)
+--E 1022
+
+--S 1023 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1023
+
+)clear all
+
+--S 1024 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R                          2                       +-------+
+--R                    (B b x  + (A b + B a)x + A a)\|b x + a
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (e x  + 6d e x  + 15d e x  + 20d e x  + 15d e x  + 6d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1024
+
+--S 1025 of 1293
+r0:=-2/11*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(11/2))+_
+     2/99*(5*b*B*d+6*A*b*e-11*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(9/2))+8/693*b*(5*b*B*d+6*A*b*e-11*a*B*e)*(a+b*x)^(5/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(7/2))+16/3465*b^2*_
+     (5*b*B*d+6*A*b*e-11*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^4*(d+e*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R                5           4  3        5   2  5
+--R         ((96A b  - 176B a b )e  + 80B b d e )x
+--R       + 
+--R                    4        2 3  3          5            4    2         5 2   4
+--R         ((- 48A a b  + 88B a b )e  + (528A b  - 1008B a b )d e  + 440B b d e)x
+--R       + 
+--R                   2 3        3 2  3              4         2 3    2
+--R             (36A a b  - 66B a b )e  + (- 264A a b  + 514B a b )d e
+--R           + 
+--R                     5            4  2          5 3
+--R             (1188A b  - 2398B a b )d e + 990B b d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                     3 2          4   3          2 3          3 2    2
+--R             (- 30A a b  - 1100B a b)e  + (198A a b  + 4232B a b )d e
+--R           + 
+--R                        4          2 3  2            5            4  3
+--R             (- 594A a b  - 5676B a b )d e + (1386A b  + 1584B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      4          5  3           3 2          4     2
+--R             (- 840A a b - 770B a )e  + (3300A a b  + 2490B a b)d e
+--R           + 
+--R                       2 3          3 2  2              4         2 3  3
+--R             (- 4752A a b  - 2398B a b )d e + (2772A a b  + 198B a b )d
+--R        *
+--R           x
+--R       + 
+--R                 5 3           4          5    2             3 2         4   2
+--R         - 630A a e  + (2310A a b - 140B a )d e  + (- 2970A a b  + 440B a b)d e
+--R       + 
+--R                 2 3         3 2  3
+--R         (1386A a b  - 396B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                    4 9         3     8         2 2 2 7           3 3 6
+--R               3465a e  - 13860a b d e  + 20790a b d e  - 13860a b d e
+--R             + 
+--R                    4 4 5
+--R               3465b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   4   8         3   2 7          2 2 3 6           3 4 5
+--R             17325a d e  - 69300a b d e  + 103950a b d e  - 69300a b d e
+--R           + 
+--R                   4 5 4
+--R             17325b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   4 2 7          3   3 6          2 2 4 5            3 5 4
+--R             34650a d e  - 138600a b d e  + 207900a b d e  - 138600a b d e
+--R           + 
+--R                   4 6 3
+--R             34650b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   4 3 6          3   4 5          2 2 5 4            3 6 3
+--R             34650a d e  - 138600a b d e  + 207900a b d e  - 138600a b d e
+--R           + 
+--R                   4 7 2
+--R             34650b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   4 4 5         3   5 4          2 2 6 3           3 7 2
+--R             17325a d e  - 69300a b d e  + 103950a b d e  - 69300a b d e
+--R           + 
+--R                   4 8
+--R             17325b d e
+--R        *
+--R           x
+--R       + 
+--R              4 5 4         3   6 3         2 2 7 2           3 8         4 9
+--R         3465a d e  - 13860a b d e  + 20790a b d e  - 13860a b d e + 3465b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1025
+
+--S 1026 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   5           4  6 3         5 7 2  5
+--R           ((192A b  - 352B a b )d e  + 160B b d e )x
+--R         + 
+--R                         4         2 3  6 3           5            4  7 2
+--R               (- 96A a b  + 176B a b )d e  + (1056A b  - 2016B a b )d e
+--R             + 
+--R                     5 8
+--R               880B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     2 3         3 2  6 3              4          2 3  7 2
+--R               (72A a b  - 132B a b )d e  + (- 528A a b  + 1028B a b )d e
+--R             + 
+--R                       5            4  8           5 9
+--R               (2376A b  - 4796B a b )d e + 1980B b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       3 2          4   6 3          2 3          3 2  7 2
+--R               (- 60A a b  - 2200B a b)d e  + (396A a b  + 8464B a b )d e
+--R             + 
+--R                           4           2 3  8            5            4  9
+--R               (- 1188A a b  - 11352B a b )d e + (2772A b  + 3168B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                         4           5  6 3           3 2          4   7 2
+--R               (- 1680A a b - 1540B a )d e  + (6600A a b  + 4980B a b)d e
+--R             + 
+--R                         2 3          3 2  8              4         2 3  9
+--R               (- 9504A a b  - 4796B a b )d e + (5544A a b  + 396B a b )d
+--R          *
+--R             x
+--R         + 
+--R                    5 6 3           4          5  7 2
+--R           - 1260A a d e  + (4620A a b - 280B a )d e
+--R         + 
+--R                     3 2         4   8            2 3         3 2  9
+--R           (- 5940A a b  + 880B a b)d e + (2772A a b  - 792B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                  5           6  9
+--R           (315A a d + 1260A a )e
+--R         + 
+--R                      4         5  2             5          6    8
+--R           ((- 1155A a b + 70B a )d  + (- 4620A a b + 280B a )d)e
+--R         + 
+--R                    3 2         4   3           4 2         5   2  7
+--R           ((1485A a b  - 220B a b)d  + (5940A a b  - 880B a b)d )e
+--R         + 
+--R                     2 3         3 2  4             3 3         4 2  3  6
+--R           ((- 693A a b  + 198B a b )d  + (- 2772A a b  + 792B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 2          6   8
+--R           (1890A a d  + 7560A a d)e
+--R         + 
+--R                      4          5  3              5           6  2  7
+--R           ((- 6930A a b + 420B a )d  + (- 27720A a b + 1680B a )d )e
+--R         + 
+--R                    3 2          4   4            4 2          5   3  6
+--R           ((8910A a b  - 1320B a b)d  + (35640A a b  - 5280B a b)d )e
+--R         + 
+--R                      2 3          3 2  5              3 3          4 2  4  5
+--R           ((- 4158A a b  + 1188B a b )d  + (- 16632A a b  + 4752B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   5 3           6 2  7
+--R           (4725A a d  + 18900A a d )e
+--R         + 
+--R                       4           5  4              5           6  3  6
+--R           ((- 17325A a b + 1050B a )d  + (- 69300A a b + 4200B a )d )e
+--R         + 
+--R                     3 2          4   5            4 2           5   4  5
+--R           ((22275A a b  - 3300B a b)d  + (89100A a b  - 13200B a b)d )e
+--R         + 
+--R                       2 3          3 2  6              3 3           4 2  5  4
+--R           ((- 10395A a b  + 2970B a b )d  + (- 41580A a b  + 11880B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 4           6 3  6
+--R           (6300A a d  + 25200A a d )e
+--R         + 
+--R                       4           5  5              5           6  4  5
+--R           ((- 23100A a b + 1400B a )d  + (- 92400A a b + 5600B a )d )e
+--R         + 
+--R                     3 2          4   6             4 2           5   5  4
+--R           ((29700A a b  - 4400B a b)d  + (118800A a b  - 17600B a b)d )e
+--R         + 
+--R                       2 3          3 2  7              3 3           4 2  6  3
+--R           ((- 13860A a b  + 3960B a b )d  + (- 55440A a b  + 15840B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   5 5           6 4  5
+--R           (4725A a d  + 18900A a d )e
+--R         + 
+--R                       4           5  6              5           6  5  4
+--R           ((- 17325A a b + 1050B a )d  + (- 69300A a b + 4200B a )d )e
+--R         + 
+--R                     3 2          4   7            4 2           5   6  3
+--R           ((22275A a b  - 3300B a b)d  + (89100A a b  - 13200B a b)d )e
+--R         + 
+--R                       2 3          3 2  8              3 3           4 2  7  2
+--R           ((- 10395A a b  + 2970B a b )d  + (- 41580A a b  + 11880B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   5 6          6 5  4
+--R           (1890A a d  + 7560A a d )e
+--R         + 
+--R                      4          5  7              5           6  6  3
+--R           ((- 6930A a b + 420B a )d  + (- 27720A a b + 1680B a )d )e
+--R         + 
+--R                    3 2          4   8            4 2          5   7  2
+--R           ((8910A a b  - 1320B a b)d  + (35640A a b  - 5280B a b)d )e
+--R         + 
+--R                      2 3          3 2  9              3 3          4 2  8
+--R           ((- 4158A a b  + 1188B a b )d  + (- 16632A a b  + 4752B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R              5 7          6 6  3
+--R       (315A a d  + 1260A a d )e
+--R     + 
+--R                  4         5  8             5          6  7  2
+--R       ((- 1155A a b + 70B a )d  + (- 4620A a b + 280B a )d )e
+--R     + 
+--R                3 2         4   9           4 2         5   8
+--R       ((1485A a b  - 220B a b)d  + (5940A a b  - 880B a b)d )e
+--R     + 
+--R                2 3         3 2  10             3 3         4 2  9
+--R       (- 693A a b  + 198B a b )d   + (- 2772A a b  + 792B a b )d
+--R  /
+--R                4 6 10         3   7 9         2 2 8 8           3 9 7
+--R           6930a d e   - 27720a b d e  + 41580a b d e  - 27720a b d e
+--R         + 
+--R                4 10 6
+--R           6930b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 4 7 9          3   8 8          2 2 9 7            3 10 6
+--R           41580a d e  - 166320a b d e  + 249480a b d e  - 166320a b d  e
+--R         + 
+--R                 4 11 5
+--R           41580b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  4 8 8          3   9 7          2 2 10 6            3 11 5
+--R           103950a d e  - 415800a b d e  + 623700a b d  e  - 415800a b d  e
+--R         + 
+--R                  4 12 4
+--R           103950b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  4 9 7          3   10 6          2 2 11 5            3 12 4
+--R           138600a d e  - 554400a b d  e  + 831600a b d  e  - 554400a b d  e
+--R         + 
+--R                  4 13 3
+--R           138600b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  4 10 6          3   11 5          2 2 12 4            3 13 3
+--R           103950a d  e  - 415800a b d  e  + 623700a b d  e  - 415800a b d  e
+--R         + 
+--R                  4 14 2
+--R           103950b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4 11 5          3   12 4          2 2 13 3            3 14 2
+--R           41580a d  e  - 166320a b d  e  + 249480a b d  e  - 166320a b d  e
+--R         + 
+--R                 4 15
+--R           41580b d  e
+--R      *
+--R         x
+--R     + 
+--R          4 12 4         3   13 3         2 2 14 2           3 15         4 16
+--R     6930a d  e  - 27720a b d  e  + 41580a b d  e  - 27720a b d  e + 6930b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1026
+
+--S 1027 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R              5           6  3
+--R       (315A a d + 1260A a )e
+--R     + 
+--R                  4         5  2             5          6    2
+--R       ((- 1155A a b + 70B a )d  + (- 4620A a b + 280B a )d)e
+--R     + 
+--R                3 2         4   3           4 2         5   2
+--R       ((1485A a b  - 220B a b)d  + (5940A a b  - 880B a b)d )e
+--R     + 
+--R                2 3         3 2  4             3 3         4 2  3
+--R       (- 693A a b  + 198B a b )d  + (- 2772A a b  + 792B a b )d
+--R  /
+--R          4 6 4         3   7 3         2 2 8 2           3 9         4 10
+--R     6930a d e  - 27720a b d e  + 41580a b d e  - 27720a b d e + 6930b d
+--R                                                    Type: Expression(Integer)
+--E 1027
+
+--S 1028 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1028
+
+)clear all
+
+--S 1029 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(15/2)
+--R 
+--R
+--R   (1)
+--R           2                       +-------+
+--R     (B b x  + (A b + B a)x + A a)\|b x + a
+--R  /
+--R            7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6
+--R           e x  + 7d e x  + 21d e x  + 35d e x  + 35d e x  + 21d e x  + 7d e x
+--R         + 
+--R            7
+--R           d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1029
+
+--S 1030 of 1293
+r0:=-2/13*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(13/2))+_
+     2/143*(5*b*B*d+8*A*b*e-13*a*B*e)*(a+b*x)^(5/2)/(e*_
+     (b*d-a*e)^2*(d+e*x)^(11/2))+4/429*b*(5*b*B*d+8*A*b*e-13*a*B*e)*_
+     (a+b*x)^(5/2)/(e*(b*d-a*e)^3*(d+e*x)^(9/2))+16/3003*b^2*_
+     (5*b*B*d+8*A*b*e-13*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^4*_
+     (d+e*x)^(7/2))+32/15015*b^3*(5*b*B*d+8*A*b*e-13*a*B*e)*_
+     (a+b*x)^(5/2)/(e*(b*d-a*e)^5*(d+e*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R                   6           5  4         6   3  6
+--R         ((- 256A b  + 416B a b )e  - 160B b d e )x
+--R       + 
+--R                      5         2 4  4             6            5    3
+--R             (128A a b  - 208B a b )e  + (- 1664A b  + 2784B a b )d e
+--R           + 
+--R                      6 2 2
+--R             - 1040B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                     2 4         3 3  4            5          2 4    3
+--R             (- 96A a b  + 156B a b )e  + (832A a b  - 1412B a b )d e
+--R           + 
+--R                       6            5  2 2          6 3
+--R             (- 4576A b  + 7956B a b )d e  - 2860B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   3 3         4 2  4            2 4          3 3    3
+--R             (80A a b  - 130B a b )e  + (- 624A a b  + 1064B a b )d e
+--R           + 
+--R                       5          2 4  2 2             6             5  3
+--R             (2288A a b  - 4108B a b )d e  + (- 6864A b  + 12584B a b )d e
+--R           + 
+--R                      6 4
+--R             - 4290B b d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                     4 2          5   4          3 3           4 2    3
+--R             (- 70A a b  - 3640B a b)e  + (520A a b  + 17880B a b )d e
+--R           + 
+--R                       2 4           3 3  2 2             5           2 4  3
+--R             (- 1716A a b  - 34424B a b )d e  + (3432A a b  + 30888B a b )d e
+--R           + 
+--R                       6            5  4
+--R             (- 6006A b  - 6864B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                       5           6  4            4 2           5     3
+--R             (- 2940A a b - 2730B a )e  + (14560A a b  + 12040B a b)d e
+--R           + 
+--R                        3 3           4 2  2 2            2 4           3 3  3
+--R             (- 28600A a b  - 19500B a b )d e  + (27456A a b  + 12584B a b )d e
+--R           + 
+--R                          5         2 4  4
+--R             (- 12012A a b  - 858B a b )d
+--R        *
+--R           x
+--R       + 
+--R                  6 4            5          6    3
+--R         - 2310A a e  + (10920A a b - 420B a )d e
+--R       + 
+--R                    4 2          5   2 2            3 3          4 2  3
+--R         (- 20020A a b  + 1820B a b)d e  + (17160A a b  - 2860B a b )d e
+--R       + 
+--R                   2 4          3 3  4
+--R         (- 6006A a b  + 1716B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                   5 11         4     10          3 2 2 9          2 3 3 8
+--R             15015a e   - 75075a b d e   + 150150a b d e  - 150150a b d e
+--R           + 
+--R                     4 4 7         5 5 6
+--R             75075a b d e  - 15015b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                   5   10          4   2 9          3 2 3 8          2 3 4 7
+--R             90090a d e   - 450450a b d e  + 900900a b d e  - 900900a b d e
+--R           + 
+--R                      4 5 6         5 6 5
+--R             450450a b d e  - 90090b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    5 2 9           4   3 8           3 2 4 7           2 3 5 6
+--R             225225a d e  - 1126125a b d e  + 2252250a b d e  - 2252250a b d e
+--R           + 
+--R                       4 6 5          5 7 4
+--R             1126125a b d e  - 225225b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    5 3 8           4   4 7           3 2 5 6           2 3 6 5
+--R             300300a d e  - 1501500a b d e  + 3003000a b d e  - 3003000a b d e
+--R           + 
+--R                       4 7 4          5 8 3
+--R             1501500a b d e  - 300300b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    5 4 7           4   5 6           3 2 6 5           2 3 7 4
+--R             225225a d e  - 1126125a b d e  + 2252250a b d e  - 2252250a b d e
+--R           + 
+--R                       4 8 3          5 9 2
+--R             1126125a b d e  - 225225b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   5 5 6          4   6 5          3 2 7 4          2 3 8 3
+--R             90090a d e  - 450450a b d e  + 900900a b d e  - 900900a b d e
+--R           + 
+--R                      4 9 2         5 10
+--R             450450a b d e  - 90090b d  e
+--R        *
+--R           x
+--R       + 
+--R               5 6 5         4   7 4          3 2 8 3          2 3 9 2
+--R         15015a d e  - 75075a b d e  + 150150a b d e  - 150150a b d e
+--R       + 
+--R                 4 10          5 11
+--R         75075a b d  e - 15015b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1030
+
+--S 1031 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                      6            5  7 4         6 8 3  6
+--R           ((- 1024A b  + 1664B a b )d e  - 640B b d e )x
+--R         + 
+--R                        5         2 4  7 4             6             5  8 3
+--R               (512A a b  - 832B a b )d e  + (- 6656A b  + 11136B a b )d e
+--R             + 
+--R                        6 9 2
+--R               - 4160B b d e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                        2 4         3 3  7 4             5          2 4  8 3
+--R               (- 384A a b  + 624B a b )d e  + (3328A a b  - 5648B a b )d e
+--R             + 
+--R                          6             5  9 2           6 10
+--R               (- 18304A b  + 31824B a b )d e  - 11440B b d  e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                      3 3         4 2  7 4             2 4          3 3  8 3
+--R               (320A a b  - 520B a b )d e  + (- 2496A a b  + 4256B a b )d e
+--R             + 
+--R                         5           2 4  9 2              6             5  10
+--R               (9152A a b  - 16432B a b )d e  + (- 27456A b  + 50336B a b )d  e
+--R             + 
+--R                         6 11
+--R               - 17160B b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        4 2           5   7 4           3 3           4 2  8 3
+--R               (- 280A a b  - 14560B a b)d e  + (2080A a b  + 71520B a b )d e
+--R             + 
+--R                         2 4            3 3  9 2
+--R               (- 6864A a b  - 137696B a b )d e
+--R             + 
+--R                        5            2 4  10               6             5  11
+--R             (13728A a b  + 123552B a b )d  e + (- 24024A b  - 27456B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                          5            6  7 4            4 2           5   8 3
+--R               (- 11760A a b - 10920B a )d e  + (58240A a b  + 48160B a b)d e
+--R             + 
+--R                           3 3           4 2  9 2
+--R               (- 114400A a b  - 78000B a b )d e
+--R             + 
+--R                       2 4           3 3  10                 5          2 4  11
+--R             (109824A a b  + 50336B a b )d  e + (- 48048A a b  - 3432B a b )d
+--R          *
+--R             x
+--R         + 
+--R                    6 7 4            5           6  8 3
+--R           - 9240A a d e  + (43680A a b - 1680B a )d e
+--R         + 
+--R                      4 2          5   9 2            3 3           4 2  10
+--R           (- 80080A a b  + 7280B a b)d e  + (68640A a b  - 11440B a b )d  e
+--R         + 
+--R                      2 4          3 3  11
+--R           (- 24024A a b  + 6864B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   6            7  11
+--R           (1155A a d + 18480A a )e
+--R         + 
+--R                      5          6  2              6           7    10
+--R           ((- 5460A a b + 210B a )d  + (- 87360A a b + 3360B a )d)e
+--R         + 
+--R                     4 2         5   3             5 2           6   2  9
+--R           ((10010A a b  - 910B a b)d  + (160160A a b  - 14560B a b)d )e
+--R         + 
+--R                      3 3          4 2  4               4 3           5 2  3  8
+--R           ((- 8580A a b  + 1430B a b )d  + (- 137280A a b  + 22880B a b )d )e
+--R         + 
+--R                    2 4         3 3  5            3 4           4 3  4  7
+--R           ((3003A a b  - 858B a b )d  + (48048A a b  - 13728B a b )d )e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                   6 2            7   10
+--R           (8085A a d  + 129360A a d)e
+--R         + 
+--R                       5           6  3               6            7  2  9
+--R           ((- 38220A a b + 1470B a )d  + (- 611520A a b + 23520B a )d )e
+--R         + 
+--R                     4 2          5   4              5 2            6   3  8
+--R           ((70070A a b  - 6370B a b)d  + (1121120A a b  - 101920B a b)d )e
+--R         + 
+--R                            3 3           4 2  5
+--R                 (- 60060A a b  + 10010B a b )d
+--R               + 
+--R                             4 3            5 2  4
+--R                 (- 960960A a b  + 160160B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                     2 4          3 3  6             3 4           4 3  5  6
+--R           ((21021A a b  - 6006B a b )d  + (336336A a b  - 96096B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                    6 3            7 2  9
+--R           (24255A a d  + 388080A a d )e
+--R         + 
+--R                        5           6  4                6            7  3  8
+--R           ((- 114660A a b + 4410B a )d  + (- 1834560A a b + 70560B a )d )e
+--R         + 
+--R                      4 2           5   5              5 2            6   4  7
+--R           ((210210A a b  - 19110B a b)d  + (3363360A a b  - 305760B a b)d )e
+--R         + 
+--R                           3 3           4 2  6
+--R               (- 180180A a b  + 30030B a b )d
+--R             + 
+--R                            4 3            5 2  5
+--R               (- 2882880A a b  + 480480B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                     2 4           3 3  7              3 4            4 3  6  5
+--R           ((63063A a b  - 18018B a b )d  + (1009008A a b  - 288288B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    6 4            7 3  8
+--R           (40425A a d  + 646800A a d )e
+--R         + 
+--R                        5           6  5                6             7  4  7
+--R           ((- 191100A a b + 7350B a )d  + (- 3057600A a b + 117600B a )d )e
+--R         + 
+--R                      4 2           5   6              5 2            6   5  6
+--R           ((350350A a b  - 31850B a b)d  + (5605600A a b  - 509600B a b)d )e
+--R         + 
+--R                           3 3           4 2  7
+--R               (- 300300A a b  + 50050B a b )d
+--R             + 
+--R                            4 3            5 2  6
+--R               (- 4804800A a b  + 800800B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                    2 4           3 3  8              3 4            4 3  7  4
+--R         ((105105A a b  - 30030B a b )d  + (1681680A a b  - 480480B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    6 5            7 4  7
+--R           (40425A a d  + 646800A a d )e
+--R         + 
+--R                        5           6  6                6             7  5  6
+--R           ((- 191100A a b + 7350B a )d  + (- 3057600A a b + 117600B a )d )e
+--R         + 
+--R                      4 2           5   7              5 2            6   6  5
+--R           ((350350A a b  - 31850B a b)d  + (5605600A a b  - 509600B a b)d )e
+--R         + 
+--R                           3 3           4 2  8
+--R               (- 300300A a b  + 50050B a b )d
+--R             + 
+--R                            4 3            5 2  7
+--R               (- 4804800A a b  + 800800B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                    2 4           3 3  9              3 4            4 3  8  3
+--R         ((105105A a b  - 30030B a b )d  + (1681680A a b  - 480480B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    6 6            7 5  6
+--R           (24255A a d  + 388080A a d )e
+--R         + 
+--R                        5           6  7                6            7  6  5
+--R           ((- 114660A a b + 4410B a )d  + (- 1834560A a b + 70560B a )d )e
+--R         + 
+--R                      4 2           5   8              5 2            6   7  4
+--R           ((210210A a b  - 19110B a b)d  + (3363360A a b  - 305760B a b)d )e
+--R         + 
+--R                           3 3           4 2  9
+--R               (- 180180A a b  + 30030B a b )d
+--R             + 
+--R                            4 3            5 2  8
+--R               (- 2882880A a b  + 480480B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                   2 4           3 3  10              3 4            4 3  9  2
+--R         ((63063A a b  - 18018B a b )d   + (1009008A a b  - 288288B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   6 7            7 6  5
+--R           (8085A a d  + 129360A a d )e
+--R         + 
+--R                       5           6  8               6            7  7  4
+--R           ((- 38220A a b + 1470B a )d  + (- 611520A a b + 23520B a )d )e
+--R         + 
+--R                     4 2          5   9              5 2            6   8  3
+--R           ((70070A a b  - 6370B a b)d  + (1121120A a b  - 101920B a b)d )e
+--R         + 
+--R                          3 3           4 2  10
+--R               (- 60060A a b  + 10010B a b )d
+--R             + 
+--R                           4 3            5 2  9
+--R               (- 960960A a b  + 160160B a b )d
+--R          *
+--R              2
+--R             e
+--R         + 
+--R                     2 4          3 3  11             3 4           4 3  10
+--R           ((21021A a b  - 6006B a b )d   + (336336A a b  - 96096B a b )d  )e
+--R      *
+--R         x
+--R     + 
+--R               6 8           7 7  4
+--R       (1155A a d  + 18480A a d )e
+--R     + 
+--R                  5          6  9              6           7  8  3
+--R       ((- 5460A a b + 210B a )d  + (- 87360A a b + 3360B a )d )e
+--R     + 
+--R                 4 2         5   10             5 2           6   9  2
+--R       ((10010A a b  - 910B a b)d   + (160160A a b  - 14560B a b)d )e
+--R     + 
+--R                  3 3          4 2  11               4 3           5 2  10
+--R       ((- 8580A a b  + 1430B a b )d   + (- 137280A a b  + 22880B a b )d  )e
+--R     + 
+--R               2 4         3 3  12            3 4           4 3  11
+--R       (3003A a b  - 858B a b )d   + (48048A a b  - 13728B a b )d
+--R  /
+--R                 5 7 12          4   8 11          3 2 9 10          2 3 10 9
+--R           60060a d e   - 300300a b d e   + 600600a b d e   - 600600a b d  e
+--R         + 
+--R                    4 11 8         5 12 7
+--R           300300a b d  e  - 60060b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                  5 8 11           4   9 10           3 2 10 9
+--R           420420a d e   - 2102100a b d e   + 4204200a b d  e
+--R         + 
+--R                     2 3 11 8             4 12 7          5 13 6
+--R           - 4204200a b d  e  + 2102100a b d  e  - 420420b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 9 10           4   10 9            3 2 11 8
+--R           1261260a d e   - 6306300a b d  e  + 12612600a b d  e
+--R         + 
+--R                      2 3 12 7             4 13 6           5 14 5
+--R           - 12612600a b d  e  + 6306300a b d  e  - 1261260b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   5 10 9            4   11 8            3 2 12 7
+--R           2102100a d  e  - 10510500a b d  e  + 21021000a b d  e
+--R         + 
+--R                      2 3 13 6              4 14 5           5 15 4
+--R           - 21021000a b d  e  + 10510500a b d  e  - 2102100b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 11 8            4   12 7            3 2 13 6
+--R           2102100a d  e  - 10510500a b d  e  + 21021000a b d  e
+--R         + 
+--R                      2 3 14 5              4 15 4           5 16 3
+--R           - 21021000a b d  e  + 10510500a b d  e  - 2102100b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   5 12 7           4   13 6            3 2 14 5
+--R           1261260a d  e  - 6306300a b d  e  + 12612600a b d  e
+--R         + 
+--R                      2 3 15 4             4 16 3           5 17 2
+--R           - 12612600a b d  e  + 6306300a b d  e  - 1261260b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  5 13 6           4   14 5           3 2 15 4
+--R           420420a d  e  - 2102100a b d  e  + 4204200a b d  e
+--R         + 
+--R                     2 3 16 3             4 17 2          5 18
+--R           - 4204200a b d  e  + 2102100a b d  e  - 420420b d  e
+--R      *
+--R         x
+--R     + 
+--R             5 14 5          4   15 4          3 2 16 3          2 3 17 2
+--R       60060a d  e  - 300300a b d  e  + 600600a b d  e  - 600600a b d  e
+--R     + 
+--R                4 18          5 19
+--R       300300a b d  e - 60060b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1031
+
+--S 1032 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               6            7  4
+--R       (1155A a d + 18480A a )e
+--R     + 
+--R                  5          6  2              6           7    3
+--R       ((- 5460A a b + 210B a )d  + (- 87360A a b + 3360B a )d)e
+--R     + 
+--R                 4 2         5   3             5 2           6   2  2
+--R       ((10010A a b  - 910B a b)d  + (160160A a b  - 14560B a b)d )e
+--R     + 
+--R                  3 3          4 2  4               4 3           5 2  3
+--R       ((- 8580A a b  + 1430B a b )d  + (- 137280A a b  + 22880B a b )d )e
+--R     + 
+--R               2 4         3 3  5            3 4           4 3  4
+--R       (3003A a b  - 858B a b )d  + (48048A a b  - 13728B a b )d
+--R  /
+--R             5 7 5          4   8 4          3 2 9 3          2 3 10 2
+--R       60060a d e  - 300300a b d e  + 600600a b d e  - 600600a b d  e
+--R     + 
+--R                4 11          5 12
+--R       300300a b d  e - 60060b d
+--R                                                    Type: Expression(Integer)
+--E 1032
+
+--S 1033 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1033
+
+)clear all
+
+--S 1034 of 1293
+t0:=(a+b*x)^(3/2)*(A+B*x)/(d+e*x)^(17/2)
+--R 
+--R
+--R   (1)
+--R           2                       +-------+
+--R     (B b x  + (A b + B a)x + A a)\|b x + a
+--R  /
+--R          8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R         e x  + 8d e x  + 28d e x  + 56d e x  + 70d e x  + 56d e x  + 28d e x
+--R       + 
+--R           7       8
+--R         8d e x + d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1034
+
+--S 1035 of 1293
+r0:=-2/15*(B*d-A*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)*(d+e*x)^(15/2))+_
+     2/39*(b*B*d+2*A*b*e-3*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(13/2))+16/429*b*(b*B*d+2*A*b*e-3*a*B*e)*(a+b*x)^(5/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(11/2))+32/1287*b^2*(b*B*d+2*A*b*e-3*a*B*e)*_
+     (a+b*x)^(5/2)/(e*(b*d-a*e)^4*(d+e*x)^(9/2))+_
+     128/9009*b^3*(b*B*d+2*A*b*e-3*a*B*e)*(a+b*x)^(5/2)/(e*(b*d-a*e)^5*_
+     (d+e*x)^(7/2))+256/45045*b^4*(b*B*d+2*A*b*e-3*a*B*e)*_
+     (a+b*x)^(5/2)/(e*(b*d-a*e)^6*(d+e*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R                 7           6  5         7   4  7
+--R         ((512A b  - 768B a b )e  + 256B b d e )x
+--R       + 
+--R                        6         2 5  5           7            6    4
+--R             (- 256A a b  + 384B a b )e  + (3840A b  - 5888B a b )d e
+--R           + 
+--R                    7 2 3
+--R             1920B b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    2 5         3 4  5               6          2 5    4
+--R             (192A a b  - 288B a b )e  + (- 1920A a b  + 2976B a b )d e
+--R           + 
+--R                      7             6  2 3          7 3 2
+--R             (12480A b  - 19680B a b )d e  + 6240B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                      3 4         4 3  5           2 5          3 4    4
+--R             (- 160A a b  + 240B a b )e  + (1440A a b  - 2240B a b )d e
+--R           + 
+--R                         6           2 5  2 3            7             6  3 2
+--R             (- 6240A a b  + 10080B a b )d e  + (22880A b  - 37440B a b )d e
+--R           + 
+--R                     7 4
+--R             11440B b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    4 3         5 2  5             3 4          4 3    4
+--R             (140A a b  - 210B a b )e  + (- 1200A a b  + 1870B a b )d e
+--R           + 
+--R                     2 5          3 4  2 3                6           2 5  3 2
+--R             (4680A a b  - 7620B a b )d e  + (- 11440A a b  + 19500B a b )d e
+--R           + 
+--R                      7             6  4            7 5
+--R             (25740A b  - 44330B a b )d e + 12870B b d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      5 2          6   5           4 3           5 2    4
+--R             (- 126A a b  - 8820B a b)e  + (1050A a b  + 52416B a b )d e
+--R           + 
+--R                       3 4            4 3  2 3           2 5            3 4  3 2
+--R             (- 3900A a b  - 128760B a b )d e  + (8580A a b  + 165360B a b )d e
+--R           + 
+--R                          6            2 5  4             7             6  5
+--R             (- 12870A a b  - 111540B a b )d e + (18018A b  + 20592B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                       6           7  5            5 2           6     4
+--R             (- 7392A a b - 6930B a )e  + (44100A a b  + 38262B a b)d e
+--R           + 
+--R                         4 3           5 2  2 3
+--R             (- 109200A a b  - 84420B a b )d e
+--R           + 
+--R                       3 4           4 3  3 2
+--R             (143000A a b  + 91260B a b )d e
+--R           + 
+--R                         2 5           3 4  4               6          2 5  5
+--R             (- 102960A a b  - 44330B a b )d e + (36036A a b  + 2574B a b )d
+--R        *
+--R           x
+--R       + 
+--R                  7 5            6          7    4
+--R         - 6006A a e  + (34650A a b - 924B a )d e
+--R       + 
+--R                    5 2          6   2 3             4 3           5 2  3 2
+--R         (- 81900A a b  + 5040B a b)d e  + (100100A a b  - 10920B a b )d e
+--R       + 
+--R                    3 4           4 3  4             2 5          3 4  5
+--R         (- 64350A a b  + 11440B a b )d e + (18018A a b  - 5148B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                   6 13          5     12          4 2 2 11          3 3 3 10
+--R             45045a e   - 270270a b d e   + 675675a b d e   - 900900a b d e
+--R           + 
+--R                    2 4 4 9            5 5 8         6 6 7
+--R             675675a b d e  - 270270a b d e  + 45045b d e
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                    6   12           5   2 11           4 2 3 10
+--R             315315a d e   - 1891890a b d e   + 4729725a b d e
+--R           + 
+--R                     3 3 4 9           2 4 5 8             5 6 7          6 7 6
+--R           - 6306300a b d e  + 4729725a b d e  - 1891890a b d e  + 315315b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    6 2 11           5   3 10            4 2 4 9
+--R             945945a d e   - 5675670a b d e   + 14189175a b d e
+--R           + 
+--R                        3 3 5 8            2 4 6 7             5 7 6
+--R             - 18918900a b d e  + 14189175a b d e  - 5675670a b d e
+--R           + 
+--R                    6 8 5
+--R             945945b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                     6 3 10           5   4 9            4 2 5 8
+--R             1576575a d e   - 9459450a b d e  + 23648625a b d e
+--R           + 
+--R                        3 3 6 7            2 4 7 6             5 8 5
+--R             - 31531500a b d e  + 23648625a b d e  - 9459450a b d e
+--R           + 
+--R                     6 9 4
+--R             1576575b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     6 4 9           5   5 8            4 2 6 7
+--R             1576575a d e  - 9459450a b d e  + 23648625a b d e
+--R           + 
+--R                        3 3 7 6            2 4 8 5             5 9 4
+--R             - 31531500a b d e  + 23648625a b d e  - 9459450a b d e
+--R           + 
+--R                     6 10 3
+--R             1576575b d  e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    6 5 8           5   6 7            4 2 7 6
+--R             945945a d e  - 5675670a b d e  + 14189175a b d e
+--R           + 
+--R                        3 3 8 5            2 4 9 4             5 10 3
+--R             - 18918900a b d e  + 14189175a b d e  - 5675670a b d  e
+--R           + 
+--R                    6 11 2
+--R             945945b d  e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    6 6 7           5   7 6           4 2 8 5           3 3 9 4
+--R             315315a d e  - 1891890a b d e  + 4729725a b d e  - 6306300a b d e
+--R           + 
+--R                     2 4 10 3             5 11 2          6 12
+--R             4729725a b d  e  - 1891890a b d  e  + 315315b d  e
+--R        *
+--R           x
+--R       + 
+--R               6 7 6          5   8 5          4 2 9 4          3 3 10 3
+--R         45045a d e  - 270270a b d e  + 675675a b d e  - 900900a b d  e
+--R       + 
+--R                2 4 11 2            5 12          6 13
+--R         675675a b d  e  - 270270a b d  e + 45045b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1035
+
+--S 1036 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    7            6  8 5          7 9 4  7
+--R           ((2048A b  - 3072B a b )d e  + 1024B b d e )x
+--R         + 
+--R                           6          2 5  8 5            7             6  9 4
+--R               (- 1024A a b  + 1536B a b )d e  + (15360A b  - 23552B a b )d e
+--R             + 
+--R                      7 10 3
+--R               7680B b d  e
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      2 5          3 4  8 5               6           2 5  9 4
+--R               (768A a b  - 1152B a b )d e  + (- 7680A a b  + 11904B a b )d e
+--R             + 
+--R                        7             6  10 3           7 11 2
+--R               (49920A b  - 78720B a b )d  e  + 24960B b d  e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                        3 4         4 3  8 5           2 5          3 4  9 4
+--R               (- 640A a b  + 960B a b )d e  + (5760A a b  - 8960B a b )d e
+--R             + 
+--R                            6           2 5  10 3
+--R               (- 24960A a b  + 40320B a b )d  e
+--R             + 
+--R                        7              6  11 2           7 12
+--R               (91520A b  - 149760B a b )d  e  + 45760B b d  e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                      4 3         5 2  8 5             3 4          4 3  9 4
+--R               (560A a b  - 840B a b )d e  + (- 4800A a b  + 7480B a b )d e
+--R             + 
+--R                        2 5           3 4  10 3
+--R               (18720A a b  - 30480B a b )d  e
+--R             + 
+--R                            6           2 5  11 2
+--R               (- 45760A a b  + 78000B a b )d  e
+--R             + 
+--R                         7              6  12            7 13
+--R               (102960A b  - 177320B a b )d  e + 51480B b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        5 2           6   8 5           4 3            5 2  9 4
+--R               (- 504A a b  - 35280B a b)d e  + (4200A a b  + 209664B a b )d e
+--R             + 
+--R                          3 4            4 3  10 3
+--R               (- 15600A a b  - 515040B a b )d  e
+--R             + 
+--R                        2 5            3 4  11 2
+--R               (34320A a b  + 661440B a b )d  e
+--R             + 
+--R                          6            2 5  12             7             6  13
+--R             (- 51480A a b  - 446160B a b )d  e + (72072A b  + 82368B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                          6            7  8 5             5 2            6   9 4
+--R               (- 29568A a b - 27720B a )d e  + (176400A a b  + 153048B a b)d e
+--R             + 
+--R                           4 3            5 2  10 3
+--R               (- 436800A a b  - 337680B a b )d  e
+--R             + 
+--R                         3 4            4 3  11 2
+--R               (572000A a b  + 365040B a b )d  e
+--R             + 
+--R                           2 5            3 4  12
+--R               (- 411840A a b  - 177320B a b )d  e
+--R             + 
+--R                           6           2 5  13
+--R               (144144A a b  + 10296B a b )d
+--R          *
+--R             x
+--R         + 
+--R                     7 8 5             6           7  9 4
+--R           - 24024A a d e  + (138600A a b - 3696B a )d e
+--R         + 
+--R                       5 2           6   10 3
+--R           (- 327600A a b  + 20160B a b)d  e
+--R         + 
+--R                     4 3           5 2  11 2
+--R           (400400A a b  - 43680B a b )d  e
+--R         + 
+--R                       3 4           4 3  12             2 5           3 4  13
+--R           (- 257400A a b  + 45760B a b )d  e + (72072A a b  - 20592B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   7            8  13
+--R           (3003A a d + 48048A a )e
+--R         + 
+--R                       6          7  2               7           8    12
+--R           ((- 17325A a b + 462B a )d  + (- 277200A a b + 7392B a )d)e
+--R         + 
+--R                     5 2          6   3             6 2           7   2  11
+--R           ((40950A a b  - 2520B a b)d  + (655200A a b  - 40320B a b)d )e
+--R         + 
+--R                         4 3          5 2  4               5 3           6 2  3
+--R             ((- 50050A a b  + 5460B a b )d  + (- 800800A a b  + 87360B a b )d )
+--R          *
+--R              10
+--R             e
+--R         + 
+--R                     3 4          4 3  5             4 4           5 3  4  9
+--R           ((32175A a b  - 5720B a b )d  + (514800A a b  - 91520B a b )d )e
+--R         + 
+--R                      2 5          3 4  6               3 5           4 4  5  8
+--R           ((- 9009A a b  + 2574B a b )d  + (- 144144A a b  + 41184B a b )d )e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                    7 2            8   12
+--R           (24024A a d  + 384384A a d)e
+--R         + 
+--R                        6           7  3                7            8  2  11
+--R           ((- 138600A a b + 3696B a )d  + (- 2217600A a b + 59136B a )d )e
+--R         + 
+--R                      5 2           6   4              6 2            7   3  10
+--R           ((327600A a b  - 20160B a b)d  + (5241600A a b  - 322560B a b)d )e
+--R         + 
+--R                           4 3           5 2  5
+--R               (- 400400A a b  + 43680B a b )d
+--R             + 
+--R                            5 3            6 2  4
+--R               (- 6406400A a b  + 698880B a b )d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                      3 4           4 3  6              4 4            5 3  5  8
+--R           ((257400A a b  - 45760B a b )d  + (4118400A a b  - 732160B a b )d )e
+--R         + 
+--R                          2 5           3 4  7
+--R               (- 72072A a b  + 20592B a b )d
+--R             + 
+--R                            3 5            4 4  6
+--R               (- 1153152A a b  + 329472B a b )d
+--R          *
+--R              7
+--R             e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                    7 3             8 2  11
+--R           (84084A a d  + 1345344A a d )e
+--R         + 
+--R                        6            7  4                7             8  3  10
+--R           ((- 485100A a b + 12936B a )d  + (- 7761600A a b + 206976B a )d )e
+--R         + 
+--R                            5 2           6   5
+--R                 (1146600A a b  - 70560B a b)d
+--R               + 
+--R                             6 2             7   4
+--R                 (18345600A a b  - 1128960B a b)d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                            4 3            5 2  6
+--R               (- 1401400A a b  + 152880B a b )d
+--R             + 
+--R                             5 3             6 2  5
+--R               (- 22422400A a b  + 2446080B a b )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                         3 4            4 3  7
+--R               (900900A a b  - 160160B a b )d
+--R             + 
+--R                           4 4             5 3  6
+--R               (14414400A a b  - 2562560B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                           2 5           3 4  8
+--R               (- 252252A a b  + 72072B a b )d
+--R             + 
+--R                            3 5             4 4  7
+--R               (- 4036032A a b  + 1153152B a b )d
+--R          *
+--R              6
+--R             e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                     7 4             8 3  10
+--R           (168168A a d  + 2690688A a d )e
+--R         + 
+--R                        6            7  5                 7             8  4  9
+--R           ((- 970200A a b + 25872B a )d  + (- 15523200A a b + 413952B a )d )e
+--R         + 
+--R                            5 2            6   6
+--R                 (2293200A a b  - 141120B a b)d
+--R               + 
+--R                             6 2             7   5
+--R                 (36691200A a b  - 2257920B a b)d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                            4 3            5 2  7
+--R               (- 2802800A a b  + 305760B a b )d
+--R             + 
+--R                             5 3             6 2  6
+--R               (- 44844800A a b  + 4892160B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                          3 4            4 3  8
+--R               (1801800A a b  - 320320B a b )d
+--R             + 
+--R                           4 4             5 3  7
+--R               (28828800A a b  - 5125120B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                           2 5            3 4  9
+--R               (- 504504A a b  + 144144B a b )d
+--R             + 
+--R                            3 5             4 4  8
+--R               (- 8072064A a b  + 2306304B a b )d
+--R          *
+--R              5
+--R             e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                     7 5             8 4  9
+--R           (210210A a d  + 3363360A a d )e
+--R         + 
+--R                         6            7  6                 7             8  5  8
+--R           ((- 1212750A a b + 32340B a )d  + (- 19404000A a b + 517440B a )d )e
+--R         + 
+--R                            5 2            6   7
+--R                 (2866500A a b  - 176400B a b)d
+--R               + 
+--R                             6 2             7   6
+--R                 (45864000A a b  - 2822400B a b)d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                            4 3            5 2  8
+--R               (- 3503500A a b  + 382200B a b )d
+--R             + 
+--R                             5 3             6 2  7
+--R               (- 56056000A a b  + 6115200B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                          3 4            4 3  9
+--R               (2252250A a b  - 400400B a b )d
+--R             + 
+--R                           4 4             5 3  8
+--R               (36036000A a b  - 6406400B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                           2 5            3 4  10
+--R               (- 630630A a b  + 180180B a b )d
+--R             + 
+--R                             3 5             4 4  9
+--R               (- 10090080A a b  + 2882880B a b )d
+--R          *
+--R              4
+--R             e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                     7 6             8 5  8
+--R           (168168A a d  + 2690688A a d )e
+--R         + 
+--R                        6            7  7                 7             8  6  7
+--R           ((- 970200A a b + 25872B a )d  + (- 15523200A a b + 413952B a )d )e
+--R         + 
+--R                            5 2            6   8
+--R                 (2293200A a b  - 141120B a b)d
+--R               + 
+--R                             6 2             7   7
+--R                 (36691200A a b  - 2257920B a b)d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                            4 3            5 2  9
+--R               (- 2802800A a b  + 305760B a b )d
+--R             + 
+--R                             5 3             6 2  8
+--R               (- 44844800A a b  + 4892160B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                          3 4            4 3  10
+--R               (1801800A a b  - 320320B a b )d
+--R             + 
+--R                           4 4             5 3  9
+--R               (28828800A a b  - 5125120B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                           2 5            3 4  11
+--R               (- 504504A a b  + 144144B a b )d
+--R             + 
+--R                            3 5             4 4  10
+--R               (- 8072064A a b  + 2306304B a b )d
+--R          *
+--R              3
+--R             e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    7 7             8 6  7
+--R           (84084A a d  + 1345344A a d )e
+--R         + 
+--R                        6            7  8                7             8  7  6
+--R           ((- 485100A a b + 12936B a )d  + (- 7761600A a b + 206976B a )d )e
+--R         + 
+--R                            5 2           6   9
+--R                 (1146600A a b  - 70560B a b)d
+--R               + 
+--R                             6 2             7   8
+--R                 (18345600A a b  - 1128960B a b)d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                            4 3            5 2  10
+--R               (- 1401400A a b  + 152880B a b )d
+--R             + 
+--R                             5 3             6 2  9
+--R               (- 22422400A a b  + 2446080B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                         3 4            4 3  11
+--R               (900900A a b  - 160160B a b )d
+--R             + 
+--R                           4 4             5 3  10
+--R               (14414400A a b  - 2562560B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                           2 5           3 4  12
+--R               (- 252252A a b  + 72072B a b )d
+--R             + 
+--R                            3 5             4 4  11
+--R               (- 4036032A a b  + 1153152B a b )d
+--R          *
+--R              2
+--R             e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    7 8            8 7  6
+--R           (24024A a d  + 384384A a d )e
+--R         + 
+--R                        6           7  9                7            8  8  5
+--R           ((- 138600A a b + 3696B a )d  + (- 2217600A a b + 59136B a )d )e
+--R         + 
+--R                      5 2           6   10              6 2            7   9  4
+--R           ((327600A a b  - 20160B a b)d   + (5241600A a b  - 322560B a b)d )e
+--R         + 
+--R                           4 3           5 2  11
+--R               (- 400400A a b  + 43680B a b )d
+--R             + 
+--R                            5 3            6 2  10
+--R               (- 6406400A a b  + 698880B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                           3 4           4 3  12
+--R                 (257400A a b  - 45760B a b )d
+--R               + 
+--R                            4 4            5 3  11
+--R                 (4118400A a b  - 732160B a b )d
+--R          *
+--R              2
+--R             e
+--R         + 
+--R                          2 5           3 4  13
+--R               (- 72072A a b  + 20592B a b )d
+--R             + 
+--R                            3 5            4 4  12
+--R               (- 1153152A a b  + 329472B a b )d
+--R          *
+--R             e
+--R      *
+--R         x
+--R     + 
+--R               7 9           8 8  5
+--R       (3003A a d  + 48048A a d )e
+--R     + 
+--R                   6          7  10               7           8  9  4
+--R       ((- 17325A a b + 462B a )d   + (- 277200A a b + 7392B a )d )e
+--R     + 
+--R                 5 2          6   11             6 2           7   10  3
+--R       ((40950A a b  - 2520B a b)d   + (655200A a b  - 40320B a b)d  )e
+--R     + 
+--R                   4 3          5 2  12               5 3           6 2  11  2
+--R       ((- 50050A a b  + 5460B a b )d   + (- 800800A a b  + 87360B a b )d  )e
+--R     + 
+--R                 3 4          4 3  13             4 4           5 3  12
+--R       ((32175A a b  - 5720B a b )d   + (514800A a b  - 91520B a b )d  )e
+--R     + 
+--R                 2 5          3 4  14               3 5           4 4  13
+--R       (- 9009A a b  + 2574B a b )d   + (- 144144A a b  + 41184B a b )d
+--R  /
+--R                  6 8 14           5   9 13           4 2 10 12
+--R           180180a d e   - 1081080a b d e   + 2702700a b d  e
+--R         + 
+--R                     3 3 11 11           2 4 12 10             5 13 9
+--R           - 3603600a b d  e   + 2702700a b d  e   - 1081080a b d  e
+--R         + 
+--R                  6 14 8
+--R           180180b d  e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                   6 9 13           5   10 12            4 2 11 11
+--R           1441440a d e   - 8648640a b d  e   + 21621600a b d  e
+--R         + 
+--R                      3 3 12 10            2 4 13 9             5 14 8
+--R           - 28828800a b d  e   + 21621600a b d  e  - 8648640a b d  e
+--R         + 
+--R                   6 15 7
+--R           1441440b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                   6 10 12            5   11 11            4 2 12 10
+--R           5045040a d  e   - 30270240a b d  e   + 75675600a b d  e
+--R         + 
+--R                       3 3 13 9            2 4 14 8              5 15 7
+--R           - 100900800a b d  e  + 75675600a b d  e  - 30270240a b d  e
+--R         + 
+--R                   6 16 6
+--R           5045040b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                    6 11 11            5   12 10             4 2 13 9
+--R           10090080a d  e   - 60540480a b d  e   + 151351200a b d  e
+--R         + 
+--R                       3 3 14 8             2 4 15 7              5 16 6
+--R           - 201801600a b d  e  + 151351200a b d  e  - 60540480a b d  e
+--R         + 
+--R                    6 17 5
+--R           10090080b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    6 12 10            5   13 9             4 2 14 8
+--R           12612600a d  e   - 75675600a b d  e  + 189189000a b d  e
+--R         + 
+--R                       3 3 15 7             2 4 16 6              5 17 5
+--R           - 252252000a b d  e  + 189189000a b d  e  - 75675600a b d  e
+--R         + 
+--R                    6 18 4
+--R           12612600b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    6 13 9            5   14 8             4 2 15 7
+--R           10090080a d  e  - 60540480a b d  e  + 151351200a b d  e
+--R         + 
+--R                       3 3 16 6             2 4 17 5              5 18 4
+--R           - 201801600a b d  e  + 151351200a b d  e  - 60540480a b d  e
+--R         + 
+--R                    6 19 3
+--R           10090080b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   6 14 8            5   15 7            4 2 16 6
+--R           5045040a d  e  - 30270240a b d  e  + 75675600a b d  e
+--R         + 
+--R                       3 3 17 5            2 4 18 4              5 19 3
+--R           - 100900800a b d  e  + 75675600a b d  e  - 30270240a b d  e
+--R         + 
+--R                   6 20 2
+--R           5045040b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   6 15 7           5   16 6            4 2 17 5
+--R           1441440a d  e  - 8648640a b d  e  + 21621600a b d  e
+--R         + 
+--R                      3 3 18 4            2 4 19 3             5 20 2
+--R           - 28828800a b d  e  + 21621600a b d  e  - 8648640a b d  e
+--R         + 
+--R                   6 21
+--R           1441440b d  e
+--R      *
+--R         x
+--R     + 
+--R              6 16 6           5   17 5           4 2 18 4           3 3 19 3
+--R       180180a d  e  - 1081080a b d  e  + 2702700a b d  e  - 3603600a b d  e
+--R     + 
+--R               2 4 20 2             5 21           6 22
+--R       2702700a b d  e  - 1081080a b d  e + 180180b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1036
+
+--S 1037 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               7            8  5
+--R       (3003A a d + 48048A a )e
+--R     + 
+--R                   6          7  2               7           8    4
+--R       ((- 17325A a b + 462B a )d  + (- 277200A a b + 7392B a )d)e
+--R     + 
+--R                 5 2          6   3             6 2           7   2  3
+--R       ((40950A a b  - 2520B a b)d  + (655200A a b  - 40320B a b)d )e
+--R     + 
+--R                   4 3          5 2  4               5 3           6 2  3  2
+--R       ((- 50050A a b  + 5460B a b )d  + (- 800800A a b  + 87360B a b )d )e
+--R     + 
+--R                 3 4          4 3  5             4 4           5 3  4
+--R       ((32175A a b  - 5720B a b )d  + (514800A a b  - 91520B a b )d )e
+--R     + 
+--R                 2 5          3 4  6               3 5           4 4  5
+--R       (- 9009A a b  + 2574B a b )d  + (- 144144A a b  + 41184B a b )d
+--R  /
+--R              6 8 6           5   9 5           4 2 10 4           3 3 11 3
+--R       180180a d e  - 1081080a b d e  + 2702700a b d  e  - 3603600a b d  e
+--R     + 
+--R               2 4 12 2             5 13           6 14
+--R       2702700a b d  e  - 1081080a b d  e + 180180b d
+--R                                                    Type: Expression(Integer)
+--E 1037
+
+--S 1038 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1038
+
+)clear all
+
+--S 1039 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)*(d+e*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R          2 2 5        2           2       2     4
+--R       B b e x  + ((A b  + 2B a b)e  + 2B b d e)x
+--R     + 
+--R                     2  2        2                   2 2  3
+--R       ((2A a b + B a )e  + (2A b  + 4B a b)d e + B b d )x
+--R     + 
+--R           2 2                 2           2           2  2
+--R       (A a e  + (4A a b + 2B a )d e + (A b  + 2B a b)d )x
+--R     + 
+--R            2                   2  2        2 2
+--R       (2A a d e + (2A a b + B a )d )x + A a d
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1039
+
+--S 1040 of 1293
+r0:=1/24*(b*d-a*e)*(2*A*b*e-B*(b*d+a*e))*(a+b*x)^(7/2)*(d+e*x)^(3/2)/_
+     (b^3*e)+1/12*(2*A*b*e-B*(b*d+a*e))*(a+b*x)^(7/2)*(d+e*x)^(5/2)/_
+     (b^2*e)+1/7*B*(a+b*x)^(7/2)*(d+e*x)^(7/2)/(b*e)-5/1024*(b*d-a*e)^6*_
+     (2*A*b*e-B*(b*d+a*e))*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(9/2)*e^(9/2))-5/1536*(b*d-a*e)^4*_
+     (2*A*b*e-B*(b*d+a*e))*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^4*e^3)+_
+     1/384*(b*d-a*e)^3*(2*A*b*e-B*(b*d+a*e))*(a+b*x)^(5/2)*sqrt(d+e*x)/_
+     (b^4*e^2)+1/64*(b*d-a*e)^2*(2*A*b*e-B*(b*d+a*e))*(a+b*x)^(7/2)*_
+     sqrt(d+e*x)/(b^4*e)+5/1024*(b*d-a*e)^5*(2*A*b*e-B*(b*d+a*e))*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b^4*e^4)
+--R 
+--R
+--R   (2)
+--R                    6          7  7           5 2         6     6
+--R           (- 210A a b + 105B a )e  + (1260A a b  - 525B a b)d e
+--R         + 
+--R                     4 3         5 2  2 5           3 4         4 3  3 4
+--R           (- 3150A a b  + 945B a b )d e  + (4200A a b  - 525B a b )d e
+--R         + 
+--R                     2 5         3 4  4 3             6         2 5  5 2
+--R           (- 3150A a b  - 525B a b )d e  + (1260A a b  + 945B a b )d e
+--R         + 
+--R                    7           6  6          7 7
+--R           (- 210A b  - 525B a b )d e + 105B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                  6 6 6            6            5  6          6   5  5
+--R           3072B b e x  + ((3584A b  + 7424B a b )e  + 7424B b d e )x
+--R         + 
+--R                         5          2 4  6           6             5    5
+--R               (8960A a b  + 4736B a b )e  + (8960A b  + 18688B a b )d e
+--R             + 
+--R                      6 2 4
+--R               4736B b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       2 4        3 3  6              5           2 4    5
+--R               (6048A a b  + 48B a b )e  + (23744A a b  + 12752B a b )d e
+--R             + 
+--R                       6             5  2 4        6 3 3
+--R               (6048A b  + 12752B a b )d e  + 48B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      3 3        4 2  6            2 4         3 3    5
+--R               (112A a b  - 56B a b )e  + (17808A a b  + 256B a b )d e
+--R             + 
+--R                          5          2 4  2 4          6           5  3 3
+--R               (17808A a b  + 9840B a b )d e  + (112A b  + 256B a b )d e
+--R             + 
+--R                      6 4 2
+--R               - 56B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        4 2        5   6          3 3         4 2    5
+--R               (- 140A a b  + 70B a b)e  + (784A a b  - 322B a b )d e
+--R             + 
+--R                        2 4         3 3  2 4            5         2 4  3 3
+--R               (16632A a b  + 508B a b )d e  + (784A a b  + 508B a b )d e
+--R             + 
+--R                        6           5  4 2        6 5
+--R               (- 140A b  - 322B a b )d e  + 70B b d e
+--R          *
+--R             x
+--R         + 
+--R                  5          6  6             4 2         5     5
+--R           (210A a b - 105B a )e  + (- 1190A a b  + 490B a b)d e
+--R         + 
+--R                   3 3         4 2  2 4           2 4         3 3  3 3
+--R           (2772A a b  - 791B a b )d e  + (2772A a b  + 300B a b )d e
+--R         + 
+--R                     5         2 4  4 2          6           5  5          6 6
+--R         (- 1190A a b  - 791B a b )d e  + (210A b  + 490B a b )d e - 105B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R           4 4 +-+ +-+
+--R     21504b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1040
+
+--S 1041 of 1293
+--a0:=integrate(t0,x)
+--E 1041
+
+--S 1042 of 1293
+--m0:=a0-r0
+--E 1042
+
+--S 1043 of 1293
+--d0:=D(m0,x)
+--E 1043
+
+)clear all
+
+--S 1044 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)*(d+e*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R          2   4        2                 2   3
+--R       B b e x  + ((A b  + 2B a b)e + B b d)x
+--R     + 
+--R                     2         2             2       2                 2
+--R       ((2A a b + B a )e + (A b  + 2B a b)d)x  + (A a e + (2A a b + B a )d)x
+--R     + 
+--R          2
+--R       A a d
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1044
+
+--S 1045 of 1293
+r0:=-1/60*(7*b*B*d-12*A*b*e+5*a*B*e)*(a+b*x)^(7/2)*(d+e*x)^(3/2)/(b^2*e)+_
+     1/6*B*(a+b*x)^(7/2)*(d+e*x)^(5/2)/(b*e)+1/512*(b*d-a*e)^5*(7*b*B*d-_
+     12*A*b*e+5*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(d+e*x)))/(b^(7/2)*e^(9/2))+1/768*(b*d-a*e)^3*(7*b*B*d-_
+     12*A*b*e+5*a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^3*e^3)-_
+     1/960*(b*d-a*e)^2*(7*b*B*d-12*A*b*e+5*a*B*e)*(a+b*x)^(5/2)*_
+     sqrt(d+e*x)/(b^3*e^2)-1/160*(b*d-a*e)*(7*b*B*d-12*A*b*e+5*a*B*e)*_
+     (a+b*x)^(7/2)*sqrt(d+e*x)/(b^3*e)-1/512*(b*d-a*e)^4*_
+     (7*b*B*d-12*A*b*e+5*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/(b^3*e^4)
+--R 
+--R
+--R   (2)
+--R                  5         6  6            4 2         5     5
+--R           (180A a b - 75B a )e  + (- 900A a b  + 270B a b)d e
+--R         + 
+--R                   3 3         4 2  2 4             2 4         3 3  3 3
+--R           (1800A a b  - 225B a b )d e  + (- 1800A a b  - 300B a b )d e
+--R         + 
+--R                    5         2 4  4 2            6           5  5          6 6
+--R           (900A a b  + 675B a b )d e  + (- 180A b  - 450B a b )d e + 105B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                  5 5 5            5            4  5          5   4  4
+--R           1280B b e x  + ((1536A b  + 3200B a b )e  + 1664B b d e )x
+--R         + 
+--R                         4          2 3  5           5            4    4
+--R               (4032A a b  + 2160B a b )e  + (2112A b  + 4448B a b )d e
+--R             + 
+--R                    5 2 3
+--R               48B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       2 3        3 2  5             4          2 3    4
+--R               (2976A a b  + 40B a b )e  + (6144A a b  + 3384B a b )d e
+--R             + 
+--R                     5           4  2 3        5 3 2
+--R               (96A b  + 216B a b )d e  - 56B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      3 2        4   5           2 3         3 2    4
+--R               (120A a b  - 50B a b)e  + (5592A a b  + 160B a b )d e
+--R             + 
+--R                        4         2 3  2 3            5           4  3 2
+--R               (552A a b  + 348B a b )d e  + (- 120A b  - 272B a b )d e
+--R             + 
+--R                    5 4
+--R               70B b d e
+--R          *
+--R             x
+--R         + 
+--R                    4         5  5          3 2         4     4
+--R           (- 180A a b + 75B a )e  + (840A a b  - 245B a b)d e
+--R         + 
+--R                   2 3         3 2  2 3              4         2 3  3 2
+--R           (1536A a b  + 150B a b )d e  + (- 840A a b  - 546B a b )d e
+--R         + 
+--R                  5           4  4          5 5
+--R           (180A b  + 415B a b )d e - 105B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R          3 4 +-+ +-+
+--R     7680b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1045
+
+--S 1046 of 1293
+--a0:=integrate(t0,x)
+--E 1046
+
+--S 1047 of 1293
+--m0:=a0-r0
+--E 1047
+
+--S 1048 of 1293
+--d0:=D(m0,x)
+--E 1048
+
+)clear all
+
+--S 1049 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)*sqrt(d+e*x)
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1049
+
+--S 1050 of 1293
+r0:=1/5*B*(a+b*x)^(7/2)*(d+e*x)^(3/2)/(b*e)+1/128*(b*d-a*e)^4*_
+     (7*b*B*d-10*A*b*e+3*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(5/2)*e^(9/2))+1/192*(b*d-a*e)^2*_
+     (7*b*B*d-10*A*b*e+3*a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(b^2*e^3)-_
+     1/240*(b*d-a*e)*(7*b*B*d-10*A*b*e+3*a*B*e)*(a+b*x)^(5/2)*sqrt(d+e*x)/_
+     (b^2*e^2)-1/40*(7*b*B*d-10*A*b*e+3*a*B*e)*(a+b*x)^(7/2)*_
+     sqrt(d+e*x)/(b^2*e)-1/128*(b*d-a*e)^3*(7*b*B*d-10*A*b*e+3*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b^2*e^4)
+--R 
+--R
+--R   (2)
+--R                    4         5  5          3 2        4     4
+--R           (- 150A a b + 45B a )e  + (600A a b  - 75B a b)d e
+--R         + 
+--R                    2 3         3 2  2 3            4         2 3  3 2
+--R           (- 900A a b  - 150B a b )d e  + (600A a b  + 450B a b )d e
+--R         + 
+--R                    5           4  4          5 5
+--R           (- 150A b  - 375B a b )d e + 105B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                 4 4 4           4            3  4        4   3  3
+--R           384B b e x  + ((480A b  + 1008B a b )e  + 48B b d e )x
+--R         + 
+--R                           3         2 2  4         4           3    3
+--R                 (1360A a b  + 744B a b )e  + (80A b  + 176B a b )d e
+--R               + 
+--R                        4 2 2
+--R                 - 56B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       2 2        3   4            3         2 2    3
+--R               (1180A a b  + 30B a b)e  + (360A a b  + 218B a b )d e
+--R             + 
+--R                        4           3  2 2        4 3
+--R               (- 100A b  - 222B a b )d e  + 70B b d e
+--R          *
+--R             x
+--R         + 
+--R                  3         4  4          2 2        3     3
+--R           (150A a b - 45B a )e  + (730A a b  + 60B a b)d e
+--R         + 
+--R                      3         2 2  2 2          4           3  3          4 4
+--R           (- 550A a b  - 346B a b )d e  + (150A b  + 340B a b )d e - 105B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R          2 4 +-+ +-+
+--R     1920b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1050
+
+--S 1051 of 1293
+--a0:=integrate(t0,x)
+--E 1051
+
+--S 1052 of 1293
+--m0:=a0-r0
+--E 1052
+
+--S 1053 of 1293
+--d0:=D(m0,x)
+--E 1053
+
+)clear all
+
+--S 1054 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/sqrt(d+e*x)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R                                    +-------+
+--R                                   \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1054
+
+--S 1055 of 1293
+r0:=5/64*(b*d-a*e)^3*(7*b*B*d-8*A*b*e+a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(3/2)*e^(9/2))+5/96*(b*d-a*e)*_
+     (7*b*B*d-8*A*b*e+a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(b*e^3)-_
+     1/24*(7*b*B*d-8*A*b*e+a*B*e)*(a+b*x)^(5/2)*sqrt(d+e*x)/(b*e^2)+_
+     1/4*B*(a+b*x)^(7/2)*sqrt(d+e*x)/(b*e)-5/64*(b*d-a*e)^2*_
+     (7*b*B*d-8*A*b*e+a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/(b*e^4)
+--R 
+--R
+--R   (2)
+--R                  3         4  4            2 2        3     3
+--R           (120A a b - 15B a )e  + (- 360A a b  - 60B a b)d e
+--R         + 
+--R                    3         2 2  2 2            4           3  3          4 4
+--R           (360A a b  + 270B a b )d e  + (- 120A b  - 300B a b )d e + 105B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                3 3 3          3           2  3        3   2  2
+--R           48B b e x  + ((64A b  + 136B a b )e  - 56B b d e )x
+--R         + 
+--R                     2         2   3           3           2    2        3 2
+--R           ((208A a b  + 118B a b)e  + (- 80A b  - 172B a b )d e  + 70B b d e)x
+--R         + 
+--R                  2         3  3              2         2     2
+--R           (264A a b + 15B a )e  + (- 320A a b  - 191B a b)d e
+--R         + 
+--R                  3           2  2          3 3
+--R           (120A b  + 265B a b )d e - 105B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R           4 +-+ +-+
+--R     192b e \|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1055
+
+--S 1056 of 1293
+--a0:=integrate(t0,x)
+--E 1056
+
+--S 1057 of 1293
+--m0:=a0-r0
+--E 1057
+
+--S 1058 of 1293
+--d0:=D(m0,x)
+--E 1058
+
+)clear all
+
+--S 1059 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(3/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R                                         +-------+
+--R                               (e x + d)\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1059
+
+--S 1060 of 1293
+r0:=-5/8*(b*d-a*e)^2*(7*b*B*d-6*A*b*e-a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(e^(9/2)*sqrt(b))-_
+     2*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*sqrt(d+e*x))-_
+     5/12*(7*b*B*d-6*A*b*e-a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/e^3+_
+     1/3*(7*b*B*d-6*A*b*e-a*B*e)*(a+b*x)^(5/2)*sqrt(d+e*x)/(e^2*(b*d-a*e))+_
+     5/8*(b*d-a*e)*(7*b*B*d-6*A*b*e-a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R                 2         3  3              2         2     2
+--R           (90A a b + 15B a )e  + (- 180A a b  - 135B a b)d e
+--R         + 
+--R                 3           2  2          3 3
+--R           (90A b  + 225B a b )d e - 105B b d
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|e \|b x + a
+--R         \|e x + d atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|e x + d
+--R     + 
+--R               2 3 3          2            3        2   2  2
+--R           8B b e x  + ((12A b  + 26B a b)e  - 14B b d e )x
+--R         + 
+--R                            2  3           2              2        2 2
+--R           ((54A a b + 33B a )e  + (- 30A b  - 68B a b)d e  + 35B b d e)x
+--R         + 
+--R                  2 3                    2    2           2             2
+--R           - 48A a e  + (150A a b + 81B a )d e  + (- 90A b  - 190B a b)d e
+--R         + 
+--R                 2 3
+--R           105B b d
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|e \|b x + a
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24e \|b \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1060
+
+--S 1061 of 1293
+--a0:=integrate(t0,x)
+--E 1061
+
+--S 1062 of 1293
+--m0:=a0-r0
+--E 1062
+
+--S 1063 of 1293
+--d0:=D(m0,x)
+--E 1063
+
+)clear all
+
+--S 1064 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(5/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R                           2 2             2  +-------+
+--R                         (e x  + 2d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1064
+
+--S 1065 of 1293
+r0:=-2/3*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(3/2))+_
+     5/4*(b*d-a*e)*(7*b*B*d-4*A*b*e-3*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))*sqrt(b)/e^(9/2)-2/3*(7*b*B*d-4*A*b*e-3*a*B*e)*_
+     (a+b*x)^(5/2)/(e^2*(b*d-a*e)*sqrt(d+e*x))+5/6*b*_
+     (7*b*B*d-4*A*b*e-3*a*B*e)*(a+b*x)^(3/2)*sqrt(d+e*x)/(e^3*(b*d-a*e))-_
+     5/4*b*(7*b*B*d-4*A*b*e-3*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/e^4
+--R 
+--R
+--R   (2)
+--R                            2  3           2               2         2 2
+--R           ((60A a b + 45B a )e  + (- 60A b  - 150B a b)d e  + 105B b d e)x
+--R         + 
+--R                           2    2           2             2          2 3
+--R           (60A a b + 45B a )d e  + (- 60A b  - 150B a b)d e + 105B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R               2 3 3          2            3        2   2  2
+--R           6B b e x  + ((12A b  + 27B a b)e  - 21B b d e )x
+--R         + 
+--R                              2  3         2               2         2 2
+--R           ((- 56A a b - 24B a )e  + (80A b  + 158B a b)d e  - 140B b d e)x
+--R         + 
+--R                 2 3                     2    2         2             2
+--R           - 8A a e  + (- 40A a b - 16B a )d e  + (60A b  + 115B a b)d e
+--R         + 
+--R                   2 3
+--R           - 105B b d
+--R      *
+--R          +-+ +-------+
+--R         \|e \|b x + a
+--R  /
+--R         5         4  +-+ +-------+
+--R     (12e x + 12d e )\|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1065
+
+--S 1066 of 1293
+--a0:=integrate(t0,x)
+--E 1066
+
+--S 1067 of 1293
+--m0:=a0-r0
+--E 1067
+
+--S 1068 of 1293
+--d0:=D(m0,x)
+--E 1068
+
+)clear all
+
+--S 1069 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(7/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R                      3 3       2 2     2       3  +-------+
+--R                    (e x  + 3d e x  + 3d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1069
+
+--S 1070 of 1293
+r0:=-2/5*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(5/2))-_
+     2/15*(7*b*B*d-2*A*b*e-5*a*B*e)*(a+b*x)^(5/2)/(e^2*(b*d-a*e)*_
+     (d+e*x)^(3/2))-b^(3/2)*(7*b*B*d-2*A*b*e-5*a*B*e)*_
+     atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/e^(9/2)-_
+     2/3*b*(7*b*B*d-2*A*b*e-5*a*B*e)*(a+b*x)^(3/2)/(e^3*(b*d-a*e)*_
+     sqrt(d+e*x))+b^2*(7*b*B*d-2*A*b*e-5*a*B*e)*sqrt(a+b*x)*_
+     sqrt(d+e*x)/(e^4*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                  2            3         2   2  2
+--R           ((30A b  + 75B a b)e  - 105B b d e )x
+--R         + 
+--R                  2               2         2 2            2            2
+--R           ((60A b  + 150B a b)d e  - 210B b d e)x + (30A b  + 75B a b)d e
+--R         + 
+--R                   2 3
+--R           - 105B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R                2 3 3            2            3         2   2  2
+--R           15B b e x  + ((- 46A b  - 70B a b)e  + 161B b d e )x
+--R         + 
+--R                              2  3           2              2         2 2
+--R           ((- 22A a b - 10B a )e  + (- 70A b  - 98B a b)d e  + 245B b d e)x
+--R         + 
+--R                 2 3                    2    2           2            2
+--R           - 6A a e  + (- 10A a b - 4B a )d e  + (- 30A b  - 40B a b)d e
+--R         + 
+--R                 2 3
+--R           105B b d
+--R      *
+--R          +-+ +-------+
+--R         \|e \|b x + a
+--R  /
+--R         6 2        5       2 4  +-+ +-------+
+--R     (15e x  + 30d e x + 15d e )\|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1070
+
+--S 1071 of 1293
+--a0:=integrate(t0,x)
+--E 1071
+
+--S 1072 of 1293
+--m0:=a0-r0
+--E 1072
+
+--S 1073 of 1293
+--d0:=D(m0,x)
+--E 1073
+
+)clear all
+
+--S 1074 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(9/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R                 4 4       3 3     2 2 2     3       4  +-------+
+--R               (e x  + 4d e x  + 6d e x  + 4d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1074
+
+--S 1075 of 1293
+r0:=-2/7*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(7/2))-_
+     2/5*B*(a+b*x)^(5/2)/(e^2*(d+e*x)^(5/2))-2/3*b*B*(a+b*x)^(3/2)/_
+     (e^3*(d+e*x)^(3/2))+2*b^(5/2)*B*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/e^(9/2)-2*b^2*B*sqrt(a+b*x)/(e^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                    2 4         3   3  3            2   3         3 2 2  2
+--R           (210B a b e  - 210B b d e )x  + (630B a b d e  - 630B b d e )x
+--R         + 
+--R                    2 2 2         3 3              2 3          3 4
+--R           (630B a b d e  - 630B b d e)x + 210B a b d e - 210B b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|b \|e x + d atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R                    3           2  4         3   3  3
+--R           ((- 30A b  - 322B a b )e  + 352B b d e )x
+--R         + 
+--R                      2         2   4           2   3         3 2 2  2
+--R           ((- 90A a b  - 154B a b)e  - 568B a b d e  + 812B b d e )x
+--R         + 
+--R                    2         3  4        2     3           2 2 2         3 3
+--R           ((- 90A a b - 42B a )e  - 92B a b d e  - 476B a b d e  + 700B b d e)x
+--R         + 
+--R                  3 4        3   3        2   2 2           2 3          3 4
+--R           - 30A a e  - 12B a d e  - 28B a b d e  - 140B a b d e + 210B b d
+--R      *
+--R          +-+ +-------+
+--R         \|e \|b x + a
+--R  /
+--R                8           7  3            7         2 6  2
+--R         (105a e  - 105b d e )x  + (315a d e  - 315b d e )x
+--R       + 
+--R                2 6         3 5           3 5         4 4
+--R         (315a d e  - 315b d e )x + 105a d e  - 105b d e
+--R    *
+--R        +-+ +-------+
+--R       \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1075
+
+--S 1076 of 1293
+--a0:=integrate(t0,x)
+--E 1076
+
+--S 1077 of 1293
+--m0:=a0-r0
+--E 1077
+
+--S 1078 of 1293
+--d0:=D(m0,x)
+--E 1078
+
+)clear all
+
+--S 1079 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(11/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   (1)  ----------------------------------------------------------------
+--R           5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R         (e x  + 5d e x  + 10d e x  + 10d e x  + 5d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1079
+
+--S 1080 of 1293
+r0:=-2/9*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(9/2))+_
+     2/63*(7*b*B*d+2*A*b*e-9*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^2*(d+e*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R               4          3          4   4
+--R         ((4A b  - 18B a b )e + 14B b d)x
+--R       + 
+--R                   3        2 2           4          3    3
+--R         ((- 2A a b  - 54B a b )e + (18A b  + 38B a b )d)x
+--R       + 
+--R                  2 2        3              3        2 2    2
+--R         ((- 30A a b  - 54B a b)e + (54A a b  + 30B a b )d)x
+--R       + 
+--R                  3         4           2 2       3             4
+--R         ((- 38A a b - 18B a )e + (54A a b  + 2B a b)d)x - 14A a e
+--R       + 
+--R               3        4
+--R         (18A a b - 4B a )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             2 6             5      2 2 4  4
+--R         (63a e  - 126a b d e  + 63b d e )x
+--R       + 
+--R              2   5           2 4       2 3 3  3
+--R         (252a d e  - 504a b d e  + 252b d e )x
+--R       + 
+--R              2 2 4           3 3       2 4 2  2
+--R         (378a d e  - 756a b d e  + 378b d e )x
+--R       + 
+--R              2 3 3           4 2       2 5         2 4 2           5       2 6
+--R         (252a d e  - 504a b d e  + 252b d e)x + 63a d e  - 126a b d e + 63b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1080
+
+--S 1081 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4          3  5         4 6  4
+--R           ((16A b  - 72B a b )d e + 56B b d )x
+--R         + 
+--R                     3         2 2  5          4           3  6  3
+--R           ((- 8A a b  - 216B a b )d e + (72A b  + 152B a b )d )x
+--R         + 
+--R                     2 2         3   5             3         2 2  6  2
+--R           ((- 120A a b  - 216B a b)d e + (216A a b  + 120B a b )d )x
+--R         + 
+--R                     3         4  5           2 2       3   6          4 5
+--R           ((- 152A a b - 72B a )d e + (216A a b  + 8B a b)d )x - 56A a d e
+--R         + 
+--R                 3         4  6
+--R           (72A a b - 16B a )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                4          5  6
+--R           (7A a d + 112A a )e
+--R         + 
+--R                   3        4  2            4         5    5
+--R           ((- 9A a b + 2B a )d  + (- 144A a b + 32B a )d)e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 4 2         5   5
+--R           (35A a d  + 560A a d)e
+--R         + 
+--R                    3         4  3            4          5  2  4
+--R           ((- 45A a b + 10B a )d  + (- 720A a b + 160B a )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 4 3          5 2  4
+--R           (70A a d  + 1120A a d )e
+--R         + 
+--R                    3         4  4             4          5  3  3
+--R           ((- 90A a b + 20B a )d  + (- 1440A a b + 320B a )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 4 4          5 3  3
+--R           (70A a d  + 1120A a d )e
+--R         + 
+--R                    3         4  5             4          5  4  2
+--R           ((- 90A a b + 20B a )d  + (- 1440A a b + 320B a )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4 5         5 4  2
+--R           (35A a d  + 560A a d )e
+--R         + 
+--R                    3         4  6            4          5  5
+--R           ((- 45A a b + 10B a )d  + (- 720A a b + 160B a )d )e
+--R      *
+--R         x
+--R     + 
+--R            4 6         5 5            3        4  7            4         5  6
+--R       (7A a d  + 112A a d )e + (- 9A a b + 2B a )d  + (- 144A a b + 32B a )d
+--R  /
+--R            2 5 7           6 6       2 7 5  5
+--R       (252a d e  - 504a b d e  + 252b d e )x
+--R     + 
+--R             2 6 6            7 5        2 8 4  4
+--R       (1260a d e  - 2520a b d e  + 1260b d e )x
+--R     + 
+--R             2 7 5            8 4        2 9 3  3
+--R       (2520a d e  - 5040a b d e  + 2520b d e )x
+--R     + 
+--R             2 8 4            9 3        2 10 2  2
+--R       (2520a d e  - 5040a b d e  + 2520b d  e )x
+--R     + 
+--R             2 9 3            10 2        2 11          2 10 2           11
+--R       (1260a d e  - 2520a b d  e  + 1260b d  e)x + 252a d  e  - 504a b d  e
+--R     + 
+--R           2 12
+--R       252b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1081
+
+--S 1082 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R             4          5            3        4  2            4         5
+--R        (7A a d + 112A a )e + (- 9A a b + 2B a )d  + (- 144A a b + 32B a )d
+--R   (4)  -------------------------------------------------------------------
+--R                              2 5 2           6        2 7
+--R                          252a d e  - 504a b d e + 252b d
+--R                                                    Type: Expression(Integer)
+--E 1082
+
+--S 1083 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1083
+
+)clear all
+
+--S 1084 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R            2 3       2           2                2        2  +-------+
+--R        (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (e x  + 6d e x  + 15d e x  + 20d e x  + 15d e x  + 6d e x + d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1084
+
+--S 1085 of 1293
+r0:=-2/11*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(11/2))+_
+     2/99*(7*b*B*d+4*A*b*e-11*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(9/2))+4/693*b*(7*b*B*d+4*A*b*e-11*a*B*e)*(a+b*x)^(7/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R                  5          4  2        5     5
+--R         ((- 16A b  + 44B a b )e  - 28B b d e)x
+--R       + 
+--R                 4        2 3  2           5           4             5 2  4
+--R         ((8A a b  - 22B a b )e  + (- 88A b  + 256B a b )d e - 154B b d )x
+--R       + 
+--R                    2 3         3 2  2           4         2 3
+--R             (- 6A a b  - 330B a b )e  + (44A a b  + 908B a b )d e
+--R           + 
+--R                      5           4  2
+--R             (- 198A b  - 418B a b )d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      3 2         4   2          2 3         3 2
+--R             (- 226A a b  - 418B a b)e  + (660A a b  + 908B a b )d e
+--R           + 
+--R                        4         2 3  2
+--R             (- 594A a b  - 330B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      4          5  2          3 2         4
+--R             (- 322A a b - 154B a )e  + (836A a b  + 256B a b)d e
+--R           + 
+--R                      2 3        3 2  2
+--R             (- 594A a b  - 22B a b )d
+--R        *
+--R           x
+--R       + 
+--R                 5 2          4         5                3 2        4   2
+--R         - 126A a e  + (308A a b - 28B a )d e + (- 198A a b  + 44B a b)d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              3 8        2     7          2 2 6       3 3 5  5
+--R         (693a e  - 2079a b d e  + 2079a b d e  - 693b d e )x
+--R       + 
+--R               3   7         2   2 6           2 3 5        3 4 4  4
+--R         (3465a d e  - 10395a b d e  + 10395a b d e  - 3465b d e )x
+--R       + 
+--R               3 2 6         2   3 5           2 4 4        3 5 3  3
+--R         (6930a d e  - 20790a b d e  + 20790a b d e  - 6930b d e )x
+--R       + 
+--R               3 3 5         2   4 4           2 5 3        3 6 2  2
+--R         (6930a d e  - 20790a b d e  + 20790a b d e  - 6930b d e )x
+--R       + 
+--R               3 4 4         2   5 3           2 6 2        3 7          3 5 3
+--R         (3465a d e  - 10395a b d e  + 10395a b d e  - 3465b d e)x + 693a d e
+--R       + 
+--R                2   6 2          2 7        3 8
+--R         - 2079a b d e  + 2079a b d e - 693b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1085
+
+--S 1086 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    5          4  6 2        5 7   5
+--R           ((- 32A b  + 88B a b )d e  - 56B b d e)x
+--R         + 
+--R                         4        2 3  6 2            5           4  7
+--R                 (16A a b  - 44B a b )d e  + (- 176A b  + 512B a b )d e
+--R               + 
+--R                         5 8
+--R                 - 308B b d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       2 3         3 2  6 2           4          2 3  7
+--R               (- 12A a b  - 660B a b )d e  + (88A a b  + 1816B a b )d e
+--R             + 
+--R                        5           4  8
+--R               (- 396A b  - 836B a b )d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        3 2         4   6 2           2 3          3 2  7
+--R               (- 452A a b  - 836B a b)d e  + (1320A a b  + 1816B a b )d e
+--R             + 
+--R                           4         2 3  8
+--R               (- 1188A a b  - 660B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        4          5  6 2           3 2         4   7
+--R               (- 644A a b - 308B a )d e  + (1672A a b  + 512B a b)d e
+--R             + 
+--R                         2 3        3 2  8
+--R               (- 1188A a b  - 44B a b )d
+--R          *
+--R             x
+--R         + 
+--R                   5 6 2          4         5  7             3 2        4   8
+--R           - 252A a d e  + (616A a b - 56B a )d e + (- 396A a b  + 88B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                 5          6  8
+--R           (63A a d + 252A a )e
+--R         + 
+--R                     4         5  2            5         6    7
+--R           ((- 154A a b + 14B a )d  + (- 616A a b + 56B a )d)e
+--R         + 
+--R                  3 2        4   3          4 2        5   2  6
+--R           ((99A a b  - 22B a b)d  + (396A a b  - 88B a b)d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 2          6   7
+--R           (378A a d  + 1512A a d)e
+--R         + 
+--R                     4         5  3             5          6  2  6
+--R           ((- 924A a b + 84B a )d  + (- 3696A a b + 336B a )d )e
+--R         + 
+--R                   3 2         4   4           4 2         5   3  5
+--R           ((594A a b  - 132B a b)d  + (2376A a b  - 528B a b)d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  5 3          6 2  6
+--R           (945A a d  + 3780A a d )e
+--R         + 
+--R                      4          5  4             5          6  3  5
+--R           ((- 2310A a b + 210B a )d  + (- 9240A a b + 840B a )d )e
+--R         + 
+--R                    3 2         4   5           4 2          5   4  4
+--R           ((1485A a b  - 330B a b)d  + (5940A a b  - 1320B a b)d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 4          6 3  5
+--R           (1260A a d  + 5040A a d )e
+--R         + 
+--R                      4          5  5              5           6  4  4
+--R           ((- 3080A a b + 280B a )d  + (- 12320A a b + 1120B a )d )e
+--R         + 
+--R                    3 2         4   6           4 2          5   5  3
+--R           ((1980A a b  - 440B a b)d  + (7920A a b  - 1760B a b)d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  5 5          6 4  4
+--R           (945A a d  + 3780A a d )e
+--R         + 
+--R                      4          5  6             5          6  5  3
+--R           ((- 2310A a b + 210B a )d  + (- 9240A a b + 840B a )d )e
+--R         + 
+--R                    3 2         4   7           4 2          5   6  2
+--R           ((1485A a b  - 330B a b)d  + (5940A a b  - 1320B a b)d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  5 6          6 5  3
+--R           (378A a d  + 1512A a d )e
+--R         + 
+--R                     4         5  7             5          6  6  2
+--R           ((- 924A a b + 84B a )d  + (- 3696A a b + 336B a )d )e
+--R         + 
+--R                   3 2         4   8           4 2         5   7
+--R           ((594A a b  - 132B a b)d  + (2376A a b  - 528B a b)d )e
+--R      *
+--R         x
+--R     + 
+--R             5 7         6 6  2
+--R       (63A a d  + 252A a d )e
+--R     + 
+--R                 4         5  8            5         6  7
+--R       ((- 154A a b + 14B a )d  + (- 616A a b + 56B a )d )e
+--R     + 
+--R             3 2        4   9          4 2        5   8
+--R       (99A a b  - 22B a b)d  + (396A a b  - 88B a b)d
+--R  /
+--R             3 6 9        2   7 8          2 8 7        3 9 6  6
+--R       (1386a d e  - 4158a b d e  + 4158a b d e  - 1386b d e )x
+--R     + 
+--R             3 7 8         2   8 7           2 9 6        3 10 5  5
+--R       (8316a d e  - 24948a b d e  + 24948a b d e  - 8316b d  e )x
+--R     + 
+--R              3 8 7         2   9 6           2 10 5         3 11 4  4
+--R       (20790a d e  - 62370a b d e  + 62370a b d  e  - 20790b d  e )x
+--R     + 
+--R              3 9 6         2   10 5           2 11 4         3 12 3  3
+--R       (27720a d e  - 83160a b d  e  + 83160a b d  e  - 27720b d  e )x
+--R     + 
+--R              3 10 5         2   11 4           2 12 3         3 13 2  2
+--R       (20790a d  e  - 62370a b d  e  + 62370a b d  e  - 20790b d  e )x
+--R     + 
+--R             3 11 4         2   12 3           2 13 2        3 14
+--R       (8316a d  e  - 24948a b d  e  + 24948a b d  e  - 8316b d  e)x
+--R     + 
+--R            3 12 3        2   13 2          2 14         3 15
+--R       1386a d  e  - 4158a b d  e  + 4158a b d  e - 1386b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1086
+
+--S 1087 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             5          6  2
+--R       (63A a d + 252A a )e
+--R     + 
+--R                 4         5  2            5         6
+--R       ((- 154A a b + 14B a )d  + (- 616A a b + 56B a )d)e
+--R     + 
+--R             3 2        4   3          4 2        5   2
+--R       (99A a b  - 22B a b)d  + (396A a b  - 88B a b)d
+--R  /
+--R          3 6 3        2   7 2          2 8         3 9
+--R     1386a d e  - 4158a b d e  + 4158a b d e - 1386b d
+--R                                                    Type: Expression(Integer)
+--E 1087
+
+--S 1088 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1088
+
+)clear all
+
+--S 1089 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(15/2)
+--R 
+--R
+--R   (1)
+--R         2 3       2           2                2        2  +-------+
+--R     (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R  /
+--R            7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6
+--R           e x  + 7d e x  + 21d e x  + 35d e x  + 35d e x  + 21d e x  + 7d e x
+--R         + 
+--R            7
+--R           d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1089
+
+--S 1090 of 1293
+r0:=-2/13*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(13/2))+_
+     2/143*(7*b*B*d+6*A*b*e-13*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(11/2))+8/1287*b*(7*b*B*d+6*A*b*e-13*a*B*e)*(a+b*x)^(7/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(9/2))+16/9009*b^2*_
+     (7*b*B*d+6*A*b*e-13*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^4*(d+e*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R                6           5  3         6   2  6
+--R         ((96A b  - 208B a b )e  + 112B b d e )x
+--R       + 
+--R                         5         2 4  3          6            5    2
+--R               (- 48A a b  + 104B a b )e  + (624A b  - 1408B a b )d e
+--R             + 
+--R                     6 2
+--R               728B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   2 4        3 3  3              5         2 4    2
+--R             (36A a b  - 78B a b )e  + (- 312A a b  + 718B a b )d e
+--R           + 
+--R                     6            5  2           6 3
+--R             (1716A b  - 4082B a b )d e + 2002B b d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     3 3          4 2  3          2 4           3 3    2
+--R             (- 30A a b  - 2938B a b )e  + (234A a b  + 11470B a b )d e
+--R           + 
+--R                        5           2 4  2            6            5  3
+--R             (- 858A a b  - 15886B a b )d e + (2574A b  + 5434B a b )d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                       4 2          5   3           3 3           4 2    2
+--R             (- 2226A a b  - 4186B a b)e  + (8814A a b  + 14342B a b )d e
+--R           + 
+--R                        2 4           3 3  2              5          2 4  3
+--R             (- 12870A a b  - 15886B a b )d e + (7722A a b  + 4290B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                       5           6  3            4 2          5     2
+--R             (- 3402A a b - 1638B a )e  + (12558A a b  + 4858B a b)d e
+--R           + 
+--R                        3 3          4 2  2            2 4         3 3  3
+--R             (- 16302A a b  - 4082B a b )d e + (7722A a b  + 286B a b )d
+--R        *
+--R           x
+--R       + 
+--R                  6 3           5          6    2             4 2         5   2
+--R         - 1386A a e  + (4914A a b - 252B a )d e  + (- 6006A a b  + 728B a b)d e
+--R       + 
+--R                 3 3         4 2  3
+--R         (2574A a b  - 572B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                  4 10         3     9         2 2 2 8           3 3 7
+--R             9009a e   - 36036a b d e  + 54054a b d e  - 36036a b d e
+--R           + 
+--R                  4 4 6
+--R             9009b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                   4   9          3   2 8          2 2 3 7            3 4 6
+--R             54054a d e  - 216216a b d e  + 324324a b d e  - 216216a b d e
+--R           + 
+--R                   4 5 5
+--R             54054b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    4 2 8          3   3 7          2 2 4 6            3 5 5
+--R             135135a d e  - 540540a b d e  + 810810a b d e  - 540540a b d e
+--R           + 
+--R                    4 6 4
+--R             135135b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    4 3 7          3   4 6           2 2 5 5            3 6 4
+--R             180180a d e  - 720720a b d e  + 1081080a b d e  - 720720a b d e
+--R           + 
+--R                    4 7 3
+--R             180180b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    4 4 6          3   5 5          2 2 6 4            3 7 3
+--R             135135a d e  - 540540a b d e  + 810810a b d e  - 540540a b d e
+--R           + 
+--R                    4 8 2
+--R             135135b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   4 5 5          3   6 4          2 2 7 3            3 8 2
+--R             54054a d e  - 216216a b d e  + 324324a b d e  - 216216a b d e
+--R           + 
+--R                   4 9
+--R             54054b d e
+--R        *
+--R           x
+--R       + 
+--R              4 6 4         3   7 3         2 2 8 2           3 9         4 10
+--R         9009a d e  - 36036a b d e  + 54054a b d e  - 36036a b d e + 9009b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1090
+
+--S 1091 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   6           5  7 3         6 8 2  6
+--R           ((192A b  - 416B a b )d e  + 224B b d e )x
+--R         + 
+--R                         5         2 4  7 3           6            5  8 2
+--R               (- 96A a b  + 208B a b )d e  + (1248A b  - 2816B a b )d e
+--R             + 
+--R                      6 9
+--R               1456B b d e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     2 4         3 3  7 3              5          2 4  8 2
+--R               (72A a b  - 156B a b )d e  + (- 624A a b  + 1436B a b )d e
+--R             + 
+--R                       6            5  9           6 10
+--R               (3432A b  - 8164B a b )d e + 4004B b d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       3 3          4 2  7 3          2 4           3 3  8 2
+--R               (- 60A a b  - 5876B a b )d e  + (468A a b  + 22940B a b )d e
+--R             + 
+--R                           5           2 4  9            6             5  10
+--R               (- 1716A a b  - 31772B a b )d e + (5148A b  + 10868B a b )d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                         4 2          5   7 3            3 3           4 2  8 2
+--R               (- 4452A a b  - 8372B a b)d e  + (17628A a b  + 28684B a b )d e
+--R             + 
+--R                          2 4           3 3  9               5          2 4  10
+--R               (- 25740A a b  - 31772B a b )d e + (15444A a b  + 8580B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                         5           6  7 3            4 2          5   8 2
+--R               (- 6804A a b - 3276B a )d e  + (25116A a b  + 9716B a b)d e
+--R             + 
+--R                          3 3          4 2  9             2 4         3 3  10
+--R               (- 32604A a b  - 8164B a b )d e + (15444A a b  + 572B a b )d
+--R          *
+--R             x
+--R         + 
+--R                    6 7 3           5          6  8 2
+--R           - 2772A a d e  + (9828A a b - 504B a )d e
+--R         + 
+--R                      4 2          5   9            3 3          4 2  10
+--R           (- 12012A a b  + 1456B a b)d e + (5148A a b  - 1144B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                    6           7  10
+--R           (- 693A a d - 2772A a )e
+--R         + 
+--R                    5          6  2           6          7    9
+--R           ((2457A a b - 126B a )d  + (9828A a b - 504B a )d)e
+--R         + 
+--R                      4 2         5   3              5 2          6   2  8
+--R           ((- 3003A a b  + 364B a b)d  + (- 12012A a b  + 1456B a b)d )e
+--R         + 
+--R                    3 3         4 2  4           4 3          5 2  3  7
+--R           ((1287A a b  - 286B a b )d  + (5148A a b  - 1144B a b )d )e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                     6 2           7   9
+--R           (- 4851A a d  - 19404A a d)e
+--R         + 
+--R                     5          6  3            6           7  2  8
+--R           ((17199A a b - 882B a )d  + (68796A a b - 3528B a )d )e
+--R         + 
+--R                       4 2          5   4              5 2           6   3  7
+--R           ((- 21021A a b  + 2548B a b)d  + (- 84084A a b  + 10192B a b)d )e
+--R         + 
+--R                    3 3          4 2  5            4 3          5 2  4  6
+--R           ((9009A a b  - 2002B a b )d  + (36036A a b  - 8008B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                      6 3           7 2  8
+--R           (- 14553A a d  - 58212A a d )e
+--R         + 
+--R                     5           6  4             6            7  3  7
+--R           ((51597A a b - 2646B a )d  + (206388A a b - 10584B a )d )e
+--R         + 
+--R                       4 2          5   5               5 2           6   4  6
+--R           ((- 63063A a b  + 7644B a b)d  + (- 252252A a b  + 30576B a b)d )e
+--R         + 
+--R                     3 3          4 2  6             4 3           5 2  5  5
+--R           ((27027A a b  - 6006B a b )d  + (108108A a b  - 24024B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                      6 4           7 3  7
+--R           (- 24255A a d  - 97020A a d )e
+--R         + 
+--R                     5           6  5             6            7  4  6
+--R           ((85995A a b - 4410B a )d  + (343980A a b - 17640B a )d )e
+--R         + 
+--R                        4 2           5   6               5 2           6   5  5
+--R           ((- 105105A a b  + 12740B a b)d  + (- 420420A a b  + 50960B a b)d )e
+--R         + 
+--R                     3 3           4 2  7             4 3           5 2  6  4
+--R           ((45045A a b  - 10010B a b )d  + (180180A a b  - 40040B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                      6 5           7 4  6
+--R           (- 24255A a d  - 97020A a d )e
+--R         + 
+--R                     5           6  6             6            7  5  5
+--R           ((85995A a b - 4410B a )d  + (343980A a b - 17640B a )d )e
+--R         + 
+--R                        4 2           5   7               5 2           6   6  4
+--R           ((- 105105A a b  + 12740B a b)d  + (- 420420A a b  + 50960B a b)d )e
+--R         + 
+--R                     3 3           4 2  8             4 3           5 2  7  3
+--R           ((45045A a b  - 10010B a b )d  + (180180A a b  - 40040B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                      6 6           7 5  5
+--R           (- 14553A a d  - 58212A a d )e
+--R         + 
+--R                     5           6  7             6            7  6  4
+--R           ((51597A a b - 2646B a )d  + (206388A a b - 10584B a )d )e
+--R         + 
+--R                       4 2          5   8               5 2           6   7  3
+--R           ((- 63063A a b  + 7644B a b)d  + (- 252252A a b  + 30576B a b)d )e
+--R         + 
+--R                     3 3          4 2  9             4 3           5 2  8  2
+--R           ((27027A a b  - 6006B a b )d  + (108108A a b  - 24024B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                     6 7           7 6  4
+--R           (- 4851A a d  - 19404A a d )e
+--R         + 
+--R                     5          6  8            6           7  7  3
+--R           ((17199A a b - 882B a )d  + (68796A a b - 3528B a )d )e
+--R         + 
+--R                       4 2          5   9              5 2           6   8  2
+--R           ((- 21021A a b  + 2548B a b)d  + (- 84084A a b  + 10192B a b)d )e
+--R         + 
+--R                    3 3          4 2  10            4 3          5 2  9
+--R           ((9009A a b  - 2002B a b )d   + (36036A a b  - 8008B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R                6 8          7 7  3
+--R       (- 693A a d  - 2772A a d )e
+--R     + 
+--R                5          6  9           6          7  8  2
+--R       ((2457A a b - 126B a )d  + (9828A a b - 504B a )d )e
+--R     + 
+--R                  4 2         5   10              5 2          6   9
+--R       ((- 3003A a b  + 364B a b)d   + (- 12012A a b  + 1456B a b)d )e
+--R     + 
+--R               3 3         4 2  11           4 3          5 2  10
+--R       (1287A a b  - 286B a b )d   + (5148A a b  - 1144B a b )d
+--R  /
+--R                 4 7 11         3   8 10          2 2 9 9           3 10 8
+--R           18018a d e   - 72072a b d e   + 108108a b d e  - 72072a b d  e
+--R         + 
+--R                 4 11 7
+--R           18018b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                  4 8 10          3   9 9          2 2 10 8            3 11 7
+--R           126126a d e   - 504504a b d e  + 756756a b d  e  - 504504a b d  e
+--R         + 
+--R                  4 12 6
+--R           126126b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  4 9 9           3   10 8           2 2 11 7             3 12 6
+--R           378378a d e  - 1513512a b d  e  + 2270268a b d  e  - 1513512a b d  e
+--R         + 
+--R                  4 13 5
+--R           378378b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  4 10 8           3   11 7           2 2 12 6
+--R           630630a d  e  - 2522520a b d  e  + 3783780a b d  e
+--R         + 
+--R                       3 13 5          4 14 4
+--R           - 2522520a b d  e  + 630630b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  4 11 7           3   12 6           2 2 13 5
+--R           630630a d  e  - 2522520a b d  e  + 3783780a b d  e
+--R         + 
+--R                       3 14 4          4 15 3
+--R           - 2522520a b d  e  + 630630b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  4 12 6           3   13 5           2 2 14 4
+--R           378378a d  e  - 1513512a b d  e  + 2270268a b d  e
+--R         + 
+--R                       3 15 3          4 16 2
+--R           - 1513512a b d  e  + 378378b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  4 13 5          3   14 4          2 2 15 3            3 16 2
+--R           126126a d  e  - 504504a b d  e  + 756756a b d  e  - 504504a b d  e
+--R         + 
+--R                  4 17
+--R           126126b d  e
+--R      *
+--R         x
+--R     + 
+--R             4 14 4         3   15 3          2 2 16 2           3 17
+--R       18018a d  e  - 72072a b d  e  + 108108a b d  e  - 72072a b d  e
+--R     + 
+--R             4 18
+--R       18018b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1091
+
+--S 1092 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                6           7  3
+--R       (- 693A a d - 2772A a )e
+--R     + 
+--R                5          6  2           6          7    2
+--R       ((2457A a b - 126B a )d  + (9828A a b - 504B a )d)e
+--R     + 
+--R                  4 2         5   3              5 2          6   2
+--R       ((- 3003A a b  + 364B a b)d  + (- 12012A a b  + 1456B a b)d )e
+--R     + 
+--R               3 3         4 2  4           4 3          5 2  3
+--R       (1287A a b  - 286B a b )d  + (5148A a b  - 1144B a b )d
+--R  /
+--R           4 7 4         3   8 3          2 2 9 2           3 10          4 11
+--R     18018a d e  - 72072a b d e  + 108108a b d e  - 72072a b d  e + 18018b d
+--R                                                    Type: Expression(Integer)
+--E 1092
+
+--S 1093 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1093
+
+)clear all
+
+--S 1094 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(17/2)
+--R 
+--R
+--R   (1)
+--R         2 3       2           2                2        2  +-------+
+--R     (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R  /
+--R          8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R         e x  + 8d e x  + 28d e x  + 56d e x  + 70d e x  + 56d e x  + 28d e x
+--R       + 
+--R           7       8
+--R         8d e x + d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1094
+
+--S 1095 of 1293
+r0:=-2/15*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(15/2))+_
+     2/195*(7*b*B*d+8*A*b*e-15*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(13/2))+4/715*b*(7*b*B*d+8*A*b*e-15*a*B*e)*(a+b*x)^(7/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(11/2))+16/6435*b^2*_
+     (7*b*B*d+8*A*b*e-15*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^4*_
+     (d+e*x)^(9/2))+32/45045*b^3*(7*b*B*d+8*A*b*e-15*a*B*e)*_
+     (a+b*x)^(7/2)/(e*(b*d-a*e)^5*(d+e*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R                   7           6  4         7   3  7
+--R         ((- 256A b  + 480B a b )e  - 224B b d e )x
+--R       + 
+--R                      6         2 5  4             7            6    3
+--R             (128A a b  - 240B a b )e  + (- 1920A b  + 3712B a b )d e
+--R           + 
+--R                      7 2 2
+--R             - 1680B b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                     2 5         3 4  4            6          2 5    3
+--R             (- 96A a b  + 180B a b )e  + (960A a b  - 1884B a b )d e
+--R           + 
+--R                       7             6  2 2          7 3
+--R             (- 6240A b  + 12540B a b )d e  - 5460B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   3 4         4 3  4            2 5          3 4    3
+--R             (80A a b  - 150B a b )e  + (- 720A a b  + 1420B a b )d e
+--R           + 
+--R                       6          2 5  2 2              7             6  3
+--R             (3120A a b  - 6480B a b )d e  + (- 11440A b  + 24180B a b )d e
+--R           + 
+--R                       7 4
+--R             - 10010B b d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     4 3           5 2  4          3 4           4 3    3
+--R             (- 70A a b  - 11130B a b )e  + (600A a b  + 55120B a b )d e
+--R           + 
+--R                       2 5            3 4  2 2             6           2 5  3
+--R             (- 2340A a b  - 107700B a b )d e  + (5720A a b  + 99840B a b )d e
+--R           + 
+--R                        7             6  4
+--R             (- 12870A b  - 27170B a b )d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                       5 2           6   4            4 3           5 2    3
+--R             (- 8946A a b  - 17010B a b)e  + (44520A a b  + 77616B a b )d e
+--R           + 
+--R                        3 4            4 3  2 2            2 5           3 4  3
+--R             (- 88140A a b  - 133620B a b )d e  + (85800A a b  + 99840B a b )d e
+--R           + 
+--R                          6           2 5  4
+--R             (- 38610A a b  - 21450B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                        6           7  4            5 2           6     3
+--R             (- 14322A a b - 6930B a )e  + (68040A a b  + 28812B a b)d e
+--R           + 
+--R                         4 3           5 2  2 2
+--R             (- 125580A a b  - 42840B a b )d e
+--R           + 
+--R                       3 4           4 3  3               2 5          3 4  4
+--R             (108680A a b  + 24180B a b )d e + (- 38610A a b  - 1430B a b )d
+--R        *
+--R           x
+--R       + 
+--R                  7 4            6          7    3
+--R         - 6006A a e  + (27720A a b - 924B a )d e
+--R       + 
+--R                    5 2          6   2 2            4 3          5 2  3
+--R         (- 49140A a b  + 3780B a b)d e  + (40040A a b  - 5460B a b )d e
+--R       + 
+--R                    3 4          4 3  4
+--R         (- 12870A a b  + 2860B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                   5 12          4     11          3 2 2 10          2 3 3 9
+--R             45045a e   - 225225a b d e   + 450450a b d e   - 450450a b d e
+--R           + 
+--R                      4 4 8         5 5 7
+--R             225225a b d e  - 45045b d e
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                    5   11           4   2 10           3 2 3 9
+--R             315315a d e   - 1576575a b d e   + 3153150a b d e
+--R           + 
+--R                       2 3 4 8             4 5 7          5 6 6
+--R             - 3153150a b d e  + 1576575a b d e  - 315315b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    5 2 10           4   3 9           3 2 4 8           2 3 5 7
+--R             945945a d e   - 4729725a b d e  + 9459450a b d e  - 9459450a b d e
+--R           + 
+--R                       4 6 6          5 7 5
+--R             4729725a b d e  - 945945b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                     5 3 9           4   4 8            3 2 5 7
+--R             1576575a d e  - 7882875a b d e  + 15765750a b d e
+--R           + 
+--R                        2 3 6 6             4 7 5           5 8 4
+--R             - 15765750a b d e  + 7882875a b d e  - 1576575b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                     5 4 8           4   5 7            3 2 6 6
+--R             1576575a d e  - 7882875a b d e  + 15765750a b d e
+--R           + 
+--R                        2 3 7 5             4 8 4           5 9 3
+--R             - 15765750a b d e  + 7882875a b d e  - 1576575b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    5 5 7           4   6 6           3 2 7 5           2 3 8 4
+--R             945945a d e  - 4729725a b d e  + 9459450a b d e  - 9459450a b d e
+--R           + 
+--R                       4 9 3          5 10 2
+--R             4729725a b d e  - 945945b d  e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    5 6 6           4   7 5           3 2 8 4           2 3 9 3
+--R             315315a d e  - 1576575a b d e  + 3153150a b d e  - 3153150a b d e
+--R           + 
+--R                       4 10 2          5 11
+--R             1576575a b d  e  - 315315b d  e
+--R        *
+--R           x
+--R       + 
+--R               5 7 5          4   8 4          3 2 9 3          2 3 10 2
+--R         45045a d e  - 225225a b d e  + 450450a b d e  - 450450a b d  e
+--R       + 
+--R                  4 11          5 12
+--R         225225a b d  e - 45045b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1095
+
+--S 1096 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     7           6  8 4         7 9 3  7
+--R           ((- 512A b  + 960B a b )d e  - 448B b d e )x
+--R         + 
+--R                        6         2 5  8 4             7            6  9 3
+--R               (256A a b  - 480B a b )d e  + (- 3840A b  + 7424B a b )d e
+--R             + 
+--R                        7 10 2
+--R               - 3360B b d  e
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                        2 5         3 4  8 4             6          2 5  9 3
+--R               (- 192A a b  + 360B a b )d e  + (1920A a b  - 3768B a b )d e
+--R             + 
+--R                          7             6  10 2           7 11
+--R               (- 12480A b  + 25080B a b )d  e  - 10920B b d  e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                      3 4         4 3  8 4             2 5          3 4  9 3
+--R               (160A a b  - 300B a b )d e  + (- 1440A a b  + 2840B a b )d e
+--R             + 
+--R                         6           2 5  10 2              7             6  11
+--R               (6240A a b  - 12960B a b )d  e  + (- 22880A b  + 48360B a b )d  e
+--R             + 
+--R                         7 12
+--R               - 20020B b d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                        4 3           5 2  8 4           3 4            4 3  9 3
+--R               (- 140A a b  - 22260B a b )d e  + (1200A a b  + 110240B a b )d e
+--R             + 
+--R                         2 5            3 4  10 2
+--R               (- 4680A a b  - 215400B a b )d  e
+--R             + 
+--R                        6            2 5  11               7             6  12
+--R             (11440A a b  + 199680B a b )d  e + (- 25740A b  - 54340B a b )d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                          5 2           6   8 4
+--R               (- 17892A a b  - 34020B a b)d e
+--R             + 
+--R                        4 3            5 2  9 3
+--R               (89040A a b  + 155232B a b )d e
+--R             + 
+--R                           3 4            4 3  10 2
+--R               (- 176280A a b  - 267240B a b )d  e
+--R             + 
+--R                         2 5            3 4  11
+--R               (171600A a b  + 199680B a b )d  e
+--R             + 
+--R                            6           2 5  12
+--R               (- 77220A a b  - 42900B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                          6            7  8 4             5 2           6   9 3
+--R               (- 28644A a b - 13860B a )d e  + (136080A a b  + 57624B a b)d e
+--R             + 
+--R                           4 3           5 2  10 2
+--R               (- 251160A a b  - 85680B a b )d  e
+--R             + 
+--R                       3 4           4 3  11               2 5          3 4  12
+--R             (217360A a b  + 48360B a b )d  e + (- 77220A a b  - 2860B a b )d
+--R          *
+--R             x
+--R         + 
+--R                     7 8 4            6           7  9 3
+--R           - 12012A a d e  + (55440A a b - 1848B a )d e
+--R         + 
+--R                      5 2          6   10 2            4 3           5 2  11
+--R           (- 98280A a b  + 7560B a b)d  e  + (80080A a b  - 10920B a b )d  e
+--R         + 
+--R                      3 4          4 3  12
+--R           (- 25740A a b  + 5720B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   7            8  12
+--R           (3003A a d + 12012A a )e
+--R         + 
+--R                       6          7  2              7           8    11
+--R           ((- 13860A a b + 462B a )d  + (- 55440A a b + 1848B a )d)e
+--R         + 
+--R                     5 2          6   3            6 2          7   2  10
+--R           ((24570A a b  - 1890B a b)d  + (98280A a b  - 7560B a b)d )e
+--R         + 
+--R                       4 3          5 2  4              5 3           6 2  3  9
+--R           ((- 20020A a b  + 2730B a b )d  + (- 80080A a b  + 10920B a b )d )e
+--R         + 
+--R                    3 4          4 3  5            4 4          5 3  4  8
+--R           ((6435A a b  - 1430B a b )d  + (25740A a b  - 5720B a b )d )e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                    7 2           8   11
+--R           (24024A a d  + 96096A a d)e
+--R         + 
+--R                        6           7  3               7            8  2  10
+--R           ((- 110880A a b + 3696B a )d  + (- 443520A a b + 14784B a )d )e
+--R         + 
+--R                      5 2           6   4             6 2           7   3  9
+--R           ((196560A a b  - 15120B a b)d  + (786240A a b  - 60480B a b)d )e
+--R         + 
+--R                             4 3           5 2  5
+--R                 (- 160160A a b  + 21840B a b )d
+--R               + 
+--R                             5 3           6 2  4
+--R                 (- 640640A a b  + 87360B a b )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                     3 4           4 3  6             4 4           5 3  5  7
+--R           ((51480A a b  - 11440B a b )d  + (205920A a b  - 45760B a b )d )e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                    7 3            8 2  10
+--R           (84084A a d  + 336336A a d )e
+--R         + 
+--R                        6            7  4                7            8  3  9
+--R           ((- 388080A a b + 12936B a )d  + (- 1552320A a b + 51744B a )d )e
+--R         + 
+--R                      5 2           6   5              6 2            7   4  8
+--R           ((687960A a b  - 52920B a b)d  + (2751840A a b  - 211680B a b)d )e
+--R         + 
+--R                           4 3           5 2  6
+--R               (- 560560A a b  + 76440B a b )d
+--R             + 
+--R                            5 3            6 2  5
+--R               (- 2242240A a b  + 305760B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                      3 4           4 3  7             4 4            5 3  6  6
+--R           ((180180A a b  - 40040B a b )d  + (720720A a b  - 160160B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                     7 4            8 3  9
+--R           (168168A a d  + 672672A a d )e
+--R         + 
+--R                        6            7  5                7             8  4  8
+--R           ((- 776160A a b + 25872B a )d  + (- 3104640A a b + 103488B a )d )e
+--R         + 
+--R                       5 2            6   6              6 2            7   5  7
+--R           ((1375920A a b  - 105840B a b)d  + (5503680A a b  - 423360B a b)d )e
+--R         + 
+--R                            4 3            5 2  7
+--R               (- 1121120A a b  + 152880B a b )d
+--R             + 
+--R                            5 3            6 2  6
+--R               (- 4484480A a b  + 611520B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                    3 4           4 3  8              4 4            5 3  7  5
+--R         ((360360A a b  - 80080B a b )d  + (1441440A a b  - 320320B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                     7 5            8 4  8
+--R           (210210A a d  + 840840A a d )e
+--R         + 
+--R                        6            7  6                7             8  5  7
+--R           ((- 970200A a b + 32340B a )d  + (- 3880800A a b + 129360B a )d )e
+--R         + 
+--R                       5 2            6   7              6 2            7   6  6
+--R           ((1719900A a b  - 132300B a b)d  + (6879600A a b  - 529200B a b)d )e
+--R         + 
+--R                            4 3            5 2  8
+--R               (- 1401400A a b  + 191100B a b )d
+--R             + 
+--R                            5 3            6 2  7
+--R               (- 5605600A a b  + 764400B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                    3 4            4 3  9              4 4            5 3  8  4
+--R         ((450450A a b  - 100100B a b )d  + (1801800A a b  - 400400B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                     7 6            8 5  7
+--R           (168168A a d  + 672672A a d )e
+--R         + 
+--R                        6            7  7                7             8  6  6
+--R           ((- 776160A a b + 25872B a )d  + (- 3104640A a b + 103488B a )d )e
+--R         + 
+--R                       5 2            6   8              6 2            7   7  5
+--R           ((1375920A a b  - 105840B a b)d  + (5503680A a b  - 423360B a b)d )e
+--R         + 
+--R                            4 3            5 2  9
+--R               (- 1121120A a b  + 152880B a b )d
+--R             + 
+--R                            5 3            6 2  8
+--R               (- 4484480A a b  + 611520B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                    3 4           4 3  10              4 4            5 3  9  3
+--R         ((360360A a b  - 80080B a b )d   + (1441440A a b  - 320320B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    7 7            8 6  6
+--R           (84084A a d  + 336336A a d )e
+--R         + 
+--R                        6            7  8                7            8  7  5
+--R           ((- 388080A a b + 12936B a )d  + (- 1552320A a b + 51744B a )d )e
+--R         + 
+--R                      5 2           6   9              6 2            7   8  4
+--R           ((687960A a b  - 52920B a b)d  + (2751840A a b  - 211680B a b)d )e
+--R         + 
+--R                           4 3           5 2  10
+--R               (- 560560A a b  + 76440B a b )d
+--R             + 
+--R                            5 3            6 2  9
+--R               (- 2242240A a b  + 305760B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                    3 4           4 3  11             4 4            5 3  10  2
+--R         ((180180A a b  - 40040B a b )d   + (720720A a b  - 160160B a b )d  )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    7 8           8 7  5
+--R           (24024A a d  + 96096A a d )e
+--R         + 
+--R                        6           7  9               7            8  8  4
+--R           ((- 110880A a b + 3696B a )d  + (- 443520A a b + 14784B a )d )e
+--R         + 
+--R                      5 2           6   10             6 2           7   9  3
+--R           ((196560A a b  - 15120B a b)d   + (786240A a b  - 60480B a b)d )e
+--R         + 
+--R                           4 3           5 2  11
+--R               (- 160160A a b  + 21840B a b )d
+--R             + 
+--R                           5 3           6 2  10
+--R               (- 640640A a b  + 87360B a b )d
+--R          *
+--R              2
+--R             e
+--R         + 
+--R                     3 4           4 3  12             4 4           5 3  11
+--R           ((51480A a b  - 11440B a b )d   + (205920A a b  - 45760B a b )d  )e
+--R      *
+--R         x
+--R     + 
+--R               7 9           8 8  4
+--R       (3003A a d  + 12012A a d )e
+--R     + 
+--R                   6          7  10              7           8  9  3
+--R       ((- 13860A a b + 462B a )d   + (- 55440A a b + 1848B a )d )e
+--R     + 
+--R                 5 2          6   11            6 2          7   10  2
+--R       ((24570A a b  - 1890B a b)d   + (98280A a b  - 7560B a b)d  )e
+--R     + 
+--R                   4 3          5 2  12              5 3           6 2  11
+--R       ((- 20020A a b  + 2730B a b )d   + (- 80080A a b  + 10920B a b )d  )e
+--R     + 
+--R               3 4          4 3  13            4 4          5 3  12
+--R       (6435A a b  - 1430B a b )d   + (25740A a b  - 5720B a b )d
+--R  /
+--R                 5 8 13          4   9 12          3 2 10 11          2 3 11 10
+--R           90090a d e   - 450450a b d e   + 900900a b d  e   - 900900a b d  e
+--R         + 
+--R                    4 12 9         5 13 8
+--R           450450a b d  e  - 90090b d  e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                  5 9 12           4   10 11           3 2 11 10
+--R           720720a d e   - 3603600a b d  e   + 7207200a b d  e
+--R         + 
+--R                     2 3 12 9             4 13 8          5 14 7
+--R           - 7207200a b d  e  + 3603600a b d  e  - 720720b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                   5 10 11            4   11 10            3 2 12 9
+--R           2522520a d  e   - 12612600a b d  e   + 25225200a b d  e
+--R         + 
+--R                      2 3 13 8              4 14 7           5 15 6
+--R           - 25225200a b d  e  + 12612600a b d  e  - 2522520b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 11 10            4   12 9            3 2 13 8
+--R           5045040a d  e   - 25225200a b d  e  + 50450400a b d  e
+--R         + 
+--R                      2 3 14 7              4 15 6           5 16 5
+--R           - 50450400a b d  e  + 25225200a b d  e  - 5045040b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   5 12 9            4   13 8            3 2 14 7
+--R           6306300a d  e  - 31531500a b d  e  + 63063000a b d  e
+--R         + 
+--R                      2 3 15 6              4 16 5           5 17 4
+--R           - 63063000a b d  e  + 31531500a b d  e  - 6306300b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 13 8            4   14 7            3 2 15 6
+--R           5045040a d  e  - 25225200a b d  e  + 50450400a b d  e
+--R         + 
+--R                      2 3 16 5              4 17 4           5 18 3
+--R           - 50450400a b d  e  + 25225200a b d  e  - 5045040b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   5 14 7            4   15 6            3 2 16 5
+--R           2522520a d  e  - 12612600a b d  e  + 25225200a b d  e
+--R         + 
+--R                      2 3 17 4              4 18 3           5 19 2
+--R           - 25225200a b d  e  + 12612600a b d  e  - 2522520b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  5 15 6           4   16 5           3 2 17 4
+--R           720720a d  e  - 3603600a b d  e  + 7207200a b d  e
+--R         + 
+--R                     2 3 18 3             4 19 2          5 20
+--R           - 7207200a b d  e  + 3603600a b d  e  - 720720b d  e
+--R      *
+--R         x
+--R     + 
+--R             5 16 5          4   17 4          3 2 18 3          2 3 19 2
+--R       90090a d  e  - 450450a b d  e  + 900900a b d  e  - 900900a b d  e
+--R     + 
+--R                4 20          5 21
+--R       450450a b d  e - 90090b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1096
+
+--S 1097 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               7            8  4
+--R       (3003A a d + 12012A a )e
+--R     + 
+--R                   6          7  2              7           8    3
+--R       ((- 13860A a b + 462B a )d  + (- 55440A a b + 1848B a )d)e
+--R     + 
+--R                 5 2          6   3            6 2          7   2  2
+--R       ((24570A a b  - 1890B a b)d  + (98280A a b  - 7560B a b)d )e
+--R     + 
+--R                   4 3          5 2  4              5 3           6 2  3
+--R       ((- 20020A a b  + 2730B a b )d  + (- 80080A a b  + 10920B a b )d )e
+--R     + 
+--R               3 4          4 3  5            4 4          5 3  4
+--R       (6435A a b  - 1430B a b )d  + (25740A a b  - 5720B a b )d
+--R  /
+--R             5 8 5          4   9 4          3 2 10 3          2 3 11 2
+--R       90090a d e  - 450450a b d e  + 900900a b d  e  - 900900a b d  e
+--R     + 
+--R                4 12          5 13
+--R       450450a b d  e - 90090b d
+--R                                                    Type: Expression(Integer)
+--E 1097
+
+--S 1098 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1098
+
+)clear all
+
+--S 1099 of 1293
+t0:=(a+b*x)^(5/2)*(A+B*x)/(d+e*x)^(19/2)
+--R 
+--R
+--R   (1)
+--R         2 3       2           2                2        2  +-------+
+--R     (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )\|b x + a
+--R  /
+--R          9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R         e x  + 9d e x  + 36d e x  + 84d e x  + 126d e x  + 126d e x  + 84d e x
+--R       + 
+--R            7 2 2     8       9
+--R         36d e x  + 9d e x + d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1099
+
+--S 1100 of 1293
+r0:=-2/17*(B*d-A*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)*(d+e*x)^(17/2))+_
+     2/255*(7*b*B*d+10*A*b*e-17*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^2*_
+     (d+e*x)^(15/2))+16/3315*b*(7*b*B*d+10*A*b*e-17*a*B*e)*(a+b*x)^(7/2)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(13/2))+32/12155*b^2*_
+     (7*b*B*d+10*A*b*e-17*a*B*e)*(a+b*x)^(7/2)/(e*(b*d-a*e)^4*_
+     (d+e*x)^(11/2))+128/109395*b^3*(7*b*B*d+10*A*b*e-17*a*B*e)*_
+     (a+b*x)^(7/2)/(e*(b*d-a*e)^5*(d+e*x)^(9/2))+_
+     256/765765*b^4*(7*b*B*d+10*A*b*e-17*a*B*e)*(a+b*x)^(7/2)/_
+     (e*(b*d-a*e)^6*(d+e*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R                  8            7  5          8   4  8
+--R         ((2560A b  - 4352B a b )e  + 1792B b d e )x
+--R       + 
+--R                         7          2 6  5            8             7    4
+--R             (- 1280A a b  + 2176B a b )e  + (21760A b  - 37888B a b )d e
+--R           + 
+--R                     8 2 3
+--R             15232B b d e
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                    2 6          3 5  5                7           2 6    4
+--R             (960A a b  - 1632B a b )e  + (- 10880A a b  + 19168B a b )d e
+--R           + 
+--R                      8              7  2 3           8 3 2
+--R             (81600A b  - 146336B a b )d e  + 57120B b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                      3 5          4 4  5           2 6           3 5    4
+--R             (- 800A a b  + 1360B a b )e  + (8160A a b  - 14432B a b )d e
+--R           + 
+--R                          7           2 6  2 3             8              7  3 2
+--R             (- 40800A a b  + 75072B a b )d e  + (176800A b  - 329120B a b )d e
+--R           + 
+--R                      8 4
+--R             123760B b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    4 4          5 3  5             3 5           4 4    4
+--R             (700A a b  - 1190B a b )e  + (- 6800A a b  + 12050B a b )d e
+--R           + 
+--R                      2 6           3 5  2 3
+--R             (30600A a b  - 56780B a b )d e
+--R           + 
+--R                          7            2 6  3 2             8              7  4
+--R             (- 88400A a b  + 171700B a b )d e  + (243100A b  - 475150B a b )d e
+--R           + 
+--R                      8 5
+--R             170170B b d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                      5 3            6 2  5           4 4            5 3    4
+--R             (- 630A a b  - 152082B a b )e  + (5950A a b  + 908362B a b )d e
+--R           + 
+--R                        3 5             4 4  2 3
+--R             (- 25500A a b  - 2249780B a b )d e
+--R           + 
+--R                      2 6             3 5  3 2
+--R             (66300A a b  + 2932500B a b )d e
+--R           + 
+--R                         7             2 6  4              8              7  5
+--R           (- 121550A a b  - 2044250B a b )d e + (218790A b  + 461890B a b )d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                         6 2            7   5
+--R             (- 127050A a b  - 243474B a b)e
+--R           + 
+--R                       5 3             6 2    4
+--R             (760410A a b  + 1375122B a b )d e
+--R           + 
+--R                          4 4             5 3  2 3
+--R             (- 1892100A a b  - 3143028B a b )d e
+--R           + 
+--R                        3 5             4 4  3 2
+--R             (2497300A a b  + 3619300B a b )d e
+--R           + 
+--R                          2 6             3 5  4
+--R             (- 1823250A a b  - 2044250B a b )d e
+--R           + 
+--R                         7            2 6  5
+--R             (656370A a b  + 364650B a b )d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                         7             8  5              6 2            7     4
+--R             (- 210210A a b - 102102B a )e  + (1217370A a b  + 540078B a b)d e
+--R           + 
+--R                          5 3             6 2  2 3
+--R             (- 2891700A a b  - 1123836B a b )d e
+--R           + 
+--R                        4 4             5 3  3 2
+--R             (3558100A a b  + 1116220B a b )d e
+--R           + 
+--R                        3 5            4 4  4              2 6           3 5  5
+--R           (- 2309450A a b  - 475150B a b )d e + (656370A a b  + 24310B a b )d
+--R        *
+--R           x
+--R       + 
+--R                   8 5             7            8    4
+--R         - 90090A a e  + (510510A a b - 12012B a )d e
+--R       + 
+--R                      6 2           7   2 3              5 3            6 2  3 2
+--R         (- 1178100A a b  + 62832B a b)d e  + (1392300A a b  - 128520B a b )d e
+--R       + 
+--R                     4 4            5 3  4              3 5           4 4  5
+--R         (- 850850A a b  + 123760B a b )d e + (218790A a b  - 48620B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                    6 14           5     13            4 2 2 12
+--R             765765a e   - 4594590a b d e   + 11486475a b d e
+--R           + 
+--R                        3 3 3 11            2 4 4 10             5 5 9
+--R             - 15315300a b d e   + 11486475a b d e   - 4594590a b d e
+--R           + 
+--R                    6 6 8
+--R             765765b d e
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                     6   13            5   2 12            4 2 3 11
+--R             6126120a d e   - 36756720a b d e   + 91891800a b d e
+--R           + 
+--R                         3 3 4 10            2 4 5 9              5 6 8
+--R             - 122522400a b d e   + 91891800a b d e  - 36756720a b d e
+--R           + 
+--R                     6 7 7
+--R             6126120b d e
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                      6 2 12             5   3 11             4 2 4 10
+--R             21441420a d e   - 128648520a b d e   + 321621300a b d e
+--R           + 
+--R                         3 3 5 9             2 4 6 8               5 7 7
+--R             - 428828400a b d e  + 321621300a b d e  - 128648520a b d e
+--R           + 
+--R                      6 8 6
+--R             21441420b d e
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                      6 3 11             5   4 10             4 2 5 9
+--R             42882840a d e   - 257297040a b d e   + 643242600a b d e
+--R           + 
+--R                         3 3 6 8             2 4 7 7               5 8 6
+--R             - 857656800a b d e  + 643242600a b d e  - 257297040a b d e
+--R           + 
+--R                      6 9 5
+--R             42882840b d e
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                      6 4 10             5   5 9             4 2 6 8
+--R             53603550a d e   - 321621300a b d e  + 804053250a b d e
+--R           + 
+--R                          3 3 7 7             2 4 8 6               5 9 5
+--R             - 1072071000a b d e  + 804053250a b d e  - 321621300a b d e
+--R           + 
+--R                      6 10 4
+--R             53603550b d  e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                      6 5 9             5   6 8             4 2 7 7
+--R             42882840a d e  - 257297040a b d e  + 643242600a b d e
+--R           + 
+--R                         3 3 8 6             2 4 9 5               5 10 4
+--R             - 857656800a b d e  + 643242600a b d e  - 257297040a b d  e
+--R           + 
+--R                      6 11 3
+--R             42882840b d  e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                      6 6 8             5   7 7             4 2 8 6
+--R             21441420a d e  - 128648520a b d e  + 321621300a b d e
+--R           + 
+--R                         3 3 9 5             2 4 10 4               5 11 3
+--R             - 428828400a b d e  + 321621300a b d  e  - 128648520a b d  e
+--R           + 
+--R                      6 12 2
+--R             21441420b d  e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                     6 7 7            5   8 6            4 2 9 5
+--R             6126120a d e  - 36756720a b d e  + 91891800a b d e
+--R           + 
+--R                         3 3 10 4            2 4 11 3              5 12 2
+--R             - 122522400a b d  e  + 91891800a b d  e  - 36756720a b d  e
+--R           + 
+--R                     6 13
+--R             6126120b d  e
+--R        *
+--R           x
+--R       + 
+--R                6 8 6           5   9 5            4 2 10 4            3 3 11 3
+--R         765765a d e  - 4594590a b d e  + 11486475a b d  e  - 15315300a b d  e
+--R       + 
+--R                  2 4 12 2             5 13           6 14
+--R         11486475a b d  e  - 4594590a b d  e + 765765b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1100
+
+--S 1101 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    8             7  9 5          8 10 4  8
+--R           ((7680A b  - 13056B a b )d e  + 5376B b d  e )x
+--R         + 
+--R                           7          2 6  9 5            8              7  10 4
+--R               (- 3840A a b  + 6528B a b )d e  + (65280A b  - 113664B a b )d  e
+--R             + 
+--R                       8 11 3
+--R               45696B b d  e
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                       2 6          3 5  9 5
+--R               (2880A a b  - 4896B a b )d e
+--R             + 
+--R                            7           2 6  10 4
+--R               (- 32640A a b  + 57504B a b )d  e
+--R             + 
+--R                         8              7  11 3            8 12 2
+--R               (244800A b  - 439008B a b )d  e  + 171360B b d  e
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                         3 5          4 4  9 5
+--R               (- 2400A a b  + 4080B a b )d e
+--R             + 
+--R                        2 6           3 5  10 4
+--R               (24480A a b  - 43296B a b )d  e
+--R             + 
+--R                             7            2 6  11 3
+--R               (- 122400A a b  + 225216B a b )d  e
+--R             + 
+--R                         8              7  12 2            8 13
+--R               (530400A b  - 987360B a b )d  e  + 371280B b d  e
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                       4 4          5 3  9 5
+--R               (2100A a b  - 3570B a b )d e
+--R             + 
+--R                          3 5           4 4  10 4
+--R               (- 20400A a b  + 36150B a b )d  e
+--R             + 
+--R                        2 6            3 5  11 3
+--R               (91800A a b  - 170340B a b )d  e
+--R             + 
+--R                             7            2 6  12 2
+--R               (- 265200A a b  + 515100B a b )d  e
+--R             + 
+--R                         8               7  13             8 14
+--R               (729300A b  - 1425450B a b )d  e + 510510B b d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                         5 3            6 2  9 5
+--R               (- 1890A a b  - 456246B a b )d e
+--R             + 
+--R                        4 4             5 3  10 4
+--R               (17850A a b  + 2725086B a b )d  e
+--R             + 
+--R                          3 5             4 4  11 3
+--R               (- 76500A a b  - 6749340B a b )d  e
+--R             + 
+--R                         2 6             3 5  12 2
+--R               (198900A a b  + 8797500B a b )d  e
+--R             + 
+--R                             7             2 6  13
+--R               (- 364650A a b  - 6132750B a b )d  e
+--R             + 
+--R                         8               7  14
+--R               (656370A b  + 1385670B a b )d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                           6 2            7   9 5
+--R               (- 381150A a b  - 730422B a b)d e
+--R             + 
+--R                          5 3             6 2  10 4
+--R               (2281230A a b  + 4125366B a b )d  e
+--R             + 
+--R                            4 4             5 3  11 3
+--R               (- 5676300A a b  - 9429084B a b )d  e
+--R             + 
+--R                          3 5              4 4  12 2
+--R               (7491900A a b  + 10857900B a b )d  e
+--R             + 
+--R                            2 6             3 5  13
+--R               (- 5469750A a b  - 6132750B a b )d  e
+--R             + 
+--R                            7             2 6  14
+--R               (1969110A a b  + 1093950B a b )d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                           7             8  9 5
+--R               (- 630630A a b - 306306B a )d e
+--R             + 
+--R                          6 2             7   10 4
+--R               (3652110A a b  + 1620234B a b)d  e
+--R             + 
+--R                            5 3             6 2  11 3
+--R               (- 8675100A a b  - 3371508B a b )d  e
+--R             + 
+--R                           4 4             5 3  12 2
+--R               (10674300A a b  + 3348660B a b )d  e
+--R             + 
+--R                            3 5             4 4  13
+--R               (- 6928350A a b  - 1425450B a b )d  e
+--R             + 
+--R                          2 6           3 5  14
+--R               (1969110A a b  + 72930B a b )d
+--R          *
+--R             x
+--R         + 
+--R                      8 9 5              7            8  10 4
+--R           - 270270A a d e  + (1531530A a b - 36036B a )d  e
+--R         + 
+--R                        6 2            7   11 3
+--R           (- 3534300A a b  + 188496B a b)d  e
+--R         + 
+--R                      5 3            6 2  12 2
+--R           (4176900A a b  - 385560B a b )d  e
+--R         + 
+--R                      4 4            5 3  13              3 5            4 4  14
+--R         (- 2552550A a b  + 371280B a b )d  e + (656370A a b  - 145860B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                    8             9  14
+--R           (45045A a d + 405405A a )e
+--R         + 
+--R                        7           8  2                8            9    13
+--R           ((- 255255A a b + 6006B a )d  + (- 2297295A a b + 54054B a )d)e
+--R         + 
+--R                      6 2           7   3              7 2            8   2  12
+--R           ((589050A a b  - 31416B a b)d  + (5301450A a b  - 282744B a b)d )e
+--R         + 
+--R                           5 3           6 2  4
+--R               (- 696150A a b  + 64260B a b )d
+--R             + 
+--R                            6 3            7 2  3
+--R               (- 6265350A a b  + 578340B a b )d
+--R          *
+--R              11
+--R             e
+--R         + 
+--R                        4 4           5 3  5              5 4            6 3  4
+--R             ((425425A a b  - 61880B a b )d  + (3828825A a b  - 556920B a b )d )
+--R          *
+--R              10
+--R             e
+--R         + 
+--R                           3 5           4 4  6
+--R               (- 109395A a b  + 24310B a b )d
+--R             + 
+--R                           4 5            5 4  5
+--R               (- 984555A a b  + 218790B a b )d
+--R          *
+--R              9
+--R             e
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                     8 2             9   13
+--R           (405405A a d  + 3648645A a d)e
+--R         + 
+--R                           7            8  3                 8             9  2
+--R             ((- 2297295A a b + 54054B a )d  + (- 20675655A a b + 486486B a )d )
+--R          *
+--R              12
+--R             e
+--R         + 
+--R                            6 2            7   4
+--R                 (5301450A a b  - 282744B a b)d
+--R               + 
+--R                             7 2             8   3
+--R                 (47713050A a b  - 2544696B a b)d
+--R          *
+--R              11
+--R             e
+--R         + 
+--R                            5 3            6 2  5
+--R               (- 6265350A a b  + 578340B a b )d
+--R             + 
+--R                             6 3             7 2  4
+--R               (- 56388150A a b  + 5205060B a b )d
+--R          *
+--R              10
+--R             e
+--R         + 
+--R                          4 4            5 3  6
+--R               (3828825A a b  - 556920B a b )d
+--R             + 
+--R                           5 4             6 3  5
+--R               (34459425A a b  - 5012280B a b )d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                           3 5            4 4  7
+--R               (- 984555A a b  + 218790B a b )d
+--R             + 
+--R                            4 5             5 4  6
+--R               (- 8860995A a b  + 1969110B a b )d
+--R          *
+--R              8
+--R             e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                      8 3              9 2  12
+--R           (1621620A a d  + 14594580A a d )e
+--R         + 
+--R                              7             8  4
+--R                 (- 9189180A a b + 216216B a )d
+--R               + 
+--R                               8              9  3
+--R                 (- 82702620A a b + 1945944B a )d
+--R          *
+--R              11
+--R             e
+--R         + 
+--R                           6 2             7   5
+--R               (21205800A a b  - 1130976B a b)d
+--R             + 
+--R                            7 2              8   4
+--R               (190852200A a b  - 10178784B a b)d
+--R          *
+--R              10
+--R             e
+--R         + 
+--R                             5 3             6 2  6
+--R               (- 25061400A a b  + 2313360B a b )d
+--R             + 
+--R                              6 3              7 2  5
+--R               (- 225552600A a b  + 20820240B a b )d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                           4 4             5 3  7
+--R               (15315300A a b  - 2227680B a b )d
+--R             + 
+--R                            5 4              6 3  6
+--R               (137837700A a b  - 20049120B a b )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                            3 5            4 4  8
+--R               (- 3938220A a b  + 875160B a b )d
+--R             + 
+--R                             4 5             5 4  7
+--R               (- 35443980A a b  + 7876440B a b )d
+--R          *
+--R              7
+--R             e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                      8 4              9 3  11
+--R           (3783780A a d  + 34054020A a d )e
+--R         + 
+--R                             7             8  5
+--R               (- 21441420A a b + 504504B a )d
+--R             + 
+--R                              8              9  4
+--R               (- 192972780A a b + 4540536B a )d
+--R          *
+--R              10
+--R             e
+--R         + 
+--R                           6 2             7   6
+--R               (49480200A a b  - 2638944B a b)d
+--R             + 
+--R                            7 2              8   5
+--R               (445321800A a b  - 23750496B a b)d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                             5 3             6 2  7
+--R               (- 58476600A a b  + 5397840B a b )d
+--R             + 
+--R                              6 3              7 2  6
+--R               (- 526289400A a b  + 48580560B a b )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                           4 4             5 3  8
+--R               (35735700A a b  - 5197920B a b )d
+--R             + 
+--R                            5 4              6 3  7
+--R               (321621300A a b  - 46781280B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                            3 5             4 4  9
+--R               (- 9189180A a b  + 2042040B a b )d
+--R             + 
+--R                             4 5              5 4  8
+--R               (- 82702620A a b  + 18378360B a b )d
+--R          *
+--R              6
+--R             e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                      8 5              9 4  10
+--R           (5675670A a d  + 51081030A a d )e
+--R         + 
+--R                             7             8  6
+--R               (- 32162130A a b + 756756B a )d
+--R             + 
+--R                              8              9  5
+--R               (- 289459170A a b + 6810804B a )d
+--R          *
+--R              9
+--R             e
+--R         + 
+--R                           6 2             7   7
+--R               (74220300A a b  - 3958416B a b)d
+--R             + 
+--R                            7 2              8   6
+--R               (667982700A a b  - 35625744B a b)d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                             5 3             6 2  8
+--R               (- 87714900A a b  + 8096760B a b )d
+--R             + 
+--R                              6 3              7 2  7
+--R               (- 789434100A a b  + 72870840B a b )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                           4 4             5 3  9
+--R               (53603550A a b  - 7796880B a b )d
+--R             + 
+--R                            5 4              6 3  8
+--R               (482431950A a b  - 70171920B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                             3 5             4 4  10
+--R               (- 13783770A a b  + 3063060B a b )d
+--R             + 
+--R                              4 5              5 4  9
+--R               (- 124053930A a b  + 27567540B a b )d
+--R          *
+--R              5
+--R             e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                      8 6              9 5  9
+--R           (5675670A a d  + 51081030A a d )e
+--R         + 
+--R                             7             8  7
+--R               (- 32162130A a b + 756756B a )d
+--R             + 
+--R                              8              9  6
+--R               (- 289459170A a b + 6810804B a )d
+--R          *
+--R              8
+--R             e
+--R         + 
+--R                           6 2             7   8
+--R               (74220300A a b  - 3958416B a b)d
+--R             + 
+--R                            7 2              8   7
+--R               (667982700A a b  - 35625744B a b)d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                             5 3             6 2  9
+--R               (- 87714900A a b  + 8096760B a b )d
+--R             + 
+--R                              6 3              7 2  8
+--R               (- 789434100A a b  + 72870840B a b )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                           4 4             5 3  10
+--R               (53603550A a b  - 7796880B a b )d
+--R             + 
+--R                            5 4              6 3  9
+--R               (482431950A a b  - 70171920B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                             3 5             4 4  11
+--R               (- 13783770A a b  + 3063060B a b )d
+--R             + 
+--R                              4 5              5 4  10
+--R               (- 124053930A a b  + 27567540B a b )d
+--R          *
+--R              4
+--R             e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                      8 7              9 6  8
+--R           (3783780A a d  + 34054020A a d )e
+--R         + 
+--R                             7             8  8
+--R               (- 21441420A a b + 504504B a )d
+--R             + 
+--R                              8              9  7
+--R               (- 192972780A a b + 4540536B a )d
+--R          *
+--R              7
+--R             e
+--R         + 
+--R                           6 2             7   9
+--R               (49480200A a b  - 2638944B a b)d
+--R             + 
+--R                            7 2              8   8
+--R               (445321800A a b  - 23750496B a b)d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                             5 3             6 2  10
+--R               (- 58476600A a b  + 5397840B a b )d
+--R             + 
+--R                              6 3              7 2  9
+--R               (- 526289400A a b  + 48580560B a b )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                           4 4             5 3  11
+--R               (35735700A a b  - 5197920B a b )d
+--R             + 
+--R                            5 4              6 3  10
+--R               (321621300A a b  - 46781280B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                            3 5             4 4  12
+--R               (- 9189180A a b  + 2042040B a b )d
+--R             + 
+--R                             4 5              5 4  11
+--R               (- 82702620A a b  + 18378360B a b )d
+--R          *
+--R              3
+--R             e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                      8 8              9 7  7
+--R           (1621620A a d  + 14594580A a d )e
+--R         + 
+--R                              7             8  9
+--R                 (- 9189180A a b + 216216B a )d
+--R               + 
+--R                               8              9  8
+--R                 (- 82702620A a b + 1945944B a )d
+--R          *
+--R              6
+--R             e
+--R         + 
+--R                           6 2             7   10
+--R               (21205800A a b  - 1130976B a b)d
+--R             + 
+--R                            7 2              8   9
+--R               (190852200A a b  - 10178784B a b)d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                             5 3             6 2  11
+--R               (- 25061400A a b  + 2313360B a b )d
+--R             + 
+--R                              6 3              7 2  10
+--R               (- 225552600A a b  + 20820240B a b )d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                           4 4             5 3  12
+--R               (15315300A a b  - 2227680B a b )d
+--R             + 
+--R                            5 4              6 3  11
+--R               (137837700A a b  - 20049120B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                            3 5            4 4  13
+--R               (- 3938220A a b  + 875160B a b )d
+--R             + 
+--R                             4 5             5 4  12
+--R               (- 35443980A a b  + 7876440B a b )d
+--R          *
+--R              2
+--R             e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                     8 9             9 8  6
+--R           (405405A a d  + 3648645A a d )e
+--R         + 
+--R                              7            8  10
+--R                 (- 2297295A a b + 54054B a )d
+--R               + 
+--R                               8             9  9
+--R                 (- 20675655A a b + 486486B a )d
+--R          *
+--R              5
+--R             e
+--R         + 
+--R                          6 2            7   11
+--R               (5301450A a b  - 282744B a b)d
+--R             + 
+--R                           7 2             8   10
+--R               (47713050A a b  - 2544696B a b)d
+--R          *
+--R              4
+--R             e
+--R         + 
+--R                            5 3            6 2  12
+--R               (- 6265350A a b  + 578340B a b )d
+--R             + 
+--R                             6 3             7 2  11
+--R               (- 56388150A a b  + 5205060B a b )d
+--R          *
+--R              3
+--R             e
+--R         + 
+--R                          4 4            5 3  13
+--R               (3828825A a b  - 556920B a b )d
+--R             + 
+--R                           5 4             6 3  12
+--R               (34459425A a b  - 5012280B a b )d
+--R          *
+--R              2
+--R             e
+--R         + 
+--R                           3 5            4 4  14
+--R               (- 984555A a b  + 218790B a b )d
+--R             + 
+--R                            4 5             5 4  13
+--R               (- 8860995A a b  + 1969110B a b )d
+--R          *
+--R             e
+--R      *
+--R         x
+--R     + 
+--R                8 10            9 9  5
+--R       (45045A a d   + 405405A a d )e
+--R     + 
+--R                    7           8  11                8            9  10  4
+--R       ((- 255255A a b + 6006B a )d   + (- 2297295A a b + 54054B a )d  )e
+--R     + 
+--R                  6 2           7   12              7 2            8   11  3
+--R       ((589050A a b  - 31416B a b)d   + (5301450A a b  - 282744B a b)d  )e
+--R     + 
+--R                         5 3           6 2  13
+--R             (- 696150A a b  + 64260B a b )d
+--R           + 
+--R                          6 3            7 2  12
+--R             (- 6265350A a b  + 578340B a b )d
+--R      *
+--R          2
+--R         e
+--R     + 
+--R                  4 4           5 3  14              5 4            6 3  13
+--R       ((425425A a b  - 61880B a b )d   + (3828825A a b  - 556920B a b )d  )e
+--R     + 
+--R                   3 5           4 4  15               4 5            5 4  14
+--R       (- 109395A a b  + 24310B a b )d   + (- 984555A a b  + 218790B a b )d
+--R  /
+--R                   6 9 15            5   10 14            4 2 11 13
+--R           2297295a d e   - 13783770a b d  e   + 34459425a b d  e
+--R         + 
+--R                      3 3 12 12            2 4 13 11              5 14 10
+--R           - 45945900a b d  e   + 34459425a b d  e   - 13783770a b d  e
+--R         + 
+--R                   6 15 9
+--R           2297295b d  e
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                    6 10 14             5   11 13             4 2 12 12
+--R           20675655a d  e   - 124053930a b d  e   + 310134825a b d  e
+--R         + 
+--R                       3 3 13 11             2 4 14 10               5 15 9
+--R           - 413513100a b d  e   + 310134825a b d  e   - 124053930a b d  e
+--R         + 
+--R                    6 16 8
+--R           20675655b d  e
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                    6 11 13             5   12 12              4 2 13 11
+--R           82702620a d  e   - 496215720a b d  e   + 1240539300a b d  e
+--R         + 
+--R                        3 3 14 10              2 4 15 9               5 16 8
+--R           - 1654052400a b d  e   + 1240539300a b d  e  - 496215720a b d  e
+--R         + 
+--R                    6 17 7
+--R           82702620b d  e
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                     6 12 12              5   13 11              4 2 14 10
+--R           192972780a d  e   - 1157836680a b d  e   + 2894591700a b d  e
+--R         + 
+--R                        3 3 15 9              2 4 16 8                5 17 7
+--R           - 3859455600a b d  e  + 2894591700a b d  e  - 1157836680a b d  e
+--R         + 
+--R                     6 18 6
+--R           192972780b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                     6 13 11              5   14 10              4 2 15 9
+--R           289459170a d  e   - 1736755020a b d  e   + 4341887550a b d  e
+--R         + 
+--R                        3 3 16 8              2 4 17 7                5 18 6
+--R           - 5789183400a b d  e  + 4341887550a b d  e  - 1736755020a b d  e
+--R         + 
+--R                     6 19 5
+--R           289459170b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                     6 14 10              5   15 9              4 2 16 8
+--R           289459170a d  e   - 1736755020a b d  e  + 4341887550a b d  e
+--R         + 
+--R                        3 3 17 7              2 4 18 6                5 19 5
+--R           - 5789183400a b d  e  + 4341887550a b d  e  - 1736755020a b d  e
+--R         + 
+--R                     6 20 4
+--R           289459170b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                     6 15 9              5   16 8              4 2 17 7
+--R           192972780a d  e  - 1157836680a b d  e  + 2894591700a b d  e
+--R         + 
+--R                        3 3 18 6              2 4 19 5                5 20 4
+--R           - 3859455600a b d  e  + 2894591700a b d  e  - 1157836680a b d  e
+--R         + 
+--R                     6 21 3
+--R           192972780b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    6 16 8             5   17 7              4 2 18 6
+--R           82702620a d  e  - 496215720a b d  e  + 1240539300a b d  e
+--R         + 
+--R                        3 3 19 5              2 4 20 4               5 21 3
+--R           - 1654052400a b d  e  + 1240539300a b d  e  - 496215720a b d  e
+--R         + 
+--R                    6 22 2
+--R           82702620b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    6 17 7             5   18 6             4 2 19 5
+--R           20675655a d  e  - 124053930a b d  e  + 310134825a b d  e
+--R         + 
+--R                       3 3 20 4             2 4 21 3               5 22 2
+--R           - 413513100a b d  e  + 310134825a b d  e  - 124053930a b d  e
+--R         + 
+--R                    6 23
+--R           20675655b d  e
+--R      *
+--R         x
+--R     + 
+--R               6 18 6            5   19 5            4 2 20 4
+--R       2297295a d  e  - 13783770a b d  e  + 34459425a b d  e
+--R     + 
+--R                3 3 21 3            2 4 22 2              5 23            6 24
+--R     - 45945900a b d  e  + 34459425a b d  e  - 13783770a b d  e + 2297295b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1101
+
+--S 1102 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                8             9  5
+--R       (45045A a d + 405405A a )e
+--R     + 
+--R                    7           8  2                8            9    4
+--R       ((- 255255A a b + 6006B a )d  + (- 2297295A a b + 54054B a )d)e
+--R     + 
+--R                  6 2           7   3              7 2            8   2  3
+--R       ((589050A a b  - 31416B a b)d  + (5301450A a b  - 282744B a b)d )e
+--R     + 
+--R                    5 3           6 2  4                6 3            7 2  3  2
+--R       ((- 696150A a b  + 64260B a b )d  + (- 6265350A a b  + 578340B a b )d )e
+--R     + 
+--R                  4 4           5 3  5              5 4            6 3  4
+--R       ((425425A a b  - 61880B a b )d  + (3828825A a b  - 556920B a b )d )e
+--R     + 
+--R                   3 5           4 4  6               4 5            5 4  5
+--R       (- 109395A a b  + 24310B a b )d  + (- 984555A a b  + 218790B a b )d
+--R  /
+--R               6 9 6            5   10 5            4 2 11 4            3 3 12 3
+--R       2297295a d e  - 13783770a b d  e  + 34459425a b d  e  - 45945900a b d  e
+--R     + 
+--R                2 4 13 2              5 14            6 15
+--R       34459425a b d  e  - 13783770a b d  e + 2297295b d
+--R                                                    Type: Expression(Integer)
+--E 1102
+
+--S 1103 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1103
+
+)clear all
+
+--S 1104 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                                    +-------+
+--R                                   \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1104
+
+--S 1105 of 1293
+r0:=-5/64*(b*d-a*e)^3*(b*B*d-8*A*b*e+7*a*B*e)*_
+     atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(9/2)*e^(3/2))-_
+     5/96*(b*d-a*e)*(b*B*d-8*A*b*e+7*a*B*e)*(d+e*x)^(3/2)*_
+     sqrt(a+b*x)/(b^3*e)-1/24*(b*B*d-8*A*b*e+7*a*B*e)*(d+e*x)^(5/2)*_
+     sqrt(a+b*x)/(b^2*e)+1/4*B*(d+e*x)^(7/2)*sqrt(a+b*x)/(b*e)-_
+     5/64*(b*d-a*e)^2*(b*B*d-8*A*b*e+7*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/(b^4*e)
+--R 
+--R
+--R   (2)
+--R                    3          4  4          2 2         3     3
+--R           (- 120A a b + 105B a )e  + (360A a b  - 300B a b)d e
+--R         + 
+--R                      3         2 2  2 2          4          3  3         4 4
+--R           (- 360A a b  + 270B a b )d e  + (120A b  - 60B a b )d e - 15B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                3 3 3          3          2  3         3   2  2
+--R           48B b e x  + ((64A b  - 56B a b )e  + 136B b d e )x
+--R         + 
+--R                      2        2   3          3           2    2         3 2
+--R           ((- 80A a b  + 70B a b)e  + (208A b  - 172B a b )d e  + 118B b d e)x
+--R         + 
+--R                  2          3  3              2         2     2
+--R           (120A a b - 105B a )e  + (- 320A a b  + 265B a b)d e
+--R         + 
+--R                  3           2  2         3 3
+--R           (264A b  - 191B a b )d e + 15B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R         4  +-+ +-+
+--R     192b e\|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1105
+
+--S 1106 of 1293
+--a0:=integrate(t0,x)
+--E 1106
+
+--S 1107 of 1293
+--m0:=a0-r0
+--E 1107
+
+--S 1108 of 1293
+--d0:=D(m0,x)
+--E 1108
+
+)clear all
+
+--S 1109 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R                        +-------+
+--R                       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1109
+
+--S 1110 of 1293
+r0:=-1/8*(b*d-a*e)^2*(b*B*d-6*A*b*e+5*a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(7/2)*e^(3/2))-_
+     1/12*(b*B*d-6*A*b*e+5*a*B*e)*(d+e*x)^(3/2)*sqrt(a+b*x)/(b^2*e)+_
+     1/3*B*(d+e*x)^(5/2)*sqrt(a+b*x)/(b*e)-1/8*(b*d-a*e)*_
+     (b*B*d-6*A*b*e+5*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/(b^3*e)
+--R 
+--R
+--R   (2)
+--R                 2         3  3             2        2     2
+--R           (18A a b - 15B a )e  + (- 36A a b  + 27B a b)d e
+--R         + 
+--R                 3         2  2        3 3
+--R           (18A b  - 9B a b )d e - 3B b d
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R               2 2 2          2            2        2
+--R           8B b e x  + ((12A b  - 10B a b)e  + 14B b d e)x
+--R         + 
+--R                             2  2         2                     2 2
+--R           (- 18A a b + 15B a )e  + (30A b  - 22B a b)d e + 3B b d
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|e \|b x + a \|e x + d
+--R  /
+--R        3  +-+ +-+
+--R     24b e\|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1110
+
+--S 1111 of 1293
+--a0:=integrate(t0,x)
+--E 1111
+
+--S 1112 of 1293
+--m0:=a0-r0
+--E 1112
+
+--S 1113 of 1293
+--d0:=D(m0,x)
+--E 1113
+
+)clear all
+
+--S 1114 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/sqrt(a+b*x)
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|e x + d
+--R   (1)  -------------------
+--R              +-------+
+--R             \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1114
+
+--S 1115 of 1293
+r0:=-1/4*(b*d-a*e)*(b*B*d-4*A*b*e+3*a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(5/2)*e^(3/2))+_
+     1/2*B*(d+e*x)^(3/2)*sqrt(a+b*x)/(b*e)-1/4*(b*B*d-4*A*b*e+3*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b^2*e)
+--R 
+--R
+--R   (2)
+--R                          2  2        2                   2 2
+--R         ((- 4A a b + 3B a )e  + (4A b  - 2B a b)d e - B b d )
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R                                           +-+ +-+ +-------+ +-------+
+--R       (2B b e x + (4A b - 3B a)e + B b d)\|b \|e \|b x + a \|e x + d
+--R  /
+--R       2  +-+ +-+
+--R     4b e\|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1115
+
+--S 1116 of 1293
+--a0:=integrate(t0,x)
+--E 1116
+
+--S 1117 of 1293
+--m0:=a0-r0
+--E 1117
+
+--S 1118 of 1293
+--d0:=D(m0,x)
+--E 1118
+
+)clear all
+
+--S 1119 of 1293
+t0:=(A+B*x)/(sqrt(a+b*x)*sqrt(d+e*x))
+--R 
+--R
+--R               B x + A
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1119
+
+--S 1120 of 1293
+r0:=(2*A*b*e-B*(b*d+a*e))*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/_
+     (b^(3/2)*e^(3/2))+B*sqrt(a+b*x)*sqrt(d+e*x)/(b*e)
+--R 
+--R
+--R   (2)
+--R                                 +-+ +-------+
+--R                                \|e \|b x + a       +-+ +-+ +-------+ +-------+
+--R   ((2A b - B a)e - B b d)atanh(--------------) + B\|b \|e \|b x + a \|e x + d
+--R                                 +-+ +-------+
+--R                                \|b \|e x + d
+--R   ----------------------------------------------------------------------------
+--R                                        +-+ +-+
+--R                                    b e\|b \|e
+--R                                                    Type: Expression(Integer)
+--E 1120
+
+--S 1121 of 1293
+--a0:=integrate(t0,x)
+--E 1121
+
+--S 1122 of 1293
+--m0:=a0-r0
+--E 1122
+
+--S 1123 of 1293
+--d0:=D(m0,x)
+--E 1123
+
+)clear all
+
+--S 1124 of 1293
+t0:=(A+B*x)/((d+e*x)^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R                   B x + A
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (e x + d)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1124
+
+--S 1125 of 1293
+r0:=2*B*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(e^(3/2)*sqrt(b))-_
+     2*(B*d-A*e)*sqrt(a+b*x)/(e*(b*d-a*e)*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                         +-------+      \|e \|b x + a
+--R       (2B a e - 2B b d)\|e x + d atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|e x + d
+--R     + 
+--R                       +-+ +-+ +-------+
+--R       (- 2A e + 2B d)\|b \|e \|b x + a
+--R  /
+--R         2          +-+ +-+ +-------+
+--R     (a e  - b d e)\|b \|e \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1125
+
+--S 1126 of 1293
+--a0:=integrate(t0,x)
+--E 1126
+
+--S 1127 of 1293
+--m0:=a0-r0
+--E 1127
+
+--S 1128 of 1293
+--d0:=D(m0,x)
+--E 1128
+
+)clear all
+
+--S 1129 of 1293
+t0:=(A+B*x)/((d+e*x)^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                         B x + A
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (e x  + 2d e x + d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1129
+
+--S 1130 of 1293
+r0:=-2/3*(B*d-A*e)*sqrt(a+b*x)/(e*(b*d-a*e)*(d+e*x)^(3/2))+_
+     2/3*(b*B*d+2*A*b*e-3*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^2*sqrt(d+e*x))
+--R 
+--R
+--R                                                                  +-------+
+--R           (((4A b - 6B a)e + 2B b d)x - 2A a e + (6A b - 4B a)d)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a e  - 6a b d e  + 3b d e)x + 3a d e  - 6a b d e + 3b d )\|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1130
+
+--S 1131 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                         2          3           2                  3  +-------+
+--R         (((4A b - 6B a)d e + 2B b d )x - 2A a d e + (6A b - 4B a)d )\|b x + a
+--R      *
+--R          +-------+
+--R         \|e x + d
+--R     + 
+--R                    2  3                    2                   2    2  2
+--R       ((A a d + A a )e  + ((- 3A b + 2B a)d  + (- 3A a b + 2B a )d)e )x
+--R     + 
+--R               2       2   2                    3                   2  2
+--R       ((2A a d  + 2A a d)e  + ((- 6A b + 4B a)d  + (- 6A a b + 4B a )d )e)x
+--R     + 
+--R             3      2 2                     4                   2  3
+--R       (A a d  + A a d )e + (- 3A b + 2B a)d  + (- 3A a b + 2B a )d
+--R  /
+--R          2 2 4         3 3     2 4 2  2      2 3 3          4 2     2 5
+--R       (3a d e  - 6a b d e  + 3b d e )x  + (6a d e  - 12a b d e  + 6b d e)x
+--R     + 
+--R         2 4 2         5      2 6
+--R       3a d e  - 6a b d e + 3b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1131
+
+--S 1132 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                    2                     2                   2
+--R        (A a d + A a )e + (- 3A b + 2B a)d  + (- 3A a b + 2B a )d
+--R   (4)  ---------------------------------------------------------
+--R                          2 2 2         3      2 4
+--R                        3a d e  - 6a b d e + 3b d
+--R                                                    Type: Expression(Integer)
+--E 1132
+
+--S 1133 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1133
+
+)clear all
+
+--S 1134 of 1293
+t0:=(A+B*x)/((d+e*x)^(7/2)*sqrt(a+b*x))
+--R 
+--R
+--R                              B x + A
+--R   (1)  --------------------------------------------------
+--R          3 3       2 2     2       3  +-------+ +-------+
+--R        (e x  + 3d e x  + 3d e x + d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1134
+
+--S 1135 of 1293
+r0:=-2/5*(B*d-A*e)*sqrt(a+b*x)/(e*(b*d-a*e)*(d+e*x)^(5/2))+_
+     2/15*(b*B*d+4*A*b*e-5*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^2*(d+e*x)^(3/2))+_
+     4/15*b*(b*B*d+4*A*b*e-5*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                  2            2       2     2
+--R         ((- 16A b  + 20B a b)e  - 4B b d e)x
+--R       + 
+--R                         2  2           2                      2 2         2 2
+--R         ((8A a b - 10B a )e  + (- 40A b  + 52B a b)d e - 10B b d )x - 6A a e
+--R       + 
+--R                        2               2            2
+--R         (20A a b - 4B a )d e + (- 30A b  + 20B a b)d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             3 5      2     4        2 2 3      3 3 2  2
+--R         (15a e  - 45a b d e  + 45a b d e  - 15b d e )x
+--R       + 
+--R             3   4      2   2 3        2 3 2      3 4         3 2 3      2   3 2
+--R         (30a d e  - 90a b d e  + 90a b d e  - 30b d e)x + 15a d e  - 45a b d e
+--R       + 
+--R              2 4       3 5
+--R         45a b d e - 15b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1135
+
+--S 1136 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    2            3 2        2 4   2
+--R           ((- 64A b  + 80B a b)d e  - 16B b d e)x
+--R         + 
+--R                            2  3 2            2             4         2 5
+--R           ((32A a b - 40B a )d e  + (- 160A b  + 208B a b)d e - 40B b d )x
+--R         + 
+--R                  2 3 2                   2  4             2            5
+--R           - 24A a d e  + (80A a b - 16B a )d e + (- 120A b  + 80B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                2         3  5
+--R           (3A a d + 48A a )e
+--R         + 
+--R                             2  2            2         3    4
+--R           ((- 10A a b + 2B a )d  + (- 160A a b + 32B a )d)e
+--R         + 
+--R                  2            3            2         2   2  3
+--R           ((15A b  - 10B a b)d  + (240A a b  - 160B a b)d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                2 2         3   4
+--R           (9A a d  + 144A a d)e
+--R         + 
+--R                             2  3            2         3  2  3
+--R           ((- 30A a b + 6B a )d  + (- 480A a b + 96B a )d )e
+--R         + 
+--R                  2            4            2         2   3  2
+--R           ((45A b  - 30B a b)d  + (720A a b  - 480B a b)d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                2 3         3 2  3
+--R           (9A a d  + 144A a d )e
+--R         + 
+--R                             2  4            2         3  3  2
+--R           ((- 30A a b + 6B a )d  + (- 480A a b + 96B a )d )e
+--R         + 
+--R                  2            5            2         2   4
+--R           ((45A b  - 30B a b)d  + (720A a b  - 480B a b)d )e
+--R      *
+--R         x
+--R     + 
+--R            2 4        3 3  2
+--R       (3A a d  + 48A a d )e
+--R     + 
+--R                         2  5            2         3  4           2            6
+--R       ((- 10A a b + 2B a )d  + (- 160A a b + 32B a )d )e + (15A b  - 10B a b)d
+--R     + 
+--R                2         2   5
+--R       (240A a b  - 160B a b)d
+--R  /
+--R           3 3 6       2   4 5         2 5 4      3 6 3  3
+--R       (60a d e  - 180a b d e  + 180a b d e  - 60b d e )x
+--R     + 
+--R            3 4 5       2   5 4         2 6 3       3 7 2  2
+--R       (180a d e  - 540a b d e  + 540a b d e  - 180b d e )x
+--R     + 
+--R            3 5 4       2   6 3         2 7 2       3 8         3 6 3
+--R       (180a d e  - 540a b d e  + 540a b d e  - 180b d e)x + 60a d e
+--R     + 
+--R             2   7 2         2 8       3 9
+--R       - 180a b d e  + 180a b d e - 60b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1136
+
+--S 1137 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R            2         3  2                     2  2            2         3
+--R       (3A a d + 48A a )e  + ((- 10A a b + 2B a )d  + (- 160A a b + 32B a )d)e
+--R     + 
+--R             2            3            2         2   2
+--R       (15A b  - 10B a b)d  + (240A a b  - 160B a b)d
+--R  /
+--R        3 3 3       2   4 2         2 5       3 6
+--R     60a d e  - 180a b d e  + 180a b d e - 60b d
+--R                                                    Type: Expression(Integer)
+--E 1137
+
+--S 1138 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1138
+
+)clear all
+
+--S 1139 of 1293
+t0:=(A+B*x)/((d+e*x)^(9/2)*sqrt(a+b*x))
+--R 
+--R
+--R                                   B x + A
+--R   (1)  ------------------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+ +-------+
+--R        (e x  + 4d e x  + 6d e x  + 4d e x + d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1139
+
+--S 1140 of 1293
+r0:=-2/7*(B*d-A*e)*sqrt(a+b*x)/(e*(b*d-a*e)*(d+e*x)^(7/2))+_
+     2/35*(b*B*d+6*A*b*e-7*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^2*(d+e*x)^(5/2))+_
+     8/105*b*(b*B*d+6*A*b*e-7*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^3*_
+     (d+e*x)^(3/2))+16/105*b^2*(b*B*d+6*A*b*e-7*a*B*e)*_
+     sqrt(a+b*x)/(e*(b*d-a*e)^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                3           2  3        3   2  3
+--R         ((96A b  - 112B a b )e  + 16B b d e )x
+--R       + 
+--R                    2        2   3          3           2    2        3 2   2
+--R         ((- 48A a b  + 56B a b)e  + (336A b  - 400B a b )d e  + 56B b d e)x
+--R       + 
+--R                   2         3  3              2         2     2
+--R             (36A a b - 42B a )e  + (- 168A a b  + 202B a b)d e
+--R           + 
+--R                    3           2  2         3 3
+--R             (420A b  - 518B a b )d e + 70B b d
+--R        *
+--R           x
+--R       + 
+--R                3 3          2         3    2              2        2   2
+--R         - 30A a e  + (126A a b - 12B a )d e  + (- 210A a b  + 56B a b)d e
+--R       + 
+--R                3           2  3
+--R         (210A b  - 140B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              4 7       3     6       2 2 2 5         3 3 4       4 4 3  3
+--R         (105a e  - 420a b d e  + 630a b d e  - 420a b d e  + 105b d e )x
+--R       + 
+--R              4   6        3   2 5        2 2 3 4          3 4 3       4 5 2  2
+--R         (315a d e  - 1260a b d e  + 1890a b d e  - 1260a b d e  + 315b d e )x
+--R       + 
+--R              4 2 5        3   3 4        2 2 4 3          3 5 2       4 6
+--R         (315a d e  - 1260a b d e  + 1890a b d e  - 1260a b d e  + 315b d e)x
+--R       + 
+--R             4 3 4       3   4 3       2 2 5 2         3 6        4 7
+--R         105a d e  - 420a b d e  + 630a b d e  - 420a b d e + 105b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1140
+
+--S 1141 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  3           2  4 3        3 5 2  3
+--R           ((96A b  - 112B a b )d e  + 16B b d e )x
+--R         + 
+--R                           2        2   4 3          3           2  5 2
+--R                 (- 48A a b  + 56B a b)d e  + (336A b  - 400B a b )d e
+--R               + 
+--R                      3 6
+--R                 56B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     2         3  4 3              2         2   5 2
+--R               (36A a b - 42B a )d e  + (- 168A a b  + 202B a b)d e
+--R             + 
+--R                      3           2  6         3 7
+--R               (420A b  - 518B a b )d e + 70B b d
+--R          *
+--R             x
+--R         + 
+--R                  3 4 3          2         3  5 2              2        2   6
+--R           - 30A a d e  + (126A a b - 12B a )d e  + (- 210A a b  + 56B a b)d e
+--R         + 
+--R                  3           2  7
+--R           (210A b  - 140B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   3         4  7          2        3  2         3        4    6
+--R           (- 15A a d - 15A a )e  + ((63A a b - 6B a )d  + (63A a b - 6B a )d)e
+--R         + 
+--R                       2        2   3            2 2        3   2  5
+--R           ((- 105A a b  + 28B a b)d  + (- 105A a b  + 28B a b)d )e
+--R         + 
+--R                   3          2  4            3        2 2  3  4
+--R           ((105A b  - 70B a b )d  + (105A a b  - 70B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   3 2        4   6
+--R           (- 60A a d  - 60A a d)e
+--R         + 
+--R                   2         3  3          3         4  2  5
+--R           ((252A a b - 24B a )d  + (252A a b - 24B a )d )e
+--R         + 
+--R                       2         2   4            2 2         3   3  4
+--R           ((- 420A a b  + 112B a b)d  + (- 420A a b  + 112B a b)d )e
+--R         + 
+--R                   3           2  5            3         2 2  4  3
+--R           ((420A b  - 280B a b )d  + (420A a b  - 280B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   3 3        4 2  5
+--R           (- 90A a d  - 90A a d )e
+--R         + 
+--R                   2         3  4          3         4  3  4
+--R           ((378A a b - 36B a )d  + (378A a b - 36B a )d )e
+--R         + 
+--R                       2         2   5            2 2         3   4  3
+--R           ((- 630A a b  + 168B a b)d  + (- 630A a b  + 168B a b)d )e
+--R         + 
+--R                   3           2  6            3         2 2  5  2
+--R           ((630A b  - 420B a b )d  + (630A a b  - 420B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   3 4        4 3  4
+--R           (- 60A a d  - 60A a d )e
+--R         + 
+--R                   2         3  5          3         4  4  3
+--R           ((252A a b - 24B a )d  + (252A a b - 24B a )d )e
+--R         + 
+--R                       2         2   6            2 2         3   5  2
+--R           ((- 420A a b  + 112B a b)d  + (- 420A a b  + 112B a b)d )e
+--R         + 
+--R                   3           2  7            3         2 2  6
+--R           ((420A b  - 280B a b )d  + (420A a b  - 280B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R               3 5        4 4  3          2        3  6         3        4  5  2
+--R       (- 15A a d  - 15A a d )e  + ((63A a b - 6B a )d  + (63A a b - 6B a )d )e
+--R     + 
+--R                   2        2   7            2 2        3   6
+--R       ((- 105A a b  + 28B a b)d  + (- 105A a b  + 28B a b)d )e
+--R     + 
+--R              3          2  8            3        2 2  7
+--R       (105A b  - 70B a b )d  + (105A a b  - 70B a b )d
+--R  /
+--R            4 4 8       3   5 7       2 2 6 6         3 7 5       4 8 4  4
+--R       (105a d e  - 420a b d e  + 630a b d e  - 420a b d e  + 105b d e )x
+--R     + 
+--R            4 5 7        3   6 6        2 2 7 5          3 8 4       4 9 3  3
+--R       (420a d e  - 1680a b d e  + 2520a b d e  - 1680a b d e  + 420b d e )x
+--R     + 
+--R            4 6 6        3   7 5        2 2 8 4          3 9 3       4 10 2  2
+--R       (630a d e  - 2520a b d e  + 3780a b d e  - 2520a b d e  + 630b d  e )x
+--R     + 
+--R            4 7 5        3   8 4        2 2 9 3          3 10 2       4 11
+--R       (420a d e  - 1680a b d e  + 2520a b d e  - 1680a b d  e  + 420b d  e)x
+--R     + 
+--R           4 8 4       3   9 3       2 2 10 2         3 11        4 12
+--R       105a d e  - 420a b d e  + 630a b d  e  - 420a b d  e + 105b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1141
+
+--S 1142 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               3         4  3          2        3  2         3        4    2
+--R       (- 15A a d - 15A a )e  + ((63A a b - 6B a )d  + (63A a b - 6B a )d)e
+--R     + 
+--R                   2        2   3            2 2        3   2
+--R       ((- 105A a b  + 28B a b)d  + (- 105A a b  + 28B a b)d )e
+--R     + 
+--R              3          2  4            3        2 2  3
+--R       (105A b  - 70B a b )d  + (105A a b  - 70B a b )d
+--R  /
+--R         4 4 4       3   5 3       2 2 6 2         3 7        4 8
+--R     105a d e  - 420a b d e  + 630a b d e  - 420a b d e + 105b d
+--R                                                    Type: Expression(Integer)
+--E 1142
+
+--S 1143 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1143
+
+)clear all
+
+--S 1144 of 1293
+t0:=(A+B*x)/((d+e*x)^(11/2)*sqrt(a+b*x))
+--R 
+--R
+--R   (1)
+--R                                    B x + A
+--R   ------------------------------------------------------------------------
+--R     5 5       4 4      2 3 3      3 2 2     4       5  +-------+ +-------+
+--R   (e x  + 5d e x  + 10d e x  + 10d e x  + 5d e x + d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1144
+
+--S 1145 of 1293
+r0:=-2/9*(B*d-A*e)*sqrt(a+b*x)/(e*(b*d-a*e)*(d+e*x)^(9/2))+_
+     2/63*(b*B*d+8*A*b*e-9*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^2*(d+e*x)^(7/2))+_
+     4/105*b*(b*B*d+8*A*b*e-9*a*B*e)*sqrt(a+b*x)/_
+     (e*(b*d-a*e)^3*(d+e*x)^(5/2))+16/315*b^2*(b*B*d+8*A*b*e-9*a*B*e)*_
+     sqrt(a+b*x)/(e*(b*d-a*e)^4*(d+e*x)^(3/2))+_
+     32/315*b^3*(b*B*d+8*A*b*e-9*a*B*e)*sqrt(a+b*x)/(e*(b*d-a*e)^5*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                   4           3  4        4   3  4
+--R         ((- 256A b  + 288B a b )e  - 32B b d e )x
+--R       + 
+--R                      3         2 2  4             4            3    3
+--R             (128A a b  - 144B a b )e  + (- 1152A b  + 1312B a b )d e
+--R           + 
+--R                     4 2 2
+--R             - 144B b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                     2 2         3   4            3         2 2    3
+--R             (- 96A a b  + 108B a b)e  + (576A a b  - 660B a b )d e
+--R           + 
+--R                       4            3  2 2         4 3
+--R             (- 2016A b  + 2340B a b )d e  - 252B b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   3         4  4            2 2         3     3
+--R             (80A a b - 90B a )e  + (- 432A a b  + 496B a b)d e
+--R           + 
+--R                       3          2 2  2 2             4            3  3
+--R             (1008A a b  - 1188B a b )d e  + (- 1680A b  + 2016B a b )d e
+--R           + 
+--R                     4 4
+--R             - 210B b d
+--R        *
+--R           x
+--R       + 
+--R                4 4          3         4    3            2 2         3   2 2
+--R         - 70A a e  + (360A a b - 20B a )d e  + (- 756A a b  + 108B a b)d e
+--R       + 
+--R                  3         2 2  3             4           3  4
+--R         (840A a b  - 252B a b )d e + (- 630A b  + 420B a b )d
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R                 5 9        4     8        3 2 2 7        2 3 3 6          4 4 5
+--R             315a e  - 1575a b d e  + 3150a b d e  - 3150a b d e  + 1575a b d e
+--R           + 
+--R                   5 5 4
+--R             - 315b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  5   8        4   2 7         3 2 3 6         2 3 4 5
+--R             1260a d e  - 6300a b d e  + 12600a b d e  - 12600a b d e
+--R           + 
+--R                    4 5 4        5 6 3
+--R             6300a b d e  - 1260b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  5 2 7        4   3 6         3 2 4 5         2 3 5 4
+--R             1890a d e  - 9450a b d e  + 18900a b d e  - 18900a b d e
+--R           + 
+--R                    4 6 3        5 7 2
+--R             9450a b d e  - 1890b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  5 3 6        4   4 5         3 2 5 4         2 3 6 3
+--R             1260a d e  - 6300a b d e  + 12600a b d e  - 12600a b d e
+--R           + 
+--R                    4 7 2        5 8
+--R             6300a b d e  - 1260b d e
+--R        *
+--R           x
+--R       + 
+--R             5 4 5        4   5 4        3 2 6 3        2 3 7 2          4 8
+--R         315a d e  - 1575a b d e  + 3150a b d e  - 3150a b d e  + 1575a b d e
+--R       + 
+--R               5 9
+--R         - 315b d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1145
+
+--S 1146 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     4           3  5 4        4 6 3  4
+--R           ((- 768A b  + 864B a b )d e  - 96B b d e )x
+--R         + 
+--R                        3         2 2  5 4             4            3  6 3
+--R               (384A a b  - 432B a b )d e  + (- 3456A b  + 3936B a b )d e
+--R             + 
+--R                       4 7 2
+--R               - 432B b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        2 2         3   5 4             3          2 2  6 3
+--R               (- 288A a b  + 324B a b)d e  + (1728A a b  - 1980B a b )d e
+--R             + 
+--R                         4            3  7 2         4 8
+--R               (- 6048A b  + 7020B a b )d e  - 756B b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      3          4  5 4             2 2          3   6 3
+--R               (240A a b - 270B a )d e  + (- 1296A a b  + 1488B a b)d e
+--R             + 
+--R                         3          2 2  7 2             4            3  8
+--R               (3024A a b  - 3564B a b )d e  + (- 5040A b  + 6048B a b )d e
+--R             + 
+--R                       4 9
+--R               - 630B b d
+--R          *
+--R             x
+--R         + 
+--R                   4 5 4           3         4  6 3
+--R           - 210A a d e  + (1080A a b - 60B a )d e
+--R         + 
+--R                     2 2         3   7 2             3         2 2  8
+--R           (- 2268A a b  + 324B a b)d e  + (2520A a b  - 756B a b )d e
+--R         + 
+--R                     4            3  9
+--R           (- 1890A b  + 1260B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   4          5  9
+--R           (- 35A a d - 315A a )e
+--R         + 
+--R                   3         4  2           4         5    8
+--R           ((180A a b - 10B a )d  + (1620A a b - 90B a )d)e
+--R         + 
+--R                     2 2        3   3             3 2         4   2  7
+--R           ((- 378A a b  + 54B a b)d  + (- 3402A a b  + 486B a b)d )e
+--R         + 
+--R                     3         2 2  4           2 3          3 2  3  6
+--R           ((420A a b  - 126B a b )d  + (3780A a b  - 1134B a b )d )e
+--R         + 
+--R                     4           3  5               4          2 3  4  5
+--R           ((- 315A b  + 210B a b )d  + (- 2835A a b  + 1890B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    4 2          5   8
+--R           (- 175A a d  - 1575A a d)e
+--R         + 
+--R                   3         4  3           4          5  2  7
+--R           ((900A a b - 50B a )d  + (8100A a b - 450B a )d )e
+--R         + 
+--R                      2 2         3   4              3 2          4   3  6
+--R           ((- 1890A a b  + 270B a b)d  + (- 17010A a b  + 2430B a b)d )e
+--R         + 
+--R                      3         2 2  5            2 3          3 2  4  5
+--R           ((2100A a b  - 630B a b )d  + (18900A a b  - 5670B a b )d )e
+--R         + 
+--R                      4            3  6                4          2 3  5  4
+--R           ((- 1575A b  + 1050B a b )d  + (- 14175A a b  + 9450B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    4 3          5 2  7
+--R           (- 350A a d  - 3150A a d )e
+--R         + 
+--R                    3          4  4            4          5  3  6
+--R           ((1800A a b - 100B a )d  + (16200A a b - 900B a )d )e
+--R         + 
+--R                      2 2         3   5              3 2          4   4  5
+--R           ((- 3780A a b  + 540B a b)d  + (- 34020A a b  + 4860B a b)d )e
+--R         + 
+--R                      3          2 2  6            2 3           3 2  5  4
+--R           ((4200A a b  - 1260B a b )d  + (37800A a b  - 11340B a b )d )e
+--R         + 
+--R                      4            3  7                4           2 3  6  3
+--R           ((- 3150A b  + 2100B a b )d  + (- 28350A a b  + 18900B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    4 4          5 3  6
+--R           (- 350A a d  - 3150A a d )e
+--R         + 
+--R                    3          4  5            4          5  4  5
+--R           ((1800A a b - 100B a )d  + (16200A a b - 900B a )d )e
+--R         + 
+--R                      2 2         3   6              3 2          4   5  4
+--R           ((- 3780A a b  + 540B a b)d  + (- 34020A a b  + 4860B a b)d )e
+--R         + 
+--R                      3          2 2  7            2 3           3 2  6  3
+--R           ((4200A a b  - 1260B a b )d  + (37800A a b  - 11340B a b )d )e
+--R         + 
+--R                      4            3  8                4           2 3  7  2
+--R           ((- 3150A b  + 2100B a b )d  + (- 28350A a b  + 18900B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                    4 5          5 4  5
+--R           (- 175A a d  - 1575A a d )e
+--R         + 
+--R                   3         4  6           4          5  5  4
+--R           ((900A a b - 50B a )d  + (8100A a b - 450B a )d )e
+--R         + 
+--R                      2 2         3   7              3 2          4   6  3
+--R           ((- 1890A a b  + 270B a b)d  + (- 17010A a b  + 2430B a b)d )e
+--R         + 
+--R                      3         2 2  8            2 3          3 2  7  2
+--R           ((2100A a b  - 630B a b )d  + (18900A a b  - 5670B a b )d )e
+--R         + 
+--R                      4            3  9                4          2 3  8
+--R           ((- 1575A b  + 1050B a b )d  + (- 14175A a b  + 9450B a b )d )e
+--R      *
+--R         x
+--R     + 
+--R               4 6         5 5  4
+--R       (- 35A a d  - 315A a d )e
+--R     + 
+--R               3         4  7           4         5  6  3
+--R       ((180A a b - 10B a )d  + (1620A a b - 90B a )d )e
+--R     + 
+--R                 2 2        3   8             3 2         4   7  2
+--R       ((- 378A a b  + 54B a b)d  + (- 3402A a b  + 486B a b)d )e
+--R     + 
+--R                 3         2 2  9           2 3          3 2  8
+--R       ((420A a b  - 126B a b )d  + (3780A a b  - 1134B a b )d )e
+--R     + 
+--R                4           3  10               4          2 3  9
+--R       (- 315A b  + 210B a b )d   + (- 2835A a b  + 1890B a b )d
+--R  /
+--R               5 5 10        4   6 9        3 2 7 8        2 3 8 7
+--R           945a d e   - 4725a b d e  + 9450a b d e  - 9450a b d e
+--R         + 
+--R                  4 9 6       5 10 5
+--R           4725a b d e  - 945b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                5 6 9         4   7 8         3 2 8 7         2 3 9 6
+--R           4725a d e  - 23625a b d e  + 47250a b d e  - 47250a b d e
+--R         + 
+--R                   4 10 5        5 11 4
+--R           23625a b d  e  - 4725b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                5 7 8         4   8 7         3 2 9 6         2 3 10 5
+--R           9450a d e  - 47250a b d e  + 94500a b d e  - 94500a b d  e
+--R         + 
+--R                   4 11 4        5 12 3
+--R           47250a b d  e  - 9450b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 8 7         4   9 6         3 2 10 5         2 3 11 4
+--R           9450a d e  - 47250a b d e  + 94500a b d  e  - 94500a b d  e
+--R         + 
+--R                   4 12 3        5 13 2
+--R           47250a b d  e  - 9450b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                5 9 6         4   10 5         3 2 11 4         2 3 12 3
+--R           4725a d e  - 23625a b d  e  + 47250a b d  e  - 47250a b d  e
+--R         + 
+--R                   4 13 2        5 14
+--R           23625a b d  e  - 4725b d  e
+--R      *
+--R         x
+--R     + 
+--R           5 10 5        4   11 4        3 2 12 3        2 3 13 2          4 14
+--R       945a d  e  - 4725a b d  e  + 9450a b d  e  - 9450a b d  e  + 4725a b d  e
+--R     + 
+--R             5 15
+--R       - 945b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1146
+
+--S 1147 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               4          5  4
+--R       (- 35A a d - 315A a )e
+--R     + 
+--R               3         4  2           4         5    3
+--R       ((180A a b - 10B a )d  + (1620A a b - 90B a )d)e
+--R     + 
+--R                 2 2        3   3             3 2         4   2  2
+--R       ((- 378A a b  + 54B a b)d  + (- 3402A a b  + 486B a b)d )e
+--R     + 
+--R                 3         2 2  4           2 3          3 2  3
+--R       ((420A a b  - 126B a b )d  + (3780A a b  - 1134B a b )d )e
+--R     + 
+--R                4           3  5               4          2 3  4
+--R       (- 315A b  + 210B a b )d  + (- 2835A a b  + 1890B a b )d
+--R  /
+--R           5 5 5        4   6 4        3 2 7 3        2 3 8 2          4 9
+--R       945a d e  - 4725a b d e  + 9450a b d e  - 9450a b d e  + 4725a b d e
+--R     + 
+--R             5 10
+--R       - 945b d
+--R                                                    Type: Expression(Integer)
+--E 1147
+
+--S 1148 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1148
+
+)clear all
+
+--S 1149 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                                         +-------+
+--R                               (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1149
+
+--S 1150 of 1293
+r0:=5/8*(b*d-a*e)^2*(b*B*d+6*A*b*e-7*a*B*e)*_
+     atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/(b^(9/2)*sqrt(e))-_
+     2*(A*b-a*B)*(d+e*x)^(7/2)/(b*(b*d-a*e)*sqrt(a+b*x))+_
+     5/12*(b*B*d+6*A*b*e-7*a*B*e)*(d+e*x)^(3/2)*sqrt(a+b*x)/b^3+_
+     1/3*(b*B*d+6*A*b*e-7*a*B*e)*(d+e*x)^(5/2)*sqrt(a+b*x)/(b^2*(b*d-a*e))+_
+     5/8*(b*d-a*e)*(b*B*d+6*A*b*e-7*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/b^4
+--R 
+--R
+--R   (2)
+--R                 2          3  3              2         2     2
+--R           (90A a b - 105B a )e  + (- 180A a b  + 225B a b)d e
+--R         + 
+--R                 3           2  2         3 3
+--R           (90A b  - 135B a b )d e + 15B b d
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|e \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|e x + d
+--R     + 
+--R               3 2 3          3          2  2        3     2
+--R           8B b e x  + ((12A b  - 14B a b )e  + 26B b d e)x
+--R         + 
+--R                      2        2   2         3          2            3 2
+--R           ((- 30A a b  + 35B a b)e  + (54A b  - 68B a b )d e + 33B b d )x
+--R         + 
+--R                   2          3  2            2         2
+--R           (- 90A a b + 105B a )e  + (150A a b  - 190B a b)d e
+--R         + 
+--R                   3          2  2
+--R           (- 48A b  + 81B a b )d
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|e \|e x + d
+--R  /
+--R        4 +-+ +-+ +-------+
+--R     24b \|b \|e \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1150
+
+--S 1151 of 1293
+--a0:=integrate(t0,x)
+--E 1151
+
+--S 1152 of 1293
+--m0:=a0-r0
+--E 1152
+
+--S 1153 of 1293
+--d0:=D(m0,x)
+--E 1153
+
+)clear all
+
+--S 1154 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R                            +-------+
+--R                  (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1154
+
+--S 1155 of 1293
+r0:=3/4*(b*d-a*e)*(b*B*d+4*A*b*e-5*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(7/2)*sqrt(e))-2*(A*b-a*B)*(d+e*x)^(5/2)/_
+     (b*(b*d-a*e)*sqrt(a+b*x))+1/2*(b*B*d+4*A*b*e-5*a*B*e)*(d+e*x)^(3/2)*_
+     sqrt(a+b*x)/(b^2*(b*d-a*e))+3/4*(b*B*d+4*A*b*e-5*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/b^3
+--R 
+--R
+--R   (2)
+--R                            2  2         2                     2 2  +-------+
+--R         ((- 12A a b + 15B a )e  + (12A b  - 18B a b)d e + 3B b d )\|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R               2   2         2                  2                      2
+--R           2B b e x  + ((4A b  - 5B a b)e + 5B b d)x + (12A a b - 15B a )e
+--R         + 
+--R                  2
+--R           (- 8A b  + 13B a b)d
+--R      *
+--R          +-+ +-+ +-------+
+--R         \|b \|e \|e x + d
+--R  /
+--R       3 +-+ +-+ +-------+
+--R     4b \|b \|e \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1155
+
+--S 1156 of 1293
+--a0:=integrate(t0,x)
+--E 1156
+
+--S 1157 of 1293
+--m0:=a0-r0
+--E 1157
+
+--S 1158 of 1293
+--d0:=D(m0,x)
+--E 1158
+
+)clear all
+
+--S 1159 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/(a+b*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (B x + A)\|e x + d
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1159
+
+--S 1160 of 1293
+r0:=(b*B*d+2*A*b*e-3*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))/(b^(5/2)*sqrt(e))-2*(A*b-a*B)*(d+e*x)^(3/2)/_
+     (b*(b*d-a*e)*sqrt(a+b*x))+(b*B*d+2*A*b*e-3*a*B*e)*sqrt(a+b*x)*_
+     sqrt(d+e*x)/(b^2*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                                                +-+ +-------+
+--R                                +-------+      \|e \|b x + a
+--R       ((2A b - 3B a)e + B b d)\|b x + a atanh(--------------)
+--R                                                +-+ +-------+
+--R                                               \|b \|e x + d
+--R     + 
+--R                             +-+ +-+ +-------+
+--R       (B b x - 2A b + 3B a)\|b \|e \|e x + d
+--R  /
+--R      2 +-+ +-+ +-------+
+--R     b \|b \|e \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1160
+
+--S 1161 of 1293
+--a0:=integrate(t0,x)
+--E 1161
+
+--S 1162 of 1293
+--m0:=a0-r0
+--E 1162
+
+--S 1163 of 1293
+--d0:=D(m0,x)
+--E 1163
+
+)clear all
+
+--S 1164 of 1293
+t0:=(A+B*x)/((a+b*x)^(3/2)*sqrt(d+e*x))
+--R 
+--R
+--R                   B x + A
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1164
+
+--S 1165 of 1293
+r0:=2*B*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))/_
+     (b^(3/2)*sqrt(e))-2*(A*b-a*B)*sqrt(d+e*x)/(b*(b*d-a*e)*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                         +-------+      \|e \|b x + a
+--R       (2B a e - 2B b d)\|b x + a atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|e x + d
+--R     + 
+--R                     +-+ +-+ +-------+
+--R       (2A b - 2B a)\|b \|e \|e x + d
+--R  /
+--R               2   +-+ +-+ +-------+
+--R     (a b e - b d)\|b \|e \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1165
+
+--S 1166 of 1293
+--a0:=integrate(t0,x)
+--E 1166
+
+--S 1167 of 1293
+--m0:=a0-r0
+--E 1167
+
+--S 1168 of 1293
+--d0:=D(m0,x)
+--E 1168
+
+)clear all
+
+--S 1169 of 1293
+t0:=(A+B*x)/((a+b*x)^(3/2)*(d+e*x)^(3/2))
+--R 
+--R
+--R                             B x + A
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b e x  + (a e + b d)x + a d)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1169
+
+--S 1170 of 1293
+r0:=-2*(B*d-A*e)/(e*(b*d-a*e)*sqrt(a+b*x)*sqrt(d+e*x))+_
+     2*(b*B*d-2*A*b*e+a*B*e)*sqrt(d+e*x)/(e*(b*d-a*e)^2*sqrt(a+b*x))
+--R 
+--R
+--R        ((- 4A b + 2B a)e + 2B b d)x - 2A a e + (- 2A b + 4B a)d
+--R   (2)  --------------------------------------------------------
+--R                2 2               2 2  +-------+ +-------+
+--R              (a e  - 2a b d e + b d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1170
+
+--S 1171 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                              2               2         2
+--R             ((- 8A a b + 4B a )d e + 4B a b d )x - 4A a d e
+--R           + 
+--R                             2  2
+--R             (- 4A a b + 8B a )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                              2   2
+--R             (- A a b d - 4A a b)e
+--R           + 
+--R                    2           2            2       2
+--R             ((- A b  + 2B a b)d  + (- 4A a b  + 8B a b)d)e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 2        3  2                    2  2          2        3
+--R           (- A a d - 4A a )e  + ((- 2A a b + 2B a )d  + (- 8A a b + 8B a )d)e
+--R         + 
+--R                 2           3            2       2   2
+--R           (- A b  + 2B a b)d  + (- 4A a b  + 8B a b)d
+--R      *
+--R         x
+--R     + 
+--R             2 2       3                     2  3          2        3  2
+--R       (- A a d  - 4A a d)e + (- A a b + 2B a )d  + (- 4A a b + 8B a )d
+--R  /
+--R          3     3     2 2 2 2       3 3   2
+--R       (2a b d e  - 4a b d e  + 2a b d e)x
+--R     + 
+--R        4   3     3   2 2     2 2 3        3 4       4 2 2     3   3      2 2 4
+--R     (2a d e  - 2a b d e  - 2a b d e + 2a b d )x + 2a d e  - 4a b d e + 2a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1171
+
+--S 1172 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                       2                    2                   2
+--R        (- A a d - 4A a )e + (- A b + 2B a)d  + (- 4A a b + 8B a )d
+--R   (4)  -----------------------------------------------------------
+--R                          3   2     2   2        2 3
+--R                        2a d e  - 4a b d e + 2a b d
+--R                                                    Type: Expression(Integer)
+--E 1172
+
+--S 1173 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1173
+
+)clear all
+
+--S 1174 of 1293
+t0:=(A+B*x)/((a+b*x)^(3/2)*(d+e*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R                                     B x + A
+--R   --------------------------------------------------------------------------
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b e x  + (a e  + 2b d e)x  + (2a d e + b d )x + a d )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1174
+
+--S 1175 of 1293
+r0:=-2*(A*b-a*B)/(b*(b*d-a*e)*(d+e*x)^(3/2)*sqrt(a+b*x))+_
+     2/3*(b*B*d-4*A*b*e+3*a*B*e)*sqrt(a+b*x)/(b*(b*d-a*e)^2*(d+e*x)^(3/2))+_
+     4/3*(b*B*d-4*A*b*e+3*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^3*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R              2            2       2     2
+--R       ((16A b  - 12B a b)e  - 4B b d e)x
+--R     + 
+--R                      2  2         2                     2 2         2 2
+--R       ((8A a b - 6B a )e  + (24A b  - 20B a b)d e - 6B b d )x - 2A a e
+--R     + 
+--R                      2            2            2
+--R       (12A a b - 4B a )d e + (6A b  - 12B a b)d
+--R  /
+--R            3 4     2     3       2 2 2     3 3        3   3     2   2 2
+--R         (3a e  - 9a b d e  + 9a b d e  - 3b d e)x + 3a d e  - 9a b d e
+--R       + 
+--R             2 3      3 4
+--R         9a b d e - 3b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1175
+
+--S 1176 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    2        2   2 2         2 3   2
+--R           ((32A a b  - 24B a b)d e  - 8B a b d e)x
+--R         + 
+--R                  2         3  2 2           2        2   3           2 4
+--R           ((16A a b - 12B a )d e  + (48A a b  - 40B a b)d e - 12B a b d )x
+--R         + 
+--R                 3 2 2         2        3  3            2        2   4
+--R           - 4A a d e  + (24A a b - 8B a )d e + (12A a b  - 24B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R               2          3   4
+--R           (A a b d + 4A a b)e
+--R         + 
+--R                     2       2   2           2 2       3     3
+--R           ((- 6A a b  + 2B a b)d  + (- 24A a b  + 8B a b)d)e
+--R         + 
+--R                   3         2  3             3        2 2  2  2
+--R           ((- 3A b  + 6B a b )d  + (- 12A a b  + 24B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               3        4  4           2        3  2           3        4    3
+--R           (A a d + 4A a )e  + ((- 4A a b + 2B a )d  + (- 16A a b + 8B a )d)e
+--R         + 
+--R                      2        2   3           2 2        3   2  2
+--R           ((- 15A a b  + 10B a b)d  + (- 60A a b  + 40B a b)d )e
+--R         + 
+--R                   3          2  4             3        2 2  3
+--R           ((- 6A b  + 12B a b )d  + (- 24A a b  + 48B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                3 2       4   3
+--R           (2A a d  + 8A a d)e
+--R         + 
+--R                    2        3  3           3         4  2  2
+--R           ((- 11A a b + 4B a )d  + (- 44A a b + 16B a )d )e
+--R         + 
+--R                      2        2   4           2 2        3   3
+--R           ((- 12A a b  + 14B a b)d  + (- 48A a b  + 56B a b)d )e
+--R         + 
+--R                  3         2  5             3        2 2  4
+--R           (- 3A b  + 6B a b )d  + (- 12A a b  + 24B a b )d
+--R      *
+--R         x
+--R     + 
+--R           3 3       4 2  2           2        3  4           3        4  3
+--R       (A a d  + 4A a d )e  + ((- 6A a b + 2B a )d  + (- 24A a b + 8B a )d )e
+--R     + 
+--R                2       2   5           2 2        3   4
+--R       (- 3A a b  + 6B a b)d  + (- 12A a b  + 24B a b)d
+--R  /
+--R          4   2 5      3 2 3 4      2 3 4 3       4 5 2  3
+--R       (6a b d e  - 18a b d e  + 18a b d e  - 6a b d e )x
+--R     + 
+--R          5 2 5     4   3 4      3 2 4 3      2 3 5 2        4 6   2
+--R       (6a d e  - 6a b d e  - 18a b d e  + 30a b d e  - 12a b d e)x
+--R     + 
+--R           5 3 4      4   4 3      3 2 5 2     2 3 6        4 7       5 4 3
+--R       (12a d e  - 30a b d e  + 18a b d e  + 6a b d e - 6a b d )x + 6a d e
+--R     + 
+--R            4   5 2      3 2 6      2 3 7
+--R       - 18a b d e  + 18a b d e - 6a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1176
+
+--S 1177 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R           2        3  2                    2  2           2        3
+--R       (A a d + 4A a )e  + ((- 6A a b + 2B a )d  + (- 24A a b + 8B a )d)e
+--R     + 
+--R              2           3             2        2   2
+--R       (- 3A b  + 6B a b)d  + (- 12A a b  + 24B a b)d
+--R  /
+--R       4 2 3      3   3 2      2 2 4        3 5
+--R     6a d e  - 18a b d e  + 18a b d e - 6a b d
+--R                                                    Type: Expression(Integer)
+--E 1177
+
+--S 1178 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1178
+
+)clear all
+
+--S 1179 of 1293
+t0:=(A+B*x)/((a+b*x)^(3/2)*(d+e*x)^(7/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R            3 4       3         2  3          2       2   2        2       3
+--R         b e x  + (a e  + 3b d e )x  + (3a d e  + 3b d e)x  + (3a d e + b d )x
+--R       + 
+--R            3
+--R         a d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1179
+
+--S 1180 of 1293
+r0:=-2*(A*b-a*B)/(b*(b*d-a*e)*(d+e*x)^(5/2)*sqrt(a+b*x))+_
+     2/5*(b*B*d-6*A*b*e+5*a*B*e)*sqrt(a+b*x)/(b*(b*d-a*e)^2*(d+e*x)^(5/2))+_
+     8/15*(b*B*d-6*A*b*e+5*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^3*(d+e*x)^(3/2))+_
+     16/15*b*(b*B*d-6*A*b*e+5*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                3          2  3        3   2  3
+--R       ((- 96A b  + 80B a b )e  + 16B b d e )x
+--R     + 
+--R                  2        2   3            3           2    2        3 2   2
+--R       ((- 48A a b  + 40B a b)e  + (- 240A b  + 208B a b )d e  + 40B b d e)x
+--R     + 
+--R                 2         3  3              2        2     2
+--R           (12A a b - 10B a )e  + (- 120A a b  + 98B a b)d e
+--R         + 
+--R                    3           2  2         3 3
+--R           (- 180A b  + 170B a b )d e + 30B b d
+--R      *
+--R         x
+--R     + 
+--R             3 3         2        3    2             2        2   2
+--R       - 6A a e  + (30A a b - 4B a )d e  + (- 90A a b  + 40B a b)d e
+--R     + 
+--R               3          2  3
+--R       (- 30A b  + 60B a b )d
+--R  /
+--R             4 6      3     5      2 2 2 4        3 3 3      4 4 2  2
+--R         (15a e  - 60a b d e  + 90a b d e  - 60a b d e  + 15b d e )x
+--R       + 
+--R             4   5       3   2 4       2 2 3 3         3 4 2      4 5
+--R         (30a d e  - 120a b d e  + 180a b d e  - 120a b d e  + 30b d e)x
+--R       + 
+--R            4 2 4      3   3 3      2 2 4 2        3 5       4 6
+--R         15a d e  - 60a b d e  + 90a b d e  - 60a b d e + 15b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1180
+
+--S 1181 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                       3         2 2  3 3          3 4 2  3
+--R           ((- 384A a b  + 320B a b )d e  + 64B a b d e )x
+--R         + 
+--R                        2 2         3   3 3              3         2 2  4 2
+--R               (- 192A a b  + 160B a b)d e  + (- 960A a b  + 832B a b )d e
+--R             + 
+--R                       3 5
+--R               160B a b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     3         4  3 3            2 2         3   4 2
+--R               (48A a b - 40B a )d e  + (- 480A a b  + 392B a b)d e
+--R             + 
+--R                          3         2 2  5            3 6
+--R               (- 720A a b  + 680B a b )d e + 120B a b d
+--R          *
+--R             x
+--R         + 
+--R                  4 3 3          3         4  4 2            2 2         3   5
+--R           - 24A a d e  + (120A a b - 16B a )d e  + (- 360A a b  + 160B a b)d e
+--R         + 
+--R                      3         2 2  6
+--R           (- 120A a b  + 240B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                3           4   6
+--R           (3A a b d + 48A a b)e
+--R         + 
+--R                    2 2       3   2            3 2        4     5
+--R           ((- 15A a b  + 2B a b)d  + (- 240A a b  + 32B a b)d)e
+--R         + 
+--R                    3        2 2  3          2 3         3 2  2  4
+--R           ((45A a b  - 20B a b )d  + (720A a b  - 320B a b )d )e
+--R         + 
+--R                  4          3  4            4         2 3  3  3
+--R           ((15A b  - 30B a b )d  + (240A a b  - 480B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4         5  6
+--R           (3A a d + 48A a )e
+--R         + 
+--R                   3        4  2           4         5    5
+--R           ((- 6A a b + 2B a )d  + (- 96A a b + 32B a )d)e
+--R         + 
+--R                   3   3         4   2  4
+--R           (- 14B a b d  - 224B a b d )e
+--R         + 
+--R                     3        2 2  4           2 3          3 2  3  3
+--R           ((150A a b  - 90B a b )d  + (2400A a b  - 1440B a b )d )e
+--R         + 
+--R                  4          3  5            4          2 3  4  2
+--R           ((45A b  - 90B a b )d  + (720A a b  - 1440B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                4 2         5   5
+--R           (9A a d  + 144A a d)e
+--R         + 
+--R                    3        4  3            4         5  2  4
+--R           ((- 36A a b + 6B a )d  + (- 576A a b + 96B a )d )e
+--R         + 
+--R                  2 2        3   4           3 2         4   3  3
+--R           ((90A a b  - 54B a b)d  + (1440A a b  - 864B a b)d )e
+--R         + 
+--R                     3         2 2  5           2 3          3 2  4  2
+--R           ((180A a b  - 150B a b )d  + (2880A a b  - 2400B a b )d )e
+--R         + 
+--R                  4          3  6            4          2 3  5
+--R           ((45A b  - 90B a b )d  + (720A a b  - 1440B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                4 3         5 2  4
+--R           (9A a d  + 144A a d )e
+--R         + 
+--R                    3        4  4            4         5  3  3
+--R           ((- 42A a b + 6B a )d  + (- 672A a b + 96B a )d )e
+--R         + 
+--R                   2 2        3   5           3 2         4   4  2
+--R           ((120A a b  - 58B a b)d  + (1920A a b  - 928B a b)d )e
+--R         + 
+--R                    3         2 2  6           2 3          3 2  5
+--R           ((90A a b  - 110B a b )d  + (1440A a b  - 1760B a b )d )e
+--R         + 
+--R                 4          3  7            4         2 3  6
+--R           (15A b  - 30B a b )d  + (240A a b  - 480B a b )d
+--R      *
+--R         x
+--R     + 
+--R            4 4        5 3  3
+--R       (3A a d  + 48A a d )e
+--R     + 
+--R                3        4  5            4         5  4  2
+--R       ((- 15A a b + 2B a )d  + (- 240A a b + 32B a )d )e
+--R     + 
+--R              2 2        3   6          3 2         4   5
+--R       ((45A a b  - 20B a b)d  + (720A a b  - 320B a b)d )e
+--R     + 
+--R               3        2 2  7          2 3         3 2  6
+--R       (15A a b  - 30B a b )d  + (240A a b  - 480B a b )d
+--R  /
+--R           5   3 7       4 2 4 6       3 3 5 5       2 4 6 4        5 7 3  4
+--R       (60a b d e  - 240a b d e  + 360a b d e  - 240a b d e  + 60a b d e )x
+--R     + 
+--R              6 3 7      5   4 6       4 2 5 5       3 3 6 4       2 4 7 3
+--R           60a d e  - 60a b d e  - 360a b d e  + 840a b d e  - 660a b d e
+--R         + 
+--R                 5 8 2
+--R           180a b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               6 4 6       5   5 5       4 2 6 4       3 3 7 3       2 4 8 2
+--R           180a d e  - 540a b d e  + 360a b d e  + 360a b d e  - 540a b d e
+--R         + 
+--R                 5 9
+--R           180a b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6 5 5       5   6 4       4 2 7 3       3 3 8 2      2 4 9
+--R           180a d e  - 660a b d e  + 840a b d e  - 360a b d e  - 60a b d e
+--R         + 
+--R                5 10
+--R           60a b d
+--R      *
+--R         x
+--R     + 
+--R          6 6 4       5   7 3       4 2 8 2       3 3 9       2 4 10
+--R       60a d e  - 240a b d e  + 360a b d e  - 240a b d e + 60a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1181
+
+--S 1182 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R            3         4  3            2        3  2            3         4    2
+--R       (3A a d + 48A a )e  + ((- 15A a b + 2B a )d  + (- 240A a b + 32B a )d)e
+--R     + 
+--R                2        2   3          2 2         3   2
+--R       ((45A a b  - 20B a b)d  + (720A a b  - 320B a b)d )e
+--R     + 
+--R             3          2  4            3         2 2  3
+--R       (15A b  - 30B a b )d  + (240A a b  - 480B a b )d
+--R  /
+--R        5 3 4       4   4 3       3 2 5 2       2 3 6         4 7
+--R     60a d e  - 240a b d e  + 360a b d e  - 240a b d e + 60a b d
+--R                                                    Type: Expression(Integer)
+--E 1182
+
+--S 1183 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1183
+
+)clear all
+
+--S 1184 of 1293
+t0:=(A+B*x)/((a+b*x)^(3/2)*(d+e*x)^(9/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R            4 5       4         3  4          3       2 2  3
+--R         b e x  + (a e  + 4b d e )x  + (4a d e  + 6b d e )x
+--R       + 
+--R              2 2       3   2        3       4        4
+--R         (6a d e  + 4b d e)x  + (4a d e + b d )x + a d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1184
+
+--S 1185 of 1293
+r0:=-2*(A*b-a*B)/(b*(b*d-a*e)*(d+e*x)^(7/2)*sqrt(a+b*x))+_
+     2/7*(b*B*d-8*A*b*e+7*a*B*e)*sqrt(a+b*x)/(b*(b*d-a*e)^2*(d+e*x)^(7/2))+_
+     12/35*(b*B*d-8*A*b*e+7*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^3*(d+e*x)^(5/2))+_
+     16/35*b*(b*B*d-8*A*b*e+7*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^4*(d+e*x)^(3/2))+_
+     32/35*b^2*(b*B*d-8*A*b*e+7*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^5*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R               4           3  4        4   3  4
+--R       ((256A b  - 224B a b )e  - 32B b d e )x
+--R     + 
+--R                 3         2 2  4          4           3    3         4 2 2  3
+--R       ((128A a b  - 112B a b )e  + (896A b  - 800B a b )d e  - 112B b d e )x
+--R     + 
+--R                   2 2        3   4            3         2 2    3
+--R           (- 32A a b  + 28B a b)e  + (448A a b  - 388B a b )d e
+--R         + 
+--R                   4            3  2 2         4 3
+--R           (1120A b  - 1036B a b )d e  - 140B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 3         4  4            2 2        3     3
+--R           (16A a b - 14B a )e  + (- 112A a b  + 96B a b)d e
+--R         + 
+--R                    3         2 2  2 2          4           3  3         4 4
+--R           (560A a b  - 476B a b )d e  + (560A b  - 560B a b )d e - 70B b d
+--R      *
+--R         x
+--R     + 
+--R              4 4         3        4    3            2 2        3   2 2
+--R       - 10A a e  + (56A a b - 4B a )d e  + (- 140A a b  + 28B a b)d e
+--R     + 
+--R                3         2 2  3          4           3  4
+--R       (280A a b  - 140B a b )d e + (70A b  - 140B a b )d
+--R  /
+--R                5 8       4     7       3 2 2 6       2 3 3 5         4 4 4
+--R             35a e  - 175a b d e  + 350a b d e  - 350a b d e  + 175a b d e
+--R           + 
+--R                  5 5 3
+--R             - 35b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                 5   7       4   2 6        3 2 3 5        2 3 4 4         4 5 3
+--R             105a d e  - 525a b d e  + 1050a b d e  - 1050a b d e  + 525a b d e
+--R           + 
+--R                   5 6 2
+--R             - 105b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 5 2 6       4   3 5        3 2 4 4        2 3 5 3         4 6 2
+--R             105a d e  - 525a b d e  + 1050a b d e  - 1050a b d e  + 525a b d e
+--R           + 
+--R                   5 7
+--R             - 105b d e
+--R        *
+--R           x
+--R       + 
+--R          5 3 5       4   4 4       3 2 5 3       2 3 6 2         4 7       5 8
+--R       35a d e  - 175a b d e  + 350a b d e  - 350a b d e  + 175a b d e - 35b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1185
+
+--S 1186 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     4         2 3  4 4          4 5 3  4
+--R           ((256A a b  - 224B a b )d e  - 32B a b d e )x
+--R         + 
+--R                      2 3         3 2  4 4            4         2 3  5 3
+--R               (128A a b  - 112B a b )d e  + (896A a b  - 800B a b )d e
+--R             + 
+--R                         4 6 2
+--R               - 112B a b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       3 2        4   4 4          2 3         3 2  5 3
+--R               (- 32A a b  + 28B a b)d e  + (448A a b  - 388B a b )d e
+--R             + 
+--R                         4          2 3  6 2           4 7
+--R               (1120A a b  - 1036B a b )d e  - 140B a b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     4         5  4 4            3 2        4   5 3
+--R               (16A a b - 14B a )d e  + (- 112A a b  + 96B a b)d e
+--R             + 
+--R                      2 3         3 2  6 2            4         2 3  7
+--R               (560A a b  - 476B a b )d e  + (560A a b  - 560B a b )d e
+--R             + 
+--R                        4 8
+--R               - 70B a b d
+--R          *
+--R             x
+--R         + 
+--R                  5 4 4         4        5  5 3            3 2        4   6 2
+--R           - 10A a d e  + (56A a b - 4B a )d e  + (- 140A a b  + 28B a b)d e
+--R         + 
+--R                  2 3         3 2  7            4         2 3  8
+--R           (280A a b  - 140B a b )d e + (70A a b  - 140B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                  4          5   8
+--R           (- 5A a b d - 5A a b)e
+--R         + 
+--R                  3 2       4   2         4 2       5     7
+--R           ((28A a b  - 2B a b)d  + (28A a b  - 2B a b)d)e
+--R         + 
+--R                    2 3        3 2  3           3 3        4 2  2  6
+--R           ((- 70A a b  + 14B a b )d  + (- 70A a b  + 14B a b )d )e
+--R         + 
+--R                     4        2 3  4          2 4        3 3  3  5
+--R           ((140A a b  - 70B a b )d  + (140A a b  - 70B a b )d )e
+--R         + 
+--R                  5          4  5           5        2 4  4  4
+--R           ((35A b  - 70B a b )d  + (35A a b  - 70B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  5        6  8         4        5  2        5        6    7
+--R           (- 5A a d - 5A a )e  + ((8A a b - 2B a )d  + (8A a b - 2B a )d)e
+--R         + 
+--R                  3 2       4   3         4 2       5   2  6
+--R           ((42A a b  + 6B a b)d  + (42A a b  + 6B a b)d )e
+--R         + 
+--R                     2 3        3 2  4            3 3        4 2  3  5
+--R           ((- 140A a b  - 14B a b )d  + (- 140A a b  - 14B a b )d )e
+--R         + 
+--R                     4         2 3  5          2 4         3 3  4  4
+--R           ((595A a b  - 350B a b )d  + (595A a b  - 350B a b )d )e
+--R         + 
+--R                   5           4  6            5         2 4  5  3
+--R           ((140A b  - 280B a b )d  + (140A a b  - 280B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 2        6   7
+--R           (- 20A a d  - 20A a d)e
+--R         + 
+--R                  4        5  3         5        6  2  6
+--R           ((82A a b - 8B a )d  + (82A a b - 8B a )d )e
+--R         + 
+--R                     3 2        4   4            4 2        5   3  5
+--R           ((- 112A a b  + 44B a b)d  + (- 112A a b  + 44B a b)d )e
+--R         + 
+--R                   2 3         3 2  5          3 3         4 2  4  4
+--R           ((140A a b  - 196B a b )d  + (140A a b  - 196B a b )d )e
+--R         + 
+--R                     4         2 3  6          2 4         3 3  5  3
+--R           ((980A a b  - 700B a b )d  + (980A a b  - 700B a b )d )e
+--R         + 
+--R                   5           4  7            5         2 4  6  2
+--R           ((210A b  - 420B a b )d  + (210A a b  - 420B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   5 3        6 2  6
+--R           (- 30A a d  - 30A a d )e
+--R         + 
+--R                   4         5  4          5         6  3  5
+--R           ((148A a b - 12B a )d  + (148A a b - 12B a )d )e
+--R         + 
+--R                     3 2        4   5            4 2        5   4  4
+--R           ((- 308A a b  + 76B a b)d  + (- 308A a b  + 76B a b)d )e
+--R         + 
+--R                   2 3         3 2  6          3 3         4 2  5  3
+--R           ((560A a b  - 364B a b )d  + (560A a b  - 364B a b )d )e
+--R         + 
+--R                     4         2 3  7          2 4         3 3  6  2
+--R           ((770A a b  - 700B a b )d  + (770A a b  - 700B a b )d )e
+--R         + 
+--R                   5           4  8            5         2 4  7
+--R           ((140A b  - 280B a b )d  + (140A a b  - 280B a b )d )e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   5 4        6 3  5
+--R           (- 20A a d  - 20A a d )e
+--R         + 
+--R                   4        5  5          5        6  4  4
+--R           ((107A a b - 8B a )d  + (107A a b - 8B a )d )e
+--R         + 
+--R                     3 2        4   6            4 2        5   5  3
+--R           ((- 252A a b  + 54B a b)d  + (- 252A a b  + 54B a b)d )e
+--R         + 
+--R                   2 3         3 2  7          3 3         4 2  6  2
+--R           ((490A a b  - 266B a b )d  + (490A a b  - 266B a b )d )e
+--R         + 
+--R                     4         2 3  8          2 4         3 3  7
+--R           ((280A a b  - 350B a b )d  + (280A a b  - 350B a b )d )e
+--R         + 
+--R                 5          4  9           5        2 4  8
+--R           (35A b  - 70B a b )d  + (35A a b  - 70B a b )d
+--R      *
+--R         x
+--R     + 
+--R              5 5       6 4  4          4        5  6         5        6  5  3
+--R       (- 5A a d  - 5A a d )e  + ((28A a b - 2B a )d  + (28A a b - 2B a )d )e
+--R     + 
+--R                3 2        4   7           4 2        5   6  2
+--R       ((- 70A a b  + 14B a b)d  + (- 70A a b  + 14B a b)d )e
+--R     + 
+--R               2 3        3 2  8          3 3        4 2  7
+--R       ((140A a b  - 70B a b )d  + (140A a b  - 70B a b )d )e
+--R     + 
+--R               4        2 3  9         2 4        3 3  8
+--R       (35A a b  - 70B a b )d  + (35A a b  - 70B a b )d
+--R  /
+--R              6   4 9       5 2 5 8       4 3 6 7       3 4 7 6       2 5 8 5
+--R           35a b d e  - 175a b d e  + 350a b d e  - 350a b d e  + 175a b d e
+--R         + 
+--R                  6 9 4
+--R           - 35a b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7 4 9      6   5 8       5 2 6 7        4 3 7 6        3 4 8 5
+--R           35a d e  - 35a b d e  - 350a b d e  + 1050a b d e  - 1225a b d e
+--R         + 
+--R               2 5 9 4         6 10 3
+--R           665a b d e  - 140a b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               7 5 8       6   6 7       5 2 7 6       4 3 8 5        3 4 9 4
+--R           140a d e  - 490a b d e  + 350a b d e  + 700a b d e  - 1400a b d e
+--R         + 
+--R               2 5 10 3         6 11 2
+--R           910a b d  e  - 210a b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               7 6 7       6   7 6        5 2 8 5       4 3 9 4       3 4 10 3
+--R           210a d e  - 910a b d e  + 1400a b d e  - 700a b d e  - 350a b d  e
+--R         + 
+--R               2 5 11 2         6 12
+--R           490a b d  e  - 140a b d  e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               7 7 6       6   8 5        5 2 9 4        4 3 10 3       3 4 11 2
+--R           140a d e  - 665a b d e  + 1225a b d e  - 1050a b d  e  + 350a b d  e
+--R         + 
+--R              2 5 12         6 13
+--R           35a b d  e - 35a b d
+--R      *
+--R         x
+--R     + 
+--R          7 8 5       6   9 4       5 2 10 3       4 3 11 2       3 4 12
+--R       35a d e  - 175a b d e  + 350a b d  e  - 350a b d  e  + 175a b d  e
+--R     + 
+--R            2 5 13
+--R       - 35a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1186
+
+--S 1187 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R              4        5  4          3        4  2         4        5    3
+--R       (- 5A a d - 5A a )e  + ((28A a b - 2B a )d  + (28A a b - 2B a )d)e
+--R     + 
+--R                2 2        3   3           3 2        4   2  2
+--R       ((- 70A a b  + 14B a b)d  + (- 70A a b  + 14B a b)d )e
+--R     + 
+--R                 3        2 2  4          2 3        3 2  3
+--R       ((140A a b  - 70B a b )d  + (140A a b  - 70B a b )d )e
+--R     + 
+--R             4          3  5           4        2 3  4
+--R       (35A b  - 70B a b )d  + (35A a b  - 70B a b )d
+--R  /
+--R        6 4 5       5   5 4       4 2 6 3       3 3 7 2       2 4 8         5 9
+--R     35a d e  - 175a b d e  + 350a b d e  - 350a b d e  + 175a b d e - 35a b d
+--R                                                    Type: Expression(Integer)
+--E 1187
+
+--S 1188 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1188
+
+)clear all
+
+--S 1189 of 1293
+t0:=(A+B*x)*(d+e*x)^(7/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R            3 4       3         2  3          2       2   2        2       3
+--R         B e x  + (A e  + 3B d e )x  + (3A d e  + 3B d e)x  + (3A d e + B d )x
+--R       + 
+--R            3
+--R         A d
+--R    *
+--R        +-------+
+--R       \|e x + d
+--R  /
+--R       2 2             2  +-------+
+--R     (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1189
+
+--S 1190 of 1293
+r0:=-2/3*(A*b-a*B)*(d+e*x)^(9/2)/(b*(b*d-a*e)*(a+b*x)^(3/2))+_
+     35/8*(b*d-a*e)^2*(b*B*d+2*A*b*e-3*a*B*e)*atanh(sqrt(e)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))*sqrt(e)/b^(11/2)-_
+     2*(b*B*d+2*A*b*e-3*a*B*e)*(d+e*x)^(7/2)/(b^2*(b*d-a*e)*sqrt(a+b*x))+_
+     35/12*e*(b*B*d+2*A*b*e-3*a*B*e)*(d+e*x)^(3/2)*sqrt(a+b*x)/b^4+_
+     7/3*e*(b*B*d+2*A*b*e-3*a*B*e)*(d+e*x)^(5/2)*sqrt(a+b*x)/_
+     (b^3*(b*d-a*e))+35/8*e*(b*d-a*e)*(b*B*d+2*A*b*e-3*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/b^5
+--R 
+--R
+--R   (2)
+--R                      2 2         3   3              3         2 2    2
+--R               (210A a b  - 315B a b)e  + (- 420A a b  + 735B a b )d e
+--R             + 
+--R                      4           3  2          4 3
+--R               (210A b  - 525B a b )d e + 105B b d
+--R          *
+--R             x
+--R         + 
+--R                  3          4  3            2 2         3     2
+--R           (210A a b - 315B a )e  + (- 420A a b  + 735B a b)d e
+--R         + 
+--R                    3         2 2  2            3 3
+--R           (210A a b  - 525B a b )d e + 105B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|e \|b x + a atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R               4 3 4          4          3  3        4   2  3
+--R           8B b e x  + ((12A b  - 18B a b )e  + 38B b d e )x
+--R         + 
+--R                      3        2 2  3         4           3    2        4 2   2
+--R           ((- 42A a b  + 63B a b )e  + (78A b  - 138B a b )d e  + 87B b d e)x
+--R         + 
+--R                        2 2         3   3            3         2 2    2
+--R               (- 280A a b  + 420B a b)e  + (476A a b  - 854B a b )d e
+--R             + 
+--R                        4           3  2         4 3
+--R               (- 160A b  + 478B a b )d e - 48B b d
+--R          *
+--R             x
+--R         + 
+--R                    3          4  3          2 2         3     2
+--R           (- 210A a b + 315B a )e  + (350A a b  - 630B a b)d e
+--R         + 
+--R                      3         2 2  2            4          3  3
+--R           (- 112A a b  + 343B a b )d e + (- 16A b  - 32B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         6         5  +-+ +-------+
+--R     (24b x + 24a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1190
+
+--S 1191 of 1293
+--a0:=integrate(t0,x)
+--E 1191
+
+--S 1192 of 1293
+--m0:=a0-r0
+--E 1192
+
+--S 1193 of 1293
+--d0:=D(m0,x)
+--E 1193
+
+)clear all
+
+--S 1194 of 1293
+t0:=(A+B*x)*(d+e*x)^(5/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R        (B e x  + (A e  + 2B d e)x  + (2A d e + B d )x + A d )\|e x + d
+--R   (1)  ----------------------------------------------------------------
+--R                           2 2             2  +-------+
+--R                         (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1194
+
+--S 1195 of 1293
+r0:=-2/3*(A*b-a*B)*(d+e*x)^(7/2)/(b*(b*d-a*e)*(a+b*x)^(3/2))+_
+     5/4*(b*d-a*e)*(3*b*B*d+4*A*b*e-7*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(d+e*x)))*sqrt(e)/b^(9/2)-2/3*(3*b*B*d+4*A*b*e-7*a*B*e)*_
+     (d+e*x)^(5/2)/(b^2*(b*d-a*e)*sqrt(a+b*x))+5/6*e*_
+     (3*b*B*d+4*A*b*e-7*a*B*e)*(d+e*x)^(3/2)*sqrt(a+b*x)/(b^3*(b*d-a*e))+_
+     5/4*e*(3*b*B*d+4*A*b*e-7*a*B*e)*sqrt(a+b*x)*sqrt(d+e*x)/b^4
+--R 
+--R
+--R   (2)
+--R                      2         2   2         3           2            3 2
+--R           ((- 60A a b  + 105B a b)e  + (60A b  - 150B a b )d e + 45B b d )x
+--R         + 
+--R                   2          3  2           2         2               2 2
+--R           (- 60A a b + 105B a )e  + (60A a b  - 150B a b)d e + 45B a b d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|e \|b x + a
+--R         \|e \|b x + a atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|e x + d
+--R     + 
+--R               3 2 3          3          2  2        3     2
+--R           6B b e x  + ((12A b  - 21B a b )e  + 27B b d e)x
+--R         + 
+--R                    2         2   2           3           2            3 2
+--R           ((80A a b  - 140B a b)e  + (- 56A b  + 158B a b )d e - 24B b d )x
+--R         + 
+--R                 2          3  2             2         2
+--R           (60A a b - 105B a )e  + (- 40A a b  + 115B a b)d e
+--R         + 
+--R                  3          2  2
+--R           (- 8A b  - 16B a b )d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R         5         4  +-+ +-------+
+--R     (12b x + 12a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1195
+
+--S 1196 of 1293
+--a0:=integrate(t0,x)
+--E 1196
+
+--S 1197 of 1293
+--m0:=a0-r0
+--E 1197
+
+--S 1198 of 1293
+--d0:=D(m0,x)
+--E 1198
+
+)clear all
+
+--S 1199 of 1293
+t0:=(A+B*x)*(d+e*x)^(3/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R              2                       +-------+
+--R        (B e x  + (A e + B d)x + A d)\|e x + d
+--R   (1)  ---------------------------------------
+--R               2 2             2  +-------+
+--R             (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1199
+
+--S 1200 of 1293
+r0:=-2/3*(A*b-a*B)*(d+e*x)^(5/2)/(b*(b*d-a*e)*(a+b*x)^(3/2))+_
+     (3*b*B*d+2*A*b*e-5*a*B*e)*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(d+e*x)))*sqrt(e)/b^(7/2)-2/3*(3*b*B*d+2*A*b*e-5*a*B*e)*_
+     (d+e*x)^(3/2)/(b^2*(b*d-a*e)*sqrt(a+b*x))+e*(3*b*B*d+2*A*b*e-5*a*B*e)*_
+     sqrt(a+b*x)*sqrt(d+e*x)/(b^3*(b*d-a*e))
+--R 
+--R
+--R   (2)
+--R                2                   2                     2               +-+
+--R         (((6A b  - 15B a b)e + 9B b d)x + (6A a b - 15B a )e + 9B a b d)\|e
+--R      *
+--R                          +-+ +-------+
+--R          +-------+      \|e \|b x + a
+--R         \|b x + a atanh(--------------)
+--R                          +-+ +-------+
+--R                         \|b \|e x + d
+--R     + 
+--R               2   2           2                   2                       2
+--R           3B b e x  + ((- 8A b  + 20B a b)e - 6B b d)x + (- 6A a b + 15B a )e
+--R         + 
+--R                  2
+--R           (- 2A b  - 4B a b)d
+--R      *
+--R          +-+ +-------+
+--R         \|b \|e x + d
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3b x + 3a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1200
+
+--S 1201 of 1293
+--a0:=integrate(t0,x)
+--E 1201
+
+--S 1202 of 1293
+--m0:=a0-r0
+--E 1202
+
+--S 1203 of 1293
+--d0:=D(m0,x)
+--E 1203
+
+)clear all
+
+--S 1204 of 1293
+t0:=(A+B*x)*sqrt(d+e*x)/(a+b*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (B x + A)\|e x + d
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1204
+
+--S 1205 of 1293
+r0:=-2/3*(A*b-a*B)*(d+e*x)^(3/2)/(b*(b*d-a*e)*(a+b*x)^(3/2))+_
+     2*B*atanh(sqrt(e)*sqrt(a+b*x)/(sqrt(b)*sqrt(d+e*x)))*sqrt(e)/b^(5/2)-_
+     2*B*sqrt(d+e*x)/(b^2*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                          2          2              +-+ +-------+
+--R         ((6B a b e - 6B b d)x + 6B a e - 6B a b d)\|e \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|e \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|e x + d
+--R     + 
+--R            2                  2          2         2             +-+ +-------+
+--R     (((2A b  - 8B a b)e + 6B b d)x - 6B a e + (2A b  + 4B a b)d)\|b \|e x + d
+--R  /
+--R           3      4        2 2        3   +-+ +-------+
+--R     ((3a b e - 3b d)x + 3a b e - 3a b d)\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1205
+
+--S 1206 of 1293
+--a0:=integrate(t0,x)
+--E 1206
+
+--S 1207 of 1293
+--m0:=a0-r0
+--E 1207
+
+--S 1208 of 1293
+--d0:=D(m0,x)
+--E 1208
+
+)clear all
+
+--S 1209 of 1293
+t0:=(A+B*x)/((a+b*x)^(5/2)*sqrt(d+e*x))
+--R 
+--R
+--R                         B x + A
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1209
+
+--S 1210 of 1293
+r0:=-2/3*(A*b-a*B)*sqrt(d+e*x)/(b*(b*d-a*e)*(a+b*x)^(3/2))-_
+     2/3*(3*b*B*d-2*A*b*e-a*B*e)*sqrt(d+e*x)/(b*(b*d-a*e)^2*sqrt(a+b*x))
+--R 
+--R
+--R                                                                   +-------+
+--R          (((4A b + 2B a)e - 6B b d)x + 6A a e + (- 2A b - 4B a)d)\|e x + d
+--R   (2)  ----------------------------------------------------------------------
+--R            2   2       2        3 2       3 2     2            2 2  +-------+
+--R        ((3a b e  - 6a b d e + 3b d )x + 3a e  - 6a b d e + 3a b d )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1210
+
+--S 1211 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2        3          2             3           2        3
+--R         (((8A a b + 4B a )e - 12B a b d)x + 12A a e + (- 4A a b - 8B a )d)
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                 2         2 2         3         2  2          3       2 2    2
+--R       ((- 3A a b d - 12A a b )e + (A b  + 2B a b )d  + (4A a b  + 8B a b )d)x
+--R     + 
+--R               2           3             2       2   2        2 2        3
+--R       ((- 6A a b d - 24A a b)e + (2A a b  + 4B a b)d  + (8A a b  + 16B a b)d)x
+--R     + 
+--R              3         4         2        3  2        3        4
+--R       (- 3A a d - 12A a )e + (A a b + 2B a )d  + (4A a b + 8B a )d
+--R  /
+--R          4 2 2      3 3        2 4 2  2       5   2      4 2         3 3 2
+--R       (6a b e  - 12a b d e + 6a b d )x  + (12a b e  - 24a b d e + 12a b d )x
+--R     + 
+--R         6 2      5          4 2 2
+--R       6a e  - 12a b d e + 6a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1211
+
+--S 1212 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R                         2                  2                 2
+--R        (- 3A a d - 12A a )e + (A b + 2B a)d  + (4A a b + 8B a )d
+--R   (4)  ---------------------------------------------------------
+--R                         4 2      3          2 2 2
+--R                       6a e  - 12a b d e + 6a b d
+--R                                                    Type: Expression(Integer)
+--E 1212
+
+--S 1213 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1213
+
+)clear all
+
+--S 1214 of 1293
+t0:=(A+B*x)/((a+b*x)^(5/2)*(d+e*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R                                   B x + A
+--R   -----------------------------------------------------------------------
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b e x  + (2a b e + b d)x  + (a e + 2a b d)x + a d)\|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1214
+
+--S 1215 of 1293
+r0:=-2*(B*d-A*e)/(e*(b*d-a*e)*(a+b*x)^(3/2)*sqrt(d+e*x))+_
+     2/3*(3*b*B*d-4*A*b*e+a*B*e)*sqrt(d+e*x)/(e*(b*d-a*e)^2*(a+b*x)^(3/2))-_
+     4/3*(3*b*B*d-4*A*b*e+a*B*e)*sqrt(d+e*x)/((b*d-a*e)^3*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                2           2        2     2
+--R       ((- 16A b  + 4B a b)e  + 12B b d e)x
+--R     + 
+--R                         2  2          2                     2 2         2 2
+--R       ((- 24A a b + 6B a )e  + (- 8A b  + 20B a b)d e + 6B b d )x - 6A a e
+--R     + 
+--R                         2            2           2
+--R       (- 12A a b + 12B a )d e + (2A b  + 4B a b)d
+--R  /
+--R            3   3     2 2   2       3 2      4 3       4 3     3     2
+--R         (3a b e  - 9a b d e  + 9a b d e - 3b d )x + 3a e  - 9a b d e
+--R       + 
+--R           2 2 2        3 3
+--R         9a b d e - 3a b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1215
+
+--S 1216 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    2 2        3     2        2 2 2   2
+--R           ((- 64A a b  + 16B a b)d e  + 48B a b d e)x
+--R         + 
+--R                    3         4    2           2 2        3   2         2 2 3
+--R           ((- 96A a b + 24B a )d e  + (- 32A a b  + 80B a b)d e + 24B a b d )x
+--R         + 
+--R                  4   2           3         4  2         2 2        3   3
+--R           - 24A a d e  + (- 48A a b + 48B a )d e + (8A a b  + 16B a b)d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                  2 2         3 2  3
+--R           (- 3A a b d - 48A a b )e
+--R         + 
+--R                     3       2 2  2           2 3        3 2    2
+--R           ((- 6A a b  + 6B a b )d  + (- 96A a b  + 96B a b )d)e
+--R         + 
+--R                4         3  3           4        2 3  2
+--R           ((A b  + 2B a b )d  + (16A a b  + 32B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  3           4   3
+--R           (- 6A a b d - 96A a b)e
+--R         + 
+--R                    2 2        3   2            3 2         4     2
+--R           ((- 15A a b  + 12B a b)d  + (- 240A a b  + 192B a b)d)e
+--R         + 
+--R                     3        2 2  3           2 3         3 2  2
+--R           ((- 4A a b  + 10B a b )d  + (- 64A a b  + 160B a b )d )e
+--R         + 
+--R               4         3  4           4        2 3  3
+--R           (A b  + 2B a b )d  + (16A a b  + 32B a b )d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  4         5  3
+--R           (- 3A a d - 48A a )e
+--R         + 
+--R                    3        4  2            4         5    2
+--R           ((- 12A a b + 6B a )d  + (- 192A a b + 96B a )d)e
+--R         + 
+--R                    2 2        3   3            3 2         4   2
+--R           ((- 11A a b  + 14B a b)d  + (- 176A a b  + 224B a b)d )e
+--R         + 
+--R                  3       2 2  4         2 3        3 2  3
+--R           (2A a b  + 4B a b )d  + (32A a b  + 64B a b )d
+--R      *
+--R         x
+--R     + 
+--R              4 2        5   2
+--R       (- 3A a d  - 48A a d)e
+--R     + 
+--R               3        4  3           4         5  2         2 2       3   4
+--R       ((- 6A a b + 6B a )d  + (- 96A a b + 96B a )d )e + (A a b  + 2B a b)d
+--R     + 
+--R             3 2        4   3
+--R       (16A a b  + 32B a b)d
+--R  /
+--R           5 2   4      4 3 2 3      3 4 3 2      2 5 4   3
+--R       (12a b d e  - 36a b d e  + 36a b d e  - 12a b d e)x
+--R     + 
+--R           6     4      5 2 2 3      4 3 3 2      3 4 4       2 5 5  2
+--R       (24a b d e  - 60a b d e  + 36a b d e  + 12a b d e - 12a b d )x
+--R     + 
+--R           7   4      6   2 3      5 2 3 2      4 3 4       3 4 5        7 2 3
+--R       (12a d e  - 12a b d e  - 36a b d e  + 60a b d e - 24a b d )x + 12a d e
+--R     + 
+--R            6   3 2      5 2 4       4 3 5
+--R       - 36a b d e  + 36a b d e - 12a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1216
+
+--S 1217 of 1293 ok to fail, differs by a constant
+m0:=a0-r0 
+--R 
+--R
+--R   (4)
+--R              2         3  2                    2  2           2         3
+--R       (- 3A a d - 27A a )e  + ((- 6A a b + 6B a )d  + (- 54A a b + 54B a )d)e
+--R     + 
+--R           2           3          2        2   2
+--R       (A b  + 2B a b)d  + (9A a b  + 18B a b)d
+--R  /
+--R       5   3      4   2 2      3 2 3      2 3 4
+--R     9a d e  - 27a b d e  + 27a b d e - 9a b d
+--R                                                    Type: Expression(Integer)
+--E 1217
+
+--S 1218 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1218
+
+)clear all
+
+--S 1219 of 1293
+t0:=(A+B*x)/((a+b*x)^(5/2)*(d+e*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b e x  + (2a b e  + 2b d e)x  + (a e  + 4a b d e + b d )x
+--R       + 
+--R            2            2      2 2
+--R         (2a d e + 2a b d )x + a d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1219
+
+--S 1220 of 1293
+r0:=-2/3*(B*d-A*e)/(e*(b*d-a*e)*(a+b*x)^(3/2)*(d+e*x)^(3/2))+_
+     2/3*(b*B*d-2*A*b*e+a*B*e)/(e*(b*d-a*e)^2*(a+b*x)^(3/2)*sqrt(d+e*x))-_
+     8/3*(b*B*d-2*A*b*e+a*B*e)/((b*d-a*e)^3*sqrt(a+b*x)*sqrt(d+e*x))-_
+     16/3*e*(b*B*d-2*A*b*e+a*B*e)*sqrt(a+b*x)/((b*d-a*e)^4*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R              3          2  3        3   2  3
+--R       ((32A b  - 16B a b )e  - 16B b d e )x
+--R     + 
+--R                2        2   3         3          2    2        3 2   2
+--R       ((48A a b  - 24B a b)e  + (48A b  - 48B a b )d e  - 24B b d e)x
+--R     + 
+--R                 2        3  3           2        2     2
+--R           (12A a b - 6B a )e  + (72A a b  - 42B a b)d e
+--R         + 
+--R                 3          2  2        3 3
+--R           (12A b  - 42B a b )d e - 6B b d
+--R      *
+--R         x
+--R     + 
+--R             3 3         2        3    2           2        2   2
+--R       - 2A a e  + (18A a b - 4B a )d e  + (18A a b  - 24B a b)d e
+--R     + 
+--R              3         2  3
+--R       (- 2A b  - 4B a b )d
+--R  /
+--R            4   5      3 2   4      2 3 2 3        4 3 2     5 4   2
+--R         (3a b e  - 12a b d e  + 18a b d e  - 12a b d e  + 3b d e)x
+--R       + 
+--R            5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5
+--R         (3a e  - 9a b d e  + 6a b d e  + 6a b d e  - 9a b d e + 3b d )x
+--R       + 
+--R           5   4      4   2 3      3 2 3 2      2 3 4        4 5
+--R         3a d e  - 12a b d e  + 18a b d e  - 12a b d e + 3a b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1220
+
+--S 1221 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 3        3 2  2 3        2 3 3 2  3
+--R           ((64A a b  - 32B a b )d e  - 32B a b d e )x
+--R         + 
+--R                       3 2        4   2 3         2 3        3 2  3 2
+--R                 (96A a b  - 48B a b)d e  + (96A a b  - 96B a b )d e
+--R               + 
+--R                        2 3 4
+--R                 - 48B a b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     4         5  2 3          3 2        4   3 2
+--R               (24A a b - 12B a )d e  + (144A a b  - 84B a b)d e
+--R             + 
+--R                     2 3        3 2  4         2 3 5
+--R               (24A a b  - 84B a b )d e - 12B a b d
+--R          *
+--R             x
+--R         + 
+--R                 5 2 3         4        5  3 2         3 2        4   4
+--R           - 4A a d e  + (36A a b - 8B a )d e  + (36A a b  - 48B a b)d e
+--R         + 
+--R                  2 3       3 2  5
+--R           (- 4A a b  - 8B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R               3 2        4 2  5
+--R           (A a b d + 4A a b )e
+--R         + 
+--R                   2 3       3 2  2           3 3       4 2    4
+--R           ((- 9A a b  + 2B a b )d  + (- 36A a b  + 8B a b )d)e
+--R         + 
+--R                     4        2 3  3           2 4        3 3  2  3
+--R           ((- 9A a b  + 12B a b )d  + (- 36A a b  + 48B a b )d )e
+--R         + 
+--R                5         4  4          5       2 4  3  2
+--R           ((A b  + 2B a b )d  + (4A a b  + 8B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4          5   5
+--R           (2A a b d + 8A a b)e
+--R         + 
+--R                    3 2       4   2           4 2        5     4
+--R           ((- 16A a b  + 4B a b)d  + (- 64A a b  + 16B a b)d)e
+--R         + 
+--R                    2 3        3 2  3            3 3         4 2  2  3
+--R           ((- 36A a b  + 28B a b )d  + (- 144A a b  + 112B a b )d )e
+--R         + 
+--R                      4        2 3  4           2 4         3 3  3  2
+--R           ((- 16A a b  + 28B a b )d  + (- 64A a b  + 112B a b )d )e
+--R         + 
+--R                 5         4  5          5        2 4  4
+--R           ((2A b  + 4B a b )d  + (8A a b  + 16B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               5        6  5           4        5  2           5        6    4
+--R           (A a d + 4A a )e  + ((- 5A a b + 2B a )d  + (- 20A a b + 8B a )d)e
+--R         + 
+--R                    3 2        4   3            4 2        5   2  3
+--R           ((- 44A a b  + 20B a b)d  + (- 176A a b  + 80B a b)d )e
+--R         + 
+--R                    2 3        3 2  4            3 3         4 2  3  2
+--R           ((- 44A a b  + 52B a b )d  + (- 176A a b  + 208B a b )d )e
+--R         + 
+--R                     4        2 3  5           2 4        3 3  4
+--R           ((- 5A a b  + 20B a b )d  + (- 20A a b  + 80B a b )d )e
+--R         + 
+--R               5         4  6          5       2 4  5
+--R           (A b  + 2B a b )d  + (4A a b  + 8B a b )d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                5 2       6   4
+--R           (2A a d  + 8A a d)e
+--R         + 
+--R                    4        5  3           5         6  2  3
+--R           ((- 16A a b + 4B a )d  + (- 64A a b + 16B a )d )e
+--R         + 
+--R                    3 2        4   4            4 2         5   3  2
+--R           ((- 36A a b  + 28B a b)d  + (- 144A a b  + 112B a b)d )e
+--R         + 
+--R                    2 3        3 2  5           3 3         4 2  4
+--R           ((- 16A a b  + 28B a b )d  + (- 64A a b  + 112B a b )d )e
+--R         + 
+--R                  4       2 3  6        2 4        3 3  5
+--R           (2A a b  + 4B a b )d  + (8A a b  + 16B a b )d
+--R      *
+--R         x
+--R     + 
+--R           5 3       6 2  3           4        5  4           5        6  3  2
+--R       (A a d  + 4A a d )e  + ((- 9A a b + 2B a )d  + (- 36A a b + 8B a )d )e
+--R     + 
+--R               3 2        4   5           4 2        5   4
+--R       ((- 9A a b  + 12B a b)d  + (- 36A a b  + 48B a b)d )e
+--R     + 
+--R           2 3       3 2  6        3 3       4 2  5
+--R       (A a b  + 2B a b )d  + (4A a b  + 8B a b )d
+--R  /
+--R          6 2 2 6      5 3 3 5      4 4 4 4      3 5 5 3     2 6 6 2  4
+--R       (6a b d e  - 24a b d e  + 36a b d e  - 24a b d e  + 6a b d e )x
+--R     + 
+--R              7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2
+--R           12a b d e  - 36a b d e  + 24a b d e  + 24a b d e  - 36a b d e
+--R         + 
+--R              2 6 7
+--R           12a b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R          8 2 6      6 2 4 4      5 3 5 3      4 4 6 2     2 6 8  2
+--R       (6a d e  - 54a b d e  + 96a b d e  - 54a b d e  + 6a b d )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7       3 5 8
+--R       (12a d e  - 36a b d e  + 24a b d e  + 24a b d e  - 36a b d e + 12a b d )x
+--R     + 
+--R         8 4 4      7   5 3      6 2 6 2      5 3 7      4 4 8
+--R       6a d e  - 24a b d e  + 36a b d e  - 24a b d e + 6a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1221
+
+--S 1222 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R           3        4  3           2        3  2           3        4    2
+--R       (A a d + 4A a )e  + ((- 9A a b + 2B a )d  + (- 36A a b + 8B a )d)e
+--R     + 
+--R                 2        2   3           2 2        3   2
+--R       ((- 9A a b  + 12B a b)d  + (- 36A a b  + 48B a b)d )e
+--R     + 
+--R           3         2  4          3       2 2  3
+--R       (A b  + 2B a b )d  + (4A a b  + 8B a b )d
+--R  /
+--R       6 2 4      5   3 3      4 2 4 2      3 3 5      2 4 6
+--R     6a d e  - 24a b d e  + 36a b d e  - 24a b d e + 6a b d
+--R                                                    Type: Expression(Integer)
+--E 1222
+
+--S 1223 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1223
+
+)clear all
+
+--S 1224 of 1293
+t0:=(A+B*x)/((a+b*x)^(5/2)*(d+e*x)^(7/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          2 3 5          3     2   2  4     2 3           2     2 2   3
+--R         b e x  + (2a b e  + 3b d e )x  + (a e  + 6a b d e  + 3b d e)x
+--R       + 
+--R            2   2         2     2 3  2      2 2          3      2 3
+--R         (3a d e  + 6a b d e + b d )x  + (3a d e + 2a b d )x + a d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1224
+
+--S 1225 of 1293
+r0:=-2/3*(A*b-a*B)/(b*(b*d-a*e)*(a+b*x)^(3/2)*(d+e*x)^(5/2))-_
+     2/3*(3*b*B*d-8*A*b*e+5*a*B*e)/(b*(b*d-a*e)^2*_
+     (d+e*x)^(5/2)*sqrt(a+b*x))-4/5*e*(3*b*B*d-8*A*b*e+5*a*B*e)*_
+     sqrt(a+b*x)/(b*(b*d-a*e)^3*(d+e*x)^(5/2))-16/15*e*_
+     (3*b*B*d-8*A*b*e+5*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^4*(d+e*x)^(3/2))-_
+     32/15*b*e*(3*b*B*d-8*A*b*e+5*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^5*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                 4           3  4        4   3  4
+--R       ((- 256A b  + 160B a b )e  + 96B b d e )x
+--R     + 
+--R                        3         2 2  4            4           3    3
+--R             (- 384A a b  + 240B a b )e  + (- 640A b  + 544B a b )d e
+--R           + 
+--R                   4 2 2
+--R             240B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   2 2        3   4              3         2 2    3
+--R           (- 96A a b  + 60B a b)e  + (- 960A a b  + 636B a b )d e
+--R         + 
+--R                    4           3  2 2         4 3
+--R           (- 480A b  + 660B a b )d e  + 180B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 3         4  4            2 2         3     3
+--R           (16A a b - 10B a )e  + (- 240A a b  + 144B a b)d e
+--R         + 
+--R                      3         2 2  2 2           4           3  3         4 4
+--R           (- 720A a b  + 540B a b )d e  + (- 80A b  + 320B a b )d e + 30B b d
+--R      *
+--R         x
+--R     + 
+--R             4 4         3        4    3            2 2        3   2 2
+--R       - 6A a e  + (40A a b - 4B a )d e  + (- 180A a b  + 60B a b)d e
+--R     + 
+--R                  3         2 2  3          4          3  4
+--R       (- 120A a b  + 180B a b )d e + (10A b  + 20B a b )d
+--R  /
+--R                5   7      4 2   6       3 3 2 5       2 4 3 4        5 4 3
+--R             15a b e  - 75a b d e  + 150a b d e  - 150a b d e  + 75a b d e
+--R           + 
+--R                  6 5 2
+--R             - 15b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                6 7      5     6       3 3 3 4       2 4 4 3         5 5 2
+--R             15a e  - 45a b d e  + 150a b d e  - 225a b d e  + 135a b d e
+--R           + 
+--R                  6 6
+--R             - 30b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                6   6       5   2 5       4 2 3 4       3 3 4 3        5 6
+--R             30a d e  - 135a b d e  + 225a b d e  - 150a b d e  + 45a b d e
+--R           + 
+--R                  6 7
+--R             - 15b d
+--R        *
+--R           x
+--R       + 
+--R          6 2 5      5   3 4       4 2 4 3       3 3 5 2      2 4 6         5 7
+--R       15a d e  - 75a b d e  + 150a b d e  - 150a b d e  + 75a b d e - 15a b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1225
+
+--S 1226 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     2 4         3 3  3 4         2 4 4 3  4
+--R           ((- 768A a b  + 480B a b )d e  + 288B a b d e )x
+--R         + 
+--R                         3 3         4 2  3 4             2 4          3 3  4 3
+--R               (- 1152A a b  + 720B a b )d e  + (- 1920A a b  + 1632B a b )d e
+--R             + 
+--R                     2 4 5 2
+--R               720B a b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        4 2         5   3 4             3 3          4 2  4 3
+--R               (- 288A a b  + 180B a b)d e  + (- 2880A a b  + 1908B a b )d e
+--R             + 
+--R                         2 4          3 3  5 2         2 4 6
+--R               (- 1440A a b  + 1980B a b )d e  + 540B a b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     5         6  3 4            4 2         5   4 3
+--R               (48A a b - 30B a )d e  + (- 720A a b  + 432B a b)d e
+--R             + 
+--R                         3 3          4 2  5 2            2 4         3 3  6
+--R               (- 2160A a b  + 1620B a b )d e  + (- 240A a b  + 960B a b )d e
+--R             + 
+--R                    2 4 7
+--R               90B a b d
+--R          *
+--R             x
+--R         + 
+--R                  6 3 4          5         6  4 3            4 2         5   5 2
+--R           - 18A a d e  + (120A a b - 12B a )d e  + (- 540A a b  + 180B a b)d e
+--R         + 
+--R                    3 3         4 2  6          2 4        3 3  7
+--R           (- 360A a b  + 540B a b )d e + (30A a b  + 60B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                4 2         5 2  7
+--R           (3A a b d + 27A a b )e
+--R         + 
+--R                    3 3       4 2  2            4 3        5 2    6
+--R           ((- 20A a b  + 2B a b )d  + (- 180A a b  + 18B a b )d)e
+--R         + 
+--R                  2 4        3 3  3          3 4         4 3  2  5
+--R           ((90A a b  - 30B a b )d  + (810A a b  - 270B a b )d )e
+--R         + 
+--R                    5        2 4  4          2 5         3 4  3  4
+--R           ((60A a b  - 90B a b )d  + (540A a b  - 810B a b )d )e
+--R         + 
+--R                   6          5  5             6        2 5  4  3
+--R           ((- 5A b  - 10B a b )d  + (- 45A a b  - 90B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                5           6   7
+--R           (6A a b d + 54A a b)e
+--R         + 
+--R                    4 2       5   2            5 2        6     6
+--R           ((- 31A a b  + 4B a b)d  + (- 279A a b  + 36B a b)d)e
+--R         + 
+--R                   3 3        4 2  3           4 3         5 2  2  5
+--R           ((120A a b  - 54B a b )d  + (1080A a b  - 486B a b )d )e
+--R         + 
+--R                   2 4         3 3  4           3 4          4 3  3  4
+--R           ((390A a b  - 270B a b )d  + (3510A a b  - 2430B a b )d )e
+--R         + 
+--R                     5         2 4  5           2 5          3 4  4  3
+--R           ((170A a b  - 290B a b )d  + (1530A a b  - 2610B a b )d )e
+--R         + 
+--R                    6          5  6              6         2 5  5  2
+--R           ((- 15A b  - 30B a b )d  + (- 135A a b  - 270B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                6         7  7
+--R           (3A a d + 27A a )e
+--R         + 
+--R                   5        6  2           6         7    6
+--R           ((- 2A a b + 2B a )d  + (- 18A a b + 18B a )d)e
+--R         + 
+--R                    4 2        5   3            5 2         6   2  5
+--R           ((- 21A a b  - 18B a b)d  + (- 189A a b  - 162B a b)d )e
+--R         + 
+--R                   3 3         4 2  4           4 3          5 2  3  4
+--R           ((540A a b  - 264B a b )d  + (4860A a b  - 2376B a b )d )e
+--R         + 
+--R                   2 4         3 3  5           3 4          4 3  4  3
+--R           ((625A a b  - 640B a b )d  + (5625A a b  - 5760B a b )d )e
+--R         + 
+--R                     5         2 4  6           2 5          3 4  5  2
+--R           ((150A a b  - 330B a b )d  + (1350A a b  - 2970B a b )d )e
+--R         + 
+--R                    6          5  7              6         2 5  6
+--R           ((- 15A b  - 30B a b )d  + (- 135A a b  - 270B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                6 2        7   6
+--R           (9A a d  + 81A a d)e
+--R         + 
+--R                    5        6  3            6         7  2  5
+--R           ((- 42A a b + 6B a )d  + (- 378A a b + 54B a )d )e
+--R         + 
+--R                   4 2        5   4           5 2         6   3  4
+--R           ((153A a b  - 78B a b)d  + (1377A a b  - 702B a b)d )e
+--R         + 
+--R                   3 3         4 2  5           4 3          5 2  4  3
+--R           ((700A a b  - 448B a b )d  + (6300A a b  - 4032B a b )d )e
+--R         + 
+--R                   2 4         3 3  6           3 4          4 3  5  2
+--R           ((435A a b  - 600B a b )d  + (3915A a b  - 5400B a b )d )e
+--R         + 
+--R                    5         2 4  7          2 5          3 4  6
+--R           ((30A a b  - 150B a b )d  + (270A a b  - 1350B a b )d )e
+--R         + 
+--R                  6          5  8             6        2 5  7
+--R           (- 5A b  - 10B a b )d  + (- 45A a b  - 90B a b )d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6 3        7 2  5
+--R           (9A a d  + 81A a d )e
+--R         + 
+--R                    5        6  4            6         7  3  4
+--R           ((- 54A a b + 6B a )d  + (- 486A a b + 54B a )d )e
+--R         + 
+--R                   4 2        5   5           5 2         6   4  3
+--R           ((230A a b  - 86B a b)d  + (2070A a b  - 774B a b)d )e
+--R         + 
+--R                   3 3         4 2  6           4 3          5 2  5  2
+--R           ((360A a b  - 330B a b )d  + (3240A a b  - 2970B a b )d )e
+--R         + 
+--R                   2 4         3 3  7          3 4          4 3  6
+--R           ((105A a b  - 210B a b )d  + (945A a b  - 1890B a b )d )e
+--R         + 
+--R                     5        2 4  8           2 5         3 4  7
+--R           (- 10A a b  - 20B a b )d  + (- 90A a b  - 180B a b )d
+--R      *
+--R         x
+--R     + 
+--R            6 4        7 3  4
+--R       (3A a d  + 27A a d )e
+--R     + 
+--R                5        6  5            6         7  4  3
+--R       ((- 20A a b + 2B a )d  + (- 180A a b + 18B a )d )e
+--R     + 
+--R              4 2        5   6          5 2         6   5  2
+--R       ((90A a b  - 30B a b)d  + (810A a b  - 270B a b)d )e
+--R     + 
+--R              3 3        4 2  7          4 3         5 2  6
+--R       ((60A a b  - 90B a b )d  + (540A a b  - 810B a b )d )e
+--R     + 
+--R              2 4        3 3  8           3 4        4 3  7
+--R       (- 5A a b  - 10B a b )d  + (- 45A a b  - 90B a b )d
+--R  /
+--R              7 2 3 8       6 3 4 7       5 4 5 6       4 5 6 5       3 6 7 4
+--R           45a b d e  - 225a b d e  + 450a b d e  - 450a b d e  + 225a b d e
+--R         + 
+--R                2 7 8 3
+--R           - 45a b d e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              8   3 8       7 2 4 7       6 3 5 6       5 4 6 5       4 5 7 4
+--R           90a b d e  - 315a b d e  + 225a b d e  + 450a b d e  - 900a b d e
+--R         + 
+--R               3 6 8 3       2 7 9 2
+--R           585a b d e  - 135a b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              9 3 8      8   4 7       7 2 5 6        6 3 6 5        5 4 7 4
+--R           45a d e  + 45a b d e  - 765a b d e  + 1575a b d e  - 1125a b d e
+--R         + 
+--R                4 5 8 3       3 6 9 2       2 7 10
+--R           - 45a b d e  + 405a b d e  - 135a b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               9 4 7       8   5 6      7 2 6 5        6 3 7 4        5 4 8 3
+--R           135a d e  - 405a b d e  + 45a b d e  + 1125a b d e  - 1575a b d e
+--R         + 
+--R               4 5 9 2      3 6 10       2 7 11
+--R           765a b d e  - 45a b d  e - 45a b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               9 5 6       8   6 5       7 2 7 4       6 3 8 3       5 4 9 2
+--R           135a d e  - 585a b d e  + 900a b d e  - 450a b d e  - 225a b d e
+--R         + 
+--R               4 5 10       3 6 11
+--R           315a b d  e - 90a b d
+--R      *
+--R         x
+--R     + 
+--R          9 6 5       8   7 4       7 2 8 3       6 3 9 2       5 4 10
+--R       45a d e  - 225a b d e  + 450a b d e  - 450a b d e  + 225a b d  e
+--R     + 
+--R            4 5 11
+--R       - 45a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1226
+
+--S 1227 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R            4         5  4            3        4  2            4         5    3
+--R       (3A a d + 27A a )e  + ((- 20A a b + 2B a )d  + (- 180A a b + 18B a )d)e
+--R     + 
+--R              2 2        3   3          3 2         4   2  2
+--R       ((90A a b  - 30B a b)d  + (810A a b  - 270B a b)d )e
+--R     + 
+--R                3        2 2  4          2 3         3 2  3
+--R       ((60A a b  - 90B a b )d  + (540A a b  - 810B a b )d )e
+--R     + 
+--R              4          3  5             4        2 3  4
+--R       (- 5A b  - 10B a b )d  + (- 45A a b  - 90B a b )d
+--R  /
+--R        7 3 5       6   4 4       5 2 5 3       4 3 6 2       3 4 7       2 5 8
+--R     45a d e  - 225a b d e  + 450a b d e  - 450a b d e  + 225a b d e - 45a b d
+--R                                                    Type: Expression(Integer)
+--E 1227
+
+--S 1228 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1228
+
+)clear all
+
+--S 1229 of 1293
+t0:=(A+B*x)/((a+b*x)^(5/2)*(d+e*x)^(9/2))
+--R 
+--R
+--R   (1)
+--R     B x + A
+--R  /
+--R          2 4 6          4     2   3  5     2 4           3     2 2 2  4
+--R         b e x  + (2a b e  + 4b d e )x  + (a e  + 8a b d e  + 6b d e )x
+--R       + 
+--R            2   3          2 2     2 3   3      2 2 2         3     2 4  2
+--R         (4a d e  + 12a b d e  + 4b d e)x  + (6a d e  + 8a b d e + b d )x
+--R       + 
+--R            2 3          4      2 4
+--R         (4a d e + 2a b d )x + a d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1229
+
+--S 1230 of 1293
+r0:=-2/3*(A*b-a*B)/(b*(b*d-a*e)*(a+b*x)^(3/2)*(d+e*x)^(7/2))-_
+     2/3*(3*b*B*d-10*A*b*e+7*a*B*e)/(b*(b*d-a*e)^2*(d+e*x)^(7/2)*_
+     sqrt(a+b*x))-16/21*e*(3*b*B*d-10*A*b*e+7*a*B*e)*sqrt(a+b*x)/_
+     (b*(b*d-a*e)^3*(d+e*x)^(7/2))-32/35*e*(3*b*B*d-10*A*b*e+7*a*B*e)*_
+     sqrt(a+b*x)/((b*d-a*e)^4*(d+e*x)^(5/2))-128/105*b*e*_
+     (3*b*B*d-10*A*b*e+7*a*B*e)*sqrt(a+b*x)/((b*d-a*e)^5*(d+e*x)^(3/2))-_
+     256/105*b^2*e*(3*b*B*d-10*A*b*e+7*a*B*e)*sqrt(a+b*x)/_
+     ((b*d-a*e)^6*sqrt(d+e*x))
+--R 
+--R
+--R   (2)
+--R                5            4  5         5   4  5
+--R       ((2560A b  - 1792B a b )e  - 768B b d e )x
+--R     + 
+--R                     4          2 3  5           5            4    4
+--R           (3840A a b  - 2688B a b )e  + (8960A b  - 7424B a b )d e
+--R         + 
+--R                    5 2 3
+--R           - 2688B b d e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  2 3         3 2  5              4          2 3    4
+--R           (960A a b  - 672B a b )e  + (13440A a b  - 9696B a b )d e
+--R         + 
+--R                    5             4  2 3          5 3 2
+--R           (11200A b  - 11872B a b )d e  - 3360B b d e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    3 2         4   5           2 3          3 2    4
+--R           (- 160A a b  + 112B a b)e  + (3360A a b  - 2304B a b )d e
+--R         + 
+--R                      4           2 3  2 3           5            4  3 2
+--R           (16800A a b  - 12768B a b )d e  + (5600A b  - 8960B a b )d e
+--R         + 
+--R                    5 4
+--R           - 1680B b d e
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 4         5  5            3 2         4     4
+--R           (60A a b - 42B a )e  + (- 560A a b  + 374B a b)d e
+--R         + 
+--R                   2 3          3 2  2 3             4          2 3  3 2
+--R           (4200A a b  - 2772B a b )d e  + (8400A a b  - 7140B a b )d e
+--R         + 
+--R                  5            4  4          5 5
+--R           (700A b  - 3010B a b )d e - 210B b d
+--R      *
+--R         x
+--R     + 
+--R              5 5          4         5    4            3 2         4   2 3
+--R       - 30A a e  + (210A a b - 12B a )d e  + (- 700A a b  + 112B a b)d e
+--R     + 
+--R               2 3         3 2  3 2             4          2 3  4
+--R       (2100A a b  - 840B a b )d e  + (1050A a b  - 1680B a b )d e
+--R     + 
+--R               5           4  5
+--R       (- 70A b  - 140B a b )d
+--R  /
+--R                 6   9       5 2   8        4 3 2 7        3 4 3 6
+--R             105a b e  - 630a b d e  + 1575a b d e  - 2100a b d e
+--R           + 
+--R                  2 5 4 5         6 5 4       7 6 3
+--R             1575a b d e  - 630a b d e  + 105b d e
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                 7 9       6     8       5 2 2 7        4 3 3 6        3 4 4 5
+--R             105a e  - 315a b d e  - 315a b d e  + 2625a b d e  - 4725a b d e
+--R           + 
+--R                  2 5 5 4          6 6 3       7 7 2
+--R             4095a b d e  - 1785a b d e  + 315b d e
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                 7   8        6   2 7        5 2 3 6        4 3 4 5
+--R             315a d e  - 1575a b d e  + 2835a b d e  - 1575a b d e
+--R           + 
+--R                    3 4 5 4        2 5 6 3          6 7 2       7 8
+--R             - 1575a b d e  + 2835a b d e  - 1575a b d e  + 315b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 7 2 7        6   3 6        5 2 4 5        4 3 5 4
+--R             315a d e  - 1785a b d e  + 4095a b d e  - 4725a b d e
+--R           + 
+--R                  3 4 6 3       2 5 7 2         6 8        7 9
+--R             2625a b d e  - 315a b d e  - 315a b d e + 105b d
+--R        *
+--R           x
+--R       + 
+--R             7 3 6       6   4 5        5 2 5 4        4 3 6 3        3 4 7 2
+--R         105a d e  - 630a b d e  + 1575a b d e  - 2100a b d e  + 1575a b d e
+--R       + 
+--R               2 5 8          6 9
+--R         - 630a b d e + 105a b d
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|e x + d
+--R                                                    Type: Expression(Integer)
+--E 1230
+
+--S 1231 of 1293 ok to fail, differs by a constant
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                     2 5          3 4  4 5          2 5 5 4  5
+--R           ((12800A a b  - 8960B a b )d e  - 3840B a b d e )x
+--R         + 
+--R                        3 4           4 3  4 5            2 5           3 4  5 4
+--R               (19200A a b  - 13440B a b )d e  + (44800A a b  - 37120B a b )d e
+--R             + 
+--R                         2 5 6 3
+--R               - 13440B a b d e
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       4 3          5 2  4 5            3 4           4 3  5 4
+--R               (4800A a b  - 3360B a b )d e  + (67200A a b  - 48480B a b )d e
+--R             + 
+--R                        2 5           3 4  6 3           2 5 7 2
+--R               (56000A a b  - 59360B a b )d e  - 16800B a b d e
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                        5 2         6   4 5            4 3           5 2  5 4
+--R               (- 800A a b  + 560B a b)d e  + (16800A a b  - 11520B a b )d e
+--R             + 
+--R                        3 4           4 3  6 3            2 5           3 4  7 2
+--R               (84000A a b  - 63840B a b )d e  + (28000A a b  - 44800B a b )d e
+--R             + 
+--R                        2 5 8
+--R               - 8400B a b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      6          7  4 5             5 2          6   5 4
+--R               (300A a b - 210B a )d e  + (- 2800A a b  + 1870B a b)d e
+--R             + 
+--R                        4 3           5 2  6 3            3 4           4 3  7 2
+--R               (21000A a b  - 13860B a b )d e  + (42000A a b  - 35700B a b )d e
+--R             + 
+--R                       2 5           3 4  8           2 5 9
+--R               (3500A a b  - 15050B a b )d e - 1050B a b d
+--R          *
+--R             x
+--R         + 
+--R                   7 4 5           6         7  5 4
+--R           - 150A a d e  + (1050A a b - 60B a )d e
+--R         + 
+--R                     5 2         6   6 3            4 3          5 2  7 2
+--R           (- 3500A a b  + 560B a b)d e  + (10500A a b  - 4200B a b )d e
+--R         + 
+--R                   3 4          4 3  8             2 5         3 4  9
+--R           (5250A a b  - 8400B a b )d e + (- 350A a b  - 700B a b )d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|e x + d
+--R     + 
+--R                   5 2          6 2  9
+--R           (- 15A a b d - 375A a b )e
+--R         + 
+--R                   4 3       5 2  2           5 3         6 2    8
+--R           ((105A a b  - 6B a b )d  + (2625A a b  - 150B a b )d)e
+--R         + 
+--R                     3 4        4 3  3             4 4          5 3  2  7
+--R           ((- 350A a b  + 56B a b )d  + (- 8750A a b  + 1400B a b )d )e
+--R         + 
+--R                    2 5         3 4  4            3 5           4 4  3  6
+--R           ((1050A a b  - 420B a b )d  + (26250A a b  - 10500B a b )d )e
+--R         + 
+--R                     6         2 5  5            2 6           3 5  4  5
+--R           ((525A a b  - 840B a b )d  + (13125A a b  - 21000B a b )d )e
+--R         + 
+--R                    7          6  6              7          2 6  5  4
+--R           ((- 35A b  - 70B a b )d  + (- 875A a b  - 1750B a b )d )e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   6            7   9
+--R           (- 30A a b d - 750A a b)e
+--R         + 
+--R                   5 2        6   2           6 2         7     8
+--R           ((150A a b  - 12B a b)d  + (3750A a b  - 300B a b)d)e
+--R         + 
+--R                     4 3        5 2  3             5 3          6 2  2  7
+--R           ((- 280A a b  + 88B a b )d  + (- 7000A a b  + 2200B a b )d )e
+--R         + 
+--R                   3 4         4 3  4            4 4           5 3  3  6
+--R           ((700A a b  - 616B a b )d  + (17500A a b  - 15400B a b )d )e
+--R         + 
+--R                    2 5          3 4  5             3 5           4 4  4  5
+--R           ((5250A a b  - 3360B a b )d  + (131250A a b  - 84000B a b )d )e
+--R         + 
+--R                      6          2 5  6            2 6           3 5  5  4
+--R           ((2030A a b  - 3500B a b )d  + (50750A a b  - 87500B a b )d )e
+--R         + 
+--R                     7           6  7               7          2 6  6  3
+--R           ((- 140A b  - 280B a b )d  + (- 3500A a b  - 7000B a b )d )e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   7          8  9
+--R           (- 15A a d - 375A a )e
+--R         + 
+--R                    6        7  2            7          8    8
+--R           ((- 15A a b - 6B a )d  + (- 375A a b - 150B a )d)e
+--R         + 
+--R                   5 2       6   3            6 2         7   2  7
+--R           ((400A a b  + 8B a b)d  + (10000A a b  + 200B a b)d )e
+--R         + 
+--R                      4 3       5 2  4              5 3         6 2  3  6
+--R           ((- 1120A a b  - 8B a b )d  + (- 28000A a b  - 200B a b )d )e
+--R         + 
+--R                    3 4          4 3  5             4 4           5 3  4  5
+--R           ((6825A a b  - 3864B a b )d  + (170625A a b  - 96600B a b )d )e
+--R         + 
+--R                     2 5          3 4  6             3 5            4 4  5  4
+--R           ((10465A a b  - 9310B a b )d  + (261625A a b  - 232750B a b )d )e
+--R         + 
+--R                      6          2 5  7            2 6            3 5  6  3
+--R           ((2870A a b  - 5600B a b )d  + (71750A a b  - 140000B a b )d )e
+--R         + 
+--R                     7           6  8               7           2 6  7  2
+--R           ((- 210A b  - 420B a b )d  + (- 5250A a b  - 10500B a b )d )e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   7 2          8   8
+--R           (- 60A a d  - 1500A a d)e
+--R         + 
+--R                   6         7  3           7          8  2  7
+--R           ((240A a b - 24B a )d  + (6000A a b - 600B a )d )e
+--R         + 
+--R                     5 2         6   4             6 2          7   3  6
+--R           ((- 200A a b  + 152B a b)d  + (- 5000A a b  + 3800B a b)d )e
+--R         + 
+--R                   4 3          5 2  5            5 3           6 2  4  5
+--R           ((420A a b  - 1032B a b )d  + (10500A a b  - 25800B a b )d )e
+--R         + 
+--R                     3 4          4 3  6             4 4            5 3  5  4
+--R           ((13300A a b  - 8176B a b )d  + (332500A a b  - 204400B a b )d )e
+--R         + 
+--R                     2 5           3 4  7             3 5            4 4  6  3
+--R           ((10360A a b  - 12040B a b )d  + (259000A a b  - 301000B a b )d )e
+--R         + 
+--R                      6          2 5  8            2 6            3 5  7  2
+--R           ((1680A a b  - 4200B a b )d  + (42000A a b  - 105000B a b )d )e
+--R         + 
+--R                     7           6  9               7          2 6  8
+--R           ((- 140A b  - 280B a b )d  + (- 3500A a b  - 7000B a b )d )e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   7 3          8 2  7
+--R           (- 90A a d  - 2250A a d )e
+--R         + 
+--R                   6         7  4            7          8  3  6
+--R           ((510A a b - 36B a )d  + (12750A a b - 900B a )d )e
+--R         + 
+--R                      5 2         6   5              6 2          7   4  5
+--R           ((- 1275A a b  + 288B a b)d  + (- 31875A a b  + 7200B a b)d )e
+--R         + 
+--R                    4 3          5 2  6            5 3           6 2  5  4
+--R           ((3605A a b  - 2078B a b )d  + (90125A a b  - 51950B a b )d )e
+--R         + 
+--R                     3 4          4 3  7             4 4            5 3  6  3
+--R           ((11200A a b  - 8344B a b )d  + (280000A a b  - 208600B a b )d )e
+--R         + 
+--R                    2 5          3 4  8             3 5            4 4  7  2
+--R           ((5040A a b  - 7560B a b )d  + (126000A a b  - 189000B a b )d )e
+--R         + 
+--R                     6          2 5  9           2 6           3 5  8
+--R           ((245A a b  - 1400B a b )d  + (6125A a b  - 35000B a b )d )e
+--R         + 
+--R                   7          6  10              7          2 6  9
+--R           (- 35A b  - 70B a b )d   + (- 875A a b  - 1750B a b )d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   7 4          8 3  6
+--R           (- 60A a d  - 1500A a d )e
+--R         + 
+--R                   6         7  5           7          8  4  5
+--R           ((390A a b - 24B a )d  + (9750A a b - 600B a )d )e
+--R         + 
+--R                      5 2         6   6              6 2          7   5  4
+--R           ((- 1190A a b  + 212B a b)d  + (- 29750A a b  + 5300B a b)d )e
+--R         + 
+--R                    4 3          5 2  7            5 3           6 2  6  3
+--R           ((3500A a b  - 1568B a b )d  + (87500A a b  - 39200B a b )d )e
+--R         + 
+--R                    3 4          4 3  8             4 4            5 3  7  2
+--R           ((4200A a b  - 4200B a b )d  + (105000A a b  - 105000B a b )d )e
+--R         + 
+--R                   2 5          3 4  9            3 5           4 4  8
+--R           ((910A a b  - 1960B a b )d  + (22750A a b  - 49000B a b )d )e
+--R         + 
+--R                     6         2 5  10             2 6          3 5  9
+--R           (- 70A a b  - 140B a b )d   + (- 1750A a b  - 3500B a b )d
+--R      *
+--R         x
+--R     + 
+--R               7 5         8 4  5
+--R       (- 15A a d  - 375A a d )e
+--R     + 
+--R               6        7  6           7          8  5  4
+--R       ((105A a b - 6B a )d  + (2625A a b - 150B a )d )e
+--R     + 
+--R                 5 2        6   7             6 2          7   6  3
+--R       ((- 350A a b  + 56B a b)d  + (- 8750A a b  + 1400B a b)d )e
+--R     + 
+--R                4 3         5 2  8            5 3           6 2  7  2
+--R       ((1050A a b  - 420B a b )d  + (26250A a b  - 10500B a b )d )e
+--R     + 
+--R               3 4         4 3  9            4 4           5 3  8
+--R       ((525A a b  - 840B a b )d  + (13125A a b  - 21000B a b )d )e
+--R     + 
+--R               2 5        3 4  10            3 5          4 4  9
+--R       (- 35A a b  - 70B a b )d   + (- 875A a b  - 1750B a b )d
+--R  /
+--R               8 2 4 10        7 3 5 9        6 4 6 8         5 5 7 7
+--R           525a b d e   - 3150a b d e  + 7875a b d e  - 10500a b d e
+--R         + 
+--R                4 6 8 6        3 7 9 5       2 8 10 4
+--R           7875a b d e  - 3150a b d e  + 525a b d  e
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                9   4 10        8 2 5 9        7 3 6 8         6 4 7 7
+--R           1050a b d e   - 4200a b d e  + 3150a b d e  + 10500a b d e
+--R         + 
+--R                   5 5 8 6         4 6 9 5         3 7 10 4        2 8 11 3
+--R           - 26250a b d e  + 25200a b d e  - 11550a b d  e  + 2100a b d  e
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               10 4 10        9   5 9         8 2 6 8         7 3 7 7
+--R           525a  d e   + 1050a b d e  - 14175a b d e  + 33600a b d e
+--R         + 
+--R                   6 4 8 6        5 5 9 5         4 6 10 4         3 7 11 3
+--R           - 28875a b d e  - 3150a b d e  + 22575a b d  e  - 14700a b d  e
+--R         + 
+--R                2 8 12 2
+--R           3150a b d  e
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                10 5 9        9   6 8        8 2 7 7         7 3 8 6
+--R           2100a  d e  - 6300a b d e  - 4200a b d e  + 39900a b d e
+--R         + 
+--R                   6 4 9 5         5 5 10 4        4 6 11 3        3 7 12 2
+--R           - 63000a b d e  + 39900a b d  e  - 4200a b d  e  - 6300a b d  e
+--R         + 
+--R                2 8 13
+--R           2100a b d  e
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                10 6 8         9   7 7         8 2 8 6        7 3 9 5
+--R           3150a  d e  - 14700a b d e  + 22575a b d e  - 3150a b d e
+--R         + 
+--R                   6 4 10 4         5 5 11 3         4 6 12 2        3 7 13
+--R           - 28875a b d  e  + 33600a b d  e  - 14175a b d  e  + 1050a b d  e
+--R         + 
+--R               2 8 14
+--R           525a b d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                10 7 7         9   8 6         8 2 9 5         7 3 10 4
+--R           2100a  d e  - 11550a b d e  + 25200a b d e  - 26250a b d  e
+--R         + 
+--R                 6 4 11 3        5 5 12 2        4 6 13         3 7 14
+--R           10500a b d  e  + 3150a b d  e  - 4200a b d  e + 1050a b d
+--R      *
+--R         x
+--R     + 
+--R           10 8 6        9   9 5        8 2 10 4         7 3 11 3
+--R       525a  d e  - 3150a b d e  + 7875a b d  e  - 10500a b d  e
+--R     + 
+--R            6 4 12 2        5 5 13        4 6 14
+--R       7875a b d  e  - 3150a b d  e + 525a b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1231
+
+--S 1232 of 1293 ok to fail, differs by a constant
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R               5          6  5
+--R       (- 15A a d - 375A a )e
+--R     + 
+--R               4        5  2           5          6    4
+--R       ((105A a b - 6B a )d  + (2625A a b - 150B a )d)e
+--R     + 
+--R                 3 2        4   3             4 2          5   2  3
+--R       ((- 350A a b  + 56B a b)d  + (- 8750A a b  + 1400B a b)d )e
+--R     + 
+--R                2 3         3 2  4            3 3           4 2  3  2
+--R       ((1050A a b  - 420B a b )d  + (26250A a b  - 10500B a b )d )e
+--R     + 
+--R                 4         2 3  5            2 4           3 3  4
+--R       ((525A a b  - 840B a b )d  + (13125A a b  - 21000B a b )d )e
+--R     + 
+--R               5          4  6              5          2 4  5
+--R       (- 35A b  - 70B a b )d  + (- 875A a b  - 1750B a b )d
+--R  /
+--R           8 4 6        7   5 5        6 2 6 4         5 3 7 3        4 4 8 2
+--R       525a d e  - 3150a b d e  + 7875a b d e  - 10500a b d e  + 7875a b d e
+--R     + 
+--R              3 5 9        2 6 10
+--R       - 3150a b d e + 525a b d
+--R                                                    Type: Expression(Integer)
+--E 1232
+
+--S 1233 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1233
+
+)clear all
+
+--S 1234 of 1293
+t0:=(a+b*x)*(c+d*x)^n/(e+f*x)^n
+--R 
+--R
+--R                          n
+--R        (b x + a)(d x + c)
+--R   (1)  -------------------
+--R                      n
+--R             (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1234
+
+--S 1235 of 1293
+--r0:=1/2*b*(c+d*x)^(1+n)*(e+f*x)^(1-n)/(d*f)+1/2*(2*a*d*f-b*(c*f*(1-n)+_
+--d*e*(1+n)))*(c+d*x)^n*(e+f*x)^(1-n)*_
+--hypergeometric(1-n,-n,2-n,d*(e+f*x)/(d*e-c*f))/_
+--(d*f^2*(1-n)*(-f*(c+d*x)/(d*e-c*f))^n)
+--E 1235
+
+--S 1236 of 1293
+--a0:=integrate(t0,x)
+--E 1236
+
+--S 1237 of 1293
+--m0:=a0-r0
+--E 1237
+
+--S 1238 of 1293
+--d0:=D(m0,x)
+--E 1238
+
+)clear all
+
+--S 1239 of 1293
+t0:=(a+b*x)*(c+d*x)^(-1+n)/(e+f*x)^n
+--R 
+--R
+--R                          n - 1
+--R        (b x + a)(d x + c)
+--R   (1)  -----------------------
+--R                        n
+--R               (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1239
+
+--S 1240 of 1293
+--r0:=-(b*c-a*d)*(c+d*x)^n*(e+f*x)^(1-n)/(d*(d*e-c*f)*n)-(a*d*f-b*(c*f*(1-n)+_
+--d*e*n))*(c+d*x)^n*(e+f*x)^(1-n)*_
+--hypergeometric(1-n,-n,2-n,d*(e+f*x)/(d*e-c*f))/(d*f*(d*e-c*f)*(1-n)*n*_
+--(-f*(c+d*x)/(d*e-c*f))^n)
+--E 1240
+
+--S 1241 of 1293
+--a0:=integrate(t0,x)
+--E 1241
+
+--S 1242 of 1293
+--m0:=a0-r0
+--E 1242
+
+--S 1243 of 1293
+--d0:=D(m0,x)
+--E 1243
+
+)clear all
+
+--S 1244 of 1293
+t0:=(a+b*x)*(c+d*x)^(-2+n)/(e+f*x)^n
+--R 
+--R
+--R                          n - 2
+--R        (b x + a)(d x + c)
+--R   (1)  -----------------------
+--R                        n
+--R               (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1244
+
+--S 1245 of 1293
+--r0:=(b*c-a*d)*(c+d*x)^(-1+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)*(1-n))+_
+--b*(c+d*x)^n*(e+f*x)^(1-n)/(d*(d*e-c*f)*n)-b*(c+d*x)^n*(e+f*x)^(1-n)*_
+--hypergeometric(1-n,-n,2-n,d*(e+f*x)/(d*e-c*f))/(d*(d*e-c*f)*(1-n)*n*_
+--(-f*(c+d*x)/(d*e-c*f))^n)
+--E 1245
+
+--S 1246 of 1293
+--a0:=integrate(t0,x)
+--E 1246
+
+--S 1247 of 1293
+--m0:=a0-r0
+--E 1247
+
+--S 1248 of 1293
+--d0:=D(m0,x)
+--E 1248
+
+)clear all
+
+--S 1249 of 1293
+t0:=(a+b*x)*(c+d*x)^(-3+n)/(e+f*x)^n
+--R 
+--R
+--R                          n - 3
+--R        (b x + a)(d x + c)
+--R   (1)  -----------------------
+--R                        n
+--R               (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1249
+
+--S 1250 of 1293
+r0:=(b*c-a*d)*(c+d*x)^(-2+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)*(2-n))+_
+     (a*d*f+b*(c*f*(1-n)-d*e*(2-n)))*(c+d*x)^(-1+n)*_
+     (e+f*x)^(1-n)/(d*(d*e-c*f)^2*(1-n)*(2-n))
+--R 
+--R
+--R   (2)
+--R                                                              n - 1
+--R         ((- b c f + b d e)n + (a d + b c)f - 2b d e)(d x + c)
+--R       + 
+--R                            2         2                           2
+--R             ((- a c d + b c )f + (a d  - b c d)e)n + (a c d - b c )f
+--R           + 
+--R                   2
+--R             (- a d  + b c d)e
+--R        *
+--R                    n - 2
+--R           (d x + c)
+--R    *
+--R                - n + 1
+--R       (f x + e)
+--R  /
+--R         2   2       2       3 2  2        2   2       2        3 2       2   2
+--R       (c d f  - 2c d e f + d e )n  + (- 3c d f  + 6c d e f - 3d e )n + 2c d f
+--R     + 
+--R             2        3 2
+--R       - 4c d e f + 2d e
+--R                                                    Type: Expression(Integer)
+--E 1250
+
+--S 1251 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                    2      2            2          2       2     3
+--R         ((- b c d f  + b d e f)n + (a d  + b c d)f  - 2b d e f)x
+--R       + 
+--R                            2  2      2         2 2                  2  2
+--R             ((- a c d - b c )f  + a d e f + b d e )n + (3a c d + b c )f
+--R           + 
+--R                                2 2
+--R             - 2b c d e f - 2b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   2 2      2          2          2         2 2
+--R             (- a c f  - b c e f + (a d  + b c d)e )n + 2a c f  + 2a c d e f
+--R           + 
+--R                   2           2
+--R             (- a d  - 3b c d)e
+--R        *
+--R           x
+--R       + 
+--R               2             2         2                    2  2
+--R         (- a c e f + a c d e )n + 2a c e f + (- a c d - b c )e
+--R    *
+--R         (n - 3)log(d x + c)
+--R       %e
+--R  /
+--R           2 2               2 2  2        2 2                2 2       2 2
+--R         (c f  - 2c d e f + d e )n  + (- 3c f  + 6c d e f - 3d e )n + 2c f
+--R       + 
+--R                        2 2
+--R         - 4c d e f + 2d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1251
+
+--S 1252 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                                                                n - 1
+--R           ((b c f - b d e)n + (- a d - b c)f + 2b d e)(d x + c)
+--R         + 
+--R                            2           2                             2
+--R               ((a c d - b c )f + (- a d  + b c d)e)n + (- a c d + b c )f
+--R             + 
+--R                   2
+--R               (a d  - b c d)e
+--R          *
+--R                      n - 2
+--R             (d x + c)
+--R      *
+--R                  - n + 1  n log(f x + e)
+--R         (f x + e)       %e
+--R     + 
+--R                    2 2      3            3        2  2       3     3
+--R           ((- b c d f  + b d e f)n + (a d  + b c d )f  - 2b d e f)x
+--R         + 
+--R                        2      2   2      3         3 2            2      2   2
+--R               ((- a c d  - b c d)f  + a d e f + b d e )n + (3a c d  + b c d)f
+--R             + 
+--R                       2          3 2
+--R               - 2b c d e f - 2b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     2   2      2            3        2  2         2   2
+--R               (- a c d f  - b c d e f + (a d  + b c d )e )n + 2a c d f
+--R             + 
+--R                     2            3         2  2
+--R               2a c d e f + (- a d  - 3b c d )e
+--R          *
+--R             x
+--R         + 
+--R                 2             2 2         2                2      2   2
+--R           (- a c d e f + a c d e )n + 2a c d e f + (- a c d  - b c d)e
+--R      *
+--R           (n - 3)log(d x + c)
+--R         %e
+--R  /
+--R           2   2       2       3 2  2        2   2       2        3 2
+--R         (c d f  - 2c d e f + d e )n  + (- 3c d f  + 6c d e f - 3d e )n
+--R       + 
+--R           2   2       2        3 2
+--R         2c d f  - 4c d e f + 2d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1252
+
+--S 1253 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)
+--R                              2            2                 2           n - 2
+--R               ((b c d f - b d e)n + (- a d  - b c d)f + 2b d e)(d x + c)
+--R             + 
+--R                          2      2            3        2
+--R                   ((a c d  - b c d)f + (- a d  + b c d )e)n
+--R                 + 
+--R                            2       2           3         2
+--R                   (- 2a c d  + 2b c d)f + (2a d  - 2b c d )e
+--R              *
+--R                          n - 3
+--R                 (d x + c)
+--R          *
+--R                      - n + 1
+--R             (f x + e)
+--R         + 
+--R                        2                           2                     n - 1
+--R               ((- b c f  + b d e f)n + (a d + b c)f  - 2b d e f)(d x + c)
+--R             + 
+--R                                  2  2       2                             2  2
+--R                   ((- a c d + b c )f  + (a d  - b c d)e f)n + (a c d - b c )f
+--R                 + 
+--R                         2
+--R                   (- a d  + b c d)e f
+--R              *
+--R                          n - 2
+--R                 (d x + c)
+--R          *
+--R                      - n
+--R             (f x + e)
+--R      *
+--R           n log(f x + e)
+--R         %e
+--R     + 
+--R                   2   2         2         3 2         2   2         2
+--R               (b c d f  - 2b c d e f + b d e )n - 2b c d f  + 4b c d e f
+--R             + 
+--R                     3 2
+--R               - 2b d e
+--R          *
+--R             x
+--R         + 
+--R               2   2         2         3 2         2   2         2          3 2
+--R           (a c d f  - 2a c d e f + a d e )n - 2a c d f  + 4a c d e f - 2a d e
+--R      *
+--R           (n - 3)log(d x + c)
+--R         %e
+--R  /
+--R        2   2       2       3 2       2   2       2        3 2   n log(f x + e)
+--R     ((c d f  - 2c d e f + d e )n - 2c d f  + 4c d e f - 2d e )%e
+--R                                                    Type: Expression(Integer)
+--E 1253
+
+)clear all
+
+--S 1254 of 1293
+t0:=(a+b*x)*(c+d*x)^(-4+n)/(e+f*x)^n
+--R 
+--R
+--R                          n - 4
+--R        (b x + a)(d x + c)
+--R   (1)  -----------------------
+--R                        n
+--R               (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1254
+
+--S 1255 of 1293
+r0:=(b*c-a*d)*(c+d*x)^(-3+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)*(3-n))+_
+     (2*a*d*f+b*(c*f*(1-n)-d*e*(3-n)))*(c+d*x)^(-2+n)*(e+f*x)^(1-n)/_
+     (d*(d*e-c*f)^2*(2-n)*(3-n))-f*(2*a*d*f+b*(c*f*(1-n)-d*e*(3-n)))*_
+     (c+d*x)^(-1+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)^3*(1-n)*(2-n)*(3-n))
+--R 
+--R
+--R   (2)
+--R                2                              2                     n - 1
+--R         ((b c f  - b d e f)n + (- 2a d - b c)f  + 3b d e f)(d x + c)
+--R       + 
+--R                   2 2                   2 2  2
+--R             (- b c f  + 2b c d e f - b d e )n
+--R           + 
+--R                            2  2          2                    2 2
+--R             ((2a c d + 2b c )f  + (- 2a d  - 6b c d)e f + 4b d e )n
+--R           + 
+--R                            2  2        2                    2 2
+--R             (- 2a c d - b c )f  + (2a d  + 4b c d)e f - 3b d e
+--R        *
+--R                    n - 2
+--R           (d x + c)
+--R       + 
+--R                         2       3  2          2       2
+--R                   (- a c d + b c )f  + (2a c d  - 2b c d)e f
+--R                 + 
+--R                         3        2  2
+--R                   (- a d  + b c d )e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                      2        3  2            2       2
+--R                 (3a c d - 3b c )f  + (- 6a c d  + 6b c d)e f
+--R               + 
+--R                      3         2  2
+--R                 (3a d  - 3b c d )e
+--R            *
+--R               n
+--R           + 
+--R                  2        3  2          2       2               3         2  2
+--R           (- 2a c d + 2b c )f  + (4a c d  - 4b c d)e f + (- 2a d  + 2b c d )e
+--R        *
+--R                    n - 3
+--R           (d x + c)
+--R    *
+--R                - n + 1
+--R       (f x + e)
+--R  /
+--R         3   3     2 2   2       3 2     4 3  3
+--R       (c d f  - 3c d e f  + 3c d e f - d e )n
+--R     + 
+--R            3   3      2 2   2        3 2      4 3  2
+--R       (- 6c d f  + 18c d e f  - 18c d e f + 6d e )n
+--R     + 
+--R           3   3      2 2   2        3 2       4 3       3   3      2 2   2
+--R       (11c d f  - 33c d e f  + 33c d e f - 11d e )n - 6c d f  + 18c d e f
+--R     + 
+--R              3 2      4 3
+--R       - 18c d e f + 6d e
+--R                                                    Type: Expression(Integer)
+--E 1255
+
+--S 1256 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 3      3   2            3        2  3       3   2  4
+--R         ((b c d f  - b d e f )n + (- 2a d  - b c d )f  + 3b d e f )x
+--R       + 
+--R                   2   3         2   2      3 2   2
+--R             (- b c d f  + 2b c d e f  - b d e f)n
+--R           + 
+--R                     2       2   3          3         2    2       3 2
+--R             ((2a c d  + 5b c d)f  + (- 2a d  - 8b c d )e f  + 3b d e f)n
+--R           + 
+--R                      2       2   3          2   2
+--R             (- 8a c d  - 4b c d)f  + 12b c d e f
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                       2       3  3          2      2     2
+--R                 (- a c d - b c )f  + (2a c d  + b c d)e f
+--R               + 
+--R                       3        2  2       3 3
+--R                 (- a d  + b c d )e f - b d e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                      2        3  3            2       2     2
+--R                 (7a c d + 4b c )f  + (- 8a c d  - 4b c d)e f
+--R               + 
+--R                     3         2  2        3 3
+--R                 (a d  - 4b c d )e f + 4b d e
+--R            *
+--R               n
+--R           + 
+--R                     2        3  3       2     2         2 2        3 3
+--R             (- 12a c d - 3b c )f  + 9b c d e f  + 9b c d e f - 3b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      3 3       2       3    2         2       2   2
+--R                 - a c f  + (a c d - b c )e f  + (a c d  + 2b c d)e f
+--R               + 
+--R                       3        2  3
+--R                 (- a d  - b c d )e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                     3 3         2        3    2            2       2   2
+--R                 5a c f  + (- a c d + 3b c )e f  + (- 7a c d  - 8b c d)e f
+--R               + 
+--R                      3         2  3
+--R                 (3a d  + 5b c d )e
+--R            *
+--R               n
+--R           + 
+--R                   3 3       2     2          2        2   2
+--R             - 6a c f  - 6a c d e f  + (6a c d  + 12b c d)e f
+--R           + 
+--R                    3         2  3
+--R             (- 2a d  - 4b c d )e
+--R        *
+--R           x
+--R       + 
+--R               3   2       2   2         2 3  2
+--R         (- a c e f  + 2a c d e f - a c d e )n
+--R       + 
+--R              3   2          2       3  2           2      2   3         3   2
+--R         (5a c e f  + (- 8a c d - b c )e f + (3a c d  + b c d)e )n - 6a c e f
+--R       + 
+--R              2        3  2             2      2   3
+--R         (6a c d + 3b c )e f + (- 2a c d  - b c d)e
+--R    *
+--R         (n - 4)log(d x + c)
+--R       %e
+--R  /
+--R           3 3     2     2       2 2     3 3  3
+--R         (c f  - 3c d e f  + 3c d e f - d e )n
+--R       + 
+--R              3 3      2     2        2 2      3 3  2
+--R         (- 6c f  + 18c d e f  - 18c d e f + 6d e )n
+--R       + 
+--R             3 3      2     2        2 2       3 3       3 3      2     2
+--R         (11c f  - 33c d e f  + 33c d e f - 11d e )n - 6c f  + 18c d e f
+--R       + 
+--R                2 2      3 3
+--R         - 18c d e f + 6d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1256
+
+--S 1257 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                    2                            2                     n - 1
+--R           ((- b c f  + b d e f)n + (2a d + b c)f  - 3b d e f)(d x + c)
+--R         + 
+--R                   2 2                   2 2  2
+--R               (b c f  - 2b c d e f + b d e )n
+--R             + 
+--R                                2  2        2                    2 2
+--R               ((- 2a c d - 2b c )f  + (2a d  + 6b c d)e f - 4b d e )n
+--R             + 
+--R                            2  2          2                    2 2
+--R               (2a c d + b c )f  + (- 2a d  - 4b c d)e f + 3b d e
+--R          *
+--R                      n - 2
+--R             (d x + c)
+--R         + 
+--R                         2       3  2            2       2
+--R                     (a c d - b c )f  + (- 2a c d  + 2b c d)e f
+--R                   + 
+--R                         3        2  2
+--R                     (a d  - b c d )e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                          2        3  2          2       2
+--R                   (- 3a c d + 3b c )f  + (6a c d  - 6b c d)e f
+--R                 + 
+--R                          3         2  2
+--R                   (- 3a d  + 3b c d )e
+--R              *
+--R                 n
+--R             + 
+--R                  2        3  2            2       2             3         2  2
+--R             (2a c d - 2b c )f  + (- 4a c d  + 4b c d)e f + (2a d  - 2b c d )e
+--R          *
+--R                      n - 3
+--R             (d x + c)
+--R      *
+--R                  - n + 1  n log(f x + e)
+--R         (f x + e)       %e
+--R     + 
+--R                  3 3      4   2            4        3  3       4   2  4
+--R           ((b c d f  - b d e f )n + (- 2a d  - b c d )f  + 3b d e f )x
+--R         + 
+--R                     2 2 3         3   2      4 2   2
+--R               (- b c d f  + 2b c d e f  - b d e f)n
+--R             + 
+--R                       3       2 2  3          4         3    2       4 2
+--R               ((2a c d  + 5b c d )f  + (- 2a d  - 8b c d )e f  + 3b d e f)n
+--R             + 
+--R                        3       2 2  3          3   2
+--R               (- 8a c d  - 4b c d )f  + 12b c d e f
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                         2 2      3   3          3      2 2    2
+--R                   (- a c d  - b c d)f  + (2a c d  + b c d )e f
+--R                 + 
+--R                         4        3  2       4 3
+--R                   (- a d  + b c d )e f - b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                        2 2       3   3            3       2 2    2
+--R                   (7a c d  + 4b c d)f  + (- 8a c d  - 4b c d )e f
+--R                 + 
+--R                       4         3  2        4 3
+--R                   (a d  - 4b c d )e f + 4b d e
+--R              *
+--R                 n
+--R             + 
+--R                       2 2       3   3       2 2   2         3 2        4 3
+--R               (- 12a c d  - 3b c d)f  + 9b c d e f  + 9b c d e f - 3b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        3   3       2 2      3     2         3       2 2  2
+--R                   - a c d f  + (a c d  - b c d)e f  + (a c d  + 2b c d )e f
+--R                 + 
+--R                         4        3  3
+--R                   (- a d  - b c d )e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                       3   3         2 2       3     2
+--R                   5a c d f  + (- a c d  + 3b c d)e f
+--R                 + 
+--R                            3       2 2  2         4         3  3
+--R                   (- 7a c d  - 8b c d )e f + (3a d  + 5b c d )e
+--R              *
+--R                 n
+--R             + 
+--R                     3   3       2 2   2          3        2 2  2
+--R               - 6a c d f  - 6a c d e f  + (6a c d  + 12b c d )e f
+--R             + 
+--R                      4         3  3
+--R               (- 2a d  - 4b c d )e
+--R          *
+--R             x
+--R         + 
+--R                 3     2       2 2 2         3 3  2
+--R           (- a c d e f  + 2a c d e f - a c d e )n
+--R         + 
+--R                3     2          2 2      3   2           3      2 2  3
+--R           (5a c d e f  + (- 8a c d  - b c d)e f + (3a c d  + b c d )e )n
+--R         + 
+--R                 3     2        2 2       3   2             3      2 2  3
+--R           - 6a c d e f  + (6a c d  + 3b c d)e f + (- 2a c d  - b c d )e
+--R      *
+--R           (n - 4)log(d x + c)
+--R         %e
+--R  /
+--R           3   3     2 2   2       3 2     4 3  3
+--R         (c d f  - 3c d e f  + 3c d e f - d e )n
+--R       + 
+--R              3   3      2 2   2        3 2      4 3  2
+--R         (- 6c d f  + 18c d e f  - 18c d e f + 6d e )n
+--R       + 
+--R             3   3      2 2   2        3 2       4 3       3   3      2 2   2
+--R         (11c d f  - 33c d e f  + 33c d e f - 11d e )n - 6c d f  + 18c d e f
+--R       + 
+--R                3 2      4 3
+--R         - 18c d e f + 6d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1257
+
+--S 1258 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)
+--R                            2      2             2          2       2
+--R                 ((- b c d f  + b d e f)n + (2a d  + b c d)f  - 3b d e f)
+--R              *
+--R                          n - 2
+--R                 (d x + c)
+--R             + 
+--R                       2   2         2         3 2  2
+--R                   (b c d f  - 2b c d e f + b d e )n
+--R                 + 
+--R                             2       2   2        3         2           3 2
+--R                   ((- 2a c d  - 3b c d)f  + (2a d  + 8b c d )e f - 5b d e )n
+--R                 + 
+--R                          2       2   2          3         2           3 2
+--R                   (4a c d  + 2b c d)f  + (- 4a d  - 8b c d )e f + 6b d e
+--R              *
+--R                          n - 3
+--R                 (d x + c)
+--R             + 
+--R                           2 2      3   2            3       2 2
+--R                       (a c d  - b c d)f  + (- 2a c d  + 2b c d )e f
+--R                     + 
+--R                           4        3  2
+--R                       (a d  - b c d )e
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                              2 2       3   2           3        2 2
+--R                       (- 5a c d  + 5b c d)f  + (10a c d  - 10b c d )e f
+--R                     + 
+--R                              4         3  2
+--R                       (- 5a d  + 5b c d )e
+--R                  *
+--R                     n
+--R                 + 
+--R                        2 2       3   2             3        2 2
+--R                   (6a c d  - 6b c d)f  + (- 12a c d  + 12b c d )e f
+--R                 + 
+--R                        4         3  2
+--R                   (6a d  - 6b c d )e
+--R              *
+--R                          n - 4
+--R                 (d x + c)
+--R          *
+--R                      - n + 1
+--R             (f x + e)
+--R         + 
+--R                        3          2                    3           2
+--R                 ((b c f  - b d e f )n + (- 2a d - b c)f  + 3b d e f )
+--R              *
+--R                          n - 1
+--R                 (d x + c)
+--R             + 
+--R                         2 3             2      2 2   2
+--R                   (- b c f  + 2b c d e f  - b d e f)n
+--R                 + 
+--R                                  2  3          2             2       2 2
+--R                   ((2a c d + 2b c )f  + (- 2a d  - 6b c d)e f  + 4b d e f)n
+--R                 + 
+--R                                  2  3        2             2       2 2
+--R                   (- 2a c d - b c )f  + (2a d  + 4b c d)e f  - 3b d e f
+--R              *
+--R                          n - 2
+--R                 (d x + c)
+--R             + 
+--R                             2       3  3          2       2     2
+--R                       (- a c d + b c )f  + (2a c d  - 2b c d)e f
+--R                     + 
+--R                             3        2  2
+--R                       (- a d  + b c d )e f
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                            2        3  3            2       2     2
+--R                       (3a c d - 3b c )f  + (- 6a c d  + 6b c d)e f
+--R                     + 
+--R                            3         2  2
+--R                       (3a d  - 3b c d )e f
+--R                  *
+--R                     n
+--R                 + 
+--R                          2        3  3          2       2     2
+--R                   (- 2a c d + 2b c )f  + (4a c d  - 4b c d)e f
+--R                 + 
+--R                          3         2  2
+--R                   (- 2a d  + 2b c d )e f
+--R              *
+--R                          n - 3
+--R                 (d x + c)
+--R          *
+--R                      - n
+--R             (f x + e)
+--R      *
+--R           n log(f x + e)
+--R         %e
+--R     + 
+--R                   3   3       2 2   2         3 2       4 3  2
+--R               (b c d f  - 3b c d e f  + 3b c d e f - b d e )n
+--R             + 
+--R                      3   3        2 2   2          3 2        4 3         3   3
+--R               (- 5b c d f  + 15b c d e f  - 15b c d e f + 5b d e )n + 6b c d f
+--R             + 
+--R                      2 2   2          3 2        4 3
+--R               - 18b c d e f  + 18b c d e f - 6b d e
+--R          *
+--R             x
+--R         + 
+--R               3   3       2 2   2         3 2       4 3  2
+--R           (a c d f  - 3a c d e f  + 3a c d e f - a d e )n
+--R         + 
+--R                  3   3        2 2   2          3 2        4 3         3   3
+--R           (- 5a c d f  + 15a c d e f  - 15a c d e f + 5a d e )n + 6a c d f
+--R         + 
+--R                  2 2   2          3 2        4 3
+--R           - 18a c d e f  + 18a c d e f - 6a d e
+--R      *
+--R           (n - 4)log(d x + c)
+--R         %e
+--R  /
+--R           3   3     2 2   2       3 2     4 3  2
+--R         (c d f  - 3c d e f  + 3c d e f - d e )n
+--R       + 
+--R              3   3      2 2   2        3 2      4 3       3   3      2 2   2
+--R         (- 5c d f  + 15c d e f  - 15c d e f + 5d e )n + 6c d f  - 18c d e f
+--R       + 
+--R              3 2      4 3
+--R         18c d e f - 6d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1258
+
+)clear all
+
+--S 1259 of 1293
+t0:=(a+b*x)*(c+d*x)^(-5+n)/(e+f*x)^n
+--R 
+--R
+--R                          n - 5
+--R        (b x + a)(d x + c)
+--R   (1)  -----------------------
+--R                        n
+--R               (f x + e)
+--R                                                    Type: Expression(Integer)
+--E 1259
+
+--S 1260 of 1293
+r0:=(b*c-a*d)*(c+d*x)^(-4+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)*(4-n))+_
+     (3*a*d*f+b*(c*f*(1-n)-d*e*(4-n)))*(c+d*x)^(-3+n)*(e+f*x)^(1-n)/_
+     (d*(d*e-c*f)^2*(3-n)*(4-n))-2*f*(3*a*d*f+b*(c*f*(1-n)-d*e*(4-n)))*_
+     (c+d*x)^(-2+n)*(e+f*x)^(1-n)/(d*(d*e-c*f)^3*(2-n)*(3-n)*(4-n))+_
+     2*f^2*(3*a*d*f+b*(c*f*(1-n)-d*e*(4-n)))*(c+d*x)^(-1+n)*_
+     (e+f*x)^(1-n)/(d*(d*e-c*f)^4*(1-n)*(2-n)*(3-n)*(4-n))
+--R 
+--R
+--R   (2)
+--R                   3           2                   3           2          n - 1
+--R         ((- 2b c f  + 2b d e f )n + (6a d + 2b c)f  - 8b d e f )(d x + c)
+--R       + 
+--R                  2 3             2       2 2   2
+--R             (2b c f  - 4b c d e f  + 2b d e f)n
+--R           + 
+--R                              2  3        2              2        2 2
+--R             ((- 6a c d - 4b c )f  + (6a d  + 14b c d)e f  - 10b d e f)n
+--R           + 
+--R                           2  3          2              2       2 2
+--R             (6a c d + 2b c )f  + (- 6a d  - 10b c d)e f  + 8b d e f
+--R        *
+--R                    n - 2
+--R           (d x + c)
+--R       + 
+--R                   3 3       2     2         2 2       3 3  3
+--R             (- b c f  + 3b c d e f  - 3b c d e f + b d e )n
+--R           + 
+--R                      2        3  3            2        2     2
+--R                 (3a c d + 4b c )f  + (- 6a c d  - 15b c d)e f
+--R               + 
+--R                      3          2  2        3 3
+--R                 (3a d  + 18b c d )e f - 7b d e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                        2        3  3           2        2     2
+--R                 (- 9a c d - 5b c )f  + (18a c d  + 24b c d)e f
+--R               + 
+--R                        3          2  2         3 3
+--R                 (- 9a d  - 33b c d )e f + 14b d e
+--R            *
+--R               n
+--R           + 
+--R                  2        3  3             2        2     2
+--R             (6a c d + 2b c )f  + (- 12a c d  - 12b c d)e f
+--R           + 
+--R                  3          2  2        3 3
+--R             (6a d  + 18b c d )e f - 8b d e
+--R        *
+--R                    n - 3
+--R           (d x + c)
+--R       + 
+--R                       3       4  3        2 2       3     2
+--R                 (- a c d + b c )f  + (3a c d  - 3b c d)e f
+--R               + 
+--R                          3       2 2  2        4        3  3
+--R                 (- 3a c d  + 3b c d )e f + (a d  - b c d )e
+--R            *
+--R                3
+--R               n
+--R           + 
+--R                      3        4  3           2 2        3     2
+--R                 (6a c d - 6b c )f  + (- 18a c d  + 18b c d)e f
+--R               + 
+--R                         3        2 2  2           4         3  3
+--R                 (18a c d  - 18b c d )e f + (- 6a d  + 6b c d )e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                         3         4  3         2 2        3     2
+--R                 (- 11a c d + 11b c )f  + (33a c d  - 33b c d)e f
+--R               + 
+--R                           3        2 2  2          4          3  3
+--R                 (- 33a c d  + 33b c d )e f + (11a d  - 11b c d )e
+--R            *
+--R               n
+--R           + 
+--R                  3        4  3           2 2        3     2
+--R             (6a c d - 6b c )f  + (- 18a c d  + 18b c d)e f
+--R           + 
+--R                     3        2 2  2           4         3  3
+--R             (18a c d  - 18b c d )e f + (- 6a d  + 6b c d )e
+--R        *
+--R                    n - 4
+--R           (d x + c)
+--R    *
+--R                - n + 1
+--R       (f x + e)
+--R  /
+--R         4   4     3 2   3     2 3 2 2       4 3     5 4  4
+--R       (c d f  - 4c d e f  + 6c d e f  - 4c d e f + d e )n
+--R     + 
+--R             4   4      3 2   3      2 3 2 2        4 3       5 4  3
+--R       (- 10c d f  + 40c d e f  - 60c d e f  + 40c d e f - 10d e )n
+--R     + 
+--R           4   4       3 2   3       2 3 2 2         4 3       5 4  2
+--R       (35c d f  - 140c d e f  + 210c d e f  - 140c d e f + 35d e )n
+--R     + 
+--R             4   4       3 2   3       2 3 2 2         4 3       5 4
+--R       (- 50c d f  + 200c d e f  - 300c d e f  + 200c d e f - 50d e )n
+--R     + 
+--R          4   4      3 2   3       2 3 2 2        4 3       5 4
+--R       24c d f  - 96c d e f  + 144c d e f  - 96c d e f + 24d e
+--R                                                    Type: Expression(Integer)
+--E 1260
+
+--S 1261 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   3 4       4   3          4         3  4       4   3  5
+--R         ((- 2b c d f  + 2b d e f )n + (6a d  + 2b c d )f  - 8b d e f )x
+--R       + 
+--R                  2 2 4         3   3       4 2 2  2
+--R             (2b c d f  - 4b c d e f  + 2b d e f )n
+--R           + 
+--R                       3        2 2  4        4          3    3       4 2 2
+--R             ((- 6a c d  - 12b c d )f  + (6a d  + 20b c d )e f  - 8b d e f )n
+--R           + 
+--R                     3        2 2  4          3   3
+--R             (30a c d  + 10b c d )f  - 40b c d e f
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   3   4       2 2   3         3 2 2      4 3   3
+--R             (- b c d f  + 3b c d e f  - 3b c d e f  + b d e f)n
+--R           + 
+--R                      2 2        3   4            3        2 2    3
+--R                 (3a c d  + 10b c d)f  + (- 6a c d  - 25b c d )e f
+--R               + 
+--R                      4          3  2 2       4 3
+--R                 (3a d  + 20b c d )e f  - 5b d e f
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                         2 2        3   4           3        2 2    3
+--R                 (- 27a c d  - 29b c d)f  + (30a c d  + 66b c d )e f
+--R               + 
+--R                        4          3  2 2       4 3
+--R                 (- 3a d  - 41b c d )e f  + 4b d e f
+--R            *
+--R               n
+--R           + 
+--R                   2 2        3   4        2 2   3
+--R             (60a c d  + 20b c d)f  - 80b c d e f
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                       3       4  4        2 2       3     3         3 2 2
+--R                 (- a c d - b c )f  + (3a c d  + 2b c d)e f  - 3a c d e f
+--R               + 
+--R                     4         3  3       4 4
+--R                 (a d  - 2b c d )e f + b d e
+--R            *
+--R                3
+--R               n
+--R           + 
+--R                       3        4  4           2 2        3     3
+--R                 (12a c d + 8b c )f  + (- 27a c d  - 14b c d)e f
+--R               + 
+--R                         3       2 2  2 2          4          3  3        4 4
+--R                 (18a c d  - 3b c d )e f  + (- 3a d  + 16b c d )e f - 7b d e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                         3         4  4         2 2        3     3
+--R                 (- 47a c d - 19b c )f  + (60a c d  + 36b c d)e f
+--R               + 
+--R                           3        2 2  2 2        4          3  3         4 4
+--R                 (- 15a c d  + 15b c d )e f  + (2a d  - 46b c d )e f + 14b d e
+--R            *
+--R               n
+--R           + 
+--R                   3         4  4        3     3        2 2 2 2          3 3
+--R             (60a c d + 12b c )f  - 48b c d e f  - 48b c d e f  + 32b c d e f
+--R           + 
+--R                   4 4
+--R             - 8b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                      4 4        3       4    3       3   2 2
+--R                 - a c f  + (2a c d - b c )e f  + 3b c d e f
+--R               + 
+--R                          3       2 2  3        4        3  4
+--R                 (- 2a c d  - 3b c d )e f + (a d  + b c d )e
+--R            *
+--R                3
+--R               n
+--R           + 
+--R                     4 4           3        4    3          2 2        3   2 2
+--R                 9a c f  + (- 12a c d + 7b c )e f  + (- 9a c d  - 22b c d)e f
+--R               + 
+--R                         3        2 2  3           4         3  4
+--R                 (18a c d  + 23b c d )e f + (- 6a d  - 8b c d )e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                        4 4         3         4    3         2 2        3   2 2
+--R                 - 26a c f  + (10a c d - 12b c )e f  + (45a c d  + 55b c d)e f
+--R               + 
+--R                           3        2 2  3          4          3  4
+--R                 (- 40a c d  - 60b c d )e f + (11a d  + 17b c d )e
+--R            *
+--R               n
+--R           + 
+--R                  4 4        3     3           2 2        3   2 2
+--R             24a c f  + 24a c d e f  + (- 36a c d  - 60b c d)e f
+--R           + 
+--R                     3        2 2  3           4          3  4
+--R             (24a c d  + 40b c d )e f + (- 6a d  - 10b c d )e
+--R        *
+--R           x
+--R       + 
+--R               4   3       3   2 2       2 2 3         3 4  3
+--R         (- a c e f  + 3a c d e f  - 3a c d e f + a c d e )n
+--R       + 
+--R                 4   3           3       4  2 2         2 2       3   3
+--R             9a c e f  + (- 24a c d - b c )e f  + (21a c d  + 2b c d)e f
+--R           + 
+--R                      3      2 2  4
+--R             (- 6a c d  - b c d )e
+--R        *
+--R            2
+--R           n
+--R       + 
+--R                    4   3         3        4  2 2           2 2        3   3
+--R             - 26a c e f  + (57a c d + 7b c )e f  + (- 42a c d  - 10b c d)e f
+--R           + 
+--R                     3       2 2  4
+--R             (11a c d  + 3b c d )e
+--R        *
+--R           n
+--R       + 
+--R              4   3           3         4  2 2         2 2       3   3
+--R         24a c e f  + (- 36a c d - 12b c )e f  + (24a c d  + 8b c d)e f
+--R       + 
+--R                  3       2 2  4
+--R         (- 6a c d  - 2b c d )e
+--R    *
+--R         (n - 5)log(d x + c)
+--R       %e
+--R  /
+--R           4 4     3     3     2 2 2 2       3 3     4 4  4
+--R         (c f  - 4c d e f  + 6c d e f  - 4c d e f + d e )n
+--R       + 
+--R               4 4      3     3      2 2 2 2        3 3       4 4  3
+--R         (- 10c f  + 40c d e f  - 60c d e f  + 40c d e f - 10d e )n
+--R       + 
+--R             4 4       3     3       2 2 2 2         3 3       4 4  2
+--R         (35c f  - 140c d e f  + 210c d e f  - 140c d e f + 35d e )n
+--R       + 
+--R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R         (- 50c f  + 200c d e f  - 300c d e f  + 200c d e f - 50d e )n + 24c f
+--R       + 
+--R              3     3       2 2 2 2        3 3       4 4
+--R         - 96c d e f  + 144c d e f  - 96c d e f + 24d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1261
+
+--S 1262 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                     3           2                     3           2
+--R             ((2b c f  - 2b d e f )n + (- 6a d - 2b c)f  + 8b d e f )
+--R          *
+--R                      n - 1
+--R             (d x + c)
+--R         + 
+--R                      2 3             2       2 2   2
+--R               (- 2b c f  + 4b c d e f  - 2b d e f)n
+--R             + 
+--R                              2  3          2              2        2 2
+--R               ((6a c d + 4b c )f  + (- 6a d  - 14b c d)e f  + 10b d e f)n
+--R             + 
+--R                               2  3        2              2       2 2
+--R               (- 6a c d - 2b c )f  + (6a d  + 10b c d)e f  - 8b d e f
+--R          *
+--R                      n - 2
+--R             (d x + c)
+--R         + 
+--R                   3 3       2     2         2 2       3 3  3
+--R               (b c f  - 3b c d e f  + 3b c d e f - b d e )n
+--R             + 
+--R                          2        3  3          2        2     2
+--R                   (- 3a c d - 4b c )f  + (6a c d  + 15b c d)e f
+--R                 + 
+--R                          3          2  2        3 3
+--R                   (- 3a d  - 18b c d )e f + 7b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                        2        3  3             2        2     2
+--R                   (9a c d + 5b c )f  + (- 18a c d  - 24b c d)e f
+--R                 + 
+--R                        3          2  2         3 3
+--R                   (9a d  + 33b c d )e f - 14b d e
+--R              *
+--R                 n
+--R             + 
+--R                      2        3  3           2        2     2
+--R               (- 6a c d - 2b c )f  + (12a c d  + 12b c d)e f
+--R             + 
+--R                      3          2  2        3 3
+--R               (- 6a d  - 18b c d )e f + 8b d e
+--R          *
+--R                      n - 3
+--R             (d x + c)
+--R         + 
+--R                       3       4  3          2 2       3     2
+--R                   (a c d - b c )f  + (- 3a c d  + 3b c d)e f
+--R                 + 
+--R                          3       2 2  2          4        3  3
+--R                   (3a c d  - 3b c d )e f + (- a d  + b c d )e
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                          3        4  3         2 2        3     2
+--R                   (- 6a c d + 6b c )f  + (18a c d  - 18b c d)e f
+--R                 + 
+--R                             3        2 2  2         4         3  3
+--R                   (- 18a c d  + 18b c d )e f + (6a d  - 6b c d )e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                         3         4  3           2 2        3     2
+--R                   (11a c d - 11b c )f  + (- 33a c d  + 33b c d)e f
+--R                 + 
+--R                           3        2 2  2            4          3  3
+--R                   (33a c d  - 33b c d )e f + (- 11a d  + 11b c d )e
+--R              *
+--R                 n
+--R             + 
+--R                      3        4  3         2 2        3     2
+--R               (- 6a c d + 6b c )f  + (18a c d  - 18b c d)e f
+--R             + 
+--R                         3        2 2  2         4         3  3
+--R               (- 18a c d  + 18b c d )e f + (6a d  - 6b c d )e
+--R          *
+--R                      n - 4
+--R             (d x + c)
+--R      *
+--R                  - n + 1  n log(f x + e)
+--R         (f x + e)       %e
+--R     + 
+--R                     4 4       5   3          5         4  4       5   3  5
+--R           ((- 2b c d f  + 2b d e f )n + (6a d  + 2b c d )f  - 8b d e f )x
+--R         + 
+--R                    2 3 4         4   3       5 2 2  2
+--R               (2b c d f  - 4b c d e f  + 2b d e f )n
+--R             + 
+--R                         4        2 3  4        5          4    3       5 2 2
+--R               ((- 6a c d  - 12b c d )f  + (6a d  + 20b c d )e f  - 8b d e f )n
+--R             + 
+--R                       4        2 3  4          4   3
+--R               (30a c d  + 10b c d )f  - 40b c d e f
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     3 2 4       2 3   3         4 2 2      5 3   3
+--R               (- b c d f  + 3b c d e f  - 3b c d e f  + b d e f)n
+--R             + 
+--R                        2 3        3 2  4            4        2 3    3
+--R                   (3a c d  + 10b c d )f  + (- 6a c d  - 25b c d )e f
+--R                 + 
+--R                        5          4  2 2       5 3
+--R                   (3a d  + 20b c d )e f  - 5b d e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                           2 3        3 2  4           4        2 3    3
+--R                   (- 27a c d  - 29b c d )f  + (30a c d  + 66b c d )e f
+--R                 + 
+--R                          5          4  2 2       5 3
+--R                   (- 3a d  - 41b c d )e f  + 4b d e f
+--R              *
+--R                 n
+--R             + 
+--R                     2 3        3 2  4        2 3   3
+--R               (60a c d  + 20b c d )f  - 80b c d e f
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                         3 2      4   4        2 3       3 2    3         4 2 2
+--R                   (- a c d  - b c d)f  + (3a c d  + 2b c d )e f  - 3a c d e f
+--R                 + 
+--R                       5         4  3       5 4
+--R                   (a d  - 2b c d )e f + b d e
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                         3 2       4   4           2 3        3 2    3
+--R                   (12a c d  + 8b c d)f  + (- 27a c d  - 14b c d )e f
+--R                 + 
+--R                           4       2 3  2 2          5          4  3        5 4
+--R                   (18a c d  - 3b c d )e f  + (- 3a d  + 16b c d )e f - 7b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                           3 2        4   4         2 3        3 2    3
+--R                   (- 47a c d  - 19b c d)f  + (60a c d  + 36b c d )e f
+--R                 + 
+--R                           4        2 3  2 2        5          4  3         5 4
+--R                 (- 15a c d  + 15b c d )e f  + (2a d  - 46b c d )e f + 14b d e
+--R              *
+--R                 n
+--R             + 
+--R                     3 2        4   4        3 2   3        2 3 2 2
+--R               (60a c d  + 12b c d)f  - 48b c d e f  - 48b c d e f
+--R             + 
+--R                      4 3        5 4
+--R               32b c d e f - 8b d e
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                        4   4        3 2      4     3       3 2 2 2
+--R                   - a c d f  + (2a c d  - b c d)e f  + 3b c d e f
+--R                 + 
+--R                            4       2 3  3        5        4  4
+--R                   (- 2a c d  - 3b c d )e f + (a d  + b c d )e
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                       4   4           3 2       4     3
+--R                   9a c d f  + (- 12a c d  + 7b c d)e f
+--R                 + 
+--R                          2 3        3 2  2 2           4        2 3  3
+--R                   (- 9a c d  - 22b c d )e f  + (18a c d  + 23b c d )e f
+--R                 + 
+--R                          5         4  4
+--R                   (- 6a d  - 8b c d )e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                          4   4         3 2        4     3
+--R                   - 26a c d f  + (10a c d  - 12b c d)e f
+--R                 + 
+--R                         2 3        3 2  2 2             4        2 3  3
+--R                   (45a c d  + 55b c d )e f  + (- 40a c d  - 60b c d )e f
+--R                 + 
+--R                         5          4  4
+--R                   (11a d  + 17b c d )e
+--R              *
+--R                 n
+--R             + 
+--R                    4   4        3 2   3           2 3        3 2  2 2
+--R               24a c d f  + 24a c d e f  + (- 36a c d  - 60b c d )e f
+--R             + 
+--R                       4        2 3  3           5          4  4
+--R               (24a c d  + 40b c d )e f + (- 6a d  - 10b c d )e
+--R          *
+--R             x
+--R         + 
+--R                 4     3       3 2 2 2       2 3 3         4 4  3
+--R           (- a c d e f  + 3a c d e f  - 3a c d e f + a c d e )n
+--R         + 
+--R                   4     3           3 2      4   2 2         2 3       3 2  3
+--R               9a c d e f  + (- 24a c d  - b c d)e f  + (21a c d  + 2b c d )e f
+--R             + 
+--R                        4      2 3  4
+--R               (- 6a c d  - b c d )e
+--R          *
+--R              2
+--R             n
+--R         + 
+--R                      4     3         3 2       4   2 2
+--R               - 26a c d e f  + (57a c d  + 7b c d)e f
+--R             + 
+--R                       2 3        3 2  3            4       2 3  4
+--R               (- 42a c d  - 10b c d )e f + (11a c d  + 3b c d )e
+--R          *
+--R             n
+--R         + 
+--R                4     3           3 2        4   2 2         2 3       3 2  3
+--R           24a c d e f  + (- 36a c d  - 12b c d)e f  + (24a c d  + 8b c d )e f
+--R         + 
+--R                    4       2 3  4
+--R           (- 6a c d  - 2b c d )e
+--R      *
+--R           (n - 5)log(d x + c)
+--R         %e
+--R  /
+--R           4   4     3 2   3     2 3 2 2       4 3     5 4  4
+--R         (c d f  - 4c d e f  + 6c d e f  - 4c d e f + d e )n
+--R       + 
+--R               4   4      3 2   3      2 3 2 2        4 3       5 4  3
+--R         (- 10c d f  + 40c d e f  - 60c d e f  + 40c d e f - 10d e )n
+--R       + 
+--R             4   4       3 2   3       2 3 2 2         4 3       5 4  2
+--R         (35c d f  - 140c d e f  + 210c d e f  - 140c d e f + 35d e )n
+--R       + 
+--R               4   4       3 2   3       2 3 2 2         4 3       5 4
+--R         (- 50c d f  + 200c d e f  - 300c d e f  + 200c d e f - 50d e )n
+--R       + 
+--R            4   4      3 2   3       2 3 2 2        4 3       5 4
+--R         24c d f  - 96c d e f  + 144c d e f  - 96c d e f + 24d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1262
+
+--S 1263 of 1293
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)
+--R                           3       2   2            2           3       2   2
+--R                 ((2b c d f  - 2b d e f )n + (- 6a d  - 2b c d)f  + 8b d e f )
+--R              *
+--R                          n - 2
+--R                 (d x + c)
+--R             + 
+--R                          2   3         2   2       3 2   2
+--R                   (- 2b c d f  + 4b c d e f  - 2b d e f)n
+--R                 + 
+--R                                2       2   3          3          2    2
+--R                         (6a c d  + 6b c d)f  + (- 6a d  - 18b c d )e f
+--R                       + 
+--R                              3 2
+--R                         12b d e f
+--R                  *
+--R                     n
+--R                 + 
+--R                           2       2   3         3          2    2        3 2
+--R                 (- 12a c d  - 4b c d)f  + (12a d  + 20b c d )e f  - 16b d e f
+--R              *
+--R                          n - 3
+--R                 (d x + c)
+--R             + 
+--R                       3   3       2 2   2         3 2       4 3  3
+--R                   (b c d f  - 3b c d e f  + 3b c d e f - b d e )n
+--R                 + 
+--R                              2 2       3   3          3        2 2    2
+--R                       (- 3a c d  - 6b c d)f  + (6a c d  + 21b c d )e f
+--R                     + 
+--R                              4          3  2        4 3
+--R                       (- 3a d  - 24b c d )e f + 9b d e
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                             2 2        3   3             3        2 2    2
+--R                       (15a c d  + 11b c d)f  + (- 30a c d  - 48b c d )e f
+--R                     + 
+--R                             4          3  2         4 3
+--R                       (15a d  + 63b c d )e f - 26b d e
+--R                  *
+--R                     n
+--R                 + 
+--R                           2 2       3   3           3        2 2    2
+--R                   (- 18a c d  - 6b c d)f  + (36a c d  + 36b c d )e f
+--R                 + 
+--R                           4          3  2         4 3
+--R                   (- 18a d  - 54b c d )e f + 24b d e
+--R              *
+--R                          n - 4
+--R                 (d x + c)
+--R             + 
+--R                           3 2      4   3          2 3       3 2    2
+--R                       (a c d  - b c d)f  + (- 3a c d  + 3b c d )e f
+--R                     + 
+--R                              4       2 3  2          5        4  3
+--R                       (3a c d  - 3b c d )e f + (- a d  + b c d )e
+--R                  *
+--R                      3
+--R                     n
+--R                 + 
+--R                              3 2       4   3         2 3        3 2    2
+--R                       (- 9a c d  + 9b c d)f  + (27a c d  - 27b c d )e f
+--R                     + 
+--R                                 4        2 3  2         5         4  3
+--R                       (- 27a c d  + 27b c d )e f + (9a d  - 9b c d )e
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                             3 2        4   3           2 3        3 2    2
+--R                       (26a c d  - 26b c d)f  + (- 78a c d  + 78b c d )e f
+--R                     + 
+--R                               4        2 3  2            5          4  3
+--R                       (78a c d  - 78b c d )e f + (- 26a d  + 26b c d )e
+--R                  *
+--R                     n
+--R                 + 
+--R                           3 2        4   3         2 3        3 2    2
+--R                   (- 24a c d  + 24b c d)f  + (72a c d  - 72b c d )e f
+--R                 + 
+--R                             4        2 3  2          5          4  3
+--R                   (- 72a c d  + 72b c d )e f + (24a d  - 24b c d )e
+--R              *
+--R                          n - 5
+--R                 (d x + c)
+--R          *
+--R                      - n + 1
+--R             (f x + e)
+--R         + 
+--R                           4           3                   4           3
+--R                 ((- 2b c f  + 2b d e f )n + (6a d + 2b c)f  - 8b d e f )
+--R              *
+--R                          n - 1
+--R                 (d x + c)
+--R             + 
+--R                        2 4             3       2 2 2  2
+--R                   (2b c f  - 4b c d e f  + 2b d e f )n
+--R                 + 
+--R                                    2  4        2              3        2 2 2
+--R                   ((- 6a c d - 4b c )f  + (6a d  + 14b c d)e f  - 10b d e f )n
+--R                 + 
+--R                                 2  4          2              3       2 2 2
+--R                   (6a c d + 2b c )f  + (- 6a d  - 10b c d)e f  + 8b d e f
+--R              *
+--R                          n - 2
+--R                 (d x + c)
+--R             + 
+--R                         3 4       2     3         2 2 2      3 3   3
+--R                   (- b c f  + 3b c d e f  - 3b c d e f  + b d e f)n
+--R                 + 
+--R                            2        3  4            2        2     3
+--R                       (3a c d + 4b c )f  + (- 6a c d  - 15b c d)e f
+--R                     + 
+--R                            3          2  2 2       3 3
+--R                       (3a d  + 18b c d )e f  - 7b d e f
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                              2        3  4           2        2     3
+--R                       (- 9a c d - 5b c )f  + (18a c d  + 24b c d)e f
+--R                     + 
+--R                              3          2  2 2        3 3
+--R                       (- 9a d  - 33b c d )e f  + 14b d e f
+--R                  *
+--R                     n
+--R                 + 
+--R                        2        3  4             2        2     3
+--R                   (6a c d + 2b c )f  + (- 12a c d  - 12b c d)e f
+--R                 + 
+--R                        3          2  2 2       3 3
+--R                   (6a d  + 18b c d )e f  - 8b d e f
+--R              *
+--R                          n - 3
+--R                 (d x + c)
+--R             + 
+--R                             3       4  4        2 2       3     3
+--R                       (- a c d + b c )f  + (3a c d  - 3b c d)e f
+--R                     + 
+--R                                3       2 2  2 2       4        3  3
+--R                       (- 3a c d  + 3b c d )e f  + (a d  - b c d )e f
+--R                  *
+--R                      3
+--R                     n
+--R                 + 
+--R                            3        4  4           2 2        3     3
+--R                       (6a c d - 6b c )f  + (- 18a c d  + 18b c d)e f
+--R                     + 
+--R                               3        2 2  2 2          4         3  3
+--R                       (18a c d  - 18b c d )e f  + (- 6a d  + 6b c d )e f
+--R                  *
+--R                      2
+--R                     n
+--R                 + 
+--R                               3         4  4         2 2        3     3
+--R                       (- 11a c d + 11b c )f  + (33a c d  - 33b c d)e f
+--R                     + 
+--R                                 3        2 2  2 2         4          3  3
+--R                       (- 33a c d  + 33b c d )e f  + (11a d  - 11b c d )e f
+--R                  *
+--R                     n
+--R                 + 
+--R                        3        4  4           2 2        3     3
+--R                   (6a c d - 6b c )f  + (- 18a c d  + 18b c d)e f
+--R                 + 
+--R                           3        2 2  2 2          4         3  3
+--R                   (18a c d  - 18b c d )e f  + (- 6a d  + 6b c d )e f
+--R              *
+--R                          n - 4
+--R                 (d x + c)
+--R          *
+--R                      - n
+--R             (f x + e)
+--R      *
+--R           n log(f x + e)
+--R         %e
+--R     + 
+--R                   4   4       3 2   3       2 3 2 2         4 3       5 4  3
+--R               (b c d f  - 4b c d e f  + 6b c d e f  - 4b c d e f + b d e )n
+--R             + 
+--R                         4   4        3 2   3        2 3 2 2          4 3
+--R                   - 9b c d f  + 36b c d e f  - 54b c d e f  + 36b c d e f
+--R                 + 
+--R                         5 4
+--R                   - 9b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                        4   4         3 2   3         2 3 2 2           4 3
+--R                   26b c d f  - 104b c d e f  + 156b c d e f  - 104b c d e f
+--R                 + 
+--R                        5 4
+--R                   26b d e
+--R              *
+--R                 n
+--R             + 
+--R                      4   4        3 2   3         2 3 2 2          4 3
+--R               - 24b c d f  + 96b c d e f  - 144b c d e f  + 96b c d e f
+--R             + 
+--R                      5 4
+--R               - 24b d e
+--R          *
+--R             x
+--R         + 
+--R               4   4       3 2   3       2 3 2 2         4 3       5 4  3
+--R           (a c d f  - 4a c d e f  + 6a c d e f  - 4a c d e f + a d e )n
+--R         + 
+--R                  4   4        3 2   3        2 3 2 2          4 3        5 4  2
+--R           (- 9a c d f  + 36a c d e f  - 54a c d e f  + 36a c d e f - 9a d e )n
+--R         + 
+--R                    4   4         3 2   3         2 3 2 2           4 3
+--R               26a c d f  - 104a c d e f  + 156a c d e f  - 104a c d e f
+--R             + 
+--R                    5 4
+--R               26a d e
+--R          *
+--R             n
+--R         + 
+--R                  4   4        3 2   3         2 3 2 2          4 3         5 4
+--R           - 24a c d f  + 96a c d e f  - 144a c d e f  + 96a c d e f - 24a d e
+--R      *
+--R           (n - 5)log(d x + c)
+--R         %e
+--R  /
+--R           4   4     3 2   3     2 3 2 2       4 3     5 4  3
+--R         (c d f  - 4c d e f  + 6c d e f  - 4c d e f + d e )n
+--R       + 
+--R              4   4      3 2   3      2 3 2 2        4 3      5 4  2
+--R         (- 9c d f  + 36c d e f  - 54c d e f  + 36c d e f - 9d e )n
+--R       + 
+--R             4   4       3 2   3       2 3 2 2         4 3       5 4
+--R         (26c d f  - 104c d e f  + 156c d e f  - 104c d e f + 26d e )n
+--R       + 
+--R              4   4      3 2   3       2 3 2 2        4 3       5 4
+--R         - 24c d f  + 96c d e f  - 144c d e f  + 96c d e f - 24d e
+--R    *
+--R         n log(f x + e)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1263
+
+)clear all
+
+--S 1264 of 1293
+t0:=(c+d*x)*(e+f*x)^n/(a+b*x)^n
+--R 
+--R
+--R                          n
+--R        (d x + c)(f x + e)
+--R   (1)  -------------------
+--R                      n
+--R             (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1264
+
+--S 1265 of 1293
+--r0:=1/2*d*(a+b*x)^(1-n)*(e+f*x)^(1+n)/(b*f)+1/2*(b*(2*c*f-d*e*(1-n))-_
+--a*d*f*(1+n))*(-f*(a+b*x)/(b*e-a*f))^n*(e+f*x)^(1+n)*_
+--hypergeometric(n,1+n,2+n,b*(e+f*x)/(b*e-a*f))/(b*f^2*(1+n)*(a+b*x)^n)
+--E 1265
+
+--S 1266 of 1293
+--a0:=integrate(t0,x)
+--E 1266
+
+--S 1267 of 1293
+--m0:=a0-r0
+--E 1267
+
+--S 1268 of 1293
+--d0:=D(m0,x)
+--E 1268
+
+)clear all
+
+--S 1269 of 1293
+t0:=(c+d*x)*(e+f*x)^(-1+n)/(a+b*x)^n
+--R 
+--R
+--R                          n - 1
+--R        (d x + c)(f x + e)
+--R   (1)  -----------------------
+--R                        n
+--R               (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1269
+
+--S 1270 of 1293
+--r0:=(d*e-c*f)*(a+b*x)^(1-n)*(e+f*x)^n/(f*(b*e-a*f)*n)+(b*(c*f-d*e*(1-n))-_
+--a*d*f*n)*(-f*(a+b*x)/(b*e-a*f))^n*(e+f*x)^(1+n)*_
+--hypergeometric(n,1+n,2+n,b*(e+f*x)/(b*e-a*f))/(f^2*(b*e-a*f)*n*_
+--(1+n)*(a+b*x)^n)
+--E 1270
+
+--S 1271 of 1293
+--a0:=integrate(t0,x)
+--E 1271
+
+--S 1272 of 1293
+--m0:=a0-r0
+--E 1272
+
+--S 1273 of 1293
+--d0:=D(m0,x)
+--E 1273
+
+)clear all
+
+--S 1274 of 1293
+t0:=(c+d*x)*(e+f*x)^(-2+n)/(a+b*x)^n
+--R 
+--R
+--R                          n - 2
+--R        (d x + c)(f x + e)
+--R   (1)  -----------------------
+--R                        n
+--R               (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1274
+
+--S 1275 of 1293
+--r0:=-(d*e-c*f)*(a+b*x)^(1-n)*(e+f*x)^(-1+n)/(f*(b*e-a*f)*(1-n))-_
+--d*(a+b*x)^(1-n)*(e+f*x)^n/(f*(b*e-a*f)*n)+b*d*(-f*(a+b*x)/(b*e-a*f))^n*_
+--(e+f*x)^(1+n)*hypergeometric(n,1+n,2+n,b*(e+f*x)/(b*e-a*f))/_
+--(f^2*(b*e-a*f)*n*(1+n)*(a+b*x)^n)
+--E 1275
+
+--S 1276 of 1293
+--a0:=integrate(t0,x)
+--E 1276
+
+--S 1277 of 1293
+--m0:=a0-r0
+--E 1277
+
+--S 1278 of 1293
+--d0:=D(m0,x)
+--E 1278
+
+)clear all
+
+--S 1279 of 1293
+t0:=(c+d*x)*(e+f*x)^(-3+n)/(a+b*x)^n
+--R 
+--R
+--R                          n - 3
+--R        (d x + c)(f x + e)
+--R   (1)  -----------------------
+--R                        n
+--R               (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1279
+
+--S 1280 of 1293
+r0:=-(d*e-c*f)*(a+b*x)^(1-n)*(e+f*x)^(-2+n)/(f*(b*e-a*f)*(2-n))-_
+     (a*d*f*(2-n)-b*(c*f+d*(e-e*n)))*(a+b*x)^(1-n)*(e+f*x)^(-1+n)/_
+     (f*(b*e-a*f)^2*(1-n)*(2-n))
+--R 
+--R
+--R   (2)
+--R                                                              - n + 1
+--R         ((a d f - b d e)n + (- 2a d + b c)f + b d e)(b x + a)
+--R      *
+--R                  n - 1
+--R         (f x + e)
+--R     + 
+--R                 2                           2          2
+--R           (a c f  + (- a d - b c)e f + b d e )n - a c f  + (a d + b c)e f
+--R         + 
+--R                  2
+--R           - b d e
+--R      *
+--R                  - n + 1         n - 2
+--R         (b x + a)       (f x + e)
+--R  /
+--R         2 3           2    2 2   2        2 3           2     2 2        2 3
+--R       (a f  - 2a b e f  + b e f)n  + (- 3a f  + 6a b e f  - 3b e f)n + 2a f
+--R     + 
+--R                 2     2 2
+--R       - 4a b e f  + 2b e f
+--R                                                    Type: Expression(Integer)
+--E 1280
+
+--S 1281 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2    2                       2   2    2       3
+--R         ((a b d f  - b d e f)n + (- 2a b d + b c)f  + b d e f)x
+--R       + 
+--R                2           2    2         2   2       2   2
+--R             ((a d + a b c)f  - b c e f - b d e )n - 2a d f
+--R           + 
+--R                           2         2   2
+--R             (- 2a b d + 3b c)e f + b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               2   2    2                    2   2      2   2
+--R             (a c f  + a d e f + (- a b d - b c)e )n - a c f
+--R           + 
+--R                  2                   2   2
+--R             (- 3a d + 2a b c)e f + 2b c e
+--R        *
+--R           x
+--R       + 
+--R           2               2      2            2            2
+--R         (a c e f - a b c e )n - a c e f + (- a d + 2a b c)e
+--R    *
+--R         (n - 3)log(f x + e)
+--R       %e
+--R  /
+--R           2 2               2 2  2        2 2                2 2       2 2
+--R         (a f  - 2a b e f + b e )n  + (- 3a f  + 6a b e f - 3b e )n + 2a f
+--R       + 
+--R                        2 2
+--R         - 4a b e f + 2b e
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1281
+
+--S 1282 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                    3    2     2                  2   3    2     2  3
+--R           ((a b d f  - b d e f )n + (- 2a b d + b c)f  + b d e f )x
+--R         + 
+--R                  2           3    2     2    2   2        2   3
+--R               ((a d + a b c)f  - b c e f  - b d e f)n - 2a d f
+--R             + 
+--R                             2     2    2   2
+--R               (- 2a b d + 3b c)e f  + b d e f
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 2   3    2     2               2   2       2   3
+--R               (a c f  + a d e f  + (- a b d - b c)e f)n - a c f
+--R             + 
+--R                    2              2     2   2
+--R               (- 3a d + 2a b c)e f  + 2b c e f
+--R          *
+--R             x
+--R         + 
+--R             2     2          2       2     2       2            2
+--R           (a c e f  - a b c e f)n - a c e f  + (- a d + 2a b c)e f
+--R      *
+--R           (n - 3)log(f x + e)
+--R         %e
+--R     + 
+--R                                                                  - n + 1
+--R             ((- a d f + b d e)n + (2a d - b c)f - b d e)(b x + a)
+--R          *
+--R                      n - 1
+--R             (f x + e)
+--R         + 
+--R                       2                         2          2
+--R               (- a c f  + (a d + b c)e f - b d e )n + a c f  + (- a d - b c)e f
+--R             + 
+--R                    2
+--R               b d e
+--R          *
+--R                      - n + 1         n - 2
+--R             (b x + a)       (f x + e)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R  /
+--R           2 3           2    2 2   2        2 3           2     2 2        2 3
+--R         (a f  - 2a b e f  + b e f)n  + (- 3a f  + 6a b e f  - 3b e f)n + 2a f
+--R       + 
+--R                   2     2 2
+--R         - 4a b e f  + 2b e f
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1282
+
+--S 1283 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1283
+
+)clear all
+
+--S 1284 of 1293
+t0:=(c+d*x)*(e+f*x)^(-4+n)/(a+b*x)^n
+--R 
+--R
+--R                          n - 4
+--R        (d x + c)(f x + e)
+--R   (1)  -----------------------
+--R                        n
+--R               (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1284
+
+--S 1285 of 1293
+r0:=-(d*e-c*f)*(a+b*x)^(1-n)*(e+f*x)^(-3+n)/(f*(b*e-a*f)*(3-n))+_
+     (b*(2*c*f+d*e*(1-n))-a*d*f*(3-n))*(a+b*x)^(1-n)*_
+     (e+f*x)^(-2+n)/(f*(b*e-a*f)^2*(2-n)*(3-n))+b*(b*(2*c*f+d*e*(1-n))-_
+     a*d*f*(3-n))*(a+b*x)^(1-n)*(e+f*x)^(-1+n)/(f*(b*e-a*f)^3*(1-n)*_
+     (2-n)*(3-n))
+--R 
+--R
+--R   (2)
+--R                      2                      2       2             - n + 1
+--R         ((a b d f - b d e)n + (- 3a b d + 2b c)f + b d e)(b x + a)
+--R      *
+--R                  n - 1
+--R         (f x + e)
+--R     + 
+--R             2   2                 2   2  2
+--R           (a d f  - 2a b d e f + b d e )n
+--R         + 
+--R                 2            2               2          2   2
+--R           ((- 4a d + 2a b c)f  + (6a b d - 2b c)e f - 2b d e )n
+--R         + 
+--R              2            2                 2         2   2
+--R           (3a d - 2a b c)f  + (- 4a b d + 2b c)e f + b d e
+--R      *
+--R                  - n + 1         n - 2
+--R         (b x + a)       (f x + e)
+--R     + 
+--R             2   3       2              2              2   2     2   3  2
+--R           (a c f  + (- a d - 2a b c)e f  + (2a b d + b c)e f - b d e )n
+--R         + 
+--R                2   3      2              2                 2   2      2   3
+--R           (- 3a c f  + (3a d + 6a b c)e f  + (- 6a b d - 3b c)e f + 3b d e )n
+--R         + 
+--R             2   3        2              2               2   2      2   3
+--R           2a c f  + (- 2a d - 4a b c)e f  + (4a b d + 2b c)e f - 2b d e
+--R      *
+--R                  - n + 1         n - 3
+--R         (b x + a)       (f x + e)
+--R  /
+--R         3 4     2     3       2 2 2    3 3   3
+--R       (a f  - 3a b e f  + 3a b e f  - b e f)n
+--R     + 
+--R            3 4      2     3        2 2 2     3 3   2
+--R       (- 6a f  + 18a b e f  - 18a b e f  + 6b e f)n
+--R     + 
+--R           3 4      2     3        2 2 2      3 3        3 4      2     3
+--R       (11a f  - 33a b e f  + 33a b e f  - 11b e f)n - 6a f  + 18a b e f
+--R     + 
+--R              2 2 2     3 3
+--R       - 18a b e f  + 6b e f
+--R                                                    Type: Expression(Integer)
+--E 1285
+
+--S 1286 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2   3    3     2            2      3   3    3     2  4
+--R         ((a b d f  - b d e f )n + (- 3a b d + 2b c)f  + b d e f )x
+--R       + 
+--R               2     3       2     2    3   2   2
+--R             (a b d f  - 2a b d e f  + b d e f)n
+--R           + 
+--R                   2          2   3        2      3     2     3   2
+--R             ((- 3a b d + 2a b c)f  + (8a b d - 2b c)e f  - 5b d e f)n
+--R           + 
+--R                     2      3     2     3   2
+--R             (- 12a b d + 8b c)e f  + 4b d e f
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   3     2     3       2          2     2         2     3   2
+--R                 (a d + a b c)f  + (- a b d - 2a b c)e f  + (- a b d + b c)e f
+--R               + 
+--R                  3   3
+--R                 b d e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                      3     2     3      2          2     2        2      3   2
+--R                 (- 4a d - a b c)f  + (4a b d + 8a b c)e f  + (4a b d - 7b c)e f
+--R               + 
+--R                     3   3
+--R                 - 4b d e
+--R            *
+--R               n
+--R           + 
+--R               3   3     2       2          2       3   2      3   3
+--R             3a d f  - 9a b d e f  + (- 9a b d + 12b c)e f + 3b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  3   3     3     2       2        2         2   2
+--R                 a c f  + (a d - a b c)e f  + (- 2a b d - a b c)e f
+--R               + 
+--R                     2     3   3
+--R                 (a b d + b c)e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                     3   3        3      2       2      2         2   2
+--R                 - 3a c f  + (- 5a d + 7a b c)e f  + (8a b d + a b c)e f
+--R               + 
+--R                        2      3   3
+--R                 (- 3a b d - 5b c)e
+--R            *
+--R               n
+--R           + 
+--R               3   3      3      2       2         2          2   2      3   3
+--R             2a c f  + (4a d - 6a b c)e f  + (- 12a b d + 6a b c)e f + 6b c e
+--R        *
+--R           x
+--R       + 
+--R           3     2     2     2       2   3  2
+--R         (a c e f  - 2a b c e f + a b c e )n
+--R       + 
+--R              3     2       3      2     2      2          2   3       3     2
+--R         (- 3a c e f  + (- a d + 8a b c)e f + (a b d - 5a b c)e )n + 2a c e f
+--R       + 
+--R           3      2     2         2          2   3
+--R         (a d - 6a b c)e f + (- 3a b d + 6a b c)e
+--R    *
+--R         (n - 4)log(f x + e)
+--R       %e
+--R  /
+--R           3 3     2     2       2 2     3 3  3
+--R         (a f  - 3a b e f  + 3a b e f - b e )n
+--R       + 
+--R              3 3      2     2        2 2      3 3  2
+--R         (- 6a f  + 18a b e f  - 18a b e f + 6b e )n
+--R       + 
+--R             3 3      2     2        2 2       3 3       3 3      2     2
+--R         (11a f  - 33a b e f  + 33a b e f - 11b e )n - 6a f  + 18a b e f
+--R       + 
+--R                2 2      3 3
+--R         - 18a b e f + 6b e
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1286
+
+--S 1287 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                2   4    3     3            2      3   4    3     3  4
+--R           ((a b d f  - b d e f )n + (- 3a b d + 2b c)f  + b d e f )x
+--R         + 
+--R                 2     4       2     3    3   2 2  2
+--R               (a b d f  - 2a b d e f  + b d e f )n
+--R             + 
+--R                     2          2   4        2      3     3     3   2 2
+--R               ((- 3a b d + 2a b c)f  + (8a b d - 2b c)e f  - 5b d e f )n
+--R             + 
+--R                       2      3     3     3   2 2
+--R               (- 12a b d + 8b c)e f  + 4b d e f
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     3     2     4       2          2     3
+--R                   (a d + a b c)f  + (- a b d - 2a b c)e f
+--R                 + 
+--R                         2     3   2 2    3   3
+--R                   (- a b d + b c)e f  + b d e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                        3     2     4      2          2     3
+--R                   (- 4a d - a b c)f  + (4a b d + 8a b c)e f
+--R                 + 
+--R                        2      3   2 2     3   3
+--R                   (4a b d - 7b c)e f  - 4b d e f
+--R              *
+--R                 n
+--R             + 
+--R                 3   4     2       3          2       3   2 2     3   3
+--R               3a d f  - 9a b d e f  + (- 9a b d + 12b c)e f  + 3b d e f
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    3   4     3     2       3        2         2   2 2
+--R                   a c f  + (a d - a b c)e f  + (- 2a b d - a b c)e f
+--R                 + 
+--R                       2     3   3
+--R                   (a b d + b c)e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                       3   4        3      2       3      2         2   2 2
+--R                   - 3a c f  + (- 5a d + 7a b c)e f  + (8a b d + a b c)e f
+--R                 + 
+--R                          2      3   3
+--R                   (- 3a b d - 5b c)e f
+--R              *
+--R                 n
+--R             + 
+--R               3   4      3      2       3         2          2   2 2     3   3
+--R             2a c f  + (4a d - 6a b c)e f  + (- 12a b d + 6a b c)e f  + 6b c e f
+--R          *
+--R             x
+--R         + 
+--R             3     3     2     2 2      2   3   2
+--R           (a c e f  - 2a b c e f  + a b c e f)n
+--R         + 
+--R                3     3       3      2     2 2     2          2   3
+--R           (- 3a c e f  + (- a d + 8a b c)e f  + (a b d - 5a b c)e f)n
+--R         + 
+--R             3     3     3      2     2 2        2          2   3
+--R           2a c e f  + (a d - 6a b c)e f  + (- 3a b d + 6a b c)e f
+--R      *
+--R           (n - 4)log(f x + e)
+--R         %e
+--R     + 
+--R                            2                    2       2             - n + 1
+--R             ((- a b d f + b d e)n + (3a b d - 2b c)f - b d e)(b x + a)
+--R          *
+--R                      n - 1
+--R             (f x + e)
+--R         + 
+--R                   2   2                 2   2  2
+--R               (- a d f  + 2a b d e f - b d e )n
+--R             + 
+--R                   2            2                 2          2   2
+--R               ((4a d - 2a b c)f  + (- 6a b d + 2b c)e f + 2b d e )n
+--R             + 
+--R                    2            2               2         2   2
+--R               (- 3a d + 2a b c)f  + (4a b d - 2b c)e f - b d e
+--R          *
+--R                      - n + 1         n - 2
+--R             (b x + a)       (f x + e)
+--R         + 
+--R                   2   3     2              2                2   2     2   3  2
+--R               (- a c f  + (a d + 2a b c)e f  + (- 2a b d - b c)e f + b d e )n
+--R             + 
+--R                  2   3        2              2               2   2      2   3
+--R               (3a c f  + (- 3a d - 6a b c)e f  + (6a b d + 3b c)e f - 3b d e )n
+--R             + 
+--R                   2   3      2              2                 2   2      2   3
+--R               - 2a c f  + (2a d + 4a b c)e f  + (- 4a b d - 2b c)e f + 2b d e
+--R          *
+--R                      - n + 1         n - 3
+--R             (b x + a)       (f x + e)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R  /
+--R           3 4     2     3       2 2 2    3 3   3
+--R         (a f  - 3a b e f  + 3a b e f  - b e f)n
+--R       + 
+--R              3 4      2     3        2 2 2     3 3   2
+--R         (- 6a f  + 18a b e f  - 18a b e f  + 6b e f)n
+--R       + 
+--R             3 4      2     3        2 2 2      3 3        3 4      2     3
+--R         (11a f  - 33a b e f  + 33a b e f  - 11b e f)n - 6a f  + 18a b e f
+--R       + 
+--R                2 2 2     3 3
+--R         - 18a b e f  + 6b e f
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1287
+
+--S 1288 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1288
+
+)clear all
+
+--S 1289 of 1293
+t0:=(c+d*x)*(e+f*x)^(-5+n)/(a+b*x)^n
+--R 
+--R
+--R                          n - 5
+--R        (d x + c)(f x + e)
+--R   (1)  -----------------------
+--R                        n
+--R               (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 1289
+
+--S 1290 of 1293
+r0:=-(d*e-c*f)*(a+b*x)^(1-n)*(e+f*x)^(-4+n)/(f*(b*e-a*f)*(4-n))+_
+     (b*(3*c*f+d*e*(1-n))-a*d*f*(4-n))*(a+b*x)^(1-n)*(e+f*x)^(-3+n)/_
+     (f*(b*e-a*f)^2*(3-n)*(4-n))+2*b*(b*(3*c*f+d*e*(1-n))-a*d*f*(4-n))*_
+     (a+b*x)^(1-n)*(e+f*x)^(-2+n)/(f*(b*e-a*f)^3*(2-n)*(3-n)*(4-n))+_
+     2*b^2*(b*(3*c*f+d*e*(1-n))-a*d*f*(4-n))*(a+b*x)^(1-n)*(e+f*x)^(-1+n)/_
+     (f*(b*e-a*f)^4*(1-n)*(2-n)*(3-n)*(4-n))
+--R 
+--R
+--R   (2)
+--R               2        3               2      3        3             - n + 1
+--R         ((2a b d f - 2b d e)n + (- 8a b d + 6b c)f + 2b d e)(b x + a)
+--R      *
+--R                  n - 1
+--R         (f x + e)
+--R     + 
+--R              2     2       2          3   2  2
+--R           (2a b d f  - 4a b d e f + 2b d e )n
+--R         + 
+--R                  2          2   2         2      3          3   2
+--R           ((- 10a b d + 6a b c)f  + (14a b d - 6b c)e f - 4b d e )n
+--R         + 
+--R              2          2   2           2      3          3   2
+--R           (8a b d - 6a b c)f  + (- 10a b d + 6b c)e f + 2b d e
+--R      *
+--R                  - n + 1         n - 2
+--R         (b x + a)       (f x + e)
+--R     + 
+--R             3   3     2       2       2   2     3   3  3
+--R           (a d f  - 3a b d e f  + 3a b d e f - b d e )n
+--R         + 
+--R                    3      2     3       2          2     2
+--R               (- 7a d + 3a b c)f  + (18a b d - 6a b c)e f
+--R             + 
+--R                       2      3   2      3   3
+--R               (- 15a b d + 3b c)e f + 4b d e
+--R          *
+--R              2
+--R             n
+--R         + 
+--R                   3      2     3         2           2     2
+--R               (14a d - 9a b c)f  + (- 33a b d + 18a b c)e f
+--R             + 
+--R                     2      3   2      3   3
+--R               (24a b d - 9b c)e f - 5b d e
+--R          *
+--R             n
+--R         + 
+--R                3      2     3       2           2     2           2      3   2
+--R           (- 8a d + 6a b c)f  + (18a b d - 12a b c)e f  + (- 12a b d + 6b c)e f
+--R         + 
+--R             3   3
+--R           2b d e
+--R      *
+--R                  - n + 1         n - 3
+--R         (b x + a)       (f x + e)
+--R     + 
+--R                3   4       3      2       3      2          2   2 2
+--R               a c f  + (- a d - 3a b c)e f  + (3a b d + 3a b c)e f
+--R             + 
+--R                      2     3   3     3   4
+--R               (- 3a b d - b c)e f + b d e
+--R          *
+--R              3
+--R             n
+--R         + 
+--R                   3   4      3       2       3         2           2   2 2
+--R               - 6a c f  + (6a d + 18a b c)e f  + (- 18a b d - 18a b c)e f
+--R             + 
+--R                     2      3   3      3   4
+--R               (18a b d + 6b c)e f - 6b d e
+--R          *
+--R              2
+--R             n
+--R         + 
+--R                  3   4         3       2       3       2           2   2 2
+--R               11a c f  + (- 11a d - 33a b c)e f  + (33a b d + 33a b c)e f
+--R             + 
+--R                       2       3   3       3   4
+--R               (- 33a b d - 11b c)e f + 11b d e
+--R          *
+--R             n
+--R         + 
+--R               3   4      3       2       3         2           2   2 2
+--R           - 6a c f  + (6a d + 18a b c)e f  + (- 18a b d - 18a b c)e f
+--R         + 
+--R                 2      3   3      3   4
+--R           (18a b d + 6b c)e f - 6b d e
+--R      *
+--R                  - n + 1         n - 4
+--R         (b x + a)       (f x + e)
+--R  /
+--R         4 5     3     4     2 2 2 3       3 3 2    4 4   4
+--R       (a f  - 4a b e f  + 6a b e f  - 4a b e f  + b e f)n
+--R     + 
+--R             4 5      3     4      2 2 2 3        3 3 2      4 4   3
+--R       (- 10a f  + 40a b e f  - 60a b e f  + 40a b e f  - 10b e f)n
+--R     + 
+--R           4 5       3     4       2 2 2 3         3 3 2      4 4   2
+--R       (35a f  - 140a b e f  + 210a b e f  - 140a b e f  + 35b e f)n
+--R     + 
+--R             4 5       3     4       2 2 2 3         3 3 2      4 4         4 5
+--R       (- 50a f  + 200a b e f  - 300a b e f  + 200a b e f  - 50b e f)n + 24a f
+--R     + 
+--R            3     4       2 2 2 3        3 3 2      4 4
+--R       - 96a b e f  + 144a b e f  - 96a b e f  + 24b e f
+--R                                                    Type: Expression(Integer)
+--E 1290
+
+--S 1291 of 1293
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3   4     4     3            3      4   4     4     3  5
+--R         ((2a b d f  - 2b d e f )n + (- 8a b d + 6b c)f  + 2b d e f )x
+--R       + 
+--R                2 2   4       3     3     4   2 2  2
+--R             (2a b d f  - 4a b d e f  + 2b d e f )n
+--R           + 
+--R                   2 2        3   4         3      4     3      4   2 2
+--R             ((- 8a b d + 6a b c)f  + (20a b d - 6b c)e f  - 12b d e f )n
+--R           + 
+--R                     3       4     3      4   2 2
+--R             (- 40a b d + 30b c)e f  + 10b d e f
+--R        *
+--R            4
+--R           x
+--R       + 
+--R               3     4     2 2     3       3   2 2    4   3   3
+--R             (a b d f  - 3a b d e f  + 3a b d e f  - b d e f)n
+--R           + 
+--R                      3        2 2   4       2 2        3     3
+--R                 (- 5a b d + 3a b c)f  + (20a b d - 6a b c)e f
+--R               + 
+--R                         3      4   2 2      4   3
+--R                 (- 25a b d + 3b c)e f  + 10b d e f
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                    3        2 2   4         2 2         3     3
+--R                 (4a b d - 3a b c)f  + (- 41a b d + 30a b c)e f
+--R               + 
+--R                       3       4   2 2      4   3
+--R                 (66a b d - 27b c)e f  - 29b d e f
+--R            *
+--R               n
+--R           + 
+--R                     3       4   2 2      4   3
+--R             (- 80a b d + 60b c)e f  + 20b d e f
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   4     3     4        3        2 2     3       3   2 2
+--R                 (a d + a b c)f  + (- 2a b d - 3a b c)e f  + 3a b c e f
+--R               + 
+--R                      3     4   3     4   4
+--R                 (2a b d - b c)e f - b d e
+--R            *
+--R                3
+--R               n
+--R           + 
+--R                      4      3     4       3         2 2     3
+--R                 (- 7a d - 3a b c)f  + (16a b d + 18a b c)e f
+--R               + 
+--R                      2 2         3   2 2           3       4   3      4   4
+--R                 (- 3a b d - 27a b c)e f  + (- 14a b d + 12b c)e f + 8b d e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                     4      3     4         3         2 2     3
+--R                 (14a d + 2a b c)f  + (- 46a b d - 15a b c)e f
+--R               + 
+--R                     2 2         3   2 2         3       4   3       4   4
+--R                 (15a b d + 60a b c)e f  + (36a b d - 47b c)e f - 19b d e
+--R            *
+--R               n
+--R           + 
+--R                 4   4      3       3      2 2   2 2           3       4   3
+--R             - 8a d f  + 32a b d e f  - 48a b d e f  + (- 48a b d + 60b c)e f
+--R           + 
+--R                4   4
+--R             12b d e
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  4   4     4      3       3     3     2 2
+--R                 a c f  + (a d - 2a b c)e f  - 3a b d e f
+--R               + 
+--R                    2 2        3   3          3     4   4
+--R                 (3a b d + 2a b c)e f + (- a b d - b c)e
+--R            *
+--R                3
+--R               n
+--R           + 
+--R                     4   4        4       3       3       3        2 2   2 2
+--R                 - 6a c f  + (- 8a d + 18a b c)e f  + (23a b d - 9a b c)e f
+--R               + 
+--R                       2 2         3   3         3      4   4
+--R                 (- 22a b d - 12a b c)e f + (7a b d + 9b c)e
+--R            *
+--R                2
+--R               n
+--R           + 
+--R                    4   4       4       3       3         3         2 2   2 2
+--R                 11a c f  + (17a d - 40a b c)e f  + (- 60a b d + 45a b c)e f
+--R               + 
+--R                     2 2         3   3            3       4   4
+--R                 (55a b d + 10a b c)e f + (- 12a b d - 26b c)e
+--R            *
+--R               n
+--R           + 
+--R                 4   4         4       3       3       3         2 2   2 2
+--R             - 6a c f  + (- 10a d + 24a b c)e f  + (40a b d - 36a b c)e f
+--R           + 
+--R                   2 2         3   3       4   4
+--R             (- 60a b d + 24a b c)e f + 24b c e
+--R        *
+--R           x
+--R       + 
+--R           4     3     3     2 2     2 2   3       3   4  3
+--R         (a c e f  - 3a b c e f  + 3a b c e f - a b c e )n
+--R       + 
+--R                 4     3       4       3     2 2      3         2 2   3
+--R             - 6a c e f  + (- a d + 21a b c)e f  + (2a b d - 24a b c)e f
+--R           + 
+--R                 2 2        3   4
+--R             (- a b d + 9a b c)e
+--R        *
+--R            2
+--R           n
+--R       + 
+--R                4     3      4       3     2 2         3         2 2   3
+--R             11a c e f  + (3a d - 42a b c)e f  + (- 10a b d + 57a b c)e f
+--R           + 
+--R                2 2         3   4
+--R             (7a b d - 26a b c)e
+--R        *
+--R           n
+--R       + 
+--R             4     3        4       3     2 2      3         2 2   3
+--R         - 6a c e f  + (- 2a d + 24a b c)e f  + (8a b d - 36a b c)e f
+--R       + 
+--R               2 2         3   4
+--R         (- 12a b d + 24a b c)e
+--R    *
+--R         (n - 5)log(f x + e)
+--R       %e
+--R  /
+--R           4 4     3     3     2 2 2 2       3 3     4 4  4
+--R         (a f  - 4a b e f  + 6a b e f  - 4a b e f + b e )n
+--R       + 
+--R               4 4      3     3      2 2 2 2        3 3       4 4  3
+--R         (- 10a f  + 40a b e f  - 60a b e f  + 40a b e f - 10b e )n
+--R       + 
+--R             4 4       3     3       2 2 2 2         3 3       4 4  2
+--R         (35a f  - 140a b e f  + 210a b e f  - 140a b e f + 35b e )n
+--R       + 
+--R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R         (- 50a f  + 200a b e f  - 300a b e f  + 200a b e f - 50b e )n + 24a f
+--R       + 
+--R              3     3       2 2 2 2        3 3       4 4
+--R         - 96a b e f  + 144a b e f  - 96a b e f + 24b e
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 1291
+
+--S 1292 of 1293
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                 3   5     4     4            3      4   5     4     4  5
+--R           ((2a b d f  - 2b d e f )n + (- 8a b d + 6b c)f  + 2b d e f )x
+--R         + 
+--R                  2 2   5       3     4     4   2 3  2
+--R               (2a b d f  - 4a b d e f  + 2b d e f )n
+--R             + 
+--R                     2 2        3   5         3      4     4      4   2 3
+--R               ((- 8a b d + 6a b c)f  + (20a b d - 6b c)e f  - 12b d e f )n
+--R             + 
+--R                       3       4     4      4   2 3
+--R               (- 40a b d + 30b c)e f  + 10b d e f
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                 3     5     2 2     4       3   2 3    4   3 2  3
+--R               (a b d f  - 3a b d e f  + 3a b d e f  - b d e f )n
+--R             + 
+--R                        3        2 2   5       2 2        3     4
+--R                   (- 5a b d + 3a b c)f  + (20a b d - 6a b c)e f
+--R                 + 
+--R                           3      4   2 3      4   3 2
+--R                   (- 25a b d + 3b c)e f  + 10b d e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                      3        2 2   5         2 2         3     4
+--R                   (4a b d - 3a b c)f  + (- 41a b d + 30a b c)e f
+--R                 + 
+--R                         3       4   2 3      4   3 2
+--R                   (66a b d - 27b c)e f  - 29b d e f
+--R              *
+--R                 n
+--R             + 
+--R                       3       4   2 3      4   3 2
+--R               (- 80a b d + 60b c)e f  + 20b d e f
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     4     3     5        3        2 2     4       3   2 3
+--R                   (a d + a b c)f  + (- 2a b d - 3a b c)e f  + 3a b c e f
+--R                 + 
+--R                        3     4   3 2    4   4
+--R                   (2a b d - b c)e f  - b d e f
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                        4      3     5       3         2 2     4
+--R                   (- 7a d - 3a b c)f  + (16a b d + 18a b c)e f
+--R                 + 
+--R                      2 2         3   2 3           3       4   3 2     4   4
+--R                 (- 3a b d - 27a b c)e f  + (- 14a b d + 12b c)e f  + 8b d e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                       4      3     5         3         2 2     4
+--R                   (14a d + 2a b c)f  + (- 46a b d - 15a b c)e f
+--R                 + 
+--R                       2 2         3   2 3         3       4   3 2      4   4
+--R                   (15a b d + 60a b c)e f  + (36a b d - 47b c)e f  - 19b d e f
+--R              *
+--R                 n
+--R             + 
+--R                   4   5      3       4      2 2   2 3           3       4   3 2
+--R               - 8a d f  + 32a b d e f  - 48a b d e f  + (- 48a b d + 60b c)e f
+--R             + 
+--R                  4   4
+--R               12b d e f
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    4   5     4      3       4     3     2 3
+--R                   a c f  + (a d - 2a b c)e f  - 3a b d e f
+--R                 + 
+--R                      2 2        3   3 2         3     4   4
+--R                   (3a b d + 2a b c)e f  + (- a b d - b c)e f
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                       4   5        4       3       4       3        2 2   2 3
+--R                   - 6a c f  + (- 8a d + 18a b c)e f  + (23a b d - 9a b c)e f
+--R                 + 
+--R                         2 2         3   3 2        3      4   4
+--R                   (- 22a b d - 12a b c)e f  + (7a b d + 9b c)e f
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                      4   5       4       3       4         3         2 2   2 3
+--R                   11a c f  + (17a d - 40a b c)e f  + (- 60a b d + 45a b c)e f
+--R                 + 
+--R                       2 2         3   3 2           3       4   4
+--R                   (55a b d + 10a b c)e f  + (- 12a b d - 26b c)e f
+--R              *
+--R                 n
+--R             + 
+--R                   4   5         4       3       4       3         2 2   2 3
+--R               - 6a c f  + (- 10a d + 24a b c)e f  + (40a b d - 36a b c)e f
+--R             + 
+--R                     2 2         3   3 2      4   4
+--R               (- 60a b d + 24a b c)e f  + 24b c e f
+--R          *
+--R             x
+--R         + 
+--R             4     4     3     2 3     2 2   3 2      3   4   3
+--R           (a c e f  - 3a b c e f  + 3a b c e f  - a b c e f)n
+--R         + 
+--R                   4     4       4       3     2 3      3         2 2   3 2
+--R               - 6a c e f  + (- a d + 21a b c)e f  + (2a b d - 24a b c)e f
+--R             + 
+--R                   2 2        3   4
+--R               (- a b d + 9a b c)e f
+--R          *
+--R              2
+--R             n
+--R         + 
+--R                  4     4      4       3     2 3         3         2 2   3 2
+--R               11a c e f  + (3a d - 42a b c)e f  + (- 10a b d + 57a b c)e f
+--R             + 
+--R                  2 2         3   4
+--R               (7a b d - 26a b c)e f
+--R          *
+--R             n
+--R         + 
+--R               4     4        4       3     2 3      3         2 2   3 2
+--R           - 6a c e f  + (- 2a d + 24a b c)e f  + (8a b d - 36a b c)e f
+--R         + 
+--R                 2 2         3   4
+--R           (- 12a b d + 24a b c)e f
+--R      *
+--R           (n - 5)log(f x + e)
+--R         %e
+--R     + 
+--R                     2        3             2      3        3
+--R             ((- 2a b d f + 2b d e)n + (8a b d - 6b c)f - 2b d e)
+--R          *
+--R                      - n + 1         n - 1
+--R             (b x + a)       (f x + e)
+--R         + 
+--R                    2     2       2          3   2  2
+--R               (- 2a b d f  + 4a b d e f - 2b d e )n
+--R             + 
+--R                    2          2   2           2      3          3   2
+--R               ((10a b d - 6a b c)f  + (- 14a b d + 6b c)e f + 4b d e )n
+--R             + 
+--R                    2          2   2         2      3          3   2
+--R               (- 8a b d + 6a b c)f  + (10a b d - 6b c)e f - 2b d e
+--R          *
+--R                      - n + 1         n - 2
+--R             (b x + a)       (f x + e)
+--R         + 
+--R                   3   3     2       2       2   2     3   3  3
+--R               (- a d f  + 3a b d e f  - 3a b d e f + b d e )n
+--R             + 
+--R                      3      2     3         2          2     2
+--R                   (7a d - 3a b c)f  + (- 18a b d + 6a b c)e f
+--R                 + 
+--R                         2      3   2      3   3
+--R                   (15a b d - 3b c)e f - 4b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                         3      2     3       2           2     2
+--R                   (- 14a d + 9a b c)f  + (33a b d - 18a b c)e f
+--R                 + 
+--R                           2      3   2      3   3
+--R                   (- 24a b d + 9b c)e f + 5b d e
+--R              *
+--R                 n
+--R             + 
+--R                  3      2     3         2           2     2
+--R               (8a d - 6a b c)f  + (- 18a b d + 12a b c)e f
+--R             + 
+--R                     2      3   2      3   3
+--R               (12a b d - 6b c)e f - 2b d e
+--R          *
+--R                      - n + 1         n - 3
+--R             (b x + a)       (f x + e)
+--R         + 
+--R                      3   4     3      2       3        2          2   2 2
+--R                   - a c f  + (a d + 3a b c)e f  + (- 3a b d - 3a b c)e f
+--R                 + 
+--R                        2     3   3     3   4
+--R                   (3a b d + b c)e f - b d e
+--R              *
+--R                  3
+--R                 n
+--R             + 
+--R                     3   4        3       2       3       2           2   2 2
+--R                   6a c f  + (- 6a d - 18a b c)e f  + (18a b d + 18a b c)e f
+--R                 + 
+--R                           2      3   3      3   4
+--R                   (- 18a b d - 6b c)e f + 6b d e
+--R              *
+--R                  2
+--R                 n
+--R             + 
+--R                        3   4       3       2       3
+--R                   - 11a c f  + (11a d + 33a b c)e f
+--R                 + 
+--R                         2           2   2 2         2       3   3       3   4
+--R                   (- 33a b d - 33a b c)e f  + (33a b d + 11b c)e f - 11b d e
+--R              *
+--R                 n
+--R             + 
+--R                 3   4        3       2       3       2           2   2 2
+--R               6a c f  + (- 6a d - 18a b c)e f  + (18a b d + 18a b c)e f
+--R             + 
+--R                       2      3   3      3   4
+--R               (- 18a b d - 6b c)e f + 6b d e
+--R          *
+--R                      - n + 1         n - 4
+--R             (b x + a)       (f x + e)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R  /
+--R           4 5     3     4     2 2 2 3       3 3 2    4 4   4
+--R         (a f  - 4a b e f  + 6a b e f  - 4a b e f  + b e f)n
+--R       + 
+--R               4 5      3     4      2 2 2 3        3 3 2      4 4   3
+--R         (- 10a f  + 40a b e f  - 60a b e f  + 40a b e f  - 10b e f)n
+--R       + 
+--R             4 5       3     4       2 2 2 3         3 3 2      4 4   2
+--R         (35a f  - 140a b e f  + 210a b e f  - 140a b e f  + 35b e f)n
+--R       + 
+--R               4 5       3     4       2 2 2 3         3 3 2      4 4
+--R         (- 50a f  + 200a b e f  - 300a b e f  + 200a b e f  - 50b e f)n
+--R       + 
+--R            4 5      3     4       2 2 2 3        3 3 2      4 4
+--R         24a f  - 96a b e f  + 144a b e f  - 96a b e f  + 24b e f
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 1292
+
+--S 1293 of 1293
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1293
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/axiom-website/CATS/rich2.input.pdf b/src/axiom-website/CATS/rich2.input.pdf
new file mode 100644
index 0000000..9c3f4dd
Binary files /dev/null and b/src/axiom-website/CATS/rich2.input.pdf differ
diff --git a/src/axiom-website/CATS/rich3a.input.pamphlet b/src/axiom-website/CATS/rich3a.input.pamphlet
new file mode 100644
index 0000000..fc946de
--- /dev/null
+++ b/src/axiom-website/CATS/rich3a.input.pamphlet
@@ -0,0 +1,24157 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich3a.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\verb|(a+b x)^m (c+d)^n (e+f x)^p|
+There are:
+\begin{itemize}
+\item 208 integrals in this file.
+\item 210 supplied "optimal results".
+\item 170 matching answers.
+\item 23 cases where Axiom supplied 2 results.
+\item 25 cases that Axiom failed to integrate.
+\item 12 that contain expressions Axiom does not recognize.
+\end{itemize}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich3a.output
+)spool rich3a.output
+)set message test on
+)set message auto off
+)clear all
+
+--S  1 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R            3      2          n
+--R   (1)  (d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  1
+
+--S  2 of 1092
+r0:=a^2*(b*c-a*d)*(a+b*x)^(1+n)/(b^4*(1+n))-_
+     a*(2*b*c-3*a*d)*(a+b*x)^(2+n)/(b^4*(2+n))+_
+     (b*c-3*a*d)*(a+b*x)^(3+n)/(b^4*(3+n))+d*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R           3       2                       n + 4
+--R       (d n  + 6d n  + 11d n + 6d)(b x + a)
+--R     + 
+--R                          3                    2
+--R           (- 3a d + b c)n  + (- 21a d + 7b c)n  + (- 42a d + 14b c)n - 24a d
+--R         + 
+--R           8b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2            3       2             2       2                   2
+--R           (3a d - 2a b c)n  + (24a d - 16a b c)n  + (57a d - 38a b c)n + 36a d
+--R         + 
+--R           - 24a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3     2     3        3      2     2         3       2
+--R           (- a d + a b c)n  + (- 9a d + 9a b c)n  + (- 26a d + 26a b c)n
+--R         + 
+--R                3       2
+--R           - 24a d + 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  2
+
+--S  3 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4   3     4   2      4        4   4
+--R         (b d n  + 6b d n  + 11b d n + 6b d)x
+--R       + 
+--R              3     4   3        3      4   2        3       4        4   3
+--R         ((a b d + b c)n  + (3a b d + 7b c)n  + (2a b d + 14b c)n + 8b c)x
+--R       + 
+--R             3   3        2 2        3   2        2 2        3     2
+--R         (a b c n  + (- 3a b d + 5a b c)n  + (- 3a b d + 4a b c)n)x
+--R       + 
+--R              2 2   2      3        2 2          3          4      3
+--R         (- 2a b c n  + (6a b d - 8a b c)n)x + 2a b c n - 6a d + 8a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  3
+
+--S  4 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4   3     4   2      4        4   4
+--R           (b d n  + 6b d n  + 11b d n + 6b d)x
+--R         + 
+--R                3     4   3        3      4   2        3       4        4   3
+--R           ((a b d + b c)n  + (3a b d + 7b c)n  + (2a b d + 14b c)n + 8b c)x
+--R         + 
+--R               3   3        2 2        3   2        2 2        3     2
+--R           (a b c n  + (- 3a b d + 5a b c)n  + (- 3a b d + 4a b c)n)x
+--R         + 
+--R                2 2   2      3        2 2          3          4      3
+--R           (- 2a b c n  + (6a b d - 8a b c)n)x + 2a b c n - 6a d + 8a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R             3       2                       n + 4
+--R       (- d n  - 6d n  - 11d n - 6d)(b x + a)
+--R     + 
+--R                       3                  2
+--R         ((3a d - b c)n  + (21a d - 7b c)n  + (42a d - 14b c)n + 24a d - 8b c)
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2            3         2             2         2
+--R           (- 3a d + 2a b c)n  + (- 24a d + 16a b c)n  + (- 57a d + 38a b c)n
+--R         + 
+--R                2
+--R           - 36a d + 24a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3     2     3      3      2     2       3       2           3
+--R           (a d - a b c)n  + (9a d - 9a b c)n  + (26a d - 26a b c)n + 24a d
+--R         + 
+--R                2
+--R           - 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  4
+
+--S  5 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  5
+
+)clear all
+
+--S  6 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R            2                n
+--R   (1)  (d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  6
+
+--S  7 of 1092
+r0:=-a*(b*c-a*d)*(a+b*x)^(1+n)/(b^3*(1+n))+_
+     (b*c-2*a*d)*(a+b*x)^(2+n)/(b^3*(2+n))+d*(a+b*x)^(3+n)/(b^3*(3+n))
+--R 
+--R
+--R   (2)
+--R           2                      n + 3
+--R       (d n  + 3d n + 2d)(b x + a)
+--R     + 
+--R                       2                                           n + 2
+--R       ((- 2a d + b c)n  + (- 8a d + 4b c)n - 6a d + 3b c)(b x + a)
+--R     + 
+--R          2           2      2                 2                    n + 1
+--R       ((a d - a b c)n  + (5a d - 5a b c)n + 6a d - 6a b c)(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  7
+
+--S  8 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3   2     3        3   3
+--R         (b d n  + 3b d n + 2b d)x
+--R       + 
+--R              2     3   2       2      3        3   2
+--R         ((a b d + b c)n  + (a b d + 4b c)n + 3b c)x
+--R       + 
+--R             2   2        2          2         2          3      2
+--R         (a b c n  + (- 2a b d + 3a b c)n)x - a b c n + 2a d - 3a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  8
+
+--S  9 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3   2     3        3   3
+--R           (b d n  + 3b d n + 2b d)x
+--R         + 
+--R                2     3   2       2      3        3   2
+--R           ((a b d + b c)n  + (a b d + 4b c)n + 3b c)x
+--R         + 
+--R               2   2        2          2         2          3      2
+--R           (a b c n  + (- 2a b d + 3a b c)n)x - a b c n + 2a d - 3a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R             2                      n + 3
+--R       (- d n  - 3d n - 2d)(b x + a)
+--R     + 
+--R                     2                                         n + 2
+--R       ((2a d - b c)n  + (8a d - 4b c)n + 6a d - 3b c)(b x + a)
+--R     + 
+--R            2           2        2                 2                    n + 1
+--R       ((- a d + a b c)n  + (- 5a d + 5a b c)n - 6a d + 6a b c)(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  9
+
+--S  10 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  10
+
+)clear all
+
+--S  11 of 1092
+t0:=(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R                          n
+--R   (1)  (d x + c)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  11
+
+--S  12 of 1092
+r0:=(b*c-a*d)*(a+b*x)^(1+n)/(b^2*(1+n))+d*(a+b*x)^(2+n)/(b^2*(2+n))
+--R 
+--R
+--R                          n + 2                                          n + 1
+--R        (d n + d)(b x + a)      + ((- a d + b c)n - 2a d + 2b c)(b x + a)
+--R   (2)  ----------------------------------------------------------------------
+--R                                    2 2     2      2
+--R                                   b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E  12
+
+--S  13 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2       2   2              2        2                 2
+--R       ((b d n + b d)x  + ((a b d + b c)n + 2b c)x + a b c n - a d + 2a b c)
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      2 2     2      2
+--R     b n  + 3b n + 2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  13
+
+--S  14 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R            2       2   2              2        2                 2
+--R         ((b d n + b d)x  + ((a b d + b c)n + 2b c)x + a b c n - a d + 2a b c)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R                           n + 2                                        n + 1
+--R       (- d n - d)(b x + a)      + ((a d - b c)n + 2a d - 2b c)(b x + a)
+--R  /
+--R      2 2     2      2
+--R     b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E  14
+
+--S  15 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  15
+
+)clear all
+
+--S  16 of 1092
+t0:=(a+b*x)^n*(c+d*x)/x
+--R 
+--R
+--R                          n
+--R        (d x + c)(b x + a)
+--R   (1)  -------------------
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  16
+
+--S  17 of 1092
+--r0:=d*(a+b*x)^(1+n)/(b*(1+n))-c*(a+b*x)^(1+n)*_
+--     hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  17
+
+--S  18 of 1092
+--a0:=integrate(t0,x)
+--E  18
+
+--S  19 of 1092
+--m0:=a0-r0
+--E  19
+
+--S  20 of 1092
+--d0:=D(m0,x)
+--E  20
+
+)clear all
+
+--S  21 of 1092
+t0:=x^m*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  21
+
+--S  22 of 1092
+r0:=a*c^5*x^(1+m)/(1+m)+c^4*(b*c+5*a*d)*x^(2+m)/(2+m)+_
+     5*c^3*d*(b*c+2*a*d)*x^(3+m)/(3+m)+10*c^2*d^2*(b*c+a*d)*_
+     x^(4+m)/(4+m)+5*c*d^3*(2*b*c+a*d)*x^(5+m)/(5+m)+_
+     d^4*(5*b*c+a*d)*x^(6+m)/(6+m)+b*d^5*x^(7+m)/(7+m)
+--R 
+--R
+--R   (2)
+--R              5 6        5 5         5 4         5 3          5 2          5
+--R           b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m  + 1764b d m
+--R         + 
+--R                 5
+--R           720b d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               5         4  6         5           4  5          5           4  4
+--R           (a d  + 5b c d )m  + (22a d  + 110b c d )m  + (190a d  + 950b c d )m
+--R         + 
+--R                  5            4  3           5            4  2
+--R           (820a d  + 4100b c d )m  + (1849a d  + 9245b c d )m
+--R         + 
+--R                   5             4           5            4
+--R           (2038a d  + 10190b c d )m + 840a d  + 4200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                  4        2 3  6            4         2 3  5
+--R           (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R         + 
+--R                     4          2 3  4             4          2 3  3
+--R           (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R         + 
+--R                      4           2 3  2              4           2 3
+--R           (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R         + 
+--R                    4           2 3
+--R           5040a c d  + 10080b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 2 3        3 2  6          2 3         3 2  5
+--R           (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R         + 
+--R                   2 3          3 2  4            2 3           3 2  3
+--R           (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R         + 
+--R                    2 3           3 2  2            2 3           3 2
+--R           (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R         + 
+--R                   2 3           3 2
+--R           12600a c d  + 12600b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 3 2       4   6          3 2         4   5
+--R           (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R         + 
+--R                   3 2          4   4            3 2          4   3
+--R           (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R         + 
+--R                    3 2           4   2            3 2           4
+--R           (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R         + 
+--R                   3 2          4
+--R           16800a c d  + 8400b c d
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                4       5  6          4         5  5           4          5  4
+--R           (5a c d + b c )m  + (130a c d + 26b c )m  + (1350a c d + 270b c )m
+--R         + 
+--R                   4           5  3            4           5  2
+--R           (7100a c d + 1420b c )m  + (19645a c d + 3929b c )m
+--R         + 
+--R                    4           5             4           5
+--R           (26370a c d + 5274b c )m + 12600a c d + 2520b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              5 6        5 5         5 4          5 3          5 2          5
+--R           a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m  + 8028a c m
+--R         + 
+--R                  5
+--R           5040a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E  22
+
+--S  23 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R             b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m  + 1764b d m
+--R           + 
+--R                   5
+--R             720b d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                 5         4  6         5           4  5
+--R             (a d  + 5b c d )m  + (22a d  + 110b c d )m
+--R           + 
+--R                    5           4  4          5            4  3
+--R             (190a d  + 950b c d )m  + (820a d  + 4100b c d )m
+--R           + 
+--R                     5            4  2           5             4           5
+--R             (1849a d  + 9245b c d )m  + (2038a d  + 10190b c d )m + 840a d
+--R           + 
+--R                      4
+--R             4200b c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    4        2 3  6            4         2 3  5
+--R             (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R           + 
+--R                       4          2 3  4             4          2 3  3
+--R             (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R           + 
+--R                        4           2 3  2              4           2 3
+--R             (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R           + 
+--R                      4           2 3
+--R             5040a c d  + 10080b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   2 3        3 2  6          2 3         3 2  5
+--R             (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R           + 
+--R                     2 3          3 2  4            2 3           3 2  3
+--R             (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R           + 
+--R                      2 3           3 2  2            2 3           3 2
+--R             (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R           + 
+--R                     2 3           3 2
+--R             12600a c d  + 12600b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   3 2       4   6          3 2         4   5
+--R             (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R           + 
+--R                     3 2          4   4            3 2          4   3
+--R             (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R           + 
+--R                      3 2           4   2            3 2           4
+--R             (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R           + 
+--R                     3 2          4
+--R             16800a c d  + 8400b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  4       5  6          4         5  5           4          5  4
+--R             (5a c d + b c )m  + (130a c d + 26b c )m  + (1350a c d + 270b c )m
+--R           + 
+--R                     4           5  3            4           5  2
+--R             (7100a c d + 1420b c )m  + (19645a c d + 3929b c )m
+--R           + 
+--R                      4           5             4           5
+--R             (26370a c d + 5274b c )m + 12600a c d + 2520b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R             a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m  + 8028a c m
+--R           + 
+--R                    5
+--R             5040a c
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                         Type: Union(Expression(Integer),...)
+--E  23
+
+--S  24 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                  5 6        5 5         5 4         5 3          5 2
+--R               b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m
+--R             + 
+--R                      5          5
+--R               1764b d m + 720b d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                   5         4  6         5           4  5
+--R               (a d  + 5b c d )m  + (22a d  + 110b c d )m
+--R             + 
+--R                      5           4  4          5            4  3
+--R               (190a d  + 950b c d )m  + (820a d  + 4100b c d )m
+--R             + 
+--R                       5            4  2           5             4           5
+--R               (1849a d  + 9245b c d )m  + (2038a d  + 10190b c d )m + 840a d
+--R             + 
+--R                        4
+--R               4200b c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      4        2 3  6            4         2 3  5
+--R               (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R             + 
+--R                         4          2 3  4             4          2 3  3
+--R               (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R             + 
+--R                          4           2 3  2              4           2 3
+--R               (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R             + 
+--R                        4           2 3
+--R               5040a c d  + 10080b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     2 3        3 2  6          2 3         3 2  5
+--R               (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R             + 
+--R                       2 3          3 2  4            2 3           3 2  3
+--R               (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R             + 
+--R                        2 3           3 2  2            2 3           3 2
+--R               (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R             + 
+--R                       2 3           3 2
+--R               12600a c d  + 12600b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     3 2       4   6          3 2         4   5
+--R               (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R             + 
+--R                       3 2          4   4            3 2          4   3
+--R               (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R             + 
+--R                        3 2           4   2            3 2           4
+--R               (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R             + 
+--R                       3 2          4
+--R               16800a c d  + 8400b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    4       5  6          4         5  5
+--R               (5a c d + b c )m  + (130a c d + 26b c )m
+--R             + 
+--R                       4          5  4           4           5  3
+--R               (1350a c d + 270b c )m  + (7100a c d + 1420b c )m
+--R             + 
+--R                        4           5  2            4           5             4
+--R               (19645a c d + 3929b c )m  + (26370a c d + 5274b c )m + 12600a c d
+--R             + 
+--R                      5
+--R               2520b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  5 6        5 5         5 4          5 3          5 2
+--R               a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m
+--R             + 
+--R                      5           5
+--R               8028a c m + 5040a c
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R           - b d m  - 21b d m  - 175b d m  - 735b d m  - 1624b d m  - 1764b d m
+--R         + 
+--R                   5
+--R           - 720b d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                 5         4  6           5           4  5
+--R           (- a d  - 5b c d )m  + (- 22a d  - 110b c d )m
+--R         + 
+--R                    5           4  4            5            4  3
+--R           (- 190a d  - 950b c d )m  + (- 820a d  - 4100b c d )m
+--R         + 
+--R                     5            4  2             5             4           5
+--R           (- 1849a d  - 9245b c d )m  + (- 2038a d  - 10190b c d )m - 840a d
+--R         + 
+--R                      4
+--R           - 4200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                    4        2 3  6              4         2 3  5
+--R           (- 5a c d  - 10b c d )m  + (- 115a c d  - 230b c d )m
+--R         + 
+--R                       4          2 3  4               4          2 3  3
+--R           (- 1035a c d  - 2070b c d )m  + (- 4625a c d  - 9250b c d )m
+--R         + 
+--R                        4           2 3  2                4           2 3
+--R           (- 10720a c d  - 21440b c d )m  + (- 12060a c d  - 24120b c d )m
+--R         + 
+--R                      4           2 3
+--R           - 5040a c d  - 10080b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                   2 3        3 2  6            2 3         3 2  5
+--R           (- 10a c d  - 10b c d )m  + (- 240a c d  - 240b c d )m
+--R         + 
+--R                     2 3          3 2  4              2 3           3 2  3
+--R           (- 2260a c d  - 2260b c d )m  + (- 10560a c d  - 10560b c d )m
+--R         + 
+--R                      2 3           3 2  2              2 3           3 2
+--R           (- 25450a c d  - 25450b c d )m  + (- 29520a c d  - 29520b c d )m
+--R         + 
+--R                     2 3           3 2
+--R           - 12600a c d  - 12600b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                   3 2       4   6            3 2         4   5
+--R           (- 10a c d  - 5b c d)m  + (- 250a c d  - 125b c d)m
+--R         + 
+--R                     3 2          4   4              3 2          4   3
+--R           (- 2470a c d  - 1235b c d)m  + (- 12190a c d  - 6095b c d)m
+--R         + 
+--R                      3 2           4   2              3 2           4
+--R           (- 31120a c d  - 15560b c d)m  + (- 37960a c d  - 18980b c d)m
+--R         + 
+--R                     3 2          4
+--R           - 16800a c d  - 8400b c d
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                  4       5  6            4         5  5
+--R           (- 5a c d - b c )m  + (- 130a c d - 26b c )m
+--R         + 
+--R                     4          5  4             4           5  3
+--R           (- 1350a c d - 270b c )m  + (- 7100a c d - 1420b c )m
+--R         + 
+--R                      4           5  2              4           5             4
+--R           (- 19645a c d - 3929b c )m  + (- 26370a c d - 5274b c )m - 12600a c d
+--R         + 
+--R                    5
+--R           - 2520b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R           - a c m  - 27a c m  - 295a c m  - 1665a c m  - 5104a c m  - 8028a c m
+--R         + 
+--R                    5
+--R           - 5040a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E  24
+
+--S  25 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  25
+
+)clear all
+
+--S  26 of 1092
+t0:=x^3*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 9       5         4  8          4        2 3  7
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  6         3 2       4   5        4       5  4      5 3
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  26
+
+--S  27 of 1092
+r0:=1/4*a*c^5*x^4+1/5*c^4*(b*c+5*a*d)*x^5+5/6*c^3*d*(b*c+2*a*d)*x^6+_
+     10/7*c^2*d^2*(b*c+a*d)*x^7+5/8*c*d^3*(2*b*c+a*d)*x^8+_
+     1/9*d^4*(5*b*c+a*d)*x^9+1/10*b*d^5*x^10
+--R 
+--R
+--R   (2)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- b d x   + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- a c d  + -- b c d )x  + (- a c d  + - b c d)x  + (a c d + - b c )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - a c x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  27
+
+--S  28 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- b d x   + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- a c d  + -- b c d )x  + (- a c d  + - b c d)x  + (a c d + - b c )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - a c x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  28
+
+--S  29 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  29
+
+--S  30 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  30
+
+)clear all
+
+--S  31 of 1092
+t0:=x^2*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 8       5         4  7          4        2 3  6
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  5         3 2       4   4        4       5  3      5 2
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  31
+
+--S  32 of 1092
+r0:=-1/6*c^2*(b*c-a*d)*(c+d*x)^6/d^4+1/7*c*(3*b*c-2*a*d)*(c+d*x)^7/d^4-_
+     1/8*(3*b*c-a*d)*(c+d*x)^8/d^4+1/9*b*(c+d*x)^9/d^4
+--R 
+--R
+--R   (2)
+--R       1    9 9    1    9   5      8  8    5      8   10    2 7  7
+--R       - b d x  + (- a d  + - b c d )x  + (- a c d  + -- b c d )x
+--R       9           8        8              7           7
+--R     + 
+--R        5    2 7   5    3 6  6        3 6      4 5  5    5    4 5   1    5 4  4
+--R       (- a c d  + - b c d )x  + (2a c d  + b c d )x  + (- a c d  + - b c d )x
+--R        3          3                                     4          4
+--R     + 
+--R       1    5 4 3    1     8     1     9
+--R       - a c d x  + --- a c d - --- b c
+--R       3            168         504
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  32
+
+--S  33 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 9    1    5   5      4  8    5      4   10    2 3  7
+--R     - b d x  + (- a d  + - b c d )x  + (- a c d  + -- b c d )x
+--R     9           8        8              7           7
+--R   + 
+--R      5    2 3   5    3 2  6        3 2      4   5    5    4    1    5  4
+--R     (- a c d  + - b c d )x  + (2a c d  + b c d)x  + (- a c d + - b c )x
+--R      3          3                                    4         4
+--R   + 
+--R     1    5 3
+--R     - a c x
+--R     3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  33
+
+--S  34 of 1092
+m0:=a0-r0
+--R 
+--R
+--R           1     8     1     9
+--R        - --- a c d + --- b c
+--R          168         504
+--R   (4)  ----------------------
+--R                   4
+--R                  d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  34
+
+--S  35 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  35
+
+)clear all
+
+--S  36 of 1092
+t0:=x*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 7       5         4  6          4        2 3  5
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  4         3 2       4   3        4       5  2      5
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  36
+
+--S  37 of 1092
+r0:=1/6*c*(b*c-a*d)*(c+d*x)^6/d^3-1/7*(2*b*c-a*d)*(c+d*x)^7/d^3+_
+     1/8*b*(c+d*x)^8/d^3
+--R 
+--R
+--R   (2)
+--R       1    8 8    1    8   5      7  7    5      7   5    2 6  6
+--R       - b d x  + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R       8           7        7              6          3
+--R     + 
+--R            2 6       3 5  5    5    3 5   5    4 4  4    5    4 4   1    5 3  3
+--R       (2a c d  + 2b c d )x  + (- a c d  + - b c d )x  + (- a c d  + - b c d )x
+--R                                2          4              3          3
+--R     + 
+--R       1    5 3 2    1    7     1     8
+--R       - a c d x  - -- a c d + --- b c
+--R       2            42         168
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  37
+
+--S  38 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 8    1    5   5      4  7    5      4   5    2 3  6
+--R     - b d x  + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     8           7        7              6          3
+--R   + 
+--R          2 3       3 2  5    5    3 2   5    4   4    5    4    1    5  3
+--R     (2a c d  + 2b c d )x  + (- a c d  + - b c d)x  + (- a c d + - b c )x
+--R                              2          4             3         3
+--R   + 
+--R     1    5 2
+--R     - a c x
+--R     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  38
+
+--S  39 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1    7     1     8
+--R        -- a c d - --- b c
+--R        42         168
+--R   (4)  -------------------
+--R                  3
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  39
+
+--S  40 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  40
+
+)clear all
+
+--S  41 of 1092
+t0:=(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 6       5         4  5          4        2 3  4
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E  41
+
+--S  42 of 1092
+r0:=-1/6*(b*c-a*d)*(c+d*x)^6/d^2+1/7*b*(c+d*x)^7/d^2
+--R 
+--R
+--R   (2)
+--R       1    7 7    1    7   5      6  6         6       2 5  5
+--R       - b d x  + (- a d  + - b c d )x  + (a c d  + 2b c d )x
+--R       7           6        6
+--R     + 
+--R        5    2 5   5    3 4  4    10    3 4   5    4 3  3
+--R       (- a c d  + - b c d )x  + (-- a c d  + - b c d )x
+--R        2          2               3          3
+--R     + 
+--R        5    4 3   1    5 2  2      5 2    1    6     1    7
+--R       (- a c d  + - b c d )x  + a c d x + - a c d - -- b c
+--R        2          2                       6         42
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  42
+
+--S  43 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 7    1    5   5      4  6         4       2 3  5
+--R     - b d x  + (- a d  + - b c d )x  + (a c d  + 2b c d )x
+--R     7           6        6
+--R   + 
+--R      5    2 3   5    3 2  4    10    3 2   5    4   3    5    4    1    5  2
+--R     (- a c d  + - b c d )x  + (-- a c d  + - b c d)x  + (- a c d + - b c )x
+--R      2          2               3          3             2         2
+--R   + 
+--R        5
+--R     a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  43
+
+--S  44 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1    6     1    7
+--R        - - a c d + -- b c
+--R          6         42
+--R   (4)  -------------------
+--R                  2
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  44
+
+--S  45 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  45
+
+)clear all
+
+--S  46 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  46
+
+--S  47 of 1092
+r0:=5*a*c^4*d*x+5*a*c^3*d^2*x^2+10/3*a*c^2*d^3*x^3+_
+     5/4*a*c*d^4*x^4+1/5*a*d^5*x^5+1/6*b*(c+d*x)^6/d+a*c^5*log(x)
+--R 
+--R
+--R   (2)
+--R            5                6 6         6          5  5
+--R       60a c d log(x) + 10b d x  + (12a d  + 60b c d )x
+--R     + 
+--R               5         2 4  4          2 4         3 3  3
+--R       (75a c d  + 150b c d )x  + (200a c d  + 200b c d )x
+--R     + 
+--R              3 3         4 2  2          4 2        5           6
+--R       (300a c d  + 150b c d )x  + (300a c d  + 60b c d)x + 10b c
+--R  /
+--R     60d
+--R                                                    Type: Expression(Integer)
+--E  47
+
+--S  48 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5              5 6         5          4  5
+--R       60a c log(x) + 10b d x  + (12a d  + 60b c d )x
+--R     + 
+--R               4         2 3  4          2 3         3 2  3
+--R       (75a c d  + 150b c d )x  + (200a c d  + 200b c d )x
+--R     + 
+--R              3 2         4   2          4         5
+--R       (300a c d  + 150b c d)x  + (300a c d + 60b c )x
+--R  /
+--R     60
+--R                                         Type: Union(Expression(Integer),...)
+--E  48
+
+--S  49 of 1092
+m0:=a0-r0
+--R 
+--R
+--R             6
+--R          b c
+--R   (4)  - ----
+--R           6d
+--R                                                    Type: Expression(Integer)
+--E  49
+
+--S  50 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  50
+
+)clear all
+
+--S  51 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x^2
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R      2
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  51
+
+--S  52 of 1092
+r0:=-a*c^5/x+5*c^3*d*(b*c+2*a*d)*x+5*c^2*d^2*(b*c+a*d)*x^2+_
+     5/3*c*d^3*(2*b*c+a*d)*x^3+1/4*d^4*(5*b*c+a*d)*x^4+_
+     1/5*b*d^5*x^5+c^4*(b*c+5*a*d)*log(x)
+--R 
+--R
+--R   (2)
+--R              4         5                 5 6         5          4  5
+--R       (300a c d + 60b c )x log(x) + 12b d x  + (15a d  + 75b c d )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100a c d  + 200b c d )x  + (300a c d  + 300b c d )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600a c d  + 300b c d)x  - 60a c
+--R  /
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E  52
+
+--S  53 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4         5                 5 6         5          4  5
+--R       (300a c d + 60b c )x log(x) + 12b d x  + (15a d  + 75b c d )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100a c d  + 200b c d )x  + (300a c d  + 300b c d )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600a c d  + 300b c d)x  - 60a c
+--R  /
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E  53
+
+--S  54 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  54
+
+--S  55 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  55
+
+)clear all
+
+--S  56 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x^3
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R      3
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  56
+
+--S  57 of 1092
+r0:=-1/2*a*c^5/x^2-c^4*(b*c+5*a*d)/x+10*c^2*d^2*(b*c+a*d)*x+_
+     5/2*c*d^3*(2*b*c+a*d)*x^2+1/3*d^4*(5*b*c+a*d)*x^3+_
+     1/4*b*d^5*x^4+5*c^3*d*(b*c+2*a*d)*log(x)
+--R 
+--R
+--R   (2)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120a c d  + 60b c d)x log(x) + 3b d x  + (4a d  + 20b c d )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30a c d  + 60b c d )x  + (120a c d  + 120b c d )x
+--R     + 
+--R               4         5         5
+--R       (- 60a c d - 12b c )x - 6a c
+--R  /
+--R        2
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E  57
+
+--S  58 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120a c d  + 60b c d)x log(x) + 3b d x  + (4a d  + 20b c d )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30a c d  + 60b c d )x  + (120a c d  + 120b c d )x
+--R     + 
+--R               4         5         5
+--R       (- 60a c d - 12b c )x - 6a c
+--R  /
+--R        2
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E  58
+
+--S  59 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  59
+
+--S  60 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  60
+
+)clear all
+
+--S  61 of 1092
+t0:=x*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 18       16          15  17           15         2 14  16
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  15          3 13          4 12  14
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  13           5 11          6 10  12
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  11            7 9           8 8  10
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  9            9 7          10 6  8
+--R     (12870a c d  + 11440b c d )x  + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  7           11 5          12 4  6
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  5          13 3         14 2  4
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   3         15       16  2      16
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  61
+
+--S  62 of 1092
+r0:=1/17*c*(b*c-a*d)*(c+d*x)^17/d^3-1/18*(2*b*c-a*d)*(c+d*x)^18/d^3+_
+     1/19*b*(c+d*x)^19/d^3
+--R 
+--R
+--R   (2)
+--R        1    19 19     1    19   8      18  18    16      18   120    2 17  17
+--R       -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R       19             18         9                17            17
+--R     + 
+--R        15    2 17        3 16  16    112    3 16   364    4 15  15
+--R       (-- a c d   + 35b c d  )x   + (--- a c d   + --- b c d  )x
+--R         2                             3             3
+--R     + 
+--R              4 15         5 14  14          5 14         6 13  13
+--R       (130a c d   + 312b c d  )x   + (336a c d   + 616b c d  )x
+--R     + 
+--R        2002    6 13   2860    7 12  12           7 12          8 11  11
+--R       (---- a c d   + ---- b c d  )x   + (1040a c d   + 1170b c d  )x
+--R          3              3
+--R     + 
+--R               8 11          9 10  10    11440    9 10   8008    10 9  9
+--R       (1287a c d   + 1144b c d  )x   + (----- a c d   + ---- b c  d )x
+--R                                           9               9
+--R     + 
+--R               10 9         11 8  8          11 8         12 7  7
+--R       (1001a c  d  + 546b c  d )x  + (624a c  d  + 260b c  d )x
+--R     + 
+--R        910    12 7   280    13 6  6          13 6        14 5  5
+--R       (--- a c  d  + --- b c  d )x  + (112a c  d  + 24b c  d )x
+--R         3             3
+--R     + 
+--R             14 5       15 4  4    16    15 4   1    16 3  3   1    16 3 2
+--R       (30a c  d  + 4b c  d )x  + (-- a c  d  + - b c  d )x  + - a c  d x
+--R                                    3           3              2
+--R     + 
+--R          1     18      1     19
+--R       - --- a c  d + ---- b c
+--R         306          2907
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  62
+
+--S  63 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 19     1    16   8      15  18    16      15   120    2 14  17
+--R     -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R     19             18         9                17            17
+--R   + 
+--R      15    2 14        3 13  16    112    3 13   364    4 12  15
+--R     (-- a c d   + 35b c d  )x   + (--- a c d   + --- b c d  )x
+--R       2                             3             3
+--R   + 
+--R            4 12         5 11  14          5 11         6 10  13
+--R     (130a c d   + 312b c d  )x   + (336a c d   + 616b c d  )x
+--R   + 
+--R      2002    6 10   2860    7 9  12           7 9          8 8  11
+--R     (---- a c d   + ---- b c d )x   + (1040a c d  + 1170b c d )x
+--R        3              3
+--R   + 
+--R             8 8          9 7  10    11440    9 7   8008    10 6  9
+--R     (1287a c d  + 1144b c d )x   + (----- a c d  + ---- b c  d )x
+--R                                       9              9
+--R   + 
+--R             10 6         11 5  8          11 5         12 4  7
+--R     (1001a c  d  + 546b c  d )x  + (624a c  d  + 260b c  d )x
+--R   + 
+--R      910    12 4   280    13 3  6          13 3        14 2  5
+--R     (--- a c  d  + --- b c  d )x  + (112a c  d  + 24b c  d )x
+--R       3             3
+--R   + 
+--R           14 2       15   4    16    15    1    16  3   1    16 2
+--R     (30a c  d  + 4b c  d)x  + (-- a c  d + - b c  )x  + - a c  x
+--R                                 3          3            2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  63
+
+--S  64 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1     18      1     19
+--R        --- a c  d - ---- b c
+--R        306          2907
+--R   (4)  -----------------------
+--R                    3
+--R                   d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  64
+
+--S  65 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  65
+
+)clear all
+
+--S  66 of 1092
+t0:=x^2*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 19       16          15  18           15         2 14  17
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  16          3 13          4 12  15
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  14           5 11          6 10  13
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  12            7 9           8 8  11
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  10            9 7          10 6  9
+--R     (12870a c d  + 11440b c d )x   + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  8           11 5          12 4  7
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  6          13 3         14 2  5
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   4         15       16  3      16 2
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  66
+
+--S  67 of 1092
+r0:=-1/17*c^2*(b*c-a*d)*(c+d*x)^17/d^4+1/18*c*(3*b*c-2*a*d)*(c+d*x)^18/d^4-_
+     1/19*(3*b*c-a*d)*(c+d*x)^19/d^4+1/20*b*(c+d*x)^20/d^4
+--R 
+--R
+--R   (2)
+--R        1    20 20     1    20   16      19  19    8      19   20    2 18  18
+--R       -- b d  x   + (-- a d   + -- b c d  )x   + (- a c d   + -- b c d  )x
+--R       20             19         19                9            3
+--R     + 
+--R        120    2 18   560    3 17  17         3 17   455    4 16  16
+--R       (--- a c d   + --- b c d  )x   + (35a c d   + --- b c d  )x
+--R         17            17                             4
+--R     + 
+--R        364    4 16   1456    5 15  15          5 15         6 14  14
+--R       (--- a c d   + ---- b c d  )x   + (312a c d   + 572b c d  )x
+--R         3              5
+--R     + 
+--R              6 14         7 13  13    2860    7 13   2145    8 12  12
+--R       (616a c d   + 880b c d  )x   + (---- a c d   + ---- b c d  )x
+--R                                         3              2
+--R     + 
+--R               8 12          9 11  11           9 11   4004    10 10  10
+--R       (1170a c d   + 1040b c d  )x   + (1144a c d   + ---- b c  d  )x
+--R                                                         5
+--R     + 
+--R        8008    10 10   1456    11 9  9          11 9   455    12 8  8
+--R       (---- a c  d   + ---- b c  d )x  + (546a c  d  + --- b c  d )x
+--R          9               3                              2
+--R     + 
+--R              12 8        13 7  7    280    13 7        14 6  6
+--R       (260a c  d  + 80b c  d )x  + (--- a c  d  + 20b c  d )x
+--R                                      3
+--R     + 
+--R             14 6   16    15 5  5        15 5   1    16 4  4   1    16 4 3
+--R       (24a c  d  + -- b c  d )x  + (4a c  d  + - b c  d )x  + - a c  d x
+--R                     5                          4              3
+--R     + 
+--R         1     19      1      20
+--R       ---- a c  d - ----- b c
+--R       2907          19380
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  67
+
+--S  68 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 20     1    16   16      15  19    8      15   20    2 14  18
+--R     -- b d  x   + (-- a d   + -- b c d  )x   + (- a c d   + -- b c d  )x
+--R     20             19         19                9            3
+--R   + 
+--R      120    2 14   560    3 13  17         3 13   455    4 12  16
+--R     (--- a c d   + --- b c d  )x   + (35a c d   + --- b c d  )x
+--R       17            17                             4
+--R   + 
+--R      364    4 12   1456    5 11  15          5 11         6 10  14
+--R     (--- a c d   + ---- b c d  )x   + (312a c d   + 572b c d  )x
+--R       3              5
+--R   + 
+--R            6 10         7 9  13    2860    7 9   2145    8 8  12
+--R     (616a c d   + 880b c d )x   + (---- a c d  + ---- b c d )x
+--R                                      3             2
+--R   + 
+--R             8 8          9 7  11           9 7   4004    10 6  10
+--R     (1170a c d  + 1040b c d )x   + (1144a c d  + ---- b c  d )x
+--R                                                    5
+--R   + 
+--R      8008    10 6   1456    11 5  9          11 5   455    12 4  8
+--R     (---- a c  d  + ---- b c  d )x  + (546a c  d  + --- b c  d )x
+--R        9              3                              2
+--R   + 
+--R            12 4        13 3  7    280    13 3        14 2  6
+--R     (260a c  d  + 80b c  d )x  + (--- a c  d  + 20b c  d )x
+--R                                    3
+--R   + 
+--R           14 2   16    15   5        15    1    16  4   1    16 3
+--R     (24a c  d  + -- b c  d)x  + (4a c  d + - b c  )x  + - a c  x
+--R                   5                        4            3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  68
+
+--S  69 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            1     19      1      20
+--R        - ---- a c  d + ----- b c
+--R          2907          19380
+--R   (4)  ---------------------------
+--R                      4
+--R                     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  69
+
+--S  70 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  70
+
+)clear all
+
+--S  71 of 1092
+t0:=x^3*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 20       16          15  19           15         2 14  18
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  17          3 13          4 12  16
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  15           5 11          6 10  14
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  13            7 9           8 8  12
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  11            9 7          10 6  10
+--R     (12870a c d  + 11440b c d )x   + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  9           11 5          12 4  8
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  7          13 3         14 2  6
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   5         15       16  4      16 3
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  71
+
+--S  72 of 1092
+r0:=1/17*c^3*(b*c-a*d)*(c+d*x)^17/d^5-1/18*c^2*(4*b*c-3*a*d)*(c+d*x)^18/d^5+_
+     3/19*c*(2*b*c-a*d)*(c+d*x)^19/d^5-1/20*(4*b*c-a*d)*(c+d*x)^20/d^5+_
+     1/21*b*(c+d*x)^21/d^5
+--R 
+--R
+--R   (2)
+--R        1    21 21     1    21   4      20  20    16      20   120    2 19  19
+--R       -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R       21             20         5                19            19
+--R     + 
+--R        20    2 19   280    3 18  18    560    3 18   1820    4 17  17
+--R       (-- a c d   + --- b c d  )x   + (--- a c d   + ---- b c d  )x
+--R         3            9                  17            17
+--R     + 
+--R        455    4 17         5 16  16    1456    5 16   8008    6 15  15
+--R       (--- a c d   + 273b c d  )x   + (---- a c d   + ---- b c d  )x
+--R         4                                5             15
+--R     + 
+--R              6 15   5720    7 14  14          7 14         8 13  13
+--R       (572a c d   + ---- b c d  )x   + (880a c d   + 990b c d  )x
+--R                       7
+--R     + 
+--R        2145    8 13   2860    9 12  12           9 12         10 11  11
+--R       (---- a c d   + ---- b c d  )x   + (1040a c d   + 728b c  d  )x
+--R          2              3
+--R     + 
+--R        4004    10 11   2184    11 10  10    1456    11 10   1820    12 9  9
+--R       (---- a c  d   + ---- b c  d  )x   + (---- a c  d   + ---- b c  d )x
+--R          5               5                    3               9
+--R     + 
+--R        455    12 9        13 8  8         13 8   120    14 7  7
+--R       (--- a c  d  + 70b c  d )x  + (80a c  d  + --- b c  d )x
+--R         2                                         7
+--R     + 
+--R             14 7   8    15 6  6    16    15 6   1    16 5  5   1    16 5 4
+--R       (20a c  d  + - b c  d )x  + (-- a c  d  + - b c  d )x  + - a c  d x
+--R                    3                5           5              4
+--R     + 
+--R           1      20       1      21
+--R       - ----- a c  d + ------ b c
+--R         19380          101745
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  72
+
+--S  73 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 21     1    16   4      15  20    16      15   120    2 14  19
+--R     -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R     21             20         5                19            19
+--R   + 
+--R      20    2 14   280    3 13  18    560    3 13   1820    4 12  17
+--R     (-- a c d   + --- b c d  )x   + (--- a c d   + ---- b c d  )x
+--R       3            9                  17            17
+--R   + 
+--R      455    4 12         5 11  16    1456    5 11   8008    6 10  15
+--R     (--- a c d   + 273b c d  )x   + (---- a c d   + ---- b c d  )x
+--R       4                                5             15
+--R   + 
+--R            6 10   5720    7 9  14          7 9         8 8  13
+--R     (572a c d   + ---- b c d )x   + (880a c d  + 990b c d )x
+--R                     7
+--R   + 
+--R      2145    8 8   2860    9 7  12           9 7         10 6  11
+--R     (---- a c d  + ---- b c d )x   + (1040a c d  + 728b c  d )x
+--R        2             3
+--R   + 
+--R      4004    10 6   2184    11 5  10    1456    11 5   1820    12 4  9
+--R     (---- a c  d  + ---- b c  d )x   + (---- a c  d  + ---- b c  d )x
+--R        5              5                   3              9
+--R   + 
+--R      455    12 4        13 3  8         13 3   120    14 2  7
+--R     (--- a c  d  + 70b c  d )x  + (80a c  d  + --- b c  d )x
+--R       2                                         7
+--R   + 
+--R           14 2   8    15   6    16    15    1    16  5   1    16 4
+--R     (20a c  d  + - b c  d)x  + (-- a c  d + - b c  )x  + - a c  x
+--R                  3               5          5            4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  73
+
+--S  74 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1      20       1      21
+--R        ----- a c  d - ------ b c
+--R        19380          101745
+--R   (4)  ---------------------------
+--R                      5
+--R                     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  74
+
+--S  75 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  75
+
+)clear all
+
+--S  76 of 1092
+t0:=x^2*(2+x)^5*(2+3*x)
+--R 
+--R
+--R          8      7       6       5       4       3      2
+--R   (1)  3x  + 32x  + 140x  + 320x  + 400x  + 256x  + 64x
+--R                                                    Type: Polynomial(Integer)
+--E  76
+
+--S  77 of 1092
+r0:=1/3*x^3*(2+x)^6
+--R 
+--R
+--R        1  9     8      7   160  6      5      4   64  3
+--R   (2)  - x  + 4x  + 20x  + --- x  + 80x  + 64x  + -- x
+--R        3                    3                      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  77
+
+--S  78 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1  9     8      7   160  6      5      4   64  3
+--R   (3)  - x  + 4x  + 20x  + --- x  + 80x  + 64x  + -- x
+--R        3                    3                      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  78
+
+--S  79 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  79
+
+--S  80 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  80
+
+)clear all
+
+--S  81 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 4         3    2 2          n
+--R   (1)  (d x  + 2c d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  81
+
+--S  82 of 1092
+r0:=a^2*(b*c-a*d)^2*(a+b*x)^(1+n)/(b^5*(1+n))-2*a*(b*c-2*a*d)*(b*c-a*d)*_
+     (a+b*x)^(2+n)/(b^5*(2+n))+(b^2*c^2-6*a*b*c*d+6*a^2*d^2)*_
+     (a+b*x)^(3+n)/(b^5*(3+n))+2*d*(b*c-2*a*d)*(a+b*x)^(4+n)/(b^5*(4+n))+_
+     d^2*(a+b*x)^(5+n)/(b^5*(5+n))
+--R 
+--R
+--R   (2)
+--R         2 4      2 3      2 2      2       2          n + 5
+--R       (d n  + 10d n  + 35d n  + 50d n + 24d )(b x + a)
+--R     + 
+--R                  2           4           2            3
+--R           (- 4a d  + 2b c d)n  + (- 44a d  + 22b c d)n
+--R         + 
+--R                  2            2            2                      2
+--R         (- 164a d  + 82b c d)n  + (- 244a d  + 122b c d)n - 120a d  + 60b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R              2 2               2 2  4       2 2                  2 2  3
+--R           (6a d  - 6a b c d + b c )n  + (72a d  - 72a b c d + 12b c )n
+--R         + 
+--R                2 2                   2 2  2        2 2                   2 2
+--R           (294a d  - 294a b c d + 49b c )n  + (468a d  - 468a b c d + 78b c )n
+--R         + 
+--R               2 2                   2 2
+--R           240a d  - 240a b c d + 40b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                3 2     2            2 2  4
+--R           (- 4a d  + 6a b c d - 2a b c )n
+--R         + 
+--R                 3 2      2             2 2  3
+--R           (- 52a d  + 78a b c d - 26a b c )n
+--R         + 
+--R                  3 2       2              2 2  2
+--R           (- 236a d  + 354a b c d - 118a b c )n
+--R         + 
+--R                  3 2       2              2 2         3 2       2
+--R           (- 428a d  + 642a b c d - 214a b c )n - 240a d  + 360a b c d
+--R         + 
+--R                   2 2
+--R           - 120a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             4 2     3         2 2 2  4       4 2      3           2 2 2  3
+--R           (a d  - 2a b c d + a b c )n  + (14a d  - 28a b c d + 14a b c )n
+--R         + 
+--R               4 2       3           2 2 2  2
+--R           (71a d  - 142a b c d + 71a b c )n
+--R         + 
+--R              4 2       3            2 2 2         4 2       3            2 2 2
+--R         (154a d  - 308a b c d + 154a b c )n + 120a d  - 240a b c d + 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  82
+
+--S  83 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           5 2 4      5 2 3      5 2 2      5 2       5 2  5
+--R         (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R       + 
+--R                 4 2     5     4        4 2      5     3
+--R             (a b d  + 2b c d)n  + (6a b d  + 22b c d)n
+--R           + 
+--R                   4 2      5     2        4 2       5           5
+--R             (11a b d  + 82b c d)n  + (6a b d  + 122b c d)n + 60b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  4       5 2  4        2 3 2        4         5 2  3
+--R             (2a b c d + b c )n  + (- 4a b d  + 16a b c d + 12b c )n
+--R           + 
+--R                   2 3 2        4         5 2  2
+--R             (- 12a b d  + 34a b c d + 49b c )n
+--R           + 
+--R                  2 3 2        4         5 2        5 2
+--R             (- 8a b d  + 20a b c d + 78b c )n + 40b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                4 2 4        2 3           4 2  3
+--R             a b c n  + (- 6a b c d + 10a b c )n
+--R           + 
+--R                 3 2 2      2 3           4 2  2
+--R             (12a b d  - 36a b c d + 29a b c )n
+--R           + 
+--R                 3 2 2      2 3           4 2
+--R             (12a b d  - 30a b c d + 20a b c )n
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 2 3 2 3       3 2         2 3 2  2
+--R             - 2a b c n  + (12a b c d - 18a b c )n
+--R           + 
+--R                   4   2      3 2         2 3 2
+--R             (- 24a b d  + 60a b c d - 40a b c )n
+--R        *
+--R           x
+--R       + 
+--R           3 2 2 2         4           3 2 2        5 2      4           3 2 2
+--R         2a b c n  + (- 12a b c d + 18a b c )n + 24a d  - 60a b c d + 40a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                         Type: Union(Expression(Integer),...)
+--E  83
+
+--S  84 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             5 2 4      5 2 3      5 2 2      5 2       5 2  5
+--R           (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R         + 
+--R                   4 2     5     4        4 2      5     3
+--R               (a b d  + 2b c d)n  + (6a b d  + 22b c d)n
+--R             + 
+--R                     4 2      5     2        4 2       5           5
+--R               (11a b d  + 82b c d)n  + (6a b d  + 122b c d)n + 60b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    4       5 2  4        2 3 2        4         5 2  3
+--R               (2a b c d + b c )n  + (- 4a b d  + 16a b c d + 12b c )n
+--R             + 
+--R                     2 3 2        4         5 2  2
+--R               (- 12a b d  + 34a b c d + 49b c )n
+--R             + 
+--R                    2 3 2        4         5 2        5 2
+--R               (- 8a b d  + 20a b c d + 78b c )n + 40b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  4 2 4        2 3           4 2  3
+--R               a b c n  + (- 6a b c d + 10a b c )n
+--R             + 
+--R                   3 2 2      2 3           4 2  2
+--R               (12a b d  - 36a b c d + 29a b c )n
+--R             + 
+--R                   3 2 2      2 3           4 2
+--R               (12a b d  - 30a b c d + 20a b c )n
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   2 3 2 3       3 2         2 3 2  2
+--R               - 2a b c n  + (12a b c d - 18a b c )n
+--R             + 
+--R                     4   2      3 2         2 3 2
+--R               (- 24a b d  + 60a b c d - 40a b c )n
+--R          *
+--R             x
+--R         + 
+--R           3 2 2 2         4           3 2 2        5 2      4           3 2 2
+--R         2a b c n  + (- 12a b c d + 18a b c )n + 24a d  - 60a b c d + 40a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 4      2 3      2 2      2       2          n + 5
+--R       (- d n  - 10d n  - 35d n  - 50d n - 24d )(b x + a)
+--R     + 
+--R                2           4         2            3          2            2
+--R           (4a d  - 2b c d)n  + (44a d  - 22b c d)n  + (164a d  - 82b c d)n
+--R         + 
+--R                  2                      2
+--R           (244a d  - 122b c d)n + 120a d  - 60b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                2 2               2 2  4         2 2                  2 2  3
+--R           (- 6a d  + 6a b c d - b c )n  + (- 72a d  + 72a b c d - 12b c )n
+--R         + 
+--R                  2 2                   2 2  2
+--R           (- 294a d  + 294a b c d - 49b c )n
+--R         + 
+--R                  2 2                   2 2         2 2                   2 2
+--R           (- 468a d  + 468a b c d - 78b c )n - 240a d  + 240a b c d - 40b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              3 2     2            2 2  4       3 2      2             2 2  3
+--R           (4a d  - 6a b c d + 2a b c )n  + (52a d  - 78a b c d + 26a b c )n
+--R         + 
+--R                3 2       2              2 2  2
+--R           (236a d  - 354a b c d + 118a b c )n
+--R         + 
+--R              3 2       2              2 2         3 2       2              2 2
+--R         (428a d  - 642a b c d + 214a b c )n + 240a d  - 360a b c d + 120a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               4 2     3         2 2 2  4         4 2      3           2 2 2  3
+--R           (- a d  + 2a b c d - a b c )n  + (- 14a d  + 28a b c d - 14a b c )n
+--R         + 
+--R                 4 2       3           2 2 2  2
+--R           (- 71a d  + 142a b c d - 71a b c )n
+--R         + 
+--R                  4 2       3            2 2 2         4 2       3
+--R           (- 154a d  + 308a b c d - 154a b c )n - 120a d  + 240a b c d
+--R         + 
+--R                 2 2 2
+--R           - 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  84
+
+--S  85 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  85
+
+)clear all
+
+--S  86 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 3         2    2           n
+--R   (1)  (d x  + 2c d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  86
+
+--S  87 of 1092
+r0:=-a*(b*c-a*d)^2*(a+b*x)^(1+n)/(b^4*(1+n))+(b*c-3*a*d)*(b*c-a*d)*_
+     (a+b*x)^(2+n)/(b^4*(2+n))+d*(2*b*c-3*a*d)*(a+b*x)^(3+n)/_
+     (b^4*(3+n))+d^2*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         2 3     2 2      2      2          n + 4
+--R       (d n  + 6d n  + 11d n + 6d )(b x + a)
+--R     + 
+--R                  2           3           2            2           2
+--R           (- 3a d  + 2b c d)n  + (- 21a d  + 14b c d)n  + (- 42a d  + 28b c d)n
+--R         + 
+--R                  2
+--R           - 24a d  + 16b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2 2               2 2  3       2 2                 2 2  2
+--R           (3a d  - 4a b c d + b c )n  + (24a d  - 32a b c d + 8b c )n
+--R         + 
+--R               2 2                  2 2        2 2                  2 2
+--R           (57a d  - 76a b c d + 19b c )n + 36a d  - 48a b c d + 12b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3 2     2           2 2  3        3 2      2            2 2  2
+--R           (- a d  + 2a b c d - a b c )n  + (- 9a d  + 18a b c d - 9a b c )n
+--R         + 
+--R                 3 2      2             2 2        3 2      2             2 2
+--R           (- 26a d  + 52a b c d - 26a b c )n - 24a d  + 48a b c d - 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  87
+
+--S  88 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 2 3     4 2 2      4 2      4 2  4
+--R         (b d n  + 6b d n  + 11b d n + 6b d )x
+--R       + 
+--R                 3 2     4     3        3 2      4     2        3 2      4
+--R             (a b d  + 2b c d)n  + (3a b d  + 14b c d)n  + (2a b d  + 28b c d)n
+--R           + 
+--R                4
+--R             16b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  3       4 2  3        2 2 2        3        4 2  2
+--R             (2a b c d + b c )n  + (- 3a b d  + 10a b c d + 8b c )n
+--R           + 
+--R                  2 2 2       3         4 2        4 2
+--R             (- 3a b d  + 8a b c d + 19b c )n + 12b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                3 2 3        2 2          3 2  2
+--R             a b c n  + (- 4a b c d + 7a b c )n
+--R           + 
+--R                3   2      2 2           3 2
+--R             (6a b d  - 16a b c d + 12a b c )n
+--R        *
+--R           x
+--R       + 
+--R            2 2 2 2      3          2 2 2       4 2      3           2 2 2
+--R         - a b c n  + (4a b c d - 7a b c )n - 6a d  + 16a b c d - 12a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  88
+
+--S  89 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4 2 3     4 2 2      4 2      4 2  4
+--R           (b d n  + 6b d n  + 11b d n + 6b d )x
+--R         + 
+--R                   3 2     4     3        3 2      4     2
+--R               (a b d  + 2b c d)n  + (3a b d  + 14b c d)n
+--R             + 
+--R                    3 2      4           4
+--R               (2a b d  + 28b c d)n + 16b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    3       4 2  3        2 2 2        3        4 2  2
+--R               (2a b c d + b c )n  + (- 3a b d  + 10a b c d + 8b c )n
+--R             + 
+--R                    2 2 2       3         4 2        4 2
+--R               (- 3a b d  + 8a b c d + 19b c )n + 12b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  3 2 3        2 2          3 2  2
+--R               a b c n  + (- 4a b c d + 7a b c )n
+--R             + 
+--R                  3   2      2 2           3 2
+--R               (6a b d  - 16a b c d + 12a b c )n
+--R          *
+--R             x
+--R         + 
+--R              2 2 2 2      3          2 2 2       4 2      3           2 2 2
+--R           - a b c n  + (4a b c d - 7a b c )n - 6a d  + 16a b c d - 12a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 3     2 2      2      2          n + 4
+--R       (- d n  - 6d n  - 11d n - 6d )(b x + a)
+--R     + 
+--R                2           3         2            2         2
+--R           (3a d  - 2b c d)n  + (21a d  - 14b c d)n  + (42a d  - 28b c d)n
+--R         + 
+--R                2
+--R           24a d  - 16b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2 2               2 2  3         2 2                 2 2  2
+--R           (- 3a d  + 4a b c d - b c )n  + (- 24a d  + 32a b c d - 8b c )n
+--R         + 
+--R                 2 2                  2 2        2 2                  2 2
+--R           (- 57a d  + 76a b c d - 19b c )n - 36a d  + 48a b c d - 12b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3 2     2           2 2  3      3 2      2            2 2  2
+--R           (a d  - 2a b c d + a b c )n  + (9a d  - 18a b c d + 9a b c )n
+--R         + 
+--R               3 2      2             2 2        3 2      2             2 2
+--R           (26a d  - 52a b c d + 26a b c )n + 24a d  - 48a b c d + 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  89
+
+--S  90 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  90
+
+)clear all
+
+--S  91 of 1092
+t0:=(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 2             2          n
+--R   (1)  (d x  + 2c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  91
+
+--S  92 of 1092
+r0:=(b*c-a*d)^2*(a+b*x)^(1+n)/(b^3*(1+n))+2*d*(b*c-a*d)*(a+b*x)^(2+n)/_
+     (b^3*(2+n))+d^2*(a+b*x)^(3+n)/(b^3*(3+n))
+--R 
+--R
+--R   (2)
+--R         2 2     2      2          n + 3
+--R       (d n  + 3d n + 2d )(b x + a)
+--R     + 
+--R                 2           2          2                  2
+--R         ((- 2a d  + 2b c d)n  + (- 8a d  + 8b c d)n - 6a d  + 6b c d)
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             2 2               2 2  2      2 2                 2 2       2 2
+--R           (a d  - 2a b c d + b c )n  + (5a d  - 10a b c d + 5b c )n + 6a d
+--R         + 
+--R                           2 2
+--R           - 12a b c d + 6b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  92
+
+--S  93 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 2 2     3 2      3 2  3
+--R         (b d n  + 3b d n + 2b d )x
+--R       + 
+--R              2 2     3     2       2 2     3          3     2
+--R         ((a b d  + 2b c d)n  + (a b d  + 8b c d)n + 6b c d)x
+--R       + 
+--R               2       3 2  2        2   2       2        3 2       3 2
+--R         ((2a b c d + b c )n  + (- 2a b d  + 6a b c d + 5b c )n + 6b c )x
+--R       + 
+--R            2 2 2        2            2 2       3 2     2            2 2
+--R         a b c n  + (- 2a b c d + 5a b c )n + 2a d  - 6a b c d + 6a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  93
+
+--S  94 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3 2 2     3 2      3 2  3
+--R           (b d n  + 3b d n + 2b d )x
+--R         + 
+--R                2 2     3     2       2 2     3          3     2
+--R           ((a b d  + 2b c d)n  + (a b d  + 8b c d)n + 6b c d)x
+--R         + 
+--R                 2       3 2  2        2   2       2        3 2       3 2
+--R           ((2a b c d + b c )n  + (- 2a b d  + 6a b c d + 5b c )n + 6b c )x
+--R         + 
+--R              2 2 2        2            2 2       3 2     2            2 2
+--R           a b c n  + (- 2a b c d + 5a b c )n + 2a d  - 6a b c d + 6a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 2     2      2          n + 3
+--R       (- d n  - 3d n - 2d )(b x + a)
+--R     + 
+--R             2           2        2                  2                   n + 2
+--R       ((2a d  - 2b c d)n  + (8a d  - 8b c d)n + 6a d  - 6b c d)(b x + a)
+--R     + 
+--R               2 2               2 2  2        2 2                 2 2       2 2
+--R           (- a d  + 2a b c d - b c )n  + (- 5a d  + 10a b c d - 5b c )n - 6a d
+--R         + 
+--R                         2 2
+--R           12a b c d - 6b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  94
+
+--S  95 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  95
+
+)clear all
+
+--S  96 of 1092
+t0:=(a+b*x)^n*(c+d*x)^2/x
+--R 
+--R
+--R          2 2             2          n
+--R        (d x  + 2c d x + c )(b x + a)
+--R   (1)  ------------------------------
+--R                       x
+--R                                                    Type: Expression(Integer)
+--E  96
+
+--S  97 of 1092
+--r0:=-d*(a*d-b*c*(3+n))*(a+b*x)^(1+n)/(b^2*(1+n)*(2+n))+_
+--     d*(a+b*x)^(1+n)*(c+d*x)/(b*(2+n))-c^2*(a+b*x)^(1+n)*_
+--     hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  97
+
+--S  98 of 1092
+--a0:=integrate(t0,x)
+--E  98
+
+--S  99 of 1092
+--m0:=a0-r0
+--E  99
+
+--S  100 of 1092
+--d0:=D(m0,x)
+--E  100
+
+)clear all
+
+--S  101 of 1092
+t0:=x^m*(a+b*x)^2*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        2 5 7          5     2   4  6     2 5            4      2 2 3  5
+--R       b d x  + (2a b d  + 5b c d )x  + (a d  + 10a b c d  + 10b c d )x
+--R     + 
+--R          2   4          2 3      2 3 2  4       2 2 3          3 2     2 4   3
+--R       (5a c d  + 20a b c d  + 10b c d )x  + (10a c d  + 20a b c d  + 5b c d)x
+--R     + 
+--R           2 3 2          4     2 5  2      2 4          5      2 5
+--R       (10a c d  + 10a b c d + b c )x  + (5a c d + 2a b c )x + a c
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  101
+
+--S  102 of 1092
+r0:=a^2*c^5*x^(1+m)/(1+m)+a*c^4*(2*b*c+5*a*d)*x^(2+m)/(2+m)+_
+     c^3*(b^2*c^2+10*a*b*c*d+10*a^2*d^2)*x^(3+m)/(3+m)+_
+     5*c^2*d*(b^2*c^2+4*a*b*c*d+2*a^2*d^2)*x^(4+m)/(4+m)+_
+     5*c*d^2*(2*b^2*c^2+4*a*b*c*d+a^2*d^2)*x^(5+m)/(5+m)+_
+     d^3*(10*b^2*c^2+10*a*b*c*d+a^2*d^2)*x^(6+m)/(6+m)+_
+     b*d^4*(5*b*c+2*a*d)*x^(7+m)/(7+m)+b^2*d^5*x^(8+m)/(8+m)
+--R 
+--R
+--R   (2)
+--R            2 5 7      2 5 6       2 5 5        2 5 4        2 5 3         2 5 2
+--R           b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m  + 13132b d m
+--R         + 
+--R                 2 5         2 5
+--R           13068b d m + 5040b d
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                  5     2   4  7           5       2   4  6
+--R           (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R         + 
+--R                    5        2   4  5             5         2   4  4
+--R           (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R         + 
+--R                      5         2   4  3              5         2   4  2
+--R           (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R         + 
+--R                      5         2   4               5         2   4
+--R           (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R             2 5            4      2 2 3  7
+--R           (a d  + 10a b c d  + 10b c d )m
+--R         + 
+--R               2 5             4       2 2 3  6
+--R           (30a d  + 300a b c d  + 300b c d )m
+--R         + 
+--R                2 5              4        2 2 3  5
+--R           (366a d  + 3660a b c d  + 3660b c d )m
+--R         + 
+--R                 2 5               4         2 2 3  4
+--R           (2340a d  + 23400a b c d  + 23400b c d )m
+--R         + 
+--R                 2 5               4         2 2 3  3
+--R           (8409a d  + 84090a b c d  + 84090b c d )m
+--R         + 
+--R                  2 5                4          2 2 3  2
+--R           (16830a d  + 168300a b c d  + 168300b c d )m
+--R         + 
+--R                  2 5                4          2 2 3          2 5
+--R           (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R         + 
+--R                       4         2 2 3
+--R           67200a b c d  + 67200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R              2   4          2 3      2 3 2  7
+--R           (5a c d  + 20a b c d  + 10b c d )m
+--R         + 
+--R                2   4           2 3       2 3 2  6
+--R           (155a c d  + 620a b c d  + 310b c d )m
+--R         + 
+--R                 2   4            2 3        2 3 2  5
+--R           (1955a c d  + 7820a b c d  + 3910b c d )m
+--R         + 
+--R                  2   4             2 3         2 3 2  4
+--R           (12905a c d  + 51620a b c d  + 25810b c d )m
+--R         + 
+--R                  2   4              2 3         2 3 2  3
+--R           (47720a c d  + 190880a b c d  + 95440b c d )m
+--R         + 
+--R                  2   4              2 3          2 3 2  2
+--R           (97820a c d  + 391280a b c d  + 195640b c d )m
+--R         + 
+--R                   2   4              2 3          2 3 2           2   4
+--R           (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R         + 
+--R                      2 3         2 3 2
+--R           161280a b c d  + 80640b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R               2 2 3          3 2     2 4   7
+--R           (10a c d  + 20a b c d  + 5b c d)m
+--R         + 
+--R                2 2 3           3 2       2 4   6
+--R           (320a c d  + 640a b c d  + 160b c d)m
+--R         + 
+--R                 2 2 3            3 2        2 4   5
+--R           (4180a c d  + 8360a b c d  + 2090b c d)m
+--R         + 
+--R                  2 2 3             3 2         2 4   4
+--R           (28640a c d  + 57280a b c d  + 14320b c d)m
+--R         + 
+--R                   2 2 3              3 2         2 4   3
+--R           (109930a c d  + 219860a b c d  + 54965b c d)m
+--R         + 
+--R                   2 2 3              3 2          2 4   2
+--R           (233120a c d  + 466240a b c d  + 116560b c d)m
+--R         + 
+--R                   2 2 3              3 2          2 4             2 2 3
+--R           (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R         + 
+--R                      3 2         2 4
+--R           201600a b c d  + 50400b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R               2 3 2          4     2 5  7        2 3 2           4       2 5  6
+--R           (10a c d  + 10a b c d + b c )m  + (330a c d  + 330a b c d + 33b c )m
+--R         + 
+--R                 2 3 2            4        2 5  5
+--R           (4470a c d  + 4470a b c d + 447b c )m
+--R         + 
+--R                  2 3 2             4         2 5  4
+--R           (31950a c d  + 31950a b c d + 3195b c )m
+--R         + 
+--R                   2 3 2              4          2 5  3
+--R           (128640a c d  + 128640a b c d + 12864b c )m
+--R         + 
+--R                   2 3 2              4          2 5  2
+--R           (286920a c d  + 286920a b c d + 28692b c )m
+--R         + 
+--R                   2 3 2              4          2 5            2 3 2
+--R           (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R         + 
+--R                      4          2 5
+--R           134400a b c d + 13440b c
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R              2 4          5  7        2 4           5  6
+--R           (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R         + 
+--R                 2 4            5  5          2 4             5  4
+--R           (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R         + 
+--R                  2 4              5  3           2 4              5  2
+--R           (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R         + 
+--R                   2 4              5            2 4              5
+--R           (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R            2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R           a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R         + 
+--R                 2 5 2         2 5          2 5
+--R           48860a c m  + 69264a c m + 40320a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E  102
+
+--S  103 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R             b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R           + 
+--R                   2 5 2         2 5         2 5
+--R             13132b d m  + 13068b d m + 5040b d
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                    5     2   4  7           5       2   4  6
+--R             (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R           + 
+--R                      5        2   4  5             5         2   4  4
+--R             (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R           + 
+--R                        5         2   4  3              5         2   4  2
+--R             (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R           + 
+--R                        5         2   4               5         2   4
+--R             (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R               2 5            4      2 2 3  7
+--R             (a d  + 10a b c d  + 10b c d )m
+--R           + 
+--R                 2 5             4       2 2 3  6
+--R             (30a d  + 300a b c d  + 300b c d )m
+--R           + 
+--R                  2 5              4        2 2 3  5
+--R             (366a d  + 3660a b c d  + 3660b c d )m
+--R           + 
+--R                   2 5               4         2 2 3  4
+--R             (2340a d  + 23400a b c d  + 23400b c d )m
+--R           + 
+--R                   2 5               4         2 2 3  3
+--R             (8409a d  + 84090a b c d  + 84090b c d )m
+--R           + 
+--R                    2 5                4          2 2 3  2
+--R             (16830a d  + 168300a b c d  + 168300b c d )m
+--R           + 
+--R                    2 5                4          2 2 3          2 5
+--R             (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R           + 
+--R                         4         2 2 3
+--R             67200a b c d  + 67200b c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                2   4          2 3      2 3 2  7
+--R             (5a c d  + 20a b c d  + 10b c d )m
+--R           + 
+--R                  2   4           2 3       2 3 2  6
+--R             (155a c d  + 620a b c d  + 310b c d )m
+--R           + 
+--R                   2   4            2 3        2 3 2  5
+--R             (1955a c d  + 7820a b c d  + 3910b c d )m
+--R           + 
+--R                    2   4             2 3         2 3 2  4
+--R             (12905a c d  + 51620a b c d  + 25810b c d )m
+--R           + 
+--R                    2   4              2 3         2 3 2  3
+--R             (47720a c d  + 190880a b c d  + 95440b c d )m
+--R           + 
+--R                    2   4              2 3          2 3 2  2
+--R             (97820a c d  + 391280a b c d  + 195640b c d )m
+--R           + 
+--R                     2   4              2 3          2 3 2           2   4
+--R             (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R           + 
+--R                        2 3         2 3 2
+--R             161280a b c d  + 80640b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                 2 2 3          3 2     2 4   7
+--R             (10a c d  + 20a b c d  + 5b c d)m
+--R           + 
+--R                  2 2 3           3 2       2 4   6
+--R             (320a c d  + 640a b c d  + 160b c d)m
+--R           + 
+--R                   2 2 3            3 2        2 4   5
+--R             (4180a c d  + 8360a b c d  + 2090b c d)m
+--R           + 
+--R                    2 2 3             3 2         2 4   4
+--R             (28640a c d  + 57280a b c d  + 14320b c d)m
+--R           + 
+--R                     2 2 3              3 2         2 4   3
+--R             (109930a c d  + 219860a b c d  + 54965b c d)m
+--R           + 
+--R                     2 2 3              3 2          2 4   2
+--R             (233120a c d  + 466240a b c d  + 116560b c d)m
+--R           + 
+--R                     2 2 3              3 2          2 4             2 2 3
+--R             (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R           + 
+--R                        3 2         2 4
+--R             201600a b c d  + 50400b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                 2 3 2          4     2 5  7
+--R             (10a c d  + 10a b c d + b c )m
+--R           + 
+--R                  2 3 2           4       2 5  6
+--R             (330a c d  + 330a b c d + 33b c )m
+--R           + 
+--R                   2 3 2            4        2 5  5
+--R             (4470a c d  + 4470a b c d + 447b c )m
+--R           + 
+--R                    2 3 2             4         2 5  4
+--R             (31950a c d  + 31950a b c d + 3195b c )m
+--R           + 
+--R                     2 3 2              4          2 5  3
+--R             (128640a c d  + 128640a b c d + 12864b c )m
+--R           + 
+--R                     2 3 2              4          2 5  2
+--R             (286920a c d  + 286920a b c d + 28692b c )m
+--R           + 
+--R                     2 3 2              4          2 5            2 3 2
+--R             (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R           + 
+--R                        4          2 5
+--R             134400a b c d + 13440b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                2 4          5  7        2 4           5  6
+--R             (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R           + 
+--R                   2 4            5  5          2 4             5  4
+--R             (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R           + 
+--R                    2 4              5  3           2 4              5  2
+--R             (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R           + 
+--R                     2 4              5            2 4              5
+--R             (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R             a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R           + 
+--R                   2 5 2         2 5          2 5
+--R             48860a c m  + 69264a c m + 40320a c
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                         Type: Union(Expression(Integer),...)
+--E  103
+
+--S  104 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R               b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R             + 
+--R                     2 5 2         2 5         2 5
+--R               13132b d m  + 13068b d m + 5040b d
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                      5     2   4  7           5       2   4  6
+--R               (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R             + 
+--R                        5        2   4  5             5         2   4  4
+--R               (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R             + 
+--R                          5         2   4  3              5         2   4  2
+--R               (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R             + 
+--R                          5         2   4               5         2   4
+--R               (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                 2 5            4      2 2 3  7
+--R               (a d  + 10a b c d  + 10b c d )m
+--R             + 
+--R                   2 5             4       2 2 3  6
+--R               (30a d  + 300a b c d  + 300b c d )m
+--R             + 
+--R                    2 5              4        2 2 3  5
+--R               (366a d  + 3660a b c d  + 3660b c d )m
+--R             + 
+--R                     2 5               4         2 2 3  4
+--R               (2340a d  + 23400a b c d  + 23400b c d )m
+--R             + 
+--R                     2 5               4         2 2 3  3
+--R               (8409a d  + 84090a b c d  + 84090b c d )m
+--R             + 
+--R                      2 5                4          2 2 3  2
+--R               (16830a d  + 168300a b c d  + 168300b c d )m
+--R             + 
+--R                      2 5                4          2 2 3          2 5
+--R               (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R             + 
+--R                           4         2 2 3
+--R               67200a b c d  + 67200b c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                  2   4          2 3      2 3 2  7
+--R               (5a c d  + 20a b c d  + 10b c d )m
+--R             + 
+--R                    2   4           2 3       2 3 2  6
+--R               (155a c d  + 620a b c d  + 310b c d )m
+--R             + 
+--R                     2   4            2 3        2 3 2  5
+--R               (1955a c d  + 7820a b c d  + 3910b c d )m
+--R             + 
+--R                      2   4             2 3         2 3 2  4
+--R               (12905a c d  + 51620a b c d  + 25810b c d )m
+--R             + 
+--R                      2   4              2 3         2 3 2  3
+--R               (47720a c d  + 190880a b c d  + 95440b c d )m
+--R             + 
+--R                      2   4              2 3          2 3 2  2
+--R               (97820a c d  + 391280a b c d  + 195640b c d )m
+--R             + 
+--R                       2   4              2 3          2 3 2           2   4
+--R               (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R             + 
+--R                          2 3         2 3 2
+--R               161280a b c d  + 80640b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                   2 2 3          3 2     2 4   7
+--R               (10a c d  + 20a b c d  + 5b c d)m
+--R             + 
+--R                    2 2 3           3 2       2 4   6
+--R               (320a c d  + 640a b c d  + 160b c d)m
+--R             + 
+--R                     2 2 3            3 2        2 4   5
+--R               (4180a c d  + 8360a b c d  + 2090b c d)m
+--R             + 
+--R                      2 2 3             3 2         2 4   4
+--R               (28640a c d  + 57280a b c d  + 14320b c d)m
+--R             + 
+--R                       2 2 3              3 2         2 4   3
+--R               (109930a c d  + 219860a b c d  + 54965b c d)m
+--R             + 
+--R                       2 2 3              3 2          2 4   2
+--R               (233120a c d  + 466240a b c d  + 116560b c d)m
+--R             + 
+--R                       2 2 3              3 2          2 4             2 2 3
+--R               (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R             + 
+--R                          3 2         2 4
+--R               201600a b c d  + 50400b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                   2 3 2          4     2 5  7
+--R               (10a c d  + 10a b c d + b c )m
+--R             + 
+--R                    2 3 2           4       2 5  6
+--R               (330a c d  + 330a b c d + 33b c )m
+--R             + 
+--R                     2 3 2            4        2 5  5
+--R               (4470a c d  + 4470a b c d + 447b c )m
+--R             + 
+--R                      2 3 2             4         2 5  4
+--R               (31950a c d  + 31950a b c d + 3195b c )m
+--R             + 
+--R                       2 3 2              4          2 5  3
+--R               (128640a c d  + 128640a b c d + 12864b c )m
+--R             + 
+--R                       2 3 2              4          2 5  2
+--R               (286920a c d  + 286920a b c d + 28692b c )m
+--R             + 
+--R                       2 3 2              4          2 5            2 3 2
+--R               (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R             + 
+--R                          4          2 5
+--R               134400a b c d + 13440b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  2 4          5  7        2 4           5  6
+--R               (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R             + 
+--R                     2 4            5  5          2 4             5  4
+--R               (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R             + 
+--R                      2 4              5  3           2 4              5  2
+--R               (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R             + 
+--R                       2 4              5            2 4              5
+--R               (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R               a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R             + 
+--R                     2 5 2         2 5          2 5
+--R               48860a c m  + 69264a c m + 40320a c
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R           - b d m  - 28b d m  - 322b d m  - 1960b d m  - 6769b d m
+--R         + 
+--R                   2 5 2         2 5         2 5
+--R           - 13132b d m  - 13068b d m - 5040b d
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                    5     2   4  7             5       2   4  6
+--R           (- 2a b d  - 5b c d )m  + (- 58a b d  - 145b c d )m
+--R         + 
+--R                      5        2   4  5               5         2   4  4
+--R           (- 686a b d  - 1715b c d )m  + (- 4270a b d  - 10675b c d )m
+--R         + 
+--R                        5         2   4  3                5         2   4  2
+--R           (- 15008a b d  - 37520b c d )m  + (- 29512a b d  - 73780b c d )m
+--R         + 
+--R                        5         2   4               5         2   4
+--R           (- 29664a b d  - 74160b c d )m - 11520a b d  - 28800b c d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               2 5            4      2 2 3  7
+--R           (- a d  - 10a b c d  - 10b c d )m
+--R         + 
+--R                 2 5             4       2 2 3  6
+--R           (- 30a d  - 300a b c d  - 300b c d )m
+--R         + 
+--R                  2 5              4        2 2 3  5
+--R           (- 366a d  - 3660a b c d  - 3660b c d )m
+--R         + 
+--R                   2 5               4         2 2 3  4
+--R           (- 2340a d  - 23400a b c d  - 23400b c d )m
+--R         + 
+--R                   2 5               4         2 2 3  3
+--R           (- 8409a d  - 84090a b c d  - 84090b c d )m
+--R         + 
+--R                    2 5                4          2 2 3  2
+--R           (- 16830a d  - 168300a b c d  - 168300b c d )m
+--R         + 
+--R                    2 5                4          2 2 3          2 5
+--R           (- 17144a d  - 171440a b c d  - 171440b c d )m - 6720a d
+--R         + 
+--R                         4         2 2 3
+--R           - 67200a b c d  - 67200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                2   4          2 3      2 3 2  7
+--R           (- 5a c d  - 20a b c d  - 10b c d )m
+--R         + 
+--R                  2   4           2 3       2 3 2  6
+--R           (- 155a c d  - 620a b c d  - 310b c d )m
+--R         + 
+--R                   2   4            2 3        2 3 2  5
+--R           (- 1955a c d  - 7820a b c d  - 3910b c d )m
+--R         + 
+--R                    2   4             2 3         2 3 2  4
+--R           (- 12905a c d  - 51620a b c d  - 25810b c d )m
+--R         + 
+--R                    2   4              2 3         2 3 2  3
+--R           (- 47720a c d  - 190880a b c d  - 95440b c d )m
+--R         + 
+--R                    2   4              2 3          2 3 2  2
+--R           (- 97820a c d  - 391280a b c d  - 195640b c d )m
+--R         + 
+--R                     2   4              2 3          2 3 2           2   4
+--R           (- 101520a c d  - 406080a b c d  - 203040b c d )m - 40320a c d
+--R         + 
+--R                        2 3         2 3 2
+--R           - 161280a b c d  - 80640b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 2 2 3          3 2     2 4   7
+--R           (- 10a c d  - 20a b c d  - 5b c d)m
+--R         + 
+--R                  2 2 3           3 2       2 4   6
+--R           (- 320a c d  - 640a b c d  - 160b c d)m
+--R         + 
+--R                   2 2 3            3 2        2 4   5
+--R           (- 4180a c d  - 8360a b c d  - 2090b c d)m
+--R         + 
+--R                    2 2 3             3 2         2 4   4
+--R           (- 28640a c d  - 57280a b c d  - 14320b c d)m
+--R         + 
+--R                     2 2 3              3 2         2 4   3
+--R           (- 109930a c d  - 219860a b c d  - 54965b c d)m
+--R         + 
+--R                     2 2 3              3 2          2 4   2
+--R           (- 233120a c d  - 466240a b c d  - 116560b c d)m
+--R         + 
+--R                     2 2 3              3 2          2 4             2 2 3
+--R           (- 248760a c d  - 497520a b c d  - 124380b c d)m - 100800a c d
+--R         + 
+--R                        3 2         2 4
+--R           - 201600a b c d  - 50400b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 2 3 2          4     2 5  7
+--R           (- 10a c d  - 10a b c d - b c )m
+--R         + 
+--R                  2 3 2           4       2 5  6
+--R           (- 330a c d  - 330a b c d - 33b c )m
+--R         + 
+--R                   2 3 2            4        2 5  5
+--R           (- 4470a c d  - 4470a b c d - 447b c )m
+--R         + 
+--R                    2 3 2             4         2 5  4
+--R           (- 31950a c d  - 31950a b c d - 3195b c )m
+--R         + 
+--R                     2 3 2              4          2 5  3
+--R           (- 128640a c d  - 128640a b c d - 12864b c )m
+--R         + 
+--R                     2 3 2              4          2 5  2
+--R           (- 286920a c d  - 286920a b c d - 28692b c )m
+--R         + 
+--R                     2 3 2              4          2 5            2 3 2
+--R           (- 320480a c d  - 320480a b c d - 32048b c )m - 134400a c d
+--R         + 
+--R                        4          2 5
+--R           - 134400a b c d - 13440b c
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                2 4          5  7          2 4           5  6
+--R           (- 5a c d - 2a b c )m  + (- 170a c d - 68a b c )m
+--R         + 
+--R                   2 4            5  5            2 4             5  4
+--R           (- 2390a c d - 956a b c )m  + (- 17900a c d - 7160a b c )m
+--R         + 
+--R                    2 4              5  3             2 4              5  2
+--R           (- 76445a c d - 30578a b c )m  + (- 183530a c d - 73412a b c )m
+--R         + 
+--R                     2 4              5            2 4              5
+--R           (- 223560a c d - 89424a b c )m - 100800a c d - 40320a b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R           - a c m  - 35a c m  - 511a c m  - 4025a c m  - 18424a c m
+--R         + 
+--R                   2 5 2         2 5          2 5
+--R           - 48860a c m  - 69264a c m - 40320a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E  104
+
+--S  105 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  105
+
+)clear all
+
+--S  106 of 1092
+t0:=x^3*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 21          16      2   15  20
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  19
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  18
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  17
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  16
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  15
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  14
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  13
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  12
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  11
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  10
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  9
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  8
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  7
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   6
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  5       2 15          16  4    2 16 3
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  106
+
+--S  107 of 1092
+r0:=-1/17*c^3*(b*c-a*d)^2*(c+d*x)^17/d^6+1/18*c^2*(5*b*c-3*a*d)*_
+     (b*c-a*d)*(c+d*x)^18/d^6-1/19*c*(10*b^2*c^2-12*a*b*c*d+_
+     3*a^2*d^2)*(c+d*x)^19/d^6+1/20*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^20/d^6-1/21*b*(5*b*c-2*a*d)*(c+d*x)^21/d^6+_
+     1/22*b^2*(c+d*x)^22/d^6
+--R 
+--R
+--R   (2)
+--R        1  2 22 22     2      22   16  2   21  21
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       22             21           21
+--R     + 
+--R         1  2 22   8        21     2 2 20  20
+--R       (-- a d   + - a b c d   + 6b c d  )x
+--R        20         5
+--R     + 
+--R        16  2   21   240      2 20   560  2 3 19  19
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R        19            19              19
+--R     + 
+--R        20  2 2 20   560      3 19   910  2 4 18  18
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R         3            9               9
+--R     + 
+--R        560  2 3 19   3640      4 18   4368  2 5 17  17
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         17            17               17
+--R     + 
+--R        455  2 4 18           5 17   1001  2 6 16  16
+--R       (--- a c d   + 546a b c d   + ---- b c d  )x
+--R         4                             2
+--R     + 
+--R        1456  2 5 17   16016      6 16   2288  2 7 15  15
+--R       (---- a c d   + ----- a b c d   + ---- b c d  )x
+--R          5              15                3
+--R     + 
+--R            2 6 16   11440      7 15   6435  2 8 14  14
+--R       (572a c d   + ----- a b c d   + ---- b c d  )x
+--R                       7                 7
+--R     + 
+--R            2 7 15            8 14       2 9 13  13
+--R       (880a c d   + 1980a b c d   + 880b c d  )x
+--R     + 
+--R        2145  2 8 14   5720      9 13   2002  2 10 12  12
+--R       (---- a c d   + ---- a b c d   + ---- b c  d  )x
+--R          2              3                3
+--R     + 
+--R             2 9 13            10 12   4368  2 11 11  11
+--R       (1040a c d   + 1456a b c  d   + ---- b c  d  )x
+--R                                        11
+--R     + 
+--R        4004  2 10 12   4368      11 11       2 12 10  10
+--R       (---- a c  d   + ---- a b c  d   + 182b c  d  )x
+--R          5               5
+--R     + 
+--R        1456  2 11 11   3640      12 10   560  2 13 9  9
+--R       (---- a c  d   + ---- a b c  d   + --- b c  d )x
+--R          3               9                9
+--R     + 
+--R        455  2 12 10           13 9      2 14 8  8
+--R       (--- a c  d   + 140a b c  d  + 15b c  d )x
+--R         2
+--R     + 
+--R           2 13 9   240      14 8   16  2 15 7  7
+--R       (80a c  d  + --- a b c  d  + -- b c  d )x
+--R                     7               7
+--R     + 
+--R           2 14 8   16      15 7   1  2 16 6  6    16  2 15 7   2      16 6  5
+--R       (20a c  d  + -- a b c  d  + - b c  d )x  + (-- a c  d  + - a b c  d )x
+--R                     3             6                5           5
+--R     + 
+--R       1  2 16 6 4     1    2 20 2      2        21       1    2 22
+--R       - a c  d x  - ----- a c  d  + ------ a b c  d - ------ b c
+--R       4             19380           101745            447678
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  107
+
+--S  108 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 22     2      16   16  2   15  21
+--R     -- b d  x   + (-- a b d   + -- b c d  )x
+--R     22             21           21
+--R   + 
+--R       1  2 16   8        15     2 2 14  20
+--R     (-- a d   + - a b c d   + 6b c d  )x
+--R      20         5
+--R   + 
+--R      16  2   15   240      2 14   560  2 3 13  19
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R      19            19              19
+--R   + 
+--R      20  2 2 14   560      3 13   910  2 4 12  18
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R       3            9               9
+--R   + 
+--R      560  2 3 13   3640      4 12   4368  2 5 11  17
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       17            17               17
+--R   + 
+--R      455  2 4 12           5 11   1001  2 6 10  16
+--R     (--- a c d   + 546a b c d   + ---- b c d  )x
+--R       4                             2
+--R   + 
+--R      1456  2 5 11   16016      6 10   2288  2 7 9  15
+--R     (---- a c d   + ----- a b c d   + ---- b c d )x
+--R        5              15                3
+--R   + 
+--R          2 6 10   11440      7 9   6435  2 8 8  14
+--R     (572a c d   + ----- a b c d  + ---- b c d )x
+--R                     7                7
+--R   + 
+--R          2 7 9            8 8       2 9 7  13
+--R     (880a c d  + 1980a b c d  + 880b c d )x
+--R   + 
+--R      2145  2 8 8   5720      9 7   2002  2 10 6  12
+--R     (---- a c d  + ---- a b c d  + ---- b c  d )x
+--R        2             3               3
+--R   + 
+--R           2 9 7            10 6   4368  2 11 5  11
+--R     (1040a c d  + 1456a b c  d  + ---- b c  d )x
+--R                                    11
+--R   + 
+--R      4004  2 10 6   4368      11 5       2 12 4  10
+--R     (---- a c  d  + ---- a b c  d  + 182b c  d )x
+--R        5              5
+--R   + 
+--R      1456  2 11 5   3640      12 4   560  2 13 3  9
+--R     (---- a c  d  + ---- a b c  d  + --- b c  d )x
+--R        3              9               9
+--R   + 
+--R      455  2 12 4           13 3      2 14 2  8
+--R     (--- a c  d  + 140a b c  d  + 15b c  d )x
+--R       2
+--R   + 
+--R         2 13 3   240      14 2   16  2 15   7
+--R     (80a c  d  + --- a b c  d  + -- b c  d)x
+--R                   7               7
+--R   + 
+--R       2 14 2   16      15    1  2 16  6    16  2 15    2      16  5   1  2 16 4
+--R   (20a c  d  + -- a b c  d + - b c  )x  + (-- a c  d + - a b c  )x  + - a c  x
+--R                 3            6              5          5              4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  108
+
+--S  109 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1    2 20 2      2        21       1    2 22
+--R        ----- a c  d  - ------ a b c  d + ------ b c
+--R        19380           101745            447678
+--R   (4)  ----------------------------------------------
+--R                               6
+--R                              d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  109
+
+--S  110 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  110
+
+)clear all
+
+--S  111 of 1092
+t0:=x^2*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 20          16      2   15  19
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  18
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  17
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  16
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  15
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  14
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  13
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  12
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  11
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  10
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  9
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  8
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  7
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  6
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   5
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  4       2 15          16  3    2 16 2
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  111
+
+--S  112 of 1092
+r0:=1/17*c^2*(b*c-a*d)^2*(c+d*x)^17/d^5-1/9*c*(b*c-a*d)*(2*b*c-a*d)*_
+     (c+d*x)^18/d^5+1/19*(6*b^2*c^2-6*a*b*c*d+a^2*d^2)*(c+d*x)^19/d^5-_
+     1/10*b*(2*b*c-a*d)*(c+d*x)^20/d^5+1/21*b^2*(c+d*x)^21/d^5
+--R 
+--R
+--R   (2)
+--R        1  2 21 21     1      21   4  2   20  20
+--R       -- b d  x   + (-- a b d   + - b c d  )x
+--R       21             10           5
+--R     + 
+--R         1  2 21   32        20   120  2 2 19  19
+--R       (-- a d   + -- a b c d   + --- b c d  )x
+--R        19         19              19
+--R     + 
+--R        8  2   20   40      2 19   280  2 3 18  18
+--R       (- a c d   + -- a b c d   + --- b c d  )x
+--R        9            3              9
+--R     + 
+--R        120  2 2 19   1120      3 18   1820  2 4 17  17
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         17            17               17
+--R     + 
+--R           2 3 18   455      4 17       2 5 16  16
+--R       (35a c d   + --- a b c d   + 273b c d  )x
+--R                     2
+--R     + 
+--R        364  2 4 17   2912      5 16   8008  2 6 15  15
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         3              5               15
+--R     + 
+--R            2 5 16            6 15   5720  2 7 14  14
+--R       (312a c d   + 1144a b c d   + ---- b c d  )x
+--R                                       7
+--R     + 
+--R            2 6 15            7 14       2 8 13  13
+--R       (616a c d   + 1760a b c d   + 990b c d  )x
+--R     + 
+--R        2860  2 7 14            8 13   2860  2 9 12  12
+--R       (---- a c d   + 2145a b c d   + ---- b c d  )x
+--R          3                              3
+--R     + 
+--R             2 8 13            9 12       2 10 11  11
+--R       (1170a c d   + 2080a b c d   + 728b c  d  )x
+--R     + 
+--R             2 9 12   8008      10 11   2184  2 11 10  10
+--R       (1144a c d   + ---- a b c  d   + ---- b c  d  )x
+--R                        5                 5
+--R     + 
+--R        8008  2 10 11   2912      11 10   1820  2 12 9  9
+--R       (---- a c  d   + ---- a b c  d   + ---- b c  d )x
+--R          9               3                 9
+--R     + 
+--R            2 11 10           12 9      2 13 8  8
+--R       (546a c  d   + 455a b c  d  + 70b c  d )x
+--R     + 
+--R            2 12 9           13 8   120  2 14 7  7
+--R       (260a c  d  + 160a b c  d  + --- b c  d )x
+--R                                     7
+--R     + 
+--R        280  2 13 8          14 7   8  2 15 6  6
+--R       (--- a c  d  + 40a b c  d  + - b c  d )x
+--R         3                          3
+--R     + 
+--R           2 14 7   32      15 6   1  2 16 5  5      2 15 6   1      16 5  4
+--R       (24a c  d  + -- a b c  d  + - b c  d )x  + (4a c  d  + - a b c  d )x
+--R                     5             5                          2
+--R     + 
+--R       1  2 16 5 3     1   2 19 2     1       20       1    2 21
+--R       - a c  d x  + ---- a c  d  - ---- a b c  d + ------ b c
+--R       3             2907           9690            101745
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  112
+
+--S  113 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 21     1      16   4  2   15  20
+--R     -- b d  x   + (-- a b d   + - b c d  )x
+--R     21             10           5
+--R   + 
+--R       1  2 16   32        15   120  2 2 14  19
+--R     (-- a d   + -- a b c d   + --- b c d  )x
+--R      19         19              19
+--R   + 
+--R      8  2   15   40      2 14   280  2 3 13  18
+--R     (- a c d   + -- a b c d   + --- b c d  )x
+--R      9            3              9
+--R   + 
+--R      120  2 2 14   1120      3 13   1820  2 4 12  17
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       17            17               17
+--R   + 
+--R         2 3 13   455      4 12       2 5 11  16
+--R     (35a c d   + --- a b c d   + 273b c d  )x
+--R                   2
+--R   + 
+--R      364  2 4 12   2912      5 11   8008  2 6 10  15
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       3              5               15
+--R   + 
+--R          2 5 11            6 10   5720  2 7 9  14
+--R     (312a c d   + 1144a b c d   + ---- b c d )x
+--R                                     7
+--R   + 
+--R          2 6 10            7 9       2 8 8  13
+--R     (616a c d   + 1760a b c d  + 990b c d )x
+--R   + 
+--R      2860  2 7 9            8 8   2860  2 9 7  12
+--R     (---- a c d  + 2145a b c d  + ---- b c d )x
+--R        3                            3
+--R   + 
+--R           2 8 8            9 7       2 10 6  11
+--R     (1170a c d  + 2080a b c d  + 728b c  d )x
+--R   + 
+--R           2 9 7   8008      10 6   2184  2 11 5  10
+--R     (1144a c d  + ---- a b c  d  + ---- b c  d )x
+--R                     5                5
+--R   + 
+--R      8008  2 10 6   2912      11 5   1820  2 12 4  9
+--R     (---- a c  d  + ---- a b c  d  + ---- b c  d )x
+--R        9              3                9
+--R   + 
+--R          2 11 5           12 4      2 13 3  8
+--R     (546a c  d  + 455a b c  d  + 70b c  d )x
+--R   + 
+--R          2 12 4           13 3   120  2 14 2  7
+--R     (260a c  d  + 160a b c  d  + --- b c  d )x
+--R                                   7
+--R   + 
+--R      280  2 13 3          14 2   8  2 15   6
+--R     (--- a c  d  + 40a b c  d  + - b c  d)x
+--R       3                          3
+--R   + 
+--R       2 14 2   32      15    1  2 16  5      2 15    1      16  4   1  2 16 3
+--R   (24a c  d  + -- a b c  d + - b c  )x  + (4a c  d + - a b c  )x  + - a c  x
+--R                 5            5                       2              3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  113
+
+--S  114 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            1   2 19 2     1       20       1    2 21
+--R        - ---- a c  d  + ---- a b c  d - ------ b c
+--R          2907           9690            101745
+--R   (4)  ---------------------------------------------
+--R                               5
+--R                              d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  114
+
+--S  115 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  115
+
+)clear all
+
+--S  116 of 1092
+t0:=x*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 19          16      2   15  18
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  17
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  16
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  15
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  14
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  13
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  12
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  11
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  10
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  9
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  8
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  7
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  6
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  5
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   4
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  3       2 15          16  2    2 16
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  116
+
+--S  117 of 1092
+r0:=-1/17*c*(b*c-a*d)^2*(c+d*x)^17/d^4+1/18*(b*c-a*d)*(3*b*c-a*d)*_
+     (c+d*x)^18/d^4-1/19*b*(3*b*c-2*a*d)*(c+d*x)^19/d^4+_
+     1/20*b^2*(c+d*x)^20/d^4
+--R 
+--R
+--R   (2)
+--R        1  2 20 20     2      20   16  2   19  19
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       20             19           19
+--R     + 
+--R         1  2 20   16        19   20  2 2 18  18
+--R       (-- a d   + -- a b c d   + -- b c d  )x
+--R        18          9              3
+--R     + 
+--R        16  2   19   240      2 18   560  2 3 17  17
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R        17            17              17
+--R     + 
+--R        15  2 2 18          3 17   455  2 4 16  16
+--R       (-- a c d   + 70a b c d   + --- b c d  )x
+--R         2                          4
+--R     + 
+--R        112  2 3 17   728      4 16   1456  2 5 15  15
+--R       (--- a c d   + --- a b c d   + ---- b c d  )x
+--R         3             3                5
+--R     + 
+--R            2 4 16           5 15       2 6 14  14
+--R       (130a c d   + 624a b c d   + 572b c d  )x
+--R     + 
+--R            2 5 15            6 14       2 7 13  13
+--R       (336a c d   + 1232a b c d   + 880b c d  )x
+--R     + 
+--R        2002  2 6 14   5720      7 13   2145  2 8 12  12
+--R       (---- a c d   + ---- a b c d   + ---- b c d  )x
+--R          3              3                2
+--R     + 
+--R             2 7 13            8 12        2 9 11  11
+--R       (1040a c d   + 2340a b c d   + 1040b c d  )x
+--R     + 
+--R             2 8 12            9 11   4004  2 10 10  10
+--R       (1287a c d   + 2288a b c d   + ---- b c  d  )x
+--R                                        5
+--R     + 
+--R        11440  2 9 11   16016      10 10   1456  2 11 9  9
+--R       (----- a c d   + ----- a b c  d   + ---- b c  d )x
+--R          9               9                  3
+--R     + 
+--R             2 10 10            11 9   455  2 12 8  8
+--R       (1001a c  d   + 1092a b c  d  + --- b c  d )x
+--R                                        2
+--R     + 
+--R            2 11 9           12 8      2 13 7  7
+--R       (624a c  d  + 520a b c  d  + 80b c  d )x
+--R     + 
+--R        910  2 12 8   560      13 7      2 14 6  6
+--R       (--- a c  d  + --- a b c  d  + 20b c  d )x
+--R         3             3
+--R     + 
+--R            2 13 7          14 6   16  2 15 5  5
+--R       (112a c  d  + 48a b c  d  + -- b c  d )x
+--R                                    5
+--R     + 
+--R           2 14 6         15 5   1  2 16 4  4    16  2 15 5   2      16 4  3
+--R       (30a c  d  + 8a b c  d  + - b c  d )x  + (-- a c  d  + - a b c  d )x
+--R                                 4                3           3
+--R     + 
+--R       1  2 16 4 2    1   2 18 2     2       19      1    2 20
+--R       - a c  d x  - --- a c  d  + ---- a b c  d - ----- b c
+--R       2             306           2907            19380
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  117
+
+--S  118 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 20     2      16   16  2   15  19
+--R     -- b d  x   + (-- a b d   + -- b c d  )x
+--R     20             19           19
+--R   + 
+--R       1  2 16   16        15   20  2 2 14  18
+--R     (-- a d   + -- a b c d   + -- b c d  )x
+--R      18          9              3
+--R   + 
+--R      16  2   15   240      2 14   560  2 3 13  17
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R      17            17              17
+--R   + 
+--R      15  2 2 14          3 13   455  2 4 12  16
+--R     (-- a c d   + 70a b c d   + --- b c d  )x
+--R       2                          4
+--R   + 
+--R      112  2 3 13   728      4 12   1456  2 5 11  15
+--R     (--- a c d   + --- a b c d   + ---- b c d  )x
+--R       3             3                5
+--R   + 
+--R          2 4 12           5 11       2 6 10  14
+--R     (130a c d   + 624a b c d   + 572b c d  )x
+--R   + 
+--R          2 5 11            6 10       2 7 9  13
+--R     (336a c d   + 1232a b c d   + 880b c d )x
+--R   + 
+--R      2002  2 6 10   5720      7 9   2145  2 8 8  12
+--R     (---- a c d   + ---- a b c d  + ---- b c d )x
+--R        3              3               2
+--R   + 
+--R           2 7 9            8 8        2 9 7  11
+--R     (1040a c d  + 2340a b c d  + 1040b c d )x
+--R   + 
+--R           2 8 8            9 7   4004  2 10 6  10
+--R     (1287a c d  + 2288a b c d  + ---- b c  d )x
+--R                                    5
+--R   + 
+--R      11440  2 9 7   16016      10 6   1456  2 11 5  9
+--R     (----- a c d  + ----- a b c  d  + ---- b c  d )x
+--R        9              9                 3
+--R   + 
+--R           2 10 6            11 5   455  2 12 4  8
+--R     (1001a c  d  + 1092a b c  d  + --- b c  d )x
+--R                                     2
+--R   + 
+--R          2 11 5           12 4      2 13 3  7
+--R     (624a c  d  + 520a b c  d  + 80b c  d )x
+--R   + 
+--R      910  2 12 4   560      13 3      2 14 2  6
+--R     (--- a c  d  + --- a b c  d  + 20b c  d )x
+--R       3             3
+--R   + 
+--R          2 13 3          14 2   16  2 15   5
+--R     (112a c  d  + 48a b c  d  + -- b c  d)x
+--R                                  5
+--R   + 
+--R       2 14 2         15    1  2 16  4    16  2 15    2      16  3   1  2 16 2
+--R   (30a c  d  + 8a b c  d + - b c  )x  + (-- a c  d + - a b c  )x  + - a c  x
+--R                            4              3          3              2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  118
+
+--S  119 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1   2 18 2     2       19      1    2 20
+--R        --- a c  d  - ---- a b c  d + ----- b c
+--R        306           2907            19380
+--R   (4)  -----------------------------------------
+--R                             4
+--R                            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  119
+
+--S  120 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  120
+
+)clear all
+
+--S  121 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 5       2 4     2   3    3 2          n
+--R   (1)  (d x  + 3c d x  + 3c d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  121
+
+--S  122 of 1092
+r0:=a^2*(b*c-a*d)^3*(a+b*x)^(1+n)/(b^6*(1+n))-a*(2*b*c-5*a*d)*_
+     (b*c-a*d)^2*(a+b*x)^(2+n)/(b^6*(2+n))+(b*c-a*d)*_
+     (b^2*c^2-8*a*b*c*d+10*a^2*d^2)*(a+b*x)^(3+n)/(b^6*(3+n))+_
+     d*(3*b^2*c^2-12*a*b*c*d+10*a^2*d^2)*(a+b*x)^(4+n)/(b^6*(4+n))+_
+     d^2*(3*b*c-5*a*d)*(a+b*x)^(5+n)/(b^6*(5+n))+d^3*(a+b*x)^(6+n)/(b^6*(6+n))
+--R 
+--R
+--R   (2)
+--R         3 5      3 4      3 3       3 2       3        3          n + 6
+--R       (d n  + 15d n  + 85d n  + 225d n  + 274d n + 120d )(b x + a)
+--R     + 
+--R                  3         2  5           3          2  4
+--R           (- 5a d  + 3b c d )n  + (- 80a d  + 48b c d )n
+--R         + 
+--R                    3           2  3             3           2  2
+--R           (- 475a d  + 285b c d )n  + (- 1300a d  + 780b c d )n
+--R         + 
+--R                     3           2           3           2
+--R           (- 1620a d  + 972b c d )n - 720a d  + 432b c d
+--R      *
+--R                  n + 5
+--R         (b x + a)
+--R     + 
+--R               2 3            2     2 2   5
+--R           (10a d  - 12a b c d  + 3b c d)n
+--R         + 
+--R                2 3             2      2 2   4
+--R           (170a d  - 204a b c d  + 51b c d)n
+--R         + 
+--R                 2 3              2       2 2   3
+--R           (1070a d  - 1284a b c d  + 321b c d)n
+--R         + 
+--R                 2 3              2       2 2   2
+--R           (3070a d  - 3684a b c d  + 921b c d)n
+--R         + 
+--R                 2 3              2        2 2           2 3              2
+--R           (3960a d  - 4752a b c d  + 1188b c d)n + 1800a d  - 2160a b c d
+--R         + 
+--R               2 2
+--R           540b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                 3 3      2     2       2 2     3 3  5
+--R           (- 10a d  + 18a b c d  - 9a b c d + b c )n
+--R         + 
+--R                  3 3       2     2         2 2       3 3  4
+--R           (- 180a d  + 324a b c d  - 162a b c d + 18b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3  3
+--R           (- 1210a d  + 2178a b c d  - 1089a b c d + 121b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3  2
+--R           (- 3720a d  + 6696a b c d  - 3348a b c d + 372b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3          3 3
+--R           (- 5080a d  + 9144a b c d  - 4572a b c d + 508b c )n - 2400a d
+--R         + 
+--R                2     2          2 2        3 3
+--R           4320a b c d  - 2160a b c d + 240b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              4 3      3     2     2 2 2        3 3  5
+--R           (5a d  - 12a b c d  + 9a b c d - 2a b c )n
+--R         + 
+--R               4 3       3     2       2 2 2         3 3  4
+--R           (95a d  - 228a b c d  + 171a b c d - 38a b c )n
+--R         + 
+--R                4 3        3     2        2 2 2          3 3  3
+--R           (685a d  - 1644a b c d  + 1233a b c d - 274a b c )n
+--R         + 
+--R                 4 3        3     2        2 2 2          3 3  2
+--R           (2305a d  - 5532a b c d  + 4149a b c d - 922a b c )n
+--R         + 
+--R                 4 3        3     2        2 2 2           3 3          4 3
+--R           (3510a d  - 8424a b c d  + 6318a b c d - 1404a b c )n + 1800a d
+--R         + 
+--R                  3     2        2 2 2          3 3
+--R           - 4320a b c d  + 3240a b c d - 720a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               5 3     4     2     3 2 2     2 3 3  5
+--R           (- a d  + 3a b c d  - 3a b c d + a b c )n
+--R         + 
+--R                 5 3      4     2      3 2 2       2 3 3  4
+--R           (- 20a d  + 60a b c d  - 60a b c d + 20a b c )n
+--R         + 
+--R                  5 3       4     2       3 2 2        2 3 3  3
+--R           (- 155a d  + 465a b c d  - 465a b c d + 155a b c )n
+--R         + 
+--R                  5 3        4     2        3 2 2        2 3 3  2
+--R           (- 580a d  + 1740a b c d  - 1740a b c d + 580a b c )n
+--R         + 
+--R                   5 3        4     2        3 2 2         2 3 3         5 3
+--R           (- 1044a d  + 3132a b c d  - 3132a b c d + 1044a b c )n - 720a d
+--R         + 
+--R                4     2        3 2 2        2 3 3
+--R           2160a b c d  - 2160a b c d + 720a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                                    Type: Expression(Integer)
+--E  122
+
+--S  123 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 3 5      6 3 4      6 3 3       6 3 2       6 3        6 3  6
+--R         (b d n  + 15b d n  + 85b d n  + 225b d n  + 274b d n + 120b d )x
+--R       + 
+--R                 5 3     6   2  5         5 3      6   2  4
+--R             (a b d  + 3b c d )n  + (10a b d  + 48b c d )n
+--R           + 
+--R                   5 3       6   2  3         5 3       6   2  2
+--R             (35a b d  + 285b c d )n  + (50a b d  + 780b c d )n
+--R           + 
+--R                   5 3       6   2         6   2
+--R             (24a b d  + 972b c d )n + 432b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                  5   2     6 2   5        2 4 3        5   2      6 2   4
+--R             (3a b c d  + 3b c d)n  + (- 5a b d  + 36a b c d  + 51b c d)n
+--R           + 
+--R                   2 4 3         5   2       6 2   3
+--R             (- 30a b d  + 141a b c d  + 321b c d)n
+--R           + 
+--R                   2 4 3         5   2       6 2   2
+--R             (- 55a b d  + 216a b c d  + 921b c d)n
+--R           + 
+--R                   2 4 3         5   2        6 2          6 2
+--R             (- 30a b d  + 108a b c d  + 1188b c d)n + 540b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  5 2     6 3  5         2 4   2        5 2       6 3  4
+--R             (3a b c d + b c )n  + (- 12a b c d  + 42a b c d + 18b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3  3
+--R             (20a b d  - 108a b c d  + 195a b c d + 121b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3  2
+--R             (60a b d  - 240a b c d  + 336a b c d + 372b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3         6 3
+--R             (40a b d  - 144a b c d  + 180a b c d + 508b c )n + 240b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                5 3 5        2 4 2         5 3  4
+--R             a b c n  + (- 9a b c d + 16a b c )n
+--R           + 
+--R                 3 3   2       2 4 2         5 3  3
+--R             (36a b c d  - 108a b c d + 89a b c )n
+--R           + 
+--R                   4 2 3       3 3   2       2 4 2          5 3  2
+--R             (- 60a b d  + 252a b c d  - 369a b c d + 194a b c )n
+--R           + 
+--R                   4 2 3       3 3   2       2 4 2          5 3
+--R             (- 60a b d  + 216a b c d  - 270a b c d + 120a b c )n
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 2 4 3 4       3 3 2       2 4 3  3
+--R             - 2a b c n  + (18a b c d - 30a b c )n
+--R           + 
+--R                   4 2   2       3 3 2        2 4 3  2
+--R             (- 72a b c d  + 198a b c d - 148a b c )n
+--R           + 
+--R                  5   3       4 2   2       3 3 2        2 4 3
+--R             (120a b d  - 432a b c d  + 540a b c d - 240a b c )n
+--R        *
+--R           x
+--R       + 
+--R           3 3 3 3         4 2 2       3 3 3  2
+--R         2a b c n  + (- 18a b c d + 30a b c )n
+--R       + 
+--R             5     2       4 2 2        3 3 3         6 3       5     2
+--R         (72a b c d  - 198a b c d + 148a b c )n - 120a d  + 432a b c d
+--R       + 
+--R               4 2 2        3 3 3
+--R         - 540a b c d + 240a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                         Type: Union(Expression(Integer),...)
+--E  123
+
+--S  124 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             6 3 5      6 3 4      6 3 3       6 3 2       6 3        6 3  6
+--R           (b d n  + 15b d n  + 85b d n  + 225b d n  + 274b d n + 120b d )x
+--R         + 
+--R                   5 3     6   2  5         5 3      6   2  4
+--R               (a b d  + 3b c d )n  + (10a b d  + 48b c d )n
+--R             + 
+--R                     5 3       6   2  3         5 3       6   2  2
+--R               (35a b d  + 285b c d )n  + (50a b d  + 780b c d )n
+--R             + 
+--R                     5 3       6   2         6   2
+--R               (24a b d  + 972b c d )n + 432b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    5   2     6 2   5        2 4 3        5   2      6 2   4
+--R               (3a b c d  + 3b c d)n  + (- 5a b d  + 36a b c d  + 51b c d)n
+--R             + 
+--R                     2 4 3         5   2       6 2   3
+--R               (- 30a b d  + 141a b c d  + 321b c d)n
+--R             + 
+--R                     2 4 3         5   2       6 2   2
+--R               (- 55a b d  + 216a b c d  + 921b c d)n
+--R             + 
+--R                     2 4 3         5   2        6 2          6 2
+--R               (- 30a b d  + 108a b c d  + 1188b c d)n + 540b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    5 2     6 3  5         2 4   2        5 2       6 3  4
+--R               (3a b c d + b c )n  + (- 12a b c d  + 42a b c d + 18b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3  3
+--R               (20a b d  - 108a b c d  + 195a b c d + 121b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3  2
+--R               (60a b d  - 240a b c d  + 336a b c d + 372b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3         6 3
+--R               (40a b d  - 144a b c d  + 180a b c d + 508b c )n + 240b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  5 3 5        2 4 2         5 3  4
+--R               a b c n  + (- 9a b c d + 16a b c )n
+--R             + 
+--R                   3 3   2       2 4 2         5 3  3
+--R               (36a b c d  - 108a b c d + 89a b c )n
+--R             + 
+--R                     4 2 3       3 3   2       2 4 2          5 3  2
+--R               (- 60a b d  + 252a b c d  - 369a b c d + 194a b c )n
+--R             + 
+--R                     4 2 3       3 3   2       2 4 2          5 3
+--R               (- 60a b d  + 216a b c d  - 270a b c d + 120a b c )n
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   2 4 3 4       3 3 2       2 4 3  3
+--R               - 2a b c n  + (18a b c d - 30a b c )n
+--R             + 
+--R                     4 2   2       3 3 2        2 4 3  2
+--R               (- 72a b c d  + 198a b c d - 148a b c )n
+--R             + 
+--R                    5   3       4 2   2       3 3 2        2 4 3
+--R               (120a b d  - 432a b c d  + 540a b c d - 240a b c )n
+--R          *
+--R             x
+--R         + 
+--R             3 3 3 3         4 2 2       3 3 3  2
+--R           2a b c n  + (- 18a b c d + 30a b c )n
+--R         + 
+--R               5     2       4 2 2        3 3 3         6 3       5     2
+--R           (72a b c d  - 198a b c d + 148a b c )n - 120a d  + 432a b c d
+--R         + 
+--R                 4 2 2        3 3 3
+--R           - 540a b c d + 240a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 5      3 4      3 3       3 2       3        3          n + 6
+--R       (- d n  - 15d n  - 85d n  - 225d n  - 274d n - 120d )(b x + a)
+--R     + 
+--R                3         2  5         3          2  4          3           2  3
+--R           (5a d  - 3b c d )n  + (80a d  - 48b c d )n  + (475a d  - 285b c d )n
+--R         + 
+--R                   3           2  2           3           2           3
+--R           (1300a d  - 780b c d )n  + (1620a d  - 972b c d )n + 720a d
+--R         + 
+--R                     2
+--R           - 432b c d
+--R      *
+--R                  n + 5
+--R         (b x + a)
+--R     + 
+--R                 2 3            2     2 2   5
+--R           (- 10a d  + 12a b c d  - 3b c d)n
+--R         + 
+--R                  2 3             2      2 2   4
+--R           (- 170a d  + 204a b c d  - 51b c d)n
+--R         + 
+--R                   2 3              2       2 2   3
+--R           (- 1070a d  + 1284a b c d  - 321b c d)n
+--R         + 
+--R                   2 3              2       2 2   2
+--R           (- 3070a d  + 3684a b c d  - 921b c d)n
+--R         + 
+--R                   2 3              2        2 2           2 3              2
+--R           (- 3960a d  + 4752a b c d  - 1188b c d)n - 1800a d  + 2160a b c d
+--R         + 
+--R                 2 2
+--R           - 540b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R               3 3      2     2       2 2     3 3  5
+--R           (10a d  - 18a b c d  + 9a b c d - b c )n
+--R         + 
+--R                3 3       2     2         2 2       3 3  4
+--R           (180a d  - 324a b c d  + 162a b c d - 18b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3  3
+--R           (1210a d  - 2178a b c d  + 1089a b c d - 121b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3  2
+--R           (3720a d  - 6696a b c d  + 3348a b c d - 372b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3          3 3
+--R           (5080a d  - 9144a b c d  + 4572a b c d - 508b c )n + 2400a d
+--R         + 
+--R                  2     2          2 2        3 3
+--R           - 4320a b c d  + 2160a b c d - 240b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                4 3      3     2     2 2 2        3 3  5
+--R           (- 5a d  + 12a b c d  - 9a b c d + 2a b c )n
+--R         + 
+--R                 4 3       3     2       2 2 2         3 3  4
+--R           (- 95a d  + 228a b c d  - 171a b c d + 38a b c )n
+--R         + 
+--R                  4 3        3     2        2 2 2          3 3  3
+--R           (- 685a d  + 1644a b c d  - 1233a b c d + 274a b c )n
+--R         + 
+--R                   4 3        3     2        2 2 2          3 3  2
+--R           (- 2305a d  + 5532a b c d  - 4149a b c d + 922a b c )n
+--R         + 
+--R                   4 3        3     2        2 2 2           3 3          4 3
+--R           (- 3510a d  + 8424a b c d  - 6318a b c d + 1404a b c )n - 1800a d
+--R         + 
+--R                3     2        2 2 2          3 3
+--R           4320a b c d  - 3240a b c d + 720a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             5 3     4     2     3 2 2     2 3 3  5
+--R           (a d  - 3a b c d  + 3a b c d - a b c )n
+--R         + 
+--R               5 3      4     2      3 2 2       2 3 3  4
+--R           (20a d  - 60a b c d  + 60a b c d - 20a b c )n
+--R         + 
+--R                5 3       4     2       3 2 2        2 3 3  3
+--R           (155a d  - 465a b c d  + 465a b c d - 155a b c )n
+--R         + 
+--R                5 3        4     2        3 2 2        2 3 3  2
+--R           (580a d  - 1740a b c d  + 1740a b c d - 580a b c )n
+--R         + 
+--R                 5 3        4     2        3 2 2         2 3 3         5 3
+--R           (1044a d  - 3132a b c d  + 3132a b c d - 1044a b c )n + 720a d
+--R         + 
+--R                  4     2        3 2 2        2 3 3
+--R           - 2160a b c d  + 2160a b c d - 720a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                                    Type: Expression(Integer)
+--E  124
+
+--S  125 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  125
+
+)clear all
+
+--S  126 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 4       2 3     2   2    3           n
+--R   (1)  (d x  + 3c d x  + 3c d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  126
+
+--S  127 of 1092
+r0:=-a*(b*c-a*d)^3*(a+b*x)^(1+n)/(b^5*(1+n))+(b*c-4*a*d)*(b*c-a*d)^2*_
+     (a+b*x)^(2+n)/(b^5*(2+n))+3*d*(b*c-2*a*d)*(b*c-a*d)*(a+b*x)^(3+n)/_
+     (b^5*(3+n))+d^2*(3*b*c-4*a*d)*(a+b*x)^(4+n)/(b^5*(4+n))+_
+     d^3*(a+b*x)^(5+n)/(b^5*(5+n))
+--R 
+--R
+--R   (2)
+--R         3 4      3 3      3 2      3       3          n + 5
+--R       (d n  + 10d n  + 35d n  + 50d n + 24d )(b x + a)
+--R     + 
+--R                  3         2  4           3          2  3
+--R           (- 4a d  + 3b c d )n  + (- 44a d  + 33b c d )n
+--R         + 
+--R                    3           2  2            3           2           3
+--R           (- 164a d  + 123b c d )n  + (- 244a d  + 183b c d )n - 120a d
+--R         + 
+--R                  2
+--R           90b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R              2 3           2     2 2   4       2 3             2      2 2   3
+--R           (6a d  - 9a b c d  + 3b c d)n  + (72a d  - 108a b c d  + 36b c d)n
+--R         + 
+--R                2 3             2       2 2   2
+--R           (294a d  - 441a b c d  + 147b c d)n
+--R         + 
+--R              2 3             2       2 2          2 3             2       2 2
+--R         (468a d  - 702a b c d  + 234b c d)n + 240a d  - 360a b c d  + 120b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                3 3     2     2       2 2     3 3  4
+--R           (- 4a d  + 9a b c d  - 6a b c d + b c )n
+--R         + 
+--R                 3 3       2     2        2 2       3 3  3
+--R           (- 52a d  + 117a b c d  - 78a b c d + 13b c )n
+--R         + 
+--R                  3 3       2     2         2 2       3 3  2
+--R           (- 236a d  + 531a b c d  - 354a b c d + 59b c )n
+--R         + 
+--R                  3 3       2     2         2 2        3 3         3 3
+--R           (- 428a d  + 963a b c d  - 642a b c d + 107b c )n - 240a d
+--R         + 
+--R               2     2         2 2       3 3
+--R           540a b c d  - 360a b c d + 60b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             4 3     3     2     2 2 2       3 3  4
+--R           (a d  - 3a b c d  + 3a b c d - a b c )n
+--R         + 
+--R               4 3      3     2      2 2 2         3 3  3
+--R           (14a d  - 42a b c d  + 42a b c d - 14a b c )n
+--R         + 
+--R               4 3       3     2       2 2 2         3 3  2
+--R           (71a d  - 213a b c d  + 213a b c d - 71a b c )n
+--R         + 
+--R                4 3       3     2       2 2 2          3 3         4 3
+--R           (154a d  - 462a b c d  + 462a b c d - 154a b c )n + 120a d
+--R         + 
+--R                 3     2       2 2 2          3 3
+--R           - 360a b c d  + 360a b c d - 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  127
+
+--S  128 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           5 3 4      5 3 3      5 3 2      5 3       5 3  5
+--R         (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R       + 
+--R                 4 3     5   2  4        4 3      5   2  3
+--R             (a b d  + 3b c d )n  + (6a b d  + 33b c d )n
+--R           + 
+--R                   4 3       5   2  2        4 3       5   2        5   2
+--R             (11a b d  + 123b c d )n  + (6a b d  + 183b c d )n + 90b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  4   2     5 2   4        2 3 3        4   2      5 2   3
+--R             (3a b c d  + 3b c d)n  + (- 4a b d  + 24a b c d  + 36b c d)n
+--R           + 
+--R                   2 3 3        4   2       5 2   2
+--R             (- 12a b d  + 51a b c d  + 147b c d)n
+--R           + 
+--R                  2 3 3        4   2       5 2          5 2
+--R             (- 8a b d  + 30a b c d  + 234b c d)n + 120b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  4 2     5 3  4        2 3   2        4 2       5 3  3
+--R             (3a b c d + b c )n  + (- 9a b c d  + 30a b c d + 13b c )n
+--R           + 
+--R                 3 2 3      2 3   2        4 2       5 3  2
+--R             (12a b d  - 54a b c d  + 87a b c d + 59b c )n
+--R           + 
+--R                 3 2 3      2 3   2        4 2        5 3        5 3
+--R             (12a b d  - 45a b c d  + 60a b c d + 107b c )n + 60b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                4 3 4        2 3 2         4 3  3
+--R             a b c n  + (- 6a b c d + 12a b c )n
+--R           + 
+--R                 3 2   2      2 3 2         4 3  2
+--R             (18a b c d  - 54a b c d + 47a b c )n
+--R           + 
+--R                   4   3      3 2   2       2 3 2         4 3
+--R             (- 24a b d  + 90a b c d  - 120a b c d + 60a b c )n
+--R        *
+--R           x
+--R       + 
+--R            2 3 3 3      3 2 2       2 3 3  2
+--R         - a b c n  + (6a b c d - 12a b c )n
+--R       + 
+--R               4     2      3 2 2       2 3 3        5 3      4     2
+--R         (- 18a b c d  + 54a b c d - 47a b c )n + 24a d  - 90a b c d
+--R       + 
+--R             3 2 2       2 3 3
+--R         120a b c d - 60a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                         Type: Union(Expression(Integer),...)
+--E  128
+
+--S  129 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             5 3 4      5 3 3      5 3 2      5 3       5 3  5
+--R           (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R         + 
+--R                   4 3     5   2  4        4 3      5   2  3
+--R               (a b d  + 3b c d )n  + (6a b d  + 33b c d )n
+--R             + 
+--R                     4 3       5   2  2        4 3       5   2        5   2
+--R               (11a b d  + 123b c d )n  + (6a b d  + 183b c d )n + 90b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    4   2     5 2   4        2 3 3        4   2      5 2   3
+--R               (3a b c d  + 3b c d)n  + (- 4a b d  + 24a b c d  + 36b c d)n
+--R             + 
+--R                     2 3 3        4   2       5 2   2
+--R               (- 12a b d  + 51a b c d  + 147b c d)n
+--R             + 
+--R                    2 3 3        4   2       5 2          5 2
+--R               (- 8a b d  + 30a b c d  + 234b c d)n + 120b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    4 2     5 3  4        2 3   2        4 2       5 3  3
+--R               (3a b c d + b c )n  + (- 9a b c d  + 30a b c d + 13b c )n
+--R             + 
+--R                   3 2 3      2 3   2        4 2       5 3  2
+--R               (12a b d  - 54a b c d  + 87a b c d + 59b c )n
+--R             + 
+--R                   3 2 3      2 3   2        4 2        5 3        5 3
+--R               (12a b d  - 45a b c d  + 60a b c d + 107b c )n + 60b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  4 3 4        2 3 2         4 3  3
+--R               a b c n  + (- 6a b c d + 12a b c )n
+--R             + 
+--R                   3 2   2      2 3 2         4 3  2
+--R               (18a b c d  - 54a b c d + 47a b c )n
+--R             + 
+--R                     4   3      3 2   2       2 3 2         4 3
+--R               (- 24a b d  + 90a b c d  - 120a b c d + 60a b c )n
+--R          *
+--R             x
+--R         + 
+--R              2 3 3 3      3 2 2       2 3 3  2
+--R           - a b c n  + (6a b c d - 12a b c )n
+--R         + 
+--R                 4     2      3 2 2       2 3 3        5 3      4     2
+--R           (- 18a b c d  + 54a b c d - 47a b c )n + 24a d  - 90a b c d
+--R         + 
+--R               3 2 2       2 3 3
+--R           120a b c d - 60a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 4      3 3      3 2      3       3          n + 5
+--R       (- d n  - 10d n  - 35d n  - 50d n - 24d )(b x + a)
+--R     + 
+--R                3         2  4         3          2  3          3           2  2
+--R           (4a d  - 3b c d )n  + (44a d  - 33b c d )n  + (164a d  - 123b c d )n
+--R         + 
+--R                  3           2           3          2
+--R           (244a d  - 183b c d )n + 120a d  - 90b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                2 3           2     2 2   4
+--R           (- 6a d  + 9a b c d  - 3b c d)n
+--R         + 
+--R                 2 3             2      2 2   3
+--R           (- 72a d  + 108a b c d  - 36b c d)n
+--R         + 
+--R                  2 3             2       2 2   2
+--R           (- 294a d  + 441a b c d  - 147b c d)n
+--R         + 
+--R                  2 3             2       2 2          2 3             2
+--R           (- 468a d  + 702a b c d  - 234b c d)n - 240a d  + 360a b c d
+--R         + 
+--R                 2 2
+--R           - 120b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              3 3     2     2       2 2     3 3  4
+--R           (4a d  - 9a b c d  + 6a b c d - b c )n
+--R         + 
+--R               3 3       2     2        2 2       3 3  3
+--R           (52a d  - 117a b c d  + 78a b c d - 13b c )n
+--R         + 
+--R                3 3       2     2         2 2       3 3  2
+--R           (236a d  - 531a b c d  + 354a b c d - 59b c )n
+--R         + 
+--R                3 3       2     2         2 2        3 3         3 3
+--R           (428a d  - 963a b c d  + 642a b c d - 107b c )n + 240a d
+--R         + 
+--R                 2     2         2 2       3 3
+--R           - 540a b c d  + 360a b c d - 60b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               4 3     3     2     2 2 2       3 3  4
+--R           (- a d  + 3a b c d  - 3a b c d + a b c )n
+--R         + 
+--R                 4 3      3     2      2 2 2         3 3  3
+--R           (- 14a d  + 42a b c d  - 42a b c d + 14a b c )n
+--R         + 
+--R                 4 3       3     2       2 2 2         3 3  2
+--R           (- 71a d  + 213a b c d  - 213a b c d + 71a b c )n
+--R         + 
+--R                  4 3       3     2       2 2 2          3 3         4 3
+--R           (- 154a d  + 462a b c d  - 462a b c d + 154a b c )n - 120a d
+--R         + 
+--R               3     2       2 2 2          3 3
+--R           360a b c d  - 360a b c d + 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  129
+
+--S  130 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  130
+
+)clear all
+
+--S  131 of 1092
+t0:=(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3          n
+--R   (1)  (d x  + 3c d x  + 3c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  131
+
+--S  132 of 1092
+r0:=(b*c-a*d)^3*(a+b*x)^(1+n)/(b^4*(1+n))+3*d*(b*c-a*d)^2*_
+     (a+b*x)^(2+n)/(b^4*(2+n))+3*d^2*(b*c-a*d)*(a+b*x)^(3+n)/_
+     (b^4*(3+n))+d^3*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3          n + 4
+--R       (d n  + 6d n  + 11d n + 6d )(b x + a)
+--R     + 
+--R                  3         2  3           3          2  2
+--R           (- 3a d  + 3b c d )n  + (- 21a d  + 21b c d )n
+--R         + 
+--R                   3          2          3          2
+--R           (- 42a d  + 42b c d )n - 24a d  + 24b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2 3           2     2 2   3       2 3            2      2 2   2
+--R           (3a d  - 6a b c d  + 3b c d)n  + (24a d  - 48a b c d  + 24b c d)n
+--R         + 
+--R               2 3             2      2 2         2 3            2      2 2
+--R           (57a d  - 114a b c d  + 57b c d)n + 36a d  - 72a b c d  + 36b c d
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3 3     2     2       2 2     3 3  3
+--R           (- a d  + 3a b c d  - 3a b c d + b c )n
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 9a d  + 27a b c d  - 27a b c d + 9b c )n
+--R         + 
+--R                 3 3      2     2        2 2       3 3        3 3      2     2
+--R           (- 26a d  + 78a b c d  - 78a b c d + 26b c )n - 24a d  + 72a b c d
+--R         + 
+--R                  2 2       3 3
+--R           - 72a b c d + 24b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  132
+
+--S  133 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 3 3     4 3 2      4 3      4 3  4
+--R         (b d n  + 6b d n  + 11b d n + 6b d )x
+--R       + 
+--R                 3 3     4   2  3        3 3      4   2  2
+--R             (a b d  + 3b c d )n  + (3a b d  + 21b c d )n
+--R           + 
+--R                  3 3      4   2        4   2
+--R             (2a b d  + 42b c d )n + 24b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  3   2     4 2   3        2 2 3        3   2      4 2   2
+--R             (3a b c d  + 3b c d)n  + (- 3a b d  + 15a b c d  + 24b c d)n
+--R           + 
+--R                  2 2 3        3   2      4 2         4 2
+--R             (- 3a b d  + 12a b c d  + 57b c d)n + 36b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  3 2     4 3  3        2 2   2        3 2      4 3  2
+--R             (3a b c d + b c )n  + (- 6a b c d  + 21a b c d + 9b c )n
+--R           + 
+--R                3   3      2 2   2        3 2       4 3        4 3
+--R             (6a b d  - 24a b c d  + 36a b c d + 26b c )n + 24b c
+--R        *
+--R           x
+--R       + 
+--R            3 3 3        2 2 2        3 3  2
+--R         a b c n  + (- 3a b c d + 9a b c )n
+--R       + 
+--R            3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R         (6a b c d  - 21a b c d + 26a b c )n - 6a d  + 24a b c d  - 36a b c d
+--R       + 
+--R              3 3
+--R         24a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  133
+
+--S  134 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4 3 3     4 3 2      4 3      4 3  4
+--R           (b d n  + 6b d n  + 11b d n + 6b d )x
+--R         + 
+--R                   3 3     4   2  3        3 3      4   2  2
+--R               (a b d  + 3b c d )n  + (3a b d  + 21b c d )n
+--R             + 
+--R                    3 3      4   2        4   2
+--R               (2a b d  + 42b c d )n + 24b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    3   2     4 2   3        2 2 3        3   2      4 2   2
+--R               (3a b c d  + 3b c d)n  + (- 3a b d  + 15a b c d  + 24b c d)n
+--R             + 
+--R                    2 2 3        3   2      4 2         4 2
+--R               (- 3a b d  + 12a b c d  + 57b c d)n + 36b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    3 2     4 3  3        2 2   2        3 2      4 3  2
+--R               (3a b c d + b c )n  + (- 6a b c d  + 21a b c d + 9b c )n
+--R             + 
+--R                  3   3      2 2   2        3 2       4 3        4 3
+--R               (6a b d  - 24a b c d  + 36a b c d + 26b c )n + 24b c
+--R          *
+--R             x
+--R         + 
+--R              3 3 3        2 2 2        3 3  2
+--R           a b c n  + (- 3a b c d + 9a b c )n
+--R         + 
+--R              3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R           (6a b c d  - 21a b c d + 26a b c )n - 6a d  + 24a b c d  - 36a b c d
+--R         + 
+--R                3 3
+--R           24a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3          n + 4
+--R       (- d n  - 6d n  - 11d n - 6d )(b x + a)
+--R     + 
+--R                3         2  3         3          2  2         3          2
+--R           (3a d  - 3b c d )n  + (21a d  - 21b c d )n  + (42a d  - 42b c d )n
+--R         + 
+--R                3          2
+--R           24a d  - 24b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2 3           2     2 2   3
+--R           (- 3a d  + 6a b c d  - 3b c d)n
+--R         + 
+--R                 2 3            2      2 2   2
+--R           (- 24a d  + 48a b c d  - 24b c d)n
+--R         + 
+--R                 2 3             2      2 2         2 3            2      2 2
+--R           (- 57a d  + 114a b c d  - 57b c d)n - 36a d  + 72a b c d  - 36b c d
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3 3     2     2       2 2     3 3  3
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (9a d  - 27a b c d  + 27a b c d - 9b c )n
+--R         + 
+--R               3 3      2     2        2 2       3 3        3 3      2     2
+--R           (26a d  - 78a b c d  + 78a b c d - 26b c )n + 24a d  - 72a b c d
+--R         + 
+--R                2 2       3 3
+--R           72a b c d - 24b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  134
+
+--S  135 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  135
+
+)clear all
+
+--S  136 of 1092
+t0:=(a+b*x)^n*(c+d*x)^3/x
+--R 
+--R
+--R          3 3       2 2     2       3          n
+--R        (d x  + 3c d x  + 3c d x + c )(b x + a)
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  136
+
+--S  137 of 1092
+--r0:=3*c^2*d*(a+b*x)^(1+n)/(b*(1+n))-3*a*c*d^2*(a+b*x)^(1+n)/(b^2*(1+n))+_
+--     a^2*d^3*(a+b*x)^(1+n)/(b^3*(1+n))+3*c*d^2*(a+b*x)^(2+n)/(b^2*(2+n))-_
+--     2*a*d^3*(a+b*x)^(2+n)/(b^3*(2+n))+d^3*(a+b*x)^(3+n)/(b^3*(3+n))-_
+--     c^3*(a+b*x)^(1+n)*hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  137
+
+--S  138 of 1092
+--a0:=integrate(t0,x)
+--E  138
+
+--S  139 of 1092
+--m0:=a0-r0
+--E  139
+
+--S  140 of 1092
+--d0:=D(m0,x)
+--E  140
+
+)clear all
+
+--S  141 of 1092
+t0:=x^m*(c+d*x)/(a+b*x)
+--R 
+--R
+--R                  m
+--R        (d x + c)x
+--R   (1)  -----------
+--R          b x + a
+--R                                                    Type: Expression(Integer)
+--E  141
+
+--S  142 of 1092
+--r0:=d*x^(1+m)/(b*(1+m))+(b*c-a*d)*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*b*(1+m))
+--E  142
+
+--S  143 of 1092
+--a0:=integrate(t0,x)
+--E  143
+
+--S  144 of 1092
+--m0:=a0-r0
+--E  144
+
+--S  145 of 1092
+--d0:=D(m0,x)
+--E  145
+
+)clear all
+
+--S  146 of 1092
+t0:=x^4*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           5      4
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  146
+
+--S  147 of 1092
+r0:=-a^3*(b*c-a*d)*x/b^5+1/2*a^2*(b*c-a*d)*x^2/b^4-1/3*a*(b*c-a*d)*x^3/b^3+_
+     1/4*(b*c-a*d)*x^4/b^2+1/5*d*x^5/b+a^4*(b*c-a*d)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5       4                      5   5           4       5   4
+--R       (- 60a d + 60a b c)log(b x + a) + 12b d x  + (- 15a b d + 15b c)x
+--R     + 
+--R           2 3         4   3         3 2       2 3   2       4         3 2
+--R       (20a b d - 20a b c)x  + (- 30a b d + 30a b c)x  + (60a b d - 60a b c)x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  147
+
+--S  148 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5       4                      5   5           4       5   4
+--R       (- 60a d + 60a b c)log(b x + a) + 12b d x  + (- 15a b d + 15b c)x
+--R     + 
+--R           2 3         4   3         3 2       2 3   2       4         3 2
+--R       (20a b d - 20a b c)x  + (- 30a b d + 30a b c)x  + (60a b d - 60a b c)x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  148
+
+--S  149 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  149
+
+--S  150 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  150
+
+)clear all
+
+--S  151 of 1092
+t0:=x^3*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           4      3
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  151
+
+--S  152 of 1092
+r0:=a^2*(b*c-a*d)*x/b^4-1/2*a*(b*c-a*d)*x^2/b^3+1/3*(b*c-a*d)*x^3/b^2+_
+     1/4*d*x^4/b-a^3*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4       3                     4   4          3      4   3
+--R       (12a d - 12a b c)log(b x + a) + 3b d x  + (- 4a b d + 4b c)x
+--R     + 
+--R          2 2        3   2         3         2 2
+--R       (6a b d - 6a b c)x  + (- 12a b d + 12a b c)x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  152
+
+--S  153 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4       3                     4   4          3      4   3
+--R       (12a d - 12a b c)log(b x + a) + 3b d x  + (- 4a b d + 4b c)x
+--R     + 
+--R          2 2        3   2         3         2 2
+--R       (6a b d - 6a b c)x  + (- 12a b d + 12a b c)x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  153
+
+--S  154 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  154
+
+--S  155 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  155
+
+)clear all
+
+--S  156 of 1092
+t0:=x^2*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           3      2
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  156
+
+--S  157 of 1092
+r0:=-a*(b*c-a*d)*x/b^3+1/2*(b*c-a*d)*x^2/b^2+1/3*d*x^3/b+_
+     a^2*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3      2                     3   3          2      3   2
+--R       (- 6a d + 6a b c)log(b x + a) + 2b d x  + (- 3a b d + 3b c)x
+--R     + 
+--R          2          2
+--R       (6a b d - 6a b c)x
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  157
+
+--S  158 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3      2                     3   3          2      3   2
+--R       (- 6a d + 6a b c)log(b x + a) + 2b d x  + (- 3a b d + 3b c)x
+--R     + 
+--R          2          2
+--R       (6a b d - 6a b c)x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  158
+
+--S  159 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  159
+
+--S  160 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  160
+
+)clear all
+
+--S  161 of 1092
+t0:=x*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           2
+--R        d x  + c x
+--R   (1)  ----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  161
+
+--S  162 of 1092
+r0:=(b*c-a*d)*x/b^2+1/2*d*x^2/b-a*(b*c-a*d)*log(a+b*x)/b^3
+--R 
+--R
+--R           2                           2   2                 2
+--R        (2a d - 2a b c)log(b x + a) + b d x  + (- 2a b d + 2b c)x
+--R   (2)  ---------------------------------------------------------
+--R                                     3
+--R                                   2b
+--R                                                    Type: Expression(Integer)
+--E  162
+
+--S  163 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R           2                           2   2                 2
+--R        (2a d - 2a b c)log(b x + a) + b d x  + (- 2a b d + 2b c)x
+--R   (3)  ---------------------------------------------------------
+--R                                     3
+--R                                   2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  163
+
+--S  164 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  164
+
+--S  165 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  165
+
+)clear all
+
+--S  166 of 1092
+t0:=(c+d*x)/(a+b*x)
+--R 
+--R
+--R        d x + c
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  166
+
+--S  167 of 1092
+r0:=d*x/b+(b*c-a*d)*log(a+b*x)/b^2
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (2)  ---------------------------------
+--R                         2
+--R                        b
+--R                                                    Type: Expression(Integer)
+--E  167
+
+--S  168 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (3)  ---------------------------------
+--R                         2
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E  168
+
+--S  169 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  169
+
+--S  170 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  170
+
+)clear all
+
+--S  171 of 1092
+t0:=(c+d*x)/(x*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  ----------
+--R           2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  171
+
+--S  172 of 1092
+r0:=c*log(x)/a-(b*c-a*d)*log(a+b*x)/(a*b)
+--R 
+--R
+--R        (a d - b c)log(b x + a) + b c log(x)
+--R   (2)  ------------------------------------
+--R                         a b
+--R                                                    Type: Expression(Integer)
+--E  172
+
+--S  173 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (a d - b c)log(b x + a) + b c log(x)
+--R   (3)  ------------------------------------
+--R                         a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  173
+
+--S  174 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  174
+
+--S  175 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  175
+
+)clear all
+
+--S  176 of 1092
+t0:=(c+d*x)/(x^2*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           3      2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  176
+
+--S  177 of 1092
+r0:=-c/(a*x)-(b*c-a*d)*log(x)/a^2+(b*c-a*d)*log(a+b*x)/a^2
+--R 
+--R
+--R        (- a d + b c)x log(b x + a) + (a d - b c)x log(x) - a c
+--R   (2)  -------------------------------------------------------
+--R                                   2
+--R                                  a x
+--R                                                    Type: Expression(Integer)
+--E  177
+
+--S  178 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- a d + b c)x log(b x + a) + (a d - b c)x log(x) - a c
+--R   (3)  -------------------------------------------------------
+--R                                   2
+--R                                  a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  178
+
+--S  179 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  179
+
+--S  180 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  180
+
+)clear all
+
+--S  181 of 1092
+t0:=(c+d*x)/(x^3*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           4      3
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  181
+
+--S  182 of 1092
+r0:=-1/2*c/(a*x^2)+(b*c-a*d)/(a^2*x)+b*(b*c-a*d)*log(x)/a^3-_
+     b*(b*c-a*d)*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R                   2   2                             2   2
+--R       (2a b d - 2b c)x log(b x + a) + (- 2a b d + 2b c)x log(x)
+--R     + 
+--R            2                2
+--R       (- 2a d + 2a b c)x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                                    Type: Expression(Integer)
+--E  182
+
+--S  183 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   2   2                             2   2
+--R       (2a b d - 2b c)x log(b x + a) + (- 2a b d + 2b c)x log(x)
+--R     + 
+--R            2                2
+--R       (- 2a d + 2a b c)x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  183
+
+--S  184 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  184
+
+--S  185 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  185
+
+)clear all
+
+--S  186 of 1092
+t0:=(c+d*x)/(x^4*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           5      4
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  186
+
+--S  187 of 1092
+r0:=-1/3*c/(a*x^3)+1/2*(b*c-a*d)/(a^2*x^2)-b*(b*c-a*d)/(a^3*x)-_
+     b^2*(b*c-a*d)*log(x)/a^4+b^2*(b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R              2      3   3                    2      3   3
+--R       (- 6a b d + 6b c)x log(b x + a) + (6a b d - 6b c)x log(x)
+--R     + 
+--R          2          2   2        3      2          3
+--R       (6a b d - 6a b c)x  + (- 3a d + 3a b c)x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  187
+
+--S  188 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2      3   3                    2      3   3
+--R       (- 6a b d + 6b c)x log(b x + a) + (6a b d - 6b c)x log(x)
+--R     + 
+--R          2          2   2        3      2          3
+--R       (6a b d - 6a b c)x  + (- 3a d + 3a b c)x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  188
+
+--S  189 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  189
+
+--S  190 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  190
+
+)clear all
+
+--S  191 of 1092
+t0:=(c+d*x)/(x^5*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           6      5
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  191
+
+--S  192 of 1092
+r0:=-1/4*c/(a*x^4)+1/3*(b*c-a*d)/(a^2*x^3)-1/2*b*(b*c-a*d)/(a^3*x^2)+_
+     b^2*(b*c-a*d)/(a^4*x)+b^3*(b*c-a*d)*log(x)/a^5-_
+     b^3*(b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             3       4   4                       3       4   4
+--R       (12a b d - 12b c)x log(b x + a) + (- 12a b d + 12b c)x log(x)
+--R     + 
+--R           2 2         3   3      3        2 2   2        4      3          4
+--R     (- 12a b d + 12a b c)x  + (6a b d - 6a b c)x  + (- 4a d + 4a b c)x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  192
+
+--S  193 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3       4   4                       3       4   4
+--R       (12a b d - 12b c)x log(b x + a) + (- 12a b d + 12b c)x log(x)
+--R     + 
+--R           2 2         3   3      3        2 2   2        4      3          4
+--R     (- 12a b d + 12a b c)x  + (6a b d - 6a b c)x  + (- 4a d + 4a b c)x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  193
+
+--S  194 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  194
+
+--S  195 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  195
+
+)clear all
+
+--S  196 of 1092
+t0:=x^m*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R          2 2             2  m
+--R        (d x  + 2c d x + c )x
+--R   (1)  ----------------------
+--R                b x + a
+--R                                                    Type: Expression(Integer)
+--E  196
+
+--S  197 of 1092
+--r0:=-d*(a*d*(2+m)-b*c*(3+m))*x^(1+m)/(b^2*(1+m)*(2+m))+_
+--     d*x^(1+m)*(c+d*x)/(b*(2+m))+(b*c-a*d)^2*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*b^2*(1+m))
+--E  197
+
+--S  198 of 1092
+--a0:=integrate(t0,x)
+--E  198
+
+--S  199 of 1092
+--m0:=a0-r0
+--E  199
+
+--S  200 of 1092
+--d0:=D(m0,x)
+--E  200
+
+)clear all
+
+--S  201 of 1092
+t0:=x^4*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 6         5    2 4
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  201
+
+--S  202 of 1092
+r0:=-a^3*(b*c-a*d)^2*x/b^6+1/2*a^2*(b*c-a*d)^2*x^2/b^5-_
+     1/3*a*(b*c-a*d)^2*x^3/b^4+1/4*(b*c-a*d)^2*x^4/b^3+_
+     1/5*d*(2*b*c-a*d)*x^5/b^2+1/6*d^2*x^6/b+a^4*(b*c-a*d)^2*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R           6 2       5           4 2 2                   6 2 6
+--R       (60a d  - 120a b c d + 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 2      6     5       2 4 2        5         6 2  4
+--R       (- 12a b d  + 24b c d)x  + (15a b d  - 30a b c d + 15b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 20a b d  + 40a b c d - 20a b c )x
+--R     + 
+--R         4 2 2      3 3         2 4 2  2         5   2       4 2         3 3 2
+--R     (30a b d  - 60a b c d + 30a b c )x  + (- 60a b d  + 120a b c d - 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  202
+
+--S  203 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 2       5           4 2 2                   6 2 6
+--R       (60a d  - 120a b c d + 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 2      6     5       2 4 2        5         6 2  4
+--R       (- 12a b d  + 24b c d)x  + (15a b d  - 30a b c d + 15b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 20a b d  + 40a b c d - 20a b c )x
+--R     + 
+--R         4 2 2      3 3         2 4 2  2         5   2       4 2         3 3 2
+--R     (30a b d  - 60a b c d + 30a b c )x  + (- 60a b d  + 120a b c d - 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  203
+
+--S  204 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  204
+
+--S  205 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  205
+
+)clear all
+
+--S  206 of 1092
+t0:=x^3*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 5         4    2 3
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  206
+
+--S  207 of 1092
+r0:=a^2*(b*c-a*d)^2*x/b^5-1/2*a*(b*c-a*d)^2*x^2/b^4+_
+     1/3*(b*c-a*d)^2*x^3/b^3+1/4*d*(2*b*c-a*d)*x^4/b^2+1/5*d^2*x^5/b-_
+     a^3*(b*c-a*d)^2*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5 2       4           3 2 2                   5 2 5
+--R       (- 60a d  + 120a b c d - 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 2      5     4       2 3 2        4         5 2  3
+--R       (- 15a b d  + 30b c d)x  + (20a b d  - 40a b c d + 20b c )x
+--R     + 
+--R           3 2 2      2 3           4 2  2       4   2       3 2         2 3 2
+--R     (- 30a b d  + 60a b c d - 30a b c )x  + (60a b d  - 120a b c d + 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  207
+
+--S  208 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5 2       4           3 2 2                   5 2 5
+--R       (- 60a d  + 120a b c d - 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 2      5     4       2 3 2        4         5 2  3
+--R       (- 15a b d  + 30b c d)x  + (20a b d  - 40a b c d + 20b c )x
+--R     + 
+--R           3 2 2      2 3           4 2  2       4   2       3 2         2 3 2
+--R     (- 30a b d  + 60a b c d - 30a b c )x  + (60a b d  - 120a b c d + 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  208
+
+--S  209 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  209
+
+--S  210 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  210
+
+)clear all
+
+--S  211 of 1092
+t0:=x^2*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 4         3    2 2
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  211
+
+--S  212 of 1092
+r0:=-a*(b*c-a*d)^2*x/b^4+1/2*(b*c-a*d)^2*x^2/b^3+1/3*d*(2*b*c-a*d)*x^3/b^2+_
+     1/4*d^2*x^4/b+a^2*(b*c-a*d)^2*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4 2      3           2 2 2                  4 2 4
+--R       (12a d  - 24a b c d + 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 2     4     3      2 2 2        3        4 2  2
+--R       (- 4a b d  + 8b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R     + 
+--R             3   2      2 2           3 2
+--R       (- 12a b d  + 24a b c d - 12a b c )x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  212
+
+--S  213 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 2      3           2 2 2                  4 2 4
+--R       (12a d  - 24a b c d + 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 2     4     3      2 2 2        3        4 2  2
+--R       (- 4a b d  + 8b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R     + 
+--R             3   2      2 2           3 2
+--R       (- 12a b d  + 24a b c d - 12a b c )x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  213
+
+--S  214 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  214
+
+--S  215 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  215
+
+)clear all
+
+--S  216 of 1092
+t0:=x*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 3         2    2
+--R        d x  + 2c d x  + c x
+--R   (1)  --------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  216
+
+--S  217 of 1092
+r0:=(b*c-a*d)^2*x/b^3+1/2*d*(2*b*c-a*d)*x^2/b^2+1/3*d^2*x^3/b-_
+     a*(b*c-a*d)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3 2      2            2 2                  3 2 3
+--R       (- 6a d  + 12a b c d - 6a b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 2     3     2      2   2        2        3 2
+--R       (- 3a b d  + 6b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  217
+
+--S  218 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 2      2            2 2                  3 2 3
+--R       (- 6a d  + 12a b c d - 6a b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 2     3     2      2   2        2        3 2
+--R       (- 3a b d  + 6b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  218
+
+--S  219 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  219
+
+--S  220 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  220
+
+)clear all
+
+--S  221 of 1092
+t0:=(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R              b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  221
+
+--S  222 of 1092
+r0:=d*(b*c-a*d)*x/b^2+1/2*(c+d*x)^2/b+(b*c-a*d)^2*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R          2 2                2 2                 2 2 2            2     2
+--R       (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R     + 
+--R        2 2
+--R       b c
+--R  /
+--R       3
+--R     2b
+--R                                                    Type: Expression(Integer)
+--E  222
+
+--S  223 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      2 2                2 2                 2 2 2            2     2
+--R   (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R   -----------------------------------------------------------------------
+--R                                       3
+--R                                     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  223
+
+--S  224 of 1092
+m0:=a0-r0
+--R 
+--R
+--R           2
+--R          c
+--R   (4)  - --
+--R          2b
+--R                                                    Type: Expression(Integer)
+--E  224
+
+--S  225 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  225
+
+)clear all
+
+--S  226 of 1092
+t0:=(c+d*x)^2/(x*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               2
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  226
+
+--S  227 of 1092
+r0:=d^2*x/b+c^2*log(x)/a-(b*c-a*d)^2*log(a+b*x)/(a*b^2)
+--R 
+--R
+--R            2 2               2 2                 2 2              2
+--R        (- a d  + 2a b c d - b c )log(b x + a) + b c log(x) + a b d x
+--R   (2)  -------------------------------------------------------------
+--R                                        2
+--R                                     a b
+--R                                                    Type: Expression(Integer)
+--E  227
+
+--S  228 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2 2               2 2                 2 2              2
+--R        (- a d  + 2a b c d - b c )log(b x + a) + b c log(x) + a b d x
+--R   (3)  -------------------------------------------------------------
+--R                                        2
+--R                                     a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  228
+
+--S  229 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  229
+
+--S  230 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  230
+
+)clear all
+
+--S  231 of 1092
+t0:=(c+d*x)^2/(x^2*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               3      2
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  231
+
+--S  232 of 1092
+r0:=-c^2/(a*x)-c*(b*c-2*a*d)*log(x)/a^2+(b*c-a*d)^2*log(a+b*x)/(a^2*b)
+--R 
+--R
+--R   (2)
+--R     2 2               2 2                               2 2                 2
+--R   (a d  - 2a b c d + b c )x log(b x + a) + (2a b c d - b c )x log(x) - a b c
+--R   ---------------------------------------------------------------------------
+--R                                       2
+--R                                      a b x
+--R                                                    Type: Expression(Integer)
+--E  232
+
+--S  233 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     2 2               2 2                               2 2                 2
+--R   (a d  - 2a b c d + b c )x log(b x + a) + (2a b c d - b c )x log(x) - a b c
+--R   ---------------------------------------------------------------------------
+--R                                       2
+--R                                      a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  233
+
+--S  234 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  234
+
+--S  235 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  235
+
+)clear all
+
+--S  236 of 1092
+t0:=(c+d*x)^2/(x^3*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               4      3
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  236
+
+--S  237 of 1092
+r0:=-1/2*c^2/(a*x^2)+c*(b*c-2*a*d)/(a^2*x)+(b*c-a*d)^2*log(x)/a^3-_
+     (b*c-a*d)^2*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R            2 2                2 2  2
+--R       (- 2a d  + 4a b c d - 2b c )x log(b x + a)
+--R     + 
+--R          2 2                2 2  2              2            2      2 2
+--R       (2a d  - 4a b c d + 2b c )x log(x) + (- 4a c d + 2a b c )x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                                    Type: Expression(Integer)
+--E  237
+
+--S  238 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 2                2 2  2
+--R       (- 2a d  + 4a b c d - 2b c )x log(b x + a)
+--R     + 
+--R          2 2                2 2  2              2            2      2 2
+--R       (2a d  - 4a b c d + 2b c )x log(x) + (- 4a c d + 2a b c )x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  238
+
+--S  239 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  239
+
+--S  240 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  240
+
+)clear all
+
+--S  241 of 1092
+t0:=(c+d*x)^2/(x^4*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               5      4
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  241
+
+--S  242 of 1092
+r0:=-1/3*c^2/(a*x^3)+1/2*c*(b*c-2*a*d)/(a^2*x^2)-(b*c-a*d)^2/(a^3*x)-_
+     b*(b*c-a*d)^2*log(x)/a^4+b*(b*c-a*d)^2*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R          2   2        2        3 2  3
+--R       (6a b d  - 12a b c d + 6b c )x log(b x + a)
+--R     + 
+--R            2   2        2        3 2  3
+--R       (- 6a b d  + 12a b c d - 6b c )x log(x)
+--R     + 
+--R            3 2      2            2 2  2        3        2   2       3 2
+--R       (- 6a d  + 12a b c d - 6a b c )x  + (- 6a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  242
+
+--S  243 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2   2        2        3 2  3
+--R       (6a b d  - 12a b c d + 6b c )x log(b x + a)
+--R     + 
+--R            2   2        2        3 2  3
+--R       (- 6a b d  + 12a b c d - 6b c )x log(x)
+--R     + 
+--R            3 2      2            2 2  2        3        2   2       3 2
+--R       (- 6a d  + 12a b c d - 6a b c )x  + (- 6a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  243
+
+--S  244 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  244
+
+--S  245 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  245
+
+)clear all
+
+--S  246 of 1092
+t0:=(c+d*x)^2/(x^5*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               6      5
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  246
+
+--S  247 of 1092
+r0:=-1/4*c^2/(a*x^4)+1/3*c*(b*c-2*a*d)/(a^2*x^3)-_
+     1/2*(b*c-a*d)^2/(a^3*x^2)+b*(b*c-a*d)^2/(a^4*x)+_
+     b^2*(b*c-a*d)^2*log(x)/a^5-b^2*(b*c-a*d)^2*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             2 2 2        3         4 2  4
+--R       (- 12a b d  + 24a b c d - 12b c )x log(b x + a)
+--R     + 
+--R           2 2 2        3         4 2  4
+--R       (12a b d  - 24a b c d + 12b c )x log(x)
+--R     + 
+--R           3   2      2 2           3 2  3        4 2      3          2 2 2  2
+--R       (12a b d  - 24a b c d + 12a b c )x  + (- 6a d  + 12a b c d - 6a b c )x
+--R     + 
+--R            4        3   2       4 2
+--R       (- 8a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  247
+
+--S  248 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2        3         4 2  4
+--R       (- 12a b d  + 24a b c d - 12b c )x log(b x + a)
+--R     + 
+--R           2 2 2        3         4 2  4
+--R       (12a b d  - 24a b c d + 12b c )x log(x)
+--R     + 
+--R           3   2      2 2           3 2  3        4 2      3          2 2 2  2
+--R       (12a b d  - 24a b c d + 12a b c )x  + (- 6a d  + 12a b c d - 6a b c )x
+--R     + 
+--R            4        3   2       4 2
+--R       (- 8a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  248
+
+--S  249 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  249
+
+--S  250 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  250
+
+)clear all
+
+--S  251 of 1092
+t0:=(c+d*x)^2/(x^6*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               7      6
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  251
+
+--S  252 of 1092
+r0:=-1/5*c^2/(a*x^5)+1/4*c*(b*c-2*a*d)/(a^2*x^4)-_
+     1/3*(b*c-a*d)^2/(a^3*x^3)+1/2*b*(b*c-a*d)^2/(a^4*x^2)-_
+     b^2*(b*c-a*d)^2/(a^5*x)-b^3*(b*c-a*d)^2*log(x)/a^6+_
+     b^3*(b*c-a*d)^2*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R           2 3 2         4         5 2  5
+--R       (60a b d  - 120a b c d + 60b c )x log(b x + a)
+--R     + 
+--R             2 3 2         4         5 2  5
+--R       (- 60a b d  + 120a b c d - 60b c )x log(x)
+--R     + 
+--R             3 2 2       2 3           4 2  4
+--R       (- 60a b d  + 120a b c d - 60a b c )x
+--R     + 
+--R           4   2      3 2         2 3 2  3         5 2      4           3 2 2  2
+--R       (30a b d  - 60a b c d + 30a b c )x  + (- 20a d  + 40a b c d - 20a b c )x
+--R     + 
+--R             5         4   2        5 2
+--R       (- 30a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  252
+
+--S  253 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2 3 2         4         5 2  5
+--R       (60a b d  - 120a b c d + 60b c )x log(b x + a)
+--R     + 
+--R             2 3 2         4         5 2  5
+--R       (- 60a b d  + 120a b c d - 60b c )x log(x)
+--R     + 
+--R             3 2 2       2 3           4 2  4
+--R       (- 60a b d  + 120a b c d - 60a b c )x
+--R     + 
+--R           4   2      3 2         2 3 2  3         5 2      4           3 2 2  2
+--R       (30a b d  - 60a b c d + 30a b c )x  + (- 20a d  + 40a b c d - 20a b c )x
+--R     + 
+--R             5         4   2        5 2
+--R       (- 30a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  253
+
+--S  254 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  254
+
+--S  255 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  255
+
+)clear all
+
+--S  256 of 1092
+t0:=x^m*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R          3 3       2 2     2       3  m
+--R        (d x  + 3c d x  + 3c d x + c )x
+--R   (1)  --------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  256
+
+--S  257 of 1092
+--r0:=d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^(1+m)/(b^3*(1+m))+_
+--     d^2*(3*b*c-a*d)*x^(2+m)/(b^2*(2+m))+d^3*x^(3+m)/(b*(3+m))+_
+--     (b*c-a*d)^3*x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a*b^3*(1+m))
+--E  257
+
+--S  258 of 1092
+--a0:=integrate(t0,x)
+--E  258
+
+--S  259 of 1092
+--m0:=a0-r0
+--E  259
+
+--S  260 of 1092
+--d0:=D(m0,x)
+--E  260
+
+)clear all
+
+--S  261 of 1092
+t0:=x^4*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 7       2 6     2   5    3 4
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  261
+
+--S  262 of 1092
+r0:=-a^3*(b*c-a*d)^3*x/b^7+1/2*a^2*(b*c-a*d)^3*x^2/b^6-1/3*a*(b*c-a*d)^3*_
+     x^3/b^5+1/4*(b*c-a*d)^3*x^4/b^4+1/5*d*(3*b^2*c^2-_
+     3*a*b*c*d+a^2*d^2)*x^5/b^3+1/6*d^2*(3*b*c-a*d)*x^6/b^2+_
+     1/7*d^3*x^7/b+a^4*(b*c-a*d)^3*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R              7 3        6     2        5 2 2        4 3 3
+--R       (- 420a d  + 1260a b c d  - 1260a b c d + 420a b c )log(b x + a)
+--R     + 
+--R          7 3 7           6 3       7   2  6
+--R       60b d x  + (- 70a b d  + 210b c d )x
+--R     + 
+--R           2 5 3         6   2       7 2   5
+--R       (84a b d  - 252a b c d  + 252b c d)x
+--R     + 
+--R              3 4 3       2 5   2         6 2        7 3  4
+--R       (- 105a b d  + 315a b c d  - 315a b c d + 105b c )x
+--R     + 
+--R            4 3 3       3 4   2       2 5 2          6 3  3
+--R       (140a b d  - 420a b c d  + 420a b c d - 140a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 630a b c d  - 630a b c d + 210a b c )x
+--R     + 
+--R            6   3        5 2   2        4 3 2        3 4 3
+--R       (420a b d  - 1260a b c d  + 1260a b c d - 420a b c )x
+--R  /
+--R         8
+--R     420b
+--R                                                    Type: Expression(Integer)
+--E  262
+
+--S  263 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              7 3        6     2        5 2 2        4 3 3
+--R       (- 420a d  + 1260a b c d  - 1260a b c d + 420a b c )log(b x + a)
+--R     + 
+--R          7 3 7           6 3       7   2  6
+--R       60b d x  + (- 70a b d  + 210b c d )x
+--R     + 
+--R           2 5 3         6   2       7 2   5
+--R       (84a b d  - 252a b c d  + 252b c d)x
+--R     + 
+--R              3 4 3       2 5   2         6 2        7 3  4
+--R       (- 105a b d  + 315a b c d  - 315a b c d + 105b c )x
+--R     + 
+--R            4 3 3       3 4   2       2 5 2          6 3  3
+--R       (140a b d  - 420a b c d  + 420a b c d - 140a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 630a b c d  - 630a b c d + 210a b c )x
+--R     + 
+--R            6   3        5 2   2        4 3 2        3 4 3
+--R       (420a b d  - 1260a b c d  + 1260a b c d - 420a b c )x
+--R  /
+--R         8
+--R     420b
+--R                                         Type: Union(Expression(Integer),...)
+--E  263
+
+--S  264 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  264
+
+--S  265 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  265
+
+)clear all
+
+--S  266 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  266
+
+--S  267 of 1092
+r0:=a^2*(b*c-a*d)^3*x/b^6-1/2*a*(b*c-a*d)^3*x^2/b^5+1/3*(b*c-a*d)^3*x^3/b^4+_
+     1/4*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^4/b^3+_
+     1/5*d^2*(3*b*c-a*d)*x^5/b^2+1/6*d^3*x^6/b-a^3*(b*c-a*d)^3*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R           6 3       5     2       4 2 2       3 3 3                   6 3 6
+--R       (60a d  - 180a b c d  + 180a b c d - 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       (- 12a b d  + 36b c d )x  + (15a b d  - 45a b c d  + 45b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 60a b c d  - 60a b c d + 20b c )x
+--R     + 
+--R           4 2 3      3 3   2      2 4 2         5 3  2
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             5   3       4 2   2       3 3 2       2 4 3
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  267
+
+--S  268 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 3       5     2       4 2 2       3 3 3                   6 3 6
+--R       (60a d  - 180a b c d  + 180a b c d - 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       (- 12a b d  + 36b c d )x  + (15a b d  - 45a b c d  + 45b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 60a b c d  - 60a b c d + 20b c )x
+--R     + 
+--R           4 2 3      3 3   2      2 4 2         5 3  2
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             5   3       4 2   2       3 3 2       2 4 3
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  268
+
+--S  269 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  269
+
+--S  270 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  270
+
+)clear all
+
+--S  271 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  271
+
+--S  272 of 1092
+r0:=-a*(b*c-a*d)^3*x/b^5+1/2*(b*c-a*d)^3*x^2/b^4+_
+     1/3*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^3/b^3+_
+     1/4*d^2*(3*b*c-a*d)*x^4/b^2+1/5*d^3*x^5/b+a^2*(b*c-a*d)^3*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5 3       4     2       3 2 2       2 3 3                   5 3 5
+--R       (- 60a d  + 180a b c d  - 180a b c d + 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       (- 15a b d  + 45b c d )x  + (20a b d  - 60a b c d  + 60b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 90a b c d  - 90a b c d + 30b c )x
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  272
+
+--S  273 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5 3       4     2       3 2 2       2 3 3                   5 3 5
+--R       (- 60a d  + 180a b c d  - 180a b c d + 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       (- 15a b d  + 45b c d )x  + (20a b d  - 60a b c d  + 60b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 90a b c d  - 90a b c d + 30b c )x
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  273
+
+--S  274 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  274
+
+--S  275 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  275
+
+)clear all
+
+--S  276 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  276
+
+--S  277 of 1092
+r0:=(b*c-a*d)^3*x/b^4+1/2*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^2/b^3+_
+     1/3*d^2*(3*b*c-a*d)*x^3/b^2+1/4*d^3*x^4/b-a*(b*c-a*d)^3*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4 3      3     2      2 2 2         3 3                  4 3 4
+--R       (12a d  - 36a b c d  + 36a b c d - 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 3      4   2  3      2 2 3        3   2      4 2   2
+--R       (- 4a b d  + 12b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R     + 
+--R             3   3      2 2   2        3 2       4 3
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  277
+
+--S  278 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 3      3     2      2 2 2         3 3                  4 3 4
+--R       (12a d  - 36a b c d  + 36a b c d - 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 3      4   2  3      2 2 3        3   2      4 2   2
+--R       (- 4a b d  + 12b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R     + 
+--R             3   3      2 2   2        3 2       4 3
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  278
+
+--S  279 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  279
+
+--S  280 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  280
+
+)clear all
+
+--S  281 of 1092
+t0:=(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                   b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  281
+
+--S  282 of 1092
+r0:=d*(b*c-a*d)^2*x/b^3+1/2*(b*c-a*d)*(c+d*x)^2/b^2+_
+     1/3*(c+d*x)^3/b+(b*c-a*d)^3*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2          2 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x - 3a b c d
+--R     + 
+--R         3 3
+--R       5b c
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  282
+
+--S  283 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  283
+
+--S  284 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            2        3
+--R        3a c d - 5b c
+--R   (4)  --------------
+--R                2
+--R              6b
+--R                                                    Type: Expression(Integer)
+--E  284
+
+--S  285 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  285
+
+)clear all
+
+--S  286 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    2
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  286
+
+--S  287 of 1092
+r0:=d^2*(3*b*c-a*d)*x/b^2+1/2*d^3*x^2/b+_
+     c^3*log(x)/a-(b*c-a*d)^3*log(a+b*x)/(a*b^3)
+--R 
+--R
+--R   (2)
+--R          3 3     2     2       2 2      3 3                  3 3
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )log(b x + a) + 2b c log(x)
+--R     + 
+--R          2 3 2        2   3       2   2
+--R       a b d x  + (- 2a b d  + 6a b c d )x
+--R  /
+--R         3
+--R     2a b
+--R                                                    Type: Expression(Integer)
+--E  287
+
+--S  288 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          3 3     2     2       2 2      3 3                  3 3
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )log(b x + a) + 2b c log(x)
+--R     + 
+--R          2 3 2        2   3       2   2
+--R       a b d x  + (- 2a b d  + 6a b c d )x
+--R  /
+--R         3
+--R     2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  288
+
+--S  289 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  289
+
+--S  290 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  290
+
+)clear all
+
+--S  291 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    3      2
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  291
+
+--S  292 of 1092
+r0:=-c^3/(a*x)+d^3*x/b-c^2*(b*c-3*a*d)*log(x)/a^2+_
+     (b*c-a*d)^3*log(a+b*x)/(a^2*b^2)
+--R 
+--R
+--R   (2)
+--R           3 3     2     2       2 2     3 3
+--R       (- a d  + 3a b c d  - 3a b c d + b c )x log(b x + a)
+--R     + 
+--R            2 2     3 3             2   3 2      2 3
+--R       (3a b c d - b c )x log(x) + a b d x  - a b c
+--R  /
+--R      2 2
+--R     a b x
+--R                                                    Type: Expression(Integer)
+--E  292
+
+--S  293 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3     2     2       2 2     3 3
+--R       (- a d  + 3a b c d  - 3a b c d + b c )x log(b x + a)
+--R     + 
+--R            2 2     3 3             2   3 2      2 3
+--R       (3a b c d - b c )x log(x) + a b d x  - a b c
+--R  /
+--R      2 2
+--R     a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  293
+
+--S  294 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  294
+
+--S  295 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  295
+
+)clear all
+
+--S  296 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    4      3
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  296
+
+--S  297 of 1092
+r0:=-1/2*c^3/(a*x^2)+c^2*(b*c-3*a*d)/(a^2*x)+_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)*log(x)/a^3-(b*c-a*d)^3*log(a+b*x)/(a^3*b)
+--R 
+--R
+--R   (2)
+--R          3 3     2     2       2 2      3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )x log(b x + a)
+--R     + 
+--R        2     2       2 2      3 3  2              2   2        2 3      2   3
+--R     (6a b c d  - 6a b c d + 2b c )x log(x) + (- 6a b c d + 2a b c )x - a b c
+--R  /
+--R       3   2
+--R     2a b x
+--R                                                    Type: Expression(Integer)
+--E  297
+
+--S  298 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          3 3     2     2       2 2      3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )x log(b x + a)
+--R     + 
+--R        2     2       2 2      3 3  2              2   2        2 3      2   3
+--R     (6a b c d  - 6a b c d + 2b c )x log(x) + (- 6a b c d + 2a b c )x - a b c
+--R  /
+--R       3   2
+--R     2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  298
+
+--S  299 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  299
+
+--S  300 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  300
+
+)clear all
+
+--S  301 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    5      4
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  301
+
+--S  302 of 1092
+r0:=-1/3*c^3/(a*x^3)+1/2*c^2*(b*c-3*a*d)/(a^2*x^2)-_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x)-_
+     (b*c-a*d)^3*log(x)/a^4+(b*c-a*d)^3*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R            3 3      2     2        2 2      3 3  3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )x log(b x + a)
+--R     + 
+--R          3 3      2     2        2 2      3 3  3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )x log(x)
+--R     + 
+--R             3   2      2   2        2 3  2        3 2      2   3       3 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 9a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  302
+
+--S  303 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3      2     2        2 2      3 3  3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )x log(b x + a)
+--R     + 
+--R          3 3      2     2        2 2      3 3  3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )x log(x)
+--R     + 
+--R             3   2      2   2        2 3  2        3 2      2   3       3 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 9a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  303
+
+--S  304 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  304
+
+--S  305 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  305
+
+)clear all
+
+--S  306 of 1092
+t0:=(c+d*x)^3/(x^5*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    6      5
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  306
+
+--S  307 of 1092
+r0:=-1/4*c^3/(a*x^4)+1/3*c^2*(b*c-3*a*d)/(a^2*x^3)-_
+     1/2*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^2)+_
+     (b*c-a*d)^3/(a^4*x)+b*(b*c-a*d)^3*log(x)/a^5-b*(b*c-a*d)^3*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R           3   3      2 2   2        3 2       4 3  4
+--R       (12a b d  - 36a b c d  + 36a b c d - 12b c )x log(b x + a)
+--R     + 
+--R             3   3      2 2   2        3 2       4 3  4
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x log(x)
+--R     + 
+--R             4 3      3     2      2 2 2         3 3  3
+--R       (- 12a d  + 36a b c d  - 36a b c d + 12a b c )x
+--R     + 
+--R             4   2      3   2      2 2 3  2         4 2      3   3       4 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 12a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  307
+
+--S  308 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3   3      2 2   2        3 2       4 3  4
+--R       (12a b d  - 36a b c d  + 36a b c d - 12b c )x log(b x + a)
+--R     + 
+--R             3   3      2 2   2        3 2       4 3  4
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x log(x)
+--R     + 
+--R             4 3      3     2      2 2 2         3 3  3
+--R       (- 12a d  + 36a b c d  - 36a b c d + 12a b c )x
+--R     + 
+--R             4   2      3   2      2 2 3  2         4 2      3   3       4 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 12a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  308
+
+--S  309 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  309
+
+--S  310 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  310
+
+)clear all
+
+--S  311 of 1092
+t0:=(c+d*x)^3/(x^6*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    7      6
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  311
+
+--S  312 of 1092
+r0:=-1/5*c^3/(a*x^5)+1/4*c^2*(b*c-3*a*d)/(a^2*x^4)-_
+     1/3*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^3)+_
+     1/2*(b*c-a*d)^3/(a^4*x^2)-b*(b*c-a*d)^3/(a^5*x)-_
+     b^2*(b*c-a*d)^3*log(x)/a^6+b^2*(b*c-a*d)^3*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R             3 2 3       2 3   2         4 2       5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(b x + a)
+--R     + 
+--R           3 2 3       2 3   2         4 2       5 3  5
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(x)
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3  4
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 30a d  + 90a b c d  - 90a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2       4   3        5 3
+--R       (- 60a c d  + 60a b c d - 20a b c )x  + (- 45a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  312
+
+--S  313 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3 2 3       2 3   2         4 2       5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(b x + a)
+--R     + 
+--R           3 2 3       2 3   2         4 2       5 3  5
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(x)
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3  4
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 30a d  + 90a b c d  - 90a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2       4   3        5 3
+--R       (- 60a c d  + 60a b c d - 20a b c )x  + (- 45a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  313
+
+--S  314 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  314
+
+--S  315 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  315
+
+)clear all
+
+--S  316 of 1092
+t0:=(c+d*x)^3/(x^7*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    8      7
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  316
+
+--S  317 of 1092
+r0:=-1/6*c^3/(a*x^6)+1/5*c^2*(b*c-3*a*d)/(a^2*x^5)-_
+     1/4*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^4)+_
+     1/3*(b*c-a*d)^3/(a^4*x^3)-1/2*b*(b*c-a*d)^3/(a^5*x^2)+_
+     b^2*(b*c-a*d)^3/(a^6*x)+b^3*(b*c-a*d)^3*log(x)/a^7-_
+     b^3*(b*c-a*d)^3*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R           3 3 3       2 4   2         5 2       6 3  6
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(b x + a)
+--R     + 
+--R             3 3 3       2 4   2         5 2       6 3  6
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(x)
+--R     + 
+--R             4 2 3       3 3   2       2 4 2         5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R     + 
+--R           5   3      4 2   2      3 3 2       2 4 3  4
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 20a d  + 60a b c d  - 60a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2       5   3        6 3
+--R       (- 45a c d  + 45a b c d - 15a b c )x  + (- 36a c d + 12a b c )x - 10a c
+--R  /
+--R        7 6
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  317
+
+--S  318 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3 3       2 4   2         5 2       6 3  6
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(b x + a)
+--R     + 
+--R             3 3 3       2 4   2         5 2       6 3  6
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(x)
+--R     + 
+--R             4 2 3       3 3   2       2 4 2         5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R     + 
+--R           5   3      4 2   2      3 3 2       2 4 3  4
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 20a d  + 60a b c d  - 60a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2       5   3        6 3
+--R       (- 45a c d  + 45a b c d - 15a b c )x  + (- 36a c d + 12a b c )x - 10a c
+--R  /
+--R        7 6
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  318
+
+--S  319 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  319
+
+--S  320 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  320
+
+)clear all
+
+--S  321 of 1092
+t0:=x^m/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      m
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                                    Type: Expression(Integer)
+--E  321
+
+--S  322 of 1092
+--r0:=b*x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)*(1+m))-_
+--     d*x^(1+m)*hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)*(1+m))
+--E  322
+
+--S  323 of 1092
+--a0:=integrate(t0,x)
+--E  323
+
+--S  324 of 1092
+--m0:=a0-r0
+--E  324
+
+--S  325 of 1092
+--d0:=D(m0,x)
+--E  325
+
+)clear all
+
+--S  326 of 1092
+t0:=x^5/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      5
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  326
+
+--S  327 of 1092
+r0:=-(b*c+a*d)*(b^2*c^2+a^2*d^2)*x/(b^4*d^4)+_
+     1/2*(b^2*c^2+a*b*c*d+a^2*d^2)*x^2/(b^3*d^3)-_
+     1/3*(b*c+a*d)*x^3/(b^2*d^2)+1/4*x^4/(b*d)-_
+     a^5*log(a+b*x)/(b^5*(b*c-a*d))+c^5*log(c+d*x)/(d^5*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R            5 5                  5 5                    4 5     5   4  4
+--R       - 12b c log(d x + c) + 12a d log(b x + a) + (3a b d  - 3b c d )x
+--R     + 
+--R          2 3 5     5 2 3  3      3 2 5     5 3 2  2         4   5      5 4
+--R     (- 4a b d  + 4b c d )x  + (6a b d  - 6b c d )x  + (- 12a b d  + 12b c d)x
+--R  /
+--R          5 6      6   5
+--R     12a b d  - 12b c d
+--R                                                    Type: Expression(Integer)
+--E  327
+
+--S  328 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5 5                  5 5                    4 5     5   4  4
+--R       - 12b c log(d x + c) + 12a d log(b x + a) + (3a b d  - 3b c d )x
+--R     + 
+--R          2 3 5     5 2 3  3      3 2 5     5 3 2  2         4   5      5 4
+--R     (- 4a b d  + 4b c d )x  + (6a b d  - 6b c d )x  + (- 12a b d  + 12b c d)x
+--R  /
+--R          5 6      6   5
+--R     12a b d  - 12b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  328
+
+--S  329 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  329
+
+--S  330 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  330
+
+)clear all
+
+--S  331 of 1092
+t0:=x^4/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      4
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  331
+
+--S  332 of 1092
+r0:=(b^2*c^2+a*b*c*d+a^2*d^2)*x/(b^3*d^3)-_
+     1/2*(b*c+a*d)*x^2/(b^2*d^2)+1/3*x^3/(b*d)+_
+     a^4*log(a+b*x)/(b^4*(b*c-a*d))-c^4*log(c+d*x)/(d^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R         4 4                 4 4                    3 4     4   3  3
+--R       6b c log(d x + c) - 6a d log(b x + a) + (2a b d  - 2b c d )x
+--R     + 
+--R            2 2 4     4 2 2  2      3   4     4 3
+--R       (- 3a b d  + 3b c d )x  + (6a b d  - 6b c d)x
+--R  /
+--R         4 5     5   4
+--R     6a b d  - 6b c d
+--R                                                    Type: Expression(Integer)
+--E  332
+
+--S  333 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R         4 4                 4 4                    3 4     4   3  3
+--R       6b c log(d x + c) - 6a d log(b x + a) + (2a b d  - 2b c d )x
+--R     + 
+--R            2 2 4     4 2 2  2      3   4     4 3
+--R       (- 3a b d  + 3b c d )x  + (6a b d  - 6b c d)x
+--R  /
+--R         4 5     5   4
+--R     6a b d  - 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  333
+
+--S  334 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  334
+
+--S  335 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  335
+
+)clear all
+
+--S  336 of 1092
+t0:=x^3/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      3
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  336
+
+--S  337 of 1092
+r0:=-(b*c+a*d)*x/(b^2*d^2)+1/2*x^2/(b*d)-a^3*log(a+b*x)/(b^3*(b*c-a*d))+_
+     c^3*log(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R           3 3                 3 3                   2 3    3   2  2
+--R       - 2b c log(d x + c) + 2a d log(b x + a) + (a b d  - b c d )x
+--R     + 
+--R            2   3     3 2
+--R       (- 2a b d  + 2b c d)x
+--R  /
+--R         3 4     4   3
+--R     2a b d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  337
+
+--S  338 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3                 3 3                   2 3    3   2  2
+--R       - 2b c log(d x + c) + 2a d log(b x + a) + (a b d  - b c d )x
+--R     + 
+--R            2   3     3 2
+--R       (- 2a b d  + 2b c d)x
+--R  /
+--R         3 4     4   3
+--R     2a b d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  338
+
+--S  339 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  339
+
+--S  340 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  340
+
+)clear all
+
+--S  341 of 1092
+t0:=x^2/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      2
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  341
+
+--S  342 of 1092
+r0:=x/(b*d)+a^2*log(a+b*x)/(b^2*(b*c-a*d))-c^2*log(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R         2 2                2 2                     2    2
+--R        b c log(d x + c) - a d log(b x + a) + (a b d  - b c d)x
+--R   (2)  -------------------------------------------------------
+--R                               2 3    3   2
+--R                            a b d  - b c d
+--R                                                    Type: Expression(Integer)
+--E  342
+
+--S  343 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R         2 2                2 2                     2    2
+--R        b c log(d x + c) - a d log(b x + a) + (a b d  - b c d)x
+--R   (3)  -------------------------------------------------------
+--R                               2 3    3   2
+--R                            a b d  - b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  343
+
+--S  344 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  344
+
+--S  345 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  345
+
+)clear all
+
+--S  346 of 1092
+t0:=x/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  346
+
+--S  347 of 1092
+r0:=-a*log(a+b*x)/(b*(b*c-a*d))+c*log(c+d*x)/(d*(b*c-a*d))
+--R 
+--R
+--R        - b c log(d x + c) + a d log(b x + a)
+--R   (2)  -------------------------------------
+--R                         2    2
+--R                    a b d  - b c d
+--R                                                    Type: Expression(Integer)
+--E  347
+
+--S  348 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        - b c log(d x + c) + a d log(b x + a)
+--R   (3)  -------------------------------------
+--R                         2    2
+--R                    a b d  - b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  348
+
+--S  349 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  349
+
+--S  350 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  350
+
+)clear all
+
+--S  351 of 1092
+t0:=1/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  351
+
+--S  352 of 1092
+r0:=log(a+b*x)/(b*c-a*d)-log(c+d*x)/(b*c-a*d)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (2)  ---------------------------
+--R                 a d - b c
+--R                                                    Type: Expression(Integer)
+--E  352
+
+--S  353 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (3)  ---------------------------
+--R                 a d - b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  353
+
+--S  354 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  354
+
+--S  355 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  355
+
+)clear all
+
+--S  356 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R             3               2
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  356
+
+--S  357 of 1092
+r0:=log(x)/(a*c)-b*log(a+b*x)/(a*(b*c-a*d))+d*log(c+d*x)/(c*(b*c-a*d))
+--R 
+--R
+--R        - a d log(d x + c) + b c log(b x + a) + (a d - b c)log(x)
+--R   (2)  ---------------------------------------------------------
+--R                               2           2
+--R                              a c d - a b c
+--R                                                    Type: Expression(Integer)
+--E  357
+
+--S  358 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        - a d log(d x + c) + b c log(b x + a) + (a d - b c)log(x)
+--R   (3)  ---------------------------------------------------------
+--R                               2           2
+--R                              a c d - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  358
+
+--S  359 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  359
+
+--S  360 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  360
+
+)clear all
+
+--S  361 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             4               3        2
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  361
+
+--S  362 of 1092
+r0:=(-1)/(a*c*x)-(b*c+a*d)*log(x)/(a^2*c^2)+_
+     b^2*log(a+b*x)/(a^2*(b*c-a*d))-d^2*log(c+d*x)/(c^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R        2 2                  2 2                     2 2    2 2             2
+--R       a d x log(d x + c) - b c x log(b x + a) + (- a d  + b c )x log(x) - a c d
+--R     + 
+--R            2
+--R       a b c
+--R  /
+--R       3 2     2   3
+--R     (a c d - a b c )x
+--R                                                    Type: Expression(Integer)
+--E  362
+
+--S  363 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R        2 2                  2 2                     2 2    2 2             2
+--R       a d x log(d x + c) - b c x log(b x + a) + (- a d  + b c )x log(x) - a c d
+--R     + 
+--R            2
+--R       a b c
+--R  /
+--R       3 2     2   3
+--R     (a c d - a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  363
+
+--S  364 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  364
+
+--S  365 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  365
+
+)clear all
+
+--S  366 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             5               4        3
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  366
+
+--S  367 of 1092
+r0:=(-1/2)/(a*c*x^2)+(b*c+a*d)/(a^2*c^2*x)+(b^2*c^2+a*b*c*d+a^2*d^2)*_
+     log(x)/(a^3*c^3)-b^3*log(a+b*x)/(a^3*(b*c-a*d))+_
+     d^3*log(c+d*x)/(c^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R           3 3 2                 3 3 2                  3 3     3 3  2
+--R       - 2a d x log(d x + c) + 2b c x log(b x + a) + (2a d  - 2b c )x log(x)
+--R     + 
+--R          3   2       2 3      3 2     2   3
+--R       (2a c d  - 2a b c )x - a c d + a b c
+--R  /
+--R        4 3      3   4  2
+--R     (2a c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  367
+
+--S  368 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3 2                 3 3 2                  3 3     3 3  2
+--R       - 2a d x log(d x + c) + 2b c x log(b x + a) + (2a d  - 2b c )x log(x)
+--R     + 
+--R          3   2       2 3      3 2     2   3
+--R       (2a c d  - 2a b c )x - a c d + a b c
+--R  /
+--R        4 3      3   4  2
+--R     (2a c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  368
+
+--S  369 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  369
+
+--S  370 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  370
+
+)clear all
+
+--S  371 of 1092
+t0:=1/(x^4*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             6               5        4
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  371
+
+--S  372 of 1092
+r0:=(-1/3)/(a*c*x^3)+1/2*(b*c+a*d)/(a^2*c^2*x^2)+_
+     (-b^2*c^2-a*b*c*d-a^2*d^2)/(a^3*c^3*x)-(b*c+a*d)*(b^2*c^2+a^2*d^2)*_
+     log(x)/(a^4*c^4)+b^4*log(a+b*x)/(a^4*(b*c-a*d))-_
+     d^4*log(c+d*x)/(c^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R         4 4 3                 4 4 3                    4 4     4 4  3
+--R       6a d x log(d x + c) - 6b c x log(b x + a) + (- 6a d  + 6b c )x log(x)
+--R     + 
+--R            4   3       3 4  2      4 2 2     2 2 4       4 3      3   4
+--R       (- 6a c d  + 6a b c )x  + (3a c d  - 3a b c )x - 2a c d + 2a b c
+--R  /
+--R        5 4      4   5  3
+--R     (6a c d - 6a b c )x
+--R                                                    Type: Expression(Integer)
+--E  372
+
+--S  373 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R         4 4 3                 4 4 3                    4 4     4 4  3
+--R       6a d x log(d x + c) - 6b c x log(b x + a) + (- 6a d  + 6b c )x log(x)
+--R     + 
+--R            4   3       3 4  2      4 2 2     2 2 4       4 3      3   4
+--R       (- 6a c d  + 6a b c )x  + (3a c d  - 3a b c )x - 2a c d + 2a b c
+--R  /
+--R        5 4      4   5  3
+--R     (6a c d - 6a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  373
+
+--S  374 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  374
+
+--S  375 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  375
+
+)clear all
+
+--S  376 of 1092
+t0:=x^m/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  m
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                                    Type: Expression(Integer)
+--E  376
+
+--S  377 of 1092
+--r0:=-d*x^(1+m)/(c*(b*c-a*d)*(c+d*x))+b^2*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)^2*(1+m))-b*d*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)^2*(1+m))+d*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^2*(b*c-a*d)*(1+m))
+--E  377
+
+--S  378 of 1092
+--a0:=integrate(t0,x)
+--E  378
+
+--S  379 of 1092
+--m0:=a0-r0
+--E  379
+
+--S  380 of 1092
+--d0:=D(m0,x)
+--E  380
+
+)clear all
+
+--S  381 of 1092
+t0:=x^m/((1-a*x)^2*(1+a*x))
+--R 
+--R
+--R                   m
+--R                  x
+--R   (1)  ---------------------
+--R         3 3    2 2
+--R        a x  - a x  - a x + 1
+--R                                                    Type: Expression(Integer)
+--E  381
+
+--S  382 of 1092
+--r0:=1/2*x^(1+m)/(1-a*x)+1/4*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-a*x)/(1+m)+1/4*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,a*x)/(1+m)-1/2*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,a*x)/(1+m)
+--E  382
+
+--S  383 of 1092
+--a0:=integrate(t0,x)
+--E  383
+
+--S  384 of 1092
+--m0:=a0-r0
+--E  384
+
+--S  385 of 1092
+--d0:=D(m0,x)
+--E  385
+
+)clear all
+
+--S  386 of 1092
+t0:=x^5/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  5
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  386
+
+--S  387 of 1092
+r0:=(3*b^2*c^2+2*a*b*c*d+a^2*d^2)*x/(b^3*d^4)-_
+     1/2*(2*b*c+a*d)*x^2/(b^2*d^3)+1/3*x^3/(b*d^2)-_
+     c^5/(d^5*(b*c-a*d)*(c+d*x))-a^5*log(a+b*x)/(b^4*(b*c-a*d)^2)-_
+     c^4*(4*b*c-5*a*d)*log(c+d*x)/(d^5*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R              4 4 2      5 5           4 5       5 6
+--R       ((30a b c d  - 24b c d)x + 30a b c d - 24b c )log(d x + c)
+--R     + 
+--R            5 6      5   5                   2 3 6       4   5     5 2 4  4
+--R       (- 6a d x - 6a c d )log(b x + a) + (2a b d  - 4a b c d  + 2b c d )x
+--R     + 
+--R            3 2 6     2 3   5       4 2 4     5 3 3  3
+--R       (- 3a b d  + 2a b c d  + 5a b c d  - 4b c d )x
+--R     + 
+--R          4   6     3 2   5        4 3 3      5 4 2  2
+--R       (6a b d  - 3a b c d  - 15a b c d  + 12b c d )x
+--R     + 
+--R          4     5        4 4 2      5 5          4 5      5 6
+--R       (6a b c d  - 24a b c d  + 18b c d)x + 6a b c d - 6b c
+--R  /
+--R        2 4 8        5   7     6 2 6       2 4   7        5 2 6     6 3 5
+--R     (6a b d  - 12a b c d  + 6b c d )x + 6a b c d  - 12a b c d  + 6b c d
+--R                                                    Type: Expression(Integer)
+--E  387
+
+--S  388 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 4 2      5 5           4 5       5 6
+--R       ((30a b c d  - 24b c d)x + 30a b c d - 24b c )log(d x + c)
+--R     + 
+--R            5 6      5   5                   2 3 6       4   5     5 2 4  4
+--R       (- 6a d x - 6a c d )log(b x + a) + (2a b d  - 4a b c d  + 2b c d )x
+--R     + 
+--R            3 2 6     2 3   5       4 2 4     5 3 3  3
+--R       (- 3a b d  + 2a b c d  + 5a b c d  - 4b c d )x
+--R     + 
+--R          4   6     3 2   5        4 3 3      5 4 2  2
+--R       (6a b d  - 3a b c d  - 15a b c d  + 12b c d )x
+--R     + 
+--R          4     5        4 4 2      5 5          4 5      5 6
+--R       (6a b c d  - 24a b c d  + 18b c d)x + 6a b c d - 6b c
+--R  /
+--R        2 4 8        5   7     6 2 6       2 4   7        5 2 6     6 3 5
+--R     (6a b d  - 12a b c d  + 6b c d )x + 6a b c d  - 12a b c d  + 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  388
+
+--S  389 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  389
+
+--S  390 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  390
+
+)clear all
+
+--S  391 of 1092
+t0:=x^4/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  4
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  391
+
+--S  392 of 1092
+r0:=-(2*b*c+a*d)*x/(b^2*d^3)+1/2*x^2/(b*d^2)+_
+     c^4/(d^4*(b*c-a*d)*(c+d*x))+a^4*log(a+b*x)/(b^3*(b*c-a*d)^2)+_
+     c^3*(3*b*c-4*a*d)*log(c+d*x)/(d^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R               3 3 2     4 4          3 4      4 5
+--R       ((- 8a b c d  + 6b c d)x - 8a b c d + 6b c )log(d x + c)
+--R     + 
+--R          4 5      4   4                  2 2 5       3   4    4 2 3  3
+--R       (2a d x + 2a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R            3   5    2 2   4       3 2 3     4 3 2  2
+--R       (- 2a b d  + a b c d  + 4a b c d  - 3b c d )x
+--R     + 
+--R            3     4       3 3 2     4 4          3 4      4 5
+--R       (- 2a b c d  + 6a b c d  - 4b c d)x - 2a b c d + 2b c
+--R  /
+--R        2 3 7       4   6     5 2 5       2 3   6       4 2 5     5 3 4
+--R     (2a b d  - 4a b c d  + 2b c d )x + 2a b c d  - 4a b c d  + 2b c d
+--R                                                    Type: Expression(Integer)
+--E  392
+
+--S  393 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 3 2     4 4          3 4      4 5
+--R       ((- 8a b c d  + 6b c d)x - 8a b c d + 6b c )log(d x + c)
+--R     + 
+--R          4 5      4   4                  2 2 5       3   4    4 2 3  3
+--R       (2a d x + 2a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R            3   5    2 2   4       3 2 3     4 3 2  2
+--R       (- 2a b d  + a b c d  + 4a b c d  - 3b c d )x
+--R     + 
+--R            3     4       3 3 2     4 4          3 4      4 5
+--R       (- 2a b c d  + 6a b c d  - 4b c d)x - 2a b c d + 2b c
+--R  /
+--R        2 3 7       4   6     5 2 5       2 3   6       4 2 5     5 3 4
+--R     (2a b d  - 4a b c d  + 2b c d )x + 2a b c d  - 4a b c d  + 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  393
+
+--S  394 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  394
+
+--S  395 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  395
+
+)clear all
+
+--S  396 of 1092
+t0:=x^3/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  3
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  396
+
+--S  397 of 1092
+r0:=x/(b*d^2)-c^3/(d^3*(b*c-a*d)*(c+d*x))-_
+     a^3*log(a+b*x)/(b^2*(b*c-a*d)^2)-c^2*(2*b*c-3*a*d)*log(c+d*x)/_
+     (d^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             2 2 2     3 3          2 3      3 4
+--R       ((3a b c d  - 2b c d)x + 3a b c d - 2b c )log(d x + c)
+--R     + 
+--R           3 4     3   3                  2   4       2   3    3 2 2  2
+--R       (- a d x - a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R         2     3       2 2 2    3 3         2 3     3 4
+--R       (a b c d  - 2a b c d  + b c d)x + a b c d - b c
+--R  /
+--R       2 2 6       3   5    4 2 4      2 2   5       3 2 4    4 3 3
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  397
+
+--S  398 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2     3 3          2 3      3 4
+--R       ((3a b c d  - 2b c d)x + 3a b c d - 2b c )log(d x + c)
+--R     + 
+--R           3 4     3   3                  2   4       2   3    3 2 2  2
+--R       (- a d x - a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R         2     3       2 2 2    3 3         2 3     3 4
+--R       (a b c d  - 2a b c d  + b c d)x + a b c d - b c
+--R  /
+--R       2 2 6       3   5    4 2 4      2 2   5       3 2 4    4 3 3
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  398
+
+--S  399 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  399
+
+--S  400 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  400
+
+)clear all
+
+--S  401 of 1092
+t0:=x^2/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  2
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  401
+
+--S  402 of 1092
+r0:=c^2/(d^2*(b*c-a*d)*(c+d*x))+a^2*log(a+b*x)/(b*(b*c-a*d)^2)+_
+     c*(b*c-2*a*d)*log(c+d*x)/(d^2*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R                   2    2 2            2     2 3
+--R       ((- 2a b c d  + b c d)x - 2a b c d + b c )log(d x + c)
+--R     + 
+--R         2 3     2   2                     2     2 3
+--R       (a d x + a c d )log(b x + a) - a b c d + b c
+--R  /
+--R       2   5       2   4    3 2 3      2     4       2 2 3    3 3 2
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  402
+
+--S  403 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   2    2 2            2     2 3
+--R       ((- 2a b c d  + b c d)x - 2a b c d + b c )log(d x + c)
+--R     + 
+--R         2 3     2   2                     2     2 3
+--R       (a d x + a c d )log(b x + a) - a b c d + b c
+--R  /
+--R       2   5       2   4    3 2 3      2     4       2 2 3    3 3 2
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  403
+
+--S  404 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  404
+
+--S  405 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  405
+
+)clear all
+
+--S  406 of 1092
+t0:=x/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  406
+
+--S  407 of 1092
+r0:=-c/(d*(b*c-a*d)*(c+d*x))-a*log(a+b*x)/(b*c-a*d)^2+a*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R   (2)
+--R       2                               2                                    2
+--R   (a d x + a c d)log(d x + c) + (- a d x - a c d)log(b x + a) + a c d - b c
+--R   --------------------------------------------------------------------------
+--R              2 4           3    2 2 2      2   3         2 2    2 3
+--R            (a d  - 2a b c d  + b c d )x + a c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  407
+
+--S  408 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R       2                               2                                    2
+--R   (a d x + a c d)log(d x + c) + (- a d x - a c d)log(b x + a) + a c d - b c
+--R   --------------------------------------------------------------------------
+--R              2 4           3    2 2 2      2   3         2 2    2 3
+--R            (a d  - 2a b c d  + b c d )x + a c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  408
+
+--S  409 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  409
+
+--S  410 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  410
+
+)clear all
+
+--S  411 of 1092
+t0:=1/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  1
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  411
+
+--S  412 of 1092
+r0:=1/((b*c-a*d)*(c+d*x))+b*log(a+b*x)/(b*c-a*d)^2-b*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (2)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                                    Type: Expression(Integer)
+--E  412
+
+--S  413 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (3)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  413
+
+--S  414 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  414
+
+--S  415 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  415
+
+)clear all
+
+--S  416 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  ------------------------------------------------------
+--R           2 4       2           3                2  2      2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  416
+
+--S  417 of 1092
+r0:=-d/(c*(b*c-a*d)*(c+d*x))+log(x)/(a*c^2)-_
+     b^2*log(a+b*x)/(a*(b*c-a*d)^2)+d*(2*b*c-a*d)*log(c+d*x)/(c^2*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R            2 3           2      2   2         2
+--R       ((- a d  + 2a b c d )x - a c d  + 2a b c d)log(d x + c)
+--R     + 
+--R           2 2       2 3
+--R       (- b c d x - b c )log(b x + a)
+--R     + 
+--R          2 3           2    2 2       2   2         2     2 3           2   2
+--R       ((a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c )log(x) + a c d
+--R     + 
+--R              2
+--R       - a b c d
+--R  /
+--R       3 2 3     2   3 2      2 4       3 3 2     2   4       2 5
+--R     (a c d  - 2a b c d  + a b c d)x + a c d  - 2a b c d + a b c
+--R                                                    Type: Expression(Integer)
+--E  417
+
+--S  418 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 3           2      2   2         2
+--R       ((- a d  + 2a b c d )x - a c d  + 2a b c d)log(d x + c)
+--R     + 
+--R           2 2       2 3
+--R       (- b c d x - b c )log(b x + a)
+--R     + 
+--R          2 3           2    2 2       2   2         2     2 3           2   2
+--R       ((a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c )log(x) + a c d
+--R     + 
+--R              2
+--R       - a b c d
+--R  /
+--R       3 2 3     2   3 2      2 4       3 3 2     2   4       2 5
+--R     (a c d  - 2a b c d  + a b c d)x + a c d  - 2a b c d + a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  418
+
+--S  419 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  419
+
+--S  420 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  420
+
+)clear all
+
+--S  421 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  -------------------------------------------------------
+--R           2 5       2           4                2  3      2 2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  421
+
+--S  422 of 1092
+r0:=(-1)/(a*c^2*x)+d^2/(c^2*(b*c-a*d)*(c+d*x))-_
+     (b*c+2*a*d)*log(x)/(a^2*c^3)+b^3*log(a+b*x)/(a^2*(b*c-a*d)^2)-_
+     d^2*(3*b*c-2*a*d)*log(c+d*x)/(c^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R           3 4     2     3  2      3   3     2   2 2
+--R       ((2a d  - 3a b c d )x  + (2a c d  - 3a b c d )x)log(d x + c)
+--R     + 
+--R         3 3   2    3 4
+--R       (b c d x  + b c x)log(b x + a)
+--R     + 
+--R             3 4     2     3    3 3   2        3   3     2   2 2    3 4
+--R       ((- 2a d  + 3a b c d  - b c d)x  + (- 2a c d  + 3a b c d  - b c )x)log(x)
+--R     + 
+--R            3   3     2   2 2      2 3       3 2 2     2   3       2 4
+--R       (- 2a c d  + 3a b c d  - a b c d)x - a c d  + 2a b c d - a b c
+--R  /
+--R       4 3 3     3   4 2    2 2 5   2     4 4 2     3   5     2 2 6
+--R     (a c d  - 2a b c d  + a b c d)x  + (a c d  - 2a b c d + a b c )x
+--R                                                    Type: Expression(Integer)
+--E  422
+
+--S  423 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 4     2     3  2      3   3     2   2 2
+--R       ((2a d  - 3a b c d )x  + (2a c d  - 3a b c d )x)log(d x + c)
+--R     + 
+--R         3 3   2    3 4
+--R       (b c d x  + b c x)log(b x + a)
+--R     + 
+--R             3 4     2     3    3 3   2        3   3     2   2 2    3 4
+--R       ((- 2a d  + 3a b c d  - b c d)x  + (- 2a c d  + 3a b c d  - b c )x)log(x)
+--R     + 
+--R            3   3     2   2 2      2 3       3 2 2     2   3       2 4
+--R       (- 2a c d  + 3a b c d  - a b c d)x - a c d  + 2a b c d - a b c
+--R  /
+--R       4 3 3     3   4 2    2 2 5   2     4 4 2     3   5     2 2 6
+--R     (a c d  - 2a b c d  + a b c d)x  + (a c d  - 2a b c d + a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  423
+
+--S  424 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  424
+
+--S  425 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  425
+
+)clear all
+
+--S  426 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  -------------------------------------------------------
+--R           2 6       2           5                2  4      2 3
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  426
+
+--S  427 of 1092
+r0:=(-1/2)/(a*c^2*x^2)+(b*c+2*a*d)/(a^2*c^3*x)-_
+     d^3/(c^3*(b*c-a*d)*(c+d*x))+(b^2*c^2+2*a*b*c*d+3*a^2*d^2)*log(x)/_
+     (a^3*c^4)-b^4*log(a+b*x)/(a^3*(b*c-a*d)^2)+d^3*(4*b*c-3*a*d)*_
+     log(c+d*x)/(c^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             4 5     3     4  3        4   4     3   2 3  2
+--R       ((- 6a d  + 8a b c d )x  + (- 6a c d  + 8a b c d )x )log(d x + c)
+--R     + 
+--R            4 4   3     4 5 2
+--R       (- 2b c d x  - 2b c x )log(b x + a)
+--R     + 
+--R           4 5     3     4     4 4   3      4   4     3   2 3     4 5  2
+--R       ((6a d  - 8a b c d  + 2b c d)x  + (6a c d  - 8a b c d  + 2b c )x )log(x)
+--R     + 
+--R          4   4     3   2 3       3 4   2
+--R       (6a c d  - 8a b c d  + 2a b c d)x
+--R     + 
+--R          4 2 3     3   3 2    2 2 4        3 5      4 3 2     3   4     2 2 5
+--R       (3a c d  - 4a b c d  - a b c d + 2a b c )x - a c d  + 2a b c d - a b c
+--R  /
+--R        5 4 3     4   5 2     3 2 6   3      5 5 2     4   6      3 2 7  2
+--R     (2a c d  - 4a b c d  + 2a b c d)x  + (2a c d  - 4a b c d + 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  427
+
+--S  428 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             4 5     3     4  3        4   4     3   2 3  2
+--R       ((- 6a d  + 8a b c d )x  + (- 6a c d  + 8a b c d )x )log(d x + c)
+--R     + 
+--R            4 4   3     4 5 2
+--R       (- 2b c d x  - 2b c x )log(b x + a)
+--R     + 
+--R           4 5     3     4     4 4   3      4   4     3   2 3     4 5  2
+--R       ((6a d  - 8a b c d  + 2b c d)x  + (6a c d  - 8a b c d  + 2b c )x )log(x)
+--R     + 
+--R          4   4     3   2 3       3 4   2
+--R       (6a c d  - 8a b c d  + 2a b c d)x
+--R     + 
+--R          4 2 3     3   3 2    2 2 4        3 5      4 3 2     3   4     2 2 5
+--R       (3a c d  - 4a b c d  - a b c d + 2a b c )x - a c d  + 2a b c d - a b c
+--R  /
+--R        5 4 3     4   5 2     3 2 6   3      5 5 2     4   6      3 2 7  2
+--R     (2a c d  - 4a b c d  + 2a b c d)x  + (2a c d  - 4a b c d + 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  428
+
+--S  429 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  429
+
+--S  430 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  430
+
+)clear all
+
+--S  431 of 1092
+t0:=x^m/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         m
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                                    Type: Expression(Integer)
+--E  431
+
+--S  432 of 1092
+--r0:=-1/2*d*x^(1+m)/(c*(b*c-a*d)*(c+d*x)^2)-_
+--     b*d*x^(1+m)/(c*(b*c-a*d)^2*(c+d*x))-_
+--     1/2*d*(1-m)*x^(1+m)/(c^2*(b*c-a*d)*(c+d*x))+_
+--     b^3*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)^3*(1+m))-b^2*d*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)^3*(1+m))+b*d*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^2*(b*c-a*d)^2*(1+m))+_
+--     1/2*d*(1-m)*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^3*(b*c-a*d)*(1+m))
+--E  432
+
+--S  433 of 1092
+--a0:=integrate(t0,x)
+--E  433
+
+--S  434 of 1092
+--m0:=a0-r0
+--E  434
+
+--S  435 of 1092
+--d0:=D(m0,x)
+--E  435
+
+)clear all
+
+--S  436 of 1092
+t0:=x^6/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         6
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  436
+
+--S  437 of 1092
+r0:=(6*b^2*c^2+3*a*b*c*d+a^2*d^2)*x/(b^3*d^5)-_
+     1/2*(3*b*c+a*d)*x^2/(b^2*d^4)+1/3*x^3/(b*d^3)+_
+     1/2*c^6/(d^6*(b*c-a*d)*(c+d*x)^2)-_
+     c^5*(5*b*c-6*a*d)/(d^6*(b*c-a*d)^2*(c+d*x))+_
+     a^6*log(a+b*x)/(b^4*(b*c-a*d)^3)-_
+     c^4*(10*b^2*c^2-24*a*b*c*d+15*a^2*d^2)*log(c+d*x)/(d^6*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               2 4 4 4         5 5 3      6 6 2  2
+--R           (90a b c d  - 144a b c d  + 60b c d )x
+--R         + 
+--R                2 4 5 3         5 6 2       6 7         2 4 6 2         5 7
+--R           (180a b c d  - 288a b c d  + 120b c d)x + 90a b c d  - 144a b c d
+--R         + 
+--R              6 8
+--R           60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            6 8 2      6   7      6 2 6
+--R       (- 6a d x  - 12a c d x - 6a c d )log(b x + a)
+--R     + 
+--R          3 3 8     2 4   7       5 2 6     6 3 5  5
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R            4 2 8     3 3   7     2 4 2 6        5 3 5     6 4 4  4
+--R       (- 3a b d  + 4a b c d  + 6a b c d  - 12a b c d  + 5b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4      6 5 3  3
+--R       (6a b d  - 6a b c d  + 2a b c d  - 30a b c d  + 48a b c d  - 20b c d )x
+--R     + 
+--R           5     7     4 2 2 6       2 4 4 4         5 5 3      6 6 2  2
+--R       (12a b c d  - 3a b c d  - 102a b c d  + 156a b c d  - 63b c d )x
+--R     + 
+--R          5   2 6      2 4 5 3        5 6 2     6 7         2 4 6 2        5 7
+--R       (6a b c d  - 24a b c d  + 24a b c d  - 6b c d)x + 33a b c d  - 60a b c d
+--R     + 
+--R          6 8
+--R       27b c
+--R  /
+--R          3 4 11      2 5   10        6 2 9     7 3 8  2
+--R       (6a b d   - 18a b c d   + 18a b c d  - 6b c d )x
+--R     + 
+--R           3 4   10      2 5 2 9        6 3 8      7 4 7       3 4 2 9
+--R       (12a b c d   - 36a b c d  + 36a b c d  - 12b c d )x + 6a b c d
+--R     + 
+--R            2 5 3 8        6 4 7     7 5 6
+--R       - 18a b c d  + 18a b c d  - 6b c d
+--R                                                    Type: Expression(Integer)
+--E  437
+
+--S  438 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 4 4 4         5 5 3      6 6 2  2
+--R           (90a b c d  - 144a b c d  + 60b c d )x
+--R         + 
+--R                2 4 5 3         5 6 2       6 7         2 4 6 2         5 7
+--R           (180a b c d  - 288a b c d  + 120b c d)x + 90a b c d  - 144a b c d
+--R         + 
+--R              6 8
+--R           60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            6 8 2      6   7      6 2 6
+--R       (- 6a d x  - 12a c d x - 6a c d )log(b x + a)
+--R     + 
+--R          3 3 8     2 4   7       5 2 6     6 3 5  5
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R            4 2 8     3 3   7     2 4 2 6        5 3 5     6 4 4  4
+--R       (- 3a b d  + 4a b c d  + 6a b c d  - 12a b c d  + 5b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4      6 5 3  3
+--R       (6a b d  - 6a b c d  + 2a b c d  - 30a b c d  + 48a b c d  - 20b c d )x
+--R     + 
+--R           5     7     4 2 2 6       2 4 4 4         5 5 3      6 6 2  2
+--R       (12a b c d  - 3a b c d  - 102a b c d  + 156a b c d  - 63b c d )x
+--R     + 
+--R          5   2 6      2 4 5 3        5 6 2     6 7         2 4 6 2        5 7
+--R       (6a b c d  - 24a b c d  + 24a b c d  - 6b c d)x + 33a b c d  - 60a b c d
+--R     + 
+--R          6 8
+--R       27b c
+--R  /
+--R          3 4 11      2 5   10        6 2 9     7 3 8  2
+--R       (6a b d   - 18a b c d   + 18a b c d  - 6b c d )x
+--R     + 
+--R           3 4   10      2 5 2 9        6 3 8      7 4 7       3 4 2 9
+--R       (12a b c d   - 36a b c d  + 36a b c d  - 12b c d )x + 6a b c d
+--R     + 
+--R            2 5 3 8        6 4 7     7 5 6
+--R       - 18a b c d  + 18a b c d  - 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  438
+
+--S  439 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  439
+
+--S  440 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  440
+
+)clear all
+
+--S  441 of 1092
+t0:=x^5/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         5
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  441
+
+--S  442 of 1092
+r0:=-(3*b*c+a*d)*x/(b^2*d^4)+1/2*x^2/(b*d^3)-_
+     1/2*c^5/(d^5*(b*c-a*d)*(c+d*x)^2)+c^4*(4*b*c-5*a*d)/_
+     (d^5*(b*c-a*d)^2*(c+d*x))-a^5*log(a+b*x)/(b^3*(b*c-a*d)^3)+_
+     c^3*(6*b^2*c^2-15*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 2 3 3 4        4 4 3      5 5 2  2
+--R           (- 20a b c d  + 30a b c d  - 12b c d )x
+--R         + 
+--R                 2 3 4 3        4 5 2      5 6         2 3 5 2        4 6
+--R           (- 40a b c d  + 60a b c d  - 24b c d)x - 20a b c d  + 30a b c d
+--R         + 
+--R                5 7
+--R           - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 7 2     5   6      5 2 5
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R         3 2 7     2 3   6       4 2 5    5 3 4  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4   7     3 2   6     2 3 2 5        4 3 4     5 4 3  3
+--R       (- 2a b d  + 2a b c d  + 6a b c d  - 10a b c d  + 4b c d )x
+--R     + 
+--R            4     6    3 2 2 5      2 3 3 4        4 4 3      5 5 2  2
+--R       (- 4a b c d  + a b c d  + 21a b c d  - 29a b c d  + 11b c d )x
+--R     + 
+--R            4   2 5     2 3 4 3       4 5 2     5 6        2 3 5 2        4 6
+--R       (- 2a b c d  + 2a b c d  + 2a b c d  - 2b c d)x - 9a b c d  + 16a b c d
+--R     + 
+--R           5 7
+--R       - 7b c
+--R  /
+--R          3 3 10     2 4   9       5 2 8     6 3 7  2
+--R       (2a b d   - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 3   9      2 4 2 8        5 3 7     6 4 6       3 3 2 8     2 4 3 7
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           5 4 6     6 5 5
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  442
+
+--S  443 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 3 3 4        4 4 3      5 5 2  2
+--R           (- 20a b c d  + 30a b c d  - 12b c d )x
+--R         + 
+--R                 2 3 4 3        4 5 2      5 6         2 3 5 2        4 6
+--R           (- 40a b c d  + 60a b c d  - 24b c d)x - 20a b c d  + 30a b c d
+--R         + 
+--R                5 7
+--R           - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 7 2     5   6      5 2 5
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R         3 2 7     2 3   6       4 2 5    5 3 4  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4   7     3 2   6     2 3 2 5        4 3 4     5 4 3  3
+--R       (- 2a b d  + 2a b c d  + 6a b c d  - 10a b c d  + 4b c d )x
+--R     + 
+--R            4     6    3 2 2 5      2 3 3 4        4 4 3      5 5 2  2
+--R       (- 4a b c d  + a b c d  + 21a b c d  - 29a b c d  + 11b c d )x
+--R     + 
+--R            4   2 5     2 3 4 3       4 5 2     5 6        2 3 5 2        4 6
+--R       (- 2a b c d  + 2a b c d  + 2a b c d  - 2b c d)x - 9a b c d  + 16a b c d
+--R     + 
+--R           5 7
+--R       - 7b c
+--R  /
+--R          3 3 10     2 4   9       5 2 8     6 3 7  2
+--R       (2a b d   - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 3   9      2 4 2 8        5 3 7     6 4 6       3 3 2 8     2 4 3 7
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           5 4 6     6 5 5
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  443
+
+--S  444 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  444
+
+--S  445 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  445
+
+)clear all
+
+--S  446 of 1092
+t0:=x^4/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         4
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  446
+
+--S  447 of 1092
+r0:=x/(b*d^3)+1/2*c^4/(d^4*(b*c-a*d)*(c+d*x)^2)-_
+     c^3*(3*b*c-4*a*d)/(d^4*(b*c-a*d)^2*(c+d*x))+_
+     a^4*log(a+b*x)/(b^2*(b*c-a*d)^3)-_
+     c^2*(3*b^2*c^2-8*a*b*c*d+6*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               2 2 2 4        3 3 3     4 4 2  2
+--R           (12a b c d  - 16a b c d  + 6b c d )x
+--R         + 
+--R             2 2 3 3        3 4 2      4 5         2 2 4 2        3 5      4 6
+--R         (24a b c d  - 32a b c d  + 12b c d)x + 12a b c d  - 16a b c d + 6b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 6 2     4   5      4 2 4
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          3   6     2 2   5       3 2 4     4 3 3  3
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     5      2 2 2 4        3 3 3     4 4 2  2
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x
+--R     + 
+--R          3   2 4     2 2 3 3       3 4 2     4 5        2 2 4 2        3 5
+--R       (2a b c d  + 2a b c d  - 8a b c d  + 4b c d)x + 7a b c d  - 12a b c d
+--R     + 
+--R         4 6
+--R       5b c
+--R  /
+--R          3 2 9     2 3   8       4 2 7     5 3 6  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 2   8      2 3 2 7        4 3 6     5 4 5       3 2 2 7     2 3 3 6
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           4 4 5     5 5 4
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  447
+
+--S  448 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2 2 4        3 3 3     4 4 2  2
+--R           (12a b c d  - 16a b c d  + 6b c d )x
+--R         + 
+--R             2 2 3 3        3 4 2      4 5         2 2 4 2        3 5      4 6
+--R         (24a b c d  - 32a b c d  + 12b c d)x + 12a b c d  - 16a b c d + 6b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 6 2     4   5      4 2 4
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          3   6     2 2   5       3 2 4     4 3 3  3
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     5      2 2 2 4        3 3 3     4 4 2  2
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x
+--R     + 
+--R          3   2 4     2 2 3 3       3 4 2     4 5        2 2 4 2        3 5
+--R       (2a b c d  + 2a b c d  - 8a b c d  + 4b c d)x + 7a b c d  - 12a b c d
+--R     + 
+--R         4 6
+--R       5b c
+--R  /
+--R          3 2 9     2 3   8       4 2 7     5 3 6  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 2   8      2 3 2 7        4 3 6     5 4 5       3 2 2 7     2 3 3 6
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           4 4 5     5 5 4
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  448
+
+--S  449 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  449
+
+--S  450 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  450
+
+)clear all
+
+--S  451 of 1092
+t0:=x^3/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         3
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  451
+
+--S  452 of 1092
+r0:=-1/2*c^3/(d^3*(b*c-a*d)*(c+d*x)^2)+c^2*(2*b*c-3*a*d)/_
+     (d^3*(b*c-a*d)^2*(c+d*x))-a^3*log(a+b*x)/(b*(b*c-a*d)^3)+_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(d^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                2     4       2 2 3     3 3 2  2
+--R           (- 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R                 2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R           (- 12a b c d  + 12a b c d  - 4b c d)x - 6a b c d  + 6a b c d - 2b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 5 2     3   4      3 2 3
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R            2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R       (- 6a b c d  + 10a b c d  - 4b c d)x - 5a b c d  + 8a b c d - 3b c
+--R  /
+--R          3   8     2 2   7       3 2 6     4 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     7      2 2 2 6        3 3 5     4 4 4       3   2 6     2 2 3 5
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           3 4 4     4 5 3
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  452
+
+--S  453 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2     4       2 2 3     3 3 2  2
+--R           (- 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R                 2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R           (- 12a b c d  + 12a b c d  - 4b c d)x - 6a b c d  + 6a b c d - 2b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 5 2     3   4      3 2 3
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R            2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R       (- 6a b c d  + 10a b c d  - 4b c d)x - 5a b c d  + 8a b c d - 3b c
+--R  /
+--R          3   8     2 2   7       3 2 6     4 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     7      2 2 2 6        3 3 5     4 4 4       3   2 6     2 2 3 5
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           3 4 4     4 5 3
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  453
+
+--S  454 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  454
+
+--S  455 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  455
+
+)clear all
+
+--S  456 of 1092
+t0:=x^2/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  456
+
+--S  457 of 1092
+r0:=1/2*c^2/(d^2*(b*c-a*d)*(c+d*x)^2)-c*(b*c-2*a*d)/_
+     (d^2*(b*c-a*d)^2*(c+d*x))+a^2*log(a+b*x)/(b*c-a*d)^3-_
+     a^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 4 2     2   3      2 2 2
+--R       (2a d x  + 4a c d x + 2a c d )log(d x + c)
+--R     + 
+--R            2 4 2     2   3      2 2 2
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          2   3         2 2     2 3        2 2 2         3     2 4
+--R       (4a c d  - 6a b c d  + 2b c d)x + 3a c d  - 4a b c d + b c
+--R  /
+--R          3 7     2     6       2 2 5     3 3 4  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   6      2   2 5        2 3 4     3 4 3       3 2 5     2   3 4
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 3     3 5 2
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  457
+
+--S  458 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2 4 2     2   3      2 2 2
+--R       (2a d x  + 4a c d x + 2a c d )log(d x + c)
+--R     + 
+--R            2 4 2     2   3      2 2 2
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          2   3         2 2     2 3        2 2 2         3     2 4
+--R       (4a c d  - 6a b c d  + 2b c d)x + 3a c d  - 4a b c d + b c
+--R  /
+--R          3 7     2     6       2 2 5     3 3 4  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   6      2   2 5        2 3 4     3 4 3       3 2 5     2   3 4
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 3     3 5 2
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  458
+
+--S  459 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  459
+
+--S  460 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  460
+
+)clear all
+
+--S  461 of 1092
+t0:=x/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  461
+
+--S  462 of 1092
+r0:=-1/2*c/(d*(b*c-a*d)*(c+d*x)^2)-a/((b*c-a*d)^2*(c+d*x))-_
+     a*b*log(a+b*x)/(b*c-a*d)^3+a*b*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R                3 2           2          2
+--R       (- 2a b d x  - 4a b c d x - 2a b c d)log(d x + c)
+--R     + 
+--R              3 2           2          2                      2 3           2
+--R       (2a b d x  + 4a b c d x + 2a b c d)log(b x + a) + (- 2a d  + 2a b c d )x
+--R     + 
+--R          2   2    2 3
+--R       - a c d  + b c
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 2     3 5
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  462
+
+--S  463 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2           2          2
+--R       (- 2a b d x  - 4a b c d x - 2a b c d)log(d x + c)
+--R     + 
+--R              3 2           2          2                      2 3           2
+--R       (2a b d x  + 4a b c d x + 2a b c d)log(b x + a) + (- 2a d  + 2a b c d )x
+--R     + 
+--R          2   2    2 3
+--R       - a c d  + b c
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 2     3 5
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  463
+
+--S  464 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  464
+
+--S  465 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  465
+
+)clear all
+
+--S  466 of 1092
+t0:=1/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         1
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  466
+
+--S  467 of 1092
+r0:=1/2/((b*c-a*d)*(c+d*x)^2)+b/((b*c-a*d)^2*(c+d*x))+_
+     b^2*log(a+b*x)/(b*c-a*d)^3-b^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                                    Type: Expression(Integer)
+--E  467
+
+--S  468 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  468
+
+--S  469 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  469
+
+--S  470 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  470
+
+)clear all
+
+--S  471 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 5       3         2  4          2       2   3        2       3  2
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  471
+
+--S  472 of 1092
+r0:=-1/2*d/(c*(b*c-a*d)*(c+d*x)^2)-d*(2*b*c-a*d)/_
+     (c^2*(b*c-a*d)^2*(c+d*x))+log(x)/(a*c^3)-_
+     b^3*log(a+b*x)/(a*(b*c-a*d)^3)+d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*_
+     log(c+d*x)/(c^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                3 5     2     4       2 2 3  2
+--R           (- 2a d  + 6a b c d  - 6a b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2       3 2 3     2   3 2       2 4
+--R         (- 4a c d  + 12a b c d  - 12a b c d )x - 2a c d  + 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 3 2 2     3 4        3 5
+--R       (2b c d x  + 4b c d x + 2b c )log(b x + a)
+--R     + 
+--R              3 5     2     4       2 2 3     3 3 2  2
+--R           (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R           (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R         + 
+--R               2 4      3 5
+--R           6a b c d - 2b c
+--R      *
+--R         log(x)
+--R     + 
+--R          3   4     2   2 3       2 3 2       3 2 3     2   3 2       2 4
+--R       (2a c d  - 6a b c d  + 4a b c d )x + 3a c d  - 8a b c d  + 5a b c d
+--R  /
+--R          4 3 5     3   4 4     2 2 5 3       3 6 2  2
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          4 4 4      3   5 3      2 2 6 2       3 7        4 5 3     3   6 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R         2 2 7        3 8
+--R       6a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  472
+
+--S  473 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 5     2     4       2 2 3  2
+--R           (- 2a d  + 6a b c d  - 6a b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2       3 2 3     2   3 2       2 4
+--R         (- 4a c d  + 12a b c d  - 12a b c d )x - 2a c d  + 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 3 2 2     3 4        3 5
+--R       (2b c d x  + 4b c d x + 2b c )log(b x + a)
+--R     + 
+--R              3 5     2     4       2 2 3     3 3 2  2
+--R           (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R           (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R         + 
+--R               2 4      3 5
+--R           6a b c d - 2b c
+--R      *
+--R         log(x)
+--R     + 
+--R          3   4     2   2 3       2 3 2       3 2 3     2   3 2       2 4
+--R       (2a c d  - 6a b c d  + 4a b c d )x + 3a c d  - 8a b c d  + 5a b c d
+--R  /
+--R          4 3 5     3   4 4     2 2 5 3       3 6 2  2
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          4 4 4      3   5 3      2 2 6 2       3 7        4 5 3     3   6 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R         2 2 7        3 8
+--R       6a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  473
+
+--S  474 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  474
+
+--S  475 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  475
+
+)clear all
+
+--S  476 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 6       3         2  5          2       2   4        2       3  3
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3 2
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  476
+
+--S  477 of 1092
+r0:=(-1)/(a*c^3*x)+1/2*d^2/(c^2*(b*c-a*d)*(c+d*x)^2)+_
+     d^2*(3*b*c-2*a*d)/(c^3*(b*c-a*d)^2*(c+d*x))-(b*c+3*a*d)*_
+     log(x)/(a^2*c^4)+b^4*log(a+b*x)/(a^2*(b*c-a*d)^3)-_
+     d^2*(6*b^2*c^2-8*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R              4 6      3     5      2 2 2 4  3
+--R           (6a d  - 16a b c d  + 12a b c d )x
+--R         + 
+--R               4   5      3   2 4      2 2 3 3  2
+--R           (12a c d  - 32a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4      3   3 3      2 2 4 2
+--R           (6a c d  - 16a b c d  + 12a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 4 2 3     4 5   2     4 6
+--R       (- 2b c d x  - 4b c d x  - 2b c x)log(b x + a)
+--R     + 
+--R                4 6      3     5      2 2 2 4     4 4 2  3
+--R           (- 6a d  + 16a b c d  - 12a b c d  + 2b c d )x
+--R         + 
+--R                 4   5      3   2 4      2 2 3 3     4 5   2
+--R           (- 12a c d  + 32a b c d  - 24a b c d  + 4b c d)x
+--R         + 
+--R                4 2 4      3   3 3      2 2 4 2     4 6
+--R           (- 6a c d  + 16a b c d  - 12a b c d  + 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   5      3   2 4      2 2 3 3       3 4 2  2
+--R       (- 6a c d  + 16a b c d  - 12a b c d  + 2a b c d )x
+--R     + 
+--R            4 2 4      3   3 3      2 2 4 2       3 5        4 3 3     3   4 2
+--R       (- 9a c d  + 24a b c d  - 19a b c d  + 4a b c d)x - 2a c d  + 6a b c d
+--R     + 
+--R           2 2 5        3 6
+--R       - 6a b c d + 2a b c
+--R  /
+--R          5 4 5     4   5 4     3 2 6 3     2 3 7 2  3
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          5 5 4      4   6 3      3 2 7 2     2 3 8   2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          5 6 3     4   7 2     3 2 8      2 3 9
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  477
+
+--S  478 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 6      3     5      2 2 2 4  3
+--R           (6a d  - 16a b c d  + 12a b c d )x
+--R         + 
+--R               4   5      3   2 4      2 2 3 3  2
+--R           (12a c d  - 32a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4      3   3 3      2 2 4 2
+--R           (6a c d  - 16a b c d  + 12a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 4 2 3     4 5   2     4 6
+--R       (- 2b c d x  - 4b c d x  - 2b c x)log(b x + a)
+--R     + 
+--R                4 6      3     5      2 2 2 4     4 4 2  3
+--R           (- 6a d  + 16a b c d  - 12a b c d  + 2b c d )x
+--R         + 
+--R                 4   5      3   2 4      2 2 3 3     4 5   2
+--R           (- 12a c d  + 32a b c d  - 24a b c d  + 4b c d)x
+--R         + 
+--R                4 2 4      3   3 3      2 2 4 2     4 6
+--R           (- 6a c d  + 16a b c d  - 12a b c d  + 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   5      3   2 4      2 2 3 3       3 4 2  2
+--R       (- 6a c d  + 16a b c d  - 12a b c d  + 2a b c d )x
+--R     + 
+--R            4 2 4      3   3 3      2 2 4 2       3 5        4 3 3     3   4 2
+--R       (- 9a c d  + 24a b c d  - 19a b c d  + 4a b c d)x - 2a c d  + 6a b c d
+--R     + 
+--R           2 2 5        3 6
+--R       - 6a b c d + 2a b c
+--R  /
+--R          5 4 5     4   5 4     3 2 6 3     2 3 7 2  3
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          5 5 4      4   6 3      3 2 7 2     2 3 8   2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          5 6 3     4   7 2     3 2 8      2 3 9
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  478
+
+--S  479 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  479
+
+--S  480 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  480
+
+)clear all
+
+--S  481 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 7       3         2  6          2       2   5        2       3  4
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3 3
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  481
+
+--S  482 of 1092
+r0:=(-1/2)/(a*c^3*x^2)+(b*c+3*a*d)/(a^2*c^4*x)-1/2*d^3/(c^3*(b*c-a*d)*_
+     (c+d*x)^2)-d^3*(4*b*c-3*a*d)/(c^4*(b*c-a*d)^2*(c+d*x))+_
+     (b^2*c^2+3*a*b*c*d+6*a^2*d^2)*log(x)/(a^3*c^5)-b^5*_
+     log(a+b*x)/(a^3*(b*c-a*d)^3)+d^3*(10*b^2*c^2-15*a*b*c*d+6*a^2*d^2)*_
+     log(c+d*x)/(c^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 5 7      4     6      3 2 2 5  4
+--R           (- 12a d  + 30a b c d  - 20a b c d )x
+--R         + 
+--R                 5   6      4   2 5      3 2 3 4  3
+--R           (- 24a c d  + 60a b c d  - 40a b c d )x
+--R         + 
+--R                 5 2 5      4   3 4      3 2 4 3  2
+--R           (- 12a c d  + 30a b c d  - 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 2 4     5 6   3     5 7 2
+--R       (2b c d x  + 4b c d x  + 2b c x )log(b x + a)
+--R     + 
+--R               5 7      4     6      3 2 2 5     5 5 2  4
+--R           (12a d  - 30a b c d  + 20a b c d  - 2b c d )x
+--R         + 
+--R               5   6      4   2 5      3 2 3 4     5 6   3
+--R           (24a c d  - 60a b c d  + 40a b c d  - 4b c d)x
+--R         + 
+--R               5 2 5      4   3 4      3 2 4 3     5 7  2
+--R           (12a c d  - 30a b c d  + 20a b c d  - 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           5   6      4   2 5      3 2 3 4       4 5 2  3
+--R       (12a c d  - 30a b c d  + 20a b c d  - 2a b c d )x
+--R     + 
+--R           5 2 5      4   3 4      3 2 4 3    2 3 5 2       4 6   2
+--R       (18a c d  - 45a b c d  + 30a b c d  + a b c d  - 4a b c d)x
+--R     + 
+--R          5 3 4      4   4 3     3 2 5 2     2 3 6        4 7      5 4 3
+--R       (4a c d  - 10a b c d  + 6a b c d  + 2a b c d - 2a b c )x - a c d
+--R     + 
+--R         4   5 2     3 2 6     2 3 7
+--R       3a b c d  - 3a b c d + a b c
+--R  /
+--R          6 5 5     5   6 4     4 2 7 3     3 3 8 2  4
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          6 6 4      5   7 3      4 2 8 2     3 3 9   3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          6 7 3     5   8 2     4 2 9      3 3 10  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  482
+
+--S  483 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 5 7      4     6      3 2 2 5  4
+--R           (- 12a d  + 30a b c d  - 20a b c d )x
+--R         + 
+--R                 5   6      4   2 5      3 2 3 4  3
+--R           (- 24a c d  + 60a b c d  - 40a b c d )x
+--R         + 
+--R                 5 2 5      4   3 4      3 2 4 3  2
+--R           (- 12a c d  + 30a b c d  - 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 2 4     5 6   3     5 7 2
+--R       (2b c d x  + 4b c d x  + 2b c x )log(b x + a)
+--R     + 
+--R               5 7      4     6      3 2 2 5     5 5 2  4
+--R           (12a d  - 30a b c d  + 20a b c d  - 2b c d )x
+--R         + 
+--R               5   6      4   2 5      3 2 3 4     5 6   3
+--R           (24a c d  - 60a b c d  + 40a b c d  - 4b c d)x
+--R         + 
+--R               5 2 5      4   3 4      3 2 4 3     5 7  2
+--R           (12a c d  - 30a b c d  + 20a b c d  - 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           5   6      4   2 5      3 2 3 4       4 5 2  3
+--R       (12a c d  - 30a b c d  + 20a b c d  - 2a b c d )x
+--R     + 
+--R           5 2 5      4   3 4      3 2 4 3    2 3 5 2       4 6   2
+--R       (18a c d  - 45a b c d  + 30a b c d  + a b c d  - 4a b c d)x
+--R     + 
+--R          5 3 4      4   4 3     3 2 5 2     2 3 6        4 7      5 4 3
+--R       (4a c d  - 10a b c d  + 6a b c d  + 2a b c d - 2a b c )x - a c d
+--R     + 
+--R         4   5 2     3 2 6     2 3 7
+--R       3a b c d  - 3a b c d + a b c
+--R  /
+--R          6 5 5     5   6 4     4 2 7 3     3 3 8 2  4
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          6 6 4      5   7 3      4 2 8 2     3 3 9   3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          6 7 3     5   8 2     4 2 9      3 3 10  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  483
+
+--S  484 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  484
+
+--S  485 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  485
+
+)clear all
+
+--S  486 of 1092
+t0:=x^4*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 6         5    2 4
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  486
+
+--S  487 of 1092
+r0:=a^2*(3*b*c-5*a*d)*(b*c-a*d)*x/b^6-a*(b*c-2*a*d)*(b*c-a*d)*x^2/b^5+_
+     1/3*(b*c-3*a*d)*(b*c-a*d)*x^3/b^4+1/2*d*(b*c-a*d)*x^4/b^3+_
+     1/5*d^2*x^5/b^2-a^4*(b*c-a*d)^2/(b^7*(a+b*x))-_
+     2*a^3*(2*b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                  5   2       4 2          3 3 2         6 2       5
+--R           (- 180a b d  + 300a b c d - 120a b c )x - 180a d  + 300a b c d
+--R         + 
+--R                 4 2 2
+--R           - 120a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 2 6          5 2      6     5       2 4 2        5         6 2  4
+--R       6b d x  + (- 9a b d  + 15b c d)x  + (15a b d  - 25a b c d + 10b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 30a b d  + 50a b c d - 20a b c )x
+--R     + 
+--R           4 2 2       3 3         2 4 2  2
+--R       (90a b d  - 150a b c d + 60a b c )x
+--R     + 
+--R            5   2       4 2         3 3 2        6 2      5           4 2 2
+--R       (150a b d  - 240a b c d + 90a b c )x - 30a d  + 60a b c d - 30a b c
+--R  /
+--R        8         7
+--R     30b x + 30a b
+--R                                                    Type: Expression(Integer)
+--E  487
+
+--S  488 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  5   2       4 2          3 3 2         6 2       5
+--R           (- 180a b d  + 300a b c d - 120a b c )x - 180a d  + 300a b c d
+--R         + 
+--R                 4 2 2
+--R           - 120a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 2 6          5 2      6     5       2 4 2        5         6 2  4
+--R       6b d x  + (- 9a b d  + 15b c d)x  + (15a b d  - 25a b c d + 10b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 30a b d  + 50a b c d - 20a b c )x
+--R     + 
+--R           4 2 2       3 3         2 4 2  2
+--R       (90a b d  - 150a b c d + 60a b c )x
+--R     + 
+--R            5   2       4 2         3 3 2        6 2      5           4 2 2
+--R       (150a b d  - 240a b c d + 90a b c )x - 30a d  + 60a b c d - 30a b c
+--R  /
+--R        8         7
+--R     30b x + 30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  488
+
+--S  489 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  489
+
+--S  490 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  490
+
+)clear all
+
+--S  491 of 1092
+t0:=x^3*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 5         4    2 3
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  491
+
+--S  492 of 1092
+r0:=-2*a*(b*c-2*a*d)*(b*c-a*d)*x/b^5+1/2*(b*c-3*a*d)*(b*c-a*d)*x^2/b^4+_
+     2/3*d*(b*c-a*d)*x^3/b^3+1/4*d^2*x^4/b^2+_
+     a^3*(b*c-a*d)^2/(b^6*(a+b*x))+a^2*(3*b*c-5*a*d)*(b*c-a*d)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R              4   2      3 2         2 3 2        5 2      4           3 2 2
+--R         ((60a b d  - 96a b c d + 36a b c )x + 60a d  - 96a b c d + 36a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 2 5          4 2     5     4       2 3 2        4        5 2  3
+--R       3b d x  + (- 5a b d  + 8b c d)x  + (10a b d  - 16a b c d + 6b c )x
+--R     + 
+--R             3 2 2      2 3           4 2  2
+--R       (- 30a b d  + 48a b c d - 18a b c )x
+--R     + 
+--R             4   2      3 2         2 3 2        5 2      4           3 2 2
+--R       (- 48a b d  + 72a b c d - 24a b c )x + 12a d  - 24a b c d + 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E  492
+
+--S  493 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4   2      3 2         2 3 2        5 2      4           3 2 2
+--R         ((60a b d  - 96a b c d + 36a b c )x + 60a d  - 96a b c d + 36a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 2 5          4 2     5     4       2 3 2        4        5 2  3
+--R       3b d x  + (- 5a b d  + 8b c d)x  + (10a b d  - 16a b c d + 6b c )x
+--R     + 
+--R             3 2 2      2 3           4 2  2
+--R       (- 30a b d  + 48a b c d - 18a b c )x
+--R     + 
+--R             4   2      3 2         2 3 2        5 2      4           3 2 2
+--R       (- 48a b d  + 72a b c d - 24a b c )x + 12a d  - 24a b c d + 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  493
+
+--S  494 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  494
+
+--S  495 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  495
+
+)clear all
+
+--S  496 of 1092
+t0:=x^2*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 4         3    2 2
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  496
+
+--S  497 of 1092
+r0:=(b*c-3*a*d)*(b*c-a*d)*x/b^4+d*(b*c-a*d)*x^2/b^3+1/3*d^2*x^3/b^2-_
+     a^2*(b*c-a*d)^2/(b^5*(a+b*x))-2*a*(b*c-2*a*d)*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                3   2      2 2          3 2        4 2      3          2 2 2
+--R         ((- 12a b d  + 18a b c d - 6a b c )x - 12a d  + 18a b c d - 6a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 2 4          3 2     4     3      2 2 2       3        4 2  2
+--R       b d x  + (- 2a b d  + 3b c d)x  + (6a b d  - 9a b c d + 3b c )x
+--R     + 
+--R          3   2      2 2          3 2       4 2     3          2 2 2
+--R       (9a b d  - 12a b c d + 3a b c )x - 3a d  + 6a b c d - 3a b c
+--R  /
+--R       6        5
+--R     3b x + 3a b
+--R                                                    Type: Expression(Integer)
+--E  497
+
+--S  498 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3   2      2 2          3 2        4 2      3          2 2 2
+--R         ((- 12a b d  + 18a b c d - 6a b c )x - 12a d  + 18a b c d - 6a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 2 4          3 2     4     3      2 2 2       3        4 2  2
+--R       b d x  + (- 2a b d  + 3b c d)x  + (6a b d  - 9a b c d + 3b c )x
+--R     + 
+--R          3   2      2 2          3 2       4 2     3          2 2 2
+--R       (9a b d  - 12a b c d + 3a b c )x - 3a d  + 6a b c d - 3a b c
+--R  /
+--R       6        5
+--R     3b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  498
+
+--S  499 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  499
+
+--S  500 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  500
+
+)clear all
+
+--S  501 of 1092
+t0:=x*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 3         2    2
+--R        d x  + 2c d x  + c x
+--R   (1)  --------------------
+--R          2 2             2
+--R         b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  501
+
+--S  502 of 1092
+r0:=2*d*(b*c-a*d)*x/b^3+1/2*d^2*x^2/b^2+a*(b*c-a*d)^2/(b^4*(a+b*x))+_
+     (b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R           2   2       2        3 2       3 2     2            2 2
+--R       ((6a b d  - 8a b c d + 2b c )x + 6a d  - 8a b c d + 2a b c )log(b x + a)
+--R     + 
+--R        3 2 3          2 2     3     2        2   2       2          3 2
+--R       b d x  + (- 3a b d  + 4b c d)x  + (- 4a b d  + 4a b c d)x + 2a d
+--R     + 
+--R           2            2 2
+--R       - 4a b c d + 2a b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  502
+
+--S  503 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2   2       2        3 2       3 2     2            2 2
+--R       ((6a b d  - 8a b c d + 2b c )x + 6a d  - 8a b c d + 2a b c )log(b x + a)
+--R     + 
+--R        3 2 3          2 2     3     2        2   2       2          3 2
+--R       b d x  + (- 3a b d  + 4b c d)x  + (- 4a b d  + 4a b c d)x + 2a d
+--R     + 
+--R           2            2 2
+--R       - 4a b c d + 2a b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  503
+
+--S  504 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  504
+
+--S  505 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  505
+
+)clear all
+
+--S  506 of 1092
+t0:=(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  506
+
+--S  507 of 1092
+r0:=d^2*x/b^2-(b*c-a*d)^2/(b^3*(a+b*x))+2*d*(b*c-a*d)*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                                    Type: Expression(Integer)
+--E  507
+
+--S  508 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  508
+
+--S  509 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  509
+
+--S  510 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  510
+
+)clear all
+
+--S  511 of 1092
+t0:=(c+d*x)^2/(x*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2
+--R         d x  + 2c d x + c
+--R   (1)  --------------------
+--R         2 3         2    2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  511
+
+--S  512 of 1092
+r0:=(b*c-a*d)^2/(a*b^2*(a+b*x))+c^2*log(x)/a^2-(c^2/a^2-d^2/b^2)*log(a+b*x)
+--R 
+--R
+--R   (2)
+--R          2   2    3 2      3 2      2 2                  3 2       2 2
+--R       ((a b d  - b c )x + a d  - a b c )log(b x + a) + (b c x + a b c )log(x)
+--R     + 
+--R        3 2     2           2 2
+--R       a d  - 2a b c d + a b c
+--R  /
+--R      2 3     3 2
+--R     a b x + a b
+--R                                                    Type: Expression(Integer)
+--E  512
+
+--S  513 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2   2    3 2      3 2      2 2                  3 2       2 2
+--R       ((a b d  - b c )x + a d  - a b c )log(b x + a) + (b c x + a b c )log(x)
+--R     + 
+--R        3 2     2           2 2
+--R       a d  - 2a b c d + a b c
+--R  /
+--R      2 3     3 2
+--R     a b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  513
+
+--S  514 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  514
+
+--S  515 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  515
+
+)clear all
+
+--S  516 of 1092
+t0:=(c+d*x)^2/(x^2*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  516
+
+--S  517 of 1092
+r0:=-c^2/(a^2*x)-(b*c-a*d)^2/(a^2*b*(a+b*x))-2*c*(b*c-a*d)*_
+     log(x)/a^3+2*c*(b*c-a*d)*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R               2        3 2  2        2            2 2
+--R       ((- 2a b c d + 2b c )x  + (- 2a b c d + 2a b c )x)log(b x + a)
+--R     + 
+--R             2        3 2  2      2            2 2
+--R       ((2a b c d - 2b c )x  + (2a b c d - 2a b c )x)log(x)
+--R     + 
+--R           3 2     2            2 2      2   2
+--R       (- a d  + 2a b c d - 2a b c )x - a b c
+--R  /
+--R      3 2 2    4
+--R     a b x  + a b x
+--R                                                    Type: Expression(Integer)
+--E  517
+
+--S  518 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2        3 2  2        2            2 2
+--R       ((- 2a b c d + 2b c )x  + (- 2a b c d + 2a b c )x)log(b x + a)
+--R     + 
+--R             2        3 2  2      2            2 2
+--R       ((2a b c d - 2b c )x  + (2a b c d - 2a b c )x)log(x)
+--R     + 
+--R           3 2     2            2 2      2   2
+--R       (- a d  + 2a b c d - 2a b c )x - a b c
+--R  /
+--R      3 2 2    4
+--R     a b x  + a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  518
+
+--S  519 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  519
+
+--S  520 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  520
+
+)clear all
+
+--S  521 of 1092
+t0:=(c+d*x)^2/(x^3*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 5         4    2 3
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  521
+
+--S  522 of 1092
+r0:=-1/2*c^2/(a^2*x^2)+2*c*(b*c-a*d)/(a^3*x)+(b*c-a*d)^2/(a^3*(a+b*x))+_
+     (b*c-a*d)*(3*b*c-a*d)*log(x)/a^4-(b*c-a*d)*(3*b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R               2   2       2        3 2  3        3 2     2            2 2  2
+--R         ((- 2a b d  + 8a b c d - 6b c )x  + (- 2a d  + 8a b c d - 6a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           2   2       2        3 2  3      3 2     2            2 2  2
+--R       ((2a b d  - 8a b c d + 6b c )x  + (2a d  - 8a b c d + 6a b c )x )log(x)
+--R     + 
+--R          3 2     2            2 2  2        3        2   2      3 2
+--R       (2a d  - 8a b c d + 6a b c )x  + (- 4a c d + 3a b c )x - a c
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                                    Type: Expression(Integer)
+--E  522
+
+--S  523 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2   2       2        3 2  3        3 2     2            2 2  2
+--R         ((- 2a b d  + 8a b c d - 6b c )x  + (- 2a d  + 8a b c d - 6a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           2   2       2        3 2  3      3 2     2            2 2  2
+--R       ((2a b d  - 8a b c d + 6b c )x  + (2a d  - 8a b c d + 6a b c )x )log(x)
+--R     + 
+--R          3 2     2            2 2  2        3        2   2      3 2
+--R       (2a d  - 8a b c d + 6a b c )x  + (- 4a c d + 3a b c )x - a c
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  523
+
+--S  524 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  524
+
+--S  525 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  525
+
+)clear all
+
+--S  526 of 1092
+t0:=(c+d*x)^2/(x^4*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 6         5    2 4
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  526
+
+--S  527 of 1092
+r0:=-1/3*c^2/(a^2*x^3)+c*(b*c-a*d)/(a^3*x^2)-(b*c-a*d)*(3*b*c-a*d)/_
+     (a^4*x)-b*(b*c-a*d)^2/(a^4*(a+b*x))-2*b*(b*c-a*d)*(2*b*c-a*d)*_
+     log(x)/a^5+2*b*(b*c-a*d)*(2*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             2 2 2        3         4 2  4      3   2      2 2           3 2  3
+--R         ((6a b d  - 18a b c d + 12b c )x  + (6a b d  - 18a b c d + 12a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2 2        3         4 2  4
+--R           (- 6a b d  + 18a b c d - 12b c )x
+--R         + 
+--R                3   2      2 2           3 2  3
+--R           (- 6a b d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            3   2      2 2           3 2  3        4 2     3          2 2 2  2
+--R       (- 6a b d  + 18a b c d - 12a b c )x  + (- 3a d  + 9a b c d - 6a b c )x
+--R     + 
+--R            4        3   2      4 2
+--R       (- 3a c d + 2a b c )x - a c
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                                    Type: Expression(Integer)
+--E  527
+
+--S  528 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2        3         4 2  4      3   2      2 2           3 2  3
+--R         ((6a b d  - 18a b c d + 12b c )x  + (6a b d  - 18a b c d + 12a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2 2        3         4 2  4
+--R           (- 6a b d  + 18a b c d - 12b c )x
+--R         + 
+--R                3   2      2 2           3 2  3
+--R           (- 6a b d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            3   2      2 2           3 2  3        4 2     3          2 2 2  2
+--R       (- 6a b d  + 18a b c d - 12a b c )x  + (- 3a d  + 9a b c d - 6a b c )x
+--R     + 
+--R            4        3   2      4 2
+--R       (- 3a c d + 2a b c )x - a c
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  528
+
+--S  529 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  529
+
+--S  530 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  530
+
+)clear all
+
+--S  531 of 1092
+t0:=(c+d*x)^2/(x^5*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 7         6    2 5
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  531
+
+--S  532 of 1092
+r0:=-1/4*c^2/(a^2*x^4)+2/3*c*(b*c-a*d)/(a^3*x^3)-1/2*(b*c-a*d)*_
+     (3*b*c-a*d)/(a^4*x^2)+2*b*(b*c-a*d)*(2*b*c-a*d)/(a^5*x)+_
+     b^2*(b*c-a*d)^2/(a^5*(a+b*x))+b^2*(5*b*c-3*a*d)*(b*c-a*d)*_
+     log(x)/a^6-b^2*(5*b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R                 2 3 2        4         5 2  5
+--R           (- 36a b d  + 96a b c d - 60b c )x
+--R         + 
+--R                 3 2 2      2 3           4 2  4
+--R           (- 36a b d  + 96a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2 3 2        4         5 2  5
+--R             (36a b d  - 96a b c d + 60b c )x
+--R           + 
+--R                 3 2 2      2 3           4 2  4
+--R             (36a b d  - 96a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           3 2 2      2 3           4 2  4       4   2      3 2         2 3 2  3
+--R       (36a b d  - 96a b c d + 60a b c )x  + (18a b d  - 48a b c d + 30a b c )x
+--R     + 
+--R            5 2      4           3 2 2  2        5        4   2       5 2
+--R       (- 6a d  + 16a b c d - 10a b c )x  + (- 8a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                                    Type: Expression(Integer)
+--E  532
+
+--S  533 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 3 2        4         5 2  5
+--R           (- 36a b d  + 96a b c d - 60b c )x
+--R         + 
+--R                 3 2 2      2 3           4 2  4
+--R           (- 36a b d  + 96a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2 3 2        4         5 2  5
+--R             (36a b d  - 96a b c d + 60b c )x
+--R           + 
+--R                 3 2 2      2 3           4 2  4
+--R             (36a b d  - 96a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           3 2 2      2 3           4 2  4       4   2      3 2         2 3 2  3
+--R       (36a b d  - 96a b c d + 60a b c )x  + (18a b d  - 48a b c d + 30a b c )x
+--R     + 
+--R            5 2      4           3 2 2  2        5        4   2       5 2
+--R       (- 6a d  + 16a b c d - 10a b c )x  + (- 8a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  533
+
+--S  534 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  534
+
+--S  535 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  535
+
+)clear all
+
+--S  536 of 1092
+t0:=x^4*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 7       2 6     2   5    3 4
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  536
+
+--S  537 of 1092
+r0:=3*a^2*(b*c-2*a*d)*(b*c-a*d)^2*x/b^7-1/2*a*(2*b*c-5*a*d)*_
+     (b*c-a*d)^2*x^2/b^6+1/3*(b*c-4*a*d)*(b*c-a*d)^2*x^3/b^5+_
+     3/4*d*(b*c-a*d)^2*x^4/b^4+1/5*d^2*(3*b*c-2*a*d)*x^5/b^3+_
+     1/6*d^3*x^6/b^2-a^4*(b*c-a*d)^3/(b^8*(a+b*x))-_
+     a^3*(4*b*c-7*a*d)*(b*c-a*d)^2*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                6   3        5 2   2       4 3 2        3 4 3         7 3
+--R           (420a b d  - 1080a b c d  + 900a b c d - 240a b c )x + 420a d
+--R         + 
+--R                  6     2       5 2 2        4 3 3
+--R           - 1080a b c d  + 900a b c d - 240a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 3 7           6 3      7   2  6
+--R       10b d x  + (- 14a b d  + 36b c d )x
+--R     + 
+--R           2 5 3        6   2      7 2   5
+--R       (21a b d  - 54a b c d  + 45b c d)x
+--R     + 
+--R             3 4 3      2 5   2        6 2       7 3  4
+--R       (- 35a b d  + 90a b c d  - 75a b c d + 20b c )x
+--R     + 
+--R           4 3 3       3 4   2       2 5 2         6 3  3
+--R       (70a b d  - 180a b c d  + 150a b c d - 40a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 540a b c d  - 450a b c d + 120a b c )x
+--R     + 
+--R              6   3       5 2   2       4 3 2        3 4 3        7 3
+--R       (- 360a b d  + 900a b c d  - 720a b c d + 180a b c )x + 60a d
+--R     + 
+--R             6     2       5 2 2       4 3 3
+--R       - 180a b c d  + 180a b c d - 60a b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                                    Type: Expression(Integer)
+--E  537
+
+--S  538 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                6   3        5 2   2       4 3 2        3 4 3         7 3
+--R           (420a b d  - 1080a b c d  + 900a b c d - 240a b c )x + 420a d
+--R         + 
+--R                  6     2       5 2 2        4 3 3
+--R           - 1080a b c d  + 900a b c d - 240a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 3 7           6 3      7   2  6
+--R       10b d x  + (- 14a b d  + 36b c d )x
+--R     + 
+--R           2 5 3        6   2      7 2   5
+--R       (21a b d  - 54a b c d  + 45b c d)x
+--R     + 
+--R             3 4 3      2 5   2        6 2       7 3  4
+--R       (- 35a b d  + 90a b c d  - 75a b c d + 20b c )x
+--R     + 
+--R           4 3 3       3 4   2       2 5 2         6 3  3
+--R       (70a b d  - 180a b c d  + 150a b c d - 40a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 540a b c d  - 450a b c d + 120a b c )x
+--R     + 
+--R              6   3       5 2   2       4 3 2        3 4 3        7 3
+--R       (- 360a b d  + 900a b c d  - 720a b c d + 180a b c )x + 60a d
+--R     + 
+--R             6     2       5 2 2       4 3 3
+--R       - 180a b c d  + 180a b c d - 60a b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  538
+
+--S  539 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  539
+
+--S  540 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  540
+
+)clear all
+
+--S  541 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  541
+
+--S  542 of 1092
+r0:=-a*(2*b*c-5*a*d)*(b*c-a*d)^2*x/b^6+1/2*(b*c-4*a*d)*(b*c-a*d)^2*_
+     x^2/b^5+d*(b*c-a*d)^2*x^3/b^4+1/4*d^2*(3*b*c-2*a*d)*x^4/b^3+_
+     1/5*d^3*x^5/b^2+a^3*(b*c-a*d)^3/(b^7*(a+b*x))+_
+     3*a^2*(b*c-2*a*d)*(b*c-a*d)^2*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                  5   3       4 2   2       3 3 2       2 4 3         6 3
+--R           (- 120a b d  + 300a b c d  - 240a b c d + 60a b c )x - 120a d
+--R         + 
+--R               5     2       4 2 2       3 3 3
+--R           300a b c d  - 240a b c d + 60a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 3 6          5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       4b d x  + (- 6a b d  + 15b c d )x  + (10a b d  - 25a b c d  + 20b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 50a b c d  - 40a b c d + 10b c )x
+--R     + 
+--R           4 2 3       3 3   2       2 4 2         5 3  2
+--R       (60a b d  - 150a b c d  + 120a b c d - 30a b c )x
+--R     + 
+--R            5   3       4 2   2       3 3 2       2 4 3        6 3      5     2
+--R       (100a b d  - 240a b c d  + 180a b c d - 40a b c )x - 20a d  + 60a b c d
+--R     + 
+--R            4 2 2       3 3 3
+--R       - 60a b c d + 20a b c
+--R  /
+--R        8         7
+--R     20b x + 20a b
+--R                                                    Type: Expression(Integer)
+--E  542
+
+--S  543 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  5   3       4 2   2       3 3 2       2 4 3         6 3
+--R           (- 120a b d  + 300a b c d  - 240a b c d + 60a b c )x - 120a d
+--R         + 
+--R               5     2       4 2 2       3 3 3
+--R           300a b c d  - 240a b c d + 60a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 3 6          5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       4b d x  + (- 6a b d  + 15b c d )x  + (10a b d  - 25a b c d  + 20b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 50a b c d  - 40a b c d + 10b c )x
+--R     + 
+--R           4 2 3       3 3   2       2 4 2         5 3  2
+--R       (60a b d  - 150a b c d  + 120a b c d - 30a b c )x
+--R     + 
+--R            5   3       4 2   2       3 3 2       2 4 3        6 3      5     2
+--R       (100a b d  - 240a b c d  + 180a b c d - 40a b c )x - 20a d  + 60a b c d
+--R     + 
+--R            4 2 2       3 3 3
+--R       - 60a b c d + 20a b c
+--R  /
+--R        8         7
+--R     20b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  543
+
+--S  544 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  544
+
+--S  545 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  545
+
+)clear all
+
+--S  546 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  546
+
+--S  547 of 1092
+r0:=(b*c-4*a*d)*(b*c-a*d)^2*x/b^5+3/2*d*(b*c-a*d)^2*x^2/b^4+_
+     1/3*d^2*(3*b*c-2*a*d)*x^3/b^3+1/4*d^3*x^4/b^2-a^2*_
+     (b*c-a*d)^3/(b^6*(a+b*x))-a*(2*b*c-5*a*d)*(b*c-a*d)^2*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R               4   3       3 2   2       2 3 2         4 3        5 3
+--R           (60a b d  - 144a b c d  + 108a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 4     2       3 2 2       2 3 3
+--R           - 144a b c d  + 108a b c d - 24a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       3b d x  + (- 5a b d  + 12b c d )x  + (10a b d  - 24a b c d  + 18b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 72a b c d  - 54a b c d + 12b c )x
+--R     + 
+--R             4   3       3 2   2      2 3 2         4 3        5 3      4     2
+--R       (- 48a b d  + 108a b c d  - 72a b c d + 12a b c )x + 12a d  - 36a b c d
+--R     + 
+--R          3 2 2       2 3 3
+--R       36a b c d - 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E  547
+
+--S  548 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               4   3       3 2   2       2 3 2         4 3        5 3
+--R           (60a b d  - 144a b c d  + 108a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 4     2       3 2 2       2 3 3
+--R           - 144a b c d  + 108a b c d - 24a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       3b d x  + (- 5a b d  + 12b c d )x  + (10a b d  - 24a b c d  + 18b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 72a b c d  - 54a b c d + 12b c )x
+--R     + 
+--R             4   3       3 2   2      2 3 2         4 3        5 3      4     2
+--R       (- 48a b d  + 108a b c d  - 72a b c d + 12a b c )x + 12a d  - 36a b c d
+--R     + 
+--R          3 2 2       2 3 3
+--R       36a b c d - 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  548
+
+--S  549 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  549
+
+--S  550 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  550
+
+)clear all
+
+--S  551 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  551
+
+--S 552 of 1092
+r0:=3*d*(b*c-a*d)^2*x/b^4+1/2*d^2*(3*b*c-2*a*d)*x^2/b^3+1/3*d^3*x^3/b^2+_
+     a*(b*c-a*d)^3/(b^5*(a+b*x))+(b*c-4*a*d)*(b*c-a*d)^2*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                 3   3      2 2   2        3 2      4 3        4 3      3     2
+--R           (- 24a b d  + 54a b c d  - 36a b c d + 6b c )x - 24a d  + 54a b c d
+--R         + 
+--R                2 2 2        3 3
+--R           - 36a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 4          3 3     4   2  3       2 2 3        3   2      4 2   2
+--R       2b d x  + (- 4a b d  + 9b c d )x  + (12a b d  - 27a b c d  + 18b c d)x
+--R     + 
+--R           3   3      2 2   2        3 2        4 3      3     2      2 2 2
+--R       (18a b d  - 36a b c d  + 18a b c d)x - 6a d  + 18a b c d  - 18a b c d
+--R     + 
+--R           3 3
+--R       6a b c
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 552
+
+--S  553 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3   3      2 2   2        3 2      4 3        4 3      3     2
+--R           (- 24a b d  + 54a b c d  - 36a b c d + 6b c )x - 24a d  + 54a b c d
+--R         + 
+--R                2 2 2        3 3
+--R           - 36a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 4          3 3     4   2  3       2 2 3        3   2      4 2   2
+--R       2b d x  + (- 4a b d  + 9b c d )x  + (12a b d  - 27a b c d  + 18b c d)x
+--R     + 
+--R           3   3      2 2   2        3 2        4 3      3     2      2 2 2
+--R       (18a b d  - 36a b c d  + 18a b c d)x - 6a d  + 18a b c d  - 18a b c d
+--R     + 
+--R           3 3
+--R       6a b c
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  553
+
+--S  554 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  554
+
+--S  555 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  555
+
+)clear all
+
+--S  556 of 1092
+t0:=(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R              2 2             2
+--R             b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  556
+
+--S  557 of 1092
+r0:=d^2*(3*b*c-2*a*d)*x/b^3+1/2*d^3*x^2/b^2-(b*c-a*d)^3/(b^4*(a+b*x))+_
+     3*d*(b*c-a*d)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  557
+
+--S  558 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  558
+
+--S  559 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  559
+
+--S  560 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  560
+
+)clear all
+
+--S  561 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 3         2    2
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  561
+
+--S  562 of 1092
+r0:=d^3*x/b^2+(b*c-a*d)^3/(a*b^3*(a+b*x))+c^3*log(x)/a^2-_
+     (b*c-a*d)^2*(b*c+2*a*d)*log(a+b*x)/(a^2*b^3)
+--R 
+--R
+--R   (2)
+--R               3   3     2 2   2    4 3       4 3     3     2      3 3
+--R         ((- 2a b d  + 3a b c d  - b c )x - 2a d  + 3a b c d  - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3       3 3           2 2 3 2    3   3     4 3     3     2     2 2 2
+--R       (b c x + a b c )log(x) + a b d x  + a b d x - a d  + 3a b c d  - 3a b c d
+--R     + 
+--R          3 3
+--R       a b c
+--R  /
+--R      2 4     3 3
+--R     a b x + a b
+--R                                                    Type: Expression(Integer)
+--E  562
+
+--S  563 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3   3     2 2   2    4 3       4 3     3     2      3 3
+--R         ((- 2a b d  + 3a b c d  - b c )x - 2a d  + 3a b c d  - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3       3 3           2 2 3 2    3   3     4 3     3     2     2 2 2
+--R       (b c x + a b c )log(x) + a b d x  + a b d x - a d  + 3a b c d  - 3a b c d
+--R     + 
+--R          3 3
+--R       a b c
+--R  /
+--R      2 4     3 3
+--R     a b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  563
+
+--S  564 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  564
+
+--S  565 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  565
+
+)clear all
+
+--S  566 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 4         3    2 2
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  566
+
+--S  567 of 1092
+r0:=-c^3/(a^2*x)-(b*c-a*d)^3/(a^2*b^2*(a+b*x))-c^2*(2*b*c-3*a*d)*_
+     log(x)/a^3+(b*c-a*d)^2*(2*b*c+a*d)*log(a+b*x)/(a^3*b^2)
+--R 
+--R
+--R   (2)
+--R            3   3       3 2      4 3  2     4 3     2 2 2        3 3
+--R         ((a b d  - 3a b c d + 2b c )x  + (a d  - 3a b c d + 2a b c )x)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 2      4 3  2      2 2 2        3 3
+--R       ((3a b c d - 2b c )x  + (3a b c d - 2a b c )x)log(x)
+--R     + 
+--R         4 3     3     2     2 2 2        3 3      2 2 3
+--R       (a d  - 3a b c d  + 3a b c d - 2a b c )x - a b c
+--R  /
+--R      3 3 2    4 2
+--R     a b x  + a b x
+--R                                                    Type: Expression(Integer)
+--E  567
+
+--S  568 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3   3       3 2      4 3  2     4 3     2 2 2        3 3
+--R         ((a b d  - 3a b c d + 2b c )x  + (a d  - 3a b c d + 2a b c )x)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 2      4 3  2      2 2 2        3 3
+--R       ((3a b c d - 2b c )x  + (3a b c d - 2a b c )x)log(x)
+--R     + 
+--R         4 3     3     2     2 2 2        3 3      2 2 3
+--R       (a d  - 3a b c d  + 3a b c d - 2a b c )x - a b c
+--R  /
+--R      3 3 2    4 2
+--R     a b x  + a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  568
+
+--S  569 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  569
+
+--S  570 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  570
+
+)clear all
+
+--S  571 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 5         4    2 3
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  571
+
+--S  572 of 1092
+r0:=-1/2*c^3/(a^2*x^2)+c^2*(2*b*c-3*a*d)/(a^3*x)+(b*c-a*d)^3/_
+     (a^3*b*(a+b*x))+3*c*(b*c-a*d)^2*log(x)/a^4-3*c*(b*c-a*d)^2*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R                2 2   2        3 2      4 3  3
+--R           (- 6a b c d  + 12a b c d - 6b c )x
+--R         + 
+--R                3     2      2 2 2        3 3  2
+--R           (- 6a b c d  + 12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2   2        3 2      4 3  3
+--R             (6a b c d  - 12a b c d + 6b c )x
+--R           + 
+--R                3     2      2 2 2        3 3  2
+--R             (6a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4 3     3     2      2 2 2        3 3  2        3   2      2 2 3
+--R       (- 2a d  + 6a b c d  - 12a b c d + 6a b c )x  + (- 6a b c d + 3a b c )x
+--R     + 
+--R          3   3
+--R       - a b c
+--R  /
+--R       4 2 3     5   2
+--R     2a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  572
+
+--S  573 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 2   2        3 2      4 3  3
+--R           (- 6a b c d  + 12a b c d - 6b c )x
+--R         + 
+--R                3     2      2 2 2        3 3  2
+--R           (- 6a b c d  + 12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2   2        3 2      4 3  3
+--R             (6a b c d  - 12a b c d + 6b c )x
+--R           + 
+--R                3     2      2 2 2        3 3  2
+--R             (6a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4 3     3     2      2 2 2        3 3  2        3   2      2 2 3
+--R       (- 2a d  + 6a b c d  - 12a b c d + 6a b c )x  + (- 6a b c d + 3a b c )x
+--R     + 
+--R          3   3
+--R       - a b c
+--R  /
+--R       4 2 3     5   2
+--R     2a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  573
+
+--S  574 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  574
+
+--S  575 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  575
+
+)clear all
+
+--S  576 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 6         5    2 4
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  576
+
+--S  577 of 1092
+r0:=-1/3*c^3/(a^2*x^3)+1/2*c^2*(2*b*c-3*a*d)/(a^3*x^2)-3*c*(b*c-a*d)^2/_
+     (a^4*x)-(b*c-a*d)^3/(a^4*(a+b*x))-(b*c-a*d)^2*(4*b*c-a*d)*log(x)/_
+     a^5+(b*c-a*d)^2*(4*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R                3   3      2 2   2        3 2       4 3  4
+--R           (- 6a b d  + 36a b c d  - 54a b c d + 24b c )x
+--R         + 
+--R                4 3      3     2      2 2 2         3 3  3
+--R           (- 6a d  + 36a b c d  - 54a b c d + 24a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3   3      2 2   2        3 2       4 3  4
+--R           (6a b d  - 36a b c d  + 54a b c d - 24b c )x
+--R         + 
+--R              4 3      3     2      2 2 2         3 3  3
+--R           (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4 3      3     2      2 2 2         3 3  3
+--R       (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R     + 
+--R             4   2      3   2       2 2 3  2        4 2      3   3       4 3
+--R       (- 18a c d  + 27a b c d - 12a b c )x  + (- 9a c d + 4a b c )x - 2a c
+--R  /
+--R       5   4     6 3
+--R     6a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E  577
+
+--S  578 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3   3      2 2   2        3 2       4 3  4
+--R           (- 6a b d  + 36a b c d  - 54a b c d + 24b c )x
+--R         + 
+--R                4 3      3     2      2 2 2         3 3  3
+--R           (- 6a d  + 36a b c d  - 54a b c d + 24a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3   3      2 2   2        3 2       4 3  4
+--R           (6a b d  - 36a b c d  + 54a b c d - 24b c )x
+--R         + 
+--R              4 3      3     2      2 2 2         3 3  3
+--R           (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4 3      3     2      2 2 2         3 3  3
+--R       (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R     + 
+--R             4   2      3   2       2 2 3  2        4 2      3   3       4 3
+--R       (- 18a c d  + 27a b c d - 12a b c )x  + (- 9a c d + 4a b c )x - 2a c
+--R  /
+--R       5   4     6 3
+--R     6a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  578
+
+--S  579 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  579
+
+--S  580 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  580
+
+)clear all
+
+--S  581 of 1092
+t0:=(c+d*x)^3/(x^5*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 7         6    2 5
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  581
+
+--S  582 of 1092
+r0:=-1/4*c^3/(a^2*x^4)+1/3*c^2*(2*b*c-3*a*d)/(a^3*x^3)-_
+     3/2*c*(b*c-a*d)^2/(a^4*x^2)+(b*c-a*d)^2*(4*b*c-a*d)/_
+     (a^5*x)+b*(b*c-a*d)^3/(a^5*(a+b*x))+b*(5*b*c-2*a*d)*_
+     (b*c-a*d)^2*log(x)/a^6-b*(5*b*c-2*a*d)*(b*c-a*d)^2*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R               3 2 3       2 3   2         4 2       5 3  5
+--R           (24a b d  - 108a b c d  + 144a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2         4 3  4
+--R           (24a b d  - 108a b c d  + 144a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 3 2 3       2 3   2         4 2       5 3  5
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2         4 3  4
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R             4   3       3 2   2       2 3 2         4 3  4
+--R       (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 12a d  + 54a b c d  - 72a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2      4   3       5 3
+--R       (- 18a c d  + 24a b c d - 10a b c )x  + (- 12a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                                    Type: Expression(Integer)
+--E  582
+
+--S  583 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 2 3       2 3   2         4 2       5 3  5
+--R           (24a b d  - 108a b c d  + 144a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2         4 3  4
+--R           (24a b d  - 108a b c d  + 144a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 3 2 3       2 3   2         4 2       5 3  5
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2         4 3  4
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R             4   3       3 2   2       2 3 2         4 3  4
+--R       (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 12a d  + 54a b c d  - 72a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2      4   3       5 3
+--R       (- 18a c d  + 24a b c d - 10a b c )x  + (- 12a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  583
+
+--S  584 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  584
+
+--S  585 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  585
+
+)clear all
+
+--S  586 of 1092
+t0:=(c+d*x)^3/(x^6*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 8         7    2 6
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  586
+
+--S  587 of 1092
+r0:=-1/5*c^3/(a^2*x^5)+1/4*c^2*(2*b*c-3*a*d)/(a^3*x^4)-c*(b*c-a*d)^2/_
+     (a^4*x^3)+1/2*(b*c-a*d)^2*(4*b*c-a*d)/(a^5*x^2)-_
+     b*(5*b*c-2*a*d)*(b*c-a*d)^2/(a^6*x)-b^2*(b*c-a*d)^3/_
+     (a^6*(a+b*x))-3*b^2*(b*c-a*d)^2*(2*b*c-a*d)*log(x)/a^7+_
+     3*b^2*(b*c-a*d)^2*(2*b*c-a*d)*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R                 3 3 3       2 4   2         5 2        6 3  6
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120b c )x
+--R         + 
+--R                 4 2 3       3 3   2       2 4 2          5 3  5
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               3 3 3       2 4   2         5 2        6 3  6
+--R           (60a b d  - 240a b c d  + 300a b c d - 120b c )x
+--R         + 
+--R               4 2 3       3 3   2       2 4 2          5 3  5
+--R           (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           4 2 3       3 3   2       2 4 2          5 3  5
+--R       (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R     + 
+--R           5   3       4 2   2       3 3 2       2 4 3  4
+--R       (30a b d  - 120a b c d  + 150a b c d - 60a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 10a d  + 40a b c d  - 50a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2      5   3       6 3
+--R       (- 20a c d  + 25a b c d - 10a b c )x  + (- 15a c d + 6a b c )x - 4a c
+--R  /
+--R        7   6      8 5
+--R     20a b x  + 20a x
+--R                                                    Type: Expression(Integer)
+--E  587
+
+--S  588 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3 3 3       2 4   2         5 2        6 3  6
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120b c )x
+--R         + 
+--R                 4 2 3       3 3   2       2 4 2          5 3  5
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               3 3 3       2 4   2         5 2        6 3  6
+--R           (60a b d  - 240a b c d  + 300a b c d - 120b c )x
+--R         + 
+--R               4 2 3       3 3   2       2 4 2          5 3  5
+--R           (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           4 2 3       3 3   2       2 4 2          5 3  5
+--R       (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R     + 
+--R           5   3       4 2   2       3 3 2       2 4 3  4
+--R       (30a b d  - 120a b c d  + 150a b c d - 60a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 10a d  + 40a b c d  - 50a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2      5   3       6 3
+--R       (- 20a c d  + 25a b c d - 10a b c )x  + (- 15a c d + 6a b c )x - 4a c
+--R  /
+--R        7   6      8 5
+--R     20a b x  + 20a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  588
+
+--S  589 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  589
+
+--S  590 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  590
+
+)clear all
+
+--S  591 of 1092
+t0:=(2-3*x)^3*sqrt(x)/(1+x)^2
+--R 
+--R
+--R              3      2            +-+
+--R        (- 27x  + 54x  - 36x + 8)\|x
+--R   (1)  -----------------------------
+--R                  2
+--R                 x  + 2x + 1
+--R                                                    Type: Expression(Integer)
+--E  591
+
+--S  592 of 1092
+r0a:=72*x^(3/2)-54/5*x^(5/2)+575*atan(sqrt(x))-450*sqrt(x)-_
+     125*sqrt(x)/(1+x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (2)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                                    Type: Expression(Integer)
+--E  592
+
+--S  593 of 1092
+r0b:=575*atan(sqrt(x))-2689/5*sqrt(x)-_
+     1/5*(62-513*x)*sqrt(x)-21/5*(2-3*x)^2*sqrt(x)-(2-3*x)^3*sqrt(x)/(1+x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (3)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                                    Type: Expression(Integer)
+--E  593
+
+--S  594 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (4)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                         Type: Union(Expression(Integer),...)
+--E  594
+
+--S  595 of 1092
+m0a:=a0-r0a
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  595
+
+--S  596 of 1092
+d0:=D(m0a,x)
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E  596
+
+--S  597 of 1092
+m0b:=a0-r0b
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  597
+
+--S  598 of 1092
+d0:=D(m0b,x)
+--R 
+--R
+--R   (8)  0
+--R                                                    Type: Expression(Integer)
+--E  598
+
+)clear all
+
+--S  599 of 1092
+t0:=x^6/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  599
+
+--S  600 of 1092
+r0:=(3*b^2*c^2+4*a*b*c*d+3*a^2*d^2)*x/(b^4*d^4)-(b*c+a*d)*x^2/(b^3*d^3)+_
+     1/3*x^3/(b^2*d^2)-a^6/(b^5*(b*c-a*d)^2*(a+b*x))-_
+     c^6/(d^5*(b*c-a*d)^2*(c+d*x))-2*a^5*(3*b*c-2*a*d)*log(a+b*x)/_
+     (b^5*(b*c-a*d)^3)-2*c^5*(2*b*c-3*a*d)*log(c+d*x)/(d^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                   6 5 2      7 6   2         2 5 5 2       6 6       7 7
+--R           (- 18a b c d  + 12b c d)x  + (- 18a b c d  - 6a b c d + 12b c )x
+--R         + 
+--R                2 5 6         6 7
+--R           - 18a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6   7      5 2   6  2         7 7     6     6      5 2 2 5
+--R           (- 12a b d  + 18a b c d )x  + (- 12a d  + 6a b c d  + 18a b c d )x
+--R         + 
+--R                7   6      6   2 5
+--R           - 12a c d  + 18a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 4 7     2 5   6       6 2 5    7 3 4  5
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 3 7     3 4   6       6 3 4     7 4 3  4
+--R       (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R          5 2 7      4 3   6     3 4 2 5     2 5 3 4        6 4 3     7 5 2  3
+--R       (6a b d  - 11a b c d  + 3a b c d  - 3a b c d  + 11a b c d  - 6b c d )x
+--R     + 
+--R          6   7     5 2   6     4 3 2 5     2 5 4 3       6 5 2     7 6   2
+--R       (9a b d  - 9a b c d  - 9a b c d  + 9a b c d  + 9a b c d  - 9b c d)x
+--R     + 
+--R            7 7      6     6      5 2 2 5      2 5 5 2        6 6      7 7
+--R       (- 3a d  + 12a b c d  - 15a b c d  + 15a b c d  - 12a b c d + 3b c )x
+--R     + 
+--R           7   6     6   2 5     2 5 6        6 7
+--R       - 3a c d  + 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R          3 6 9     2 7   8       8 2 7     9 3 6  2
+--R       (3a b d  - 9a b c d  + 9a b c d  - 3b c d )x
+--R     + 
+--R          4 5 9     3 6   8       8 3 6     9 4 5       4 5   8     3 6 2 7
+--R       (3a b d  - 6a b c d  + 6a b c d  - 3b c d )x + 3a b c d  - 9a b c d
+--R     + 
+--R         2 7 3 6       8 4 5
+--R       9a b c d  - 3a b c d
+--R                                                    Type: Expression(Integer)
+--E  600
+
+--S  601 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   6 5 2      7 6   2         2 5 5 2       6 6       7 7
+--R           (- 18a b c d  + 12b c d)x  + (- 18a b c d  - 6a b c d + 12b c )x
+--R         + 
+--R                2 5 6         6 7
+--R           - 18a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6   7      5 2   6  2         7 7     6     6      5 2 2 5
+--R           (- 12a b d  + 18a b c d )x  + (- 12a d  + 6a b c d  + 18a b c d )x
+--R         + 
+--R                7   6      6   2 5
+--R           - 12a c d  + 18a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 4 7     2 5   6       6 2 5    7 3 4  5
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 3 7     3 4   6       6 3 4     7 4 3  4
+--R       (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R          5 2 7      4 3   6     3 4 2 5     2 5 3 4        6 4 3     7 5 2  3
+--R       (6a b d  - 11a b c d  + 3a b c d  - 3a b c d  + 11a b c d  - 6b c d )x
+--R     + 
+--R          6   7     5 2   6     4 3 2 5     2 5 4 3       6 5 2     7 6   2
+--R       (9a b d  - 9a b c d  - 9a b c d  + 9a b c d  + 9a b c d  - 9b c d)x
+--R     + 
+--R            7 7      6     6      5 2 2 5      2 5 5 2        6 6      7 7
+--R       (- 3a d  + 12a b c d  - 15a b c d  + 15a b c d  - 12a b c d + 3b c )x
+--R     + 
+--R           7   6     6   2 5     2 5 6        6 7
+--R       - 3a c d  + 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R          3 6 9     2 7   8       8 2 7     9 3 6  2
+--R       (3a b d  - 9a b c d  + 9a b c d  - 3b c d )x
+--R     + 
+--R          4 5 9     3 6   8       8 3 6     9 4 5       4 5   8     3 6 2 7
+--R       (3a b d  - 6a b c d  + 6a b c d  - 3b c d )x + 3a b c d  - 9a b c d
+--R     + 
+--R         2 7 3 6       8 4 5
+--R       9a b c d  - 3a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  601
+
+--S  602 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  602
+
+--S  603 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  603
+
+)clear all
+
+--S  604 of 1092
+t0:=x^5/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  604
+
+--S  605 of 1092
+r0:=-2*(b*c+a*d)*x/(b^3*d^3)+1/2*x^2/(b^2*d^2)+a^5/(b^4*(b*c-a*d)^2*_
+     (a+b*x))+c^5/(d^4*(b*c-a*d)^2*(c+d*x))+a^4*(5*b*c-3*a*d)*_
+     log(a+b*x)/(b^4*(b*c-a*d)^3)+c^4*(3*b*c-5*a*d)*log(c+d*x)/_
+     (d^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 5 4 2     6 5   2       2 4 4 2       5 5      6 6
+--R           (10a b c d  - 6b c d)x  + (10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              2 4 5        5 6
+--R           10a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5   6      4 2   5  2      6 6     5     5      4 2 2 4
+--R           (6a b d  - 10a b c d )x  + (6a d  - 4a b c d  - 10a b c d )x
+--R         + 
+--R             6   5      5   2 4
+--R           6a c d  - 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 6     2 4   5       5 2 4    6 3 3  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 2 6     3 3   5       5 3 3     6 4 2  3
+--R       (- 3a b d  + 6a b c d  - 6a b c d  + 3b c d )x
+--R     + 
+--R            5   6     4 2   5     3 3 2 4     2 4 3 3       5 4 2     6 5   2
+--R       (- 4a b d  + 5a b c d  + 5a b c d  - 5a b c d  - 5a b c d  + 4b c d)x
+--R     + 
+--R          6 6     5     5     4 2 2 4     2 4 4 2       5 5      6 6       6   5
+--R       (2a d  - 6a b c d  + 8a b c d  - 8a b c d  + 6a b c d - 2b c )x + 2a c d
+--R     + 
+--R           5   2 4     2 4 5        5 6
+--R       - 2a b c d  + 2a b c d - 2a b c
+--R  /
+--R          3 5 8     2 6   7       7 2 6     8 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          4 4 8     3 5   7       7 3 5     8 4 4       4 4   7     3 5 2 6
+--R       (2a b d  - 4a b c d  + 4a b c d  - 2b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R         2 6 3 5       7 4 4
+--R       6a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  605
+
+--S  606 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 5 4 2     6 5   2       2 4 4 2       5 5      6 6
+--R           (10a b c d  - 6b c d)x  + (10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              2 4 5        5 6
+--R           10a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5   6      4 2   5  2      6 6     5     5      4 2 2 4
+--R           (6a b d  - 10a b c d )x  + (6a d  - 4a b c d  - 10a b c d )x
+--R         + 
+--R             6   5      5   2 4
+--R           6a c d  - 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 6     2 4   5       5 2 4    6 3 3  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 2 6     3 3   5       5 3 3     6 4 2  3
+--R       (- 3a b d  + 6a b c d  - 6a b c d  + 3b c d )x
+--R     + 
+--R            5   6     4 2   5     3 3 2 4     2 4 3 3       5 4 2     6 5   2
+--R       (- 4a b d  + 5a b c d  + 5a b c d  - 5a b c d  - 5a b c d  + 4b c d)x
+--R     + 
+--R          6 6     5     5     4 2 2 4     2 4 4 2       5 5      6 6       6   5
+--R       (2a d  - 6a b c d  + 8a b c d  - 8a b c d  + 6a b c d - 2b c )x + 2a c d
+--R     + 
+--R           5   2 4     2 4 5        5 6
+--R       - 2a b c d  + 2a b c d - 2a b c
+--R  /
+--R          3 5 8     2 6   7       7 2 6     8 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          4 4 8     3 5   7       7 3 5     8 4 4       4 4   7     3 5 2 6
+--R       (2a b d  - 4a b c d  + 4a b c d  - 2b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R         2 6 3 5       7 4 4
+--R       6a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  606
+
+--S  607 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  607
+
+--S  608 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  608
+
+)clear all
+
+--S  609 of 1092
+t0:=x^4/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  609
+
+--S  610 of 1092
+r0:=x/(b^2*d^2)-a^4/(b^3*(b*c-a*d)^2*(a+b*x))-c^4/(d^3*(b*c-a*d)^2*(c+d*x))-_
+     2*a^3*(2*b*c-a*d)*log(a+b*x)/(b^3*(b*c-a*d)^3)-_
+     2*c^3*(b*c-2*a*d)*log(c+d*x)/(d^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                  4 3 2     5 4   2        2 3 3 2       4 4      5 5
+--R           (- 4a b c d  + 2b c d)x  + (- 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               2 3 4        4 5
+--R           - 4a b c d + 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4   5     3 2   4  2        5 5     4     4     3 2 2 3
+--R           (- 2a b d  + 4a b c d )x  + (- 2a d  + 2a b c d  + 4a b c d )x
+--R         + 
+--R               5   4     4   2 3
+--R           - 2a c d  + 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 2 5     2 3   4       4 2 3    5 3 2  3
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4   2
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x
+--R     + 
+--R           5 5     4     4     3 2 2 3     2 3 3 2       4 4     5 5      5   4
+--R       (- a d  + 2a b c d  - 3a b c d  + 3a b c d  - 2a b c d + b c )x - a c d
+--R     + 
+--R        4   2 3    2 3 4       4 5
+--R       a b c d  - a b c d + a b c
+--R  /
+--R         3 4 7     2 5   6       6 2 5    7 3 4  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 3 7     3 4   6       6 3 4    7 4 3      4 3   6     3 4 2 5
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 5 3 4      6 4 3
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  610
+
+--S  611 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4 3 2     5 4   2        2 3 3 2       4 4      5 5
+--R           (- 4a b c d  + 2b c d)x  + (- 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               2 3 4        4 5
+--R           - 4a b c d + 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4   5     3 2   4  2        5 5     4     4     3 2 2 3
+--R           (- 2a b d  + 4a b c d )x  + (- 2a d  + 2a b c d  + 4a b c d )x
+--R         + 
+--R               5   4     4   2 3
+--R           - 2a c d  + 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 2 5     2 3   4       4 2 3    5 3 2  3
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4   2
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x
+--R     + 
+--R           5 5     4     4     3 2 2 3     2 3 3 2       4 4     5 5      5   4
+--R       (- a d  + 2a b c d  - 3a b c d  + 3a b c d  - 2a b c d + b c )x - a c d
+--R     + 
+--R        4   2 3    2 3 4       4 5
+--R       a b c d  - a b c d + a b c
+--R  /
+--R         3 4 7     2 5   6       6 2 5    7 3 4  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 3 7     3 4   6       6 3 4    7 4 3      4 3   6     3 4 2 5
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 5 3 4      6 4 3
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  611
+
+--S  612 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  612
+
+--S  613 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  613
+
+)clear all
+
+--S  614 of 1092
+t0:=x^3/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  614
+
+--S  615 of 1092
+r0:=a^3/(b^2*(b*c-a*d)^2*(a+b*x))+c^3/(d^2*(b*c-a*d)^2*(c+d*x))+_
+     a^2*(3*b*c-a*d)*log(a+b*x)/(b^2*(b*c-a*d)^3)+_
+     c^2*(b*c-3*a*d)*log(c+d*x)/(d^2*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                3 2 2    4 3   2      2 2 2 2       3 3     4 4       2 2 3
+--R           (3a b c d  - b c d)x  + (3a b c d  + 2a b c d - b c )x + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             3   4     2 2   3  2     4 4     3     3     2 2 2 2      4   3
+--R           (a b d  - 3a b c d )x  + (a d  - 2a b c d  - 3a b c d )x + a c d
+--R         + 
+--R               3   2 2
+--R           - 3a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R       4 4    3     3      3 3     4 4      4   3    3   2 2    2 2 3       3 4
+--R     (a d  - a b c d  + a b c d - b c )x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         3 3 6     2 4   5       5 2 4    6 3 3  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 2 6     3 3   5       5 3 3    6 4 2      4 2   5     3 3 2 4
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 4 3 3      5 4 2
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  615
+
+--S  616 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2 2    4 3   2      2 2 2 2       3 3     4 4       2 2 3
+--R           (3a b c d  - b c d)x  + (3a b c d  + 2a b c d - b c )x + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             3   4     2 2   3  2     4 4     3     3     2 2 2 2      4   3
+--R           (a b d  - 3a b c d )x  + (a d  - 2a b c d  - 3a b c d )x + a c d
+--R         + 
+--R               3   2 2
+--R           - 3a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R       4 4    3     3      3 3     4 4      4   3    3   2 2    2 2 3       3 4
+--R     (a d  - a b c d  + a b c d - b c )x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         3 3 6     2 4   5       5 2 4    6 3 3  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 2 6     3 3   5       5 3 3    6 4 2      4 2   5     3 3 2 4
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 4 3 3      5 4 2
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  616
+
+--S  617 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  617
+
+--S  618 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  618
+
+)clear all
+
+--S  619 of 1092
+t0:=x^2/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  619
+
+--S  620 of 1092
+r0:=-a^2/(b*(b*c-a*d)^2*(a+b*x))-c^2/(d*(b*c-a*d)^2*(c+d*x))-_
+     2*a*c*log(a+b*x)/(b*c-a*d)^3+2*a*c*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R              2   2 2        2     2       2 2        2   2
+--R       (- 2a b c d x  + (- 2a b c d  - 2a b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R            2   2 2      2     2       2 2        2   2
+--R       (2a b c d x  + (2a b c d  + 2a b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R           3 3    2     2      2 2     3 3      3   2      2 3
+--R       (- a d  + a b c d  - a b c d + b c )x - a c d  + a b c
+--R  /
+--R         3 2 5     2 3   4       4 2 3    5 3 2  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4       4     4     3 2 2 3
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x + a b c d  - 3a b c d
+--R     + 
+--R         2 3 3 2      4 4
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  620
+
+--S  621 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2   2 2        2     2       2 2        2   2
+--R       (- 2a b c d x  + (- 2a b c d  - 2a b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R            2   2 2      2     2       2 2        2   2
+--R       (2a b c d x  + (2a b c d  + 2a b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R           3 3    2     2      2 2     3 3      3   2      2 3
+--R       (- a d  + a b c d  - a b c d + b c )x - a c d  + a b c
+--R  /
+--R         3 2 5     2 3   4       4 2 3    5 3 2  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4       4     4     3 2 2 3
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x + a b c d  - 3a b c d
+--R     + 
+--R         2 3 3 2      4 4
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  621
+
+--S  622 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  622
+
+--S  623 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  623
+
+)clear all
+
+--S  624 of 1092
+t0:=x/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  624
+
+--S  625 of 1092
+r0:=a/((b*c-a*d)^2*(a+b*x))+c/((b*c-a*d)^2*(c+d*x))+_
+     (b*c+a*d)*log(a+b*x)/(b*c-a*d)^3-(b*c+a*d)*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R                2    2     2     2 2               2 2      2           2
+--R         ((a b d  + b c d)x  + (a d  + 2a b c d + b c )x + a c d + a b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  2    2     2       2 2               2 2      2           2
+--R         ((- a b d  - b c d)x  + (- a d  - 2a b c d - b c )x - a c d - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         2 2    2 2       2            2
+--R       (a d  - b c )x + 2a c d - 2a b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  625
+
+--S  626 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2    2     2     2 2               2 2      2           2
+--R         ((a b d  + b c d)x  + (a d  + 2a b c d + b c )x + a c d + a b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  2    2     2       2 2               2 2      2           2
+--R         ((- a b d  - b c d)x  + (- a d  - 2a b c d - b c )x - a c d - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         2 2    2 2       2            2
+--R       (a d  - b c )x + 2a c d - 2a b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  626
+
+--S  627 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  627
+
+--S  628 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  628
+
+)clear all
+
+--S  629 of 1092
+t0:=1/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  629
+
+--S  630 of 1092
+r0:=-b/((b*c-a*d)^2*(a+b*x))-d/((b*c-a*d)^2*(c+d*x))-_
+     2*b*d*log(a+b*x)/(b*c-a*d)^3+2*b*d*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  630
+
+--S  631 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  631
+
+--S  632 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  632
+
+--S  633 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  633
+
+)clear all
+
+--S  634 of 1092
+t0:=1/(x*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 5          2     2     4     2 2               2 2  3
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  2    2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  634
+
+--S  635 of 1092
+r0:=b^2/(a*(b*c-a*d)^2*(a+b*x))+d^2/(c*(b*c-a*d)^2*(c+d*x))+_
+     log(x)/(a^2*c^2)-b^2*(b*c-3*a*d)*log(a+b*x)/(a^2*(b*c-a*d)^3)-_
+     d^2*(3*b*c-a*d)*log(c+d*x)/(c^2*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               3   4     2 2   3  2       4 4     3     3     2 2 2 2      4   3
+--R           (- a b d  + 3a b c d )x  + (- a d  + 2a b c d  + 3a b c d )x - a c d
+--R         + 
+--R             3   2 2
+--R           3a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  3 2 2    4 3   2        2 2 2 2       3 3     4 4       2 2 3
+--R           (- 3a b c d  + b c d)x  + (- 3a b c d  - 2a b c d + b c )x - 3a b c d
+--R         + 
+--R              3 4
+--R           a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3   4     2 2   3       3 2 2    4 3   2
+--R           (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R         + 
+--R             4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R           (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(x)
+--R     + 
+--R         3     3      3 3       4   3    3   2 2    2 2 3       3 4
+--R       (a b c d  - a b c d)x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         5   2 4     4 2 3 3     3 3 4 2    2 4 5   2
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         6 2 4     5   3 3     3 3 5     2 4 6      6 3 3     5   4 2     4 2 5
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R          3 3 6
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  635
+
+--S  636 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3   4     2 2   3  2       4 4     3     3     2 2 2 2      4   3
+--R           (- a b d  + 3a b c d )x  + (- a d  + 2a b c d  + 3a b c d )x - a c d
+--R         + 
+--R             3   2 2
+--R           3a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  3 2 2    4 3   2        2 2 2 2       3 3     4 4       2 2 3
+--R           (- 3a b c d  + b c d)x  + (- 3a b c d  - 2a b c d + b c )x - 3a b c d
+--R         + 
+--R              3 4
+--R           a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3   4     2 2   3       3 2 2    4 3   2
+--R           (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R         + 
+--R             4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R           (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(x)
+--R     + 
+--R         3     3      3 3       4   3    3   2 2    2 2 3       3 4
+--R       (a b c d  - a b c d)x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         5   2 4     4 2 3 3     3 3 4 2    2 4 5   2
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         6 2 4     5   3 3     3 3 5     2 4 6      6 3 3     5   4 2     4 2 5
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R          3 3 6
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  636
+
+--S  637 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  637
+
+--S  638 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  638
+
+)clear all
+
+--S  639 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 6          2     2     5     2 2               2 2  4
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  3    2 2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  639
+
+--S  640 of 1092
+r0:=(-1)/(a^2*c^2*x)-b^3/(a^2*(b*c-a*d)^2*(a+b*x))-_
+     d^3/(c^2*(b*c-a*d)^2*(c+d*x))-2*(b*c+a*d)*log(x)/(a^3*c^3)+_
+     2*b^3*(b*c-2*a*d)*log(a+b*x)/(a^3*(b*c-a*d)^3)+_
+     2*d^3*(2*b*c-a*d)*log(c+d*x)/(c^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R              4   5     3 2   4  3      5 5     4     4     3 2 2 3  2
+--R           (2a b d  - 4a b c d )x  + (2a d  - 2a b c d  - 4a b c d )x
+--R         + 
+--R              5   4     4   2 3
+--R           (2a c d  - 4a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 2     5 4   3      2 3 3 2       4 4      5 5  2
+--R           (4a b c d  - 2b c d)x  + (4a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R              2 3 4        4 5
+--R           (4a b c d - 2a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4   5     3 2   4       4 3 2     5 4   3
+--R           (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d)x
+--R         + 
+--R                5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5  2
+--R           (- 2a d  + 2a b c d  + 4a b c d  - 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R                5   4     4   2 3     2 3 4        4 5
+--R           (- 2a c d  + 4a b c d  - 4a b c d + 2a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4     4     3 2 2 3     2 3 3 2       4 4   2
+--R       (- 2a b c d  + 4a b c d  - 4a b c d  + 2a b c d)x
+--R     + 
+--R            5   4     4   2 3     2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  + 3a b c d  - 3a b c d + 2a b c )x - a c d  + 3a b c d
+--R     + 
+--R           3 2 4     2 3 5
+--R       - 3a b c d + a b c
+--R  /
+--R         6   3 4     5 2 4 3     4 3 5 2    3 4 6   3
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         7 3 4     6   4 3     4 3 6     3 4 7  2
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x
+--R     + 
+--R         7 4 3     6   5 2     5 2 6     4 3 7
+--R       (a c d  - 3a b c d  + 3a b c d - a b c )x
+--R                                                    Type: Expression(Integer)
+--E  640
+
+--S  641 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4   5     3 2   4  3      5 5     4     4     3 2 2 3  2
+--R           (2a b d  - 4a b c d )x  + (2a d  - 2a b c d  - 4a b c d )x
+--R         + 
+--R              5   4     4   2 3
+--R           (2a c d  - 4a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 2     5 4   3      2 3 3 2       4 4      5 5  2
+--R           (4a b c d  - 2b c d)x  + (4a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R              2 3 4        4 5
+--R           (4a b c d - 2a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4   5     3 2   4       4 3 2     5 4   3
+--R           (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d)x
+--R         + 
+--R                5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5  2
+--R           (- 2a d  + 2a b c d  + 4a b c d  - 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R                5   4     4   2 3     2 3 4        4 5
+--R           (- 2a c d  + 4a b c d  - 4a b c d + 2a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4     4     3 2 2 3     2 3 3 2       4 4   2
+--R       (- 2a b c d  + 4a b c d  - 4a b c d  + 2a b c d)x
+--R     + 
+--R            5   4     4   2 3     2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  + 3a b c d  - 3a b c d + 2a b c )x - a c d  + 3a b c d
+--R     + 
+--R           3 2 4     2 3 5
+--R       - 3a b c d + a b c
+--R  /
+--R         6   3 4     5 2 4 3     4 3 5 2    3 4 6   3
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         7 3 4     6   4 3     4 3 6     3 4 7  2
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x
+--R     + 
+--R         7 4 3     6   5 2     5 2 6     4 3 7
+--R       (a c d  - 3a b c d  + 3a b c d - a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  641
+
+--S  642 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  642
+
+--S  643 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  643
+
+)clear all
+
+--S  644 of 1092
+t0:=1/(x^3*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 7          2     2     6     2 2               2 2  5
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  4    2 2 3
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  644
+
+--S  645 of 1092
+r0:=(-1/2)/(a^2*c^2*x^2)+2*(b*c+a*d)/(a^3*c^3*x)+_
+     b^4/(a^3*(b*c-a*d)^2*(a+b*x))+d^4/(c^3*(b*c-a*d)^2*(c+d*x))+_
+     (3*b^2*c^2+4*a*b*c*d+3*a^2*d^2)*log(x)/(a^4*c^4)-b^4*(3*b*c-5*a*d)*_
+     log(a+b*x)/(a^4*(b*c-a*d)^3)-d^4*(5*b*c-3*a*d)*_
+     log(c+d*x)/(c^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                5   6      4 2   5  4        6 6     5     5      4 2 2 4  3
+--R           (- 6a b d  + 10a b c d )x  + (- 6a d  + 4a b c d  + 10a b c d )x
+--R         + 
+--R                6   5      5   2 4  2
+--R           (- 6a c d  + 10a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 2     6 5   4         2 4 4 2       5 5      6 6  3
+--R           (- 10a b c d  + 6b c d)x  + (- 10a b c d  - 4a b c d + 6b c )x
+--R         + 
+--R                 2 4 5        5 6  2
+--R           (- 10a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              5   6      4 2   5        5 4 2     6 5   4
+--R           (6a b d  - 10a b c d  + 10a b c d  - 6b c d)x
+--R         + 
+--R              6 6     5     5      4 2 2 4      2 4 4 2       5 5      6 6  3
+--R           (6a d  - 4a b c d  - 10a b c d  + 10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              6   5      5   2 4      2 4 5        5 6  2
+--R           (6a c d  - 10a b c d  + 10a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          5     5      4 2 2 4      2 4 4 2       5 5   3
+--R       (6a b c d  - 10a b c d  + 10a b c d  - 6a b c d)x
+--R     + 
+--R          6   5     5   2 4     4 2 3 3     3 3 4 2     2 4 5        5 6  2
+--R       (6a c d  - 7a b c d  - 5a b c d  + 5a b c d  + 7a b c d - 6a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5      2 4 6      6 3 3     5   4 2
+--R       (3a c d  - 6a b c d  + 6a b c d - 3a b c )x - a c d  + 3a b c d
+--R     + 
+--R           4 2 5     3 3 6
+--R       - 3a b c d + a b c
+--R  /
+--R          7   4 4     6 2 5 3     5 3 6 2     4 4 7   4
+--R       (2a b c d  - 6a b c d  + 6a b c d  - 2a b c d)x
+--R     + 
+--R          8 4 4     7   5 3     5 3 7      4 4 8  3
+--R       (2a c d  - 4a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R          8 5 3     7   6 2     6 2 7      5 3 8  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  645
+
+--S  646 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5   6      4 2   5  4        6 6     5     5      4 2 2 4  3
+--R           (- 6a b d  + 10a b c d )x  + (- 6a d  + 4a b c d  + 10a b c d )x
+--R         + 
+--R                6   5      5   2 4  2
+--R           (- 6a c d  + 10a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 2     6 5   4         2 4 4 2       5 5      6 6  3
+--R           (- 10a b c d  + 6b c d)x  + (- 10a b c d  - 4a b c d + 6b c )x
+--R         + 
+--R                 2 4 5        5 6  2
+--R           (- 10a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              5   6      4 2   5        5 4 2     6 5   4
+--R           (6a b d  - 10a b c d  + 10a b c d  - 6b c d)x
+--R         + 
+--R              6 6     5     5      4 2 2 4      2 4 4 2       5 5      6 6  3
+--R           (6a d  - 4a b c d  - 10a b c d  + 10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              6   5      5   2 4      2 4 5        5 6  2
+--R           (6a c d  - 10a b c d  + 10a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          5     5      4 2 2 4      2 4 4 2       5 5   3
+--R       (6a b c d  - 10a b c d  + 10a b c d  - 6a b c d)x
+--R     + 
+--R          6   5     5   2 4     4 2 3 3     3 3 4 2     2 4 5        5 6  2
+--R       (6a c d  - 7a b c d  - 5a b c d  + 5a b c d  + 7a b c d - 6a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5      2 4 6      6 3 3     5   4 2
+--R       (3a c d  - 6a b c d  + 6a b c d - 3a b c )x - a c d  + 3a b c d
+--R     + 
+--R           4 2 5     3 3 6
+--R       - 3a b c d + a b c
+--R  /
+--R          7   4 4     6 2 5 3     5 3 6 2     4 4 7   4
+--R       (2a b c d  - 6a b c d  + 6a b c d  - 2a b c d)x
+--R     + 
+--R          8 4 4     7   5 3     5 3 7      4 4 8  3
+--R       (2a c d  - 4a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R          8 5 3     7   6 2     6 2 7      5 3 8  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  646
+
+--S  647 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  647
+
+--S  648 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  648
+
+)clear all
+
+--S  649 of 1092
+t0:=x^7/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      7
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  649
+
+--S  650 of 1092
+r0:=3*(2*b^2*c^2+2*a*b*c*d+a^2*d^2)*x/(b^4*d^5)-1/2*(3*b*c+2*a*d)*x^2/_
+     (b^3*d^4)+1/3*x^3/(b^2*d^3)+a^7/(b^5*(b*c-a*d)^3*(a+b*x))+1/2*c^7/_
+     (d^6*(b*c-a*d)^2*(c+d*x)^2)-c^6*(5*b*c-7*a*d)/(d^6*(b*c-a*d)^3*_
+     (c+d*x))+a^6*(7*b*c-4*a*d)*log(a+b*x)/(b^5*(b*c-a*d)^4)-_
+     c^5*(10*b^2*c^2-28*a*b*c*d+21*a^2*d^2)*log(c+d*x)/(d^6*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                  2 6 5 4         7 6 3      8 7 2  3
+--R           (- 126a b c d  + 168a b c d  - 60b c d )x
+--R         + 
+--R                  3 5 5 4      2 6 6 3         7 7 2       8 8   2
+--R           (- 126a b c d  - 84a b c d  + 276a b c d  - 120b c d)x
+--R         + 
+--R                  3 5 6 3       2 6 7 2        7 8       8 9         3 5 7 2
+--R           (- 252a b c d  + 210a b c d  + 48a b c d - 60b c )x - 126a b c d
+--R         + 
+--R               2 6 8         7 9
+--R           168a b c d - 60a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 7   9      6 2   8  3         8 9     7     8      6 2 2 7  2
+--R           (- 24a b d  + 42a b c d )x  + (- 24a d  - 6a b c d  + 84a b c d )x
+--R         + 
+--R                 8   8      7   2 7      6 2 3 6        8 2 7      7   3 6
+--R           (- 48a c d  + 60a b c d  + 42a b c d )x - 24a c d  + 42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 4 9     3 5   8      2 6 2 7       7 3 6     8 4 5  6
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R                 5 3 9      4 4   8     3 5 2 7      2 6 3 6        7 4 5
+--R             - 4a b d  + 11a b c d  - 4a b c d  - 14a b c d  + 16a b c d
+--R           + 
+--R                 8 5 4
+--R             - 5b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              6 2 9      5 3   8      4 4 2 7      3 5 3 6      2 6 4 5
+--R           12a b d  - 29a b c d  + 16a b c d  - 14a b c d  + 56a b c d
+--R         + 
+--R                  7 5 4      8 6 3
+--R           - 61a b c d  + 20b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7     4 4 3 6      3 5 4 5
+--R           18a b d  - 12a b c d  - 46a b c d  + 7a b c d  + 42a b c d
+--R         + 
+--R              2 6 5 4         7 6 3      8 7 2
+--R           94a b c d  - 166a b c d  + 63b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 9      7     8      6 2 2 7      5 3 3 6       3 5 5 4
+--R           - 6a d  + 42a b c d  - 60a b c d  - 21a b c d  + 150a b c d
+--R         + 
+--R                 2 6 6 3        7 7 2     8 8
+--R           - 138a b c d  + 27a b c d  + 6b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   8      7   2 7      6 2 3 6      3 5 6 3      2 6 7 2
+--R           - 12a c d  + 30a b c d  - 36a b c d  + 48a b c d  - 75a b c d
+--R         + 
+--R                7 8       8 9
+--R           72a b c d - 27b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 7     7   3 6      3 5 7 2      2 6 8         7 9
+--R       - 6a c d  + 6a b c d  - 39a b c d  + 66a b c d - 27a b c
+--R  /
+--R          4 6 12      3 7   11      2 8 2 10        9 3 9     10 4 8  3
+--R       (6a b d   - 24a b c d   + 36a b c d   - 24a b c d  + 6b  c d )x
+--R     + 
+--R             5 5 12      4 6   11      3 7 2 10      2 8 3 9        9 4 8
+--R           6a b d   - 12a b c d   - 12a b c d   + 48a b c d  - 42a b c d
+--R         + 
+--R              10 5 7
+--R           12b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 5   11      4 6 2 10      3 7 3 9      2 8 4 8        9 5 7
+--R           12a b c d   - 42a b c d   + 48a b c d  - 12a b c d  - 12a b c d
+--R         + 
+--R             10 6 6
+--R           6b  c d
+--R      *
+--R         x
+--R     + 
+--R         5 5 2 10      4 6 3 9      3 7 4 8      2 8 5 7       9 6 6
+--R       6a b c d   - 24a b c d  + 36a b c d  - 24a b c d  + 6a b c d
+--R                                                    Type: Expression(Integer)
+--E  650
+
+--S  651 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 6 5 4         7 6 3      8 7 2  3
+--R           (- 126a b c d  + 168a b c d  - 60b c d )x
+--R         + 
+--R                  3 5 5 4      2 6 6 3         7 7 2       8 8   2
+--R           (- 126a b c d  - 84a b c d  + 276a b c d  - 120b c d)x
+--R         + 
+--R                  3 5 6 3       2 6 7 2        7 8       8 9         3 5 7 2
+--R           (- 252a b c d  + 210a b c d  + 48a b c d - 60b c )x - 126a b c d
+--R         + 
+--R               2 6 8         7 9
+--R           168a b c d - 60a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 7   9      6 2   8  3         8 9     7     8      6 2 2 7  2
+--R           (- 24a b d  + 42a b c d )x  + (- 24a d  - 6a b c d  + 84a b c d )x
+--R         + 
+--R                 8   8      7   2 7      6 2 3 6        8 2 7      7   3 6
+--R           (- 48a c d  + 60a b c d  + 42a b c d )x - 24a c d  + 42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 4 9     3 5   8      2 6 2 7       7 3 6     8 4 5  6
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R                 5 3 9      4 4   8     3 5 2 7      2 6 3 6        7 4 5
+--R             - 4a b d  + 11a b c d  - 4a b c d  - 14a b c d  + 16a b c d
+--R           + 
+--R                 8 5 4
+--R             - 5b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              6 2 9      5 3   8      4 4 2 7      3 5 3 6      2 6 4 5
+--R           12a b d  - 29a b c d  + 16a b c d  - 14a b c d  + 56a b c d
+--R         + 
+--R                  7 5 4      8 6 3
+--R           - 61a b c d  + 20b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7     4 4 3 6      3 5 4 5
+--R           18a b d  - 12a b c d  - 46a b c d  + 7a b c d  + 42a b c d
+--R         + 
+--R              2 6 5 4         7 6 3      8 7 2
+--R           94a b c d  - 166a b c d  + 63b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 9      7     8      6 2 2 7      5 3 3 6       3 5 5 4
+--R           - 6a d  + 42a b c d  - 60a b c d  - 21a b c d  + 150a b c d
+--R         + 
+--R                 2 6 6 3        7 7 2     8 8
+--R           - 138a b c d  + 27a b c d  + 6b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   8      7   2 7      6 2 3 6      3 5 6 3      2 6 7 2
+--R           - 12a c d  + 30a b c d  - 36a b c d  + 48a b c d  - 75a b c d
+--R         + 
+--R                7 8       8 9
+--R           72a b c d - 27b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 7     7   3 6      3 5 7 2      2 6 8         7 9
+--R       - 6a c d  + 6a b c d  - 39a b c d  + 66a b c d - 27a b c
+--R  /
+--R          4 6 12      3 7   11      2 8 2 10        9 3 9     10 4 8  3
+--R       (6a b d   - 24a b c d   + 36a b c d   - 24a b c d  + 6b  c d )x
+--R     + 
+--R             5 5 12      4 6   11      3 7 2 10      2 8 3 9        9 4 8
+--R           6a b d   - 12a b c d   - 12a b c d   + 48a b c d  - 42a b c d
+--R         + 
+--R              10 5 7
+--R           12b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 5   11      4 6 2 10      3 7 3 9      2 8 4 8        9 5 7
+--R           12a b c d   - 42a b c d   + 48a b c d  - 12a b c d  - 12a b c d
+--R         + 
+--R             10 6 6
+--R           6b  c d
+--R      *
+--R         x
+--R     + 
+--R         5 5 2 10      4 6 3 9      3 7 4 8      2 8 5 7       9 6 6
+--R       6a b c d   - 24a b c d  + 36a b c d  - 24a b c d  + 6a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  651
+
+--S  652 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  652
+
+--S  653 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  653
+
+)clear all
+
+--S  654 of 1092
+t0:=x^6/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  654
+
+--S  655 of 1092
+r0:=-(3*b*c+2*a*d)*x/(b^3*d^4)+1/2*x^2/(b^2*d^3)-a^6/(b^4*(b*c-a*d)^3*_
+     (a+b*x))-1/2*c^6/(d^5*(b*c-a*d)^2*(c+d*x)^2)+2*c^5*(2*b*c-3*a*d)/_
+     (d^5*(b*c-a*d)^3*(c+d*x))-3*a^5*(2*b*c-a*d)*log(a+b*x)/_
+     (b^4*(b*c-a*d)^4)+3*c^4*(2*b^2*c^2-6*a*b*c*d+5*a^2*d^2)*_
+     log(c+d*x)/(d^5*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R               2 5 4 4        6 5 3      7 6 2  3
+--R           (30a b c d  - 36a b c d  + 12b c d )x
+--R         + 
+--R               3 4 4 4      2 5 5 3        6 6 2      7 7   2
+--R           (30a b c d  + 24a b c d  - 60a b c d  + 24b c d)x
+--R         + 
+--R               3 4 5 3      2 5 6 2        6 7       7 8        3 4 6 2
+--R           (60a b c d  - 42a b c d  - 12a b c d + 12b c )x + 30a b c d
+--R         + 
+--R                2 5 7         6 8
+--R           - 36a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              6   8      5 2   7  3      7 8      5 2 2 6  2
+--R           (6a b d  - 12a b c d )x  + (6a d  - 24a b c d )x
+--R         + 
+--R               7   7      6   2 6      5 2 3 5       7 2 6      6   3 5
+--R           (12a c d  - 18a b c d  - 12a b c d )x + 6a c d  - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 8     3 4   7     2 5 2 6       6 3 5    7 4 4  5
+--R       (a b d  - 4a b c d  + 6a b c d  - 4a b c d  + b c d )x
+--R     + 
+--R            5 2 8     4 3   7     3 4 2 6      2 5 3 5        6 4 4     7 5 3  4
+--R       (- 3a b d  + 8a b c d  - 2a b c d  - 12a b c d  + 13a b c d  - 4b c d )x
+--R     + 
+--R               6   8     5 2   7      4 3 2 6      3 4 3 5      2 5 4 4
+--R           - 4a b d  + 4a b c d  + 13a b c d  - 12a b c d  - 22a b c d
+--R         + 
+--R                6 5 3      7 6 2
+--R           32a b c d  - 11b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 8      6     7      5 2 2 6     4 3 3 5      3 4 4 4      2 5 5 3
+--R           2a d  - 10a b c d  + 17a b c d  + 6a b c d  - 34a b c d  + 28a b c d
+--R         + 
+--R                  6 6 2     7 7
+--R           - 11a b c d  + 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7   7     6   2 6      5 2 3 5     3 4 5 3      2 5 6 2        6 7
+--R           4a c d  - 8a b c d  + 10a b c d  - 8a b c d  + 11a b c d  - 16a b c d
+--R         + 
+--R             7 8
+--R           7b c
+--R      *
+--R         x
+--R     + 
+--R         7 2 6     6   3 5      3 4 6 2      2 5 7        6 8
+--R       2a c d  - 2a b c d  + 11a b c d  - 18a b c d + 7a b c
+--R  /
+--R          4 5 11     3 6   10      2 7 2 9       8 3 8     9 4 7  3
+--R       (2a b d   - 8a b c d   + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 4 11     4 5   10     3 6 2 9      2 7 3 8        8 4 7     9 5 6  2
+--R       (2a b d   - 4a b c d   - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 4   10      4 5 2 9      3 6 3 8     2 7 4 7       8 5 6     9 6 5
+--R       (4a b c d   - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 4 2 9     4 5 3 8      3 6 4 7     2 7 5 6       8 6 5
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  655
+
+--S  656 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 5 4 4        6 5 3      7 6 2  3
+--R           (30a b c d  - 36a b c d  + 12b c d )x
+--R         + 
+--R               3 4 4 4      2 5 5 3        6 6 2      7 7   2
+--R           (30a b c d  + 24a b c d  - 60a b c d  + 24b c d)x
+--R         + 
+--R               3 4 5 3      2 5 6 2        6 7       7 8        3 4 6 2
+--R           (60a b c d  - 42a b c d  - 12a b c d + 12b c )x + 30a b c d
+--R         + 
+--R                2 5 7         6 8
+--R           - 36a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              6   8      5 2   7  3      7 8      5 2 2 6  2
+--R           (6a b d  - 12a b c d )x  + (6a d  - 24a b c d )x
+--R         + 
+--R               7   7      6   2 6      5 2 3 5       7 2 6      6   3 5
+--R           (12a c d  - 18a b c d  - 12a b c d )x + 6a c d  - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 8     3 4   7     2 5 2 6       6 3 5    7 4 4  5
+--R       (a b d  - 4a b c d  + 6a b c d  - 4a b c d  + b c d )x
+--R     + 
+--R            5 2 8     4 3   7     3 4 2 6      2 5 3 5        6 4 4     7 5 3  4
+--R       (- 3a b d  + 8a b c d  - 2a b c d  - 12a b c d  + 13a b c d  - 4b c d )x
+--R     + 
+--R               6   8     5 2   7      4 3 2 6      3 4 3 5      2 5 4 4
+--R           - 4a b d  + 4a b c d  + 13a b c d  - 12a b c d  - 22a b c d
+--R         + 
+--R                6 5 3      7 6 2
+--R           32a b c d  - 11b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 8      6     7      5 2 2 6     4 3 3 5      3 4 4 4      2 5 5 3
+--R           2a d  - 10a b c d  + 17a b c d  + 6a b c d  - 34a b c d  + 28a b c d
+--R         + 
+--R                  6 6 2     7 7
+--R           - 11a b c d  + 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7   7     6   2 6      5 2 3 5     3 4 5 3      2 5 6 2        6 7
+--R           4a c d  - 8a b c d  + 10a b c d  - 8a b c d  + 11a b c d  - 16a b c d
+--R         + 
+--R             7 8
+--R           7b c
+--R      *
+--R         x
+--R     + 
+--R         7 2 6     6   3 5      3 4 6 2      2 5 7        6 8
+--R       2a c d  - 2a b c d  + 11a b c d  - 18a b c d + 7a b c
+--R  /
+--R          4 5 11     3 6   10      2 7 2 9       8 3 8     9 4 7  3
+--R       (2a b d   - 8a b c d   + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 4 11     4 5   10     3 6 2 9      2 7 3 8        8 4 7     9 5 6  2
+--R       (2a b d   - 4a b c d   - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 4   10      4 5 2 9      3 6 3 8     2 7 4 7       8 5 6     9 6 5
+--R       (4a b c d   - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 4 2 9     4 5 3 8      3 6 4 7     2 7 5 6       8 6 5
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  656
+
+--S  657 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  657
+
+--S  658 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  658
+
+)clear all
+
+--S  659 of 1092
+t0:=x^5/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  659
+
+--S  660 of 1092
+r0:=x/(b^2*d^3)+a^5/(b^3*(b*c-a*d)^3*(a+b*x))+1/2*c^5/(d^4*(b*c-a*d)^2*_
+     (c+d*x)^2)-c^4*(3*b*c-5*a*d)/(d^4*(b*c-a*d)^3*(c+d*x))+_
+     a^4*(5*b*c-2*a*d)*log(a+b*x)/(b^3*(b*c-a*d)^4)-c^3*_
+     (3*b^2*c^2-10*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                 2 4 3 4        5 4 3     6 5 2  3
+--R           (- 20a b c d  + 20a b c d  - 6b c d )x
+--R         + 
+--R                 3 3 3 4      2 4 4 3        5 5 2      6 6   2
+--R           (- 20a b c d  - 20a b c d  + 34a b c d  - 12b c d)x
+--R         + 
+--R                 3 3 4 3      2 4 5 2       5 6      6 7        3 3 5 2
+--R           (- 40a b c d  + 20a b c d  + 8a b c d - 6b c )x - 20a b c d
+--R         + 
+--R              2 4 6        5 7
+--R           20a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                5   7      4 2   6  3        6 7     5     6      4 2 2 5  2
+--R           (- 4a b d  + 10a b c d )x  + (- 4a d  + 2a b c d  + 20a b c d )x
+--R         + 
+--R                6   6      5   2 5      4 2 3 4       6 2 5      5   3 4
+--R           (- 8a c d  + 16a b c d  + 10a b c d )x - 4a c d  + 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 2 7     3 3   6      2 4 2 5       5 3 4     6 4 3  4
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   7     4 2   6     3 3 2 5      2 4 3 4        5 4 3     6 5 2  3
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R               6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R           - 2a d  + 6a b c d  - 14a b c d  + 16a b c d  - 14a b c d
+--R         + 
+--R                5 5 2     6 6
+--R           12a b c d  - 4b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   6     5   2 5     4 2 3 4     3 3 4 3    2 4 5 2        5 6
+--R           - 4a c d  + 6a b c d  - 8a b c d  + 2a b c d  - a b c d  + 10a b c d
+--R         + 
+--R               6 7
+--R           - 5b c
+--R      *
+--R         x
+--R     + 
+--R           6 2 5     5   3 4     3 3 5 2      2 4 6        5 7
+--R       - 2a c d  + 2a b c d  - 9a b c d  + 14a b c d - 5a b c
+--R  /
+--R          4 4 10     3 5   9      2 6 2 8       7 3 7     8 4 6  3
+--R       (2a b d   - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 3 10     4 4   9     3 5 2 8      2 6 3 7        7 4 6     8 5 5  2
+--R       (2a b d   - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 3   9      4 4 2 8      3 5 3 7     2 6 4 6       7 5 5     8 6 4
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 3 2 8     4 4 3 7      3 5 4 6     2 6 5 5       7 6 4
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  660
+
+--S  661 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 4 3 4        5 4 3     6 5 2  3
+--R           (- 20a b c d  + 20a b c d  - 6b c d )x
+--R         + 
+--R                 3 3 3 4      2 4 4 3        5 5 2      6 6   2
+--R           (- 20a b c d  - 20a b c d  + 34a b c d  - 12b c d)x
+--R         + 
+--R                 3 3 4 3      2 4 5 2       5 6      6 7        3 3 5 2
+--R           (- 40a b c d  + 20a b c d  + 8a b c d - 6b c )x - 20a b c d
+--R         + 
+--R              2 4 6        5 7
+--R           20a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                5   7      4 2   6  3        6 7     5     6      4 2 2 5  2
+--R           (- 4a b d  + 10a b c d )x  + (- 4a d  + 2a b c d  + 20a b c d )x
+--R         + 
+--R                6   6      5   2 5      4 2 3 4       6 2 5      5   3 4
+--R           (- 8a c d  + 16a b c d  + 10a b c d )x - 4a c d  + 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 2 7     3 3   6      2 4 2 5       5 3 4     6 4 3  4
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   7     4 2   6     3 3 2 5      2 4 3 4        5 4 3     6 5 2  3
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R               6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R           - 2a d  + 6a b c d  - 14a b c d  + 16a b c d  - 14a b c d
+--R         + 
+--R                5 5 2     6 6
+--R           12a b c d  - 4b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   6     5   2 5     4 2 3 4     3 3 4 3    2 4 5 2        5 6
+--R           - 4a c d  + 6a b c d  - 8a b c d  + 2a b c d  - a b c d  + 10a b c d
+--R         + 
+--R               6 7
+--R           - 5b c
+--R      *
+--R         x
+--R     + 
+--R           6 2 5     5   3 4     3 3 5 2      2 4 6        5 7
+--R       - 2a c d  + 2a b c d  - 9a b c d  + 14a b c d - 5a b c
+--R  /
+--R          4 4 10     3 5   9      2 6 2 8       7 3 7     8 4 6  3
+--R       (2a b d   - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 3 10     4 4   9     3 5 2 8      2 6 3 7        7 4 6     8 5 5  2
+--R       (2a b d   - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 3   9      4 4 2 8      3 5 3 7     2 6 4 6       7 5 5     8 6 4
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 3 2 8     4 4 3 7      3 5 4 6     2 6 5 5       7 6 4
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  661
+
+--S  662 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  662
+
+--S  663 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  663
+
+)clear all
+
+--S  664 of 1092
+t0:=x^4/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  664
+
+--S  665 of 1092
+r0:=-a^4/(b^2*(b*c-a*d)^3*(a+b*x))-1/2*c^4/(d^3*(b*c-a*d)^2*(c+d*x)^2)+_
+     2*c^3*(b*c-2*a*d)/(d^3*(b*c-a*d)^3*(c+d*x))-a^3*(4*b*c-a*d)*_
+     log(a+b*x)/(b^2*(b*c-a*d)^4)+c^2*(b^2*c^2-4*a*b*c*d+6*a^2*d^2)*_
+     log(c+d*x)/(d^3*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R               2 3 2 4       4 3 3     5 4 2  3
+--R           (12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R               3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (12a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R               3 2 3 3     2 3 4 2       4 5      5 6        3 2 4 2     2 3 5
+--R           (24a b c d  - 4a b c d  - 4a b c d + 2b c )x + 12a b c d  - 8a b c d
+--R         + 
+--R               4 6
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              4   6     3 2   5  3      5 6     4     5      3 2 2 4  2
+--R           (2a b d  - 8a b c d )x  + (2a d  - 4a b c d  - 16a b c d )x
+--R         + 
+--R              5   5      4   2 4     3 2 3 3       5 2 4     4   3 3
+--R           (4a c d  - 14a b c d  - 8a b c d )x + 2a c d  - 8a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 6     4     5     2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 2a b c d  + 8a b c d  - 12a b c d  + 4b c d)x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 4a b c d  + 8a b c d  - 5a b c d  - 6a b c d + 3b c )x
+--R     + 
+--R         5 2 4     4   3 3     3 2 4 2      2 3 5        4 6
+--R       2a c d  - 2a b c d  + 7a b c d  - 10a b c d + 3a b c
+--R  /
+--R          4 3 9     3 4   8      2 5 2 7       6 3 6     7 4 5  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 2 9     4 3   8     3 4 2 7      2 5 3 6        6 4 5     7 5 4  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 2   8      4 3 2 7      3 4 3 6     2 5 4 5       6 5 4     7 6 3
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 2 2 7     4 3 3 6      3 4 4 5     2 5 5 4       6 6 3
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  665
+
+--S  666 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 3 2 4       4 3 3     5 4 2  3
+--R           (12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R               3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (12a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R               3 2 3 3     2 3 4 2       4 5      5 6        3 2 4 2     2 3 5
+--R           (24a b c d  - 4a b c d  - 4a b c d + 2b c )x + 12a b c d  - 8a b c d
+--R         + 
+--R               4 6
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              4   6     3 2   5  3      5 6     4     5      3 2 2 4  2
+--R           (2a b d  - 8a b c d )x  + (2a d  - 4a b c d  - 16a b c d )x
+--R         + 
+--R              5   5      4   2 4     3 2 3 3       5 2 4     4   3 3
+--R           (4a c d  - 14a b c d  - 8a b c d )x + 2a c d  - 8a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 6     4     5     2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 2a b c d  + 8a b c d  - 12a b c d  + 4b c d)x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 4a b c d  + 8a b c d  - 5a b c d  - 6a b c d + 3b c )x
+--R     + 
+--R         5 2 4     4   3 3     3 2 4 2      2 3 5        4 6
+--R       2a c d  - 2a b c d  + 7a b c d  - 10a b c d + 3a b c
+--R  /
+--R          4 3 9     3 4   8      2 5 2 7       6 3 6     7 4 5  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 2 9     4 3   8     3 4 2 7      2 5 3 6        6 4 5     7 5 4  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 2   8      4 3 2 7      3 4 3 6     2 5 4 5       6 5 4     7 6 3
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 2 2 7     4 3 3 6      3 4 4 5     2 5 5 4       6 6 3
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  666
+
+--S  667 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  667
+
+--S  668 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  668
+
+)clear all
+
+--S  669 of 1092
+t0:=x^3/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  669
+
+--S  670 of 1092
+r0:=a^3/(b*(b*c-a*d)^3*(a+b*x))+1/2*c^3/(d^2*(b*c-a*d)^2*(c+d*x)^2)-_
+     c^2*(b*c-3*a*d)/(d^2*(b*c-a*d)^3*(c+d*x))+3*a^2*c*log(a+b*x)/_
+     (b*c-a*d)^4-3*a^2*c*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R               2 2   4 3        3     4      2 2 2 3  2
+--R           - 6a b c d x  + (- 6a b c d  - 12a b c d )x
+--R         + 
+--R                 3   2 3     2 2 3 2       3   3 2
+--R           (- 12a b c d  - 6a b c d )x - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             2 2   4 3      3     4      2 2 2 3  2       3   2 3     2 2 3 2
+--R           6a b c d x  + (6a b c d  + 12a b c d )x  + (12a b c d  + 6a b c d )x
+--R         + 
+--R             3   3 2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            4 5     3     4     2 2 2 3       3 3 2     4 4   2
+--R       (- 2a d  + 2a b c d  - 6a b c d  + 8a b c d  - 2b c d)x
+--R     + 
+--R            4   4     3   2 3     2 2 3 2       3 4     4 5       4 2 3
+--R       (- 4a c d  - 2a b c d  + 3a b c d  + 4a b c d - b c )x - 2a c d
+--R     + 
+--R           3   3 2     2 2 4       3 5
+--R       - 3a b c d  + 6a b c d - a b c
+--R  /
+--R          4 2 8     3 3   7      2 4 2 6       5 3 5     6 4 4  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4     6 5 3  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5     7      4 2 2 6      3 3 3 5     2 4 4 4       5 5 3     6 6 2
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5   2 6     4 2 3 5      3 3 4 4     2 4 5 3       5 6 2
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  670
+
+--S  671 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2   4 3        3     4      2 2 2 3  2
+--R           - 6a b c d x  + (- 6a b c d  - 12a b c d )x
+--R         + 
+--R                 3   2 3     2 2 3 2       3   3 2
+--R           (- 12a b c d  - 6a b c d )x - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             2 2   4 3      3     4      2 2 2 3  2       3   2 3     2 2 3 2
+--R           6a b c d x  + (6a b c d  + 12a b c d )x  + (12a b c d  + 6a b c d )x
+--R         + 
+--R             3   3 2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            4 5     3     4     2 2 2 3       3 3 2     4 4   2
+--R       (- 2a d  + 2a b c d  - 6a b c d  + 8a b c d  - 2b c d)x
+--R     + 
+--R            4   4     3   2 3     2 2 3 2       3 4     4 5       4 2 3
+--R       (- 4a c d  - 2a b c d  + 3a b c d  + 4a b c d - b c )x - 2a c d
+--R     + 
+--R           3   3 2     2 2 4       3 5
+--R       - 3a b c d  + 6a b c d - a b c
+--R  /
+--R          4 2 8     3 3   7      2 4 2 6       5 3 5     6 4 4  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4     6 5 3  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5     7      4 2 2 6      3 3 3 5     2 4 4 4       5 5 3     6 6 2
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5   2 6     4 2 3 5      3 3 4 4     2 4 5 3       5 6 2
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  671
+
+--S  672 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  672
+
+--S  673 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  673
+
+)clear all
+
+--S  674 of 1092
+t0:=x^2/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  674
+
+--S  675 of 1092
+r0:=-a^2/((b*c-a*d)^3*(a+b*x))-1/2*c^2/(d*(b*c-a*d)^2*(c+d*x)^2)-_
+     2*a*c/((b*c-a*d)^3*(c+d*x))-a*(2*b*c+a*d)*log(a+b*x)/(b*c-a*d)^4+_
+     a*(2*b*c+a*d)*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R              2   4       2   3  3      3 4     2     3       2 2 2  2
+--R           (2a b d  + 4a b c d )x  + (2a d  + 8a b c d  + 8a b c d )x
+--R         + 
+--R              3   3      2   2 2       2 3        3 2 2     2   3
+--R           (4a c d  + 10a b c d  + 4a b c d)x + 2a c d  + 4a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2   4       2   3  3        3 4     2     3       2 2 2  2
+--R           (- 2a b d  - 4a b c d )x  + (- 2a d  - 8a b c d  - 8a b c d )x
+--R         + 
+--R                3   3      2   2 2       2 3        3 2 2     2   3
+--R           (- 4a c d  - 10a b c d  - 4a b c d)x - 2a c d  - 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 4     2     3       2 2 2  2
+--R       (2a d  + 2a b c d  - 4a b c d )x
+--R     + 
+--R          3   3     2   2 2       2 3     3 4       3 2 2     2   3       2 4
+--R       (8a c d  - 5a b c d  - 2a b c d - b c )x + 5a c d  - 4a b c d - a b c
+--R  /
+--R          4   7     3 2   6      2 3 2 5       4 3 4     5 4 3  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 7     4     6     3 2 2 5      2 3 3 4        4 4 3     5 5 2  2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5   6      4   2 5      3 2 3 4     2 3 4 3       4 5 2     5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d)x
+--R     + 
+--R         5 2 5     4   3 4      3 2 4 3     2 3 5 2       4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  675
+
+--S  676 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2   4       2   3  3      3 4     2     3       2 2 2  2
+--R           (2a b d  + 4a b c d )x  + (2a d  + 8a b c d  + 8a b c d )x
+--R         + 
+--R              3   3      2   2 2       2 3        3 2 2     2   3
+--R           (4a c d  + 10a b c d  + 4a b c d)x + 2a c d  + 4a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2   4       2   3  3        3 4     2     3       2 2 2  2
+--R           (- 2a b d  - 4a b c d )x  + (- 2a d  - 8a b c d  - 8a b c d )x
+--R         + 
+--R                3   3      2   2 2       2 3        3 2 2     2   3
+--R           (- 4a c d  - 10a b c d  - 4a b c d)x - 2a c d  - 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 4     2     3       2 2 2  2
+--R       (2a d  + 2a b c d  - 4a b c d )x
+--R     + 
+--R          3   3     2   2 2       2 3     3 4       3 2 2     2   3       2 4
+--R       (8a c d  - 5a b c d  - 2a b c d - b c )x + 5a c d  - 4a b c d - a b c
+--R  /
+--R          4   7     3 2   6      2 3 2 5       4 3 4     5 4 3  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 7     4     6     3 2 2 5      2 3 3 4        4 4 3     5 5 2  2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5   6      4   2 5      3 2 3 4     2 3 4 3       4 5 2     5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d)x
+--R     + 
+--R         5 2 5     4   3 4      3 2 4 3     2 3 5 2       4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  676
+
+--S  677 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  677
+
+--S  678 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  678
+
+)clear all
+
+--S  679 of 1092
+t0:=x/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  679
+
+--S  680 of 1092
+r0:=a*b/((b*c-a*d)^3*(a+b*x))+1/2*c/((b*c-a*d)^2*(c+d*x)^2)+(b*c+a*d)/_
+     ((b*c-a*d)^3*(c+d*x))+b*(b*c+2*a*d)*log(a+b*x)/(b*c-a*d)^4-_
+     b*(b*c+2*a*d)*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R                  2 3     3   2  3        2   3        2   2     3 2   2
+--R           (- 4a b d  - 2b c d )x  + (- 4a b d  - 10a b c d  - 4b c d)x
+--R         + 
+--R                2     2       2 2      3 3       2   2        2 3
+--R           (- 8a b c d  - 8a b c d - 2b c )x - 4a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 3     3   2  3      2   3        2   2     3 2   2
+--R           (4a b d  + 2b c d )x  + (4a b d  + 10a b c d  + 4b c d)x
+--R         + 
+--R              2     2       2 2      3 3       2   2        2 3
+--R           (8a b c d  + 8a b c d + 2b c )x + 4a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2   3       2   2     3 2   2
+--R       (- 4a b d  + 2a b c d  + 2b c d)x
+--R     + 
+--R            3 3     2     2       2 2      3 3      3   2     2   2        2 3
+--R       (- 2a d  - 5a b c d  + 4a b c d + 3b c )x - a c d  - 4a b c d + 5a b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  680
+
+--S  681 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 3     3   2  3        2   3        2   2     3 2   2
+--R           (- 4a b d  - 2b c d )x  + (- 4a b d  - 10a b c d  - 4b c d)x
+--R         + 
+--R                2     2       2 2      3 3       2   2        2 3
+--R           (- 8a b c d  - 8a b c d - 2b c )x - 4a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 3     3   2  3      2   3        2   2     3 2   2
+--R           (4a b d  + 2b c d )x  + (4a b d  + 10a b c d  + 4b c d)x
+--R         + 
+--R              2     2       2 2      3 3       2   2        2 3
+--R           (8a b c d  + 8a b c d + 2b c )x + 4a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2   3       2   2     3 2   2
+--R       (- 4a b d  + 2a b c d  + 2b c d)x
+--R     + 
+--R            3 3     2     2       2 2      3 3      3   2     2   2        2 3
+--R       (- 2a d  - 5a b c d  + 4a b c d + 3b c )x - a c d  - 4a b c d + 5a b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  681
+
+--S  682 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  682
+
+--S  683 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  683
+
+)clear all
+
+--S  684 of 1092
+t0:=1/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  684
+
+--S  685 of 1092
+r0:=-b^2/((b*c-a*d)^3*(a+b*x))-1/2*d/((b*c-a*d)^2*(c+d*x)^2)-_
+     2*b*d/((b*c-a*d)^3*(c+d*x))-3*b^2*d*log(a+b*x)/(b*c-a*d)^4+_
+     3*b^2*d*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  685
+
+--S  686 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  686
+
+--S  687 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  687
+
+--S  688 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  688
+
+)clear all
+
+--S  689 of 1092
+t0:=1/(x*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 6          3     2   2  5     2 3           2     2 2   4
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  3      2 2          3  2    2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  689
+
+--S  690 of 1092
+r0:=b^3/(a*(b*c-a*d)^3*(a+b*x))+1/2*d^2/(c*(b*c-a*d)^2*(c+d*x)^2)+_
+     d^2*(3*b*c-a*d)/(c^2*(b*c-a*d)^3*(c+d*x))+log(x)/(a^2*c^3)-_
+     b^3*(b*c-4*a*d)*log(a+b*x)/(a^2*(b*c-a*d)^4)-d^2*(6*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^3*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                4   6     3 2   5      2 3 2 4  3
+--R           (- 2a b d  + 8a b c d  - 12a b c d )x
+--R         + 
+--R                5 6     4     5     3 2 2 4      2 3 3 3  2
+--R           (- 2a d  + 4a b c d  + 4a b c d  - 24a b c d )x
+--R         + 
+--R                5   5      4   2 4      3 2 3 3      2 3 4 2       5 2 4
+--R           (- 4a c d  + 14a b c d  - 16a b c d  - 12a b c d )x - 2a c d
+--R         + 
+--R             4   3 3      3 2 4 2
+--R           8a b c d  - 12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 3     5 4 2  3      2 3 3 3        4 4 2     5 5   2
+--R           (8a b c d  - 2b c d )x  + (8a b c d  + 14a b c d  - 4b c d)x
+--R         + 
+--R               2 3 4 2       4 5      5 6       2 3 5        4 6
+--R           (16a b c d  + 4a b c d - 2b c )x + 8a b c d - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R           (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R              5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R              5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R           (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R         + 
+--R             5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R           2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          4     5     3 2 2 4     2 3 3 3       4 4 2  2
+--R       (2a b c d  - 8a b c d  + 4a b c d  + 2a b c d )x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5        5 2 4
+--R       (2a c d  - 5a b c d  - 4a b c d  + 3a b c d  + 4a b c d)x + 3a c d
+--R     + 
+--R            4   3 3     3 2 4 2     2 3 5        4 6
+--R       - 10a b c d  + 7a b c d  - 2a b c d + 2a b c
+--R  /
+--R          6   3 6     5 2 4 5      4 3 5 4     3 4 6 3     2 5 7 2  3
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          7 3 6     6   4 5     5 2 5 4      4 3 6 3      3 4 7 2     2 5 8   2
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          7 4 5      6   5 4      5 2 6 3     4 3 7 2     3 4 8      2 5 9
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c )x
+--R     + 
+--R         7 5 4     6   6 3      5 2 7 2     4 3 8      3 4 9
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  690
+
+--S  691 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                4   6     3 2   5      2 3 2 4  3
+--R           (- 2a b d  + 8a b c d  - 12a b c d )x
+--R         + 
+--R                5 6     4     5     3 2 2 4      2 3 3 3  2
+--R           (- 2a d  + 4a b c d  + 4a b c d  - 24a b c d )x
+--R         + 
+--R                5   5      4   2 4      3 2 3 3      2 3 4 2       5 2 4
+--R           (- 4a c d  + 14a b c d  - 16a b c d  - 12a b c d )x - 2a c d
+--R         + 
+--R             4   3 3      3 2 4 2
+--R           8a b c d  - 12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 3     5 4 2  3      2 3 3 3        4 4 2     5 5   2
+--R           (8a b c d  - 2b c d )x  + (8a b c d  + 14a b c d  - 4b c d)x
+--R         + 
+--R               2 3 4 2       4 5      5 6       2 3 5        4 6
+--R           (16a b c d  + 4a b c d - 2b c )x + 8a b c d - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R           (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R              5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R              5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R           (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R         + 
+--R             5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R           2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          4     5     3 2 2 4     2 3 3 3       4 4 2  2
+--R       (2a b c d  - 8a b c d  + 4a b c d  + 2a b c d )x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5        5 2 4
+--R       (2a c d  - 5a b c d  - 4a b c d  + 3a b c d  + 4a b c d)x + 3a c d
+--R     + 
+--R            4   3 3     3 2 4 2     2 3 5        4 6
+--R       - 10a b c d  + 7a b c d  - 2a b c d + 2a b c
+--R  /
+--R          6   3 6     5 2 4 5      4 3 5 4     3 4 6 3     2 5 7 2  3
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          7 3 6     6   4 5     5 2 5 4      4 3 6 3      3 4 7 2     2 5 8   2
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          7 4 5      6   5 4      5 2 6 3     4 3 7 2     3 4 8      2 5 9
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c )x
+--R     + 
+--R         7 5 4     6   6 3      5 2 7 2     4 3 8      3 4 9
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  691
+
+--S  692 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  692
+
+--S  693 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  693
+
+)clear all
+
+--S  694 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 7          3     2   2  6     2 3           2     2 2   5
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  4      2 2          3  3    2 3 2
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  694
+
+--S  695 of 1092
+r0:=(-1)/(a^2*c^3*x)-b^4/(a^2*(b*c-a*d)^3*(a+b*x))-_
+     1/2*d^3/(c^2*(b*c-a*d)^2*(c+d*x)^2)-2*d^3*(2*b*c-a*d)/_
+     (c^3*(b*c-a*d)^3*(c+d*x))-(2*b*c+3*a*d)*log(x)/(a^3*c^4)+_
+     b^4*(2*b*c-5*a*d)*log(a+b*x)/(a^3*(b*c-a*d)^4)+_
+     d^3*(10*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R              5   7      4 2   6      3 3 2 5  4
+--R           (6a b d  - 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 7     5     6      4 2 2 5      3 3 3 4  3
+--R           (6a d  - 8a b c d  - 20a b c d  + 40a b c d )x
+--R         + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3  2
+--R           (12a c d  - 34a b c d  + 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 2 5      5   3 4      4 2 4 3
+--R           (6a c d  - 20a b c d  + 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 3     6 5 2  4         2 4 4 3        5 5 2     6 6   3
+--R           (- 10a b c d  + 4b c d )x  + (- 10a b c d  - 16a b c d  + 8b c d)x
+--R         + 
+--R                 2 4 5 2       5 6      6 7  2         2 4 6        5 7
+--R           (- 20a b c d  - 2a b c d + 4b c )x  + (- 10a b c d + 4a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                5   7      4 2   6      3 3 2 5        5 4 3     6 5 2  4
+--R           (- 6a b d  + 20a b c d  - 20a b c d  + 10a b c d  - 4b c d )x
+--R         + 
+--R                   6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R               - 6a d  + 8a b c d  + 20a b c d  - 40a b c d  + 10a b c d
+--R             + 
+--R                    5 5 2     6 6
+--R               16a b c d  - 8b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R               - 12a c d  + 34a b c d  - 20a b c d  - 20a b c d  + 20a b c d
+--R             + 
+--R                   5 6      6 7
+--R               2a b c d - 4b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                6 2 5      5   3 4      4 2 4 3      2 4 6        5 7
+--R           (- 6a c d  + 20a b c d  - 20a b c d  + 10a b c d - 4a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            5     6      4 2 2 5      3 3 3 4      2 4 4 3       5 5 2  3
+--R       (- 6a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 4a b c d )x
+--R     + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R           - 6a c d  + 11a b c d  + 10a b c d  - 25a b c d  + 18a b c d
+--R         + 
+--R                 5 6
+--R           - 8a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            6 2 5      5   3 4      4 2 4 3     3 3 5 2     2 4 6        5 7
+--R       (- 9a c d  + 28a b c d  - 25a b c d  + 4a b c d  + 6a b c d - 4a b c )x
+--R     + 
+--R           6 3 4     5   4 3      4 2 5 2     3 3 6      2 4 7
+--R       - 2a c d  + 8a b c d  - 12a b c d  + 8a b c d - 2a b c
+--R  /
+--R          7   4 6     6 2 5 5      5 3 6 4     4 4 7 3     3 5 8 2  4
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          8 4 6     7   5 5     6 2 6 4      5 3 7 3      4 4 8 2     3 5 9   3
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          8 5 5      7   6 4      6 2 7 3     5 3 8 2     4 4 9      3 5 10  2
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c  )x
+--R     + 
+--R          8 6 4     7   7 3      6 2 8 2     5 3 9      4 4 10
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  695
+
+--S  696 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              5   7      4 2   6      3 3 2 5  4
+--R           (6a b d  - 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 7     5     6      4 2 2 5      3 3 3 4  3
+--R           (6a d  - 8a b c d  - 20a b c d  + 40a b c d )x
+--R         + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3  2
+--R           (12a c d  - 34a b c d  + 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 2 5      5   3 4      4 2 4 3
+--R           (6a c d  - 20a b c d  + 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 3     6 5 2  4         2 4 4 3        5 5 2     6 6   3
+--R           (- 10a b c d  + 4b c d )x  + (- 10a b c d  - 16a b c d  + 8b c d)x
+--R         + 
+--R                 2 4 5 2       5 6      6 7  2         2 4 6        5 7
+--R           (- 20a b c d  - 2a b c d + 4b c )x  + (- 10a b c d + 4a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                5   7      4 2   6      3 3 2 5        5 4 3     6 5 2  4
+--R           (- 6a b d  + 20a b c d  - 20a b c d  + 10a b c d  - 4b c d )x
+--R         + 
+--R                   6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R               - 6a d  + 8a b c d  + 20a b c d  - 40a b c d  + 10a b c d
+--R             + 
+--R                    5 5 2     6 6
+--R               16a b c d  - 8b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R               - 12a c d  + 34a b c d  - 20a b c d  - 20a b c d  + 20a b c d
+--R             + 
+--R                   5 6      6 7
+--R               2a b c d - 4b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                6 2 5      5   3 4      4 2 4 3      2 4 6        5 7
+--R           (- 6a c d  + 20a b c d  - 20a b c d  + 10a b c d - 4a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            5     6      4 2 2 5      3 3 3 4      2 4 4 3       5 5 2  3
+--R       (- 6a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 4a b c d )x
+--R     + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R           - 6a c d  + 11a b c d  + 10a b c d  - 25a b c d  + 18a b c d
+--R         + 
+--R                 5 6
+--R           - 8a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            6 2 5      5   3 4      4 2 4 3     3 3 5 2     2 4 6        5 7
+--R       (- 9a c d  + 28a b c d  - 25a b c d  + 4a b c d  + 6a b c d - 4a b c )x
+--R     + 
+--R           6 3 4     5   4 3      4 2 5 2     3 3 6      2 4 7
+--R       - 2a c d  + 8a b c d  - 12a b c d  + 8a b c d - 2a b c
+--R  /
+--R          7   4 6     6 2 5 5      5 3 6 4     4 4 7 3     3 5 8 2  4
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          8 4 6     7   5 5     6 2 6 4      5 3 7 3      4 4 8 2     3 5 9   3
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          8 5 5      7   6 4      6 2 7 3     5 3 8 2     4 4 9      3 5 10  2
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c  )x
+--R     + 
+--R          8 6 4     7   7 3      6 2 8 2     5 3 9      4 4 10
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  696
+
+--S  697 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  697
+
+--S  698 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  698
+
+)clear all
+
+--S  699 of 1092
+t0:=1/(x^3*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 8          3     2   2  7     2 3           2     2 2   6
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  5      2 2          3  4    2 3 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  699
+
+--S  700 of 1092
+r0:=(-1/2)/(a^2*c^3*x^2)+(2*b*c+3*a*d)/(a^3*c^4*x)+b^5/(a^3*(b*c-a*d)^3*_
+     (a+b*x))+1/2*d^4/(c^3*(b*c-a*d)^2*(c+d*x)^2)+d^4*(5*b*c-3*a*d)/_
+     (c^4*(b*c-a*d)^3*(c+d*x))+3*(b^2*c^2+2*a*b*c*d+2*a^2*d^2)*log(x)/_
+     (a^4*c^5)-3*b^5*(b*c-2*a*d)*log(a+b*x)/(a^4*(b*c-a*d)^4)-_
+     3*d^4*(5*b^2*c^2-6*a*b*c*d+2*a^2*d^2)*log(c+d*x)/(c^5*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                 6   8      5 2   7      4 3 2 6  5
+--R           (- 12a b d  + 36a b c d  - 30a b c d )x
+--R         + 
+--R                 7 8      6     7      5 2 2 6      4 3 3 5  4
+--R           (- 12a d  + 12a b c d  + 42a b c d  - 60a b c d )x
+--R         + 
+--R                 7   7      6   2 6      5 2 3 5      4 3 4 4  3
+--R           (- 24a c d  + 60a b c d  - 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7 2 6      6   3 5      5 2 4 4  2
+--R           (- 12a c d  + 36a b c d  - 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 5 3     7 6 2  5       2 5 5 3        6 6 2      7 7   4
+--R           (12a b c d  - 6b c d )x  + (12a b c d  + 18a b c d  - 12b c d)x
+--R         + 
+--R               2 5 6 2     7 8  3       2 5 7        6 8  2
+--R           (24a b c d  - 6b c )x  + (12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6   8      5 2   7      4 3 2 6        6 5 3     7 6 2  5
+--R           (12a b d  - 36a b c d  + 30a b c d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                  7 8      6     7      5 2 2 6      4 3 3 5      2 5 5 3
+--R               12a d  - 12a b c d  - 42a b c d  + 60a b c d  - 12a b c d
+--R             + 
+--R                      6 6 2      7 7
+--R               - 18a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  7   7      6   2 6      5 2 3 5      4 3 4 4      2 5 6 2
+--R               24a c d  - 60a b c d  + 24a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 7 8
+--R               6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R               7 2 6      6   3 5      5 2 4 4      2 5 7        6 8  2
+--R           (12a c d  - 36a b c d  + 30a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           6     7      5 2 2 6      4 3 3 5      2 5 5 3       6 6 2  4
+--R       (12a b c d  - 36a b c d  + 30a b c d  - 12a b c d  + 6a b c d )x
+--R     + 
+--R              7   7      6   2 6      5 2 3 5      4 3 4 4     3 4 5 3
+--R           12a c d  - 18a b c d  - 24a b c d  + 45a b c d  - 6a b c d
+--R         + 
+--R                2 5 6 2        6 7
+--R           - 21a b c d  + 12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 6      6   3 5      5 2 4 4      4 3 5 3      3 4 6 2
+--R           18a c d  - 50a b c d  + 33a b c d  + 12a b c d  - 13a b c d
+--R         + 
+--R               2 5 7        6 8
+--R           - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7 3 5      6   4 4      5 2 5 3     4 3 6 2     3 4 7      2 5 8
+--R       (4a c d  - 13a b c d  + 12a b c d  + 2a b c d  - 8a b c d + 3a b c )x
+--R     + 
+--R          7 4 4     6   5 3     5 2 6 2     4 3 7     3 4 8
+--R       - a c d  + 4a b c d  - 6a b c d  + 4a b c d - a b c
+--R  /
+--R          8   5 6     7 2 6 5      6 3 7 4     5 4 8 3     4 5 9 2  5
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          9 5 6     8   6 5     7 2 7 4      6 3 8 3      5 4 9 2     4 5 10   4
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c  d)x
+--R     + 
+--R          9 6 5      8   7 4      7 2 8 3     6 3 9 2     5 4 10      4 5 11  3
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c  d + 2a b c  )x
+--R     + 
+--R          9 7 4     8   8 3      7 2 9 2     6 3 10      5 4 11  2
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c  d + 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  700
+
+--S  701 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 6   8      5 2   7      4 3 2 6  5
+--R           (- 12a b d  + 36a b c d  - 30a b c d )x
+--R         + 
+--R                 7 8      6     7      5 2 2 6      4 3 3 5  4
+--R           (- 12a d  + 12a b c d  + 42a b c d  - 60a b c d )x
+--R         + 
+--R                 7   7      6   2 6      5 2 3 5      4 3 4 4  3
+--R           (- 24a c d  + 60a b c d  - 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7 2 6      6   3 5      5 2 4 4  2
+--R           (- 12a c d  + 36a b c d  - 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 5 3     7 6 2  5       2 5 5 3        6 6 2      7 7   4
+--R           (12a b c d  - 6b c d )x  + (12a b c d  + 18a b c d  - 12b c d)x
+--R         + 
+--R               2 5 6 2     7 8  3       2 5 7        6 8  2
+--R           (24a b c d  - 6b c )x  + (12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6   8      5 2   7      4 3 2 6        6 5 3     7 6 2  5
+--R           (12a b d  - 36a b c d  + 30a b c d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                  7 8      6     7      5 2 2 6      4 3 3 5      2 5 5 3
+--R               12a d  - 12a b c d  - 42a b c d  + 60a b c d  - 12a b c d
+--R             + 
+--R                      6 6 2      7 7
+--R               - 18a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  7   7      6   2 6      5 2 3 5      4 3 4 4      2 5 6 2
+--R               24a c d  - 60a b c d  + 24a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 7 8
+--R               6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R               7 2 6      6   3 5      5 2 4 4      2 5 7        6 8  2
+--R           (12a c d  - 36a b c d  + 30a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           6     7      5 2 2 6      4 3 3 5      2 5 5 3       6 6 2  4
+--R       (12a b c d  - 36a b c d  + 30a b c d  - 12a b c d  + 6a b c d )x
+--R     + 
+--R              7   7      6   2 6      5 2 3 5      4 3 4 4     3 4 5 3
+--R           12a c d  - 18a b c d  - 24a b c d  + 45a b c d  - 6a b c d
+--R         + 
+--R                2 5 6 2        6 7
+--R           - 21a b c d  + 12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 6      6   3 5      5 2 4 4      4 3 5 3      3 4 6 2
+--R           18a c d  - 50a b c d  + 33a b c d  + 12a b c d  - 13a b c d
+--R         + 
+--R               2 5 7        6 8
+--R           - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7 3 5      6   4 4      5 2 5 3     4 3 6 2     3 4 7      2 5 8
+--R       (4a c d  - 13a b c d  + 12a b c d  + 2a b c d  - 8a b c d + 3a b c )x
+--R     + 
+--R          7 4 4     6   5 3     5 2 6 2     4 3 7     3 4 8
+--R       - a c d  + 4a b c d  - 6a b c d  + 4a b c d - a b c
+--R  /
+--R          8   5 6     7 2 6 5      6 3 7 4     5 4 8 3     4 5 9 2  5
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          9 5 6     8   6 5     7 2 7 4      6 3 8 3      5 4 9 2     4 5 10   4
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c  d)x
+--R     + 
+--R          9 6 5      8   7 4      7 2 8 3     6 3 9 2     5 4 10      4 5 11  3
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c  d + 2a b c  )x
+--R     + 
+--R          9 7 4     8   8 3      7 2 9 2     6 3 10      5 4 11  2
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c  d + 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  701
+
+--S  702 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  702
+
+--S  703 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  703
+
+)clear all
+
+--S  704 of 1092
+t0:=x^2/((-1+x)^2*(1+x)^2)
+--R 
+--R
+--R              2
+--R             x
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  704
+
+--S  705 of 1092
+r0:=1/2*x/(1-x^2)-1/2*atanh(x)
+--R 
+--R
+--R            2
+--R        (- x  + 1)atanh(x) - x
+--R   (2)  ----------------------
+--R                  2
+--R                2x  - 2
+--R                                                    Type: Expression(Integer)
+--E  705
+
+--S  706 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2                    2
+--R        (- x  + 1)log(x + 1) + (x  - 1)log(x - 1) - 2x
+--R   (3)  ----------------------------------------------
+--R                              2
+--R                            4x  - 4
+--R                                         Type: Union(Expression(Integer),...)
+--E  706
+
+--S  707 of 1092
+m0:=a0-r0
+--R 
+--R
+--R        - log(x + 1) + log(x - 1) + 2atanh(x)
+--R   (4)  -------------------------------------
+--R                          4
+--R                                                    Type: Expression(Integer)
+--E  707
+
+--S  708 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  708
+
+)clear all
+
+--S  709 of 1092
+t0:=b^2*x^m/(b+a*x^2)^2
+--R 
+--R
+--R                 2 m
+--R                b x
+--R   (1)  -------------------
+--R         2 4         2    2
+--R        a x  + 2a b x  + b
+--R                                                    Type: Expression(Integer)
+--E  709
+
+--S  710 of 1092
+--r0:=1/2*b*x^(1+m)/(b+a*x^2)+1/2*(1-m)*x^(1+m)*_
+--     hypergeometric(1,1/2*(1+m),1/2*(3+m),-a*x^2/b)/(1+m)
+--E  710
+
+--S  711 of 1092
+--a0:=integrate(t0,x)
+--E  711
+
+--S  712 of 1092
+--m0:=a0-r0
+--E  712
+
+--S  713 of 1092
+--d0:=D(m0,x)
+--E  713
+
+)clear all
+
+--S  714 of 1092
+t0:=x^m/((1-x*sqrt(a)/sqrt(-b))^2*(1+x*sqrt(a)/sqrt(-b))^2)
+--R 
+--R
+--R                 2 m
+--R                b x
+--R   (1)  -------------------
+--R         2 4         2    2
+--R        a x  + 2a b x  + b
+--R                                                    Type: Expression(Integer)
+--E  714
+
+--S  715 of 1092
+--r0:=1/2*b*x^(1+m)/(b+a*x^2)+1/2*(1-m)*x^(1+m)*_
+--     hypergeometric(1,1/2*(1+m),1/2*(3+m),-a*x^2/b)/(1+m)
+--E  715
+
+--S  716 of 1092
+--a0:=integrate(t0,x)
+--E  716
+
+--S  717 of 1092
+--m0:=a0-r0
+--E  717
+
+--S  718 of 1092
+--d0:=D(m0,x)
+--E  718
+
+)clear all
+
+--S  719 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R           3 3       2 2     2       3
+--R          b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  719
+
+--S  720 of 1092
+r0:=(b*c-a*d)*(b^2*c^2-8*a*b*c*d+10*a^2*d^2)*x/b^6+_
+     3/2*d*(b*c-2*a*d)*(b*c-a*d)*x^2/b^5+d^2*(b*c-a*d)*x^3/b^4+_
+     1/4*d^3*x^4/b^3+1/2*a^3*(b*c-a*d)^3/(b^7*(a+b*x)^2)-_
+     3*a^2*(b*c-2*a*d)*(b*c-a*d)^2/(b^7*(a+b*x))-_
+     3*a*(b*c-a*d)*(b^2*c^2-5*a*b*c*d+5*a^2*d^2)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R               4 2 3       3 3   2      2 4 2         5 3  2
+--R           (60a b d  - 120a b c d  + 72a b c d - 12a b c )x
+--R         + 
+--R                5   3       4 2   2       3 3 2       2 4 3        6 3
+--R           (120a b d  - 240a b c d  + 144a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 5     2      4 2 2       3 3 3
+--R           - 120a b c d  + 72a b c d - 12a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        6 3 6          5 3     6   2  5      2 4 3        5   2     6 2   4
+--R       b d x  + (- 2a b d  + 4b c d )x  + (5a b d  - 10a b c d  + 6b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2      6 3  3
+--R       (- 20a b d  + 40a b c d  - 24a b c d + 4b c )x
+--R     + 
+--R             4 2 3       3 3   2      2 4 2        5 3  2
+--R       (- 68a b d  + 126a b c d  - 66a b c d + 8a b c )x
+--R     + 
+--R             5   3      4 2   2      3 3 2      2 4 3        6 3      5     2
+--R       (- 16a b d  + 12a b c d  + 12a b c d - 8a b c )x + 22a d  - 54a b c d
+--R     + 
+--R          4 2 2       3 3 3
+--R       42a b c d - 10a b c
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                                    Type: Expression(Integer)
+--E  720
+
+--S  721 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               4 2 3       3 3   2      2 4 2         5 3  2
+--R           (60a b d  - 120a b c d  + 72a b c d - 12a b c )x
+--R         + 
+--R                5   3       4 2   2       3 3 2       2 4 3        6 3
+--R           (120a b d  - 240a b c d  + 144a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 5     2      4 2 2       3 3 3
+--R           - 120a b c d  + 72a b c d - 12a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        6 3 6          5 3     6   2  5      2 4 3        5   2     6 2   4
+--R       b d x  + (- 2a b d  + 4b c d )x  + (5a b d  - 10a b c d  + 6b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2      6 3  3
+--R       (- 20a b d  + 40a b c d  - 24a b c d + 4b c )x
+--R     + 
+--R             4 2 3       3 3   2      2 4 2        5 3  2
+--R       (- 68a b d  + 126a b c d  - 66a b c d + 8a b c )x
+--R     + 
+--R             5   3      4 2   2      3 3 2      2 4 3        6 3      5     2
+--R       (- 16a b d  + 12a b c d  + 12a b c d - 8a b c )x + 22a d  - 54a b c d
+--R     + 
+--R          4 2 2       3 3 3
+--R       42a b c d - 10a b c
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  721
+
+--S  722 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  722
+
+--S  723 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  723
+
+)clear all
+
+--S  724 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R           3 3       2 2     2       3
+--R          b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  724
+
+--S  725 of 1092
+r0:=3*d*(b*c-2*a*d)*(b*c-a*d)*x/b^5+3/2*d^2*(b*c-a*d)*x^2/b^4+_
+     1/3*d^3*x^3/b^3-1/2*a^2*(b*c-a*d)^3/(b^6*(a+b*x)^2)+_
+     a*(2*b*c-5*a*d)*(b*c-a*d)^2/(b^6*(a+b*x))+(b*c-a*d)*_
+     (b^2*c^2-8*a*b*c*d+10*a^2*d^2)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R                 3 2 3       2 3   2        4 2      5 3  2
+--R           (- 60a b d  + 108a b c d  - 54a b c d + 6b c )x
+--R         + 
+--R                  4   3       3 2   2       2 3 2         4 3        5 3
+--R           (- 120a b d  + 216a b c d  - 108a b c d + 12a b c )x - 60a d
+--R         + 
+--R               4     2      3 2 2      2 3 3
+--R           108a b c d  - 54a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3     5   2  4       2 3 3        4   2      5 2   3
+--R       2b d x  + (- 5a b d  + 9b c d )x  + (20a b d  - 36a b c d  + 18b c d)x
+--R     + 
+--R           3 2 3      2 3   2        4 2   2
+--R       (63a b d  - 99a b c d  + 36a b c d)x
+--R     + 
+--R          4   3      3 2   2      2 3 2         4 3        5 3      4     2
+--R       (6a b d  + 18a b c d  - 36a b c d + 12a b c )x - 27a d  + 63a b c d
+--R     + 
+--R            3 2 2      2 3 3
+--R       - 45a b c d + 9a b c
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E  725
+
+--S  726 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3 2 3       2 3   2        4 2      5 3  2
+--R           (- 60a b d  + 108a b c d  - 54a b c d + 6b c )x
+--R         + 
+--R                  4   3       3 2   2       2 3 2         4 3        5 3
+--R           (- 120a b d  + 216a b c d  - 108a b c d + 12a b c )x - 60a d
+--R         + 
+--R               4     2      3 2 2      2 3 3
+--R           108a b c d  - 54a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3     5   2  4       2 3 3        4   2      5 2   3
+--R       2b d x  + (- 5a b d  + 9b c d )x  + (20a b d  - 36a b c d  + 18b c d)x
+--R     + 
+--R           3 2 3      2 3   2        4 2   2
+--R       (63a b d  - 99a b c d  + 36a b c d)x
+--R     + 
+--R          4   3      3 2   2      2 3 2         4 3        5 3      4     2
+--R       (6a b d  + 18a b c d  - 36a b c d + 12a b c )x - 27a d  + 63a b c d
+--R     + 
+--R            3 2 2      2 3 3
+--R       - 45a b c d + 9a b c
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  726
+
+--S  727 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  727
+
+--S  728 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  728
+
+)clear all
+
+--S  729 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R          3 3       2 2     2       3
+--R         b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  729
+
+--S  730 of 1092
+r0:=3*d^2*(b*c-a*d)*x/b^4+1/2*d^3*x^2/b^3+1/2*a*(b*c-a*d)^3/_
+     (b^5*(a+b*x)^2)-(b*c-4*a*d)*(b*c-a*d)^2/(b^5*(a+b*x))+_
+     3*d*(b*c-2*a*d)*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R               2 2 3        3   2     4 2   2
+--R           (12a b d  - 18a b c d  + 6b c d)x
+--R         + 
+--R             3   3      2 2   2        3 2         4 3      3     2     2 2 2
+--R         (24a b d  - 36a b c d  + 12a b c d)x + 12a d  - 18a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 3 4          3 3     4   2  3         2 2 3        3   2  2
+--R       b d x  + (- 4a b d  + 6b c d )x  + (- 11a b d  + 12a b c d )x
+--R     + 
+--R          3   3      2 2   2        3 2      4 3       4 3      3     2
+--R       (2a b d  - 12a b c d  + 12a b c d - 2b c )x + 7a d  - 15a b c d
+--R     + 
+--R         2 2 2       3 3
+--R       9a b c d - a b c
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  730
+
+--S  731 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2 3        3   2     4 2   2
+--R           (12a b d  - 18a b c d  + 6b c d)x
+--R         + 
+--R             3   3      2 2   2        3 2         4 3      3     2     2 2 2
+--R         (24a b d  - 36a b c d  + 12a b c d)x + 12a d  - 18a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 3 4          3 3     4   2  3         2 2 3        3   2  2
+--R       b d x  + (- 4a b d  + 6b c d )x  + (- 11a b d  + 12a b c d )x
+--R     + 
+--R          3   3      2 2   2        3 2      4 3       4 3      3     2
+--R       (2a b d  - 12a b c d  + 12a b c d - 2b c )x + 7a d  - 15a b c d
+--R     + 
+--R         2 2 2       3 3
+--R       9a b c d - a b c
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  731
+
+--S  732 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  732
+
+--S  733 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  733
+
+)clear all
+
+--S  734 of 1092
+t0:=(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  734
+
+--S  735 of 1092
+r0:=d^3*x/b^3-1/2*(b*c-a*d)^3/(b^4*(a+b*x)^2)-3*d*(b*c-a*d)^2/_
+     (b^4*(a+b*x))+3*d^2*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  735
+
+--S  736 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  736
+
+--S  737 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  737
+
+--S  738 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  738
+
+)clear all
+
+--S  739 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x)^3)
+--R 
+--R
+--R          3 3       2 2     2       3
+--R         d x  + 3c d x  + 3c d x + c
+--R   (1)  ------------------------------
+--R         3 4       2 3     2   2    3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  739
+
+--S  740 of 1092
+r0:=1/2*(b*c-a*d)^3/(a*b^3*(a+b*x)^2)+(b*c-a*d)^2*(b*c+2*a*d)/_
+     (a^2*b^3*(a+b*x))+c^3*log(x)/a^3-(c^3/a^3-d^3/b^3)*log(a+b*x)
+--R 
+--R
+--R   (2)
+--R             3 2 3     5 3  2      4   3       4 3       5 3     2 3 3
+--R         ((2a b d  - 2b c )x  + (4a b d  - 4a b c )x + 2a d  - 2a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 2       4 3      2 3 3             4   3     3 2   2       4 3
+--R       (2b c x  + 4a b c x + 2a b c )log(x) + (4a b d  - 6a b c d  + 2a b c )x
+--R     + 
+--R         5 3     4     2     3 2 2      2 3 3
+--R       3a d  - 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R       3 5 2     4 4      5 3
+--R     2a b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  740
+
+--S  741 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3 2 3     5 3  2      4   3       4 3       5 3     2 3 3
+--R         ((2a b d  - 2b c )x  + (4a b d  - 4a b c )x + 2a d  - 2a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 2       4 3      2 3 3             4   3     3 2   2       4 3
+--R       (2b c x  + 4a b c x + 2a b c )log(x) + (4a b d  - 6a b c d  + 2a b c )x
+--R     + 
+--R         5 3     4     2     3 2 2      2 3 3
+--R       3a d  - 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R       3 5 2     4 4      5 3
+--R     2a b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  741
+
+--S  742 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  742
+
+--S  743 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  743
+
+)clear all
+
+--S  744 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 5       2 4     2   3    3 2
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  744
+
+--S  745 of 1092
+r0:=-c^3/(a^3*x)-1/2*(b*c-a*d)^3/(a^2*b^2*(a+b*x)^2)-(b*c-a*d)^2*_
+     (2*b*c+a*d)/(a^3*b^2*(a+b*x))-3*c^2*(b*c-a*d)*log(x)/a^4+_
+     3*c^2*(b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R                  4 2      5 3  3         2 3 2         4 3  2
+--R           (- 6a b c d + 6b c )x  + (- 12a b c d + 12a b c )x
+--R         + 
+--R                3 2 2      2 3 3
+--R           (- 6a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4 2      5 3  3       2 3 2         4 3  2
+--R             (6a b c d - 6b c )x  + (12a b c d - 12a b c )x
+--R           + 
+--R                3 2 2      2 3 3
+--R             (6a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   3     2 3 2        4 3  2
+--R       (- 2a b d  + 6a b c d - 6a b c )x
+--R     + 
+--R           5 3     4     2     3 2 2      2 3 3       3 2 3
+--R       (- a d  - 3a b c d  + 9a b c d - 9a b c )x - 2a b c
+--R  /
+--R       4 4 3     5 3 2     6 2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  745
+
+--S  746 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4 2      5 3  3         2 3 2         4 3  2
+--R           (- 6a b c d + 6b c )x  + (- 12a b c d + 12a b c )x
+--R         + 
+--R                3 2 2      2 3 3
+--R           (- 6a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4 2      5 3  3       2 3 2         4 3  2
+--R             (6a b c d - 6b c )x  + (12a b c d - 12a b c )x
+--R           + 
+--R                3 2 2      2 3 3
+--R             (6a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   3     2 3 2        4 3  2
+--R       (- 2a b d  + 6a b c d - 6a b c )x
+--R     + 
+--R           5 3     4     2     3 2 2      2 3 3       3 2 3
+--R       (- a d  - 3a b c d  + 9a b c d - 9a b c )x - 2a b c
+--R  /
+--R       4 4 3     5 3 2     6 2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  746
+
+--S  747 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  747
+
+--S  748 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  748
+
+)clear all
+
+--S  749 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 6       2 5     2   4    3 3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  749
+
+--S  750 of 1092
+r0:=-1/2*c^3/(a^3*x^2)+3*c^2*(b*c-a*d)/(a^4*x)+1/2*(b*c-a*d)^3/_
+     (a^3*b*(a+b*x)^2)+3*c*(b*c-a*d)^2/(a^4*(a+b*x))+3*c*(b*c-a*d)*_
+     (2*b*c-a*d)*log(x)/a^5-3*c*(b*c-a*d)*(2*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R                2 3   2        4 2       5 3  4
+--R           (- 6a b c d  + 18a b c d - 12b c )x
+--R         + 
+--R                 3 2   2      2 3 2         4 3  3
+--R           (- 12a b c d  + 36a b c d - 24a b c )x
+--R         + 
+--R                4     2      3 2 2       2 3 3  2
+--R           (- 6a b c d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3   2        4 2       5 3  4
+--R           (6a b c d  - 18a b c d + 12b c )x
+--R         + 
+--R               3 2   2      2 3 2         4 3  3
+--R           (12a b c d  - 36a b c d + 24a b c )x
+--R         + 
+--R              4     2      3 2 2       2 3 3  2
+--R           (6a b c d  - 18a b c d + 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          3 2   2      2 3 2         4 3  3
+--R       (6a b c d  - 18a b c d + 12a b c )x
+--R     + 
+--R           5 3     4     2      3 2 2       2 3 3  2        4   2      3 2 3
+--R       (- a d  + 9a b c d  - 27a b c d + 18a b c )x  + (- 6a b c d + 4a b c )x
+--R     + 
+--R          4   3
+--R       - a b c
+--R  /
+--R       5 3 4     6 2 3     7   2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  750
+
+--S  751 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 3   2        4 2       5 3  4
+--R           (- 6a b c d  + 18a b c d - 12b c )x
+--R         + 
+--R                 3 2   2      2 3 2         4 3  3
+--R           (- 12a b c d  + 36a b c d - 24a b c )x
+--R         + 
+--R                4     2      3 2 2       2 3 3  2
+--R           (- 6a b c d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3   2        4 2       5 3  4
+--R           (6a b c d  - 18a b c d + 12b c )x
+--R         + 
+--R               3 2   2      2 3 2         4 3  3
+--R           (12a b c d  - 36a b c d + 24a b c )x
+--R         + 
+--R              4     2      3 2 2       2 3 3  2
+--R           (6a b c d  - 18a b c d + 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          3 2   2      2 3 2         4 3  3
+--R       (6a b c d  - 18a b c d + 12a b c )x
+--R     + 
+--R           5 3     4     2      3 2 2       2 3 3  2        4   2      3 2 3
+--R       (- a d  + 9a b c d  - 27a b c d + 18a b c )x  + (- 6a b c d + 4a b c )x
+--R     + 
+--R          4   3
+--R       - a b c
+--R  /
+--R       5 3 4     6 2 3     7   2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  751
+
+--S  752 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  752
+
+--S  753 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  753
+
+)clear all
+
+--S  754 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 7       2 6     2   5    3 4
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  754
+
+--S  755 of 1092
+r0:=-1/3*c^3/(a^3*x^3)+3/2*c^2*(b*c-a*d)/(a^4*x^2)-3*c*(b*c-a*d)*_
+     (2*b*c-a*d)/(a^5*x)-1/2*(b*c-a*d)^3/(a^4*(a+b*x)^2)-(b*c-a*d)^2*_
+     (4*b*c-a*d)/(a^5*(a+b*x))-(b*c-a*d)*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*_
+     log(x)/a^6+(b*c-a*d)*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R                3 2 3      2 3   2         4 2       5 3  5
+--R           (- 6a b d  + 54a b c d  - 108a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2          4 3  4
+--R           (- 12a b d  + 108a b c d  - 216a b c d + 120a b c )x
+--R         + 
+--R                5 3      4     2       3 2 2       2 3 3  3
+--R           (- 6a d  + 54a b c d  - 108a b c d + 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3 2 3      2 3   2         4 2       5 3  5
+--R           (6a b d  - 54a b c d  + 108a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2          4 3  4
+--R           (12a b d  - 108a b c d  + 216a b c d - 120a b c )x
+--R         + 
+--R              5 3      4     2       3 2 2       2 3 3  3
+--R           (6a d  - 54a b c d  + 108a b c d - 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4   3      3 2   2       2 3 2         4 3  4
+--R       (6a b d  - 54a b c d  + 108a b c d - 60a b c )x
+--R     + 
+--R          5 3      4     2       3 2 2       2 3 3  3
+--R       (9a d  - 81a b c d  + 162a b c d - 90a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2        5 2      4   3       5 3
+--R       (- 18a c d  + 36a b c d - 20a b c )x  + (- 9a c d + 5a b c )x - 2a c
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E  755
+
+--S  756 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2 3      2 3   2         4 2       5 3  5
+--R           (- 6a b d  + 54a b c d  - 108a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2          4 3  4
+--R           (- 12a b d  + 108a b c d  - 216a b c d + 120a b c )x
+--R         + 
+--R                5 3      4     2       3 2 2       2 3 3  3
+--R           (- 6a d  + 54a b c d  - 108a b c d + 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3 2 3      2 3   2         4 2       5 3  5
+--R           (6a b d  - 54a b c d  + 108a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2          4 3  4
+--R           (12a b d  - 108a b c d  + 216a b c d - 120a b c )x
+--R         + 
+--R              5 3      4     2       3 2 2       2 3 3  3
+--R           (6a d  - 54a b c d  + 108a b c d - 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4   3      3 2   2       2 3 2         4 3  4
+--R       (6a b d  - 54a b c d  + 108a b c d - 60a b c )x
+--R     + 
+--R          5 3      4     2       3 2 2       2 3 3  3
+--R       (9a d  - 81a b c d  + 162a b c d - 90a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2        5 2      4   3       5 3
+--R       (- 18a c d  + 36a b c d - 20a b c )x  + (- 9a c d + 5a b c )x - 2a c
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  756
+
+--S  757 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  757
+
+--S  758 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  758
+
+)clear all
+
+--S  759 of 1092
+t0:=x^7/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      7
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  759
+
+--S  760 of 1092
+r0:=-3*(b*c+a*d)*x/(b^4*d^4)+1/2*x^2/(b^3*d^3)+1/2*a^7/(b^5*(b*c-a*d)^3*_
+     (a+b*x)^2)-a^6*(7*b*c-4*a*d)/(b^5*(b*c-a*d)^4*(a+b*x))-1/2*c^7/_
+     (d^5*(b*c-a*d)^3*(c+d*x)^2)+c^6*(4*b*c-7*a*d)/(d^5*(b*c-a*d)^4*(c+d*x))-_
+     3*a^5*(7*b^2*c^2-7*a*b*c*d+2*a^2*d^2)*log(a+b*x)/(b^5*(b*c-a*d)^5)+_
+     3*c^5*(2*b^2*c^2-7*a*b*c*d+7*a^2*d^2)*log(c+d*x)/(d^5*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                 2 7 5 4        8 6 3      9 7 2  4
+--R           (- 42a b c d  + 42a b c d  - 12b c d )x
+--R         + 
+--R                 3 6 5 4        8 7 2      9 8   3
+--R           (- 84a b c d  + 60a b c d  - 24b c d)x
+--R         + 
+--R                 4 5 5 4       3 6 6 3       2 7 7 2       8 8       9 9  2
+--R           (- 42a b c d  - 126a b c d  + 114a b c d  - 6a b c d - 12b c )x
+--R         + 
+--R                 4 5 6 3      2 7 8         8 9        4 5 7 2      3 6 8
+--R           (- 84a b c d  + 60a b c d - 24a b c )x - 42a b c d  + 42a b c d
+--R         + 
+--R                2 7 9
+--R           - 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 2 9      6 3   8      5 4 2 7  4
+--R           (12a b d  - 42a b c d  + 42a b c d )x
+--R         + 
+--R               8   9      7 2   8      5 4 3 6  3
+--R           (24a b d  - 60a b c d  + 84a b c d )x
+--R         + 
+--R               9 9     8     8       7 2 2 7       6 3 3 6      5 4 4 5  2
+--R           (12a d  + 6a b c d  - 114a b c d  + 126a b c d  + 42a b c d )x
+--R         + 
+--R               9   8      8   2 7      6 3 4 5        9 2 7      8   3 6
+--R           (24a c d  - 60a b c d  + 84a b c d )x + 12a c d  - 42a b c d
+--R         + 
+--R              7 2 4 5
+--R           42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 4 9     4 5   8      3 6 2 7      2 7 3 6       8 4 5    9 5 4  6
+--R       (a b d  - 5a b c d  + 10a b c d  - 10a b c d  + 5a b c d  - b c d )x
+--R     + 
+--R                 6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4
+--R             - 4a b d  + 16a b c d  - 20a b c d  + 20a b c d  - 16a b c d
+--R           + 
+--R               9 6 3
+--R             4b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                7 2 9      6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           - 11a b d  + 35a b c d  - 21a b c d  - 35a b c d  + 35a b c d
+--R         + 
+--R              2 7 5 4        8 6 3      9 7 2
+--R           21a b c d  - 35a b c d  + 11b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8   9      7 2   8      6 3 2 7      5 4 3 6      3 6 5 4
+--R           2a b d  - 20a b c d  + 66a b c d  - 86a b c d  + 86a b c d
+--R         + 
+--R                2 7 6 3        8 7 2     9 8
+--R           - 66a b c d  + 20a b c d  - 2b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             9 9      8     8     7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4
+--R           7a d  - 16a b c d  + 6a b c d  + 11a b c d  - 50a b c d  + 50a b c d
+--R         + 
+--R                3 6 6 3     2 7 7 2        8 8      9 9
+--R           - 11a b c d  - 6a b c d  + 16a b c d - 7b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              9   8      8   2 7      7 2 3 6      6 3 4 5      4 5 6 3
+--R           14a c d  - 38a b c d  + 28a b c d  - 16a b c d  + 16a b c d
+--R         + 
+--R                3 6 7 2      2 7 8         8 9
+--R           - 28a b c d  + 38a b c d - 14a b c
+--R      *
+--R         x
+--R     + 
+--R         9 2 7      8   3 6      7 2 4 5      4 5 7 2      3 6 8      2 7 9
+--R       7a c d  - 20a b c d  + 13a b c d  - 13a b c d  + 20a b c d - 7a b c
+--R  /
+--R             5 7 12      4 8   11      3 9 2 10      2 10 3 9        11 4 8
+--R           2a b d   - 10a b c d   + 20a b c d   - 20a b  c d  + 10a b  c d
+--R         + 
+--R               12 5 7
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 6 12      5 7   11      4 8 2 10      2 10 4 8        11 5 7
+--R           4a b d   - 16a b c d   + 20a b c d   - 20a b  c d  + 16a b  c d
+--R         + 
+--R               12 6 6
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 5 12     6 6   11      5 7 2 10      4 8 3 9      3 9 4 8
+--R           2a b d   - 2a b c d   - 18a b c d   + 50a b c d  - 50a b c d
+--R         + 
+--R              2 10 5 7       11 6 6     12 7 5
+--R           18a b  c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 5   11      6 6 2 10      5 7 3 9      3 9 5 7      2 10 6 6
+--R           4a b c d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R                 11 7 5
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 5 2 10      6 6 3 9      5 7 4 8      4 8 5 7      3 9 6 6     2 10 7 5
+--R     2a b c d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b  c d
+--R                                                    Type: Expression(Integer)
+--E  760
+
+--S  761 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 7 5 4        8 6 3      9 7 2  4
+--R           (- 42a b c d  + 42a b c d  - 12b c d )x
+--R         + 
+--R                 3 6 5 4        8 7 2      9 8   3
+--R           (- 84a b c d  + 60a b c d  - 24b c d)x
+--R         + 
+--R                 4 5 5 4       3 6 6 3       2 7 7 2       8 8       9 9  2
+--R           (- 42a b c d  - 126a b c d  + 114a b c d  - 6a b c d - 12b c )x
+--R         + 
+--R                 4 5 6 3      2 7 8         8 9        4 5 7 2      3 6 8
+--R           (- 84a b c d  + 60a b c d - 24a b c )x - 42a b c d  + 42a b c d
+--R         + 
+--R                2 7 9
+--R           - 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 2 9      6 3   8      5 4 2 7  4
+--R           (12a b d  - 42a b c d  + 42a b c d )x
+--R         + 
+--R               8   9      7 2   8      5 4 3 6  3
+--R           (24a b d  - 60a b c d  + 84a b c d )x
+--R         + 
+--R               9 9     8     8       7 2 2 7       6 3 3 6      5 4 4 5  2
+--R           (12a d  + 6a b c d  - 114a b c d  + 126a b c d  + 42a b c d )x
+--R         + 
+--R               9   8      8   2 7      6 3 4 5        9 2 7      8   3 6
+--R           (24a c d  - 60a b c d  + 84a b c d )x + 12a c d  - 42a b c d
+--R         + 
+--R              7 2 4 5
+--R           42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 4 9     4 5   8      3 6 2 7      2 7 3 6       8 4 5    9 5 4  6
+--R       (a b d  - 5a b c d  + 10a b c d  - 10a b c d  + 5a b c d  - b c d )x
+--R     + 
+--R                 6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4
+--R             - 4a b d  + 16a b c d  - 20a b c d  + 20a b c d  - 16a b c d
+--R           + 
+--R               9 6 3
+--R             4b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                7 2 9      6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           - 11a b d  + 35a b c d  - 21a b c d  - 35a b c d  + 35a b c d
+--R         + 
+--R              2 7 5 4        8 6 3      9 7 2
+--R           21a b c d  - 35a b c d  + 11b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8   9      7 2   8      6 3 2 7      5 4 3 6      3 6 5 4
+--R           2a b d  - 20a b c d  + 66a b c d  - 86a b c d  + 86a b c d
+--R         + 
+--R                2 7 6 3        8 7 2     9 8
+--R           - 66a b c d  + 20a b c d  - 2b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             9 9      8     8     7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4
+--R           7a d  - 16a b c d  + 6a b c d  + 11a b c d  - 50a b c d  + 50a b c d
+--R         + 
+--R                3 6 6 3     2 7 7 2        8 8      9 9
+--R           - 11a b c d  - 6a b c d  + 16a b c d - 7b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              9   8      8   2 7      7 2 3 6      6 3 4 5      4 5 6 3
+--R           14a c d  - 38a b c d  + 28a b c d  - 16a b c d  + 16a b c d
+--R         + 
+--R                3 6 7 2      2 7 8         8 9
+--R           - 28a b c d  + 38a b c d - 14a b c
+--R      *
+--R         x
+--R     + 
+--R         9 2 7      8   3 6      7 2 4 5      4 5 7 2      3 6 8      2 7 9
+--R       7a c d  - 20a b c d  + 13a b c d  - 13a b c d  + 20a b c d - 7a b c
+--R  /
+--R             5 7 12      4 8   11      3 9 2 10      2 10 3 9        11 4 8
+--R           2a b d   - 10a b c d   + 20a b c d   - 20a b  c d  + 10a b  c d
+--R         + 
+--R               12 5 7
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 6 12      5 7   11      4 8 2 10      2 10 4 8        11 5 7
+--R           4a b d   - 16a b c d   + 20a b c d   - 20a b  c d  + 16a b  c d
+--R         + 
+--R               12 6 6
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 5 12     6 6   11      5 7 2 10      4 8 3 9      3 9 4 8
+--R           2a b d   - 2a b c d   - 18a b c d   + 50a b c d  - 50a b c d
+--R         + 
+--R              2 10 5 7       11 6 6     12 7 5
+--R           18a b  c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 5   11      6 6 2 10      5 7 3 9      3 9 5 7      2 10 6 6
+--R           4a b c d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R                 11 7 5
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 5 2 10      6 6 3 9      5 7 4 8      4 8 5 7      3 9 6 6     2 10 7 5
+--R     2a b c d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b  c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  761
+
+--S  762 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  762
+
+--S  763 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  763
+
+)clear all
+
+--S  764 of 1092
+t0:=x^6/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  764
+
+--S  765 of 1092
+r0:=x/(b^3*d^3)-1/2*a^6/(b^4*(b*c-a*d)^3*(a+b*x)^2)+3*a^5*(2*b*c-a*d)/_
+     (b^4*(b*c-a*d)^4*(a+b*x))+1/2*c^6/(d^4*(b*c-a*d)^3*(c+d*x)^2)-_
+     3*c^5*(b*c-2*a*d)/(d^4*(b*c-a*d)^4*(c+d*x))+3*a^4*(5*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(a+b*x)/(b^4*(b*c-a*d)^5)-3*c^4*_
+     (b^2*c^2-4*a*b*c*d+5*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R               2 6 4 4        7 5 3     8 6 2  4
+--R           (30a b c d  - 24a b c d  + 6b c d )x
+--R         + 
+--R               3 5 4 4      2 6 5 3        7 6 2      8 7   3
+--R           (60a b c d  + 12a b c d  - 36a b c d  + 12b c d)x
+--R         + 
+--R               4 4 4 4      3 5 5 3      2 6 6 2     8 8  2
+--R           (30a b c d  + 96a b c d  - 60a b c d  + 6b c )x
+--R         + 
+--R               4 4 5 3      3 5 6 2      2 6 7         7 8        4 4 6 2
+--R           (60a b c d  + 12a b c d  - 36a b c d + 12a b c )x + 30a b c d
+--R         + 
+--R                3 5 7      2 6 8
+--R           - 24a b c d + 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                6 2 8      5 3   7      4 4 2 6  4
+--R           (- 6a b d  + 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7   8      6 2   7      5 3 2 6      4 4 3 5  3
+--R           (- 12a b d  + 36a b c d  - 12a b c d  - 60a b c d )x
+--R         + 
+--R                8 8      6 2 2 6      5 3 3 5      4 4 4 4  2
+--R           (- 6a d  + 60a b c d  - 96a b c d  - 30a b c d )x
+--R         + 
+--R                 8   7      7   2 6      6 2 3 5      5 3 4 4       8 2 6
+--R           (- 12a c d  + 36a b c d  - 12a b c d  - 60a b c d )x - 6a c d
+--R         + 
+--R              7   3 5      6 2 4 4
+--R           24a b c d  - 30a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  5
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  4
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           - 4a b d  + 16a b c d  - 30a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3        7 6 2     8 7
+--R           30a b c d  - 16a b c d  + 4b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 8     7     7     6 2 2 6     5 3 3 5     3 5 5 3     2 6 6 2
+--R           - 5a d  + 8a b c d  + 9a b c d  - 4a b c d  + 4a b c d  - 9a b c d
+--R         + 
+--R                 7 7      8 8
+--R           - 8a b c d + 5b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   7      7   2 6      6 2 3 5     5 3 4 4     4 4 5 3
+--R           - 10a c d  + 28a b c d  - 14a b c d  + 8a b c d  - 8a b c d
+--R         + 
+--R              3 5 6 2      2 6 7         7 8
+--R           14a b c d  - 28a b c d + 10a b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       - 5a c d  + 16a b c d  - 11a b c d  + 11a b c d  - 16a b c d + 5a b c
+--R  /
+--R             5 6 11      4 7   10      3 8 2 9      2 9 3 8        10 4 7
+--R           2a b d   - 10a b c d   + 20a b c d  - 20a b c d  + 10a b  c d
+--R         + 
+--R               11 5 6
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 5 11      5 6   10      4 7 2 9      2 9 4 7        10 5 6
+--R           4a b d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R               11 6 5
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 4 11     6 5   10      5 6 2 9      4 7 3 8      3 8 4 7
+--R           2a b d   - 2a b c d   - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 9 5 6       10 6 5     11 7 4
+--R           18a b c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 4   10      6 5 2 9      5 6 3 8      3 8 5 6      2 9 6 5
+--R           4a b c d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 10 7 4
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 4 2 9      6 5 3 8      5 6 4 7      4 7 5 6      3 8 6 5     2 9 7 4
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  765
+
+--S  766 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 6 4 4        7 5 3     8 6 2  4
+--R           (30a b c d  - 24a b c d  + 6b c d )x
+--R         + 
+--R               3 5 4 4      2 6 5 3        7 6 2      8 7   3
+--R           (60a b c d  + 12a b c d  - 36a b c d  + 12b c d)x
+--R         + 
+--R               4 4 4 4      3 5 5 3      2 6 6 2     8 8  2
+--R           (30a b c d  + 96a b c d  - 60a b c d  + 6b c )x
+--R         + 
+--R               4 4 5 3      3 5 6 2      2 6 7         7 8        4 4 6 2
+--R           (60a b c d  + 12a b c d  - 36a b c d + 12a b c )x + 30a b c d
+--R         + 
+--R                3 5 7      2 6 8
+--R           - 24a b c d + 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                6 2 8      5 3   7      4 4 2 6  4
+--R           (- 6a b d  + 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7   8      6 2   7      5 3 2 6      4 4 3 5  3
+--R           (- 12a b d  + 36a b c d  - 12a b c d  - 60a b c d )x
+--R         + 
+--R                8 8      6 2 2 6      5 3 3 5      4 4 4 4  2
+--R           (- 6a d  + 60a b c d  - 96a b c d  - 30a b c d )x
+--R         + 
+--R                 8   7      7   2 6      6 2 3 5      5 3 4 4       8 2 6
+--R           (- 12a c d  + 36a b c d  - 12a b c d  - 60a b c d )x - 6a c d
+--R         + 
+--R              7   3 5      6 2 4 4
+--R           24a b c d  - 30a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  5
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  4
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           - 4a b d  + 16a b c d  - 30a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3        7 6 2     8 7
+--R           30a b c d  - 16a b c d  + 4b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 8     7     7     6 2 2 6     5 3 3 5     3 5 5 3     2 6 6 2
+--R           - 5a d  + 8a b c d  + 9a b c d  - 4a b c d  + 4a b c d  - 9a b c d
+--R         + 
+--R                 7 7      8 8
+--R           - 8a b c d + 5b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   7      7   2 6      6 2 3 5     5 3 4 4     4 4 5 3
+--R           - 10a c d  + 28a b c d  - 14a b c d  + 8a b c d  - 8a b c d
+--R         + 
+--R              3 5 6 2      2 6 7         7 8
+--R           14a b c d  - 28a b c d + 10a b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       - 5a c d  + 16a b c d  - 11a b c d  + 11a b c d  - 16a b c d + 5a b c
+--R  /
+--R             5 6 11      4 7   10      3 8 2 9      2 9 3 8        10 4 7
+--R           2a b d   - 10a b c d   + 20a b c d  - 20a b c d  + 10a b  c d
+--R         + 
+--R               11 5 6
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 5 11      5 6   10      4 7 2 9      2 9 4 7        10 5 6
+--R           4a b d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R               11 6 5
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 4 11     6 5   10      5 6 2 9      4 7 3 8      3 8 4 7
+--R           2a b d   - 2a b c d   - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 9 5 6       10 6 5     11 7 4
+--R           18a b c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 4   10      6 5 2 9      5 6 3 8      3 8 5 6      2 9 6 5
+--R           4a b c d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 10 7 4
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 4 2 9      6 5 3 8      5 6 4 7      4 7 5 6      3 8 6 5     2 9 7 4
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  766
+
+--S  767 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  767
+
+--S  768 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  768
+
+)clear all
+
+--S  769 of 1092
+t0:=x^5/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  769
+
+--S  770 of 1092
+r0:=1/2*a^5/(b^3*(b*c-a*d)^3*(a+b*x)^2)-a^4*(5*b*c-2*a*d)/_
+     (b^3*(b*c-a*d)^4*(a+b*x))-1/2*c^5/(d^3*(b*c-a*d)^3*(c+d*x)^2)+_
+     c^4*(2*b*c-5*a*d)/(d^3*(b*c-a*d)^4*(c+d*x))-a^3*(10*b^2*c^2-_
+     5*a*b*c*d+a^2*d^2)*log(a+b*x)/(b^3*(b*c-a*d)^5)+c^3*(b^2*c^2-_
+     5*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^3*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                 2 5 3 4        6 4 3     7 5 2  4
+--R           (- 20a b c d  + 10a b c d  - 2b c d )x
+--R         + 
+--R                 3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (- 40a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R         + 
+--R                 4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (- 20a b c d  - 70a b c d  + 18a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R                 4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (- 40a b c d  - 20a b c d  + 16a b c d - 4a b c )x - 20a b c d
+--R         + 
+--R              3 4 6      2 5 7
+--R           10a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5 2 7      4 3   6      3 4 2 5  4
+--R           (2a b d  - 10a b c d  + 20a b c d )x
+--R         + 
+--R              6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (4a b d  - 16a b c d  + 20a b c d  + 40a b c d )x
+--R         + 
+--R              7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (2a d  - 2a b c d  - 18a b c d  + 70a b c d  + 20a b c d )x
+--R         + 
+--R              7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (4a c d  - 16a b c d  + 20a b c d  + 40a b c d )x + 2a c d
+--R         + 
+--R                6   3 4      5 2 4 3
+--R           - 10a b c d  + 20a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 14a b c d  + 10a b c d  - 10a b c d  + 14a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           3a d  - 4a b c d  - 19a b c d  + 20a b c d  - 20a b c d  + 19a b c d
+--R         + 
+--R               6 6      7 7
+--R           4a b c d - 3b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5     5 2 3 4     3 4 5 2      2 5 6        6 7
+--R       (6a c d  - 20a b c d  + 4a b c d  - 4a b c d  + 20a b c d - 6a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R               5 5 10      4 6   9      3 7 2 8      2 8 3 7        9 4 6
+--R             2a b d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R           + 
+--R                 10 5 5
+--R             - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               6 4 10      5 5   9      4 6 2 8      2 8 4 6        9 5 5
+--R             4a b d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R           + 
+--R                 10 6 4
+--R             - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 3 10     6 4   9      5 5 2 8      4 6 3 7      3 7 4 6
+--R           2a b d   - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 8 5 5       9 6 4     10 7 3
+--R           18a b c d  + 2a b c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 3   9      6 4 2 8      5 5 3 7      3 7 5 5      2 8 6 4
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 9 7 3
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 3 2 8      6 4 3 7      5 5 4 6      4 6 5 5      3 7 6 4     2 8 7 3
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  770
+
+--S  771 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 5 3 4        6 4 3     7 5 2  4
+--R           (- 20a b c d  + 10a b c d  - 2b c d )x
+--R         + 
+--R                 3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (- 40a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R         + 
+--R                 4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (- 20a b c d  - 70a b c d  + 18a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R                 4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (- 40a b c d  - 20a b c d  + 16a b c d - 4a b c )x - 20a b c d
+--R         + 
+--R              3 4 6      2 5 7
+--R           10a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5 2 7      4 3   6      3 4 2 5  4
+--R           (2a b d  - 10a b c d  + 20a b c d )x
+--R         + 
+--R              6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (4a b d  - 16a b c d  + 20a b c d  + 40a b c d )x
+--R         + 
+--R              7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (2a d  - 2a b c d  - 18a b c d  + 70a b c d  + 20a b c d )x
+--R         + 
+--R              7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (4a c d  - 16a b c d  + 20a b c d  + 40a b c d )x + 2a c d
+--R         + 
+--R                6   3 4      5 2 4 3
+--R           - 10a b c d  + 20a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 14a b c d  + 10a b c d  - 10a b c d  + 14a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           3a d  - 4a b c d  - 19a b c d  + 20a b c d  - 20a b c d  + 19a b c d
+--R         + 
+--R               6 6      7 7
+--R           4a b c d - 3b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5     5 2 3 4     3 4 5 2      2 5 6        6 7
+--R       (6a c d  - 20a b c d  + 4a b c d  - 4a b c d  + 20a b c d - 6a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R               5 5 10      4 6   9      3 7 2 8      2 8 3 7        9 4 6
+--R             2a b d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R           + 
+--R                 10 5 5
+--R             - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               6 4 10      5 5   9      4 6 2 8      2 8 4 6        9 5 5
+--R             4a b d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R           + 
+--R                 10 6 4
+--R             - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 3 10     6 4   9      5 5 2 8      4 6 3 7      3 7 4 6
+--R           2a b d   - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 8 5 5       9 6 4     10 7 3
+--R           18a b c d  + 2a b c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 3   9      6 4 2 8      5 5 3 7      3 7 5 5      2 8 6 4
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 9 7 3
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 3 2 8      6 4 3 7      5 5 4 6      4 6 5 5      3 7 6 4     2 8 7 3
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  771
+
+--S  772 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  772
+
+--S  773 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  773
+
+)clear all
+
+--S  774 of 1092
+t0:=x^4/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  774
+
+--S  775 of 1092
+r0:=-1/2*a^4/(b^2*(b*c-a*d)^3*(a+b*x)^2)+a^3*(4*b*c-a*d)/(b^2*(b*c-a*d)^4*_
+     (a+b*x))+1/2*c^4/(d^2*(b*c-a*d)^3*(c+d*x)^2)-c^3*(b*c-4*a*d)/_
+     (d^2*(b*c-a*d)^4*(c+d*x))+6*a^2*c^2*log(a+b*x)/(b*c-a*d)^5-_
+     6*a^2*c^2*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              2 4 2 4 4       3 3 2 4      2 4 3 3  3
+--R           12a b c d x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R               4 2 2 4      3 3 3 3      2 4 4 2  2       4 2 3 3      3 3 4 2
+--R           (12a b c d  + 48a b c d  + 12a b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 4 2 4 4         3 3 2 4      2 4 3 3  3
+--R           - 12a b c d x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                 4 2 2 4      3 3 3 3      2 4 4 2  2
+--R           (- 12a b c d  - 48a b c d  - 12a b c d )x
+--R         + 
+--R                 4 2 3 3      3 3 4 2        4 2 4 2
+--R           (- 24a b c d  - 24a b c d )x - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5   6      4 2   5     3 3 2 4     2 4 3 3        5 4 2     6 5   3
+--R       (- 2a b d  + 10a b c d  - 8a b c d  + 8a b c d  - 10a b c d  + 2b c d)x
+--R     + 
+--R           6 6     5     5      4 2 2 4      2 4 4 2       5 5     6 6  2
+--R       (- a d  + 4a b c d  + 13a b c d  - 13a b c d  - 4a b c d + b c )x
+--R     + 
+--R            6   5      5   2 4     4 2 3 3     3 3 4 2      2 4 5        5 6
+--R       (- 2a c d  + 14a b c d  + 4a b c d  - 4a b c d  - 14a b c d + 2a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5     2 4 6
+--R       - a c d  + 8a b c d  - 8a b c d + a b c
+--R  /
+--R          5 4 9      4 5   8      3 6 2 7      2 7 3 6        8 4 5     9 5 4  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4     9 6 3  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7 2 9     6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 7 5 4       8 6 3     9 7 2
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 2   8      6 3 2 7      5 4 3 6      3 6 5 4      2 7 6 3
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 8 7 2
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4      3 6 6 3     2 7 7 2
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  775
+
+--S  776 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 4 2 4 4       3 3 2 4      2 4 3 3  3
+--R           12a b c d x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R               4 2 2 4      3 3 3 3      2 4 4 2  2       4 2 3 3      3 3 4 2
+--R           (12a b c d  + 48a b c d  + 12a b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 4 2 4 4         3 3 2 4      2 4 3 3  3
+--R           - 12a b c d x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                 4 2 2 4      3 3 3 3      2 4 4 2  2
+--R           (- 12a b c d  - 48a b c d  - 12a b c d )x
+--R         + 
+--R                 4 2 3 3      3 3 4 2        4 2 4 2
+--R           (- 24a b c d  - 24a b c d )x - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5   6      4 2   5     3 3 2 4     2 4 3 3        5 4 2     6 5   3
+--R       (- 2a b d  + 10a b c d  - 8a b c d  + 8a b c d  - 10a b c d  + 2b c d)x
+--R     + 
+--R           6 6     5     5      4 2 2 4      2 4 4 2       5 5     6 6  2
+--R       (- a d  + 4a b c d  + 13a b c d  - 13a b c d  - 4a b c d + b c )x
+--R     + 
+--R            6   5      5   2 4     4 2 3 3     3 3 4 2      2 4 5        5 6
+--R       (- 2a c d  + 14a b c d  + 4a b c d  - 4a b c d  - 14a b c d + 2a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5     2 4 6
+--R       - a c d  + 8a b c d  - 8a b c d + a b c
+--R  /
+--R          5 4 9      4 5   8      3 6 2 7      2 7 3 6        8 4 5     9 5 4  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4     9 6 3  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7 2 9     6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 7 5 4       8 6 3     9 7 2
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 2   8      6 3 2 7      5 4 3 6      3 6 5 4      2 7 6 3
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 8 7 2
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4      3 6 6 3     2 7 7 2
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  776
+
+--S  777 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  777
+
+--S  778 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  778
+
+)clear all
+
+--S  779 of 1092
+t0:=x^3/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  779
+
+--S  780 of 1092
+r0:=1/2*a^3/(b*(b*c-a*d)^3*(a+b*x)^2)-3*a^2*c/((b*c-a*d)^4*(a+b*x))-_
+     1/2*c^3/(d*(b*c-a*d)^3*(c+d*x)^2)-3*a*c^2/((b*c-a*d)^4*(c+d*x))-_
+     3*a*c*(b*c+a*d)*log(a+b*x)/(b*c-a*d)^5+3*a*c*(b*c+a*d)*log(c+d*x)/_
+     (b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R                2 3   4       4 2 3  4
+--R           (- 6a b c d  - 6a b c d )x
+--R         + 
+--R                 3 2   4      2 3 2 3        4 3 2  3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d )x
+--R         + 
+--R                4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (- 6a b c d  - 30a b c d  - 30a b c d  - 6a b c d)x
+--R         + 
+--R                 4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              2 3   4       4 2 3  4       3 2   4      2 3 2 3        4 3 2  3
+--R           (6a b c d  + 6a b c d )x  + (12a b c d  + 24a b c d  + 12a b c d )x
+--R         + 
+--R              4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (6a b c d  + 30a b c d  + 30a b c d  + 6a b c d)x
+--R         + 
+--R               4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            3 2   4       4 3 2  3
+--R       (- 6a b c d  + 6a b c d )x
+--R     + 
+--R           5 5     4     4      3 2 2 3      2 3 3 2       4 4     5 5  2
+--R       (- a d  - 4a b c d  - 19a b c d  + 19a b c d  + 4a b c d + b c )x
+--R     + 
+--R            5   4      4   2 3      2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  - 14a b c d  + 14a b c d + 2a b c )x - a c d  - 9a b c d
+--R     + 
+--R         3 2 4     2 3 5
+--R       9a b c d + a b c
+--R  /
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7   8     6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3       7 6 2     8 7
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 7 7
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R         7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2     2 6 7
+--R       2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  780
+
+--S  781 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 3   4       4 2 3  4
+--R           (- 6a b c d  - 6a b c d )x
+--R         + 
+--R                 3 2   4      2 3 2 3        4 3 2  3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d )x
+--R         + 
+--R                4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (- 6a b c d  - 30a b c d  - 30a b c d  - 6a b c d)x
+--R         + 
+--R                 4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              2 3   4       4 2 3  4       3 2   4      2 3 2 3        4 3 2  3
+--R           (6a b c d  + 6a b c d )x  + (12a b c d  + 24a b c d  + 12a b c d )x
+--R         + 
+--R              4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (6a b c d  + 30a b c d  + 30a b c d  + 6a b c d)x
+--R         + 
+--R               4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            3 2   4       4 3 2  3
+--R       (- 6a b c d  + 6a b c d )x
+--R     + 
+--R           5 5     4     4      3 2 2 3      2 3 3 2       4 4     5 5  2
+--R       (- a d  - 4a b c d  - 19a b c d  + 19a b c d  + 4a b c d + b c )x
+--R     + 
+--R            5   4      4   2 3      2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  - 14a b c d  + 14a b c d + 2a b c )x - a c d  - 9a b c d
+--R     + 
+--R         3 2 4     2 3 5
+--R       9a b c d + a b c
+--R  /
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7   8     6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3       7 6 2     8 7
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 7 7
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R         7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2     2 6 7
+--R       2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  781
+
+--S  782 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  782
+
+--S  783 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  783
+
+)clear all
+
+--S  784 of 1092
+t0:=x^2/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  784
+
+--S  785 of 1092
+r0:=-1/2*a^2/((b*c-a*d)^3*(a+b*x)^2)+a*(2*b*c+a*d)/((b*c-a*d)^4*(a+b*x))+_
+     1/2*c^2/((b*c-a*d)^3*(c+d*x)^2)+c*(b*c+2*a*d)/((b*c-a*d)^4*(c+d*x))+_
+     (b^2*c^2+4*a*b*c*d+a^2*d^2)*log(a+b*x)/(b*c-a*d)^5-(b^2*c^2+4*a*b*c*d+_
+     a^2*d^2)*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              2 2 4       3   3     4 2 2  4
+--R           (2a b d  + 8a b c d  + 2b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   3
+--R           (4a b d  + 20a b c d  + 20a b c d  + 4b c d)x
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (2a d  + 16a b c d  + 36a b c d  + 16a b c d + 2b c )x
+--R         + 
+--R              4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (4a c d  + 20a b c d  + 20a b c d + 4a b c )x + 2a c d  + 8a b c d
+--R         + 
+--R             2 2 4
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 2 4       3   3     4 2 2  4
+--R           (- 2a b d  - 8a b c d  - 2b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   3
+--R           (- 4a b d  - 20a b c d  - 20a b c d  - 4b c d)x
+--R         + 
+--R                4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (- 2a d  - 16a b c d  - 36a b c d  - 16a b c d - 2b c )x
+--R         + 
+--R                4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (- 4a c d  - 20a b c d  - 20a b c d - 4a b c )x - 2a c d  - 8a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3   4     2 2   3       3 2 2     4 3   3
+--R       (2a b d  + 6a b c d  - 6a b c d  - 2b c d)x
+--R     + 
+--R          4 4      3     3        3 3      4 4  2
+--R       (3a d  + 12a b c d  - 12a b c d - 3b c )x
+--R     + 
+--R           4   3     3   2 2     2 2 3         3 4       4 2 2     2 2 4
+--R       (10a c d  + 6a b c d  - 6a b c d - 10a b c )x + 6a c d  - 6a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  785
+
+--S  786 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 2 4       3   3     4 2 2  4
+--R           (2a b d  + 8a b c d  + 2b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   3
+--R           (4a b d  + 20a b c d  + 20a b c d  + 4b c d)x
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (2a d  + 16a b c d  + 36a b c d  + 16a b c d + 2b c )x
+--R         + 
+--R              4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (4a c d  + 20a b c d  + 20a b c d + 4a b c )x + 2a c d  + 8a b c d
+--R         + 
+--R             2 2 4
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 2 4       3   3     4 2 2  4
+--R           (- 2a b d  - 8a b c d  - 2b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   3
+--R           (- 4a b d  - 20a b c d  - 20a b c d  - 4b c d)x
+--R         + 
+--R                4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (- 2a d  - 16a b c d  - 36a b c d  - 16a b c d - 2b c )x
+--R         + 
+--R                4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (- 4a c d  - 20a b c d  - 20a b c d - 4a b c )x - 2a c d  - 8a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3   4     2 2   3       3 2 2     4 3   3
+--R       (2a b d  + 6a b c d  - 6a b c d  - 2b c d)x
+--R     + 
+--R          4 4      3     3        3 3      4 4  2
+--R       (3a d  + 12a b c d  - 12a b c d - 3b c )x
+--R     + 
+--R           4   3     3   2 2     2 2 3         3 4       4 2 2     2 2 4
+--R       (10a c d  + 6a b c d  - 6a b c d - 10a b c )x + 6a c d  - 6a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  786
+
+--S  787 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  787
+
+--S  788 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  788
+
+)clear all
+
+--S  789 of 1092
+t0:=x/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  789
+
+--S  790 of 1092
+r0:=1/2*a*b/((b*c-a*d)^3*(a+b*x)^2)-b*(b*c+2*a*d)/((b*c-a*d)^4*(a+b*x))-_
+     1/2*c*d/((b*c-a*d)^3*(c+d*x)^2)-d*(2*b*c+a*d)/((b*c-a*d)^4*(c+d*x))-_
+     3*b*d*(b*c+a*d)*log(a+b*x)/(b*c-a*d)^5+3*b*d*(b*c+a*d)*_
+     log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R                  3 4     4   3  4         2 2 4        3   3      4 2 2  3
+--R           (- 6a b d  - 6b c d )x  + (- 12a b d  - 24a b c d  - 12b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   2
+--R           (- 6a b d  - 30a b c d  - 30a b c d  - 6b c d)x
+--R         + 
+--R                 3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                3 4     4   3  4       2 2 4        3   3      4 2 2  3
+--R           (6a b d  + 6b c d )x  + (12a b d  + 24a b c d  + 12b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b d  + 30a b c d  + 30a b c d  + 6b c d)x
+--R         + 
+--R               3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 2 4     4 2 2  3        3   4     2 2   3       3 2 2     4 3   2
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  - 9a b c d  + 9a b c d  + 9b c d)x
+--R     + 
+--R            4 4      3     3        3 3      4 4      4   3     3   2 2
+--R       (- 2a d  - 14a b c d  + 14a b c d + 2b c )x - a c d  - 9a b c d
+--R     + 
+--R         2 2 3       3 4
+--R       9a b c d + a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  790
+
+--S  791 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  3 4     4   3  4         2 2 4        3   3      4 2 2  3
+--R           (- 6a b d  - 6b c d )x  + (- 12a b d  - 24a b c d  - 12b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   2
+--R           (- 6a b d  - 30a b c d  - 30a b c d  - 6b c d)x
+--R         + 
+--R                 3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                3 4     4   3  4       2 2 4        3   3      4 2 2  3
+--R           (6a b d  + 6b c d )x  + (12a b d  + 24a b c d  + 12b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b d  + 30a b c d  + 30a b c d  + 6b c d)x
+--R         + 
+--R               3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 2 4     4 2 2  3        3   4     2 2   3       3 2 2     4 3   2
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  - 9a b c d  + 9a b c d  + 9b c d)x
+--R     + 
+--R            4 4      3     3        3 3      4 4      4   3     3   2 2
+--R       (- 2a d  - 14a b c d  + 14a b c d + 2b c )x - a c d  - 9a b c d
+--R     + 
+--R         2 2 3       3 4
+--R       9a b c d + a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  791
+
+--S  792 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  792
+
+--S  793 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  793
+
+)clear all
+
+--S  794 of 1092
+t0:=1/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  794
+
+--S  795 of 1092
+r0:=-1/2*b^2/((b*c-a*d)^3*(a+b*x)^2)+3*b^2*d/((b*c-a*d)^4*(a+b*x))+_
+     1/2*d^2/((b*c-a*d)^3*(c+d*x)^2)+3*b*d^2/((b*c-a*d)^4*(c+d*x))+_
+     6*b^2*d^2*log(a+b*x)/(b*c-a*d)^5-6*b^2*d^2*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  795
+
+--S  796 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  796
+
+--S  797 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  797
+
+--S  798 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  798
+
+)clear all
+
+--S  799 of 1092
+t0:=1/(x*(a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 7        2 3     3   2  6      2   3       2   2     3 2   5
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  4      3   2     2   2        2 3  3
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3  2    3 3
+--R       (3a c d + 3a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  799
+
+--S  800 of 1092
+r0:=1/2*b^3/(a*(b*c-a*d)^3*(a+b*x)^2)+b^3*(b*c-4*a*d)/(a^2*(b*c-a*d)^4*_
+     (a+b*x))-1/2*d^3/(c*(b*c-a*d)^3*(c+d*x)^2)-d^3*(4*b*c-a*d)/_
+     (c^2*(b*c-a*d)^4*(c+d*x))+log(x)/(a^3*c^3)-b^3*(b^2*c^2-_
+     5*a*b*c*d+10*a^2*d^2)*log(a+b*x)/(a^3*(b*c-a*d)^5)+_
+     d^3*(10*b^2*c^2-5*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^3*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                5 2 7      4 3   6      3 4 2 5  4
+--R           (- 2a b d  + 10a b c d  - 20a b c d )x
+--R         + 
+--R                6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (- 4a b d  + 16a b c d  - 20a b c d  - 40a b c d )x
+--R         + 
+--R                7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (- 2a d  + 2a b c d  + 18a b c d  - 70a b c d  - 20a b c d )x
+--R         + 
+--R                7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (- 4a c d  + 16a b c d  - 20a b c d  - 40a b c d )x - 2a c d
+--R         + 
+--R              6   3 4      5 2 4 3
+--R           10a b c d  - 20a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               2 5 3 4        6 4 3     7 5 2  4
+--R           (20a b c d  - 10a b c d  + 2b c d )x
+--R         + 
+--R               3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (40a b c d  + 20a b c d  - 16a b c d  + 4b c d)x
+--R         + 
+--R               4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (20a b c d  + 70a b c d  - 18a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (40a b c d  + 20a b c d  - 16a b c d + 4a b c )x + 20a b c d
+--R         + 
+--R                3 4 6      2 5 7
+--R           - 10a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3
+--R               2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R             + 
+--R                   7 5 2
+--R               - 2b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                 6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2
+--R               4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                   7 6
+--R               - 4b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R             + 
+--R                  2 5 5 2       6 6      7 7
+--R               18a b c d  + 2a b c d - 2b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6
+--R               4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                     6 7
+--R               - 4a b c
+--R          *
+--R             x
+--R         + 
+--R             7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R           2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          5 2   6      4 3 2 5      2 5 4 3       6 5 2  3
+--R       (2a b c d  - 10a b c d  + 10a b c d  - 2a b c d )x
+--R     + 
+--R               6     6      5 2 2 5     4 3 3 4     3 4 4 3      2 5 5 2
+--R             4a b c d  - 17a b c d  - 5a b c d  + 5a b c d  + 17a b c d
+--R           + 
+--R                   6 6
+--R             - 4a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6     6   2 5      5 2 3 4      3 4 5 2     2 5 6        6 7
+--R       (2a c d  - 4a b c d  - 16a b c d  + 16a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R             8 2 3 7      7 3 4 6      6 4 5 5      5 5 6 4      4 6 7 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               3 7 8 2
+--R           - 2a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             9   3 7      8 2 4 6      7 3 5 5      5 5 7 3      4 6 8 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               3 7 9
+--R           - 4a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             10 3 7     9   4 6      8 2 5 5      7 3 6 4      6 4 7 3
+--R           2a  c d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              5 5 8 2     4 6 9      3 7 10
+--R           18a b c d  + 2a b c d - 2a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          10 4 6      9   5 5      8 2 6 4      6 4 8 2      5 5 9      4 6 10
+--R       (4a  c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c  )x
+--R     + 
+--R         10 5 5      9   6 4      8 2 7 3      7 3 8 2      6 4 9      5 5 10
+--R       2a  c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  800
+
+--S  801 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 2 7      4 3   6      3 4 2 5  4
+--R           (- 2a b d  + 10a b c d  - 20a b c d )x
+--R         + 
+--R                6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (- 4a b d  + 16a b c d  - 20a b c d  - 40a b c d )x
+--R         + 
+--R                7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (- 2a d  + 2a b c d  + 18a b c d  - 70a b c d  - 20a b c d )x
+--R         + 
+--R                7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (- 4a c d  + 16a b c d  - 20a b c d  - 40a b c d )x - 2a c d
+--R         + 
+--R              6   3 4      5 2 4 3
+--R           10a b c d  - 20a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               2 5 3 4        6 4 3     7 5 2  4
+--R           (20a b c d  - 10a b c d  + 2b c d )x
+--R         + 
+--R               3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (40a b c d  + 20a b c d  - 16a b c d  + 4b c d)x
+--R         + 
+--R               4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (20a b c d  + 70a b c d  - 18a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (40a b c d  + 20a b c d  - 16a b c d + 4a b c )x + 20a b c d
+--R         + 
+--R                3 4 6      2 5 7
+--R           - 10a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3
+--R               2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R             + 
+--R                   7 5 2
+--R               - 2b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                 6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2
+--R               4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                   7 6
+--R               - 4b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R             + 
+--R                  2 5 5 2       6 6      7 7
+--R               18a b c d  + 2a b c d - 2b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6
+--R               4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                     6 7
+--R               - 4a b c
+--R          *
+--R             x
+--R         + 
+--R             7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R           2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          5 2   6      4 3 2 5      2 5 4 3       6 5 2  3
+--R       (2a b c d  - 10a b c d  + 10a b c d  - 2a b c d )x
+--R     + 
+--R               6     6      5 2 2 5     4 3 3 4     3 4 4 3      2 5 5 2
+--R             4a b c d  - 17a b c d  - 5a b c d  + 5a b c d  + 17a b c d
+--R           + 
+--R                   6 6
+--R             - 4a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6     6   2 5      5 2 3 4      3 4 5 2     2 5 6        6 7
+--R       (2a c d  - 4a b c d  - 16a b c d  + 16a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R             8 2 3 7      7 3 4 6      6 4 5 5      5 5 6 4      4 6 7 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               3 7 8 2
+--R           - 2a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             9   3 7      8 2 4 6      7 3 5 5      5 5 7 3      4 6 8 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               3 7 9
+--R           - 4a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             10 3 7     9   4 6      8 2 5 5      7 3 6 4      6 4 7 3
+--R           2a  c d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              5 5 8 2     4 6 9      3 7 10
+--R           18a b c d  + 2a b c d - 2a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          10 4 6      9   5 5      8 2 6 4      6 4 8 2      5 5 9      4 6 10
+--R       (4a  c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c  )x
+--R     + 
+--R         10 5 5      9   6 4      8 2 7 3      7 3 8 2      6 4 9      5 5 10
+--R       2a  c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  801
+
+--S  802 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  802
+
+--S  803 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  803
+
+)clear all
+
+--S  804 of 1092
+t0:=1/(x^2*(a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 8        2 3     3   2  7      2   3       2   2     3 2   6
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  5      3   2     2   2        2 3  4
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3  3    3 3 2
+--R       (3a c d + 3a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  804
+
+--S  805 of 1092
+r0:=(-1)/(a^3*c^3*x)-1/2*b^4/(a^2*(b*c-a*d)^3*(a+b*x)^2)-b^4*(2*b*c-5*a*d)/_
+     (a^3*(b*c-a*d)^4*(a+b*x))+1/2*d^4/(c^2*(b*c-a*d)^3*_
+     (c+d*x)^2)+d^4*(5*b*c-2*a*d)/(c^3*(b*c-a*d)^4*(c+d*x))-_
+     3*(b*c+a*d)*log(x)/(a^4*c^4)+3*b^4*(b^2*c^2-4*a*b*c*d+_
+     5*a^2*d^2)*log(a+b*x)/(a^4*(b*c-a*d)^5)-3*d^4*(5*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R              6 2 8      5 3   7      4 4 2 6  5
+--R           (6a b d  - 24a b c d  + 30a b c d )x
+--R         + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5  4
+--R           (12a b d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 8      6 2 2 6      5 3 3 5      4 4 4 4  3
+--R           (6a d  - 60a b c d  + 96a b c d  + 30a b c d )x
+--R         + 
+--R               8   7      7   2 6      6 2 3 5      5 3 4 4  2
+--R           (12a c d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 2 6      7   3 5      6 2 4 4
+--R           (6a c d  - 24a b c d  + 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 2 6 4 4        7 5 3     8 6 2  5
+--R           (- 30a b c d  + 24a b c d  - 6b c d )x
+--R         + 
+--R                 3 5 4 4      2 6 5 3        7 6 2      8 7   4
+--R           (- 60a b c d  - 12a b c d  + 36a b c d  - 12b c d)x
+--R         + 
+--R                 4 4 4 4      3 5 5 3      2 6 6 2     8 8  3
+--R           (- 30a b c d  - 96a b c d  + 60a b c d  - 6b c )x
+--R         + 
+--R                 4 4 5 3      3 5 6 2      2 6 7         7 8  2
+--R           (- 60a b c d  - 12a b c d  + 36a b c d - 12a b c )x
+--R         + 
+--R                 4 4 6 2      3 5 7      2 6 8
+--R           (- 30a b c d  + 24a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3
+--R               - 6a b d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 8 6 2
+--R               6b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R               - 12a b d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  2 6 5 3        7 6 2      8 7
+--R               12a b c d  - 36a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     8 8      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R                 - 6a d  + 60a b c d  - 96a b c d  + 96a b c d  - 60a b c d
+--R               + 
+--R                   8 8
+--R                 6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    8   7      7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R               - 12a c d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  3 5 6 2      2 6 7         7 8
+--R               12a b c d  - 36a b c d + 12a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7
+--R               - 6a c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 2 6 8
+--R               6a b c
+--R          *
+--R             x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 2   7      5 3 2 6      4 4 3 5      3 5 4 4      2 6 5 3
+--R           - 6a b c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R         + 
+--R               7 6 2
+--R           6a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           - 12a b c d  + 39a b c d  - 24a b c d  + 24a b c d  - 39a b c d
+--R         + 
+--R                7 7
+--R           12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8   7     7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R           - 6a c d  + 6a b c d  + 40a b c d  - 72a b c d  + 72a b c d
+--R         + 
+--R                3 5 6 2     2 6 7        7 8
+--R           - 40a b c d  - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       (- 9a c d  + 32a b c d  - 31a b c d  + 31a b c d  - 32a b c d + 9a b c )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7      3 5 8
+--R       - 2a c d  + 10a b c d  - 20a b c d  + 20a b c d  - 10a b c d + 2a b c
+--R  /
+--R             9 2 4 7      8 3 5 6      7 4 6 5      6 5 7 4      5 6 8 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               4 7 9 2
+--R           - 2a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R             10   4 7      9 2 5 6      8 3 6 5      6 5 8 3      5 6 9 2
+--R           4a  b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               4 7 10
+--R           - 4a b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             11 4 7     10   5 6      9 2 6 5      8 3 7 4      7 4 8 3
+--R           2a  c d  - 2a  b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              6 5 9 2     5 6 10      4 7 11
+--R           18a b c d  + 2a b c  d - 2a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             11 5 6      10   6 5      9 2 7 4      7 4 9 2      6 5 10
+--R           4a  c d  - 16a  b c d  + 20a b c d  - 20a b c d  + 16a b c  d
+--R         + 
+--R               5 6 11
+--R           - 4a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R        11 6 5      10   7 4      9 2 8 3      8 3 9 2      7 4 10      6 5 11
+--R     (2a  c d  - 10a  b c d  + 20a b c d  - 20a b c d  + 10a b c  d - 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  805
+
+--S  806 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              6 2 8      5 3   7      4 4 2 6  5
+--R           (6a b d  - 24a b c d  + 30a b c d )x
+--R         + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5  4
+--R           (12a b d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 8      6 2 2 6      5 3 3 5      4 4 4 4  3
+--R           (6a d  - 60a b c d  + 96a b c d  + 30a b c d )x
+--R         + 
+--R               8   7      7   2 6      6 2 3 5      5 3 4 4  2
+--R           (12a c d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 2 6      7   3 5      6 2 4 4
+--R           (6a c d  - 24a b c d  + 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 2 6 4 4        7 5 3     8 6 2  5
+--R           (- 30a b c d  + 24a b c d  - 6b c d )x
+--R         + 
+--R                 3 5 4 4      2 6 5 3        7 6 2      8 7   4
+--R           (- 60a b c d  - 12a b c d  + 36a b c d  - 12b c d)x
+--R         + 
+--R                 4 4 4 4      3 5 5 3      2 6 6 2     8 8  3
+--R           (- 30a b c d  - 96a b c d  + 60a b c d  - 6b c )x
+--R         + 
+--R                 4 4 5 3      3 5 6 2      2 6 7         7 8  2
+--R           (- 60a b c d  - 12a b c d  + 36a b c d - 12a b c )x
+--R         + 
+--R                 4 4 6 2      3 5 7      2 6 8
+--R           (- 30a b c d  + 24a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3
+--R               - 6a b d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 8 6 2
+--R               6b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R               - 12a b d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  2 6 5 3        7 6 2      8 7
+--R               12a b c d  - 36a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     8 8      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R                 - 6a d  + 60a b c d  - 96a b c d  + 96a b c d  - 60a b c d
+--R               + 
+--R                   8 8
+--R                 6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    8   7      7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R               - 12a c d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  3 5 6 2      2 6 7         7 8
+--R               12a b c d  - 36a b c d + 12a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7
+--R               - 6a c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 2 6 8
+--R               6a b c
+--R          *
+--R             x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 2   7      5 3 2 6      4 4 3 5      3 5 4 4      2 6 5 3
+--R           - 6a b c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R         + 
+--R               7 6 2
+--R           6a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           - 12a b c d  + 39a b c d  - 24a b c d  + 24a b c d  - 39a b c d
+--R         + 
+--R                7 7
+--R           12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8   7     7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R           - 6a c d  + 6a b c d  + 40a b c d  - 72a b c d  + 72a b c d
+--R         + 
+--R                3 5 6 2     2 6 7        7 8
+--R           - 40a b c d  - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       (- 9a c d  + 32a b c d  - 31a b c d  + 31a b c d  - 32a b c d + 9a b c )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7      3 5 8
+--R       - 2a c d  + 10a b c d  - 20a b c d  + 20a b c d  - 10a b c d + 2a b c
+--R  /
+--R             9 2 4 7      8 3 5 6      7 4 6 5      6 5 7 4      5 6 8 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               4 7 9 2
+--R           - 2a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R             10   4 7      9 2 5 6      8 3 6 5      6 5 8 3      5 6 9 2
+--R           4a  b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               4 7 10
+--R           - 4a b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             11 4 7     10   5 6      9 2 6 5      8 3 7 4      7 4 8 3
+--R           2a  c d  - 2a  b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              6 5 9 2     5 6 10      4 7 11
+--R           18a b c d  + 2a b c  d - 2a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             11 5 6      10   6 5      9 2 7 4      7 4 9 2      6 5 10
+--R           4a  c d  - 16a  b c d  + 20a b c d  - 20a b c d  + 16a b c  d
+--R         + 
+--R               5 6 11
+--R           - 4a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R        11 6 5      10   7 4      9 2 8 3      8 3 9 2      7 4 10      6 5 11
+--R     (2a  c d  - 10a  b c d  + 20a b c d  - 20a b c d  + 10a b c  d - 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  806
+
+--S  807 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  807
+
+--S  808 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  808
+
+)clear all
+
+--S  809 of 1092
+t0:=(a+b*x)^2/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R            2 +-------+
+--R           x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  809
+
+--S  810 of 1092
+r0:=-a*(4*b*c-a*d)*atanh(sqrt(c+d*x)/sqrt(c))/c^(3/2)+2*b^2*sqrt(c+d*x)/d-_
+     a^2*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R                                  +-------+
+--R          2 2                    \|d x + c        2       2   +-+ +-------+
+--R        (a d  - 4a b c d)x atanh(----------) + (2b c x - a d)\|c \|d x + c
+--R                                     +-+
+--R                                    \|c
+--R   (2)  -------------------------------------------------------------------
+--R                                           +-+
+--R                                     c d x\|c
+--R                                                    Type: Expression(Integer)
+--E  810
+
+--S  811 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                   +-------+              +-+
+--R           2 2                  2c\|d x + c  + (d x + 2c)\|c
+--R         (a d  - 4a b c d)x log(-----------------------------)
+--R                                              x
+--R       + 
+--R            2        2   +-+ +-------+
+--R         (4b c x - 2a d)\|c \|d x + c
+--R    /
+--R              +-+
+--R       2c d x\|c
+--R     ,
+--R                             +---+ +-------+
+--R      2 2                   \|- c \|d x + c        2       2   +---+ +-------+
+--R    (a d  - 4a b c d)x atan(----------------) + (2b c x - a d)\|- c \|d x + c
+--R                                    c
+--R    --------------------------------------------------------------------------]
+--R                                          +---+
+--R                                    c d x\|- c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  811
+
+--S  812 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                            +-------+              +-+
+--R         2               2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4a b c)log(-----------------------------)
+--R                                       x
+--R     + 
+--R                               +-------+
+--R            2                 \|d x + c
+--R       (- 2a d + 8a b c)atanh(----------)
+--R                                  +-+
+--R                                 \|c
+--R  /
+--R        +-+
+--R     2c\|c
+--R                                                    Type: Expression(Integer)
+--E  812
+
+--S  813 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  813
+
+--S  814 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                    +-------+
+--R           2            +---+      \|d x + c
+--R       (- a d + 4a b c)\|- c atanh(----------)
+--R                                       +-+
+--R                                      \|c
+--R     + 
+--R                               +---+ +-------+
+--R         2            +-+     \|- c \|d x + c
+--R       (a d - 4a b c)\|c atan(----------------)
+--R                                      c
+--R  /
+--R       +---+ +-+
+--R     c\|- c \|c
+--R                                                    Type: Expression(Integer)
+--E  814
+
+--S  815 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  815
+
+)clear all
+
+--S  816 of 1092
+t0:=(c+d*x)^(3/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R                   +-------+
+--R         (d x + c)\|d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  816
+
+--S  817 of 1092
+r0:=-(c+d*x)^(3/2)/(a*x*(a+b*x))+(4*b*c-3*a*d)*atanh(sqrt(c+d*x)/sqrt(c))*_
+     sqrt(c)/a^3-(4*b*c-a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b*c-a*d)/(a^3*sqrt(b))-2*(b*c-a*d)*sqrt(c+d*x)/(a^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R                   2   2     2              +-----------+      \|b \|d x + c
+--R       ((a b d - 4b c)x  + (a d - 4a b c)x)\|- a d + b c atanh(--------------)
+--R                                                                +-----------+
+--R                                                               \|- a d + b c
+--R     + 
+--R                                                                +-------+
+--R                      2   2        2              +-+ +-+      \|d x + c
+--R       ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|b \|c atanh(----------)
+--R                                                                   +-+
+--R                                                                  \|c
+--R     + 
+--R          2                2   +-+ +-------+
+--R       ((a d - 2a b c)x - a c)\|b \|d x + c
+--R  /
+--R       3   2    4   +-+
+--R     (a b x  + a x)\|b
+--R                                                    Type: Expression(Integer)
+--E  817
+
+--S  818 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                +-----------+
+--R                       2   2     2              |- a d + b c
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                        2   2      2              +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                        2   2      2              +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R                                                +---------+       +-------+
+--R                      2   2      2              |a d - b c       \|d x + c
+--R         ((2a b d - 8b c)x  + (2a d - 8a b c)x) |--------- atan(------------)
+--R                                               \|    b           +---------+
+--R                                                                 |a d - b c
+--R                                                                 |---------
+--R                                                                \|    b
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                                                +-----------+
+--R                       2   2     2              |- a d + b c
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                               +-------+
+--R                        2   2        2              +---+     \|d x + c
+--R         ((- 6a b d + 8b c)x  + (- 6a d + 8a b c)x)\|- c atan(----------)
+--R                                                                 +---+
+--R                                                                \|- c
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                                                               +-------+
+--R                        2   2        2              +---+     \|d x + c
+--R         ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|- c atan(----------)
+--R                                                                 +---+
+--R                                                                \|- c
+--R       + 
+--R                                              +---------+       +-------+
+--R                     2   2     2              |a d - b c       \|d x + c
+--R         ((a b d - 4b c)x  + (a d - 4a b c)x) |--------- atan(------------)
+--R                                             \|    b           +---------+
+--R                                                               |a d - b c
+--R                                                               |---------
+--R                                                              \|    b
+--R       + 
+--R            2                2   +-------+
+--R         ((a d - 2a b c)x - a c)\|d x + c
+--R    /
+--R        3   2    4
+--R       a b x  + a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  818
+
+--S  819 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                      +-----------+
+--R                      |- a d + b c  +-+
+--R         (a d - 4b c) |----------- \|b
+--R                     \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                    +-+ +-------+
+--R                     +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (3a d - 4b c)\|b \|c log(----------------------------)
+--R                                              x
+--R     + 
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 8b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                   +-------+
+--R                     +-+ +-+      \|d x + c
+--R       (6a d - 8b c)\|b \|c atanh(----------)
+--R                                      +-+
+--R                                     \|c
+--R  /
+--R       3 +-+
+--R     2a \|b
+--R                                                    Type: Expression(Integer)
+--E  819
+
+--S  820 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  820
+
+--S  821 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                    +-+ +-------+
+--R                     +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (3a d - 4b c)\|b \|c log(----------------------------)
+--R                                              x
+--R     + 
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 8b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                   +-------+
+--R                     +-+ +-+      \|d x + c
+--R       (6a d - 8b c)\|b \|c atanh(----------)
+--R                                      +-+
+--R                                     \|c
+--R     + 
+--R                         +---------+       +-------+
+--R                     +-+ |a d - b c       \|d x + c
+--R       (2a d - 8b c)\|b  |--------- atan(------------)
+--R                        \|    b           +---------+
+--R                                          |a d - b c
+--R                                          |---------
+--R                                         \|    b
+--R  /
+--R       3 +-+
+--R     2a \|b
+--R                                                    Type: Expression(Integer)
+--E  821
+
+--S  822 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  822
+
+)clear all
+
+--S  823 of 1092
+t0:=(c+d*x)^(1/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R               +-------+
+--R              \|d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  823
+
+--S  824 of 1092
+r0:=(4*b*c-a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*sqrt(c))-(4*b*c-3*a*d)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/(a^3*sqrt(b*c-a*d))-_
+     2*b*sqrt(c+d*x)/(a^2*(a+b*x))-sqrt(c+d*x)/(a*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R                    2   2      2              +-+ +-+      \|b \|d x + c
+--R       ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|b \|c atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R     + 
+--R                                                                    +-------+
+--R                     2   2       2              +-----------+      \|d x + c
+--R       ((- a b d + 4b c)x  + (- a d + 4a b c)x)\|- a d + b c atanh(----------)
+--R                                                                       +-+
+--R                                                                      \|c
+--R     + 
+--R                    2  +-----------+ +-+ +-------+
+--R       (- 2a b x - a )\|- a d + b c \|c \|d x + c
+--R  /
+--R       3   2    4   +-----------+ +-+
+--R     (a b x  + a x)\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  824
+
+--S  825 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                       2   2     2
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x)
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                  +-----------+
+--R                        2   2      2              |      b      +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x) |- --------- \|c
+--R                                                 \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                       2  +-+ +-------+
+--R         (- 4a b x - 2a )\|c \|d x + c
+--R    /
+--R          3   2     4   +-+
+--R       (2a b x  + 2a x)\|c
+--R     ,
+--R
+--R                       2   2     2
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x)
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                      +---------+
+--R                          2   2        2              |    b      +-+
+--R           ((- 6a b d + 8b c)x  + (- 6a d + 8a b c)x) |--------- \|c
+--R                                                     \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R                       2  +-+ +-------+
+--R         (- 4a b x - 2a )\|c \|d x + c
+--R    /
+--R          3   2     4   +-+
+--R       (2a b x  + 2a x)\|c
+--R     ,
+--R
+--R                                                        +-----------+
+--R                        2   2      2              +---+ |      b
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|- c  |- ---------
+--R                                                       \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                                         +---+ +-------+
+--R                        2   2        2                  \|- c \|d x + c
+--R         ((- 2a b d + 8b c)x  + (- 2a d + 8a b c)x)atan(----------------)
+--R                                                                c
+--R       + 
+--R                       2  +---+ +-------+
+--R         (- 4a b x - 2a )\|- c \|d x + c
+--R    /
+--R          3   2     4   +---+
+--R       (2a b x  + 2a x)\|- c
+--R     ,
+--R
+--R                                                       +---+ +-------+
+--R                       2   2       2                  \|- c \|d x + c
+--R         ((- a b d + 4b c)x  + (- a d + 4a b c)x)atan(----------------)
+--R                                                              c
+--R       + 
+--R                                                            +---------+
+--R                          2   2        2              +---+ |    b
+--R           ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|- c  |---------
+--R                                                           \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R                      2  +---+ +-------+
+--R         (- 2a b x - a )\|- c \|d x + c
+--R    /
+--R         3   2    4   +---+
+--R       (a b x  + a x)\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  825
+
+--S  826 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-------+              +-+
+--R                    +-----------+    - 2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4b c)\|- a d + b c log(-------------------------------)
+--R                                                    x
+--R     + 
+--R                                     +-----------+
+--R                       +-----------+ |      b      +-+
+--R         (3a d - 4b c)\|- a d + b c  |- --------- \|c
+--R                                    \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|b \|d x + c
+--R       (- 6a d + 8b c)\|b \|c atanh(--------------)
+--R                                     +-----------+
+--R                                    \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                     +-----------+      \|d x + c
+--R       (2a d - 8b c)\|- a d + b c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3 +-----------+ +-+
+--R     2a \|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  826
+
+--S  827 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  827
+
+--S  828 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                          +-------+              +-+
+--R                    +-----------+    - 2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4b c)\|- a d + b c log(-------------------------------)
+--R                                                    x
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|b \|d x + c
+--R       (- 6a d + 8b c)\|b \|c atanh(--------------)
+--R                                     +-----------+
+--R                                    \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                     +-----------+      \|d x + c
+--R       (2a d - 8b c)\|- a d + b c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                   +---------+                 +-------+
+--R                     +-----------+ |    b      +-+           b\|d x + c
+--R     (- 6a d + 8b c)\|- a d + b c  |--------- \|c atan(-----------------------)
+--R                                  \|a d - b c                      +---------+
+--R                                                                   |    b
+--R                                                       (a d - b c) |---------
+--R                                                                  \|a d - b c
+--R  /
+--R       3 +-----------+ +-+
+--R     2a \|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  828
+
+--S  829 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  829
+
+)clear all
+
+--S  830 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(1/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  830
+
+--S  831 of 1092
+r0:=(4*b*c+a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*c^(3/2))-b^(3/2)*_
+     (4*b*c-5*a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*_
+     (b*c-a*d)^(3/2))-b*(2*b*c-a*d)*sqrt(c+d*x)/(a^2*c*(b*c-a*d)*(a+b*x))-_
+     sqrt(c+d*x)/(a*c*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-------+
+--R          +-----------+      \|d x + c
+--R         \|- a d + b c atanh(----------)
+--R                                 +-+
+--R                                \|c
+--R     + 
+--R            2          2       3     2     +-----------+ +-+ +-------+
+--R       ((- a b d + 2a b c)x - a d + a b c)\|- a d + b c \|c \|d x + c
+--R  /
+--R        4         3 2 2  2     5       4   2    +-----------+ +-+
+--R     ((a b c d - a b c )x  + (a c d - a b c )x)\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  831
+
+--S  832 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                          +-----------+
+--R                 2        3 2  2      2            2 2    |      b      +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x) |- --------- \|c
+--R                                                         \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                  +-------+              +-+
+--R               2c\|d x + c  + (d x + 2c)\|c
+--R           log(-----------------------------)
+--R                             x
+--R       + 
+--R               2          2        3      2     +-+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +-+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|c
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                  +-------+              +-+
+--R               2c\|d x + c  + (d x + 2c)\|c
+--R           log(-----------------------------)
+--R                             x
+--R       + 
+--R                                                            +---------+
+--R                  2        3 2  2       2            2 2    |    b      +-+
+--R           ((10a b c d - 8b c )x  + (10a b c d - 8a b c )x) |--------- \|c
+--R                                                           \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R               2          2        3      2     +-+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +-+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|c
+--R     ,
+--R
+--R                                                                +-----------+
+--R                 2        3 2  2      2            2 2    +---+ |      b
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|- c  |- ---------
+--R                                                               \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R               2   2       2        3 2  2      3 2     2            2 2
+--R           ((2a b d  + 6a b c d - 8b c )x  + (2a d  + 6a b c d - 8a b c )x)
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R               2          2        3      2     +---+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|- c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +---+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|- c
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                                                                +---------+
+--R                 2        3 2  2      2            2 2    +---+ |    b
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|- c  |---------
+--R                                                               \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R              2          2       3     2     +---+ +-------+
+--R         ((- a b d + 2a b c)x - a d + a b c)\|- c \|d x + c
+--R    /
+--R          4         3 2 2  2     5       4   2    +---+
+--R       ((a b c d - a b c )x  + (a c d - a b c )x)\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  832
+
+--S  833 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-----------+
+--R                       2 2  +-----------+ |      b      +-+
+--R         (5a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                                                     +-------+              +-+
+--R         2 2                2 2  +-----------+    2c\|d x + c  + (d x + 2c)\|c
+--R       (a d  + 3a b c d - 4b c )\|- a d + b c log(-----------------------------)
+--R                                                                x
+--R     + 
+--R                                         +-+ +-------+
+--R                      2 2  +-+ +-+      \|b \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R            2 2                2 2  +-----------+      \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R  /
+--R        4        3   2  +-----------+ +-+
+--R     (2a c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  833
+
+--S  834 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  834
+
+--S  835 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                     +-------+              +-+
+--R         2 2                2 2  +-----------+    2c\|d x + c  + (d x + 2c)\|c
+--R       (a d  + 3a b c d - 4b c )\|- a d + b c log(-----------------------------)
+--R                                                                x
+--R     + 
+--R                                         +-+ +-------+
+--R                      2 2  +-+ +-+      \|b \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R            2 2                2 2  +-----------+      \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R     + 
+--R                                           +---------+
+--R                        2 2  +-----------+ |    b      +-+
+--R         (10a b c d - 8b c )\|- a d + b c  |--------- \|c
+--R                                          \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        4        3   2  +-----------+ +-+
+--R     (2a c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  835
+
+--S  836 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  836
+
+)clear all
+
+--S  837 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                                        1
+--R   (1)  -----------------------------------------------------------------
+--R          2   5              2   4     2            3    2   2  +-------+
+--R        (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  837
+
+--S  838 of 1092
+r0:=(4*b*c+3*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*c^(5/2))-b^(5/2)*_
+     (4*b*c-7*a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a^3*(b*c-a*d)^(5/2))-d*(2*b^2*c^2-2*a*b*c*d+3*a^2*d^2)/_
+     (a^2*c^2*(b*c-a*d)^2*sqrt(c+d*x))-b*(2*b*c-a*d)/(a^2*c*(b*c-a*d)*_
+     (a+b*x)*sqrt(c+d*x))+(-1)/(a*c*x*(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 2      4 3  2      2 2 2        3 3    +-+ +-+ +-------+
+--R         ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x)\|b \|c \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              3   3     2 2   2       3 2      4 3  2
+--R           (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R         + 
+--R              4 3     3     2     2 2 2        3 3
+--R           (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R      *
+--R                                        +-------+
+--R          +-----------+ +-------+      \|d x + c
+--R         \|- a d + b c \|d x + c atanh(----------)
+--R                                           +-+
+--R                                          \|c
+--R     + 
+--R                3   3     2 2   2       3 2   2
+--R           (- 3a b d  + 2a b c d  - 2a b c d)x
+--R         + 
+--R              4 3    3     2    2 2 2        3 3      4   2     3   2     2 2 3
+--R         (- 3a d  + a b c d  + a b c d - 2a b c )x - a c d  + 2a b c d - a b c
+--R      *
+--R          +-----------+ +-+
+--R         \|- a d + b c \|c
+--R  /
+--R          5   2 2     4 2 3     3 3 4  2     6 2 2     5   3     4 2 4
+--R       ((a b c d  - 2a b c d + a b c )x  + (a c d  - 2a b c d + a b c )x)
+--R    *
+--R        +-----------+ +-+ +-------+
+--R       \|- a d + b c \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  838
+
+--S  839 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                                                          +-----------+
+--R                 3 2      4 3  2      2 2 2        3 3    |      b      +-+
+--R           ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x) |- --------- \|c
+--R                                                         \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                                                                +---------+
+--R                    3 2      4 3  2         2 2 2        3 3    |    b      +-+
+--R           ((- 14a b c d + 8b c )x  + (- 14a b c d + 8a b c )x) |--------- \|c
+--R                                                               \|a d - b c
+--R        *
+--R                                  +-------+
+--R            +-------+           b\|d x + c
+--R           \|d x + c atan(-----------------------)
+--R                                      +---------+
+--R                                      |    b
+--R                          (a d - b c) |---------
+--R                                     \|a d - b c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                                                                +-----------+
+--R                 3 2      4 3  2      2 2 2        3 3    +---+ |      b
+--R           ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x)\|- c  |- ---------
+--R                                                               \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                3   3     2 2   2        3 2      4 3  2
+--R             (6a b d  - 4a b c d  - 10a b c d + 8b c )x
+--R           + 
+--R                4 3     3     2      2 2 2        3 3
+--R             (6a d  - 4a b c d  - 10a b c d + 8a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ,
+--R
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                                                                    +---------+
+--R                   3 2      4 3  2        2 2 2        3 3    +---+ |    b
+--R           ((- 7a b c d + 4b c )x  + (- 7a b c d + 4a b c )x)\|- c  |---------
+--R                                                                   \|a d - b c
+--R        *
+--R                                  +-------+
+--R            +-------+           b\|d x + c
+--R           \|d x + c atan(-----------------------)
+--R                                      +---------+
+--R                                      |    b
+--R                          (a d - b c) |---------
+--R                                     \|a d - b c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 3a b d  + 2a b c d  - 2a b c d)x
+--R           + 
+--R                  4 3    3     2    2 2 2        3 3      4   2     3   2
+--R             (- 3a d  + a b c d  + a b c d - 2a b c )x - a c d  + 2a b c d
+--R           + 
+--R                2 2 3
+--R             - a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R            5   2 2     4 2 3     3 3 4  2     6 2 2     5   3     4 2 4
+--R         ((a b c d  - 2a b c d + a b c )x  + (a c d  - 2a b c d + a b c )x)
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  839
+
+--S  840 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3     2     2       2 2      3 3  +-----------+
+--R         (3a d  - 2a b c d  - 5a b c d + 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                          +-----------+
+--R              2 2      3 3  +-----------+ |      b      +-+
+--R         (7a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                           +-+ +-------+
+--R               2 2      3 3  +-+ +-+      \|b \|d x + c
+--R       (- 14a b c d + 8b c )\|b \|c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                                                     +-------+
+--R            3 3     2     2        2 2      3 3  +-----------+      \|d x + c
+--R       (- 6a d  + 4a b c d  + 10a b c d - 8b c )\|- a d + b c atanh(----------)
+--R                                                                        +-+
+--R                                                                       \|c
+--R  /
+--R        5 2 2     4   3      3 2 4  +-----------+ +-+
+--R     (2a c d  - 4a b c d + 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  840
+
+--S  841 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  841
+
+--S  842 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3     2     2       2 2      3 3  +-----------+
+--R         (3a d  - 2a b c d  - 5a b c d + 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                           +-+ +-------+
+--R               2 2      3 3  +-+ +-+      \|b \|d x + c
+--R       (- 14a b c d + 8b c )\|b \|c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                                                     +-------+
+--R            3 3     2     2        2 2      3 3  +-----------+      \|d x + c
+--R       (- 6a d  + 4a b c d  + 10a b c d - 8b c )\|- a d + b c atanh(----------)
+--R                                                                        +-+
+--R                                                                       \|c
+--R     + 
+--R                                             +---------+
+--R                 2 2      3 3  +-----------+ |    b      +-+
+--R         (- 14a b c d + 8b c )\|- a d + b c  |--------- \|c
+--R                                            \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        5 2 2     4   3      3 2 4  +-----------+ +-+
+--R     (2a c d  - 4a b c d + 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  842
+
+--S  843 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  843
+
+)clear all
+
+--S  844 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          2 2 6          2     2     5     2 2               2 2  4
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2  3    2 2 2
+--R         (2a c d + 2a b c )x  + a c x
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  844
+
+--S  845 of 1092
+r0:=-1/3*d*(6*b^2*c^2-6*a*b*c*d+5*a^2*d^2)/(a^2*c^2*(b*c-a*d)^2*_
+     (c+d*x)^(3/2))-b*(2*b*c-a*d)/(a^2*c*(b*c-a*d)*(a+b*x)*(c+d*x)^(3/2))+_
+     (-1)/(a*c*x*(a+b*x)*(c+d*x)^(3/2))+(4*b*c+5*a*d)*atanh(sqrt(c+d*x)/_
+     sqrt(c))/(a^3*c^(7/2))-b^(7/2)*(4*b*c-9*a*d)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*(b*c-a*d)^(7/2))-d*(2*b*c-a*d)*_
+     (b^2*c^2-a*b*c*d+5*a^2*d^2)/(a^2*c^3*(b*c-a*d)^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                   4 3 2      5 4   3         2 3 3 2        4 4       5 5  2
+--R           (- 27a b c d  + 12b c d)x  + (- 27a b c d  - 15a b c d + 12b c )x
+--R         + 
+--R                 2 3 4         4 5
+--R           (- 27a b c d + 12a b c )x
+--R      *
+--R                                  +-+ +-------+
+--R          +-+ +-+ +-------+      \|b \|d x + c
+--R         \|b \|c \|d x + c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R     + 
+--R               4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R           (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R         + 
+--R               5 5      4     4      3 2 2 3      2 3 3 2       4 4       5 5  2
+--R           (15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d - 12b c )x
+--R         + 
+--R               5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R           (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R      *
+--R                                        +-------+
+--R          +-----------+ +-------+      \|d x + c
+--R         \|- a d + b c \|d x + c atanh(----------)
+--R                                           +-+
+--R                                          \|c
+--R     + 
+--R                 4   5      3 2   4     2 3 2 3       4 3 2  3
+--R           (- 15a b d  + 33a b c d  - 9a b c d  + 6a b c d )x
+--R         + 
+--R                 5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R           (- 15a d  + 13a b c d  + 35a b c d  - 15a b c d  + 12a b c d)x
+--R         + 
+--R                 5   4      4   2 3     3 2 3 2     2 3 4        4 5       5 2 3
+--R           (- 20a c d  + 41a b c d  - 9a b c d  - 3a b c d + 6a b c )x - 3a c d
+--R         + 
+--R             4   3 2     3 2 4      2 3 5
+--R           9a b c d  - 9a b c d + 3a b c
+--R      *
+--R          +-----------+ +-+
+--R         \|- a d + b c \|c
+--R  /
+--R            6   3 4     5 2 4 3     4 3 5 2     3 4 6   3
+--R         (3a b c d  - 9a b c d  + 9a b c d  - 3a b c d)x
+--R       + 
+--R            7 3 4     6   4 3     4 3 6      3 4 7  2
+--R         (3a c d  - 6a b c d  + 6a b c d - 3a b c )x
+--R       + 
+--R            7 4 3     6   5 2     5 2 6      4 3 7
+--R         (3a c d  - 9a b c d  + 9a b c d - 3a b c )x
+--R    *
+--R        +-----------+ +-+ +-------+
+--R       \|- a d + b c \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  845
+
+--S  846 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R            +-----------+
+--R            |      b      +-+ +-------+
+--R            |- --------- \|c \|d x + c
+--R           \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (54a b c d  - 24b c d)x  + (54a b c d  + 30a b c d - 24b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (54a b c d - 24a b c )x
+--R        *
+--R            +---------+                           +-------+
+--R            |    b      +-+ +-------+           b\|d x + c
+--R            |--------- \|c \|d x + c atan(-----------------------)
+--R           \|a d - b c                                +---------+
+--R                                                      |    b
+--R                                          (a d - b c) |---------
+--R                                                     \|a d - b c
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R                  +-----------+
+--R            +---+ |      b      +-------+
+--R           \|- c  |- --------- \|d x + c
+--R                 \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                 4   5      3 2   4      2 3 2 3        4 3 2      5 4   3
+--R             (30a b d  - 66a b c d  + 18a b c d  + 42a b c d  - 24b c d)x
+--R           + 
+--R                    5 5      4     4      3 2 2 3      2 3 3 2        4 4
+--R                 30a d  - 36a b c d  - 48a b c d  + 60a b c d  + 18a b c d
+--R               + 
+--R                      5 5
+--R                 - 24b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3      3 2 3 2      2 3 4         4 5
+--R             (30a c d  - 66a b c d  + 18a b c d  + 42a b c d - 24a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ,
+--R
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R                  +---------+                       +-------+
+--R            +---+ |    b      +-------+           b\|d x + c
+--R           \|- c  |--------- \|d x + c atan(-----------------------)
+--R                 \|a d - b c                            +---------+
+--R                                                        |    b
+--R                                            (a d - b c) |---------
+--R                                                       \|a d - b c
+--R       + 
+--R                   4   5      3 2   4     2 3 2 3       4 3 2  3
+--R             (- 15a b d  + 33a b c d  - 9a b c d  + 6a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 15a d  + 13a b c d  + 35a b c d  - 15a b c d  + 12a b c d)x
+--R           + 
+--R                   5   4      4   2 3     3 2 3 2     2 3 4        4 5
+--R             (- 20a c d  + 41a b c d  - 9a b c d  - 3a b c d + 6a b c )x
+--R           + 
+--R                 5 2 3     4   3 2     3 2 4      2 3 5
+--R             - 3a c d  + 9a b c d  - 9a b c d + 3a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R              6   3 4     5 2 4 3     4 3 5 2     3 4 6   3
+--R           (3a b c d  - 9a b c d  + 9a b c d  - 3a b c d)x
+--R         + 
+--R              7 3 4     6   4 3     4 3 6      3 4 7  2
+--R           (3a c d  - 6a b c d  + 6a b c d - 3a b c )x
+--R         + 
+--R              7 4 3     6   5 2     5 2 6      4 3 7
+--R           (3a c d  - 9a b c d  + 9a b c d - 3a b c )x
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  846
+
+--S  847 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-----------+
+--R              3 3      4 4  +-----------+ |      b      +-+
+--R         (9a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R            4 4      3     3     2 2 2 2       3 3      4 4  +-----------+
+--R         (5a d  - 11a b c d  + 3a b c d  + 7a b c d - 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                         +-+ +-------+
+--R             3 3      4 4  +-+ +-+      \|b \|d x + c
+--R       (18a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R               4 4      3     3     2 2 2 2        3 3      4 4  +-----------+
+--R         (- 10a d  + 22a b c d  - 6a b c d  - 14a b c d + 8b c )\|- a d + b c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R  /
+--R        6 3 3     5   4 2     4 2 5      3 3 6  +-----------+ +-+
+--R     (2a c d  - 6a b c d  + 6a b c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  847
+
+--S  848 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  848
+
+--S  849 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            4 4      3     3     2 2 2 2       3 3      4 4  +-----------+
+--R         (5a d  - 11a b c d  + 3a b c d  + 7a b c d - 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                         +-+ +-------+
+--R             3 3      4 4  +-+ +-+      \|b \|d x + c
+--R       (18a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R               4 4      3     3     2 2 2 2        3 3      4 4  +-----------+
+--R         (- 10a d  + 22a b c d  - 6a b c d  - 14a b c d + 8b c )\|- a d + b c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R                                           +---------+
+--R               3 3      4 4  +-----------+ |    b      +-+
+--R         (18a b c d - 8b c )\|- a d + b c  |--------- \|c
+--R                                          \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        6 3 3     5   4 2     4 2 5      3 3 6  +-----------+ +-+
+--R     (2a c d  - 6a b c d  + 6a b c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  849
+
+--S  850 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  850
+
+)clear all
+
+--S  851 of 1092
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  851
+
+--S  852 of 1092
+r0:=-2/3*a^3*(b*c-a*d)*(c+d*x)^(3/2)/b^5+2/3465*(40*b^3*c^3+110*a*b^2*c^2*d+_
+     495*a^2*b*c*d^2-693*a^3*d^3)*(c+d*x)^(5/2)/(b^4*d^3)-2/693*_
+     (20*b^2*c^2+55*a*b*c*d-99*a^2*d^2)*x*(c+d*x)^(5/2)/(b^3*d^2)+_
+     2/99*(5*b*c-11*a*d)*x^2*(c+d*x)^(5/2)/(b^2*d)+2/11*x^3*(c+d*x)^(5/2)/b+_
+     2*a^3*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(13/2)-_
+     2*a^3*(b*c-a*d)^2*sqrt(c+d*x)/b^6
+--R 
+--R
+--R   (2)
+--R               5 5         4     4        3 2 2 3  +-----------+
+--R         (6930a d  - 13860a b c d  + 6930a b c d )\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R               5 5 5            4 5        5   4  4
+--R           630b d x  + (- 770a b d  + 1610b c d )x
+--R         + 
+--R                2 3 5          4   4        5 2 3  3
+--R           (990a b d  - 2090a b c d  + 1130b c d )x
+--R         + 
+--R                   3 2 5        2 3   4          4 2 3      5 3 2  2
+--R           (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R         + 
+--R                 4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R           (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R         + 
+--R                  5 5         4     4         3 2 2 3       2 3 3 2         4 4
+--R           - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d  + 220a b c d
+--R         + 
+--R              5 5
+--R           80b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          6 3 +-+
+--R     3465b d \|b
+--R                                                    Type: Expression(Integer)
+--E  852
+
+--S  853 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                    +-----------+
+--R                 5 5        4     4        3 2 2 3  |- a d + b c
+--R           (3465a d  - 6930a b c d  + 3465a b c d ) |-----------
+--R                                                   \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                 5 5 5            4 5        5   4  4
+--R             630b d x  + (- 770a b d  + 1610b c d )x
+--R           + 
+--R                  2 3 5          4   4        5 2 3  3
+--R             (990a b d  - 2090a b c d  + 1130b c d )x
+--R           + 
+--R                     3 2 5        2 3   4          4 2 3      5 3 2  2
+--R             (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R           + 
+--R                   4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R             (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R           + 
+--R                    5 5         4     4         3 2 2 3       2 3 3 2
+--R             - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d
+--R           + 
+--R                   4 4       5 5
+--R             220a b c d + 80b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R            6 3
+--R       3465b d
+--R     ,
+--R
+--R                                                   +---------+       +-------+
+--R               5 5         4     4        3 2 2 3  |a d - b c       \|d x + c
+--R         (6930a d  - 13860a b c d  + 6930a b c d ) |--------- atan(------------)
+--R                                                  \|    b           +---------+
+--R                                                                    |a d - b c
+--R                                                                    |---------
+--R                                                                   \|    b
+--R       + 
+--R                 5 5 5            4 5        5   4  4
+--R             630b d x  + (- 770a b d  + 1610b c d )x
+--R           + 
+--R                  2 3 5          4   4        5 2 3  3
+--R             (990a b d  - 2090a b c d  + 1130b c d )x
+--R           + 
+--R                     3 2 5        2 3   4          4 2 3      5 3 2  2
+--R             (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R           + 
+--R                   4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R             (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R           + 
+--R                    5 5         4     4         3 2 2 3       2 3 3 2
+--R             - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d
+--R           + 
+--R                   4 4       5 5
+--R             220a b c d + 80b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R            6 3
+--R       3465b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  853
+
+--S  854 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           5 2     4         3 2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                          +-+ +-------+
+--R            5 2     4          3 2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  854
+
+--S  855 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  855
+
+--S  856 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R            5 2     4          3 2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R          5 2     4          3 2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  856
+
+--S  857 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  857
+
+)clear all
+
+--S  858 of 1092
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  858
+
+--S  859 of 1092
+r0:=2/3*a^2*(b*c-a*d)*(c+d*x)^(3/2)/b^4+2/5*a^2*(c+d*x)^(5/2)/b^3-_
+     2/63*(2*b*c+9*a*d)*(c+d*x)^(7/2)/(b^2*d^2)+2/9*x*(c+d*x)^(7/2)/(b*d)-_
+     2*a^2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/b^(11/2)+2*a^2*(b*c-a*d)^2*sqrt(c+d*x)/b^5
+--R 
+--R
+--R   (2)
+--R                4 4        3     3       2 2 2 2  +-----------+
+--R         (- 630a d  + 1260a b c d  - 630a b c d )\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              4 4 4           3 4       4   3  3
+--R           70b d x  + (- 90a b d  + 190b c d )x
+--R         + 
+--R                2 2 4         3   3       4 2 2  2
+--R           (126a b d  - 270a b c d  + 150b c d )x
+--R         + 
+--R                  3   4       2 2   3         3 2 2      4 3          4 4
+--R           (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R         + 
+--R                  3     3       2 2 2 2        3 3       4 4
+--R           - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         5 2 +-+
+--R     315b d \|b
+--R                                                    Type: Expression(Integer)
+--E  859
+
+--S  860 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                 +-----------+
+--R                4 4       3     3       2 2 2 2  |- a d + b c
+--R           (315a d  - 630a b c d  + 315a b c d ) |-----------
+--R                                                \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                4 4 4           3 4       4   3  3
+--R             70b d x  + (- 90a b d  + 190b c d )x
+--R           + 
+--R                  2 2 4         3   3       4 2 2  2
+--R             (126a b d  - 270a b c d  + 150b c d )x
+--R           + 
+--R                    3   4       2 2   3         3 2 2      4 3          4 4
+--R             (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R           + 
+--R                    3     3       2 2 2 2        3 3       4 4
+--R             - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           5 2
+--R       315b d
+--R     ,
+--R
+--R                                                  +---------+       +-------+
+--R                4 4        3     3       2 2 2 2  |a d - b c       \|d x + c
+--R         (- 630a d  + 1260a b c d  - 630a b c d ) |--------- atan(------------)
+--R                                                 \|    b           +---------+
+--R                                                                   |a d - b c
+--R                                                                   |---------
+--R                                                                  \|    b
+--R       + 
+--R                4 4 4           3 4       4   3  3
+--R             70b d x  + (- 90a b d  + 190b c d )x
+--R           + 
+--R                  2 2 4         3   3       4 2 2  2
+--R             (126a b d  - 270a b c d  + 150b c d )x
+--R           + 
+--R                    3   4       2 2   3         3 2 2      4 3          4 4
+--R             (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R           + 
+--R                    3     3       2 2 2 2        3 3       4 4
+--R             - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           5 2
+--R       315b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  860
+
+--S  861 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           4 2     3         2 2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                        +-+ +-------+
+--R          4 2     3          2 2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  861
+
+--S  862 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  862
+
+--S  863 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                        +-+ +-------+
+--R          4 2     3          2 2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                          +---------+       +-------+
+--R            4 2     3          2 2 2  +-+ |a d - b c       \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|b  |--------- atan(------------)
+--R                                         \|    b           +---------+
+--R                                                           |a d - b c
+--R                                                           |---------
+--R                                                          \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  863
+
+--S  864 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  864
+
+)clear all
+
+--S  865 of 1092
+t0:=x*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  865
+
+--S  866 of 1092
+r0:=-2/3*a*(b*c-a*d)*(c+d*x)^(3/2)/b^3-2/5*a*(c+d*x)^(5/2)/b^2+_
+     2/7*(c+d*x)^(7/2)/(b*d)+2*a*(b*c-a*d)^(5/2)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))/b^(9/2)-2*a*(b*c-a*d)^2*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R            3 3       2     2         2 2   +-----------+      \|b \|d x + c
+--R       (210a d  - 420a b c d  + 210a b c d)\|- a d + b c atanh(--------------)
+--R                                                                +-----------+
+--R                                                               \|- a d + b c
+--R     + 
+--R              3 3 3           2 3      3   2  2
+--R           30b d x  + (- 42a b d  + 90b c d )x
+--R         + 
+--R               2   3         2   2      3 2          3 3       2     2
+--R           (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R         + 
+--R                   2 2       3 3
+--R           - 322a b c d + 30b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         4  +-+
+--R     105b d\|b
+--R                                                    Type: Expression(Integer)
+--E  866
+
+--S  867 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                +-----------+
+--R                3 3       2     2         2 2   |- a d + b c
+--R           (105a d  - 210a b c d  + 105a b c d) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                3 3 3           2 3      3   2  2
+--R             30b d x  + (- 42a b d  + 90b c d )x
+--R           + 
+--R                 2   3         2   2      3 2          3 3       2     2
+--R             (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 322a b c d + 30b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           4
+--R       105b d
+--R     ,
+--R
+--R                                              +---------+       +-------+
+--R              3 3       2     2         2 2   |a d - b c       \|d x + c
+--R         (210a d  - 420a b c d  + 210a b c d) |--------- atan(------------)
+--R                                             \|    b           +---------+
+--R                                                               |a d - b c
+--R                                                               |---------
+--R                                                              \|    b
+--R       + 
+--R                3 3 3           2 3      3   2  2
+--R             30b d x  + (- 42a b d  + 90b c d )x
+--R           + 
+--R                 2   3         2   2      3 2          3 3       2     2
+--R             (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 322a b c d + 30b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           4
+--R       105b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  867
+
+--S  868 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           3 2     2           2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                          +-+ +-------+
+--R            3 2     2            2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  868
+
+--S  869 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  869
+
+--S  870 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R            3 2     2            2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R          3 2     2            2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  870
+
+--S  871 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  871
+
+)clear all
+
+--S  872 of 1092
+t0:=(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                    b x + a
+--R                                                    Type: Expression(Integer)
+--E  872
+
+--S  873 of 1092
+r0:=2/3*(b*c-a*d)*(c+d*x)^(3/2)/b^2+2/5*(c+d*x)^(5/2)/b-2*(b*c-a*d)^(5/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+2*(b*c-a*d)^2*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 30a d  + 60a b c d - 30b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        3 +-+
+--R     15b \|b
+--R                                                    Type: Expression(Integer)
+--E  873
+
+--S  874 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                         +-----------+
+--R               2 2                  2 2  |- a d + b c
+--R           (15a d  - 30a b c d + 15b c ) |-----------
+--R                                        \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ,
+--R
+--R                                         +---------+       +-------+
+--R               2 2                  2 2  |a d - b c       \|d x + c
+--R         (- 30a d  + 60a b c d - 30b c ) |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  874
+
+--S  875 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R           2 2               2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + b c ) |----------- \|b
+--R                                 \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  875
+
+--S  876 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  876
+
+--S  877 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  877
+
+--S  878 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  878
+
+)clear all
+
+--S  879 of 1092
+t0:=(c+d*x)^(5/2)/(x*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     2
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  879
+
+--S  880 of 1092
+r0:=2/3*d*(c+d*x)^(3/2)/b-2*c^(5/2)*atanh(sqrt(c+d*x)/sqrt(c))/a+_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a*b^(5/2))+2*d*(2*b*c-a*d)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R          2 2                 2 2  +-----------+      \|b \|d x + c
+--R       (6a d  - 12a b c d + 6b c )\|- a d + b c atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a d + b c
+--R     + 
+--R                             +-------+
+--R           2 2 +-+ +-+      \|d x + c
+--R       - 6b c \|b \|c atanh(----------)
+--R                                +-+
+--R                               \|c
+--R     + 
+--R              2      2 2              +-+ +-------+
+--R       (2a b d x - 6a d  + 14a b c d)\|b \|d x + c
+--R  /
+--R         2 +-+
+--R     3a b \|b
+--R                                                    Type: Expression(Integer)
+--E  880
+
+--S  881 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +-----------+
+--R              2 2                2 2  |- a d + b c
+--R           (3a d  - 6a b c d + 3b c ) |-----------
+--R                                     \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                          +-+ +-------+
+--R           2 2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         3b c \|c log(----------------------------)
+--R                                    x
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                          +-+ +-------+
+--R           2 2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         3b c \|c log(----------------------------)
+--R                                    x
+--R       + 
+--R                                     +---------+       +-------+
+--R            2 2                 2 2  |a d - b c       \|d x + c
+--R         (6a d  - 12a b c d + 6b c ) |--------- atan(------------)
+--R                                    \|    b           +---------+
+--R                                                      |a d - b c
+--R                                                      |---------
+--R                                                     \|    b
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                                      +-----------+
+--R              2 2                2 2  |- a d + b c
+--R           (3a d  - 6a b c d + 3b c ) |-----------
+--R                                     \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                          +-------+
+--R           2 2 +---+     \|d x + c            2      2 2              +-------+
+--R       - 6b c \|- c atan(----------) + (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R                            +---+
+--R                           \|- c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                            +-------+
+--R             2 2 +---+     \|d x + c
+--R         - 6b c \|- c atan(----------)
+--R                              +---+
+--R                             \|- c
+--R       + 
+--R                                     +---------+       +-------+
+--R            2 2                 2 2  |a d - b c       \|d x + c
+--R         (6a d  - 12a b c d + 6b c ) |--------- atan(------------)
+--R                                    \|    b           +---------+
+--R                                                      |a d - b c
+--R                                                      |---------
+--R                                                     \|    b
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  881
+
+--S  882 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R           2 2               2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + b c ) |----------- \|b
+--R                                 \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R  /
+--R        2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  882
+
+--S  883 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  883
+
+--S  884 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R        2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  884
+
+--S  885 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  885
+
+)clear all
+
+--S  886 of 1092
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     3      2
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  886
+
+--S  887 of 1092
+r0:=d*(c+d*x)^(3/2)/a-(c+d*x)^(5/2)/(a*x)+c^(3/2)*(2*b*c-5*a*d)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/a^2-2*(b*c-a*d)^(5/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^2*b^(3/2))+_
+     d*(b*c+2*a*d)*sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R            2 2                2 2   +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )x\|- a d + b c atanh(--------------)
+--R                                                         +-----------+
+--R                                                        \|- a d + b c
+--R     + 
+--R                                           +-------+
+--R                       2 2   +-+ +-+      \|d x + c
+--R       (- 5a b c d + 2b c )x\|b \|c atanh(----------)
+--R                                              +-+
+--R                                             \|c
+--R     + 
+--R          2 2         2  +-+ +-------+
+--R       (2a d x - a b c )\|b \|d x + c
+--R  /
+--R      2    +-+
+--R     a b x\|b
+--R                                                    Type: Expression(Integer)
+--E  887
+
+--S  888 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                       +-----------+
+--R              2 2                2 2   |- a d + b c
+--R           (2a d  - 4a b c d + 2b c )x |-----------
+--R                                      \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                        +-+ +-------+
+--R                       2 2   +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (5a b c d - 2b c )x\|c log(----------------------------)
+--R                                                  x
+--R       + 
+--R            2 2          2  +-------+
+--R         (4a d x - 2a b c )\|d x + c
+--R    /
+--R         2
+--R       2a b x
+--R     ,
+--R
+--R                                        +-+ +-------+
+--R                       2 2   +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (5a b c d - 2b c )x\|c log(----------------------------)
+--R                                                  x
+--R       + 
+--R                                       +---------+       +-------+
+--R              2 2                2 2   |a d - b c       \|d x + c
+--R         (- 4a d  + 8a b c d - 4b c )x |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R            2 2          2  +-------+
+--R         (4a d x - 2a b c )\|d x + c
+--R    /
+--R         2
+--R       2a b x
+--R     ,
+--R
+--R                                     +-----------+
+--R             2 2               2 2   |- a d + b c
+--R           (a d  - 2a b c d + b c )x |-----------
+--R                                    \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                        +-------+
+--R                       2 2   +---+     \|d x + c        2 2         2  +-------+
+--R       (- 5a b c d + 2b c )x\|- c atan(----------) + (2a d x - a b c )\|d x + c
+--R                                          +---+
+--R                                         \|- c
+--R    /
+--R        2
+--R       a b x
+--R     ,
+--R
+--R                                          +-------+
+--R                         2 2   +---+     \|d x + c
+--R         (- 5a b c d + 2b c )x\|- c atan(----------)
+--R                                            +---+
+--R                                           \|- c
+--R       + 
+--R                                       +---------+       +-------+
+--R              2 2                2 2   |a d - b c       \|d x + c
+--R         (- 2a d  + 4a b c d - 2b c )x |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R            2 2         2  +-------+
+--R         (2a d x - a b c )\|d x + c
+--R    /
+--R        2
+--R       a b x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  888
+
+--S  889 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R            2 2                2 2  |- a d + b c  +-+
+--R         (2a d  - 4a b c d + 2b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 2b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (4a d  - 8a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 4b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       2  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  889
+
+--S  890 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  890
+
+--S  891 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 2b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (4a d  - 8a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 4b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 4a d  + 8a b c d - 4b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R       2  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  891
+
+--S  892 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  892
+
+)clear all
+
+--S  893 of 1092
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     4      3
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  893
+
+--S  894 of 1092
+r0:=1/4*(4*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x)-1/2*(c+d*x)^(5/2)/(a*x^2)+_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a^3*sqrt(b))-1/4*(8*b^2*c^2-20*a*b*c*d+15*a^2*d^2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))*sqrt(c)/a^3-1/4*d*(4*b*c-7*a*d)*_
+     sqrt(c+d*x)/a^2
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R          2 2                 2 2  2 +-----------+      \|b \|d x + c
+--R       (8a d  - 16a b c d + 8b c )x \|- a d + b c atanh(--------------)
+--R                                                         +-----------+
+--R                                                        \|- a d + b c
+--R     + 
+--R                                                      +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|d x + c
+--R       (- 15a d  + 20a b c d - 8b c )x \|b \|c atanh(----------)
+--R                                                         +-+
+--R                                                        \|c
+--R     + 
+--R             2            2       2 2  +-+ +-------+
+--R       ((- 9a c d + 4a b c )x - 2a c )\|b \|d x + c
+--R  /
+--R       3 2 +-+
+--R     4a x \|b
+--R                                                    Type: Expression(Integer)
+--E  894
+
+--S  895 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                         +-----------+
+--R              2 2                 2 2  2 |- a d + b c
+--R           (8a d  - 16a b c d + 8b c )x  |-----------
+--R                                        \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                   +-+ +-------+
+--R             2 2                 2 2  2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (15a d  - 20a b c d + 8b c )x \|c log(----------------------------)
+--R                                                             x
+--R       + 
+--R                2            2       2 2  +-------+
+--R         ((- 18a c d + 8a b c )x - 4a c )\|d x + c
+--R    /
+--R         3 2
+--R       8a x
+--R     ,
+--R
+--R                                                   +-+ +-------+
+--R             2 2                 2 2  2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (15a d  - 20a b c d + 8b c )x \|c log(----------------------------)
+--R                                                             x
+--R       + 
+--R                                         +---------+       +-------+
+--R             2 2                  2 2  2 |a d - b c       \|d x + c
+--R         (16a d  - 32a b c d + 16b c )x  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R       + 
+--R                2            2       2 2  +-------+
+--R         ((- 18a c d + 8a b c )x - 4a c )\|d x + c
+--R    /
+--R         3 2
+--R       8a x
+--R     ,
+--R
+--R                                        +-----------+
+--R              2 2                2 2  2 |- a d + b c
+--R           (4a d  - 8a b c d + 4b c )x  |-----------
+--R                                       \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                     +-------+
+--R               2 2                 2 2  2 +---+     \|d x + c
+--R         (- 15a d  + 20a b c d - 8b c )x \|- c atan(----------)
+--R                                                       +---+
+--R                                                      \|- c
+--R       + 
+--R               2            2       2 2  +-------+
+--R         ((- 9a c d + 4a b c )x - 2a c )\|d x + c
+--R    /
+--R         3 2
+--R       4a x
+--R     ,
+--R
+--R                                                     +-------+
+--R               2 2                 2 2  2 +---+     \|d x + c
+--R         (- 15a d  + 20a b c d - 8b c )x \|- c atan(----------)
+--R                                                       +---+
+--R                                                      \|- c
+--R       + 
+--R                                       +---------+       +-------+
+--R            2 2                 2 2  2 |a d - b c       \|d x + c
+--R         (8a d  - 16a b c d + 8b c )x  |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R               2            2       2 2  +-------+
+--R         ((- 9a c d + 4a b c )x - 2a c )\|d x + c
+--R    /
+--R         3 2
+--R       4a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  895
+
+--S  896 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                     +-----------+
+--R            2 2                 2 2  |- a d + b c  +-+
+--R         (8a d  - 16a b c d + 8b c ) |----------- \|b
+--R                                    \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                   +-+ +-------+
+--R           2 2                 2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 20a b c d + 8b c )\|b \|c log(----------------------------)
+--R                                                             x
+--R     + 
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 16a d  + 32a b c d - 16b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 40a b c d + 16b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R  /
+--R       3 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  896
+
+--S  897 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  897
+
+--S  898 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                   +-+ +-------+
+--R           2 2                 2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 20a b c d + 8b c )\|b \|c log(----------------------------)
+--R                                                             x
+--R     + 
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 16a d  + 32a b c d - 16b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 40a b c d + 16b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R     + 
+--R                                         +---------+       +-------+
+--R           2 2                  2 2  +-+ |a d - b c       \|d x + c
+--R       (16a d  - 32a b c d + 16b c )\|b  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R  /
+--R       3 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  898
+
+--S  899 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  899
+
+)clear all
+
+--S  900 of 1092
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     5      4
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  900
+
+--S  901 of 1092
+r0:=1/12*(6*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^2)-1/3*(c+d*x)^(5/2)/(a*x^3)-_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b)/a^4+1/8*(16*b^3*c^3-40*a*b^2*c^2*d+30*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/(a^4*sqrt(c))-1/8*(4*b*c-5*a*d)*_
+     (2*b*c-a*d)*sqrt(c+d*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R               2 2                  2 2  3 +-----------+ +-+ +-+
+--R         (- 48a d  + 96a b c d - 48b c )x \|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                             +-------+
+--R             3 3      2     2         2 2       3 3  3      \|d x + c
+--R       (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atanh(----------)
+--R                                                                +-+
+--R                                                               \|c
+--R     + 
+--R                3 2      2             2 2  2         3         2   2       3 2
+--R         ((- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x - 8a c )
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R  /
+--R        4 3 +-+
+--R     24a x \|c
+--R                                                    Type: Expression(Integer)
+--E  901
+
+--S  902 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               3 3      2     2         2 2       3 3  3
+--R           (15a d  - 90a b c d  + 120a b c d - 48b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                           +-------------+
+--R               2 2                  2 2  3 |           2   +-+
+--R           (48a d  - 96a b c d + 48b c )x \|- a b d + b c \|c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                   3 2       2             2 2  2         3         2   2
+--R             (- 66a d  + 108a b c d - 48a b c )x  + (- 52a c d + 24a b c )x
+--R           + 
+--R                  3 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R          4 3 +-+
+--R       48a x \|c
+--R     ,
+--R
+--R               3 3      2     2         2 2       3 3  3
+--R           (15a d  - 90a b c d  + 120a b c d - 48b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                  +-----------+
+--R                 2 2                   2 2  3 +-+ |         2
+--R           (- 96a d  + 192a b c d - 96b c )x \|c \|a b d - b c
+--R        *
+--R                    +-------+
+--R                  b\|d x + c
+--R           atan(--------------)
+--R                 +-----------+
+--R                 |         2
+--R                \|a b d - b c
+--R       + 
+--R                   3 2       2             2 2  2         3         2   2
+--R             (- 66a d  + 108a b c d - 48a b c )x  + (- 52a c d + 24a b c )x
+--R           + 
+--R                  3 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R          4 3 +-+
+--R       48a x \|c
+--R     ,
+--R
+--R                                           +-------------+
+--R               2 2                  2 2  3 |           2   +---+
+--R           (24a d  - 48a b c d + 24b c )x \|- a b d + b c \|- c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                                                              +---+ +-------+
+--R               3 3      2     2         2 2       3 3  3     \|- c \|d x + c
+--R         (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atan(----------------)
+--R                                                                     c
+--R       + 
+--R                     3 2      2             2 2  2         3         2   2
+--R               (- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x
+--R             + 
+--R                   3 2
+--R               - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R          4 3 +---+
+--R       24a x \|- c
+--R     ,
+--R
+--R                                                              +---+ +-------+
+--R               3 3      2     2         2 2       3 3  3     \|- c \|d x + c
+--R         (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atan(----------------)
+--R                                                                     c
+--R       + 
+--R                                                   +-----------+
+--R                 2 2                  2 2  3 +---+ |         2
+--R           (- 48a d  + 96a b c d - 48b c )x \|- c \|a b d - b c
+--R        *
+--R                    +-------+
+--R                  b\|d x + c
+--R           atan(--------------)
+--R                 +-----------+
+--R                 |         2
+--R                \|a b d - b c
+--R       + 
+--R                     3 2      2             2 2  2         3         2   2
+--R               (- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x
+--R             + 
+--R                   3 2
+--R               - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R          4 3 +---+
+--R       24a x \|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  902
+
+--S  903 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3      2     2        2 2       3 3
+--R         (5a d  - 30a b c d  + 40a b c d - 16b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                       +-------------+
+--R             2 2                  2 2  |           2   +-+
+--R         (16a d  - 32a b c d + 16b c )\|- a b d + b c \|c
+--R      *
+--R                 +-------------+
+--R                 |           2   +-------+
+--R             - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R         log(--------------------------------------------------)
+--R                                   b x + a
+--R     + 
+--R                                                                 +-+ +-------+
+--R           2 2                  2 2  +-----------+ +-+ +-+      \|b \|d x + c
+--R       (32a d  - 64a b c d + 32b c )\|- a d + b c \|b \|c atanh(--------------)
+--R                                                                 +-----------+
+--R                                                                \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R           3 3      2     2        2 2       3 3       \|d x + c
+--R       (10a d  - 60a b c d  + 80a b c d - 32b c )atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R  /
+--R        4 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  903
+
+--S  904 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  904
+
+--S  905 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3      2     2        2 2       3 3
+--R         (5a d  - 30a b c d  + 40a b c d - 16b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                                                 +-+ +-------+
+--R           2 2                  2 2  +-----------+ +-+ +-+      \|b \|d x + c
+--R       (32a d  - 64a b c d + 32b c )\|- a d + b c \|b \|c atanh(--------------)
+--R                                                                 +-----------+
+--R                                                                \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R           3 3      2     2        2 2       3 3       \|d x + c
+--R       (10a d  - 60a b c d  + 80a b c d - 32b c )atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R     + 
+--R                                           +-----------+         +-------+
+--R             2 2                  2 2  +-+ |         2         b\|d x + c
+--R       (- 32a d  + 64a b c d - 32b c )\|c \|a b d - b c atan(--------------)
+--R                                                              +-----------+
+--R                                                              |         2
+--R                                                             \|a b d - b c
+--R  /
+--R        4 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  905
+
+--S  906 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  906
+
+)clear all
+
+--S  907 of 1092
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                 2 2             2
+--R                b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  907
+
+--S  908 of 1092
+r0:=1/3*a^2*(6*b*c-11*a*d)*(c+d*x)^(3/2)/b^5-1/315*(20*b^2*c^2+_
+     180*a*b*c*d-693*a^2*d^2)*(c+d*x)^(5/2)/(b^4*d^2)+_
+     1/63*(10*b*c-99*a*d)*x*(c+d*x)^(5/2)/(b^3*d)+11/9*x^2*(c+d*x)^(5/2)/_
+     b^2-x^3*(c+d*x)^(5/2)/(b*(a+b*x))-a^2*(6*b*c-11*a*d)*(b*c-a*d)^(3/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(13/2)+a^2*(6*b*c-11*a*d)*_
+     (b*c-a*d)*sqrt(c+d*x)/b^6
+--R 
+--R
+--R   (2)
+--R                   4   4        3 2   3        2 3 2 2          5 4
+--R           (- 3465a b d  + 5355a b c d  - 1890a b c d )x - 3465a d
+--R         + 
+--R                4     3        3 2 2 2
+--R           5355a b c d  - 1890a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R              5 4 5            4 4       5   3  4
+--R           70b d x  + (- 110a b d  + 190b c d )x
+--R         + 
+--R                2 3 4         4   3       5 2 2  3
+--R           (198a b d  - 350a b c d  + 150b c d )x
+--R         + 
+--R                  3 2 4       2 3   3         4 2 2      5 3   2
+--R           (- 462a b d  + 846a b c d  - 390a b c d  + 10b c d)x
+--R         + 
+--R                 4   4        3 2   3        2 3 2 2         4 3       5 4
+--R           (2310a b d  - 4494a b c d  + 2358a b c d  - 170a b c d - 20b c )x
+--R         + 
+--R                5 4        4     3        3 2 2 2       2 3 3         4 4
+--R           3465a d  - 6510a b c d  + 3213a b c d  - 180a b c d - 20a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          7 2          6 2  +-+
+--R     (315b d x + 315a b d )\|b
+--R                                                    Type: Expression(Integer)
+--E  908
+
+--S  909 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   4   4        3 2   3        2 3 2 2          5 4
+--R             (3465a b d  - 5355a b c d  + 1890a b c d )x + 3465a d
+--R           + 
+--R                    4     3        3 2 2 2
+--R             - 5355a b c d  + 1890a b c d
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                 5 4 5            4 4       5   3  4
+--R             140b d x  + (- 220a b d  + 380b c d )x
+--R           + 
+--R                  2 3 4         4   3       5 2 2  3
+--R             (396a b d  - 700a b c d  + 300b c d )x
+--R           + 
+--R                    3 2 4        2 3   3         4 2 2      5 3   2
+--R             (- 924a b d  + 1692a b c d  - 780a b c d  + 20b c d)x
+--R           + 
+--R                   4   4        3 2   3        2 3 2 2         4 3       5 4
+--R             (4620a b d  - 8988a b c d  + 4716a b c d  - 340a b c d - 40b c )x
+--R           + 
+--R                  5 4         4     3        3 2 2 2       2 3 3         4 4
+--R             6930a d  - 13020a b c d  + 6426a b c d  - 360a b c d - 40a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           7 2          6 2
+--R       630b d x + 630a b d
+--R     ,
+--R
+--R                     4   4        3 2   3        2 3 2 2          5 4
+--R             (- 3465a b d  + 5355a b c d  - 1890a b c d )x - 3465a d
+--R           + 
+--R                  4     3        3 2 2 2
+--R             5355a b c d  - 1890a b c d
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                5 4 5            4 4       5   3  4
+--R             70b d x  + (- 110a b d  + 190b c d )x
+--R           + 
+--R                  2 3 4         4   3       5 2 2  3
+--R             (198a b d  - 350a b c d  + 150b c d )x
+--R           + 
+--R                    3 2 4       2 3   3         4 2 2      5 3   2
+--R             (- 462a b d  + 846a b c d  - 390a b c d  + 10b c d)x
+--R           + 
+--R                   4   4        3 2   3        2 3 2 2         4 3       5 4
+--R             (2310a b d  - 4494a b c d  + 2358a b c d  - 170a b c d - 20b c )x
+--R           + 
+--R                  5 4        4     3        3 2 2 2       2 3 3         4 4
+--R             3465a d  - 6510a b c d  + 3213a b c d  - 180a b c d - 20a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           7 2          6 2
+--R       315b d x + 315a b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  909
+
+--S  910 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                        +-----------+
+--R             4 2      3          2 2 2  |- a d + b c  +-+
+--R         (11a d  - 17a b c d + 6a b c ) |----------- \|b
+--R                                       \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                           +-+ +-------+
+--R           4 2      3           2 2 2  +-----------+      \|b \|d x + c
+--R       (22a d  - 34a b c d + 12a b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R  /
+--R       6 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  910
+
+--S  911 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  911
+
+--S  912 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R           4 2      3          2 2 2  +-----------+      \|b \|d x + c
+--R       (11a d  - 17a b c d + 6a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                            +---------+       +-------+
+--R             4 2      3          2 2 2  +-+ |a d - b c       \|d x + c
+--R       (- 11a d  + 17a b c d - 6a b c )\|b  |--------- atan(------------)
+--R                                           \|    b           +---------+
+--R                                                             |a d - b c
+--R                                                             |---------
+--R                                                            \|    b
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  912
+
+--S  913 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  913
+
+)clear all
+
+--S  914 of 1092
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                 2 2             2
+--R                b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  914
+
+--S  915 of 1092
+r0:=-1/3*a*(4*b*c-9*a*d)*(c+d*x)^(3/2)/b^4-1/5*a*(4*b*c-9*a*d)*_
+     (c+d*x)^(5/2)/(b^3*(b*c-a*d))+2/7*(c+d*x)^(7/2)/(b^2*d)-_
+     a^2*(c+d*x)^(7/2)/(b^2*(b*c-a*d)*(a+b*x))+a*(4*b*c-9*a*d)*_
+     (b*c-a*d)^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(11/2)-_
+     a*(4*b*c-9*a*d)*(b*c-a*d)*sqrt(c+d*x)/b^5
+--R 
+--R
+--R   (2)
+--R                3   3        2 2   2         3 2          4 3        3     2
+--R           (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R         + 
+--R               2 2 2
+--R           420a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R              4 3 4           3 3      4   2  3
+--R           30b d x  + (- 54a b d  + 90b c d )x
+--R         + 
+--R                2 2 3         3   2      4 2   2
+--R           (126a b d  - 218a b c d  + 90b c d)x
+--R         + 
+--R                  3   3        2 2   2         3 2       4 3         4 3
+--R           (- 630a b d  + 1162a b c d  - 554a b c d + 30b c )x - 945a d
+--R         + 
+--R                3     2       2 2 2         3 3
+--R           1680a b c d  - 749a b c d + 30a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          6            5   +-+
+--R     (105b d x + 105a b d)\|b
+--R                                                    Type: Expression(Integer)
+--E  915
+
+--S  916 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                  3   3        2 2   2         3 2          4 3        3     2
+--R             (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R           + 
+--R                 2 2 2
+--R             420a b c d
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                4 3 4            3 3       4   2  3
+--R             60b d x  + (- 108a b d  + 180b c d )x
+--R           + 
+--R                  2 2 3         3   2       4 2   2
+--R             (252a b d  - 436a b c d  + 180b c d)x
+--R           + 
+--R                     3   3        2 2   2          3 2       4 3          4 3
+--R             (- 1260a b d  + 2324a b c d  - 1108a b c d + 60b c )x - 1890a d
+--R           + 
+--R                  3     2        2 2 2         3 3
+--R             3360a b c d  - 1498a b c d + 60a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           6            5
+--R       210b d x + 210a b d
+--R     ,
+--R
+--R                  3   3        2 2   2         3 2          4 3        3     2
+--R             (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R           + 
+--R                 2 2 2
+--R             420a b c d
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                4 3 4           3 3      4   2  3
+--R             30b d x  + (- 54a b d  + 90b c d )x
+--R           + 
+--R                  2 2 3         3   2      4 2   2
+--R             (126a b d  - 218a b c d  + 90b c d)x
+--R           + 
+--R                    3   3        2 2   2         3 2       4 3         4 3
+--R             (- 630a b d  + 1162a b c d  - 554a b c d + 30b c )x - 945a d
+--R           + 
+--R                  3     2       2 2 2         3 3
+--R             1680a b c d  - 749a b c d + 30a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           6            5
+--R       105b d x + 105a b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  916
+
+--S  917 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                       +-----------+
+--R            3 2      2            2 2  |- a d + b c  +-+
+--R         (9a d  - 13a b c d + 4a b c ) |----------- \|b
+--R                                      \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                            +-+ +-------+
+--R             3 2      2            2 2  +-----------+      \|b \|d x + c
+--R       (- 18a d  + 26a b c d - 8a b c )\|- a d + b c atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R  /
+--R       5 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  917
+
+--S  918 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  918
+
+--S  919 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                           +-+ +-------+
+--R            3 2      2            2 2  +-----------+      \|b \|d x + c
+--R       (- 9a d  + 13a b c d - 4a b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                         +---------+       +-------+
+--R          3 2      2            2 2  +-+ |a d - b c       \|d x + c
+--R       (9a d  - 13a b c d + 4a b c )\|b  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  919
+
+--S  920 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  920
+
+)clear all
+
+--S  921 of 1092
+t0:=x*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  921
+
+--S  922 of 1092
+r0:=1/3*(2*b*c-7*a*d)*(c+d*x)^(3/2)/b^3+1/5*(2*b*c-7*a*d)*(c+d*x)^(5/2)/_
+     (b^2*(b*c-a*d))+a*(c+d*x)^(7/2)/(b*(b*c-a*d)*(a+b*x))-(2*b*c-7*a*d)*_
+     (b*c-a*d)^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(9/2)+_
+     (2*b*c-7*a*d)*(b*c-a*d)*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                    2   2         2         3 2         3 2       2
+--R             (- 105a b d  + 135a b c d - 30b c )x - 105a d  + 135a b c d
+--R           + 
+--R                    2 2
+--R             - 30a b c
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R             3 2 3           2 2      3     2
+--R           6b d x  + (- 14a b d  + 22b c d)x
+--R         + 
+--R               2   2         2         3 2         3 2       2             2 2
+--R           (70a b d  - 118a b c d + 46b c )x + 105a d  - 170a b c d + 61a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         5         4  +-+
+--R     (15b x + 15a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  922
+
+--S  923 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                    2   2         2         3 2         3 2       2
+--R               (105a b d  - 135a b c d + 30b c )x + 105a d  - 135a b c d
+--R             + 
+--R                    2 2
+--R               30a b c
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                3 2 3           2 2      3     2
+--R             12b d x  + (- 28a b d  + 44b c d)x
+--R           + 
+--R                2   2         2         3 2         3 2       2              2 2
+--R           (140a b d  - 236a b c d + 92b c )x + 210a d  - 340a b c d + 122a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          5         4
+--R       30b x + 30a b
+--R     ,
+--R
+--R                    2   2         2         3 2         3 2       2
+--R             (- 105a b d  + 135a b c d - 30b c )x - 105a d  + 135a b c d
+--R           + 
+--R                    2 2
+--R             - 30a b c
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2 3           2 2      3     2
+--R             6b d x  + (- 14a b d  + 22b c d)x
+--R           + 
+--R               2   2         2         3 2         3 2       2             2 2
+--R           (70a b d  - 118a b c d + 46b c )x + 105a d  - 170a b c d + 61a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          5         4
+--R       15b x + 15a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  923
+
+--S  924 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R            2 2                2 2  |- a d + b c  +-+
+--R         (7a d  - 9a b c d + 2b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                        +-+ +-------+
+--R           2 2                 2 2  +-----------+      \|b \|d x + c
+--R       (14a d  - 18a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R  /
+--R       4 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  924
+
+--S  925 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  925
+
+--S  926 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (7a d  - 9a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 7a d  + 9a b c d - 2b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  926
+
+--S  927 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  927
+
+)clear all
+
+--S  928 of 1092
+t0:=(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  928
+
+--S  929 of 1092
+r0:=5/3*d*(c+d*x)^(3/2)/b^2-(c+d*x)^(5/2)/(b*(a+b*x))-5*d*(b*c-a*d)^(3/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+5*d*(b*c-a*d)*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                  2      2           2 2              +-----------+
+--R         ((15a b d  - 15b c d)x + 15a d  - 15a b c d)\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                 2 2  +-+
+--R         (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4        3  +-+
+--R     (3b x + 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  929
+
+--S  930 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                        +-----------+
+--R                    2      2           2 2              |- a d + b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |-----------
+--R                                                       \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (4b d x  + (- 20a b d  + 28b c d)x - 30a d  + 40a b c d - 6b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       6b x + 6a b
+--R     ,
+--R
+--R                                                        +---------+
+--R                    2      2           2 2              |a d - b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |---------
+--R                                                       \|    b
+--R        *
+--R                  +-------+
+--R                 \|d x + c
+--R           atan(------------)
+--R                 +---------+
+--R                 |a d - b c
+--R                 |---------
+--R                \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       3b x + 3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  930
+
+--S  931 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                          +-----------+
+--R              2           |- a d + b c  +-+
+--R         (5a d  - 5b c d) |----------- \|b
+--R                         \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                +-+ +-------+
+--R               2            +-----------+      \|b \|d x + c
+--R       (- 10a d  + 10b c d)\|- a d + b c atanh(--------------)
+--R                                                +-----------+
+--R                                               \|- a d + b c
+--R  /
+--R       3 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  931
+
+--S  932 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  932
+
+--S  933 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                              +-+ +-------+
+--R              2           +-----------+      \|b \|d x + c
+--R       (- 5a d  + 5b c d)\|- a d + b c atanh(--------------)
+--R                                              +-----------+
+--R                                             \|- a d + b c
+--R     + 
+--R                            +---------+       +-------+
+--R            2           +-+ |a d - b c       \|d x + c
+--R       (5a d  - 5b c d)\|b  |--------- atan(------------)
+--R                           \|    b           +---------+
+--R                                             |a d - b c
+--R                                             |---------
+--R                                            \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  933
+
+--S  934 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  934
+
+)clear all
+
+--S  935 of 1092
+t0:=(c+d*x)^(5/2)/(x*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 3         2    2
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  935
+
+--S  936 of 1092
+r0:=-d*(c+d*x)^(3/2)/(a*b)+(c+d*x)^(5/2)/(a*(a+b*x))-2*c^(5/2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/a^2+(b*c-a*d)^(3/2)*(2*b*c+3*a*d)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^2*b^(5/2))-_
+     d*(b*c-3*a*d)*sqrt(c+d*x)/(a*b^2)
+--R 
+--R
+--R   (2)
+--R               2   2      2        3 2       3 2    2            2 2
+--R         ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                                          +-------+
+--R            3 2        2 2  +-+ +-+      \|d x + c
+--R       (- 2b c x - 2a b c )\|b \|c atanh(----------)
+--R                                             +-+
+--R                                            \|c
+--R     + 
+--R          2   2      3 2     2           2 2  +-+ +-------+
+--R       (2a b d x + 3a d  - 2a b c d + a b c )\|b \|d x + c
+--R  /
+--R       2 3     3 2  +-+
+--R     (a b x + a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  936
+
+--S  937 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               2   2      2        3 2       3 2    2            2 2
+--R           ((3a b d  - a b c d - 2b c )x + 3a d  - a b c d - 2a b c )
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                                       +-+ +-------+
+--R            3 2        2 2  +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (2b c x + 2a b c )\|c log(----------------------------)
+--R                                                 x
+--R       + 
+--R            2   2      3 2     2            2 2  +-------+
+--R         (4a b d x + 6a d  - 4a b c d + 2a b c )\|d x + c
+--R    /
+--R         2 3      3 2
+--R       2a b x + 2a b
+--R     ,
+--R
+--R                                     +-+ +-------+
+--R           3 2       2 2  +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (b c x + a b c )\|c log(----------------------------)
+--R                                               x
+--R       + 
+--R                 2   2      2        3 2       3 2    2            2 2
+--R           ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R            2   2      3 2     2           2 2  +-------+
+--R         (2a b d x + 3a d  - 2a b c d + a b c )\|d x + c
+--R    /
+--R        2 3     3 2
+--R       a b x + a b
+--R     ,
+--R
+--R               2   2      2        3 2       3 2    2            2 2
+--R           ((3a b d  - a b c d - 2b c )x + 3a d  - a b c d - 2a b c )
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                                         +-------+
+--R              3 2        2 2  +---+     \|d x + c
+--R         (- 4b c x - 4a b c )\|- c atan(----------)
+--R                                           +---+
+--R                                          \|- c
+--R       + 
+--R            2   2      3 2     2            2 2  +-------+
+--R         (4a b d x + 6a d  - 4a b c d + 2a b c )\|d x + c
+--R    /
+--R         2 3      3 2
+--R       2a b x + 2a b
+--R     ,
+--R
+--R                                         +-------+
+--R              3 2        2 2  +---+     \|d x + c
+--R         (- 2b c x - 2a b c )\|- c atan(----------)
+--R                                           +---+
+--R                                          \|- c
+--R       + 
+--R                 2   2      2        3 2       3 2    2            2 2
+--R           ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R            2   2      3 2     2           2 2  +-------+
+--R         (2a b d x + 3a d  - 2a b c d + a b c )\|d x + c
+--R    /
+--R        2 3     3 2
+--R       a b x + a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  937
+
+--S  938 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                   +-----------+
+--R            2 2               2 2  |- a d + b c  +-+
+--R         (3a d  - a b c d - 2b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                            +-+ +-------+
+--R         2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       2b c \|b \|c log(----------------------------)
+--R                                      x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (6a d  - 2a b c d - 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       4b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R  /
+--R       2 2 +-+
+--R     2a b \|b
+--R                                                    Type: Expression(Integer)
+--E  938
+
+--S  939 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  939
+
+--S  940 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                     +-+ +-------+
+--R          2 2               2 2  +-----------+      \|b \|d x + c
+--R       (3a d  - a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                     +-----------+
+--R                                                    \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R     + 
+--R                                       +---------+       +-------+
+--R            2 2               2 2  +-+ |a d - b c       \|d x + c
+--R       (- 3a d  + a b c d + 2b c )\|b  |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R  /
+--R      2 2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  940
+
+--S  941 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  941
+
+)clear all
+
+--S  942 of 1092
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 4         3    2 2
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  942
+
+--S  943 of 1092
+r0a:=c^(3/2)*(4*b*c-5*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/a^3-(b*c-a*d)^(3/2)*_
+     (4*b*c+a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*b^(3/2))-_
+     c^2*sqrt(c+d*x)/(a^2*x)-(b*c-a*d)^2*sqrt(c+d*x)/(a^2*b*(a+b*x))
+--R 
+--R
+--R   (2)
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R            3 2     2            2 2      2   2  +-+ +-------+
+--R       ((- a d  + 2a b c d - 2a b c )x - a b c )\|b \|d x + c
+--R  /
+--R       3 2 2    4     +-+
+--R     (a b x  + a b x)\|b
+--R                                                    Type: Expression(Integer)
+--E  943
+
+--S  944 of 1092
+r0b:=-2*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*(a+b*x))-(c+d*x)^(5/2)/(a*x*(a+b*x))+_
+     c^(3/2)*(4*b*c-5*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/a^3-(b*c-a*d)^(3/2)*_
+     (4*b*c+a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*b^(3/2))+_
+     d*(2*b*c-a*d)*sqrt(c+d*x)/(a^2*b)
+--R 
+--R
+--R   (3)
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R            3 2     2            2 2      2   2  +-+ +-------+
+--R       ((- a d  + 2a b c d - 2a b c )x - a b c )\|b \|d x + c
+--R  /
+--R       3 2 2    4     +-+
+--R     (a b x  + a b x)\|b
+--R                                                    Type: Expression(Integer)
+--E  944
+
+--S  945 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (4)
+--R   [
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                 2        3 2  2      2            2 2    +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R                 2        3 2  2      2            2 2    +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R               2   2       2        3 2  2      3 2     2            2 2
+--R           ((2a b d  + 6a b c d - 8b c )x  + (2a d  + 6a b c d - 8a b c )x)
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                    2        3 2  2         2            2 2    +---+
+--R           ((- 10a b c d + 8b c )x  + (- 10a b c d + 8a b c )x)\|- c
+--R        *
+--R                 +-------+
+--R                \|d x + c
+--R           atan(----------)
+--R                   +---+
+--R                  \|- c
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R                   2        3 2  2        2            2 2    +---+
+--R           ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|- c
+--R        *
+--R                 +-------+
+--R                \|d x + c
+--R           atan(----------)
+--R                   +---+
+--R                  \|- c
+--R       + 
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R              3 2     2            2 2      2   2  +-------+
+--R         ((- a d  + 2a b c d - 2a b c )x - a b c )\|d x + c
+--R    /
+--R        3 2 2    4
+--R       a b x  + a b x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  945
+
+--S  946 of 1092
+m0a:=a0.1-r0a
+--R 
+--R
+--R   (5)
+--R                                   +-----------+
+--R           2 2                2 2  |- a d + b c  +-+
+--R         (a d  + 3a b c d - 4b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  946
+
+--S  947 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E  947
+
+--S  948 of 1092
+m0b:=a0.1-r0b
+--R 
+--R
+--R   (7)
+--R                                   +-----------+
+--R           2 2                2 2  |- a d + b c  +-+
+--R         (a d  + 3a b c d - 4b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  948
+
+--S  949 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (8)  0
+--R                                                    Type: Expression(Integer)
+--E  949
+
+--S  950 of 1092
+m0c:=a0.2-r0a
+--R 
+--R
+--R   (9)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  + 6a b c d - 8b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  950
+
+--S  951 of 1092
+d0c:=D(m0c,x)
+--R 
+--R
+--R   (10)  0
+--R                                                    Type: Expression(Integer)
+--E  951
+
+--S  952 of 1092
+m0d:=a0.2-r0b
+--R 
+--R
+--R   (11)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  + 6a b c d - 8b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  952
+
+--S  953 of 1092
+d0d:=D(m0d,x)
+--R 
+--R
+--R   (12)  0
+--R                                                    Type: Expression(Integer)
+--E  953
+
+)clear all
+
+--S  954 of 1092
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 5         4    2 3
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  954
+
+--S  955 of 1092
+r0:=1/4*(6*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x*(a+b*x))-1/2*(c+d*x)^(5/2)/_
+     (a*x^2*(a+b*x))+(b*c-a*d)^(3/2)*(6*b*c-a*d)*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/(a^4*sqrt(b))-1/4*(24*b^2*c^2-40*a*b*c*d+15*a^2*d^2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))*sqrt(c)/a^4+1/4*(12*b*c-11*a*d)*_
+     (b*c-a*d)*sqrt(c+d*x)/(a^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R             2   2        2         3 2  3      3 2      2             2 2  2
+--R         ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2   2        2         3 2  3
+--R           (- 15a b d  + 40a b c d - 24b c )x
+--R         + 
+--R                 3 2      2             2 2  2
+--R           (- 15a d  + 40a b c d - 24a b c )x
+--R      *
+--R                        +-------+
+--R          +-+ +-+      \|d x + c
+--R         \|b \|c atanh(----------)
+--R                           +-+
+--R                          \|c
+--R     + 
+--R             3 2      2             2 2  2        3        2   2       3 2  +-+
+--R         ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4   3     5 2  +-+
+--R     (4a b x  + 4a x )\|b
+--R                                                    Type: Expression(Integer)
+--E  955
+
+--S  956 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                   2   2        2         3 2  3
+--R               (15a b d  - 40a b c d + 24b c )x
+--R             + 
+--R                   3 2      2             2 2  2
+--R               (15a d  - 40a b c d + 24a b c )x
+--R        *
+--R                       +-+ +-------+
+--R            +-+    - 2\|c \|d x + c  + d x + 2c
+--R           \|c log(----------------------------)
+--R                                 x
+--R       + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R           ((8a d  - 34a b c d + 24a b c )x  + (- 18a c d + 12a b c )x - 4a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       8a b x  + 8a x
+--R     ,
+--R
+--R                   2   2        2         3 2  3
+--R               (15a b d  - 40a b c d + 24b c )x
+--R             + 
+--R                   3 2      2             2 2  2
+--R               (15a d  - 40a b c d + 24a b c )x
+--R        *
+--R                       +-+ +-------+
+--R            +-+    - 2\|c \|d x + c  + d x + 2c
+--R           \|c log(----------------------------)
+--R                                 x
+--R       + 
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((8a b d  - 56a b c d + 48b c )x  + (8a d  - 56a b c d + 48a b c )x )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R           ((8a d  - 34a b c d + 24a b c )x  + (- 18a c d + 12a b c )x - 4a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       8a b x  + 8a x
+--R     ,
+--R
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((2a b d  - 14a b c d + 12b c )x  + (2a d  - 14a b c d + 12a b c )x )
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                   2   2        2         3 2  3
+--R             (- 15a b d  + 40a b c d - 24b c )x
+--R           + 
+--R                   3 2      2             2 2  2
+--R             (- 15a d  + 40a b c d - 24a b c )x
+--R        *
+--R                       +-------+
+--R            +---+     \|d x + c
+--R           \|- c atan(----------)
+--R                         +---+
+--R                        \|- c
+--R       + 
+--R               3 2      2             2 2  2        3        2   2       3 2
+--R           ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       4a b x  + 4a x
+--R     ,
+--R
+--R                   2   2        2         3 2  3
+--R             (- 15a b d  + 40a b c d - 24b c )x
+--R           + 
+--R                   3 2      2             2 2  2
+--R             (- 15a d  + 40a b c d - 24a b c )x
+--R        *
+--R                       +-------+
+--R            +---+     \|d x + c
+--R           \|- c atan(----------)
+--R                         +---+
+--R                        \|- c
+--R       + 
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2      2             2 2  2        3        2   2       3 2
+--R           ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       4a b x  + 4a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  956
+
+--S  957 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                      +-----------+
+--R            2 2                  2 2  |- a d + b c  +-+
+--R         (4a d  - 28a b c d + 24b c ) |----------- \|b
+--R                                     \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                    +-+ +-------+
+--R           2 2                  2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 40a b c d + 24b c )\|b \|c log(----------------------------)
+--R                                                              x
+--R     + 
+--R                                                          +-+ +-------+
+--R            2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 8a d  + 56a b c d - 48b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 80a b c d + 48b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R  /
+--R       4 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  957
+
+--S  958 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  958
+
+--S  959 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                    +-+ +-------+
+--R           2 2                  2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 40a b c d + 24b c )\|b \|c log(----------------------------)
+--R                                                              x
+--R     + 
+--R                                                          +-+ +-------+
+--R            2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 8a d  + 56a b c d - 48b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 80a b c d + 48b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R     + 
+--R                                        +---------+       +-------+
+--R          2 2                  2 2  +-+ |a d - b c       \|d x + c
+--R       (8a d  - 56a b c d + 48b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R       4 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  959
+
+--S  960 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  960
+
+)clear all
+
+--S  961 of 1092
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 6         5    2 4
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  961
+
+--S  962 of 1092
+r0:=1/12*(8*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^2*(a+b*x))-1/3*(c+d*x)^(5/2)/_
+     (a*x^3*(a+b*x))-(8*b*c-3*a*d)*(b*c-a*d)^(3/2)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/a^5+1/8*(64*b^3*c^3-_
+     120*a*b^2*c^2*d+60*a^2*b*c*d^2-5*a^3*d^3)*atanh(sqrt(c+d*x)/_
+     sqrt(c))/(a^5*sqrt(c))-1/8*b*(32*b^2*c^2-52*a*b*c*d+19*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*(a+b*x))-1/8*(16*b^2*c^2-22*a*b*c*d+5*a^2*d^2)*_
+     sqrt(c+d*x)/(a^3*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 2   2         2          3 2  4
+--R           (- 72a b d  + 264a b c d - 192b c )x
+--R         + 
+--R                 3 2       2              2 2  3
+--R           (- 72a d  + 264a b c d - 192a b c )x
+--R      *
+--R                                      +-+ +-------+
+--R          +-----------+ +-+ +-+      \|b \|d x + c
+--R         \|- a d + b c \|b \|c atanh(--------------)
+--R                                      +-----------+
+--R                                     \|- a d + b c
+--R     + 
+--R                 3   3       2 2   2         3 2        4 3  4
+--R           (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R         + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R           (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R                 3   2       2 2           3 2  3
+--R           (- 57a b d  + 156a b c d - 96a b c )x
+--R         + 
+--R               4 2      3           2 2 2  2         4         3   2       4 2
+--R         (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R  /
+--R         5   4      6 3  +-+
+--R     (24a b x  + 24a x )\|c
+--R                                                    Type: Expression(Integer)
+--E  962
+
+--S  963 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 3   3       2 2   2         3 2        4 3  4
+--R             (15a b d  - 180a b c d  + 360a b c d - 192b c )x
+--R           + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R             (15a d  - 180a b c d  + 360a b c d - 192a b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                 2   2         2          3 2  4
+--R             (72a b d  - 264a b c d + 192b c )x
+--R           + 
+--R                 3 2       2              2 2  3
+--R             (72a d  - 264a b c d + 192a b c )x
+--R        *
+--R            +-------------+
+--R            |           2   +-+
+--R           \|- a b d + b c \|c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                    3   2       2 2            3 2  3
+--R             (- 114a b d  + 312a b c d - 192a b c )x
+--R           + 
+--R                   4 2       3           2 2 2  2         4         3   2
+--R             (- 66a d  + 164a b c d - 96a b c )x  + (- 52a c d + 32a b c )x
+--R           + 
+--R                  4 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R           5   4      6 3  +-+
+--R       (48a b x  + 48a x )\|c
+--R     ,
+--R
+--R                 3   3       2 2   2         3 2        4 3  4
+--R             (15a b d  - 180a b c d  + 360a b c d - 192b c )x
+--R           + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R             (15a d  - 180a b c d  + 360a b c d - 192a b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                    2   2         2          3 2  4
+--R             (- 144a b d  + 528a b c d - 384b c )x
+--R           + 
+--R                    3 2       2              2 2  3
+--R             (- 144a d  + 528a b c d - 384a b c )x
+--R        *
+--R                +-----------+         +-------+
+--R            +-+ |         2         b\|d x + c
+--R           \|c \|a b d - b c atan(--------------)
+--R                                   +-----------+
+--R                                   |         2
+--R                                  \|a b d - b c
+--R       + 
+--R                    3   2       2 2            3 2  3
+--R             (- 114a b d  + 312a b c d - 192a b c )x
+--R           + 
+--R                   4 2       3           2 2 2  2         4         3   2
+--R             (- 66a d  + 164a b c d - 96a b c )x  + (- 52a c d + 32a b c )x
+--R           + 
+--R                  4 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R           5   4      6 3  +-+
+--R       (48a b x  + 48a x )\|c
+--R     ,
+--R
+--R                 2   2         2         3 2  4
+--R             (36a b d  - 132a b c d + 96b c )x
+--R           + 
+--R                 3 2       2             2 2  3
+--R             (36a d  - 132a b c d + 96a b c )x
+--R        *
+--R            +-------------+
+--R            |           2   +---+
+--R           \|- a b d + b c \|- c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                   3   3       2 2   2         3 2        4 3  4
+--R             (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R           + 
+--R                   4 3       3     2       2 2 2          3 3  3
+--R             (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                   3   2       2 2           3 2  3
+--R             (- 57a b d  + 156a b c d - 96a b c )x
+--R           + 
+--R                 4 2      3           2 2 2  2         4         3   2       4 2
+--R           (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R           5   4      6 3  +---+
+--R       (24a b x  + 24a x )\|- c
+--R     ,
+--R
+--R                   3   3       2 2   2         3 2        4 3  4
+--R             (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R           + 
+--R                   4 3       3     2       2 2 2          3 3  3
+--R             (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                   2   2         2          3 2  4
+--R             (- 72a b d  + 264a b c d - 192b c )x
+--R           + 
+--R                   3 2       2              2 2  3
+--R             (- 72a d  + 264a b c d - 192a b c )x
+--R        *
+--R                  +-----------+         +-------+
+--R            +---+ |         2         b\|d x + c
+--R           \|- c \|a b d - b c atan(--------------)
+--R                                     +-----------+
+--R                                     |         2
+--R                                    \|a b d - b c
+--R       + 
+--R                   3   2       2 2           3 2  3
+--R             (- 57a b d  + 156a b c d - 96a b c )x
+--R           + 
+--R                 4 2      3           2 2 2  2         4         3   2       4 2
+--R           (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R           5   4      6 3  +---+
+--R       (24a b x  + 24a x )\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  963
+
+--S  964 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3      2     2         2 2       3 3
+--R         (5a d  - 60a b c d  + 120a b c d - 64b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                       +-------------+
+--R             2 2                  2 2  |           2   +-+
+--R         (24a d  - 88a b c d + 64b c )\|- a b d + b c \|c
+--R      *
+--R                 +-------------+
+--R                 |           2   +-------+
+--R             - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R         log(--------------------------------------------------)
+--R                                   b x + a
+--R     + 
+--R             2 2                    2 2  +-----------+ +-+ +-+
+--R         (48a d  - 176a b c d + 128b c )\|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                           +-------+
+--R           3 3       2     2         2 2        3 3       \|d x + c
+--R       (10a d  - 120a b c d  + 240a b c d - 128b c )atanh(----------)
+--R                                                              +-+
+--R                                                             \|c
+--R  /
+--R        5 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  964
+
+--S  965 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  965
+
+--S  966 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3      2     2         2 2       3 3
+--R         (5a d  - 60a b c d  + 120a b c d - 64b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R             2 2                    2 2  +-----------+ +-+ +-+
+--R         (48a d  - 176a b c d + 128b c )\|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                           +-------+
+--R           3 3       2     2         2 2        3 3       \|d x + c
+--R       (10a d  - 120a b c d  + 240a b c d - 128b c )atanh(----------)
+--R                                                              +-+
+--R                                                             \|c
+--R     + 
+--R                                             +-----------+         +-------+
+--R             2 2                    2 2  +-+ |         2         b\|d x + c
+--R       (- 48a d  + 176a b c d - 128b c )\|c \|a b d - b c atan(--------------)
+--R                                                                +-----------+
+--R                                                                |         2
+--R                                                               \|a b d - b c
+--R  /
+--R        5 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  966
+
+--S  967 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  967
+
+)clear all
+
+--S  968 of 1092
+t0:=x^3*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         3 +-------+ +-------+
+--R   (1)  x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  968
+
+--S  969 of 1092
+r0:=1/128*(b*c-a*d)^2*(b*c+a*d)*(7*b^2*c^2+2*a*b*c*d+7*a^2*d^2)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(9/2))-_
+     1/960*(105*b^3*c^3-5*a*b^2*c^2*d-17*a^2*b*c*d^2-35*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d^4)-1/240*(4*a*c-35*b*c^2/d+_
+     7*a^2*d/b)*x*(c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)-1/40*(7*b*c-a*d)*x^2*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)+1/5*x^3*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d+1/128*(7*b^4*c^4+2*a*b^3*c^3*d-2*a^3*b*c*d^3-_
+     7*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R              5 5      4     4      3 2 2 3      2 3 3 2        4 4        5 5
+--R         (105a d  - 75a b c d  - 30a b c d  - 30a b c d  - 75a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4      4   3  3
+--R           384b d x  + (48a b d  + 48b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2
+--R           (- 56a b d  + 16a b c d  - 56b c d )x
+--R         + 
+--R               3   4      2 2   3        3 2 2      4 3          4 4
+--R           (70a b d  - 22a b c d  - 22a b c d  + 70b c d)x - 105a d
+--R         + 
+--R              3     3      2 2 2 2        3 3        4 4
+--R           40a b c d  + 34a b c d  + 40a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  969
+
+--S  970 of 1092
+--a0:=integrate(t0,x)
+--E  970
+
+--S  971 of 1092
+--m0:=a0-r0
+--E  971
+
+--S  972 of 1092
+--d0:=D(m0,x)
+--E  972
+
+)clear all
+
+--S  973 of 1092
+t0:=x^2*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         2 +-------+ +-------+
+--R   (1)  x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  973
+
+--S  974 of 1092
+r0:=-5/24*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^2*d^2)+1/4*x*_
+     (a+b*x)^(3/2)*(c+d*x)^(3/2)/(b*d)+1/64*(b*c-a*d)^2*_
+     (4*a*b*c*d-5*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/32*(4*a*b*c*d-5*(b*c+a*d)^2)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)-1/64*(b*c-a*d)*_
+     (4*a*b*c*d-5*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3     2 2 2 2        3 3       4 4
+--R         (- 15a d  + 12a b c d  + 6a b c d  + 12a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3     3   2  2
+--R           48b d x  + (8a b d  + 8b c d )x
+--R         + 
+--R                 2   3       2   2      3 2         3 3     2     2       2 2
+--R           (- 10a b d  + 4a b c d  - 10b c d)x + 15a d  - 7a b c d  - 7a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  974
+
+--S  975 of 1092
+--a0:=integrate(t0,x)
+--E  975
+
+--S  976 of 1092
+--m0:=a0-r0
+--E  976
+
+--S  977 of 1092
+--d0:=D(m0,x)
+--E  977
+
+)clear all
+
+--S  978 of 1092
+t0:=x*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R          +-------+ +-------+
+--R   (1)  x\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  978
+
+--S  979 of 1092
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b*d)+1/8*(b*c-a*d)^2*(b*c+a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))-_
+     1/4*(b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d)+1/8*_
+     (a^2/b^2-c^2/d^2)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (3a d  - 3a b c d  - 3a b c d + 3b c )atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2 2          2     2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 2b c d)x - 3a d  + 2a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  979
+
+--S  980 of 1092
+--a0:=integrate(t0,x)
+--E  980
+
+--S  981 of 1092
+--m0:=a0-r0
+--E  981
+
+--S  982 of 1092
+--d0:=D(m0,x)
+--E  982
+
+)clear all
+
+--S  983 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         +-------+ +-------+
+--R   (1)  \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  983
+
+--S  984 of 1092
+r0:=-1/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(3/2))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/b+1/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R           2 2               2 2       \|d \|b x + a
+--R       (- a d  + 2a b c d - b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                            +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  984
+
+--S  985 of 1092
+--a0:=integrate(t0,x)
+--E  985
+
+--S  986 of 1092
+--m0:=a0-r0
+--E  986
+
+--S  987 of 1092
+--d0:=D(m0,x)
+--E  987
+
+)clear all
+
+--S  988 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  x
+--R                                                    Type: Expression(Integer)
+--E  988
+
+--S  989 of 1092
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+_
+     (b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (sqrt(b)*sqrt(d))+sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                         +-+ +-------+                            +-+ +-------+
+--R                        \|d \|b x + a       +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (a d + b c)atanh(--------------) - 2\|a \|b \|c \|d atanh(--------------)
+--R                         +-+ +-------+                            +-+ +-------+
+--R                        \|b \|d x + c                            \|a \|d x + c
+--R     + 
+--R        +-+ +-+ +-------+ +-------+
+--R       \|b \|d \|b x + a \|d x + c
+--R  /
+--R      +-+ +-+
+--R     \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  989
+
+--S  990 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  990
+
+--S  991 of 1092
+--m0:=a0-r0
+--E  991
+
+--S  992 of 1092
+--d0:=D(m0,x)
+--E  992
+
+)clear all
+
+--S  993 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  2
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  993
+
+--S  994 of 1092
+r0:=-(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (sqrt(a)*sqrt(c))+2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)*sqrt(d)-sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R   (2)
+--R                                +-+ +-------+
+--R          +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       2x\|a \|b \|c \|d atanh(--------------)
+--R                                +-+ +-------+
+--R                               \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R                            \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R       (- a d - b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  994
+
+--S  995 of 1092
+--a0:=integrate(t0,x)
+--E  995
+
+--S  996 of 1092
+--m0:=a0-r0
+--E  996
+
+--S  997 of 1092
+--d0:=D(m0,x)
+--E  997
+
+)clear all
+
+--S  998 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  3
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  998
+
+--S  999 of 1092
+r0:=1/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))-1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x^2)-_
+     1/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R         2 2               2 2  2      \|c \|b x + a
+--R       (a d  - 2a b c d + b c )x atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((- a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R           2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  999
+
+--S  1000 of 1092
+--a0:=integrate(t0,x)
+--E  1000
+
+--S  1001 of 1092
+--m0:=a0-r0
+--E  1001
+
+--S  1002 of 1092
+--d0:=D(m0,x)
+--E  1002
+
+)clear all
+
+--S  1003 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  4
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1003
+
+--S  1004 of 1092
+r0:=-1/8*(b*c-a*d)^2*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-1/3*sqrt(a+b*x)*sqrt(c+d*x)/x^3-_
+     1/12*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x^2)+_
+     1/24*(3*b^2*c^2-2*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (- 3a d  + 3a b c d  + 3a b c d - 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R             2 2                2 2  2        2            2       2 2  +-+ +-+
+--R         ((3a d  - 2a b c d + 3b c )x  + (- 2a c d - 2a b c )x - 8a c )\|a \|c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1004
+
+--S  1005 of 1092
+--a0:=integrate(t0,x)
+--E  1005
+
+--S  1006 of 1092
+--m0:=a0-r0
+--E  1006
+
+--S  1007 of 1092
+--d0:=D(m0,x)
+--E  1007
+
+)clear all
+
+--S  1008 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  5
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1008
+
+--S  1009 of 1092
+r0:=1/64*(b*c-a*d)^2*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     1/4*sqrt(a+b*x)*sqrt(c+d*x)/x^4-1/24*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^3)+1/96*(5*b^2*c^2-2*a*b*c*d+5*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^2)-1/192*(b*c+a*d)*_
+     (15*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3     2 2 2 2        3 3       4 4  4
+--R         (15a d  - 12a b c d  - 6a b c d  - 12a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3     2     2       2 2       3 3  3
+--R           (- 15a d  + 7a b c d  + 7a b c d - 15b c )x
+--R         + 
+--R               3   2     2   2         2 3  2        3 2      2   3        3 3
+--R           (10a c d  - 4a b c d + 10a b c )x  + (- 8a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1009
+
+--S  1010 of 1092
+--a0:=integrate(t0,x)
+--E  1010
+
+--S  1011 of 1092
+--m0:=a0-r0
+--E  1011
+
+--S  1012 of 1092
+--d0:=D(m0,x)
+--E  1012
+
+)clear all
+
+--S  1013 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  6
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1013
+
+--S  1014 of 1092
+r0:=-1/128*(b*c-a*d)^2*(b*c+a*d)*(7*b^2*c^2+2*a*b*c*d+7*a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(9/2))-_
+     1/5*sqrt(a+b*x)*sqrt(c+d*x)/x^5-1/40*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^4)+1/240*(7*b^2*c^2-2*a*b*c*d+7*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^3)-1/960*(b*c+a*d)*_
+     (35*b^2*c^2-46*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^3*c^3*x^2)+1/1920*(105*b^4*c^4-40*a*b^3*c^3*d-_
+     34*a^2*b^2*c^2*d^2-40*a^3*b*c*d^3+105*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^4*x)
+--R 
+--R
+--R   (2)
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4
+--R             - 105a d  + 75a b c d  + 30a b c d  + 30a b c d  + 75a b c d
+--R           + 
+--R                   5 5
+--R             - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4      3     3      2 2 2 2        3 3        4 4  4
+--R           (105a d  - 40a b c d  - 34a b c d  - 40a b c d + 105b c )x
+--R         + 
+--R                 4   3      3   2 2      2 2 3         3 4  3
+--R           (- 70a c d  + 22a b c d  + 22a b c d - 70a b c )x
+--R         + 
+--R             4 2 2      3   3       2 2 4  2         4 3       3   4         4 4
+--R         (56a c d  - 16a b c d + 56a b c )x  + (- 48a c d - 48a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1014
+
+--S  1015 of 1092
+--a0:=integrate(t0,x)
+--E  1015
+
+--S  1016 of 1092
+--m0:=a0-r0
+--E  1016
+
+--S  1017 of 1092
+--d0:=D(m0,x)
+--E  1017
+
+)clear all
+
+--S  1018 of 1092
+t0:=x^2*(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R            3      2  +-------+ +-------+
+--R   (1)  (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1018
+
+--S  1019 of 1092
+r0:=1/48*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/_
+     (b^3*d^2)-1/40*(5*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^2*d^2)+_
+     1/5*x*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b*d)-1/128*(b*c-a*d)^3*_
+     (3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(7/2))+1/64*(b*c-a*d)*_
+     (3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^4*d^2)+1/128*(b*c-a*d)^2*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^3)
+--R 
+--R
+--R   (2)
+--R              5 5       4     4      3 2 2 3      2 3 3 2        4 4       5 5
+--R         (105a d  - 225a b c d  + 90a b c d  + 30a b c d  + 45a b c d - 45b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4       4   3  3
+--R           384b d x  + (48a b d  + 528b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2
+--R           (- 56a b d  + 96a b c d  + 24b c d )x
+--R         + 
+--R               3   4       2 2   3        3 2 2      4 3          4 4
+--R           (70a b d  - 122a b c d  + 18a b c d  - 30b c d)x - 105a d
+--R         + 
+--R               3     3      2 2 2 2        3 3       4 4
+--R           190a b c d  - 36a b c d  - 30a b c d + 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 3 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1019
+
+--S  1020 of 1092
+--a0:=integrate(t0,x)
+--E  1020
+
+--S  1021 of 1092
+--m0:=a0-r0
+--E  1021
+
+--S  1022 of 1092
+--d0:=D(m0,x)
+--E  1022
+
+)clear all
+
+--S  1023 of 1092
+t0:=x*(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R            2        +-------+ +-------+
+--R   (1)  (d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1023
+
+--S  1024 of 1092
+r0:=-1/24*(3*b*c+5*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^2*d)+1/4*_
+     (a+b*x)^(3/2)*(c+d*x)^(5/2)/(b*d)+1/64*(b*c-a*d)^3*(3*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))-_
+     1/32*(b*c-a*d)*(3*b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d)-_
+     1/64*(b*c-a*d)^2*(3*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3      4 4
+--R         (- 15a d  + 36a b c d  - 18a b c d  - 12a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3      3   2  2
+--R           48b d x  + (8a b d  + 72b c d )x
+--R         + 
+--R                 2   3        2   2     3 2         3 3      2     2       2 2
+--R           (- 10a b d  + 20a b c d  + 6b c d)x + 15a d  - 31a b c d  + 9a b c d
+--R         + 
+--R               3 3
+--R           - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1024
+
+--S  1025 of 1092
+--a0:=integrate(t0,x)
+--E  1025
+
+--S  1026 of 1092
+--m0:=a0-r0
+--E  1026
+
+--S  1027 of 1092
+--d0:=D(m0,x)
+--E  1027
+
+)clear all
+
+--S  1028 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1028
+
+--S  1029 of 1092
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b-1/8*(b*c-a*d)^3*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/4*(b*c-a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/b^2+1/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (3a d  - 9a b c d  + 9a b c d - 3b c )atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 14b c d)x - 3a d  + 8a b c d + 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2  +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1029
+
+--S  1030 of 1092
+--a0:=integrate(t0,x)
+--E  1030
+
+--S  1031 of 1092
+--m0:=a0-r0
+--E  1031
+
+--S  1032 of 1092
+--d0:=D(m0,x)
+--E  1032
+
+)clear all
+
+--S  1033 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1033
+
+--S  1034 of 1092
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)+1/4*(3*b^2*c^2+6*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*sqrt(d))+_
+     1/2*(c+d*x)^(3/2)*sqrt(a+b*x)+1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R           2 2                2 2       \|d \|b x + a
+--R       (- a d  + 6a b c d + 3b c )atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                                    +-+ +-------+
+--R              +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 8b c\|a \|b \|c \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|a \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d + 5b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1034
+
+--S  1035 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1035
+
+--S  1036 of 1092
+--m0:=a0-r0
+--E  1036
+
+--S  1037 of 1092
+--d0:=D(m0,x)
+--E  1037
+
+)clear all
+
+--S  1038 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^2
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1038
+
+--S  1039 of 1092
+r0:=-(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/sqrt(a)+(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)-(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/x+2*d*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                   +-+ +-------+
+--R                     +-+ +-+      \|d \|b x + a
+--R       (a d + 3b c)x\|a \|d atanh(--------------)
+--R                                   +-+ +-------+
+--R                                  \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- 3a d - b c)x\|b \|c atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R                 +-+ +-+ +-------+ +-------+
+--R       (d x - c)\|a \|b \|b x + a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1039
+
+--S  1040 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1040
+
+--S  1041 of 1092
+--m0:=a0-r0
+--E  1041
+
+--S  1042 of 1092
+--d0:=D(m0,x)
+--E  1042
+
+)clear all
+
+--S  1043 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^3
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1043
+
+--S  1044 of 1092
+r0:=2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)+_
+     1/4*(b^2*c^2-6*a*b*c*d-3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*sqrt(c))-_
+     1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/x^2-1/4*(b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*x)
+--R 
+--R
+--R   (2)
+--R                                     +-+ +-------+
+--R             2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       8a d x \|a \|b \|c \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|b \|d x + c
+--R     + 
+--R                                           +-+ +-------+
+--R            2 2               2 2  2      \|c \|b x + a
+--R       (- 3a d  - 6a b c d + b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- 5a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1044
+
+--S  1045 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1045
+
+--S  1046 of 1092
+--m0:=a0-r0
+--E  1046
+
+--S  1047 of 1092
+--d0:=D(m0,x)
+--E  1047
+
+)clear all
+
+--S  1048 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^4
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       4
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1048
+
+--S  1049 of 1092
+r0:=-1/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*c^(3/2))-1/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c*x^2)-_
+     1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^3)+1/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R          3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (3a d  - 9a b c d  + 9a b c d - 3b c )x atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R               2 2                2 2  2         2            2       2 2  +-+
+--R         ((- 3a d  - 8a b c d + 3b c )x  + (- 14a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2   3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1049
+
+--S  1050 of 1092
+--a0:=integrate(t0,x)
+--E  1050
+
+--S  1051 of 1092
+--m0:=a0-r0
+--E  1051
+
+--S  1052 of 1092
+--d0:=D(m0,x)
+--E  1052
+
+)clear all
+
+--S  1053 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^5
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       5
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1053
+
+--S  1054 of 1092
+r0:=1/64*(b*c-a*d)^3*(5*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(7/2)*c^(5/2))-1/4*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/x^4-1/24*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^3)+_
+     1/96*(5*b^2*c/a-10*b*d-3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^2)-_
+     1/192*(15*b^3*c^3-31*a*b^2*c^2*d+9*a^2*b*c*d^2-9*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (- 9a d  + 12a b c d  + 18a b c d  - 36a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3     2     2        2 2       3 3  3
+--R           (9a d  - 9a b c d  + 31a b c d - 15b c )x
+--R         + 
+--R              3   2      2   2         2 3  2         3 2      2   3        3 3
+--R         (- 6a c d  - 20a b c d + 10a b c )x  + (- 72a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1054
+
+--S  1055 of 1092
+--a0:=integrate(t0,x)
+--E  1055
+
+--S  1056 of 1092
+--m0:=a0-r0
+--E  1056
+
+--S  1057 of 1092
+--d0:=D(m0,x)
+--E  1057
+
+)clear all
+
+--S  1058 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^6
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       6
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1058
+
+--S  1059 of 1092
+r0:=-1/128*(b*c-a*d)^3*(7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(7/2))-_
+     1/5*(c+d*x)^(3/2)*sqrt(a+b*x)/x^5-1/40*(b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*x^4)+1/240*(7*b^2*c/a-_
+     12*b*d-3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^3)-_
+     1/960*(35*b^3*c^3-61*a*b^2*c^2*d+9*a^2*b*c*d^2-15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x^2)+1/1920*(105*b^4*c^4-_
+     190*a*b^3*c^3*d+36*a^2*b^2*c^2*d^2+30*a^3*b*c*d^3-45*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4      3 2 2 3      2 3 3 2         4 4        5 5
+--R         (45a d  - 45a b c d  - 30a b c d  - 90a b c d  + 225a b c d - 105b c )
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                 4 4      3     3      2 2 2 2         3 3        4 4  4
+--R           (- 45a d  + 30a b c d  + 36a b c d  - 190a b c d + 105b c )x
+--R         + 
+--R               4   3      3   2 2       2 2 3         3 4  3
+--R           (30a c d  - 18a b c d  + 122a b c d - 70a b c )x
+--R         + 
+--R                 4 2 2      3   3       2 2 4  2          4 3       3   4
+--R           (- 24a c d  - 96a b c d + 56a b c )x  + (- 528a c d - 48a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 3 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1059
+
+--S  1060 of 1092
+--a0:=integrate(t0,x)
+--E  1060
+
+--S  1061 of 1092
+--m0:=a0-r0
+--E  1061
+
+--S  1062 of 1092
+--d0:=D(m0,x)
+--E  1062
+
+)clear all
+
+--S  1063 of 1092
+t0:=x^2*(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+ +-------+
+--R   (1)  (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1063
+
+--S  1064 of 1092
+r0:=1/192*(b*c-a*d)*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*(a+b*x)^(3/2)*_
+     (c+d*x)^(3/2)/(b^4*d^2)+1/160*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*_
+     (a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^3*d^2)-1/60*(5*b*c+9*a*d)*_
+     (a+b*x)^(3/2)*(c+d*x)^(7/2)/(b^2*d^2)+1/6*x*(a+b*x)^(3/2)*_
+     (c+d*x)^(7/2)/(b*d)-1/512*(b*c-a*d)^4*(5*b^2*c^2+14*a*b*c*d+_
+     21*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(11/2)*d^(7/2))+1/256*(b*c-a*d)^2*(5*b^2*c^2+14*a*b*c*d+_
+     21*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^5*d^2)+_
+     1/512*(b*c-a*d)^3*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^3)
+--R 
+--R
+--R   (2)
+--R                 6 6        5     5        4 2 2 4       3 3 3 3      2 4 4 2
+--R           - 315a d  + 1050a b c d  - 1125a b c d  + 300a b c d  + 75a b c d
+--R         + 
+--R                5 5       6 6
+--R           90a b c d - 75b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5          4 5        5   4  4
+--R           1280b d x  + (128a b d  + 3200b c d )x
+--R         + 
+--R                  2 3 5         4   4        5 2 3  3
+--R           (- 144a b d  + 416a b c d  + 2160b c d )x
+--R         + 
+--R                3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (168a b d  - 488a b c d  + 408a b c d  + 40b c d )x
+--R         + 
+--R                  4   5       3 2   4       2 3 2 3        4 3 2      5 4
+--R           (- 210a b d  + 616a b c d  - 524a b c d  + 40a b c d  - 50b c d)x
+--R         + 
+--R             5 5       4     4       3 2 2 3      2 3 3 2        4 4       5 5
+--R         315a d  - 945a b c d  + 838a b c d  - 90a b c d  - 65a b c d + 75b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          5 3 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1064
+
+--S  1065 of 1092
+--a0:=integrate(t0,x)
+--E  1065
+
+--S  1066 of 1092
+--m0:=a0-r0
+--E  1066
+
+--S  1067 of 1092
+--d0:=D(m0,x)
+--E  1067
+
+)clear all
+
+--S  1068 of 1092
+t0:=x*(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+ +-------+
+--R   (1)  (d x  + 2c d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1068
+
+--S  1069 of 1092
+r0:=-1/48*(b*c-a*d)*(3*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/40*(3*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/5*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(b*d)+1/128*(b*c-a*d)^4*_
+     (3*b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(5/2))-1/64*(b*c-a*d)^2*(3*b*c+7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d)-1/128*(b*c-a*d)^3*(3*b*c+7*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^2)
+--R 
+--R
+--R   (2)
+--R                 5 5       4     4       3 2 2 3       2 3 3 2        4 4
+--R             105a d  - 375a b c d  + 450a b c d  - 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4        4   3  3
+--R           384b d x  + (48a b d  + 1008b c d )x
+--R         + 
+--R                 2 2 4         3   3       4 2 2  2
+--R           (- 56a b d  + 176a b c d  + 744b c d )x
+--R         + 
+--R               3   4       2 2   3         3 2 2      4 3          4 4
+--R           (70a b d  - 222a b c d  + 218a b c d  + 30b c d)x - 105a d
+--R         + 
+--R               3     3       2 2 2 2        3 3       4 4
+--R           340a b c d  - 346a b c d  + 60a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1069
+
+--S  1070 of 1092
+--a0:=integrate(t0,x)
+--E  1070
+
+--S  1071 of 1092
+--m0:=a0-r0
+--E  1071
+
+--S  1072 of 1092
+--d0:=D(m0,x)
+--E  1072
+
+)clear all
+
+--S  1073 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1073
+
+--S  1074 of 1092
+r0:=5/24*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b^2+1/4*(a+b*x)^(3/2)*_
+     (c+d*x)^(5/2)/b-5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(3/2))+5/32*(b*c-a*d)^2*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/b^3+5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3       3   2  2
+--R           48b d x  + (8a b d  + 136b c d )x
+--R         + 
+--R                 2   3        2   2       3 2         3 3      2     2
+--R           (- 10a b d  + 36a b c d  + 118b c d)x + 15a d  - 55a b c d
+--R         + 
+--R                2 2       3 3
+--R           73a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1074
+
+--S  1075 of 1092
+--a0:=integrate(t0,x)
+--E  1075
+
+--S  1076 of 1092
+--m0:=a0-r0
+--E  1076
+
+--S  1077 of 1092
+--d0:=D(m0,x)
+--E  1077
+
+)clear all
+
+--S  1078 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  1078
+
+--S  1079 of 1092
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)+_
+     1/8*(5*b^3*c^3+15*a*b^2*c^2*d-5*a^2*b*c*d^2+a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*sqrt(d))+_
+     1/12*(5*b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b+1/3*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)+1/8*(5*b*c-a*d)*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R          3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (3a d  - 15a b c d  + 45a b c d + 15b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R            2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48b c \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                  2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 26b c d)x - 3a d  + 14a b c d + 33b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1079
+
+--S  1080 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1080
+
+--S  1081 of 1092
+--m0:=a0-r0
+--E  1081
+
+--S  1082 of 1092
+--d0:=D(m0,x)
+--E  1082
+
+)clear all
+
+--S  1083 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^2
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            2
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1083
+
+--S  1084 of 1092
+r0:=-c^(3/2)*(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     sqrt(a)+1/4*(15*b^2*c^2+10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/b^(3/2)+3/2*d*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)-(c+d*x)^(5/2)*sqrt(a+b*x)/x+_
+     1/4*d*(11*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                  2 2   +-+ +-+      \|d \|b x + a
+--R       (- a d  + 10a b c d + 15b c )x\|a \|d atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R                        2 2   +-+ +-+      \|c \|b x + a
+--R       (- 20a b c d - 4b c )x\|b \|c atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R            2 2       2                  2  +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (a d  + 9b c d)x - 4b c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4b x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1084
+
+--S  1085 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1085
+
+--S  1086 of 1092
+--m0:=a0-r0
+--E  1086
+
+--S  1087 of 1092
+--d0:=D(m0,x)
+--E  1087
+
+)clear all
+ 
+--S  1088 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^3
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            3
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1088
+
+--S  1089 of 1092
+r0:=d^(3/2)*(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     sqrt(b)+1/4*(b^2*c^2-10*a*b*c*d-15*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/a^(3/2)-_
+     1/4*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x)-_
+     1/2*(c+d*x)^(5/2)*sqrt(a+b*x)/x^2+1/4*d*(b*c+11*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/a
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R          2 2              2 +-+ +-+      \|d \|b x + a
+--R       (4a d  + 20a b c d)x \|a \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                     +-+ +-------+
+--R             2 2                2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  - 10a b c d + b c )x \|b \|c atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|a \|d x + c
+--R     + 
+--R            2 2                  2         2  +-+ +-+ +-------+ +-------+
+--R       (4a d x  + (- 9a c d - b c )x - 2a c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4a x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1089
+
+--S  1090 of 1092  (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1090
+
+--S  1091 of 1092
+--m0:=a0-r0
+--E  1091
+
+--S  1092 of 1092
+--d0:=D(m0,x)
+--E 1092
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/axiom-website/CATS/rich3a.input.pdf b/src/axiom-website/CATS/rich3a.input.pdf
new file mode 100644
index 0000000..4bb733e
Binary files /dev/null and b/src/axiom-website/CATS/rich3a.input.pdf differ
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bb82835..f3acf95 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4246,6 +4246,8 @@ src/axiom-website/CATS/index.html, rich2.input
 src/axiom-website/CATS/rich1a statistics update
 <a href="patches/20130723.01.tpd.patch">20130723.01.tpd.patch</a>
 src/axiom-website/CATS/rich1b statistics update
+<a href="patches/20130725.01.tpd.patch">20130725.01.tpd.patch</a>
+src/axiom-website/CATS/rich2, rich3a
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index c366df6..3b9d29b 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -432,7 +432,8 @@ CATSTESTS= \
 These long-running tests have been split into a different group
 so we can run them in parallel. 
 <<regression tests>>=
-NEWRICHTESTS = rich1a.regress rich1b.regress rich2.regress
+NEWRICHTESTS = rich1a.regress rich1b.regress rich2.regress \
+               rich3a.regress
 
 RICHTESTS= \
     richalgebraic000-099.regress \
@@ -786,7 +787,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/poly1.input    ${OUT}/psgenfcn.input   \
        ${OUT}/quat.input     ${OUT}/quat1.input      ${OUT}/ribbon.input   \
        ${OUT}/ribbons.input  ${OUT}/ribbonsnew.input \
-       ${OUT}/rich1a.input   ${OUT}/rich1b.input     ${OUT}/rich2.input \
+       ${OUT}/rich1a.input   ${OUT}/rich1b.input     \
+       ${OUT}/rich2.input    ${OUT}/rich3a.input     \
        ${OUT}/rk4draw.input  \
        ${OUT}/r20abugs.input \
        ${OUT}/r20bugs.input  ${OUT}/r21bugsbig.input \
@@ -871,7 +873,8 @@ FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
        ${OUT}/spadprof.input \
        ${OUT}/synonym2.input ${OUT}/torus.input      
 
-NEWRICHINPUT= ${OUT}/rich1a.input ${OUT}/rich1b.input ${OUT}/rich2.input
+NEWRICHINPUT= ${OUT}/rich1a.input ${OUT}/rich1b.input \
+              ${OUT}/rich2.input  ${OUT}/rich3a.input
 
 RICHINPUT= \
        ${OUT}/richalgebraic000-099.input \
@@ -1190,8 +1193,9 @@ DOCFILES= \
   ${DOC}/regset.input.dvi      ${DOC}/repa6.input.dvi      \
   ${DOC}/ribbon.input.dvi      ${DOC}/ribbons.input.dvi    \
   ${DOC}/ribbonsnew.input.dvi  \
-  ${DOC}/rich1a.input.dvi      ${DOC}/rich2.input.dvi \
-  ${DOC}/rich1b.input.dvi \
+  ${DOC}/rich1a.input.dvi      ${DOC}/rich1b.input.dvi     \
+  ${DOC}/rich2.input.dvi      \
+  ${DOC}/rich3a.input.dvi \
   ${DOC}/richalgebraic000-099.input.dvi \
   ${DOC}/richalgebraic100-199.input.dvi \
   ${DOC}/richalgebraic200-299.input.dvi \
diff --git a/src/input/rich2.input.pamphlet b/src/input/rich2.input.pamphlet
index cc76c42..0494093 100644
--- a/src/input/rich2.input.pamphlet
+++ b/src/input/rich2.input.pamphlet
@@ -6,7 +6,16 @@
 \author{Albert Rich and Timothy Daly}
 \maketitle
 \begin{abstract}
-\verb|2.1.2 (a+b x)^m (A+B x) (d+e x)^p|
+\verb|(a+b x)^m (A+B x) (d+e x)^p|
+There are:
+\begin{itemize}
+\item 249 integrals in this file.
+\item 249 supplied "optimal results".
+\item 230 matching answers.
+\item 24 cases where Axiom supplied 2 results.
+\item 34 cases that Axiom failed to integrate.
+\item 6 that contain expressions Axiom does not recognize.
+\end{itemize}
 \end{abstract}
 \eject
 \tableofcontents
@@ -101,15 +110,10 @@ m0:=a0-r0
 --E 4
 
 --S 5 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R           2                        m log(x)        m + 2                 m + 1
---R     (B b x  + (A b + B a)x + A a)%e         - B b x      + (- A b - B a)x
---R   + 
---R            m
---R     - A a x
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 5
 
@@ -817,15 +821,10 @@ m0:=a0-r0
 --E 64
 
 --S 65 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R         2 3       2           2                2        2   m log(x)
---R     (B b x  + (A b  + 2B a b)x  + (2A a b + B a )x + A a )%e
---R   + 
---R          2 m + 3         2           m + 2                  2  m + 1      2 m
---R     - B b x      + (- A b  - 2B a b)x      + (- 2A a b - B a )x      - A a x
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 65
 
@@ -1714,24 +1713,10 @@ m0:=a0-r0
 --E 134
 
 --S 135 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R            3 4       3         2  3          2       2   2        2       3
---R         B b x  + (A b  + 3B a b )x  + (3A a b  + 3B a b)x  + (3A a b + B a )x
---R       + 
---R            3
---R         A a
---R    *
---R         m log(x)
---R       %e
---R   + 
---R          3 m + 4         3         2  m + 3            2       2   m + 2
---R     - B b x      + (- A b  - 3B a b )x      + (- 3A a b  - 3B a b)x
---R   + 
---R            2       3  m + 1      3 m
---R     (- 3A a b - B a )x      - A a x
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 135
 
@@ -3126,27 +3111,10 @@ m0:=a0-r0
 --E 214
 
 --S 215 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R            5 6       5         4  5          4        2 3  4
---R         B b x  + (A b  + 5B a b )x  + (5A a b  + 10B a b )x
---R       + 
---R             2 3        3 2  3         3 2       4   2        4       5        5
---R       (10A a b  + 10B a b )x  + (10A a b  + 5B a b)x  + (5A a b + B a )x + A a
---R    *
---R         m log(x)
---R       %e
---R   + 
---R          5 m + 6         5         4  m + 5            4        2 3  m + 4
---R     - B b x      + (- A b  - 5B a b )x      + (- 5A a b  - 10B a b )x
---R   + 
---R             2 3        3 2  m + 3           3 2       4   m + 2
---R     (- 10A a b  - 10B a b )x      + (- 10A a b  - 5B a b)x
---R   + 
---R            4       5  m + 1      5 m
---R     (- 5A a b - B a )x      - A a x
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 215
 
@@ -6034,45 +6002,10 @@ m0:=a0-r0
 --E 309
 
 --S 310 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R            10 11       10          9  10           9        2 8  9
---R         B b  x   + (A b   + 10B a b )x   + (10A a b  + 45B a b )x
---R       + 
---R               2 8         3 7  8          3 7         4 6  7
---R         (45A a b  + 120B a b )x  + (120A a b  + 210B a b )x
---R       + 
---R                4 6         5 5  6          5 5         6 4  5
---R         (210A a b  + 252B a b )x  + (252A a b  + 210B a b )x
---R       + 
---R                6 4         7 3  4          7 3        8 2  3
---R         (210A a b  + 120B a b )x  + (120A a b  + 45B a b )x
---R       + 
---R               8 2        9   2         9       10        10
---R         (45A a b  + 10B a b)x  + (10A a b + B a  )x + A a
---R    *
---R         m log(x)
---R       %e
---R   + 
---R          10 m + 11         10          9  m + 10
---R     - B b  x       + (- A b   - 10B a b )x
---R   + 
---R               9        2 8  m + 9           2 8         3 7  m + 8
---R     (- 10A a b  - 45B a b )x      + (- 45A a b  - 120B a b )x
---R   + 
---R              3 7         4 6  m + 7            4 6         5 5  m + 6
---R     (- 120A a b  - 210B a b )x      + (- 210A a b  - 252B a b )x
---R   + 
---R              5 5         6 4  m + 5            6 4         7 3  m + 4
---R     (- 252A a b  - 210B a b )x      + (- 210A a b  - 120B a b )x
---R   + 
---R              7 3        8 2  m + 3           8 2        9   m + 2
---R     (- 120A a b  - 45B a b )x      + (- 45A a b  - 10B a b)x
---R   + 
---R             9       10  m + 1      10 m
---R     (- 10A a b - B a  )x      - A a  x
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 310
 
@@ -35374,62 +35307,10 @@ m0:=a0-r0
 --E 1282
 
 --S 1283 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R                 2   3             2    2   2        2   3             2
---R               (a d f  - 2a b d e f  + b d e f)n - 2a d f  + 4a b d e f
---R             + 
---R                   2   2
---R               - 2b d e f
---R          *
---R             x
---R         + 
---R             2   3             2    2   2        2   3             2     2   2
---R           (a c f  - 2a b c e f  + b c e f)n - 2a c f  + 4a b c e f  - 2b c e f
---R      *
---R           (n - 3)log(f x + e)
---R         %e
---R     + 
---R                          2                     2       2             - n
---R             ((a b d f - b d e)n + (- 2a b d + b c)f + b d e)(b x + a)
---R          *
---R                      n - 1
---R             (f x + e)
---R         + 
---R                          2                            2
---R                 ((- a d f  + b d e f)n + (2a d - b c)f  - b d e f)
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                           2               2         2   2            2
---R                   (a b c f  + (- a b d - b c)e f + b d e )n - a b c f
---R                 + 
---R                             2         2   2
---R                   (a b d + b c)e f - b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 2
---R             (f x + e)
---R         + 
---R                       3                 2        2            3
---R               (- a c f  + (a d + b c)e f  - b d e f)n + 2a c f
---R             + 
---R                                 2         2
---R               (- 2a d - 2b c)e f  + 2b d e f
---R          *
---R                      - n + 1         n - 3
---R             (b x + a)       (f x + e)
---R      *
---R           n log(b x + a)
---R         %e
---R  /
---R        2 3           2    2 2        2 3           2     2 2    n log(b x + a)
---R     ((a f  - 2a b e f  + b e f)n - 2a f  + 4a b e f  - 2b e f)%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1283
 
@@ -35722,141 +35603,10 @@ m0:=a0-r0
 --E 1287
 
 --S 1288 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R                 3   4     2       3       2   2 2    3   3   2
---R               (a d f  - 3a b d e f  + 3a b d e f  - b d e f)n
---R             + 
---R                    3   4      2       3        2   2 2     3   3        3   4
---R               (- 5a d f  + 15a b d e f  - 15a b d e f  + 5b d e f)n + 6a d f
---R             + 
---R                    2       3        2   2 2     3   3
---R               - 18a b d e f  + 18a b d e f  - 6b d e f
---R          *
---R             x
---R         + 
---R             3   4     2       3       2   2 2    3   3   2
---R           (a c f  - 3a b c e f  + 3a b c e f  - b c e f)n
---R         + 
---R                3   4      2       3        2   2 2     3   3        3   4
---R           (- 5a c f  + 15a b c e f  - 15a b c e f  + 5b c e f)n + 6a c f
---R         + 
---R                2       3        2   2 2     3   3
---R           - 18a b c e f  + 18a b c e f  - 6b c e f
---R      *
---R           (n - 4)log(f x + e)
---R         %e
---R     + 
---R                  2       3               2      3       3             - n
---R             ((a b d f - b d e)n + (- 3a b d + 2b c)f + b d e)(b x + a)
---R          *
---R                      n - 1
---R             (f x + e)
---R         + 
---R                            2    2                      2   2    2
---R                 ((- a b d f  + b d e f)n + (3a b d - 2b c)f  - b d e f)
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                     2     2       2         3   2  2
---R                   (a b d f  - 2a b d e f + b d e )n
---R                 + 
---R                         2          2   2        2      3          3   2
---R                   ((- 4a b d + 2a b c)f  + (6a b d - 2b c)e f - 2b d e )n
---R                 + 
---R                      2          2   2          2      3         3   2
---R                   (3a b d - 2a b c)f  + (- 4a b d + 2b c)e f + b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 2
---R             (f x + e)
---R         + 
---R                       2   3             2    2   2   2
---R                   (- a d f  + 2a b d e f  - b d e f)n
---R                 + 
---R                       2            3                 2     2     2   2
---R                   ((5a d - 2a b c)f  + (- 8a b d + 2b c)e f  + 3b d e f)n
---R                 + 
---R                        2            3               2     2     2   2
---R                   (- 6a d + 4a b c)f  + (8a b d - 4b c)e f  - 2b d e f
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                        2     3       2          2     2        2     3   2
---R                       a b c f  + (- a b d - 2a b c)e f  + (2a b d + b c)e f
---R                     + 
---R                          3   3
---R                       - b d e
---R                  *
---R                      2
---R                     n
---R                 + 
---R                           2     3      2          2     2
---R                       - 3a b c f  + (3a b d + 6a b c)e f
---R                     + 
---R                              2      3   2      3   3
---R                       (- 6a b d - 3b c)e f + 3b d e
---R                  *
---R                     n
---R                 + 
---R                     2     3        2          2     2        2      3   2
---R                   2a b c f  + (- 2a b d - 4a b c)e f  + (4a b d + 2b c)e f
---R                 + 
---R                       3   3
---R                   - 2b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 3
---R             (f x + e)
---R         + 
---R                        2   4     2              3                2   2 2
---R                     - a c f  + (a d + 2a b c)e f  + (- 2a b d - b c)e f
---R                   + 
---R                      2   3
---R                     b d e f
---R              *
---R                  2
---R                 n
---R             + 
---R                     2   4        2               3                2   2 2
---R                   5a c f  + (- 5a d - 10a b c)e f  + (10a b d + 5b c)e f
---R                 + 
---R                       2   3
---R                   - 5b d e f
---R              *
---R                 n
---R             + 
---R                   2   4      2               3                  2   2 2
---R               - 6a c f  + (6a d + 12a b c)e f  + (- 12a b d - 6b c)e f
---R             + 
---R                 2   3
---R               6b d e f
---R          *
---R                      - n + 1         n - 4
---R             (b x + a)       (f x + e)
---R      *
---R           n log(b x + a)
---R         %e
---R  /
---R           3 4     2     3       2 2 2    3 3   2
---R         (a f  - 3a b e f  + 3a b e f  - b e f)n
---R       + 
---R              3 4      2     3        2 2 2     3 3        3 4      2     3
---R         (- 5a f  + 15a b e f  - 15a b e f  + 5b e f)n + 6a f  - 18a b e f
---R       + 
---R              2 2 2     3 3
---R         18a b e f  - 6b e f
---R    *
---R         n log(b x + a)
---R       %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1288
 
@@ -36397,248 +36147,10 @@ m0:=a0-r0
 --E 1292
 
 --S 1293 of 1293
-d0:=D(m0,x)
+d0:=normalize m0
 --R 
 --R
---R   (5)
---R                 4   5     3       4     2 2   2 3       3   3 2    4   4   3
---R               (a d f  - 4a b d e f  + 6a b d e f  - 4a b d e f  + b d e f)n
---R             + 
---R                       4   5      3       4      2 2   2 3        3   3 2
---R                   - 9a d f  + 36a b d e f  - 54a b d e f  + 36a b d e f
---R                 + 
---R                       4   4
---R                   - 9b d e f
---R              *
---R                  2
---R                 n
---R             + 
---R                      4   5       3       4       2 2   2 3         3   3 2
---R                   26a d f  - 104a b d e f  + 156a b d e f  - 104a b d e f
---R                 + 
---R                      4   4
---R                   26b d e f
---R              *
---R                 n
---R             + 
---R                    4   5      3       4       2 2   2 3        3   3 2
---R               - 24a d f  + 96a b d e f  - 144a b d e f  + 96a b d e f
---R             + 
---R                    4   4
---R               - 24b d e f
---R          *
---R             x
---R         + 
---R             4   5     3       4     2 2   2 3       3   3 2    4   4   3
---R           (a c f  - 4a b c e f  + 6a b c e f  - 4a b c e f  + b c e f)n
---R         + 
---R                4   5      3       4      2 2   2 3        3   3 2     4   4   2
---R           (- 9a c f  + 36a b c e f  - 54a b c e f  + 36a b c e f  - 9b c e f)n
---R         + 
---R                  4   5       3       4       2 2   2 3         3   3 2
---R               26a c f  - 104a b c e f  + 156a b c e f  - 104a b c e f
---R             + 
---R                  4   4
---R               26b c e f
---R          *
---R             n
---R         + 
---R                4   5      3       4       2 2   2 3        3   3 2      4   4
---R           - 24a c f  + 96a b c e f  - 144a b c e f  + 96a b c e f  - 24b c e f
---R      *
---R           (n - 5)log(f x + e)
---R         %e
---R     + 
---R                   3        4               3      4        4             - n
---R             ((2a b d f - 2b d e)n + (- 8a b d + 6b c)f + 2b d e)(b x + a)
---R          *
---R                      n - 1
---R             (f x + e)
---R         + 
---R                         2   2     3               2      3   2     3
---R                 ((- 2a b d f  + 2b d e f)n + (8a b d - 6b c)f  - 2b d e f)
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                      2 2   2       3          4   2  2
---R                   (2a b d f  - 4a b d e f + 2b d e )n
---R                 + 
---R                          2 2        3   2         3      4          4   2
---R                   ((- 10a b d + 6a b c)f  + (14a b d - 6b c)e f - 4b d e )n
---R                 + 
---R                      2 2        3   2           3      4          4   2
---R                   (8a b d - 6a b c)f  + (- 10a b d + 6b c)e f + 2b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 2
---R             (f x + e)
---R         + 
---R                        2     3       2     2     3   2   2
---R                   (- 2a b d f  + 4a b d e f  - 2b d e f)n
---R                 + 
---R                        2          2   3           2      3     2     3   2
---R                   ((12a b d - 6a b c)f  + (- 18a b d + 6b c)e f  + 6b d e f)n
---R                 + 
---R                         2           2   3         2       3     2     3   2
---R                   (- 16a b d + 12a b c)f  + (20a b d - 12b c)e f  - 4b d e f
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                     3     3     2 2     2       3   2     4   3  3
---R                   (a b d f  - 3a b d e f  + 3a b d e f - b d e )n
---R                 + 
---R                            3        2 2   3       2 2        3     2
---R                       (- 7a b d + 3a b c)f  + (18a b d - 6a b c)e f
---R                     + 
---R                               3      4   2      4   3
---R                       (- 15a b d + 3b c)e f + 4b d e
---R                  *
---R                      2
---R                     n
---R                 + 
---R                           3        2 2   3         2 2         3     2
---R                       (14a b d - 9a b c)f  + (- 33a b d + 18a b c)e f
---R                     + 
---R                             3      4   2      4   3
---R                       (24a b d - 9b c)e f - 5b d e
---R                  *
---R                     n
---R                 + 
---R                        3        2 2   3       2 2         3     2
---R                   (- 8a b d + 6a b c)f  + (18a b d - 12a b c)e f
---R                 + 
---R                           3      4   2      4   3
---R                   (- 12a b d + 6b c)e f + 2b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 3
---R             (f x + e)
---R         + 
---R                       3   4     2       3       2   2 2    3   3   3
---R                   (- a d f  + 3a b d e f  - 3a b d e f  + b d e f)n
---R                 + 
---R                          3      2     4         2          2     3
---R                       (9a d - 3a b c)f  + (- 24a b d + 6a b c)e f
---R                     + 
---R                             2      3   2 2     3   3
---R                       (21a b d - 3b c)e f  - 6b d e f
---R                  *
---R                      2
---R                     n
---R                 + 
---R                             3       2     4       2           2     3
---R                       (- 26a d + 15a b c)f  + (63a b d - 30a b c)e f
---R                     + 
---R                               2       3   2 2      3   3
---R                       (- 48a b d + 15b c)e f  + 11b d e f
---R                  *
---R                     n
---R                 + 
---R                       3       2     4         2           2     3
---R                   (24a d - 18a b c)f  + (- 54a b d + 36a b c)e f
---R                 + 
---R                         2       3   2 2     3   3
---R                   (36a b d - 18b c)e f  - 6b d e f
---R              *
---R                          - n + 1
---R                 (b x + a)
---R             + 
---R                        3     4       3        2 2     3      2 2        3   2 2
---R                       a b c f  + (- a b d - 3a b c)e f  + (3a b d + 3a b c)e f
---R                     + 
---R                              3     4   3     4   4
---R                       (- 3a b d - b c)e f + b d e
---R                  *
---R                      3
---R                     n
---R                 + 
---R                           3     4      3         2 2     3
---R                       - 6a b c f  + (6a b d + 18a b c)e f
---R                     + 
---R                           2 2         3   2 2         3      4   3      4   4
---R                     (- 18a b d - 18a b c)e f  + (18a b d + 6b c)e f - 6b d e
---R                  *
---R                      2
---R                     n
---R                 + 
---R                          3     4         3         2 2     3
---R                       11a b c f  + (- 11a b d - 33a b c)e f
---R                     + 
---R                         2 2         3   2 2           3       4   3       4   4
---R                     (33a b d + 33a b c)e f  + (- 33a b d - 11b c)e f + 11b d e
---R                  *
---R                     n
---R                 + 
---R                       3     4      3         2 2     3
---R                   - 6a b c f  + (6a b d + 18a b c)e f
---R                 + 
---R                         2 2         3   2 2         3      4   3      4   4
---R                   (- 18a b d - 18a b c)e f  + (18a b d + 6b c)e f - 6b d e
---R              *
---R                          - n
---R                 (b x + a)
---R          *
---R                      n - 4
---R             (f x + e)
---R         + 
---R                      3   5     3      2       4        2          2   2 3
---R                   - a c f  + (a d + 3a b c)e f  + (- 3a b d - 3a b c)e f
---R                 + 
---R                        2     3   3 2    3   4
---R                   (3a b d + b c)e f  - b d e f
---R              *
---R                  3
---R                 n
---R             + 
---R                     3   5        3       2       4       2           2   2 3
---R                   9a c f  + (- 9a d - 27a b c)e f  + (27a b d + 27a b c)e f
---R                 + 
---R                           2      3   3 2     3   4
---R                   (- 27a b d - 9b c)e f  + 9b d e f
---R              *
---R                  2
---R                 n
---R             + 
---R                        3   5       3       2       4
---R                   - 26a c f  + (26a d + 78a b c)e f
---R                 + 
---R                       2           2   2 3         2       3   3 2      3   4
---R                 (- 78a b d - 78a b c)e f  + (78a b d + 26b c)e f  - 26b d e f
---R              *
---R                 n
---R             + 
---R                  3   5         3       2       4       2           2   2 3
---R               24a c f  + (- 24a d - 72a b c)e f  + (72a b d + 72a b c)e f
---R             + 
---R                       2       3   3 2      3   4
---R               (- 72a b d - 24b c)e f  + 24b d e f
---R          *
---R                      - n + 1         n - 5
---R             (b x + a)       (f x + e)
---R      *
---R           n log(b x + a)
---R         %e
---R  /
---R           4 5     3     4     2 2 2 3       3 3 2    4 4   3
---R         (a f  - 4a b e f  + 6a b e f  - 4a b e f  + b e f)n
---R       + 
---R              4 5      3     4      2 2 2 3        3 3 2     4 4   2
---R         (- 9a f  + 36a b e f  - 54a b e f  + 36a b e f  - 9b e f)n
---R       + 
---R             4 5       3     4       2 2 2 3         3 3 2      4 4         4 5
---R         (26a f  - 104a b e f  + 156a b e f  - 104a b e f  + 26b e f)n - 24a f
---R       + 
---R            3     4       2 2 2 3        3 3 2      4 4
---R         96a b e f  - 144a b e f  + 96a b e f  - 24b e f
---R    *
---R         n log(b x + a)
---R       %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1293
 
diff --git a/src/input/rich3a.input.pamphlet b/src/input/rich3a.input.pamphlet
new file mode 100644
index 0000000..fc946de
--- /dev/null
+++ b/src/input/rich3a.input.pamphlet
@@ -0,0 +1,24157 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich3a.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\verb|(a+b x)^m (c+d)^n (e+f x)^p|
+There are:
+\begin{itemize}
+\item 208 integrals in this file.
+\item 210 supplied "optimal results".
+\item 170 matching answers.
+\item 23 cases where Axiom supplied 2 results.
+\item 25 cases that Axiom failed to integrate.
+\item 12 that contain expressions Axiom does not recognize.
+\end{itemize}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich3a.output
+)spool rich3a.output
+)set message test on
+)set message auto off
+)clear all
+
+--S  1 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R            3      2          n
+--R   (1)  (d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  1
+
+--S  2 of 1092
+r0:=a^2*(b*c-a*d)*(a+b*x)^(1+n)/(b^4*(1+n))-_
+     a*(2*b*c-3*a*d)*(a+b*x)^(2+n)/(b^4*(2+n))+_
+     (b*c-3*a*d)*(a+b*x)^(3+n)/(b^4*(3+n))+d*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R           3       2                       n + 4
+--R       (d n  + 6d n  + 11d n + 6d)(b x + a)
+--R     + 
+--R                          3                    2
+--R           (- 3a d + b c)n  + (- 21a d + 7b c)n  + (- 42a d + 14b c)n - 24a d
+--R         + 
+--R           8b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2            3       2             2       2                   2
+--R           (3a d - 2a b c)n  + (24a d - 16a b c)n  + (57a d - 38a b c)n + 36a d
+--R         + 
+--R           - 24a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3     2     3        3      2     2         3       2
+--R           (- a d + a b c)n  + (- 9a d + 9a b c)n  + (- 26a d + 26a b c)n
+--R         + 
+--R                3       2
+--R           - 24a d + 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  2
+
+--S  3 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4   3     4   2      4        4   4
+--R         (b d n  + 6b d n  + 11b d n + 6b d)x
+--R       + 
+--R              3     4   3        3      4   2        3       4        4   3
+--R         ((a b d + b c)n  + (3a b d + 7b c)n  + (2a b d + 14b c)n + 8b c)x
+--R       + 
+--R             3   3        2 2        3   2        2 2        3     2
+--R         (a b c n  + (- 3a b d + 5a b c)n  + (- 3a b d + 4a b c)n)x
+--R       + 
+--R              2 2   2      3        2 2          3          4      3
+--R         (- 2a b c n  + (6a b d - 8a b c)n)x + 2a b c n - 6a d + 8a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  3
+
+--S  4 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4   3     4   2      4        4   4
+--R           (b d n  + 6b d n  + 11b d n + 6b d)x
+--R         + 
+--R                3     4   3        3      4   2        3       4        4   3
+--R           ((a b d + b c)n  + (3a b d + 7b c)n  + (2a b d + 14b c)n + 8b c)x
+--R         + 
+--R               3   3        2 2        3   2        2 2        3     2
+--R           (a b c n  + (- 3a b d + 5a b c)n  + (- 3a b d + 4a b c)n)x
+--R         + 
+--R                2 2   2      3        2 2          3          4      3
+--R           (- 2a b c n  + (6a b d - 8a b c)n)x + 2a b c n - 6a d + 8a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R             3       2                       n + 4
+--R       (- d n  - 6d n  - 11d n - 6d)(b x + a)
+--R     + 
+--R                       3                  2
+--R         ((3a d - b c)n  + (21a d - 7b c)n  + (42a d - 14b c)n + 24a d - 8b c)
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2            3         2             2         2
+--R           (- 3a d + 2a b c)n  + (- 24a d + 16a b c)n  + (- 57a d + 38a b c)n
+--R         + 
+--R                2
+--R           - 36a d + 24a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3     2     3      3      2     2       3       2           3
+--R           (a d - a b c)n  + (9a d - 9a b c)n  + (26a d - 26a b c)n + 24a d
+--R         + 
+--R                2
+--R           - 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  4
+
+--S  5 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  5
+
+)clear all
+
+--S  6 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R            2                n
+--R   (1)  (d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  6
+
+--S  7 of 1092
+r0:=-a*(b*c-a*d)*(a+b*x)^(1+n)/(b^3*(1+n))+_
+     (b*c-2*a*d)*(a+b*x)^(2+n)/(b^3*(2+n))+d*(a+b*x)^(3+n)/(b^3*(3+n))
+--R 
+--R
+--R   (2)
+--R           2                      n + 3
+--R       (d n  + 3d n + 2d)(b x + a)
+--R     + 
+--R                       2                                           n + 2
+--R       ((- 2a d + b c)n  + (- 8a d + 4b c)n - 6a d + 3b c)(b x + a)
+--R     + 
+--R          2           2      2                 2                    n + 1
+--R       ((a d - a b c)n  + (5a d - 5a b c)n + 6a d - 6a b c)(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  7
+
+--S  8 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3   2     3        3   3
+--R         (b d n  + 3b d n + 2b d)x
+--R       + 
+--R              2     3   2       2      3        3   2
+--R         ((a b d + b c)n  + (a b d + 4b c)n + 3b c)x
+--R       + 
+--R             2   2        2          2         2          3      2
+--R         (a b c n  + (- 2a b d + 3a b c)n)x - a b c n + 2a d - 3a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  8
+
+--S  9 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3   2     3        3   3
+--R           (b d n  + 3b d n + 2b d)x
+--R         + 
+--R                2     3   2       2      3        3   2
+--R           ((a b d + b c)n  + (a b d + 4b c)n + 3b c)x
+--R         + 
+--R               2   2        2          2         2          3      2
+--R           (a b c n  + (- 2a b d + 3a b c)n)x - a b c n + 2a d - 3a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R             2                      n + 3
+--R       (- d n  - 3d n - 2d)(b x + a)
+--R     + 
+--R                     2                                         n + 2
+--R       ((2a d - b c)n  + (8a d - 4b c)n + 6a d - 3b c)(b x + a)
+--R     + 
+--R            2           2        2                 2                    n + 1
+--R       ((- a d + a b c)n  + (- 5a d + 5a b c)n - 6a d + 6a b c)(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  9
+
+--S  10 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  10
+
+)clear all
+
+--S  11 of 1092
+t0:=(a+b*x)^n*(c+d*x)
+--R 
+--R
+--R                          n
+--R   (1)  (d x + c)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  11
+
+--S  12 of 1092
+r0:=(b*c-a*d)*(a+b*x)^(1+n)/(b^2*(1+n))+d*(a+b*x)^(2+n)/(b^2*(2+n))
+--R 
+--R
+--R                          n + 2                                          n + 1
+--R        (d n + d)(b x + a)      + ((- a d + b c)n - 2a d + 2b c)(b x + a)
+--R   (2)  ----------------------------------------------------------------------
+--R                                    2 2     2      2
+--R                                   b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E  12
+
+--S  13 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2       2   2              2        2                 2
+--R       ((b d n + b d)x  + ((a b d + b c)n + 2b c)x + a b c n - a d + 2a b c)
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      2 2     2      2
+--R     b n  + 3b n + 2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  13
+
+--S  14 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R            2       2   2              2        2                 2
+--R         ((b d n + b d)x  + ((a b d + b c)n + 2b c)x + a b c n - a d + 2a b c)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R                           n + 2                                        n + 1
+--R       (- d n - d)(b x + a)      + ((a d - b c)n + 2a d - 2b c)(b x + a)
+--R  /
+--R      2 2     2      2
+--R     b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E  14
+
+--S  15 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  15
+
+)clear all
+
+--S  16 of 1092
+t0:=(a+b*x)^n*(c+d*x)/x
+--R 
+--R
+--R                          n
+--R        (d x + c)(b x + a)
+--R   (1)  -------------------
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  16
+
+--S  17 of 1092
+--r0:=d*(a+b*x)^(1+n)/(b*(1+n))-c*(a+b*x)^(1+n)*_
+--     hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  17
+
+--S  18 of 1092
+--a0:=integrate(t0,x)
+--E  18
+
+--S  19 of 1092
+--m0:=a0-r0
+--E  19
+
+--S  20 of 1092
+--d0:=D(m0,x)
+--E  20
+
+)clear all
+
+--S  21 of 1092
+t0:=x^m*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  21
+
+--S  22 of 1092
+r0:=a*c^5*x^(1+m)/(1+m)+c^4*(b*c+5*a*d)*x^(2+m)/(2+m)+_
+     5*c^3*d*(b*c+2*a*d)*x^(3+m)/(3+m)+10*c^2*d^2*(b*c+a*d)*_
+     x^(4+m)/(4+m)+5*c*d^3*(2*b*c+a*d)*x^(5+m)/(5+m)+_
+     d^4*(5*b*c+a*d)*x^(6+m)/(6+m)+b*d^5*x^(7+m)/(7+m)
+--R 
+--R
+--R   (2)
+--R              5 6        5 5         5 4         5 3          5 2          5
+--R           b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m  + 1764b d m
+--R         + 
+--R                 5
+--R           720b d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               5         4  6         5           4  5          5           4  4
+--R           (a d  + 5b c d )m  + (22a d  + 110b c d )m  + (190a d  + 950b c d )m
+--R         + 
+--R                  5            4  3           5            4  2
+--R           (820a d  + 4100b c d )m  + (1849a d  + 9245b c d )m
+--R         + 
+--R                   5             4           5            4
+--R           (2038a d  + 10190b c d )m + 840a d  + 4200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                  4        2 3  6            4         2 3  5
+--R           (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R         + 
+--R                     4          2 3  4             4          2 3  3
+--R           (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R         + 
+--R                      4           2 3  2              4           2 3
+--R           (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R         + 
+--R                    4           2 3
+--R           5040a c d  + 10080b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 2 3        3 2  6          2 3         3 2  5
+--R           (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R         + 
+--R                   2 3          3 2  4            2 3           3 2  3
+--R           (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R         + 
+--R                    2 3           3 2  2            2 3           3 2
+--R           (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R         + 
+--R                   2 3           3 2
+--R           12600a c d  + 12600b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 3 2       4   6          3 2         4   5
+--R           (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R         + 
+--R                   3 2          4   4            3 2          4   3
+--R           (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R         + 
+--R                    3 2           4   2            3 2           4
+--R           (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R         + 
+--R                   3 2          4
+--R           16800a c d  + 8400b c d
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                4       5  6          4         5  5           4          5  4
+--R           (5a c d + b c )m  + (130a c d + 26b c )m  + (1350a c d + 270b c )m
+--R         + 
+--R                   4           5  3            4           5  2
+--R           (7100a c d + 1420b c )m  + (19645a c d + 3929b c )m
+--R         + 
+--R                    4           5             4           5
+--R           (26370a c d + 5274b c )m + 12600a c d + 2520b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              5 6        5 5         5 4          5 3          5 2          5
+--R           a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m  + 8028a c m
+--R         + 
+--R                  5
+--R           5040a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E  22
+
+--S  23 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R             b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m  + 1764b d m
+--R           + 
+--R                   5
+--R             720b d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                 5         4  6         5           4  5
+--R             (a d  + 5b c d )m  + (22a d  + 110b c d )m
+--R           + 
+--R                    5           4  4          5            4  3
+--R             (190a d  + 950b c d )m  + (820a d  + 4100b c d )m
+--R           + 
+--R                     5            4  2           5             4           5
+--R             (1849a d  + 9245b c d )m  + (2038a d  + 10190b c d )m + 840a d
+--R           + 
+--R                      4
+--R             4200b c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    4        2 3  6            4         2 3  5
+--R             (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R           + 
+--R                       4          2 3  4             4          2 3  3
+--R             (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R           + 
+--R                        4           2 3  2              4           2 3
+--R             (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R           + 
+--R                      4           2 3
+--R             5040a c d  + 10080b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   2 3        3 2  6          2 3         3 2  5
+--R             (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R           + 
+--R                     2 3          3 2  4            2 3           3 2  3
+--R             (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R           + 
+--R                      2 3           3 2  2            2 3           3 2
+--R             (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R           + 
+--R                     2 3           3 2
+--R             12600a c d  + 12600b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   3 2       4   6          3 2         4   5
+--R             (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R           + 
+--R                     3 2          4   4            3 2          4   3
+--R             (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R           + 
+--R                      3 2           4   2            3 2           4
+--R             (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R           + 
+--R                     3 2          4
+--R             16800a c d  + 8400b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  4       5  6          4         5  5           4          5  4
+--R             (5a c d + b c )m  + (130a c d + 26b c )m  + (1350a c d + 270b c )m
+--R           + 
+--R                     4           5  3            4           5  2
+--R             (7100a c d + 1420b c )m  + (19645a c d + 3929b c )m
+--R           + 
+--R                      4           5             4           5
+--R             (26370a c d + 5274b c )m + 12600a c d + 2520b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R             a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m  + 8028a c m
+--R           + 
+--R                    5
+--R             5040a c
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                         Type: Union(Expression(Integer),...)
+--E  23
+
+--S  24 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                  5 6        5 5         5 4         5 3          5 2
+--R               b d m  + 21b d m  + 175b d m  + 735b d m  + 1624b d m
+--R             + 
+--R                      5          5
+--R               1764b d m + 720b d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                   5         4  6         5           4  5
+--R               (a d  + 5b c d )m  + (22a d  + 110b c d )m
+--R             + 
+--R                      5           4  4          5            4  3
+--R               (190a d  + 950b c d )m  + (820a d  + 4100b c d )m
+--R             + 
+--R                       5            4  2           5             4           5
+--R               (1849a d  + 9245b c d )m  + (2038a d  + 10190b c d )m + 840a d
+--R             + 
+--R                        4
+--R               4200b c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      4        2 3  6            4         2 3  5
+--R               (5a c d  + 10b c d )m  + (115a c d  + 230b c d )m
+--R             + 
+--R                         4          2 3  4             4          2 3  3
+--R               (1035a c d  + 2070b c d )m  + (4625a c d  + 9250b c d )m
+--R             + 
+--R                          4           2 3  2              4           2 3
+--R               (10720a c d  + 21440b c d )m  + (12060a c d  + 24120b c d )m
+--R             + 
+--R                        4           2 3
+--R               5040a c d  + 10080b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     2 3        3 2  6          2 3         3 2  5
+--R               (10a c d  + 10b c d )m  + (240a c d  + 240b c d )m
+--R             + 
+--R                       2 3          3 2  4            2 3           3 2  3
+--R               (2260a c d  + 2260b c d )m  + (10560a c d  + 10560b c d )m
+--R             + 
+--R                        2 3           3 2  2            2 3           3 2
+--R               (25450a c d  + 25450b c d )m  + (29520a c d  + 29520b c d )m
+--R             + 
+--R                       2 3           3 2
+--R               12600a c d  + 12600b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     3 2       4   6          3 2         4   5
+--R               (10a c d  + 5b c d)m  + (250a c d  + 125b c d)m
+--R             + 
+--R                       3 2          4   4            3 2          4   3
+--R               (2470a c d  + 1235b c d)m  + (12190a c d  + 6095b c d)m
+--R             + 
+--R                        3 2           4   2            3 2           4
+--R               (31120a c d  + 15560b c d)m  + (37960a c d  + 18980b c d)m
+--R             + 
+--R                       3 2          4
+--R               16800a c d  + 8400b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    4       5  6          4         5  5
+--R               (5a c d + b c )m  + (130a c d + 26b c )m
+--R             + 
+--R                       4          5  4           4           5  3
+--R               (1350a c d + 270b c )m  + (7100a c d + 1420b c )m
+--R             + 
+--R                        4           5  2            4           5             4
+--R               (19645a c d + 3929b c )m  + (26370a c d + 5274b c )m + 12600a c d
+--R             + 
+--R                      5
+--R               2520b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  5 6        5 5         5 4          5 3          5 2
+--R               a c m  + 27a c m  + 295a c m  + 1665a c m  + 5104a c m
+--R             + 
+--R                      5           5
+--R               8028a c m + 5040a c
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R                5 6        5 5         5 4         5 3          5 2          5
+--R           - b d m  - 21b d m  - 175b d m  - 735b d m  - 1624b d m  - 1764b d m
+--R         + 
+--R                   5
+--R           - 720b d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                 5         4  6           5           4  5
+--R           (- a d  - 5b c d )m  + (- 22a d  - 110b c d )m
+--R         + 
+--R                    5           4  4            5            4  3
+--R           (- 190a d  - 950b c d )m  + (- 820a d  - 4100b c d )m
+--R         + 
+--R                     5            4  2             5             4           5
+--R           (- 1849a d  - 9245b c d )m  + (- 2038a d  - 10190b c d )m - 840a d
+--R         + 
+--R                      4
+--R           - 4200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                    4        2 3  6              4         2 3  5
+--R           (- 5a c d  - 10b c d )m  + (- 115a c d  - 230b c d )m
+--R         + 
+--R                       4          2 3  4               4          2 3  3
+--R           (- 1035a c d  - 2070b c d )m  + (- 4625a c d  - 9250b c d )m
+--R         + 
+--R                        4           2 3  2                4           2 3
+--R           (- 10720a c d  - 21440b c d )m  + (- 12060a c d  - 24120b c d )m
+--R         + 
+--R                      4           2 3
+--R           - 5040a c d  - 10080b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                   2 3        3 2  6            2 3         3 2  5
+--R           (- 10a c d  - 10b c d )m  + (- 240a c d  - 240b c d )m
+--R         + 
+--R                     2 3          3 2  4              2 3           3 2  3
+--R           (- 2260a c d  - 2260b c d )m  + (- 10560a c d  - 10560b c d )m
+--R         + 
+--R                      2 3           3 2  2              2 3           3 2
+--R           (- 25450a c d  - 25450b c d )m  + (- 29520a c d  - 29520b c d )m
+--R         + 
+--R                     2 3           3 2
+--R           - 12600a c d  - 12600b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                   3 2       4   6            3 2         4   5
+--R           (- 10a c d  - 5b c d)m  + (- 250a c d  - 125b c d)m
+--R         + 
+--R                     3 2          4   4              3 2          4   3
+--R           (- 2470a c d  - 1235b c d)m  + (- 12190a c d  - 6095b c d)m
+--R         + 
+--R                      3 2           4   2              3 2           4
+--R           (- 31120a c d  - 15560b c d)m  + (- 37960a c d  - 18980b c d)m
+--R         + 
+--R                     3 2          4
+--R           - 16800a c d  - 8400b c d
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                  4       5  6            4         5  5
+--R           (- 5a c d - b c )m  + (- 130a c d - 26b c )m
+--R         + 
+--R                     4          5  4             4           5  3
+--R           (- 1350a c d - 270b c )m  + (- 7100a c d - 1420b c )m
+--R         + 
+--R                      4           5  2              4           5             4
+--R           (- 19645a c d - 3929b c )m  + (- 26370a c d - 5274b c )m - 12600a c d
+--R         + 
+--R                    5
+--R           - 2520b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R                5 6        5 5         5 4          5 3          5 2          5
+--R           - a c m  - 27a c m  - 295a c m  - 1665a c m  - 5104a c m  - 8028a c m
+--R         + 
+--R                    5
+--R           - 5040a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      7      6       5        4        3         2
+--R     m  + 28m  + 322m  + 1960m  + 6769m  + 13132m  + 13068m + 5040
+--R                                                    Type: Expression(Integer)
+--E  24
+
+--S  25 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  25
+
+)clear all
+
+--S  26 of 1092
+t0:=x^3*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 9       5         4  8          4        2 3  7
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  6         3 2       4   5        4       5  4      5 3
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  26
+
+--S  27 of 1092
+r0:=1/4*a*c^5*x^4+1/5*c^4*(b*c+5*a*d)*x^5+5/6*c^3*d*(b*c+2*a*d)*x^6+_
+     10/7*c^2*d^2*(b*c+a*d)*x^7+5/8*c*d^3*(2*b*c+a*d)*x^8+_
+     1/9*d^4*(5*b*c+a*d)*x^9+1/10*b*d^5*x^10
+--R 
+--R
+--R   (2)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- b d x   + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- a c d  + -- b c d )x  + (- a c d  + - b c d)x  + (a c d + - b c )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - a c x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  27
+
+--S  28 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    5 10    1    5   5      4  9    5      4   5    2 3  8
+--R     -- b d x   + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     10            9        9              8          4
+--R   + 
+--R      10    2 3   10    3 2  7    5    3 2   5    4   6       4    1    5  5
+--R     (-- a c d  + -- b c d )x  + (- a c d  + - b c d)x  + (a c d + - b c )x
+--R       7           7              3          6                     5
+--R   + 
+--R     1    5 4
+--R     - a c x
+--R     4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  28
+
+--S  29 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  29
+
+--S  30 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  30
+
+)clear all
+
+--S  31 of 1092
+t0:=x^2*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 8       5         4  7          4        2 3  6
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  5         3 2       4   4        4       5  3      5 2
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  31
+
+--S  32 of 1092
+r0:=-1/6*c^2*(b*c-a*d)*(c+d*x)^6/d^4+1/7*c*(3*b*c-2*a*d)*(c+d*x)^7/d^4-_
+     1/8*(3*b*c-a*d)*(c+d*x)^8/d^4+1/9*b*(c+d*x)^9/d^4
+--R 
+--R
+--R   (2)
+--R       1    9 9    1    9   5      8  8    5      8   10    2 7  7
+--R       - b d x  + (- a d  + - b c d )x  + (- a c d  + -- b c d )x
+--R       9           8        8              7           7
+--R     + 
+--R        5    2 7   5    3 6  6        3 6      4 5  5    5    4 5   1    5 4  4
+--R       (- a c d  + - b c d )x  + (2a c d  + b c d )x  + (- a c d  + - b c d )x
+--R        3          3                                     4          4
+--R     + 
+--R       1    5 4 3    1     8     1     9
+--R       - a c d x  + --- a c d - --- b c
+--R       3            168         504
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  32
+
+--S  33 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 9    1    5   5      4  8    5      4   10    2 3  7
+--R     - b d x  + (- a d  + - b c d )x  + (- a c d  + -- b c d )x
+--R     9           8        8              7           7
+--R   + 
+--R      5    2 3   5    3 2  6        3 2      4   5    5    4    1    5  4
+--R     (- a c d  + - b c d )x  + (2a c d  + b c d)x  + (- a c d + - b c )x
+--R      3          3                                    4         4
+--R   + 
+--R     1    5 3
+--R     - a c x
+--R     3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  33
+
+--S  34 of 1092
+m0:=a0-r0
+--R 
+--R
+--R           1     8     1     9
+--R        - --- a c d + --- b c
+--R          168         504
+--R   (4)  ----------------------
+--R                   4
+--R                  d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  34
+
+--S  35 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  35
+
+)clear all
+
+--S  36 of 1092
+t0:=x*(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 7       5         4  6          4        2 3  5
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R         2 3        3 2  4         3 2       4   3        4       5  2      5
+--R   (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x  + a c x
+--R                                                    Type: Polynomial(Integer)
+--E  36
+
+--S  37 of 1092
+r0:=1/6*c*(b*c-a*d)*(c+d*x)^6/d^3-1/7*(2*b*c-a*d)*(c+d*x)^7/d^3+_
+     1/8*b*(c+d*x)^8/d^3
+--R 
+--R
+--R   (2)
+--R       1    8 8    1    8   5      7  7    5      7   5    2 6  6
+--R       - b d x  + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R       8           7        7              6          3
+--R     + 
+--R            2 6       3 5  5    5    3 5   5    4 4  4    5    4 4   1    5 3  3
+--R       (2a c d  + 2b c d )x  + (- a c d  + - b c d )x  + (- a c d  + - b c d )x
+--R                                2          4              3          3
+--R     + 
+--R       1    5 3 2    1    7     1     8
+--R       - a c d x  - -- a c d + --- b c
+--R       2            42         168
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  37
+
+--S  38 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 8    1    5   5      4  7    5      4   5    2 3  6
+--R     - b d x  + (- a d  + - b c d )x  + (- a c d  + - b c d )x
+--R     8           7        7              6          3
+--R   + 
+--R          2 3       3 2  5    5    3 2   5    4   4    5    4    1    5  3
+--R     (2a c d  + 2b c d )x  + (- a c d  + - b c d)x  + (- a c d + - b c )x
+--R                              2          4             3         3
+--R   + 
+--R     1    5 2
+--R     - a c x
+--R     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  38
+
+--S  39 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1    7     1     8
+--R        -- a c d - --- b c
+--R        42         168
+--R   (4)  -------------------
+--R                  3
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  39
+
+--S  40 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  40
+
+)clear all
+
+--S  41 of 1092
+t0:=(a+b*x)*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        5 6       5         4  5          4        2 3  4
+--R     b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R   + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E  41
+
+--S  42 of 1092
+r0:=-1/6*(b*c-a*d)*(c+d*x)^6/d^2+1/7*b*(c+d*x)^7/d^2
+--R 
+--R
+--R   (2)
+--R       1    7 7    1    7   5      6  6         6       2 5  5
+--R       - b d x  + (- a d  + - b c d )x  + (a c d  + 2b c d )x
+--R       7           6        6
+--R     + 
+--R        5    2 5   5    3 4  4    10    3 4   5    4 3  3
+--R       (- a c d  + - b c d )x  + (-- a c d  + - b c d )x
+--R        2          2               3          3
+--R     + 
+--R        5    4 3   1    5 2  2      5 2    1    6     1    7
+--R       (- a c d  + - b c d )x  + a c d x + - a c d - -- b c
+--R        2          2                       6         42
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  42
+
+--S  43 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     1    5 7    1    5   5      4  6         4       2 3  5
+--R     - b d x  + (- a d  + - b c d )x  + (a c d  + 2b c d )x
+--R     7           6        6
+--R   + 
+--R      5    2 3   5    3 2  4    10    3 2   5    4   3    5    4    1    5  2
+--R     (- a c d  + - b c d )x  + (-- a c d  + - b c d)x  + (- a c d + - b c )x
+--R      2          2               3          3             2         2
+--R   + 
+--R        5
+--R     a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  43
+
+--S  44 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1    6     1    7
+--R        - - a c d + -- b c
+--R          6         42
+--R   (4)  -------------------
+--R                  2
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  44
+
+--S  45 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  45
+
+)clear all
+
+--S  46 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  46
+
+--S  47 of 1092
+r0:=5*a*c^4*d*x+5*a*c^3*d^2*x^2+10/3*a*c^2*d^3*x^3+_
+     5/4*a*c*d^4*x^4+1/5*a*d^5*x^5+1/6*b*(c+d*x)^6/d+a*c^5*log(x)
+--R 
+--R
+--R   (2)
+--R            5                6 6         6          5  5
+--R       60a c d log(x) + 10b d x  + (12a d  + 60b c d )x
+--R     + 
+--R               5         2 4  4          2 4         3 3  3
+--R       (75a c d  + 150b c d )x  + (200a c d  + 200b c d )x
+--R     + 
+--R              3 3         4 2  2          4 2        5           6
+--R       (300a c d  + 150b c d )x  + (300a c d  + 60b c d)x + 10b c
+--R  /
+--R     60d
+--R                                                    Type: Expression(Integer)
+--E  47
+
+--S  48 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5              5 6         5          4  5
+--R       60a c log(x) + 10b d x  + (12a d  + 60b c d )x
+--R     + 
+--R               4         2 3  4          2 3         3 2  3
+--R       (75a c d  + 150b c d )x  + (200a c d  + 200b c d )x
+--R     + 
+--R              3 2         4   2          4         5
+--R       (300a c d  + 150b c d)x  + (300a c d + 60b c )x
+--R  /
+--R     60
+--R                                         Type: Union(Expression(Integer),...)
+--E  48
+
+--S  49 of 1092
+m0:=a0-r0
+--R 
+--R
+--R             6
+--R          b c
+--R   (4)  - ----
+--R           6d
+--R                                                    Type: Expression(Integer)
+--E  49
+
+--S  50 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  50
+
+)clear all
+
+--S  51 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x^2
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R      2
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  51
+
+--S  52 of 1092
+r0:=-a*c^5/x+5*c^3*d*(b*c+2*a*d)*x+5*c^2*d^2*(b*c+a*d)*x^2+_
+     5/3*c*d^3*(2*b*c+a*d)*x^3+1/4*d^4*(5*b*c+a*d)*x^4+_
+     1/5*b*d^5*x^5+c^4*(b*c+5*a*d)*log(x)
+--R 
+--R
+--R   (2)
+--R              4         5                 5 6         5          4  5
+--R       (300a c d + 60b c )x log(x) + 12b d x  + (15a d  + 75b c d )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100a c d  + 200b c d )x  + (300a c d  + 300b c d )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600a c d  + 300b c d)x  - 60a c
+--R  /
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E  52
+
+--S  53 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4         5                 5 6         5          4  5
+--R       (300a c d + 60b c )x log(x) + 12b d x  + (15a d  + 75b c d )x
+--R     + 
+--R                4         2 3  4          2 3         3 2  3
+--R       (100a c d  + 200b c d )x  + (300a c d  + 300b c d )x
+--R     + 
+--R              3 2         4   2        5
+--R       (600a c d  + 300b c d)x  - 60a c
+--R  /
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E  53
+
+--S  54 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  54
+
+--S  55 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  55
+
+)clear all
+
+--S  56 of 1092
+t0:=(a+b*x)*(c+d*x)^5/x^3
+--R 
+--R
+--R   (1)
+--R          5 6       5         4  5          4        2 3  4
+--R       b d x  + (a d  + 5b c d )x  + (5a c d  + 10b c d )x
+--R     + 
+--R           2 3        3 2  3         3 2       4   2        4       5        5
+--R     (10a c d  + 10b c d )x  + (10a c d  + 5b c d)x  + (5a c d + b c )x + a c
+--R  /
+--R      3
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  56
+
+--S  57 of 1092
+r0:=-1/2*a*c^5/x^2-c^4*(b*c+5*a*d)/x+10*c^2*d^2*(b*c+a*d)*x+_
+     5/2*c*d^3*(2*b*c+a*d)*x^2+1/3*d^4*(5*b*c+a*d)*x^3+_
+     1/4*b*d^5*x^4+5*c^3*d*(b*c+2*a*d)*log(x)
+--R 
+--R
+--R   (2)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120a c d  + 60b c d)x log(x) + 3b d x  + (4a d  + 20b c d )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30a c d  + 60b c d )x  + (120a c d  + 120b c d )x
+--R     + 
+--R               4         5         5
+--R       (- 60a c d - 12b c )x - 6a c
+--R  /
+--R        2
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E  57
+
+--S  58 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              3 2        4   2             5 6        5          4  5
+--R       (120a c d  + 60b c d)x log(x) + 3b d x  + (4a d  + 20b c d )x
+--R     + 
+--R               4        2 3  4          2 3         3 2  3
+--R       (30a c d  + 60b c d )x  + (120a c d  + 120b c d )x
+--R     + 
+--R               4         5         5
+--R       (- 60a c d - 12b c )x - 6a c
+--R  /
+--R        2
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E  58
+
+--S  59 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  59
+
+--S  60 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  60
+
+)clear all
+
+--S  61 of 1092
+t0:=x*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 18       16          15  17           15         2 14  16
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  15          3 13          4 12  14
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  13           5 11          6 10  12
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  11            7 9           8 8  10
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  9            9 7          10 6  8
+--R     (12870a c d  + 11440b c d )x  + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  7           11 5          12 4  6
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  5          13 3         14 2  4
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   3         15       16  2      16
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  61
+
+--S  62 of 1092
+r0:=1/17*c*(b*c-a*d)*(c+d*x)^17/d^3-1/18*(2*b*c-a*d)*(c+d*x)^18/d^3+_
+     1/19*b*(c+d*x)^19/d^3
+--R 
+--R
+--R   (2)
+--R        1    19 19     1    19   8      18  18    16      18   120    2 17  17
+--R       -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R       19             18         9                17            17
+--R     + 
+--R        15    2 17        3 16  16    112    3 16   364    4 15  15
+--R       (-- a c d   + 35b c d  )x   + (--- a c d   + --- b c d  )x
+--R         2                             3             3
+--R     + 
+--R              4 15         5 14  14          5 14         6 13  13
+--R       (130a c d   + 312b c d  )x   + (336a c d   + 616b c d  )x
+--R     + 
+--R        2002    6 13   2860    7 12  12           7 12          8 11  11
+--R       (---- a c d   + ---- b c d  )x   + (1040a c d   + 1170b c d  )x
+--R          3              3
+--R     + 
+--R               8 11          9 10  10    11440    9 10   8008    10 9  9
+--R       (1287a c d   + 1144b c d  )x   + (----- a c d   + ---- b c  d )x
+--R                                           9               9
+--R     + 
+--R               10 9         11 8  8          11 8         12 7  7
+--R       (1001a c  d  + 546b c  d )x  + (624a c  d  + 260b c  d )x
+--R     + 
+--R        910    12 7   280    13 6  6          13 6        14 5  5
+--R       (--- a c  d  + --- b c  d )x  + (112a c  d  + 24b c  d )x
+--R         3             3
+--R     + 
+--R             14 5       15 4  4    16    15 4   1    16 3  3   1    16 3 2
+--R       (30a c  d  + 4b c  d )x  + (-- a c  d  + - b c  d )x  + - a c  d x
+--R                                    3           3              2
+--R     + 
+--R          1     18      1     19
+--R       - --- a c  d + ---- b c
+--R         306          2907
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  62
+
+--S  63 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 19     1    16   8      15  18    16      15   120    2 14  17
+--R     -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R     19             18         9                17            17
+--R   + 
+--R      15    2 14        3 13  16    112    3 13   364    4 12  15
+--R     (-- a c d   + 35b c d  )x   + (--- a c d   + --- b c d  )x
+--R       2                             3             3
+--R   + 
+--R            4 12         5 11  14          5 11         6 10  13
+--R     (130a c d   + 312b c d  )x   + (336a c d   + 616b c d  )x
+--R   + 
+--R      2002    6 10   2860    7 9  12           7 9          8 8  11
+--R     (---- a c d   + ---- b c d )x   + (1040a c d  + 1170b c d )x
+--R        3              3
+--R   + 
+--R             8 8          9 7  10    11440    9 7   8008    10 6  9
+--R     (1287a c d  + 1144b c d )x   + (----- a c d  + ---- b c  d )x
+--R                                       9              9
+--R   + 
+--R             10 6         11 5  8          11 5         12 4  7
+--R     (1001a c  d  + 546b c  d )x  + (624a c  d  + 260b c  d )x
+--R   + 
+--R      910    12 4   280    13 3  6          13 3        14 2  5
+--R     (--- a c  d  + --- b c  d )x  + (112a c  d  + 24b c  d )x
+--R       3             3
+--R   + 
+--R           14 2       15   4    16    15    1    16  3   1    16 2
+--R     (30a c  d  + 4b c  d)x  + (-- a c  d + - b c  )x  + - a c  x
+--R                                 3          3            2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  63
+
+--S  64 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1     18      1     19
+--R        --- a c  d - ---- b c
+--R        306          2907
+--R   (4)  -----------------------
+--R                    3
+--R                   d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  64
+
+--S  65 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  65
+
+)clear all
+
+--S  66 of 1092
+t0:=x^2*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 19       16          15  18           15         2 14  17
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  16          3 13          4 12  15
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  14           5 11          6 10  13
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  12            7 9           8 8  11
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  10            9 7          10 6  9
+--R     (12870a c d  + 11440b c d )x   + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  8           11 5          12 4  7
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  6          13 3         14 2  5
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   4         15       16  3      16 2
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  66
+
+--S  67 of 1092
+r0:=-1/17*c^2*(b*c-a*d)*(c+d*x)^17/d^4+1/18*c*(3*b*c-2*a*d)*(c+d*x)^18/d^4-_
+     1/19*(3*b*c-a*d)*(c+d*x)^19/d^4+1/20*b*(c+d*x)^20/d^4
+--R 
+--R
+--R   (2)
+--R        1    20 20     1    20   16      19  19    8      19   20    2 18  18
+--R       -- b d  x   + (-- a d   + -- b c d  )x   + (- a c d   + -- b c d  )x
+--R       20             19         19                9            3
+--R     + 
+--R        120    2 18   560    3 17  17         3 17   455    4 16  16
+--R       (--- a c d   + --- b c d  )x   + (35a c d   + --- b c d  )x
+--R         17            17                             4
+--R     + 
+--R        364    4 16   1456    5 15  15          5 15         6 14  14
+--R       (--- a c d   + ---- b c d  )x   + (312a c d   + 572b c d  )x
+--R         3              5
+--R     + 
+--R              6 14         7 13  13    2860    7 13   2145    8 12  12
+--R       (616a c d   + 880b c d  )x   + (---- a c d   + ---- b c d  )x
+--R                                         3              2
+--R     + 
+--R               8 12          9 11  11           9 11   4004    10 10  10
+--R       (1170a c d   + 1040b c d  )x   + (1144a c d   + ---- b c  d  )x
+--R                                                         5
+--R     + 
+--R        8008    10 10   1456    11 9  9          11 9   455    12 8  8
+--R       (---- a c  d   + ---- b c  d )x  + (546a c  d  + --- b c  d )x
+--R          9               3                              2
+--R     + 
+--R              12 8        13 7  7    280    13 7        14 6  6
+--R       (260a c  d  + 80b c  d )x  + (--- a c  d  + 20b c  d )x
+--R                                      3
+--R     + 
+--R             14 6   16    15 5  5        15 5   1    16 4  4   1    16 4 3
+--R       (24a c  d  + -- b c  d )x  + (4a c  d  + - b c  d )x  + - a c  d x
+--R                     5                          4              3
+--R     + 
+--R         1     19      1      20
+--R       ---- a c  d - ----- b c
+--R       2907          19380
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  67
+
+--S  68 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 20     1    16   16      15  19    8      15   20    2 14  18
+--R     -- b d  x   + (-- a d   + -- b c d  )x   + (- a c d   + -- b c d  )x
+--R     20             19         19                9            3
+--R   + 
+--R      120    2 14   560    3 13  17         3 13   455    4 12  16
+--R     (--- a c d   + --- b c d  )x   + (35a c d   + --- b c d  )x
+--R       17            17                             4
+--R   + 
+--R      364    4 12   1456    5 11  15          5 11         6 10  14
+--R     (--- a c d   + ---- b c d  )x   + (312a c d   + 572b c d  )x
+--R       3              5
+--R   + 
+--R            6 10         7 9  13    2860    7 9   2145    8 8  12
+--R     (616a c d   + 880b c d )x   + (---- a c d  + ---- b c d )x
+--R                                      3             2
+--R   + 
+--R             8 8          9 7  11           9 7   4004    10 6  10
+--R     (1170a c d  + 1040b c d )x   + (1144a c d  + ---- b c  d )x
+--R                                                    5
+--R   + 
+--R      8008    10 6   1456    11 5  9          11 5   455    12 4  8
+--R     (---- a c  d  + ---- b c  d )x  + (546a c  d  + --- b c  d )x
+--R        9              3                              2
+--R   + 
+--R            12 4        13 3  7    280    13 3        14 2  6
+--R     (260a c  d  + 80b c  d )x  + (--- a c  d  + 20b c  d )x
+--R                                    3
+--R   + 
+--R           14 2   16    15   5        15    1    16  4   1    16 3
+--R     (24a c  d  + -- b c  d)x  + (4a c  d + - b c  )x  + - a c  x
+--R                   5                        4            3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  68
+
+--S  69 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            1     19      1      20
+--R        - ---- a c  d + ----- b c
+--R          2907          19380
+--R   (4)  ---------------------------
+--R                      4
+--R                     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  69
+
+--S  70 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  70
+
+)clear all
+
+--S  71 of 1092
+t0:=x^3*(a+b*x)*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R        16 20       16          15  19           15         2 14  18
+--R     b d  x   + (a d   + 16b c d  )x   + (16a c d   + 120b c d  )x
+--R   + 
+--R            2 14         3 13  17          3 13          4 12  16
+--R     (120a c d   + 560b c d  )x   + (560a c d   + 1820b c d  )x
+--R   + 
+--R             4 12          5 11  15           5 11          6 10  14
+--R     (1820a c d   + 4368b c d  )x   + (4368a c d   + 8008b c d  )x
+--R   + 
+--R             6 10           7 9  13            7 9           8 8  12
+--R     (8008a c d   + 11440b c d )x   + (11440a c d  + 12870b c d )x
+--R   + 
+--R              8 8           9 7  11            9 7          10 6  10
+--R     (12870a c d  + 11440b c d )x   + (11440a c d  + 8008b c  d )x
+--R   + 
+--R             10 6          11 5  9           11 5          12 4  8
+--R     (8008a c  d  + 4368b c  d )x  + (4368a c  d  + 1820b c  d )x
+--R   + 
+--R             12 4         13 3  7          13 3         14 2  6
+--R     (1820a c  d  + 560b c  d )x  + (560a c  d  + 120b c  d )x
+--R   + 
+--R            14 2        15   5         15       16  4      16 3
+--R     (120a c  d  + 16b c  d)x  + (16a c  d + b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  71
+
+--S  72 of 1092
+r0:=1/17*c^3*(b*c-a*d)*(c+d*x)^17/d^5-1/18*c^2*(4*b*c-3*a*d)*(c+d*x)^18/d^5+_
+     3/19*c*(2*b*c-a*d)*(c+d*x)^19/d^5-1/20*(4*b*c-a*d)*(c+d*x)^20/d^5+_
+     1/21*b*(c+d*x)^21/d^5
+--R 
+--R
+--R   (2)
+--R        1    21 21     1    21   4      20  20    16      20   120    2 19  19
+--R       -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R       21             20         5                19            19
+--R     + 
+--R        20    2 19   280    3 18  18    560    3 18   1820    4 17  17
+--R       (-- a c d   + --- b c d  )x   + (--- a c d   + ---- b c d  )x
+--R         3            9                  17            17
+--R     + 
+--R        455    4 17         5 16  16    1456    5 16   8008    6 15  15
+--R       (--- a c d   + 273b c d  )x   + (---- a c d   + ---- b c d  )x
+--R         4                                5             15
+--R     + 
+--R              6 15   5720    7 14  14          7 14         8 13  13
+--R       (572a c d   + ---- b c d  )x   + (880a c d   + 990b c d  )x
+--R                       7
+--R     + 
+--R        2145    8 13   2860    9 12  12           9 12         10 11  11
+--R       (---- a c d   + ---- b c d  )x   + (1040a c d   + 728b c  d  )x
+--R          2              3
+--R     + 
+--R        4004    10 11   2184    11 10  10    1456    11 10   1820    12 9  9
+--R       (---- a c  d   + ---- b c  d  )x   + (---- a c  d   + ---- b c  d )x
+--R          5               5                    3               9
+--R     + 
+--R        455    12 9        13 8  8         13 8   120    14 7  7
+--R       (--- a c  d  + 70b c  d )x  + (80a c  d  + --- b c  d )x
+--R         2                                         7
+--R     + 
+--R             14 7   8    15 6  6    16    15 6   1    16 5  5   1    16 5 4
+--R       (20a c  d  + - b c  d )x  + (-- a c  d  + - b c  d )x  + - a c  d x
+--R                    3                5           5              4
+--R     + 
+--R           1      20       1      21
+--R       - ----- a c  d + ------ b c
+--R         19380          101745
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  72
+
+--S  73 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1    16 21     1    16   4      15  20    16      15   120    2 14  19
+--R     -- b d  x   + (-- a d   + - b c d  )x   + (-- a c d   + --- b c d  )x
+--R     21             20         5                19            19
+--R   + 
+--R      20    2 14   280    3 13  18    560    3 13   1820    4 12  17
+--R     (-- a c d   + --- b c d  )x   + (--- a c d   + ---- b c d  )x
+--R       3            9                  17            17
+--R   + 
+--R      455    4 12         5 11  16    1456    5 11   8008    6 10  15
+--R     (--- a c d   + 273b c d  )x   + (---- a c d   + ---- b c d  )x
+--R       4                                5             15
+--R   + 
+--R            6 10   5720    7 9  14          7 9         8 8  13
+--R     (572a c d   + ---- b c d )x   + (880a c d  + 990b c d )x
+--R                     7
+--R   + 
+--R      2145    8 8   2860    9 7  12           9 7         10 6  11
+--R     (---- a c d  + ---- b c d )x   + (1040a c d  + 728b c  d )x
+--R        2             3
+--R   + 
+--R      4004    10 6   2184    11 5  10    1456    11 5   1820    12 4  9
+--R     (---- a c  d  + ---- b c  d )x   + (---- a c  d  + ---- b c  d )x
+--R        5              5                   3              9
+--R   + 
+--R      455    12 4        13 3  8         13 3   120    14 2  7
+--R     (--- a c  d  + 70b c  d )x  + (80a c  d  + --- b c  d )x
+--R       2                                         7
+--R   + 
+--R           14 2   8    15   6    16    15    1    16  5   1    16 4
+--R     (20a c  d  + - b c  d)x  + (-- a c  d + - b c  )x  + - a c  x
+--R                  3               5          5            4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  73
+
+--S  74 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1      20       1      21
+--R        ----- a c  d - ------ b c
+--R        19380          101745
+--R   (4)  ---------------------------
+--R                      5
+--R                     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  74
+
+--S  75 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  75
+
+)clear all
+
+--S  76 of 1092
+t0:=x^2*(2+x)^5*(2+3*x)
+--R 
+--R
+--R          8      7       6       5       4       3      2
+--R   (1)  3x  + 32x  + 140x  + 320x  + 400x  + 256x  + 64x
+--R                                                    Type: Polynomial(Integer)
+--E  76
+
+--S  77 of 1092
+r0:=1/3*x^3*(2+x)^6
+--R 
+--R
+--R        1  9     8      7   160  6      5      4   64  3
+--R   (2)  - x  + 4x  + 20x  + --- x  + 80x  + 64x  + -- x
+--R        3                    3                      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  77
+
+--S  78 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        1  9     8      7   160  6      5      4   64  3
+--R   (3)  - x  + 4x  + 20x  + --- x  + 80x  + 64x  + -- x
+--R        3                    3                      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  78
+
+--S  79 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  79
+
+--S  80 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  80
+
+)clear all
+
+--S  81 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 4         3    2 2          n
+--R   (1)  (d x  + 2c d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  81
+
+--S  82 of 1092
+r0:=a^2*(b*c-a*d)^2*(a+b*x)^(1+n)/(b^5*(1+n))-2*a*(b*c-2*a*d)*(b*c-a*d)*_
+     (a+b*x)^(2+n)/(b^5*(2+n))+(b^2*c^2-6*a*b*c*d+6*a^2*d^2)*_
+     (a+b*x)^(3+n)/(b^5*(3+n))+2*d*(b*c-2*a*d)*(a+b*x)^(4+n)/(b^5*(4+n))+_
+     d^2*(a+b*x)^(5+n)/(b^5*(5+n))
+--R 
+--R
+--R   (2)
+--R         2 4      2 3      2 2      2       2          n + 5
+--R       (d n  + 10d n  + 35d n  + 50d n + 24d )(b x + a)
+--R     + 
+--R                  2           4           2            3
+--R           (- 4a d  + 2b c d)n  + (- 44a d  + 22b c d)n
+--R         + 
+--R                  2            2            2                      2
+--R         (- 164a d  + 82b c d)n  + (- 244a d  + 122b c d)n - 120a d  + 60b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R              2 2               2 2  4       2 2                  2 2  3
+--R           (6a d  - 6a b c d + b c )n  + (72a d  - 72a b c d + 12b c )n
+--R         + 
+--R                2 2                   2 2  2        2 2                   2 2
+--R           (294a d  - 294a b c d + 49b c )n  + (468a d  - 468a b c d + 78b c )n
+--R         + 
+--R               2 2                   2 2
+--R           240a d  - 240a b c d + 40b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                3 2     2            2 2  4
+--R           (- 4a d  + 6a b c d - 2a b c )n
+--R         + 
+--R                 3 2      2             2 2  3
+--R           (- 52a d  + 78a b c d - 26a b c )n
+--R         + 
+--R                  3 2       2              2 2  2
+--R           (- 236a d  + 354a b c d - 118a b c )n
+--R         + 
+--R                  3 2       2              2 2         3 2       2
+--R           (- 428a d  + 642a b c d - 214a b c )n - 240a d  + 360a b c d
+--R         + 
+--R                   2 2
+--R           - 120a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             4 2     3         2 2 2  4       4 2      3           2 2 2  3
+--R           (a d  - 2a b c d + a b c )n  + (14a d  - 28a b c d + 14a b c )n
+--R         + 
+--R               4 2       3           2 2 2  2
+--R           (71a d  - 142a b c d + 71a b c )n
+--R         + 
+--R              4 2       3            2 2 2         4 2       3            2 2 2
+--R         (154a d  - 308a b c d + 154a b c )n + 120a d  - 240a b c d + 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  82
+
+--S  83 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           5 2 4      5 2 3      5 2 2      5 2       5 2  5
+--R         (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R       + 
+--R                 4 2     5     4        4 2      5     3
+--R             (a b d  + 2b c d)n  + (6a b d  + 22b c d)n
+--R           + 
+--R                   4 2      5     2        4 2       5           5
+--R             (11a b d  + 82b c d)n  + (6a b d  + 122b c d)n + 60b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  4       5 2  4        2 3 2        4         5 2  3
+--R             (2a b c d + b c )n  + (- 4a b d  + 16a b c d + 12b c )n
+--R           + 
+--R                   2 3 2        4         5 2  2
+--R             (- 12a b d  + 34a b c d + 49b c )n
+--R           + 
+--R                  2 3 2        4         5 2        5 2
+--R             (- 8a b d  + 20a b c d + 78b c )n + 40b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                4 2 4        2 3           4 2  3
+--R             a b c n  + (- 6a b c d + 10a b c )n
+--R           + 
+--R                 3 2 2      2 3           4 2  2
+--R             (12a b d  - 36a b c d + 29a b c )n
+--R           + 
+--R                 3 2 2      2 3           4 2
+--R             (12a b d  - 30a b c d + 20a b c )n
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 2 3 2 3       3 2         2 3 2  2
+--R             - 2a b c n  + (12a b c d - 18a b c )n
+--R           + 
+--R                   4   2      3 2         2 3 2
+--R             (- 24a b d  + 60a b c d - 40a b c )n
+--R        *
+--R           x
+--R       + 
+--R           3 2 2 2         4           3 2 2        5 2      4           3 2 2
+--R         2a b c n  + (- 12a b c d + 18a b c )n + 24a d  - 60a b c d + 40a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                         Type: Union(Expression(Integer),...)
+--E  83
+
+--S  84 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             5 2 4      5 2 3      5 2 2      5 2       5 2  5
+--R           (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R         + 
+--R                   4 2     5     4        4 2      5     3
+--R               (a b d  + 2b c d)n  + (6a b d  + 22b c d)n
+--R             + 
+--R                     4 2      5     2        4 2       5           5
+--R               (11a b d  + 82b c d)n  + (6a b d  + 122b c d)n + 60b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    4       5 2  4        2 3 2        4         5 2  3
+--R               (2a b c d + b c )n  + (- 4a b d  + 16a b c d + 12b c )n
+--R             + 
+--R                     2 3 2        4         5 2  2
+--R               (- 12a b d  + 34a b c d + 49b c )n
+--R             + 
+--R                    2 3 2        4         5 2        5 2
+--R               (- 8a b d  + 20a b c d + 78b c )n + 40b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  4 2 4        2 3           4 2  3
+--R               a b c n  + (- 6a b c d + 10a b c )n
+--R             + 
+--R                   3 2 2      2 3           4 2  2
+--R               (12a b d  - 36a b c d + 29a b c )n
+--R             + 
+--R                   3 2 2      2 3           4 2
+--R               (12a b d  - 30a b c d + 20a b c )n
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   2 3 2 3       3 2         2 3 2  2
+--R               - 2a b c n  + (12a b c d - 18a b c )n
+--R             + 
+--R                     4   2      3 2         2 3 2
+--R               (- 24a b d  + 60a b c d - 40a b c )n
+--R          *
+--R             x
+--R         + 
+--R           3 2 2 2         4           3 2 2        5 2      4           3 2 2
+--R         2a b c n  + (- 12a b c d + 18a b c )n + 24a d  - 60a b c d + 40a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 4      2 3      2 2      2       2          n + 5
+--R       (- d n  - 10d n  - 35d n  - 50d n - 24d )(b x + a)
+--R     + 
+--R                2           4         2            3          2            2
+--R           (4a d  - 2b c d)n  + (44a d  - 22b c d)n  + (164a d  - 82b c d)n
+--R         + 
+--R                  2                      2
+--R           (244a d  - 122b c d)n + 120a d  - 60b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                2 2               2 2  4         2 2                  2 2  3
+--R           (- 6a d  + 6a b c d - b c )n  + (- 72a d  + 72a b c d - 12b c )n
+--R         + 
+--R                  2 2                   2 2  2
+--R           (- 294a d  + 294a b c d - 49b c )n
+--R         + 
+--R                  2 2                   2 2         2 2                   2 2
+--R           (- 468a d  + 468a b c d - 78b c )n - 240a d  + 240a b c d - 40b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              3 2     2            2 2  4       3 2      2             2 2  3
+--R           (4a d  - 6a b c d + 2a b c )n  + (52a d  - 78a b c d + 26a b c )n
+--R         + 
+--R                3 2       2              2 2  2
+--R           (236a d  - 354a b c d + 118a b c )n
+--R         + 
+--R              3 2       2              2 2         3 2       2              2 2
+--R         (428a d  - 642a b c d + 214a b c )n + 240a d  - 360a b c d + 120a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               4 2     3         2 2 2  4         4 2      3           2 2 2  3
+--R           (- a d  + 2a b c d - a b c )n  + (- 14a d  + 28a b c d - 14a b c )n
+--R         + 
+--R                 4 2       3           2 2 2  2
+--R           (- 71a d  + 142a b c d - 71a b c )n
+--R         + 
+--R                  4 2       3            2 2 2         4 2       3
+--R           (- 154a d  + 308a b c d - 154a b c )n - 120a d  + 240a b c d
+--R         + 
+--R                 2 2 2
+--R           - 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  84
+
+--S  85 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  85
+
+)clear all
+
+--S  86 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 3         2    2           n
+--R   (1)  (d x  + 2c d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  86
+
+--S  87 of 1092
+r0:=-a*(b*c-a*d)^2*(a+b*x)^(1+n)/(b^4*(1+n))+(b*c-3*a*d)*(b*c-a*d)*_
+     (a+b*x)^(2+n)/(b^4*(2+n))+d*(2*b*c-3*a*d)*(a+b*x)^(3+n)/_
+     (b^4*(3+n))+d^2*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         2 3     2 2      2      2          n + 4
+--R       (d n  + 6d n  + 11d n + 6d )(b x + a)
+--R     + 
+--R                  2           3           2            2           2
+--R           (- 3a d  + 2b c d)n  + (- 21a d  + 14b c d)n  + (- 42a d  + 28b c d)n
+--R         + 
+--R                  2
+--R           - 24a d  + 16b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2 2               2 2  3       2 2                 2 2  2
+--R           (3a d  - 4a b c d + b c )n  + (24a d  - 32a b c d + 8b c )n
+--R         + 
+--R               2 2                  2 2        2 2                  2 2
+--R           (57a d  - 76a b c d + 19b c )n + 36a d  - 48a b c d + 12b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3 2     2           2 2  3        3 2      2            2 2  2
+--R           (- a d  + 2a b c d - a b c )n  + (- 9a d  + 18a b c d - 9a b c )n
+--R         + 
+--R                 3 2      2             2 2        3 2      2             2 2
+--R           (- 26a d  + 52a b c d - 26a b c )n - 24a d  + 48a b c d - 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  87
+
+--S  88 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 2 3     4 2 2      4 2      4 2  4
+--R         (b d n  + 6b d n  + 11b d n + 6b d )x
+--R       + 
+--R                 3 2     4     3        3 2      4     2        3 2      4
+--R             (a b d  + 2b c d)n  + (3a b d  + 14b c d)n  + (2a b d  + 28b c d)n
+--R           + 
+--R                4
+--R             16b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  3       4 2  3        2 2 2        3        4 2  2
+--R             (2a b c d + b c )n  + (- 3a b d  + 10a b c d + 8b c )n
+--R           + 
+--R                  2 2 2       3         4 2        4 2
+--R             (- 3a b d  + 8a b c d + 19b c )n + 12b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                3 2 3        2 2          3 2  2
+--R             a b c n  + (- 4a b c d + 7a b c )n
+--R           + 
+--R                3   2      2 2           3 2
+--R             (6a b d  - 16a b c d + 12a b c )n
+--R        *
+--R           x
+--R       + 
+--R            2 2 2 2      3          2 2 2       4 2      3           2 2 2
+--R         - a b c n  + (4a b c d - 7a b c )n - 6a d  + 16a b c d - 12a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  88
+
+--S  89 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4 2 3     4 2 2      4 2      4 2  4
+--R           (b d n  + 6b d n  + 11b d n + 6b d )x
+--R         + 
+--R                   3 2     4     3        3 2      4     2
+--R               (a b d  + 2b c d)n  + (3a b d  + 14b c d)n
+--R             + 
+--R                    3 2      4           4
+--R               (2a b d  + 28b c d)n + 16b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    3       4 2  3        2 2 2        3        4 2  2
+--R               (2a b c d + b c )n  + (- 3a b d  + 10a b c d + 8b c )n
+--R             + 
+--R                    2 2 2       3         4 2        4 2
+--R               (- 3a b d  + 8a b c d + 19b c )n + 12b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  3 2 3        2 2          3 2  2
+--R               a b c n  + (- 4a b c d + 7a b c )n
+--R             + 
+--R                  3   2      2 2           3 2
+--R               (6a b d  - 16a b c d + 12a b c )n
+--R          *
+--R             x
+--R         + 
+--R              2 2 2 2      3          2 2 2       4 2      3           2 2 2
+--R           - a b c n  + (4a b c d - 7a b c )n - 6a d  + 16a b c d - 12a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 3     2 2      2      2          n + 4
+--R       (- d n  - 6d n  - 11d n - 6d )(b x + a)
+--R     + 
+--R                2           3         2            2         2
+--R           (3a d  - 2b c d)n  + (21a d  - 14b c d)n  + (42a d  - 28b c d)n
+--R         + 
+--R                2
+--R           24a d  - 16b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2 2               2 2  3         2 2                 2 2  2
+--R           (- 3a d  + 4a b c d - b c )n  + (- 24a d  + 32a b c d - 8b c )n
+--R         + 
+--R                 2 2                  2 2        2 2                  2 2
+--R           (- 57a d  + 76a b c d - 19b c )n - 36a d  + 48a b c d - 12b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3 2     2           2 2  3      3 2      2            2 2  2
+--R           (a d  - 2a b c d + a b c )n  + (9a d  - 18a b c d + 9a b c )n
+--R         + 
+--R               3 2      2             2 2        3 2      2             2 2
+--R           (26a d  - 52a b c d + 26a b c )n + 24a d  - 48a b c d + 24a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  89
+
+--S  90 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  90
+
+)clear all
+
+--S  91 of 1092
+t0:=(a+b*x)^n*(c+d*x)^2
+--R 
+--R
+--R          2 2             2          n
+--R   (1)  (d x  + 2c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  91
+
+--S  92 of 1092
+r0:=(b*c-a*d)^2*(a+b*x)^(1+n)/(b^3*(1+n))+2*d*(b*c-a*d)*(a+b*x)^(2+n)/_
+     (b^3*(2+n))+d^2*(a+b*x)^(3+n)/(b^3*(3+n))
+--R 
+--R
+--R   (2)
+--R         2 2     2      2          n + 3
+--R       (d n  + 3d n + 2d )(b x + a)
+--R     + 
+--R                 2           2          2                  2
+--R         ((- 2a d  + 2b c d)n  + (- 8a d  + 8b c d)n - 6a d  + 6b c d)
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             2 2               2 2  2      2 2                 2 2       2 2
+--R           (a d  - 2a b c d + b c )n  + (5a d  - 10a b c d + 5b c )n + 6a d
+--R         + 
+--R                           2 2
+--R           - 12a b c d + 6b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  92
+
+--S  93 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 2 2     3 2      3 2  3
+--R         (b d n  + 3b d n + 2b d )x
+--R       + 
+--R              2 2     3     2       2 2     3          3     2
+--R         ((a b d  + 2b c d)n  + (a b d  + 8b c d)n + 6b c d)x
+--R       + 
+--R               2       3 2  2        2   2       2        3 2       3 2
+--R         ((2a b c d + b c )n  + (- 2a b d  + 6a b c d + 5b c )n + 6b c )x
+--R       + 
+--R            2 2 2        2            2 2       3 2     2            2 2
+--R         a b c n  + (- 2a b c d + 5a b c )n + 2a d  - 6a b c d + 6a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  93
+
+--S  94 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             3 2 2     3 2      3 2  3
+--R           (b d n  + 3b d n + 2b d )x
+--R         + 
+--R                2 2     3     2       2 2     3          3     2
+--R           ((a b d  + 2b c d)n  + (a b d  + 8b c d)n + 6b c d)x
+--R         + 
+--R                 2       3 2  2        2   2       2        3 2       3 2
+--R           ((2a b c d + b c )n  + (- 2a b d  + 6a b c d + 5b c )n + 6b c )x
+--R         + 
+--R              2 2 2        2            2 2       3 2     2            2 2
+--R           a b c n  + (- 2a b c d + 5a b c )n + 2a d  - 6a b c d + 6a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2 2     2      2          n + 3
+--R       (- d n  - 3d n - 2d )(b x + a)
+--R     + 
+--R             2           2        2                  2                   n + 2
+--R       ((2a d  - 2b c d)n  + (8a d  - 8b c d)n + 6a d  - 6b c d)(b x + a)
+--R     + 
+--R               2 2               2 2  2        2 2                 2 2       2 2
+--R           (- a d  + 2a b c d - b c )n  + (- 5a d  + 10a b c d - 5b c )n - 6a d
+--R         + 
+--R                         2 2
+--R           12a b c d - 6b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E  94
+
+--S  95 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  95
+
+)clear all
+
+--S  96 of 1092
+t0:=(a+b*x)^n*(c+d*x)^2/x
+--R 
+--R
+--R          2 2             2          n
+--R        (d x  + 2c d x + c )(b x + a)
+--R   (1)  ------------------------------
+--R                       x
+--R                                                    Type: Expression(Integer)
+--E  96
+
+--S  97 of 1092
+--r0:=-d*(a*d-b*c*(3+n))*(a+b*x)^(1+n)/(b^2*(1+n)*(2+n))+_
+--     d*(a+b*x)^(1+n)*(c+d*x)/(b*(2+n))-c^2*(a+b*x)^(1+n)*_
+--     hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  97
+
+--S  98 of 1092
+--a0:=integrate(t0,x)
+--E  98
+
+--S  99 of 1092
+--m0:=a0-r0
+--E  99
+
+--S  100 of 1092
+--d0:=D(m0,x)
+--E  100
+
+)clear all
+
+--S  101 of 1092
+t0:=x^m*(a+b*x)^2*(c+d*x)^5
+--R 
+--R
+--R   (1)
+--R        2 5 7          5     2   4  6     2 5            4      2 2 3  5
+--R       b d x  + (2a b d  + 5b c d )x  + (a d  + 10a b c d  + 10b c d )x
+--R     + 
+--R          2   4          2 3      2 3 2  4       2 2 3          3 2     2 4   3
+--R       (5a c d  + 20a b c d  + 10b c d )x  + (10a c d  + 20a b c d  + 5b c d)x
+--R     + 
+--R           2 3 2          4     2 5  2      2 4          5      2 5
+--R       (10a c d  + 10a b c d + b c )x  + (5a c d + 2a b c )x + a c
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E  101
+
+--S  102 of 1092
+r0:=a^2*c^5*x^(1+m)/(1+m)+a*c^4*(2*b*c+5*a*d)*x^(2+m)/(2+m)+_
+     c^3*(b^2*c^2+10*a*b*c*d+10*a^2*d^2)*x^(3+m)/(3+m)+_
+     5*c^2*d*(b^2*c^2+4*a*b*c*d+2*a^2*d^2)*x^(4+m)/(4+m)+_
+     5*c*d^2*(2*b^2*c^2+4*a*b*c*d+a^2*d^2)*x^(5+m)/(5+m)+_
+     d^3*(10*b^2*c^2+10*a*b*c*d+a^2*d^2)*x^(6+m)/(6+m)+_
+     b*d^4*(5*b*c+2*a*d)*x^(7+m)/(7+m)+b^2*d^5*x^(8+m)/(8+m)
+--R 
+--R
+--R   (2)
+--R            2 5 7      2 5 6       2 5 5        2 5 4        2 5 3         2 5 2
+--R           b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m  + 13132b d m
+--R         + 
+--R                 2 5         2 5
+--R           13068b d m + 5040b d
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                  5     2   4  7           5       2   4  6
+--R           (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R         + 
+--R                    5        2   4  5             5         2   4  4
+--R           (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R         + 
+--R                      5         2   4  3              5         2   4  2
+--R           (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R         + 
+--R                      5         2   4               5         2   4
+--R           (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R             2 5            4      2 2 3  7
+--R           (a d  + 10a b c d  + 10b c d )m
+--R         + 
+--R               2 5             4       2 2 3  6
+--R           (30a d  + 300a b c d  + 300b c d )m
+--R         + 
+--R                2 5              4        2 2 3  5
+--R           (366a d  + 3660a b c d  + 3660b c d )m
+--R         + 
+--R                 2 5               4         2 2 3  4
+--R           (2340a d  + 23400a b c d  + 23400b c d )m
+--R         + 
+--R                 2 5               4         2 2 3  3
+--R           (8409a d  + 84090a b c d  + 84090b c d )m
+--R         + 
+--R                  2 5                4          2 2 3  2
+--R           (16830a d  + 168300a b c d  + 168300b c d )m
+--R         + 
+--R                  2 5                4          2 2 3          2 5
+--R           (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R         + 
+--R                       4         2 2 3
+--R           67200a b c d  + 67200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R              2   4          2 3      2 3 2  7
+--R           (5a c d  + 20a b c d  + 10b c d )m
+--R         + 
+--R                2   4           2 3       2 3 2  6
+--R           (155a c d  + 620a b c d  + 310b c d )m
+--R         + 
+--R                 2   4            2 3        2 3 2  5
+--R           (1955a c d  + 7820a b c d  + 3910b c d )m
+--R         + 
+--R                  2   4             2 3         2 3 2  4
+--R           (12905a c d  + 51620a b c d  + 25810b c d )m
+--R         + 
+--R                  2   4              2 3         2 3 2  3
+--R           (47720a c d  + 190880a b c d  + 95440b c d )m
+--R         + 
+--R                  2   4              2 3          2 3 2  2
+--R           (97820a c d  + 391280a b c d  + 195640b c d )m
+--R         + 
+--R                   2   4              2 3          2 3 2           2   4
+--R           (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R         + 
+--R                      2 3         2 3 2
+--R           161280a b c d  + 80640b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R               2 2 3          3 2     2 4   7
+--R           (10a c d  + 20a b c d  + 5b c d)m
+--R         + 
+--R                2 2 3           3 2       2 4   6
+--R           (320a c d  + 640a b c d  + 160b c d)m
+--R         + 
+--R                 2 2 3            3 2        2 4   5
+--R           (4180a c d  + 8360a b c d  + 2090b c d)m
+--R         + 
+--R                  2 2 3             3 2         2 4   4
+--R           (28640a c d  + 57280a b c d  + 14320b c d)m
+--R         + 
+--R                   2 2 3              3 2         2 4   3
+--R           (109930a c d  + 219860a b c d  + 54965b c d)m
+--R         + 
+--R                   2 2 3              3 2          2 4   2
+--R           (233120a c d  + 466240a b c d  + 116560b c d)m
+--R         + 
+--R                   2 2 3              3 2          2 4             2 2 3
+--R           (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R         + 
+--R                      3 2         2 4
+--R           201600a b c d  + 50400b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R               2 3 2          4     2 5  7        2 3 2           4       2 5  6
+--R           (10a c d  + 10a b c d + b c )m  + (330a c d  + 330a b c d + 33b c )m
+--R         + 
+--R                 2 3 2            4        2 5  5
+--R           (4470a c d  + 4470a b c d + 447b c )m
+--R         + 
+--R                  2 3 2             4         2 5  4
+--R           (31950a c d  + 31950a b c d + 3195b c )m
+--R         + 
+--R                   2 3 2              4          2 5  3
+--R           (128640a c d  + 128640a b c d + 12864b c )m
+--R         + 
+--R                   2 3 2              4          2 5  2
+--R           (286920a c d  + 286920a b c d + 28692b c )m
+--R         + 
+--R                   2 3 2              4          2 5            2 3 2
+--R           (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R         + 
+--R                      4          2 5
+--R           134400a b c d + 13440b c
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R              2 4          5  7        2 4           5  6
+--R           (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R         + 
+--R                 2 4            5  5          2 4             5  4
+--R           (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R         + 
+--R                  2 4              5  3           2 4              5  2
+--R           (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R         + 
+--R                   2 4              5            2 4              5
+--R           (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R            2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R           a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R         + 
+--R                 2 5 2         2 5          2 5
+--R           48860a c m  + 69264a c m + 40320a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E  102
+
+--S  103 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R             b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R           + 
+--R                   2 5 2         2 5         2 5
+--R             13132b d m  + 13068b d m + 5040b d
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                    5     2   4  7           5       2   4  6
+--R             (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R           + 
+--R                      5        2   4  5             5         2   4  4
+--R             (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R           + 
+--R                        5         2   4  3              5         2   4  2
+--R             (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R           + 
+--R                        5         2   4               5         2   4
+--R             (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R               2 5            4      2 2 3  7
+--R             (a d  + 10a b c d  + 10b c d )m
+--R           + 
+--R                 2 5             4       2 2 3  6
+--R             (30a d  + 300a b c d  + 300b c d )m
+--R           + 
+--R                  2 5              4        2 2 3  5
+--R             (366a d  + 3660a b c d  + 3660b c d )m
+--R           + 
+--R                   2 5               4         2 2 3  4
+--R             (2340a d  + 23400a b c d  + 23400b c d )m
+--R           + 
+--R                   2 5               4         2 2 3  3
+--R             (8409a d  + 84090a b c d  + 84090b c d )m
+--R           + 
+--R                    2 5                4          2 2 3  2
+--R             (16830a d  + 168300a b c d  + 168300b c d )m
+--R           + 
+--R                    2 5                4          2 2 3          2 5
+--R             (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R           + 
+--R                         4         2 2 3
+--R             67200a b c d  + 67200b c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                2   4          2 3      2 3 2  7
+--R             (5a c d  + 20a b c d  + 10b c d )m
+--R           + 
+--R                  2   4           2 3       2 3 2  6
+--R             (155a c d  + 620a b c d  + 310b c d )m
+--R           + 
+--R                   2   4            2 3        2 3 2  5
+--R             (1955a c d  + 7820a b c d  + 3910b c d )m
+--R           + 
+--R                    2   4             2 3         2 3 2  4
+--R             (12905a c d  + 51620a b c d  + 25810b c d )m
+--R           + 
+--R                    2   4              2 3         2 3 2  3
+--R             (47720a c d  + 190880a b c d  + 95440b c d )m
+--R           + 
+--R                    2   4              2 3          2 3 2  2
+--R             (97820a c d  + 391280a b c d  + 195640b c d )m
+--R           + 
+--R                     2   4              2 3          2 3 2           2   4
+--R             (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R           + 
+--R                        2 3         2 3 2
+--R             161280a b c d  + 80640b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                 2 2 3          3 2     2 4   7
+--R             (10a c d  + 20a b c d  + 5b c d)m
+--R           + 
+--R                  2 2 3           3 2       2 4   6
+--R             (320a c d  + 640a b c d  + 160b c d)m
+--R           + 
+--R                   2 2 3            3 2        2 4   5
+--R             (4180a c d  + 8360a b c d  + 2090b c d)m
+--R           + 
+--R                    2 2 3             3 2         2 4   4
+--R             (28640a c d  + 57280a b c d  + 14320b c d)m
+--R           + 
+--R                     2 2 3              3 2         2 4   3
+--R             (109930a c d  + 219860a b c d  + 54965b c d)m
+--R           + 
+--R                     2 2 3              3 2          2 4   2
+--R             (233120a c d  + 466240a b c d  + 116560b c d)m
+--R           + 
+--R                     2 2 3              3 2          2 4             2 2 3
+--R             (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R           + 
+--R                        3 2         2 4
+--R             201600a b c d  + 50400b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                 2 3 2          4     2 5  7
+--R             (10a c d  + 10a b c d + b c )m
+--R           + 
+--R                  2 3 2           4       2 5  6
+--R             (330a c d  + 330a b c d + 33b c )m
+--R           + 
+--R                   2 3 2            4        2 5  5
+--R             (4470a c d  + 4470a b c d + 447b c )m
+--R           + 
+--R                    2 3 2             4         2 5  4
+--R             (31950a c d  + 31950a b c d + 3195b c )m
+--R           + 
+--R                     2 3 2              4          2 5  3
+--R             (128640a c d  + 128640a b c d + 12864b c )m
+--R           + 
+--R                     2 3 2              4          2 5  2
+--R             (286920a c d  + 286920a b c d + 28692b c )m
+--R           + 
+--R                     2 3 2              4          2 5            2 3 2
+--R             (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R           + 
+--R                        4          2 5
+--R             134400a b c d + 13440b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                2 4          5  7        2 4           5  6
+--R             (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R           + 
+--R                   2 4            5  5          2 4             5  4
+--R             (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R           + 
+--R                    2 4              5  3           2 4              5  2
+--R             (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R           + 
+--R                     2 4              5            2 4              5
+--R             (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R             a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R           + 
+--R                   2 5 2         2 5          2 5
+--R             48860a c m  + 69264a c m + 40320a c
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                         Type: Union(Expression(Integer),...)
+--E  103
+
+--S  104 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R                2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R               b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R             + 
+--R                     2 5 2         2 5         2 5
+--R               13132b d m  + 13068b d m + 5040b d
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                      5     2   4  7           5       2   4  6
+--R               (2a b d  + 5b c d )m  + (58a b d  + 145b c d )m
+--R             + 
+--R                        5        2   4  5             5         2   4  4
+--R               (686a b d  + 1715b c d )m  + (4270a b d  + 10675b c d )m
+--R             + 
+--R                          5         2   4  3              5         2   4  2
+--R               (15008a b d  + 37520b c d )m  + (29512a b d  + 73780b c d )m
+--R             + 
+--R                          5         2   4               5         2   4
+--R               (29664a b d  + 74160b c d )m + 11520a b d  + 28800b c d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                 2 5            4      2 2 3  7
+--R               (a d  + 10a b c d  + 10b c d )m
+--R             + 
+--R                   2 5             4       2 2 3  6
+--R               (30a d  + 300a b c d  + 300b c d )m
+--R             + 
+--R                    2 5              4        2 2 3  5
+--R               (366a d  + 3660a b c d  + 3660b c d )m
+--R             + 
+--R                     2 5               4         2 2 3  4
+--R               (2340a d  + 23400a b c d  + 23400b c d )m
+--R             + 
+--R                     2 5               4         2 2 3  3
+--R               (8409a d  + 84090a b c d  + 84090b c d )m
+--R             + 
+--R                      2 5                4          2 2 3  2
+--R               (16830a d  + 168300a b c d  + 168300b c d )m
+--R             + 
+--R                      2 5                4          2 2 3          2 5
+--R               (17144a d  + 171440a b c d  + 171440b c d )m + 6720a d
+--R             + 
+--R                           4         2 2 3
+--R               67200a b c d  + 67200b c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                  2   4          2 3      2 3 2  7
+--R               (5a c d  + 20a b c d  + 10b c d )m
+--R             + 
+--R                    2   4           2 3       2 3 2  6
+--R               (155a c d  + 620a b c d  + 310b c d )m
+--R             + 
+--R                     2   4            2 3        2 3 2  5
+--R               (1955a c d  + 7820a b c d  + 3910b c d )m
+--R             + 
+--R                      2   4             2 3         2 3 2  4
+--R               (12905a c d  + 51620a b c d  + 25810b c d )m
+--R             + 
+--R                      2   4              2 3         2 3 2  3
+--R               (47720a c d  + 190880a b c d  + 95440b c d )m
+--R             + 
+--R                      2   4              2 3          2 3 2  2
+--R               (97820a c d  + 391280a b c d  + 195640b c d )m
+--R             + 
+--R                       2   4              2 3          2 3 2           2   4
+--R               (101520a c d  + 406080a b c d  + 203040b c d )m + 40320a c d
+--R             + 
+--R                          2 3         2 3 2
+--R               161280a b c d  + 80640b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                   2 2 3          3 2     2 4   7
+--R               (10a c d  + 20a b c d  + 5b c d)m
+--R             + 
+--R                    2 2 3           3 2       2 4   6
+--R               (320a c d  + 640a b c d  + 160b c d)m
+--R             + 
+--R                     2 2 3            3 2        2 4   5
+--R               (4180a c d  + 8360a b c d  + 2090b c d)m
+--R             + 
+--R                      2 2 3             3 2         2 4   4
+--R               (28640a c d  + 57280a b c d  + 14320b c d)m
+--R             + 
+--R                       2 2 3              3 2         2 4   3
+--R               (109930a c d  + 219860a b c d  + 54965b c d)m
+--R             + 
+--R                       2 2 3              3 2          2 4   2
+--R               (233120a c d  + 466240a b c d  + 116560b c d)m
+--R             + 
+--R                       2 2 3              3 2          2 4             2 2 3
+--R               (248760a c d  + 497520a b c d  + 124380b c d)m + 100800a c d
+--R             + 
+--R                          3 2         2 4
+--R               201600a b c d  + 50400b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                   2 3 2          4     2 5  7
+--R               (10a c d  + 10a b c d + b c )m
+--R             + 
+--R                    2 3 2           4       2 5  6
+--R               (330a c d  + 330a b c d + 33b c )m
+--R             + 
+--R                     2 3 2            4        2 5  5
+--R               (4470a c d  + 4470a b c d + 447b c )m
+--R             + 
+--R                      2 3 2             4         2 5  4
+--R               (31950a c d  + 31950a b c d + 3195b c )m
+--R             + 
+--R                       2 3 2              4          2 5  3
+--R               (128640a c d  + 128640a b c d + 12864b c )m
+--R             + 
+--R                       2 3 2              4          2 5  2
+--R               (286920a c d  + 286920a b c d + 28692b c )m
+--R             + 
+--R                       2 3 2              4          2 5            2 3 2
+--R               (320480a c d  + 320480a b c d + 32048b c )m + 134400a c d
+--R             + 
+--R                          4          2 5
+--R               134400a b c d + 13440b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  2 4          5  7        2 4           5  6
+--R               (5a c d + 2a b c )m  + (170a c d + 68a b c )m
+--R             + 
+--R                     2 4            5  5          2 4             5  4
+--R               (2390a c d + 956a b c )m  + (17900a c d + 7160a b c )m
+--R             + 
+--R                      2 4              5  3           2 4              5  2
+--R               (76445a c d + 30578a b c )m  + (183530a c d + 73412a b c )m
+--R             + 
+--R                       2 4              5            2 4              5
+--R               (223560a c d + 89424a b c )m + 100800a c d + 40320a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R               a c m  + 35a c m  + 511a c m  + 4025a c m  + 18424a c m
+--R             + 
+--R                     2 5 2         2 5          2 5
+--R               48860a c m  + 69264a c m + 40320a c
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4        2 5 3
+--R           - b d m  - 28b d m  - 322b d m  - 1960b d m  - 6769b d m
+--R         + 
+--R                   2 5 2         2 5         2 5
+--R           - 13132b d m  - 13068b d m - 5040b d
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                    5     2   4  7             5       2   4  6
+--R           (- 2a b d  - 5b c d )m  + (- 58a b d  - 145b c d )m
+--R         + 
+--R                      5        2   4  5               5         2   4  4
+--R           (- 686a b d  - 1715b c d )m  + (- 4270a b d  - 10675b c d )m
+--R         + 
+--R                        5         2   4  3                5         2   4  2
+--R           (- 15008a b d  - 37520b c d )m  + (- 29512a b d  - 73780b c d )m
+--R         + 
+--R                        5         2   4               5         2   4
+--R           (- 29664a b d  - 74160b c d )m - 11520a b d  - 28800b c d
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               2 5            4      2 2 3  7
+--R           (- a d  - 10a b c d  - 10b c d )m
+--R         + 
+--R                 2 5             4       2 2 3  6
+--R           (- 30a d  - 300a b c d  - 300b c d )m
+--R         + 
+--R                  2 5              4        2 2 3  5
+--R           (- 366a d  - 3660a b c d  - 3660b c d )m
+--R         + 
+--R                   2 5               4         2 2 3  4
+--R           (- 2340a d  - 23400a b c d  - 23400b c d )m
+--R         + 
+--R                   2 5               4         2 2 3  3
+--R           (- 8409a d  - 84090a b c d  - 84090b c d )m
+--R         + 
+--R                    2 5                4          2 2 3  2
+--R           (- 16830a d  - 168300a b c d  - 168300b c d )m
+--R         + 
+--R                    2 5                4          2 2 3          2 5
+--R           (- 17144a d  - 171440a b c d  - 171440b c d )m - 6720a d
+--R         + 
+--R                         4         2 2 3
+--R           - 67200a b c d  - 67200b c d
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                2   4          2 3      2 3 2  7
+--R           (- 5a c d  - 20a b c d  - 10b c d )m
+--R         + 
+--R                  2   4           2 3       2 3 2  6
+--R           (- 155a c d  - 620a b c d  - 310b c d )m
+--R         + 
+--R                   2   4            2 3        2 3 2  5
+--R           (- 1955a c d  - 7820a b c d  - 3910b c d )m
+--R         + 
+--R                    2   4             2 3         2 3 2  4
+--R           (- 12905a c d  - 51620a b c d  - 25810b c d )m
+--R         + 
+--R                    2   4              2 3         2 3 2  3
+--R           (- 47720a c d  - 190880a b c d  - 95440b c d )m
+--R         + 
+--R                    2   4              2 3          2 3 2  2
+--R           (- 97820a c d  - 391280a b c d  - 195640b c d )m
+--R         + 
+--R                     2   4              2 3          2 3 2           2   4
+--R           (- 101520a c d  - 406080a b c d  - 203040b c d )m - 40320a c d
+--R         + 
+--R                        2 3         2 3 2
+--R           - 161280a b c d  - 80640b c d
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 2 2 3          3 2     2 4   7
+--R           (- 10a c d  - 20a b c d  - 5b c d)m
+--R         + 
+--R                  2 2 3           3 2       2 4   6
+--R           (- 320a c d  - 640a b c d  - 160b c d)m
+--R         + 
+--R                   2 2 3            3 2        2 4   5
+--R           (- 4180a c d  - 8360a b c d  - 2090b c d)m
+--R         + 
+--R                    2 2 3             3 2         2 4   4
+--R           (- 28640a c d  - 57280a b c d  - 14320b c d)m
+--R         + 
+--R                     2 2 3              3 2         2 4   3
+--R           (- 109930a c d  - 219860a b c d  - 54965b c d)m
+--R         + 
+--R                     2 2 3              3 2          2 4   2
+--R           (- 233120a c d  - 466240a b c d  - 116560b c d)m
+--R         + 
+--R                     2 2 3              3 2          2 4             2 2 3
+--R           (- 248760a c d  - 497520a b c d  - 124380b c d)m - 100800a c d
+--R         + 
+--R                        3 2         2 4
+--R           - 201600a b c d  - 50400b c d
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                 2 3 2          4     2 5  7
+--R           (- 10a c d  - 10a b c d - b c )m
+--R         + 
+--R                  2 3 2           4       2 5  6
+--R           (- 330a c d  - 330a b c d - 33b c )m
+--R         + 
+--R                   2 3 2            4        2 5  5
+--R           (- 4470a c d  - 4470a b c d - 447b c )m
+--R         + 
+--R                    2 3 2             4         2 5  4
+--R           (- 31950a c d  - 31950a b c d - 3195b c )m
+--R         + 
+--R                     2 3 2              4          2 5  3
+--R           (- 128640a c d  - 128640a b c d - 12864b c )m
+--R         + 
+--R                     2 3 2              4          2 5  2
+--R           (- 286920a c d  - 286920a b c d - 28692b c )m
+--R         + 
+--R                     2 3 2              4          2 5            2 3 2
+--R           (- 320480a c d  - 320480a b c d - 32048b c )m - 134400a c d
+--R         + 
+--R                        4          2 5
+--R           - 134400a b c d - 13440b c
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                2 4          5  7          2 4           5  6
+--R           (- 5a c d - 2a b c )m  + (- 170a c d - 68a b c )m
+--R         + 
+--R                   2 4            5  5            2 4             5  4
+--R           (- 2390a c d - 956a b c )m  + (- 17900a c d - 7160a b c )m
+--R         + 
+--R                    2 4              5  3             2 4              5  2
+--R           (- 76445a c d - 30578a b c )m  + (- 183530a c d - 73412a b c )m
+--R         + 
+--R                     2 4              5            2 4              5
+--R           (- 223560a c d - 89424a b c )m - 100800a c d - 40320a b c
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              2 5 7      2 5 6       2 5 5        2 5 4         2 5 3
+--R           - a c m  - 35a c m  - 511a c m  - 4025a c m  - 18424a c m
+--R         + 
+--R                   2 5 2         2 5          2 5
+--R           - 48860a c m  - 69264a c m - 40320a c
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E  104
+
+--S  105 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  105
+
+)clear all
+
+--S  106 of 1092
+t0:=x^3*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 21          16      2   15  20
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  19
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  18
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  17
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  16
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  15
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  14
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  13
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  12
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  11
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  10
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  9
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  8
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  7
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   6
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  5       2 15          16  4    2 16 3
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  106
+
+--S  107 of 1092
+r0:=-1/17*c^3*(b*c-a*d)^2*(c+d*x)^17/d^6+1/18*c^2*(5*b*c-3*a*d)*_
+     (b*c-a*d)*(c+d*x)^18/d^6-1/19*c*(10*b^2*c^2-12*a*b*c*d+_
+     3*a^2*d^2)*(c+d*x)^19/d^6+1/20*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*_
+     (c+d*x)^20/d^6-1/21*b*(5*b*c-2*a*d)*(c+d*x)^21/d^6+_
+     1/22*b^2*(c+d*x)^22/d^6
+--R 
+--R
+--R   (2)
+--R        1  2 22 22     2      22   16  2   21  21
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       22             21           21
+--R     + 
+--R         1  2 22   8        21     2 2 20  20
+--R       (-- a d   + - a b c d   + 6b c d  )x
+--R        20         5
+--R     + 
+--R        16  2   21   240      2 20   560  2 3 19  19
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R        19            19              19
+--R     + 
+--R        20  2 2 20   560      3 19   910  2 4 18  18
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R         3            9               9
+--R     + 
+--R        560  2 3 19   3640      4 18   4368  2 5 17  17
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         17            17               17
+--R     + 
+--R        455  2 4 18           5 17   1001  2 6 16  16
+--R       (--- a c d   + 546a b c d   + ---- b c d  )x
+--R         4                             2
+--R     + 
+--R        1456  2 5 17   16016      6 16   2288  2 7 15  15
+--R       (---- a c d   + ----- a b c d   + ---- b c d  )x
+--R          5              15                3
+--R     + 
+--R            2 6 16   11440      7 15   6435  2 8 14  14
+--R       (572a c d   + ----- a b c d   + ---- b c d  )x
+--R                       7                 7
+--R     + 
+--R            2 7 15            8 14       2 9 13  13
+--R       (880a c d   + 1980a b c d   + 880b c d  )x
+--R     + 
+--R        2145  2 8 14   5720      9 13   2002  2 10 12  12
+--R       (---- a c d   + ---- a b c d   + ---- b c  d  )x
+--R          2              3                3
+--R     + 
+--R             2 9 13            10 12   4368  2 11 11  11
+--R       (1040a c d   + 1456a b c  d   + ---- b c  d  )x
+--R                                        11
+--R     + 
+--R        4004  2 10 12   4368      11 11       2 12 10  10
+--R       (---- a c  d   + ---- a b c  d   + 182b c  d  )x
+--R          5               5
+--R     + 
+--R        1456  2 11 11   3640      12 10   560  2 13 9  9
+--R       (---- a c  d   + ---- a b c  d   + --- b c  d )x
+--R          3               9                9
+--R     + 
+--R        455  2 12 10           13 9      2 14 8  8
+--R       (--- a c  d   + 140a b c  d  + 15b c  d )x
+--R         2
+--R     + 
+--R           2 13 9   240      14 8   16  2 15 7  7
+--R       (80a c  d  + --- a b c  d  + -- b c  d )x
+--R                     7               7
+--R     + 
+--R           2 14 8   16      15 7   1  2 16 6  6    16  2 15 7   2      16 6  5
+--R       (20a c  d  + -- a b c  d  + - b c  d )x  + (-- a c  d  + - a b c  d )x
+--R                     3             6                5           5
+--R     + 
+--R       1  2 16 6 4     1    2 20 2      2        21       1    2 22
+--R       - a c  d x  - ----- a c  d  + ------ a b c  d - ------ b c
+--R       4             19380           101745            447678
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  107
+
+--S  108 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 22     2      16   16  2   15  21
+--R     -- b d  x   + (-- a b d   + -- b c d  )x
+--R     22             21           21
+--R   + 
+--R       1  2 16   8        15     2 2 14  20
+--R     (-- a d   + - a b c d   + 6b c d  )x
+--R      20         5
+--R   + 
+--R      16  2   15   240      2 14   560  2 3 13  19
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R      19            19              19
+--R   + 
+--R      20  2 2 14   560      3 13   910  2 4 12  18
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R       3            9               9
+--R   + 
+--R      560  2 3 13   3640      4 12   4368  2 5 11  17
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       17            17               17
+--R   + 
+--R      455  2 4 12           5 11   1001  2 6 10  16
+--R     (--- a c d   + 546a b c d   + ---- b c d  )x
+--R       4                             2
+--R   + 
+--R      1456  2 5 11   16016      6 10   2288  2 7 9  15
+--R     (---- a c d   + ----- a b c d   + ---- b c d )x
+--R        5              15                3
+--R   + 
+--R          2 6 10   11440      7 9   6435  2 8 8  14
+--R     (572a c d   + ----- a b c d  + ---- b c d )x
+--R                     7                7
+--R   + 
+--R          2 7 9            8 8       2 9 7  13
+--R     (880a c d  + 1980a b c d  + 880b c d )x
+--R   + 
+--R      2145  2 8 8   5720      9 7   2002  2 10 6  12
+--R     (---- a c d  + ---- a b c d  + ---- b c  d )x
+--R        2             3               3
+--R   + 
+--R           2 9 7            10 6   4368  2 11 5  11
+--R     (1040a c d  + 1456a b c  d  + ---- b c  d )x
+--R                                    11
+--R   + 
+--R      4004  2 10 6   4368      11 5       2 12 4  10
+--R     (---- a c  d  + ---- a b c  d  + 182b c  d )x
+--R        5              5
+--R   + 
+--R      1456  2 11 5   3640      12 4   560  2 13 3  9
+--R     (---- a c  d  + ---- a b c  d  + --- b c  d )x
+--R        3              9               9
+--R   + 
+--R      455  2 12 4           13 3      2 14 2  8
+--R     (--- a c  d  + 140a b c  d  + 15b c  d )x
+--R       2
+--R   + 
+--R         2 13 3   240      14 2   16  2 15   7
+--R     (80a c  d  + --- a b c  d  + -- b c  d)x
+--R                   7               7
+--R   + 
+--R       2 14 2   16      15    1  2 16  6    16  2 15    2      16  5   1  2 16 4
+--R   (20a c  d  + -- a b c  d + - b c  )x  + (-- a c  d + - a b c  )x  + - a c  x
+--R                 3            6              5          5              4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  108
+
+--S  109 of 1092
+m0:=a0-r0
+--R 
+--R
+--R          1    2 20 2      2        21       1    2 22
+--R        ----- a c  d  - ------ a b c  d + ------ b c
+--R        19380           101745            447678
+--R   (4)  ----------------------------------------------
+--R                               6
+--R                              d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  109
+
+--S  110 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  110
+
+)clear all
+
+--S  111 of 1092
+t0:=x^2*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 20          16      2   15  19
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  18
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  17
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  16
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  15
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  14
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  13
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  12
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  11
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  10
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  9
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  8
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  7
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  6
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   5
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  4       2 15          16  3    2 16 2
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  111
+
+--S  112 of 1092
+r0:=1/17*c^2*(b*c-a*d)^2*(c+d*x)^17/d^5-1/9*c*(b*c-a*d)*(2*b*c-a*d)*_
+     (c+d*x)^18/d^5+1/19*(6*b^2*c^2-6*a*b*c*d+a^2*d^2)*(c+d*x)^19/d^5-_
+     1/10*b*(2*b*c-a*d)*(c+d*x)^20/d^5+1/21*b^2*(c+d*x)^21/d^5
+--R 
+--R
+--R   (2)
+--R        1  2 21 21     1      21   4  2   20  20
+--R       -- b d  x   + (-- a b d   + - b c d  )x
+--R       21             10           5
+--R     + 
+--R         1  2 21   32        20   120  2 2 19  19
+--R       (-- a d   + -- a b c d   + --- b c d  )x
+--R        19         19              19
+--R     + 
+--R        8  2   20   40      2 19   280  2 3 18  18
+--R       (- a c d   + -- a b c d   + --- b c d  )x
+--R        9            3              9
+--R     + 
+--R        120  2 2 19   1120      3 18   1820  2 4 17  17
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         17            17               17
+--R     + 
+--R           2 3 18   455      4 17       2 5 16  16
+--R       (35a c d   + --- a b c d   + 273b c d  )x
+--R                     2
+--R     + 
+--R        364  2 4 17   2912      5 16   8008  2 6 15  15
+--R       (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R         3              5               15
+--R     + 
+--R            2 5 16            6 15   5720  2 7 14  14
+--R       (312a c d   + 1144a b c d   + ---- b c d  )x
+--R                                       7
+--R     + 
+--R            2 6 15            7 14       2 8 13  13
+--R       (616a c d   + 1760a b c d   + 990b c d  )x
+--R     + 
+--R        2860  2 7 14            8 13   2860  2 9 12  12
+--R       (---- a c d   + 2145a b c d   + ---- b c d  )x
+--R          3                              3
+--R     + 
+--R             2 8 13            9 12       2 10 11  11
+--R       (1170a c d   + 2080a b c d   + 728b c  d  )x
+--R     + 
+--R             2 9 12   8008      10 11   2184  2 11 10  10
+--R       (1144a c d   + ---- a b c  d   + ---- b c  d  )x
+--R                        5                 5
+--R     + 
+--R        8008  2 10 11   2912      11 10   1820  2 12 9  9
+--R       (---- a c  d   + ---- a b c  d   + ---- b c  d )x
+--R          9               3                 9
+--R     + 
+--R            2 11 10           12 9      2 13 8  8
+--R       (546a c  d   + 455a b c  d  + 70b c  d )x
+--R     + 
+--R            2 12 9           13 8   120  2 14 7  7
+--R       (260a c  d  + 160a b c  d  + --- b c  d )x
+--R                                     7
+--R     + 
+--R        280  2 13 8          14 7   8  2 15 6  6
+--R       (--- a c  d  + 40a b c  d  + - b c  d )x
+--R         3                          3
+--R     + 
+--R           2 14 7   32      15 6   1  2 16 5  5      2 15 6   1      16 5  4
+--R       (24a c  d  + -- a b c  d  + - b c  d )x  + (4a c  d  + - a b c  d )x
+--R                     5             5                          2
+--R     + 
+--R       1  2 16 5 3     1   2 19 2     1       20       1    2 21
+--R       - a c  d x  + ---- a c  d  - ---- a b c  d + ------ b c
+--R       3             2907           9690            101745
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  112
+
+--S  113 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 21     1      16   4  2   15  20
+--R     -- b d  x   + (-- a b d   + - b c d  )x
+--R     21             10           5
+--R   + 
+--R       1  2 16   32        15   120  2 2 14  19
+--R     (-- a d   + -- a b c d   + --- b c d  )x
+--R      19         19              19
+--R   + 
+--R      8  2   15   40      2 14   280  2 3 13  18
+--R     (- a c d   + -- a b c d   + --- b c d  )x
+--R      9            3              9
+--R   + 
+--R      120  2 2 14   1120      3 13   1820  2 4 12  17
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       17            17               17
+--R   + 
+--R         2 3 13   455      4 12       2 5 11  16
+--R     (35a c d   + --- a b c d   + 273b c d  )x
+--R                   2
+--R   + 
+--R      364  2 4 12   2912      5 11   8008  2 6 10  15
+--R     (--- a c d   + ---- a b c d   + ---- b c d  )x
+--R       3              5               15
+--R   + 
+--R          2 5 11            6 10   5720  2 7 9  14
+--R     (312a c d   + 1144a b c d   + ---- b c d )x
+--R                                     7
+--R   + 
+--R          2 6 10            7 9       2 8 8  13
+--R     (616a c d   + 1760a b c d  + 990b c d )x
+--R   + 
+--R      2860  2 7 9            8 8   2860  2 9 7  12
+--R     (---- a c d  + 2145a b c d  + ---- b c d )x
+--R        3                            3
+--R   + 
+--R           2 8 8            9 7       2 10 6  11
+--R     (1170a c d  + 2080a b c d  + 728b c  d )x
+--R   + 
+--R           2 9 7   8008      10 6   2184  2 11 5  10
+--R     (1144a c d  + ---- a b c  d  + ---- b c  d )x
+--R                     5                5
+--R   + 
+--R      8008  2 10 6   2912      11 5   1820  2 12 4  9
+--R     (---- a c  d  + ---- a b c  d  + ---- b c  d )x
+--R        9              3                9
+--R   + 
+--R          2 11 5           12 4      2 13 3  8
+--R     (546a c  d  + 455a b c  d  + 70b c  d )x
+--R   + 
+--R          2 12 4           13 3   120  2 14 2  7
+--R     (260a c  d  + 160a b c  d  + --- b c  d )x
+--R                                   7
+--R   + 
+--R      280  2 13 3          14 2   8  2 15   6
+--R     (--- a c  d  + 40a b c  d  + - b c  d)x
+--R       3                          3
+--R   + 
+--R       2 14 2   32      15    1  2 16  5      2 15    1      16  4   1  2 16 3
+--R   (24a c  d  + -- a b c  d + - b c  )x  + (4a c  d + - a b c  )x  + - a c  x
+--R                 5            5                       2              3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  113
+
+--S  114 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            1   2 19 2     1       20       1    2 21
+--R        - ---- a c  d  + ---- a b c  d - ------ b c
+--R          2907           9690            101745
+--R   (4)  ---------------------------------------------
+--R                               5
+--R                              d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  114
+
+--S  115 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  115
+
+)clear all
+
+--S  116 of 1092
+t0:=x*(a+b*x)^2*(c+d*x)^16
+--R 
+--R
+--R   (1)
+--R      2 16 19          16      2   15  18
+--R     b d  x   + (2a b d   + 16b c d  )x
+--R   + 
+--R       2 16            15       2 2 14  17
+--R     (a d   + 32a b c d   + 120b c d  )x
+--R   + 
+--R         2   15           2 14       2 3 13  16
+--R     (16a c d   + 240a b c d   + 560b c d  )x
+--R   + 
+--R          2 2 14            3 13        2 4 12  15
+--R     (120a c d   + 1120a b c d   + 1820b c d  )x
+--R   + 
+--R          2 3 13            4 12        2 5 11  14
+--R     (560a c d   + 3640a b c d   + 4368b c d  )x
+--R   + 
+--R           2 4 12            5 11        2 6 10  13
+--R     (1820a c d   + 8736a b c d   + 8008b c d  )x
+--R   + 
+--R           2 5 11             6 10         2 7 9  12
+--R     (4368a c d   + 16016a b c d   + 11440b c d )x
+--R   + 
+--R           2 6 10             7 9         2 8 8  11
+--R     (8008a c d   + 22880a b c d  + 12870b c d )x
+--R   + 
+--R            2 7 9             8 8         2 9 7  10
+--R     (11440a c d  + 25740a b c d  + 11440b c d )x
+--R   + 
+--R            2 8 8             9 7        2 10 6  9
+--R     (12870a c d  + 22880a b c d  + 8008b c  d )x
+--R   + 
+--R            2 9 7             10 6        2 11 5  8
+--R     (11440a c d  + 16016a b c  d  + 4368b c  d )x
+--R   + 
+--R           2 10 6            11 5        2 12 4  7
+--R     (8008a c  d  + 8736a b c  d  + 1820b c  d )x
+--R   + 
+--R           2 11 5            12 4       2 13 3  6
+--R     (4368a c  d  + 3640a b c  d  + 560b c  d )x
+--R   + 
+--R           2 12 4            13 3       2 14 2  5
+--R     (1820a c  d  + 1120a b c  d  + 120b c  d )x
+--R   + 
+--R          2 13 3           14 2      2 15   4
+--R     (560a c  d  + 240a b c  d  + 16b c  d)x
+--R   + 
+--R          2 14 2          15     2 16  3       2 15          16  2    2 16
+--R     (120a c  d  + 32a b c  d + b c  )x  + (16a c  d + 2a b c  )x  + a c  x
+--R                                                    Type: Polynomial(Integer)
+--E  116
+
+--S  117 of 1092
+r0:=-1/17*c*(b*c-a*d)^2*(c+d*x)^17/d^4+1/18*(b*c-a*d)*(3*b*c-a*d)*_
+     (c+d*x)^18/d^4-1/19*b*(3*b*c-2*a*d)*(c+d*x)^19/d^4+_
+     1/20*b^2*(c+d*x)^20/d^4
+--R 
+--R
+--R   (2)
+--R        1  2 20 20     2      20   16  2   19  19
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       20             19           19
+--R     + 
+--R         1  2 20   16        19   20  2 2 18  18
+--R       (-- a d   + -- a b c d   + -- b c d  )x
+--R        18          9              3
+--R     + 
+--R        16  2   19   240      2 18   560  2 3 17  17
+--R       (-- a c d   + --- a b c d   + --- b c d  )x
+--R        17            17              17
+--R     + 
+--R        15  2 2 18          3 17   455  2 4 16  16
+--R       (-- a c d   + 70a b c d   + --- b c d  )x
+--R         2                          4
+--R     + 
+--R        112  2 3 17   728      4 16   1456  2 5 15  15
+--R       (--- a c d   + --- a b c d   + ---- b c d  )x
+--R         3             3                5
+--R     + 
+--R            2 4 16           5 15       2 6 14  14
+--R       (130a c d   + 624a b c d   + 572b c d  )x
+--R     + 
+--R            2 5 15            6 14       2 7 13  13
+--R       (336a c d   + 1232a b c d   + 880b c d  )x
+--R     + 
+--R        2002  2 6 14   5720      7 13   2145  2 8 12  12
+--R       (---- a c d   + ---- a b c d   + ---- b c d  )x
+--R          3              3                2
+--R     + 
+--R             2 7 13            8 12        2 9 11  11
+--R       (1040a c d   + 2340a b c d   + 1040b c d  )x
+--R     + 
+--R             2 8 12            9 11   4004  2 10 10  10
+--R       (1287a c d   + 2288a b c d   + ---- b c  d  )x
+--R                                        5
+--R     + 
+--R        11440  2 9 11   16016      10 10   1456  2 11 9  9
+--R       (----- a c d   + ----- a b c  d   + ---- b c  d )x
+--R          9               9                  3
+--R     + 
+--R             2 10 10            11 9   455  2 12 8  8
+--R       (1001a c  d   + 1092a b c  d  + --- b c  d )x
+--R                                        2
+--R     + 
+--R            2 11 9           12 8      2 13 7  7
+--R       (624a c  d  + 520a b c  d  + 80b c  d )x
+--R     + 
+--R        910  2 12 8   560      13 7      2 14 6  6
+--R       (--- a c  d  + --- a b c  d  + 20b c  d )x
+--R         3             3
+--R     + 
+--R            2 13 7          14 6   16  2 15 5  5
+--R       (112a c  d  + 48a b c  d  + -- b c  d )x
+--R                                    5
+--R     + 
+--R           2 14 6         15 5   1  2 16 4  4    16  2 15 5   2      16 4  3
+--R       (30a c  d  + 8a b c  d  + - b c  d )x  + (-- a c  d  + - a b c  d )x
+--R                                 4                3           3
+--R     + 
+--R       1  2 16 4 2    1   2 18 2     2       19      1    2 20
+--R       - a c  d x  - --- a c  d  + ---- a b c  d - ----- b c
+--R       2             306           2907            19380
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  117
+
+--S  118 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      1  2 16 20     2      16   16  2   15  19
+--R     -- b d  x   + (-- a b d   + -- b c d  )x
+--R     20             19           19
+--R   + 
+--R       1  2 16   16        15   20  2 2 14  18
+--R     (-- a d   + -- a b c d   + -- b c d  )x
+--R      18          9              3
+--R   + 
+--R      16  2   15   240      2 14   560  2 3 13  17
+--R     (-- a c d   + --- a b c d   + --- b c d  )x
+--R      17            17              17
+--R   + 
+--R      15  2 2 14          3 13   455  2 4 12  16
+--R     (-- a c d   + 70a b c d   + --- b c d  )x
+--R       2                          4
+--R   + 
+--R      112  2 3 13   728      4 12   1456  2 5 11  15
+--R     (--- a c d   + --- a b c d   + ---- b c d  )x
+--R       3             3                5
+--R   + 
+--R          2 4 12           5 11       2 6 10  14
+--R     (130a c d   + 624a b c d   + 572b c d  )x
+--R   + 
+--R          2 5 11            6 10       2 7 9  13
+--R     (336a c d   + 1232a b c d   + 880b c d )x
+--R   + 
+--R      2002  2 6 10   5720      7 9   2145  2 8 8  12
+--R     (---- a c d   + ---- a b c d  + ---- b c d )x
+--R        3              3               2
+--R   + 
+--R           2 7 9            8 8        2 9 7  11
+--R     (1040a c d  + 2340a b c d  + 1040b c d )x
+--R   + 
+--R           2 8 8            9 7   4004  2 10 6  10
+--R     (1287a c d  + 2288a b c d  + ---- b c  d )x
+--R                                    5
+--R   + 
+--R      11440  2 9 7   16016      10 6   1456  2 11 5  9
+--R     (----- a c d  + ----- a b c  d  + ---- b c  d )x
+--R        9              9                 3
+--R   + 
+--R           2 10 6            11 5   455  2 12 4  8
+--R     (1001a c  d  + 1092a b c  d  + --- b c  d )x
+--R                                     2
+--R   + 
+--R          2 11 5           12 4      2 13 3  7
+--R     (624a c  d  + 520a b c  d  + 80b c  d )x
+--R   + 
+--R      910  2 12 4   560      13 3      2 14 2  6
+--R     (--- a c  d  + --- a b c  d  + 20b c  d )x
+--R       3             3
+--R   + 
+--R          2 13 3          14 2   16  2 15   5
+--R     (112a c  d  + 48a b c  d  + -- b c  d)x
+--R                                  5
+--R   + 
+--R       2 14 2         15    1  2 16  4    16  2 15    2      16  3   1  2 16 2
+--R   (30a c  d  + 8a b c  d + - b c  )x  + (-- a c  d + - a b c  )x  + - a c  x
+--R                            4              3          3              2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E  118
+
+--S  119 of 1092
+m0:=a0-r0
+--R 
+--R
+--R         1   2 18 2     2       19      1    2 20
+--R        --- a c  d  - ---- a b c  d + ----- b c
+--R        306           2907            19380
+--R   (4)  -----------------------------------------
+--R                             4
+--R                            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  119
+
+--S  120 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E  120
+
+)clear all
+
+--S  121 of 1092
+t0:=x^2*(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 5       2 4     2   3    3 2          n
+--R   (1)  (d x  + 3c d x  + 3c d x  + c x )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  121
+
+--S  122 of 1092
+r0:=a^2*(b*c-a*d)^3*(a+b*x)^(1+n)/(b^6*(1+n))-a*(2*b*c-5*a*d)*_
+     (b*c-a*d)^2*(a+b*x)^(2+n)/(b^6*(2+n))+(b*c-a*d)*_
+     (b^2*c^2-8*a*b*c*d+10*a^2*d^2)*(a+b*x)^(3+n)/(b^6*(3+n))+_
+     d*(3*b^2*c^2-12*a*b*c*d+10*a^2*d^2)*(a+b*x)^(4+n)/(b^6*(4+n))+_
+     d^2*(3*b*c-5*a*d)*(a+b*x)^(5+n)/(b^6*(5+n))+d^3*(a+b*x)^(6+n)/(b^6*(6+n))
+--R 
+--R
+--R   (2)
+--R         3 5      3 4      3 3       3 2       3        3          n + 6
+--R       (d n  + 15d n  + 85d n  + 225d n  + 274d n + 120d )(b x + a)
+--R     + 
+--R                  3         2  5           3          2  4
+--R           (- 5a d  + 3b c d )n  + (- 80a d  + 48b c d )n
+--R         + 
+--R                    3           2  3             3           2  2
+--R           (- 475a d  + 285b c d )n  + (- 1300a d  + 780b c d )n
+--R         + 
+--R                     3           2           3           2
+--R           (- 1620a d  + 972b c d )n - 720a d  + 432b c d
+--R      *
+--R                  n + 5
+--R         (b x + a)
+--R     + 
+--R               2 3            2     2 2   5
+--R           (10a d  - 12a b c d  + 3b c d)n
+--R         + 
+--R                2 3             2      2 2   4
+--R           (170a d  - 204a b c d  + 51b c d)n
+--R         + 
+--R                 2 3              2       2 2   3
+--R           (1070a d  - 1284a b c d  + 321b c d)n
+--R         + 
+--R                 2 3              2       2 2   2
+--R           (3070a d  - 3684a b c d  + 921b c d)n
+--R         + 
+--R                 2 3              2        2 2           2 3              2
+--R           (3960a d  - 4752a b c d  + 1188b c d)n + 1800a d  - 2160a b c d
+--R         + 
+--R               2 2
+--R           540b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                 3 3      2     2       2 2     3 3  5
+--R           (- 10a d  + 18a b c d  - 9a b c d + b c )n
+--R         + 
+--R                  3 3       2     2         2 2       3 3  4
+--R           (- 180a d  + 324a b c d  - 162a b c d + 18b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3  3
+--R           (- 1210a d  + 2178a b c d  - 1089a b c d + 121b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3  2
+--R           (- 3720a d  + 6696a b c d  - 3348a b c d + 372b c )n
+--R         + 
+--R                   3 3        2     2          2 2        3 3          3 3
+--R           (- 5080a d  + 9144a b c d  - 4572a b c d + 508b c )n - 2400a d
+--R         + 
+--R                2     2          2 2        3 3
+--R           4320a b c d  - 2160a b c d + 240b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              4 3      3     2     2 2 2        3 3  5
+--R           (5a d  - 12a b c d  + 9a b c d - 2a b c )n
+--R         + 
+--R               4 3       3     2       2 2 2         3 3  4
+--R           (95a d  - 228a b c d  + 171a b c d - 38a b c )n
+--R         + 
+--R                4 3        3     2        2 2 2          3 3  3
+--R           (685a d  - 1644a b c d  + 1233a b c d - 274a b c )n
+--R         + 
+--R                 4 3        3     2        2 2 2          3 3  2
+--R           (2305a d  - 5532a b c d  + 4149a b c d - 922a b c )n
+--R         + 
+--R                 4 3        3     2        2 2 2           3 3          4 3
+--R           (3510a d  - 8424a b c d  + 6318a b c d - 1404a b c )n + 1800a d
+--R         + 
+--R                  3     2        2 2 2          3 3
+--R           - 4320a b c d  + 3240a b c d - 720a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               5 3     4     2     3 2 2     2 3 3  5
+--R           (- a d  + 3a b c d  - 3a b c d + a b c )n
+--R         + 
+--R                 5 3      4     2      3 2 2       2 3 3  4
+--R           (- 20a d  + 60a b c d  - 60a b c d + 20a b c )n
+--R         + 
+--R                  5 3       4     2       3 2 2        2 3 3  3
+--R           (- 155a d  + 465a b c d  - 465a b c d + 155a b c )n
+--R         + 
+--R                  5 3        4     2        3 2 2        2 3 3  2
+--R           (- 580a d  + 1740a b c d  - 1740a b c d + 580a b c )n
+--R         + 
+--R                   5 3        4     2        3 2 2         2 3 3         5 3
+--R           (- 1044a d  + 3132a b c d  - 3132a b c d + 1044a b c )n - 720a d
+--R         + 
+--R                4     2        3 2 2        2 3 3
+--R           2160a b c d  - 2160a b c d + 720a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                                    Type: Expression(Integer)
+--E  122
+
+--S  123 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 3 5      6 3 4      6 3 3       6 3 2       6 3        6 3  6
+--R         (b d n  + 15b d n  + 85b d n  + 225b d n  + 274b d n + 120b d )x
+--R       + 
+--R                 5 3     6   2  5         5 3      6   2  4
+--R             (a b d  + 3b c d )n  + (10a b d  + 48b c d )n
+--R           + 
+--R                   5 3       6   2  3         5 3       6   2  2
+--R             (35a b d  + 285b c d )n  + (50a b d  + 780b c d )n
+--R           + 
+--R                   5 3       6   2         6   2
+--R             (24a b d  + 972b c d )n + 432b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                  5   2     6 2   5        2 4 3        5   2      6 2   4
+--R             (3a b c d  + 3b c d)n  + (- 5a b d  + 36a b c d  + 51b c d)n
+--R           + 
+--R                   2 4 3         5   2       6 2   3
+--R             (- 30a b d  + 141a b c d  + 321b c d)n
+--R           + 
+--R                   2 4 3         5   2       6 2   2
+--R             (- 55a b d  + 216a b c d  + 921b c d)n
+--R           + 
+--R                   2 4 3         5   2        6 2          6 2
+--R             (- 30a b d  + 108a b c d  + 1188b c d)n + 540b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  5 2     6 3  5         2 4   2        5 2       6 3  4
+--R             (3a b c d + b c )n  + (- 12a b c d  + 42a b c d + 18b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3  3
+--R             (20a b d  - 108a b c d  + 195a b c d + 121b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3  2
+--R             (60a b d  - 240a b c d  + 336a b c d + 372b c )n
+--R           + 
+--R                 3 3 3       2 4   2         5 2        6 3         6 3
+--R             (40a b d  - 144a b c d  + 180a b c d + 508b c )n + 240b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                5 3 5        2 4 2         5 3  4
+--R             a b c n  + (- 9a b c d + 16a b c )n
+--R           + 
+--R                 3 3   2       2 4 2         5 3  3
+--R             (36a b c d  - 108a b c d + 89a b c )n
+--R           + 
+--R                   4 2 3       3 3   2       2 4 2          5 3  2
+--R             (- 60a b d  + 252a b c d  - 369a b c d + 194a b c )n
+--R           + 
+--R                   4 2 3       3 3   2       2 4 2          5 3
+--R             (- 60a b d  + 216a b c d  - 270a b c d + 120a b c )n
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 2 4 3 4       3 3 2       2 4 3  3
+--R             - 2a b c n  + (18a b c d - 30a b c )n
+--R           + 
+--R                   4 2   2       3 3 2        2 4 3  2
+--R             (- 72a b c d  + 198a b c d - 148a b c )n
+--R           + 
+--R                  5   3       4 2   2       3 3 2        2 4 3
+--R             (120a b d  - 432a b c d  + 540a b c d - 240a b c )n
+--R        *
+--R           x
+--R       + 
+--R           3 3 3 3         4 2 2       3 3 3  2
+--R         2a b c n  + (- 18a b c d + 30a b c )n
+--R       + 
+--R             5     2       4 2 2        3 3 3         6 3       5     2
+--R         (72a b c d  - 198a b c d + 148a b c )n - 120a d  + 432a b c d
+--R       + 
+--R               4 2 2        3 3 3
+--R         - 540a b c d + 240a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                         Type: Union(Expression(Integer),...)
+--E  123
+
+--S  124 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             6 3 5      6 3 4      6 3 3       6 3 2       6 3        6 3  6
+--R           (b d n  + 15b d n  + 85b d n  + 225b d n  + 274b d n + 120b d )x
+--R         + 
+--R                   5 3     6   2  5         5 3      6   2  4
+--R               (a b d  + 3b c d )n  + (10a b d  + 48b c d )n
+--R             + 
+--R                     5 3       6   2  3         5 3       6   2  2
+--R               (35a b d  + 285b c d )n  + (50a b d  + 780b c d )n
+--R             + 
+--R                     5 3       6   2         6   2
+--R               (24a b d  + 972b c d )n + 432b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    5   2     6 2   5        2 4 3        5   2      6 2   4
+--R               (3a b c d  + 3b c d)n  + (- 5a b d  + 36a b c d  + 51b c d)n
+--R             + 
+--R                     2 4 3         5   2       6 2   3
+--R               (- 30a b d  + 141a b c d  + 321b c d)n
+--R             + 
+--R                     2 4 3         5   2       6 2   2
+--R               (- 55a b d  + 216a b c d  + 921b c d)n
+--R             + 
+--R                     2 4 3         5   2        6 2          6 2
+--R               (- 30a b d  + 108a b c d  + 1188b c d)n + 540b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    5 2     6 3  5         2 4   2        5 2       6 3  4
+--R               (3a b c d + b c )n  + (- 12a b c d  + 42a b c d + 18b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3  3
+--R               (20a b d  - 108a b c d  + 195a b c d + 121b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3  2
+--R               (60a b d  - 240a b c d  + 336a b c d + 372b c )n
+--R             + 
+--R                   3 3 3       2 4   2         5 2        6 3         6 3
+--R               (40a b d  - 144a b c d  + 180a b c d + 508b c )n + 240b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  5 3 5        2 4 2         5 3  4
+--R               a b c n  + (- 9a b c d + 16a b c )n
+--R             + 
+--R                   3 3   2       2 4 2         5 3  3
+--R               (36a b c d  - 108a b c d + 89a b c )n
+--R             + 
+--R                     4 2 3       3 3   2       2 4 2          5 3  2
+--R               (- 60a b d  + 252a b c d  - 369a b c d + 194a b c )n
+--R             + 
+--R                     4 2 3       3 3   2       2 4 2          5 3
+--R               (- 60a b d  + 216a b c d  - 270a b c d + 120a b c )n
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   2 4 3 4       3 3 2       2 4 3  3
+--R               - 2a b c n  + (18a b c d - 30a b c )n
+--R             + 
+--R                     4 2   2       3 3 2        2 4 3  2
+--R               (- 72a b c d  + 198a b c d - 148a b c )n
+--R             + 
+--R                    5   3       4 2   2       3 3 2        2 4 3
+--R               (120a b d  - 432a b c d  + 540a b c d - 240a b c )n
+--R          *
+--R             x
+--R         + 
+--R             3 3 3 3         4 2 2       3 3 3  2
+--R           2a b c n  + (- 18a b c d + 30a b c )n
+--R         + 
+--R               5     2       4 2 2        3 3 3         6 3       5     2
+--R           (72a b c d  - 198a b c d + 148a b c )n - 120a d  + 432a b c d
+--R         + 
+--R                 4 2 2        3 3 3
+--R           - 540a b c d + 240a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 5      3 4      3 3       3 2       3        3          n + 6
+--R       (- d n  - 15d n  - 85d n  - 225d n  - 274d n - 120d )(b x + a)
+--R     + 
+--R                3         2  5         3          2  4          3           2  3
+--R           (5a d  - 3b c d )n  + (80a d  - 48b c d )n  + (475a d  - 285b c d )n
+--R         + 
+--R                   3           2  2           3           2           3
+--R           (1300a d  - 780b c d )n  + (1620a d  - 972b c d )n + 720a d
+--R         + 
+--R                     2
+--R           - 432b c d
+--R      *
+--R                  n + 5
+--R         (b x + a)
+--R     + 
+--R                 2 3            2     2 2   5
+--R           (- 10a d  + 12a b c d  - 3b c d)n
+--R         + 
+--R                  2 3             2      2 2   4
+--R           (- 170a d  + 204a b c d  - 51b c d)n
+--R         + 
+--R                   2 3              2       2 2   3
+--R           (- 1070a d  + 1284a b c d  - 321b c d)n
+--R         + 
+--R                   2 3              2       2 2   2
+--R           (- 3070a d  + 3684a b c d  - 921b c d)n
+--R         + 
+--R                   2 3              2        2 2           2 3              2
+--R           (- 3960a d  + 4752a b c d  - 1188b c d)n - 1800a d  + 2160a b c d
+--R         + 
+--R                 2 2
+--R           - 540b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R               3 3      2     2       2 2     3 3  5
+--R           (10a d  - 18a b c d  + 9a b c d - b c )n
+--R         + 
+--R                3 3       2     2         2 2       3 3  4
+--R           (180a d  - 324a b c d  + 162a b c d - 18b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3  3
+--R           (1210a d  - 2178a b c d  + 1089a b c d - 121b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3  2
+--R           (3720a d  - 6696a b c d  + 3348a b c d - 372b c )n
+--R         + 
+--R                 3 3        2     2          2 2        3 3          3 3
+--R           (5080a d  - 9144a b c d  + 4572a b c d - 508b c )n + 2400a d
+--R         + 
+--R                  2     2          2 2        3 3
+--R           - 4320a b c d  + 2160a b c d - 240b c
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                4 3      3     2     2 2 2        3 3  5
+--R           (- 5a d  + 12a b c d  - 9a b c d + 2a b c )n
+--R         + 
+--R                 4 3       3     2       2 2 2         3 3  4
+--R           (- 95a d  + 228a b c d  - 171a b c d + 38a b c )n
+--R         + 
+--R                  4 3        3     2        2 2 2          3 3  3
+--R           (- 685a d  + 1644a b c d  - 1233a b c d + 274a b c )n
+--R         + 
+--R                   4 3        3     2        2 2 2          3 3  2
+--R           (- 2305a d  + 5532a b c d  - 4149a b c d + 922a b c )n
+--R         + 
+--R                   4 3        3     2        2 2 2           3 3          4 3
+--R           (- 3510a d  + 8424a b c d  - 6318a b c d + 1404a b c )n - 1800a d
+--R         + 
+--R                3     2        2 2 2          3 3
+--R           4320a b c d  - 3240a b c d + 720a b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             5 3     4     2     3 2 2     2 3 3  5
+--R           (a d  - 3a b c d  + 3a b c d - a b c )n
+--R         + 
+--R               5 3      4     2      3 2 2       2 3 3  4
+--R           (20a d  - 60a b c d  + 60a b c d - 20a b c )n
+--R         + 
+--R                5 3       4     2       3 2 2        2 3 3  3
+--R           (155a d  - 465a b c d  + 465a b c d - 155a b c )n
+--R         + 
+--R                5 3        4     2        3 2 2        2 3 3  2
+--R           (580a d  - 1740a b c d  + 1740a b c d - 580a b c )n
+--R         + 
+--R                 5 3        4     2        3 2 2         2 3 3         5 3
+--R           (1044a d  - 3132a b c d  + 3132a b c d - 1044a b c )n + 720a d
+--R         + 
+--R                  4     2        3 2 2        2 3 3
+--R           - 2160a b c d  + 2160a b c d - 720a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      6 6      6 5       6 4       6 3        6 2        6        6
+--R     b n  + 21b n  + 175b n  + 735b n  + 1624b n  + 1764b n + 720b
+--R                                                    Type: Expression(Integer)
+--E  124
+
+--S  125 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  125
+
+)clear all
+
+--S  126 of 1092
+t0:=x*(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 4       2 3     2   2    3           n
+--R   (1)  (d x  + 3c d x  + 3c d x  + c x)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  126
+
+--S  127 of 1092
+r0:=-a*(b*c-a*d)^3*(a+b*x)^(1+n)/(b^5*(1+n))+(b*c-4*a*d)*(b*c-a*d)^2*_
+     (a+b*x)^(2+n)/(b^5*(2+n))+3*d*(b*c-2*a*d)*(b*c-a*d)*(a+b*x)^(3+n)/_
+     (b^5*(3+n))+d^2*(3*b*c-4*a*d)*(a+b*x)^(4+n)/(b^5*(4+n))+_
+     d^3*(a+b*x)^(5+n)/(b^5*(5+n))
+--R 
+--R
+--R   (2)
+--R         3 4      3 3      3 2      3       3          n + 5
+--R       (d n  + 10d n  + 35d n  + 50d n + 24d )(b x + a)
+--R     + 
+--R                  3         2  4           3          2  3
+--R           (- 4a d  + 3b c d )n  + (- 44a d  + 33b c d )n
+--R         + 
+--R                    3           2  2            3           2           3
+--R           (- 164a d  + 123b c d )n  + (- 244a d  + 183b c d )n - 120a d
+--R         + 
+--R                  2
+--R           90b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R              2 3           2     2 2   4       2 3             2      2 2   3
+--R           (6a d  - 9a b c d  + 3b c d)n  + (72a d  - 108a b c d  + 36b c d)n
+--R         + 
+--R                2 3             2       2 2   2
+--R           (294a d  - 441a b c d  + 147b c d)n
+--R         + 
+--R              2 3             2       2 2          2 3             2       2 2
+--R         (468a d  - 702a b c d  + 234b c d)n + 240a d  - 360a b c d  + 120b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                3 3     2     2       2 2     3 3  4
+--R           (- 4a d  + 9a b c d  - 6a b c d + b c )n
+--R         + 
+--R                 3 3       2     2        2 2       3 3  3
+--R           (- 52a d  + 117a b c d  - 78a b c d + 13b c )n
+--R         + 
+--R                  3 3       2     2         2 2       3 3  2
+--R           (- 236a d  + 531a b c d  - 354a b c d + 59b c )n
+--R         + 
+--R                  3 3       2     2         2 2        3 3         3 3
+--R           (- 428a d  + 963a b c d  - 642a b c d + 107b c )n - 240a d
+--R         + 
+--R               2     2         2 2       3 3
+--R           540a b c d  - 360a b c d + 60b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             4 3     3     2     2 2 2       3 3  4
+--R           (a d  - 3a b c d  + 3a b c d - a b c )n
+--R         + 
+--R               4 3      3     2      2 2 2         3 3  3
+--R           (14a d  - 42a b c d  + 42a b c d - 14a b c )n
+--R         + 
+--R               4 3       3     2       2 2 2         3 3  2
+--R           (71a d  - 213a b c d  + 213a b c d - 71a b c )n
+--R         + 
+--R                4 3       3     2       2 2 2          3 3         4 3
+--R           (154a d  - 462a b c d  + 462a b c d - 154a b c )n + 120a d
+--R         + 
+--R                 3     2       2 2 2          3 3
+--R           - 360a b c d  + 360a b c d - 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  127
+
+--S  128 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           5 3 4      5 3 3      5 3 2      5 3       5 3  5
+--R         (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R       + 
+--R                 4 3     5   2  4        4 3      5   2  3
+--R             (a b d  + 3b c d )n  + (6a b d  + 33b c d )n
+--R           + 
+--R                   4 3       5   2  2        4 3       5   2        5   2
+--R             (11a b d  + 123b c d )n  + (6a b d  + 183b c d )n + 90b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  4   2     5 2   4        2 3 3        4   2      5 2   3
+--R             (3a b c d  + 3b c d)n  + (- 4a b d  + 24a b c d  + 36b c d)n
+--R           + 
+--R                   2 3 3        4   2       5 2   2
+--R             (- 12a b d  + 51a b c d  + 147b c d)n
+--R           + 
+--R                  2 3 3        4   2       5 2          5 2
+--R             (- 8a b d  + 30a b c d  + 234b c d)n + 120b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  4 2     5 3  4        2 3   2        4 2       5 3  3
+--R             (3a b c d + b c )n  + (- 9a b c d  + 30a b c d + 13b c )n
+--R           + 
+--R                 3 2 3      2 3   2        4 2       5 3  2
+--R             (12a b d  - 54a b c d  + 87a b c d + 59b c )n
+--R           + 
+--R                 3 2 3      2 3   2        4 2        5 3        5 3
+--R             (12a b d  - 45a b c d  + 60a b c d + 107b c )n + 60b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                4 3 4        2 3 2         4 3  3
+--R             a b c n  + (- 6a b c d + 12a b c )n
+--R           + 
+--R                 3 2   2      2 3 2         4 3  2
+--R             (18a b c d  - 54a b c d + 47a b c )n
+--R           + 
+--R                   4   3      3 2   2       2 3 2         4 3
+--R             (- 24a b d  + 90a b c d  - 120a b c d + 60a b c )n
+--R        *
+--R           x
+--R       + 
+--R            2 3 3 3      3 2 2       2 3 3  2
+--R         - a b c n  + (6a b c d - 12a b c )n
+--R       + 
+--R               4     2      3 2 2       2 3 3        5 3      4     2
+--R         (- 18a b c d  + 54a b c d - 47a b c )n + 24a d  - 90a b c d
+--R       + 
+--R             3 2 2       2 3 3
+--R         120a b c d - 60a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                         Type: Union(Expression(Integer),...)
+--E  128
+
+--S  129 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             5 3 4      5 3 3      5 3 2      5 3       5 3  5
+--R           (b d n  + 10b d n  + 35b d n  + 50b d n + 24b d )x
+--R         + 
+--R                   4 3     5   2  4        4 3      5   2  3
+--R               (a b d  + 3b c d )n  + (6a b d  + 33b c d )n
+--R             + 
+--R                     4 3       5   2  2        4 3       5   2        5   2
+--R               (11a b d  + 123b c d )n  + (6a b d  + 183b c d )n + 90b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                    4   2     5 2   4        2 3 3        4   2      5 2   3
+--R               (3a b c d  + 3b c d)n  + (- 4a b d  + 24a b c d  + 36b c d)n
+--R             + 
+--R                     2 3 3        4   2       5 2   2
+--R               (- 12a b d  + 51a b c d  + 147b c d)n
+--R             + 
+--R                    2 3 3        4   2       5 2          5 2
+--R               (- 8a b d  + 30a b c d  + 234b c d)n + 120b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    4 2     5 3  4        2 3   2        4 2       5 3  3
+--R               (3a b c d + b c )n  + (- 9a b c d  + 30a b c d + 13b c )n
+--R             + 
+--R                   3 2 3      2 3   2        4 2       5 3  2
+--R               (12a b d  - 54a b c d  + 87a b c d + 59b c )n
+--R             + 
+--R                   3 2 3      2 3   2        4 2        5 3        5 3
+--R               (12a b d  - 45a b c d  + 60a b c d + 107b c )n + 60b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  4 3 4        2 3 2         4 3  3
+--R               a b c n  + (- 6a b c d + 12a b c )n
+--R             + 
+--R                   3 2   2      2 3 2         4 3  2
+--R               (18a b c d  - 54a b c d + 47a b c )n
+--R             + 
+--R                     4   3      3 2   2       2 3 2         4 3
+--R               (- 24a b d  + 90a b c d  - 120a b c d + 60a b c )n
+--R          *
+--R             x
+--R         + 
+--R              2 3 3 3      3 2 2       2 3 3  2
+--R           - a b c n  + (6a b c d - 12a b c )n
+--R         + 
+--R                 4     2      3 2 2       2 3 3        5 3      4     2
+--R           (- 18a b c d  + 54a b c d - 47a b c )n + 24a d  - 90a b c d
+--R         + 
+--R               3 2 2       2 3 3
+--R           120a b c d - 60a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 4      3 3      3 2      3       3          n + 5
+--R       (- d n  - 10d n  - 35d n  - 50d n - 24d )(b x + a)
+--R     + 
+--R                3         2  4         3          2  3          3           2  2
+--R           (4a d  - 3b c d )n  + (44a d  - 33b c d )n  + (164a d  - 123b c d )n
+--R         + 
+--R                  3           2           3          2
+--R           (244a d  - 183b c d )n + 120a d  - 90b c d
+--R      *
+--R                  n + 4
+--R         (b x + a)
+--R     + 
+--R                2 3           2     2 2   4
+--R           (- 6a d  + 9a b c d  - 3b c d)n
+--R         + 
+--R                 2 3             2      2 2   3
+--R           (- 72a d  + 108a b c d  - 36b c d)n
+--R         + 
+--R                  2 3             2       2 2   2
+--R           (- 294a d  + 441a b c d  - 147b c d)n
+--R         + 
+--R                  2 3             2       2 2          2 3             2
+--R           (- 468a d  + 702a b c d  - 234b c d)n - 240a d  + 360a b c d
+--R         + 
+--R                 2 2
+--R           - 120b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              3 3     2     2       2 2     3 3  4
+--R           (4a d  - 9a b c d  + 6a b c d - b c )n
+--R         + 
+--R               3 3       2     2        2 2       3 3  3
+--R           (52a d  - 117a b c d  + 78a b c d - 13b c )n
+--R         + 
+--R                3 3       2     2         2 2       3 3  2
+--R           (236a d  - 531a b c d  + 354a b c d - 59b c )n
+--R         + 
+--R                3 3       2     2         2 2        3 3         3 3
+--R           (428a d  - 963a b c d  + 642a b c d - 107b c )n + 240a d
+--R         + 
+--R                 2     2         2 2       3 3
+--R           - 540a b c d  + 360a b c d - 60b c
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               4 3     3     2     2 2 2       3 3  4
+--R           (- a d  + 3a b c d  - 3a b c d + a b c )n
+--R         + 
+--R                 4 3      3     2      2 2 2         3 3  3
+--R           (- 14a d  + 42a b c d  - 42a b c d + 14a b c )n
+--R         + 
+--R                 4 3       3     2       2 2 2         3 3  2
+--R           (- 71a d  + 213a b c d  - 213a b c d + 71a b c )n
+--R         + 
+--R                  4 3       3     2       2 2 2          3 3         4 3
+--R           (- 154a d  + 462a b c d  - 462a b c d + 154a b c )n - 120a d
+--R         + 
+--R               3     2       2 2 2          3 3
+--R           360a b c d  - 360a b c d + 120a b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      5 5      5 4      5 3       5 2       5        5
+--R     b n  + 15b n  + 85b n  + 225b n  + 274b n + 120b
+--R                                                    Type: Expression(Integer)
+--E  129
+
+--S  130 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  130
+
+)clear all
+
+--S  131 of 1092
+t0:=(a+b*x)^n*(c+d*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3          n
+--R   (1)  (d x  + 3c d x  + 3c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E  131
+
+--S  132 of 1092
+r0:=(b*c-a*d)^3*(a+b*x)^(1+n)/(b^4*(1+n))+3*d*(b*c-a*d)^2*_
+     (a+b*x)^(2+n)/(b^4*(2+n))+3*d^2*(b*c-a*d)*(a+b*x)^(3+n)/_
+     (b^4*(3+n))+d^3*(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3          n + 4
+--R       (d n  + 6d n  + 11d n + 6d )(b x + a)
+--R     + 
+--R                  3         2  3           3          2  2
+--R           (- 3a d  + 3b c d )n  + (- 21a d  + 21b c d )n
+--R         + 
+--R                   3          2          3          2
+--R           (- 42a d  + 42b c d )n - 24a d  + 24b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R              2 3           2     2 2   3       2 3            2      2 2   2
+--R           (3a d  - 6a b c d  + 3b c d)n  + (24a d  - 48a b c d  + 24b c d)n
+--R         + 
+--R               2 3             2      2 2         2 3            2      2 2
+--R           (57a d  - 114a b c d  + 57b c d)n + 36a d  - 72a b c d  + 36b c d
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R               3 3     2     2       2 2     3 3  3
+--R           (- a d  + 3a b c d  - 3a b c d + b c )n
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 9a d  + 27a b c d  - 27a b c d + 9b c )n
+--R         + 
+--R                 3 3      2     2        2 2       3 3        3 3      2     2
+--R           (- 26a d  + 78a b c d  - 78a b c d + 26b c )n - 24a d  + 72a b c d
+--R         + 
+--R                  2 2       3 3
+--R           - 72a b c d + 24b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  132
+
+--S  133 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 3 3     4 3 2      4 3      4 3  4
+--R         (b d n  + 6b d n  + 11b d n + 6b d )x
+--R       + 
+--R                 3 3     4   2  3        3 3      4   2  2
+--R             (a b d  + 3b c d )n  + (3a b d  + 21b c d )n
+--R           + 
+--R                  3 3      4   2        4   2
+--R             (2a b d  + 42b c d )n + 24b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  3   2     4 2   3        2 2 3        3   2      4 2   2
+--R             (3a b c d  + 3b c d)n  + (- 3a b d  + 15a b c d  + 24b c d)n
+--R           + 
+--R                  2 2 3        3   2      4 2         4 2
+--R             (- 3a b d  + 12a b c d  + 57b c d)n + 36b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  3 2     4 3  3        2 2   2        3 2      4 3  2
+--R             (3a b c d + b c )n  + (- 6a b c d  + 21a b c d + 9b c )n
+--R           + 
+--R                3   3      2 2   2        3 2       4 3        4 3
+--R             (6a b d  - 24a b c d  + 36a b c d + 26b c )n + 24b c
+--R        *
+--R           x
+--R       + 
+--R            3 3 3        2 2 2        3 3  2
+--R         a b c n  + (- 3a b c d + 9a b c )n
+--R       + 
+--R            3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R         (6a b c d  - 21a b c d + 26a b c )n - 6a d  + 24a b c d  - 36a b c d
+--R       + 
+--R              3 3
+--R         24a b c
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E  133
+
+--S  134 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)
+--R             4 3 3     4 3 2      4 3      4 3  4
+--R           (b d n  + 6b d n  + 11b d n + 6b d )x
+--R         + 
+--R                   3 3     4   2  3        3 3      4   2  2
+--R               (a b d  + 3b c d )n  + (3a b d  + 21b c d )n
+--R             + 
+--R                    3 3      4   2        4   2
+--R               (2a b d  + 42b c d )n + 24b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    3   2     4 2   3        2 2 3        3   2      4 2   2
+--R               (3a b c d  + 3b c d)n  + (- 3a b d  + 15a b c d  + 24b c d)n
+--R             + 
+--R                    2 2 3        3   2      4 2         4 2
+--R               (- 3a b d  + 12a b c d  + 57b c d)n + 36b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    3 2     4 3  3        2 2   2        3 2      4 3  2
+--R               (3a b c d + b c )n  + (- 6a b c d  + 21a b c d + 9b c )n
+--R             + 
+--R                  3   3      2 2   2        3 2       4 3        4 3
+--R               (6a b d  - 24a b c d  + 36a b c d + 26b c )n + 24b c
+--R          *
+--R             x
+--R         + 
+--R              3 3 3        2 2 2        3 3  2
+--R           a b c n  + (- 3a b c d + 9a b c )n
+--R         + 
+--R              3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R           (6a b c d  - 21a b c d + 26a b c )n - 6a d  + 24a b c d  - 36a b c d
+--R         + 
+--R                3 3
+--R           24a b c
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3          n + 4
+--R       (- d n  - 6d n  - 11d n - 6d )(b x + a)
+--R     + 
+--R                3         2  3         3          2  2         3          2
+--R           (3a d  - 3b c d )n  + (21a d  - 21b c d )n  + (42a d  - 42b c d )n
+--R         + 
+--R                3          2
+--R           24a d  - 24b c d
+--R      *
+--R                  n + 3
+--R         (b x + a)
+--R     + 
+--R                2 3           2     2 2   3
+--R           (- 3a d  + 6a b c d  - 3b c d)n
+--R         + 
+--R                 2 3            2      2 2   2
+--R           (- 24a d  + 48a b c d  - 24b c d)n
+--R         + 
+--R                 2 3             2      2 2         2 3            2      2 2
+--R           (- 57a d  + 114a b c d  - 57b c d)n - 36a d  + 72a b c d  - 36b c d
+--R      *
+--R                  n + 2
+--R         (b x + a)
+--R     + 
+--R             3 3     2     2       2 2     3 3  3
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (9a d  - 27a b c d  + 27a b c d - 9b c )n
+--R         + 
+--R               3 3      2     2        2 2       3 3        3 3      2     2
+--R           (26a d  - 78a b c d  + 78a b c d - 26b c )n + 24a d  - 72a b c d
+--R         + 
+--R                2 2       3 3
+--R           72a b c d - 24b c
+--R      *
+--R                  n + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E  134
+
+--S  135 of 1092
+d0:=normalize m0
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  135
+
+)clear all
+
+--S  136 of 1092
+t0:=(a+b*x)^n*(c+d*x)^3/x
+--R 
+--R
+--R          3 3       2 2     2       3          n
+--R        (d x  + 3c d x  + 3c d x + c )(b x + a)
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  136
+
+--S  137 of 1092
+--r0:=3*c^2*d*(a+b*x)^(1+n)/(b*(1+n))-3*a*c*d^2*(a+b*x)^(1+n)/(b^2*(1+n))+_
+--     a^2*d^3*(a+b*x)^(1+n)/(b^3*(1+n))+3*c*d^2*(a+b*x)^(2+n)/(b^2*(2+n))-_
+--     2*a*d^3*(a+b*x)^(2+n)/(b^3*(2+n))+d^3*(a+b*x)^(3+n)/(b^3*(3+n))-_
+--     c^3*(a+b*x)^(1+n)*hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E  137
+
+--S  138 of 1092
+--a0:=integrate(t0,x)
+--E  138
+
+--S  139 of 1092
+--m0:=a0-r0
+--E  139
+
+--S  140 of 1092
+--d0:=D(m0,x)
+--E  140
+
+)clear all
+
+--S  141 of 1092
+t0:=x^m*(c+d*x)/(a+b*x)
+--R 
+--R
+--R                  m
+--R        (d x + c)x
+--R   (1)  -----------
+--R          b x + a
+--R                                                    Type: Expression(Integer)
+--E  141
+
+--S  142 of 1092
+--r0:=d*x^(1+m)/(b*(1+m))+(b*c-a*d)*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*b*(1+m))
+--E  142
+
+--S  143 of 1092
+--a0:=integrate(t0,x)
+--E  143
+
+--S  144 of 1092
+--m0:=a0-r0
+--E  144
+
+--S  145 of 1092
+--d0:=D(m0,x)
+--E  145
+
+)clear all
+
+--S  146 of 1092
+t0:=x^4*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           5      4
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  146
+
+--S  147 of 1092
+r0:=-a^3*(b*c-a*d)*x/b^5+1/2*a^2*(b*c-a*d)*x^2/b^4-1/3*a*(b*c-a*d)*x^3/b^3+_
+     1/4*(b*c-a*d)*x^4/b^2+1/5*d*x^5/b+a^4*(b*c-a*d)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5       4                      5   5           4       5   4
+--R       (- 60a d + 60a b c)log(b x + a) + 12b d x  + (- 15a b d + 15b c)x
+--R     + 
+--R           2 3         4   3         3 2       2 3   2       4         3 2
+--R       (20a b d - 20a b c)x  + (- 30a b d + 30a b c)x  + (60a b d - 60a b c)x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  147
+
+--S  148 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5       4                      5   5           4       5   4
+--R       (- 60a d + 60a b c)log(b x + a) + 12b d x  + (- 15a b d + 15b c)x
+--R     + 
+--R           2 3         4   3         3 2       2 3   2       4         3 2
+--R       (20a b d - 20a b c)x  + (- 30a b d + 30a b c)x  + (60a b d - 60a b c)x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  148
+
+--S  149 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  149
+
+--S  150 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  150
+
+)clear all
+
+--S  151 of 1092
+t0:=x^3*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           4      3
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  151
+
+--S  152 of 1092
+r0:=a^2*(b*c-a*d)*x/b^4-1/2*a*(b*c-a*d)*x^2/b^3+1/3*(b*c-a*d)*x^3/b^2+_
+     1/4*d*x^4/b-a^3*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4       3                     4   4          3      4   3
+--R       (12a d - 12a b c)log(b x + a) + 3b d x  + (- 4a b d + 4b c)x
+--R     + 
+--R          2 2        3   2         3         2 2
+--R       (6a b d - 6a b c)x  + (- 12a b d + 12a b c)x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  152
+
+--S  153 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4       3                     4   4          3      4   3
+--R       (12a d - 12a b c)log(b x + a) + 3b d x  + (- 4a b d + 4b c)x
+--R     + 
+--R          2 2        3   2         3         2 2
+--R       (6a b d - 6a b c)x  + (- 12a b d + 12a b c)x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  153
+
+--S  154 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  154
+
+--S  155 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  155
+
+)clear all
+
+--S  156 of 1092
+t0:=x^2*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           3      2
+--R        d x  + c x
+--R   (1)  -----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  156
+
+--S  157 of 1092
+r0:=-a*(b*c-a*d)*x/b^3+1/2*(b*c-a*d)*x^2/b^2+1/3*d*x^3/b+_
+     a^2*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3      2                     3   3          2      3   2
+--R       (- 6a d + 6a b c)log(b x + a) + 2b d x  + (- 3a b d + 3b c)x
+--R     + 
+--R          2          2
+--R       (6a b d - 6a b c)x
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  157
+
+--S  158 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3      2                     3   3          2      3   2
+--R       (- 6a d + 6a b c)log(b x + a) + 2b d x  + (- 3a b d + 3b c)x
+--R     + 
+--R          2          2
+--R       (6a b d - 6a b c)x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  158
+
+--S  159 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  159
+
+--S  160 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  160
+
+)clear all
+
+--S  161 of 1092
+t0:=x*(c+d*x)/(a+b*x)
+--R 
+--R
+--R           2
+--R        d x  + c x
+--R   (1)  ----------
+--R          b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  161
+
+--S  162 of 1092
+r0:=(b*c-a*d)*x/b^2+1/2*d*x^2/b-a*(b*c-a*d)*log(a+b*x)/b^3
+--R 
+--R
+--R           2                           2   2                 2
+--R        (2a d - 2a b c)log(b x + a) + b d x  + (- 2a b d + 2b c)x
+--R   (2)  ---------------------------------------------------------
+--R                                     3
+--R                                   2b
+--R                                                    Type: Expression(Integer)
+--E  162
+
+--S  163 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R           2                           2   2                 2
+--R        (2a d - 2a b c)log(b x + a) + b d x  + (- 2a b d + 2b c)x
+--R   (3)  ---------------------------------------------------------
+--R                                     3
+--R                                   2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  163
+
+--S  164 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  164
+
+--S  165 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  165
+
+)clear all
+
+--S  166 of 1092
+t0:=(c+d*x)/(a+b*x)
+--R 
+--R
+--R        d x + c
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  166
+
+--S  167 of 1092
+r0:=d*x/b+(b*c-a*d)*log(a+b*x)/b^2
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (2)  ---------------------------------
+--R                         2
+--R                        b
+--R                                                    Type: Expression(Integer)
+--E  167
+
+--S  168 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (3)  ---------------------------------
+--R                         2
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E  168
+
+--S  169 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  169
+
+--S  170 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  170
+
+)clear all
+
+--S  171 of 1092
+t0:=(c+d*x)/(x*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  ----------
+--R           2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  171
+
+--S  172 of 1092
+r0:=c*log(x)/a-(b*c-a*d)*log(a+b*x)/(a*b)
+--R 
+--R
+--R        (a d - b c)log(b x + a) + b c log(x)
+--R   (2)  ------------------------------------
+--R                         a b
+--R                                                    Type: Expression(Integer)
+--E  172
+
+--S  173 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (a d - b c)log(b x + a) + b c log(x)
+--R   (3)  ------------------------------------
+--R                         a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  173
+
+--S  174 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  174
+
+--S  175 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  175
+
+)clear all
+
+--S  176 of 1092
+t0:=(c+d*x)/(x^2*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           3      2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  176
+
+--S  177 of 1092
+r0:=-c/(a*x)-(b*c-a*d)*log(x)/a^2+(b*c-a*d)*log(a+b*x)/a^2
+--R 
+--R
+--R        (- a d + b c)x log(b x + a) + (a d - b c)x log(x) - a c
+--R   (2)  -------------------------------------------------------
+--R                                   2
+--R                                  a x
+--R                                                    Type: Expression(Integer)
+--E  177
+
+--S  178 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- a d + b c)x log(b x + a) + (a d - b c)x log(x) - a c
+--R   (3)  -------------------------------------------------------
+--R                                   2
+--R                                  a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  178
+
+--S  179 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  179
+
+--S  180 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  180
+
+)clear all
+
+--S  181 of 1092
+t0:=(c+d*x)/(x^3*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           4      3
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  181
+
+--S  182 of 1092
+r0:=-1/2*c/(a*x^2)+(b*c-a*d)/(a^2*x)+b*(b*c-a*d)*log(x)/a^3-_
+     b*(b*c-a*d)*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R                   2   2                             2   2
+--R       (2a b d - 2b c)x log(b x + a) + (- 2a b d + 2b c)x log(x)
+--R     + 
+--R            2                2
+--R       (- 2a d + 2a b c)x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                                    Type: Expression(Integer)
+--E  182
+
+--S  183 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   2   2                             2   2
+--R       (2a b d - 2b c)x log(b x + a) + (- 2a b d + 2b c)x log(x)
+--R     + 
+--R            2                2
+--R       (- 2a d + 2a b c)x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  183
+
+--S  184 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  184
+
+--S  185 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  185
+
+)clear all
+
+--S  186 of 1092
+t0:=(c+d*x)/(x^4*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           5      4
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  186
+
+--S  187 of 1092
+r0:=-1/3*c/(a*x^3)+1/2*(b*c-a*d)/(a^2*x^2)-b*(b*c-a*d)/(a^3*x)-_
+     b^2*(b*c-a*d)*log(x)/a^4+b^2*(b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R              2      3   3                    2      3   3
+--R       (- 6a b d + 6b c)x log(b x + a) + (6a b d - 6b c)x log(x)
+--R     + 
+--R          2          2   2        3      2          3
+--R       (6a b d - 6a b c)x  + (- 3a d + 3a b c)x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  187
+
+--S  188 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2      3   3                    2      3   3
+--R       (- 6a b d + 6b c)x log(b x + a) + (6a b d - 6b c)x log(x)
+--R     + 
+--R          2          2   2        3      2          3
+--R       (6a b d - 6a b c)x  + (- 3a d + 3a b c)x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  188
+
+--S  189 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  189
+
+--S  190 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  190
+
+)clear all
+
+--S  191 of 1092
+t0:=(c+d*x)/(x^5*(a+b*x))
+--R 
+--R
+--R          d x + c
+--R   (1)  -----------
+--R           6      5
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  191
+
+--S  192 of 1092
+r0:=-1/4*c/(a*x^4)+1/3*(b*c-a*d)/(a^2*x^3)-1/2*b*(b*c-a*d)/(a^3*x^2)+_
+     b^2*(b*c-a*d)/(a^4*x)+b^3*(b*c-a*d)*log(x)/a^5-_
+     b^3*(b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             3       4   4                       3       4   4
+--R       (12a b d - 12b c)x log(b x + a) + (- 12a b d + 12b c)x log(x)
+--R     + 
+--R           2 2         3   3      3        2 2   2        4      3          4
+--R     (- 12a b d + 12a b c)x  + (6a b d - 6a b c)x  + (- 4a d + 4a b c)x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  192
+
+--S  193 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3       4   4                       3       4   4
+--R       (12a b d - 12b c)x log(b x + a) + (- 12a b d + 12b c)x log(x)
+--R     + 
+--R           2 2         3   3      3        2 2   2        4      3          4
+--R     (- 12a b d + 12a b c)x  + (6a b d - 6a b c)x  + (- 4a d + 4a b c)x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  193
+
+--S  194 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  194
+
+--S  195 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  195
+
+)clear all
+
+--S  196 of 1092
+t0:=x^m*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R          2 2             2  m
+--R        (d x  + 2c d x + c )x
+--R   (1)  ----------------------
+--R                b x + a
+--R                                                    Type: Expression(Integer)
+--E  196
+
+--S  197 of 1092
+--r0:=-d*(a*d*(2+m)-b*c*(3+m))*x^(1+m)/(b^2*(1+m)*(2+m))+_
+--     d*x^(1+m)*(c+d*x)/(b*(2+m))+(b*c-a*d)^2*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*b^2*(1+m))
+--E  197
+
+--S  198 of 1092
+--a0:=integrate(t0,x)
+--E  198
+
+--S  199 of 1092
+--m0:=a0-r0
+--E  199
+
+--S  200 of 1092
+--d0:=D(m0,x)
+--E  200
+
+)clear all
+
+--S  201 of 1092
+t0:=x^4*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 6         5    2 4
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  201
+
+--S  202 of 1092
+r0:=-a^3*(b*c-a*d)^2*x/b^6+1/2*a^2*(b*c-a*d)^2*x^2/b^5-_
+     1/3*a*(b*c-a*d)^2*x^3/b^4+1/4*(b*c-a*d)^2*x^4/b^3+_
+     1/5*d*(2*b*c-a*d)*x^5/b^2+1/6*d^2*x^6/b+a^4*(b*c-a*d)^2*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R           6 2       5           4 2 2                   6 2 6
+--R       (60a d  - 120a b c d + 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 2      6     5       2 4 2        5         6 2  4
+--R       (- 12a b d  + 24b c d)x  + (15a b d  - 30a b c d + 15b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 20a b d  + 40a b c d - 20a b c )x
+--R     + 
+--R         4 2 2      3 3         2 4 2  2         5   2       4 2         3 3 2
+--R     (30a b d  - 60a b c d + 30a b c )x  + (- 60a b d  + 120a b c d - 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  202
+
+--S  203 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 2       5           4 2 2                   6 2 6
+--R       (60a d  - 120a b c d + 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 2      6     5       2 4 2        5         6 2  4
+--R       (- 12a b d  + 24b c d)x  + (15a b d  - 30a b c d + 15b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 20a b d  + 40a b c d - 20a b c )x
+--R     + 
+--R         4 2 2      3 3         2 4 2  2         5   2       4 2         3 3 2
+--R     (30a b d  - 60a b c d + 30a b c )x  + (- 60a b d  + 120a b c d - 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  203
+
+--S  204 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  204
+
+--S  205 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  205
+
+)clear all
+
+--S  206 of 1092
+t0:=x^3*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 5         4    2 3
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  206
+
+--S  207 of 1092
+r0:=a^2*(b*c-a*d)^2*x/b^5-1/2*a*(b*c-a*d)^2*x^2/b^4+_
+     1/3*(b*c-a*d)^2*x^3/b^3+1/4*d*(2*b*c-a*d)*x^4/b^2+1/5*d^2*x^5/b-_
+     a^3*(b*c-a*d)^2*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5 2       4           3 2 2                   5 2 5
+--R       (- 60a d  + 120a b c d - 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 2      5     4       2 3 2        4         5 2  3
+--R       (- 15a b d  + 30b c d)x  + (20a b d  - 40a b c d + 20b c )x
+--R     + 
+--R           3 2 2      2 3           4 2  2       4   2       3 2         2 3 2
+--R     (- 30a b d  + 60a b c d - 30a b c )x  + (60a b d  - 120a b c d + 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  207
+
+--S  208 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5 2       4           3 2 2                   5 2 5
+--R       (- 60a d  + 120a b c d - 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 2      5     4       2 3 2        4         5 2  3
+--R       (- 15a b d  + 30b c d)x  + (20a b d  - 40a b c d + 20b c )x
+--R     + 
+--R           3 2 2      2 3           4 2  2       4   2       3 2         2 3 2
+--R     (- 30a b d  + 60a b c d - 30a b c )x  + (60a b d  - 120a b c d + 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  208
+
+--S  209 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  209
+
+--S  210 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  210
+
+)clear all
+
+--S  211 of 1092
+t0:=x^2*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 4         3    2 2
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  211
+
+--S  212 of 1092
+r0:=-a*(b*c-a*d)^2*x/b^4+1/2*(b*c-a*d)^2*x^2/b^3+1/3*d*(2*b*c-a*d)*x^3/b^2+_
+     1/4*d^2*x^4/b+a^2*(b*c-a*d)^2*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4 2      3           2 2 2                  4 2 4
+--R       (12a d  - 24a b c d + 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 2     4     3      2 2 2        3        4 2  2
+--R       (- 4a b d  + 8b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R     + 
+--R             3   2      2 2           3 2
+--R       (- 12a b d  + 24a b c d - 12a b c )x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  212
+
+--S  213 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 2      3           2 2 2                  4 2 4
+--R       (12a d  - 24a b c d + 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 2     4     3      2 2 2        3        4 2  2
+--R       (- 4a b d  + 8b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R     + 
+--R             3   2      2 2           3 2
+--R       (- 12a b d  + 24a b c d - 12a b c )x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  213
+
+--S  214 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  214
+
+--S  215 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  215
+
+)clear all
+
+--S  216 of 1092
+t0:=x*(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 3         2    2
+--R        d x  + 2c d x  + c x
+--R   (1)  --------------------
+--R               b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  216
+
+--S  217 of 1092
+r0:=(b*c-a*d)^2*x/b^3+1/2*d*(2*b*c-a*d)*x^2/b^2+1/3*d^2*x^3/b-_
+     a*(b*c-a*d)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3 2      2            2 2                  3 2 3
+--R       (- 6a d  + 12a b c d - 6a b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 2     3     2      2   2        2        3 2
+--R       (- 3a b d  + 6b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  217
+
+--S  218 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 2      2            2 2                  3 2 3
+--R       (- 6a d  + 12a b c d - 6a b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 2     3     2      2   2        2        3 2
+--R       (- 3a b d  + 6b c d)x  + (6a b d  - 12a b c d + 6b c )x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  218
+
+--S  219 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  219
+
+--S  220 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  220
+
+)clear all
+
+--S  221 of 1092
+t0:=(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R              b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  221
+
+--S  222 of 1092
+r0:=d*(b*c-a*d)*x/b^2+1/2*(c+d*x)^2/b+(b*c-a*d)^2*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R          2 2                2 2                 2 2 2            2     2
+--R       (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R     + 
+--R        2 2
+--R       b c
+--R  /
+--R       3
+--R     2b
+--R                                                    Type: Expression(Integer)
+--E  222
+
+--S  223 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R      2 2                2 2                 2 2 2            2     2
+--R   (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R   -----------------------------------------------------------------------
+--R                                       3
+--R                                     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E  223
+
+--S  224 of 1092
+m0:=a0-r0
+--R 
+--R
+--R           2
+--R          c
+--R   (4)  - --
+--R          2b
+--R                                                    Type: Expression(Integer)
+--E  224
+
+--S  225 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  225
+
+)clear all
+
+--S  226 of 1092
+t0:=(c+d*x)^2/(x*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               2
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  226
+
+--S  227 of 1092
+r0:=d^2*x/b+c^2*log(x)/a-(b*c-a*d)^2*log(a+b*x)/(a*b^2)
+--R 
+--R
+--R            2 2               2 2                 2 2              2
+--R        (- a d  + 2a b c d - b c )log(b x + a) + b c log(x) + a b d x
+--R   (2)  -------------------------------------------------------------
+--R                                        2
+--R                                     a b
+--R                                                    Type: Expression(Integer)
+--E  227
+
+--S  228 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2 2               2 2                 2 2              2
+--R        (- a d  + 2a b c d - b c )log(b x + a) + b c log(x) + a b d x
+--R   (3)  -------------------------------------------------------------
+--R                                        2
+--R                                     a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  228
+
+--S  229 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  229
+
+--S  230 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  230
+
+)clear all
+
+--S  231 of 1092
+t0:=(c+d*x)^2/(x^2*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               3      2
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  231
+
+--S  232 of 1092
+r0:=-c^2/(a*x)-c*(b*c-2*a*d)*log(x)/a^2+(b*c-a*d)^2*log(a+b*x)/(a^2*b)
+--R 
+--R
+--R   (2)
+--R     2 2               2 2                               2 2                 2
+--R   (a d  - 2a b c d + b c )x log(b x + a) + (2a b c d - b c )x log(x) - a b c
+--R   ---------------------------------------------------------------------------
+--R                                       2
+--R                                      a b x
+--R                                                    Type: Expression(Integer)
+--E  232
+
+--S  233 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R     2 2               2 2                               2 2                 2
+--R   (a d  - 2a b c d + b c )x log(b x + a) + (2a b c d - b c )x log(x) - a b c
+--R   ---------------------------------------------------------------------------
+--R                                       2
+--R                                      a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  233
+
+--S  234 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  234
+
+--S  235 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  235
+
+)clear all
+
+--S  236 of 1092
+t0:=(c+d*x)^2/(x^3*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               4      3
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  236
+
+--S  237 of 1092
+r0:=-1/2*c^2/(a*x^2)+c*(b*c-2*a*d)/(a^2*x)+(b*c-a*d)^2*log(x)/a^3-_
+     (b*c-a*d)^2*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R            2 2                2 2  2
+--R       (- 2a d  + 4a b c d - 2b c )x log(b x + a)
+--R     + 
+--R          2 2                2 2  2              2            2      2 2
+--R       (2a d  - 4a b c d + 2b c )x log(x) + (- 4a c d + 2a b c )x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                                    Type: Expression(Integer)
+--E  237
+
+--S  238 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 2                2 2  2
+--R       (- 2a d  + 4a b c d - 2b c )x log(b x + a)
+--R     + 
+--R          2 2                2 2  2              2            2      2 2
+--R       (2a d  - 4a b c d + 2b c )x log(x) + (- 4a c d + 2a b c )x - a c
+--R  /
+--R       3 2
+--R     2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  238
+
+--S  239 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  239
+
+--S  240 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  240
+
+)clear all
+
+--S  241 of 1092
+t0:=(c+d*x)^2/(x^4*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               5      4
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  241
+
+--S  242 of 1092
+r0:=-1/3*c^2/(a*x^3)+1/2*c*(b*c-2*a*d)/(a^2*x^2)-(b*c-a*d)^2/(a^3*x)-_
+     b*(b*c-a*d)^2*log(x)/a^4+b*(b*c-a*d)^2*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R          2   2        2        3 2  3
+--R       (6a b d  - 12a b c d + 6b c )x log(b x + a)
+--R     + 
+--R            2   2        2        3 2  3
+--R       (- 6a b d  + 12a b c d - 6b c )x log(x)
+--R     + 
+--R            3 2      2            2 2  2        3        2   2       3 2
+--R       (- 6a d  + 12a b c d - 6a b c )x  + (- 6a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  242
+
+--S  243 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2   2        2        3 2  3
+--R       (6a b d  - 12a b c d + 6b c )x log(b x + a)
+--R     + 
+--R            2   2        2        3 2  3
+--R       (- 6a b d  + 12a b c d - 6b c )x log(x)
+--R     + 
+--R            3 2      2            2 2  2        3        2   2       3 2
+--R       (- 6a d  + 12a b c d - 6a b c )x  + (- 6a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  243
+
+--S  244 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  244
+
+--S  245 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  245
+
+)clear all
+
+--S  246 of 1092
+t0:=(c+d*x)^2/(x^5*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               6      5
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  246
+
+--S  247 of 1092
+r0:=-1/4*c^2/(a*x^4)+1/3*c*(b*c-2*a*d)/(a^2*x^3)-_
+     1/2*(b*c-a*d)^2/(a^3*x^2)+b*(b*c-a*d)^2/(a^4*x)+_
+     b^2*(b*c-a*d)^2*log(x)/a^5-b^2*(b*c-a*d)^2*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             2 2 2        3         4 2  4
+--R       (- 12a b d  + 24a b c d - 12b c )x log(b x + a)
+--R     + 
+--R           2 2 2        3         4 2  4
+--R       (12a b d  - 24a b c d + 12b c )x log(x)
+--R     + 
+--R           3   2      2 2           3 2  3        4 2      3          2 2 2  2
+--R       (12a b d  - 24a b c d + 12a b c )x  + (- 6a d  + 12a b c d - 6a b c )x
+--R     + 
+--R            4        3   2       4 2
+--R       (- 8a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  247
+
+--S  248 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2        3         4 2  4
+--R       (- 12a b d  + 24a b c d - 12b c )x log(b x + a)
+--R     + 
+--R           2 2 2        3         4 2  4
+--R       (12a b d  - 24a b c d + 12b c )x log(x)
+--R     + 
+--R           3   2      2 2           3 2  3        4 2      3          2 2 2  2
+--R       (12a b d  - 24a b c d + 12a b c )x  + (- 6a d  + 12a b c d - 6a b c )x
+--R     + 
+--R            4        3   2       4 2
+--R       (- 8a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  248
+
+--S  249 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  249
+
+--S  250 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  250
+
+)clear all
+
+--S  251 of 1092
+t0:=(c+d*x)^2/(x^6*(a+b*x))
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R               7      6
+--R            b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  251
+
+--S  252 of 1092
+r0:=-1/5*c^2/(a*x^5)+1/4*c*(b*c-2*a*d)/(a^2*x^4)-_
+     1/3*(b*c-a*d)^2/(a^3*x^3)+1/2*b*(b*c-a*d)^2/(a^4*x^2)-_
+     b^2*(b*c-a*d)^2/(a^5*x)-b^3*(b*c-a*d)^2*log(x)/a^6+_
+     b^3*(b*c-a*d)^2*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R           2 3 2         4         5 2  5
+--R       (60a b d  - 120a b c d + 60b c )x log(b x + a)
+--R     + 
+--R             2 3 2         4         5 2  5
+--R       (- 60a b d  + 120a b c d - 60b c )x log(x)
+--R     + 
+--R             3 2 2       2 3           4 2  4
+--R       (- 60a b d  + 120a b c d - 60a b c )x
+--R     + 
+--R           4   2      3 2         2 3 2  3         5 2      4           3 2 2  2
+--R       (30a b d  - 60a b c d + 30a b c )x  + (- 20a d  + 40a b c d - 20a b c )x
+--R     + 
+--R             5         4   2        5 2
+--R       (- 30a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  252
+
+--S  253 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2 3 2         4         5 2  5
+--R       (60a b d  - 120a b c d + 60b c )x log(b x + a)
+--R     + 
+--R             2 3 2         4         5 2  5
+--R       (- 60a b d  + 120a b c d - 60b c )x log(x)
+--R     + 
+--R             3 2 2       2 3           4 2  4
+--R       (- 60a b d  + 120a b c d - 60a b c )x
+--R     + 
+--R           4   2      3 2         2 3 2  3         5 2      4           3 2 2  2
+--R       (30a b d  - 60a b c d + 30a b c )x  + (- 20a d  + 40a b c d - 20a b c )x
+--R     + 
+--R             5         4   2        5 2
+--R       (- 30a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  253
+
+--S  254 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  254
+
+--S  255 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  255
+
+)clear all
+
+--S  256 of 1092
+t0:=x^m*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R          3 3       2 2     2       3  m
+--R        (d x  + 3c d x  + 3c d x + c )x
+--R   (1)  --------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  256
+
+--S  257 of 1092
+--r0:=d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^(1+m)/(b^3*(1+m))+_
+--     d^2*(3*b*c-a*d)*x^(2+m)/(b^2*(2+m))+d^3*x^(3+m)/(b*(3+m))+_
+--     (b*c-a*d)^3*x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a*b^3*(1+m))
+--E  257
+
+--S  258 of 1092
+--a0:=integrate(t0,x)
+--E  258
+
+--S  259 of 1092
+--m0:=a0-r0
+--E  259
+
+--S  260 of 1092
+--d0:=D(m0,x)
+--E  260
+
+)clear all
+
+--S  261 of 1092
+t0:=x^4*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 7       2 6     2   5    3 4
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  261
+
+--S  262 of 1092
+r0:=-a^3*(b*c-a*d)^3*x/b^7+1/2*a^2*(b*c-a*d)^3*x^2/b^6-1/3*a*(b*c-a*d)^3*_
+     x^3/b^5+1/4*(b*c-a*d)^3*x^4/b^4+1/5*d*(3*b^2*c^2-_
+     3*a*b*c*d+a^2*d^2)*x^5/b^3+1/6*d^2*(3*b*c-a*d)*x^6/b^2+_
+     1/7*d^3*x^7/b+a^4*(b*c-a*d)^3*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R              7 3        6     2        5 2 2        4 3 3
+--R       (- 420a d  + 1260a b c d  - 1260a b c d + 420a b c )log(b x + a)
+--R     + 
+--R          7 3 7           6 3       7   2  6
+--R       60b d x  + (- 70a b d  + 210b c d )x
+--R     + 
+--R           2 5 3         6   2       7 2   5
+--R       (84a b d  - 252a b c d  + 252b c d)x
+--R     + 
+--R              3 4 3       2 5   2         6 2        7 3  4
+--R       (- 105a b d  + 315a b c d  - 315a b c d + 105b c )x
+--R     + 
+--R            4 3 3       3 4   2       2 5 2          6 3  3
+--R       (140a b d  - 420a b c d  + 420a b c d - 140a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 630a b c d  - 630a b c d + 210a b c )x
+--R     + 
+--R            6   3        5 2   2        4 3 2        3 4 3
+--R       (420a b d  - 1260a b c d  + 1260a b c d - 420a b c )x
+--R  /
+--R         8
+--R     420b
+--R                                                    Type: Expression(Integer)
+--E  262
+
+--S  263 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              7 3        6     2        5 2 2        4 3 3
+--R       (- 420a d  + 1260a b c d  - 1260a b c d + 420a b c )log(b x + a)
+--R     + 
+--R          7 3 7           6 3       7   2  6
+--R       60b d x  + (- 70a b d  + 210b c d )x
+--R     + 
+--R           2 5 3         6   2       7 2   5
+--R       (84a b d  - 252a b c d  + 252b c d)x
+--R     + 
+--R              3 4 3       2 5   2         6 2        7 3  4
+--R       (- 105a b d  + 315a b c d  - 315a b c d + 105b c )x
+--R     + 
+--R            4 3 3       3 4   2       2 5 2          6 3  3
+--R       (140a b d  - 420a b c d  + 420a b c d - 140a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 630a b c d  - 630a b c d + 210a b c )x
+--R     + 
+--R            6   3        5 2   2        4 3 2        3 4 3
+--R       (420a b d  - 1260a b c d  + 1260a b c d - 420a b c )x
+--R  /
+--R         8
+--R     420b
+--R                                         Type: Union(Expression(Integer),...)
+--E  263
+
+--S  264 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  264
+
+--S  265 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  265
+
+)clear all
+
+--S  266 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  266
+
+--S  267 of 1092
+r0:=a^2*(b*c-a*d)^3*x/b^6-1/2*a*(b*c-a*d)^3*x^2/b^5+1/3*(b*c-a*d)^3*x^3/b^4+_
+     1/4*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^4/b^3+_
+     1/5*d^2*(3*b*c-a*d)*x^5/b^2+1/6*d^3*x^6/b-a^3*(b*c-a*d)^3*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R           6 3       5     2       4 2 2       3 3 3                   6 3 6
+--R       (60a d  - 180a b c d  + 180a b c d - 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       (- 12a b d  + 36b c d )x  + (15a b d  - 45a b c d  + 45b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 60a b c d  - 60a b c d + 20b c )x
+--R     + 
+--R           4 2 3      3 3   2      2 4 2         5 3  2
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             5   3       4 2   2       3 3 2       2 4 3
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  267
+
+--S  268 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           6 3       5     2       4 2 2       3 3 3                   6 3 6
+--R       (60a d  - 180a b c d  + 180a b c d - 60a b c )log(b x + a) + 10b d x
+--R     + 
+--R               5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       (- 12a b d  + 36b c d )x  + (15a b d  - 45a b c d  + 45b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 60a b c d  - 60a b c d + 20b c )x
+--R     + 
+--R           4 2 3      3 3   2      2 4 2         5 3  2
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             5   3       4 2   2       3 3 2       2 4 3
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R  /
+--R        7
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  268
+
+--S  269 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  269
+
+--S  270 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  270
+
+)clear all
+
+--S  271 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  271
+
+--S  272 of 1092
+r0:=-a*(b*c-a*d)^3*x/b^5+1/2*(b*c-a*d)^3*x^2/b^4+_
+     1/3*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^3/b^3+_
+     1/4*d^2*(3*b*c-a*d)*x^4/b^2+1/5*d^3*x^5/b+a^2*(b*c-a*d)^3*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             5 3       4     2       3 2 2       2 3 3                   5 3 5
+--R       (- 60a d  + 180a b c d  - 180a b c d + 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       (- 15a b d  + 45b c d )x  + (20a b d  - 60a b c d  + 60b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 90a b c d  - 90a b c d + 30b c )x
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                                    Type: Expression(Integer)
+--E  272
+
+--S  273 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             5 3       4     2       3 2 2       2 3 3                   5 3 5
+--R       (- 60a d  + 180a b c d  - 180a b c d + 60a b c )log(b x + a) + 12b d x
+--R     + 
+--R               4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       (- 15a b d  + 45b c d )x  + (20a b d  - 60a b c d  + 60b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 90a b c d  - 90a b c d + 30b c )x
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R  /
+--R        6
+--R     60b
+--R                                         Type: Union(Expression(Integer),...)
+--E  273
+
+--S  274 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  274
+
+--S  275 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  275
+
+)clear all
+
+--S  276 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  276
+
+--S  277 of 1092
+r0:=(b*c-a*d)^3*x/b^4+1/2*d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*x^2/b^3+_
+     1/3*d^2*(3*b*c-a*d)*x^3/b^2+1/4*d^3*x^4/b-a*(b*c-a*d)^3*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           4 3      3     2      2 2 2         3 3                  4 3 4
+--R       (12a d  - 36a b c d  + 36a b c d - 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 3      4   2  3      2 2 3        3   2      4 2   2
+--R       (- 4a b d  + 12b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R     + 
+--R             3   3      2 2   2        3 2       4 3
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x
+--R  /
+--R        5
+--R     12b
+--R                                                    Type: Expression(Integer)
+--E  277
+
+--S  278 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           4 3      3     2      2 2 2         3 3                  4 3 4
+--R       (12a d  - 36a b c d  + 36a b c d - 12a b c )log(b x + a) + 3b d x
+--R     + 
+--R              3 3      4   2  3      2 2 3        3   2      4 2   2
+--R       (- 4a b d  + 12b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R     + 
+--R             3   3      2 2   2        3 2       4 3
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x
+--R  /
+--R        5
+--R     12b
+--R                                         Type: Union(Expression(Integer),...)
+--E  278
+
+--S  279 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  279
+
+--S  280 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  280
+
+)clear all
+
+--S  281 of 1092
+t0:=(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                   b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  281
+
+--S  282 of 1092
+r0:=d*(b*c-a*d)^2*x/b^3+1/2*(b*c-a*d)*(c+d*x)^2/b^2+_
+     1/3*(c+d*x)^3/b+(b*c-a*d)^3*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2          2 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x - 3a b c d
+--R     + 
+--R         3 3
+--R       5b c
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E  282
+
+--S  283 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E  283
+
+--S  284 of 1092
+m0:=a0-r0
+--R 
+--R
+--R            2        3
+--R        3a c d - 5b c
+--R   (4)  --------------
+--R                2
+--R              6b
+--R                                                    Type: Expression(Integer)
+--E  284
+
+--S  285 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  285
+
+)clear all
+
+--S  286 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    2
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  286
+
+--S  287 of 1092
+r0:=d^2*(3*b*c-a*d)*x/b^2+1/2*d^3*x^2/b+_
+     c^3*log(x)/a-(b*c-a*d)^3*log(a+b*x)/(a*b^3)
+--R 
+--R
+--R   (2)
+--R          3 3     2     2       2 2      3 3                  3 3
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )log(b x + a) + 2b c log(x)
+--R     + 
+--R          2 3 2        2   3       2   2
+--R       a b d x  + (- 2a b d  + 6a b c d )x
+--R  /
+--R         3
+--R     2a b
+--R                                                    Type: Expression(Integer)
+--E  287
+
+--S  288 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          3 3     2     2       2 2      3 3                  3 3
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )log(b x + a) + 2b c log(x)
+--R     + 
+--R          2 3 2        2   3       2   2
+--R       a b d x  + (- 2a b d  + 6a b c d )x
+--R  /
+--R         3
+--R     2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  288
+
+--S  289 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  289
+
+--S  290 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  290
+
+)clear all
+
+--S  291 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    3      2
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  291
+
+--S  292 of 1092
+r0:=-c^3/(a*x)+d^3*x/b-c^2*(b*c-3*a*d)*log(x)/a^2+_
+     (b*c-a*d)^3*log(a+b*x)/(a^2*b^2)
+--R 
+--R
+--R   (2)
+--R           3 3     2     2       2 2     3 3
+--R       (- a d  + 3a b c d  - 3a b c d + b c )x log(b x + a)
+--R     + 
+--R            2 2     3 3             2   3 2      2 3
+--R       (3a b c d - b c )x log(x) + a b d x  - a b c
+--R  /
+--R      2 2
+--R     a b x
+--R                                                    Type: Expression(Integer)
+--E  292
+
+--S  293 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3     2     2       2 2     3 3
+--R       (- a d  + 3a b c d  - 3a b c d + b c )x log(b x + a)
+--R     + 
+--R            2 2     3 3             2   3 2      2 3
+--R       (3a b c d - b c )x log(x) + a b d x  - a b c
+--R  /
+--R      2 2
+--R     a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  293
+
+--S  294 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  294
+
+--S  295 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  295
+
+)clear all
+
+--S  296 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    4      3
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  296
+
+--S  297 of 1092
+r0:=-1/2*c^3/(a*x^2)+c^2*(b*c-3*a*d)/(a^2*x)+_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)*log(x)/a^3-(b*c-a*d)^3*log(a+b*x)/(a^3*b)
+--R 
+--R
+--R   (2)
+--R          3 3     2     2       2 2      3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )x log(b x + a)
+--R     + 
+--R        2     2       2 2      3 3  2              2   2        2 3      2   3
+--R     (6a b c d  - 6a b c d + 2b c )x log(x) + (- 6a b c d + 2a b c )x - a b c
+--R  /
+--R       3   2
+--R     2a b x
+--R                                                    Type: Expression(Integer)
+--E  297
+
+--S  298 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          3 3     2     2       2 2      3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d - 2b c )x log(b x + a)
+--R     + 
+--R        2     2       2 2      3 3  2              2   2        2 3      2   3
+--R     (6a b c d  - 6a b c d + 2b c )x log(x) + (- 6a b c d + 2a b c )x - a b c
+--R  /
+--R       3   2
+--R     2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  298
+
+--S  299 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  299
+
+--S  300 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  300
+
+)clear all
+
+--S  301 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    5      4
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  301
+
+--S  302 of 1092
+r0:=-1/3*c^3/(a*x^3)+1/2*c^2*(b*c-3*a*d)/(a^2*x^2)-_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x)-_
+     (b*c-a*d)^3*log(x)/a^4+(b*c-a*d)^3*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R            3 3      2     2        2 2      3 3  3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )x log(b x + a)
+--R     + 
+--R          3 3      2     2        2 2      3 3  3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )x log(x)
+--R     + 
+--R             3   2      2   2        2 3  2        3 2      2   3       3 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 9a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                                    Type: Expression(Integer)
+--E  302
+
+--S  303 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3      2     2        2 2      3 3  3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )x log(b x + a)
+--R     + 
+--R          3 3      2     2        2 2      3 3  3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )x log(x)
+--R     + 
+--R             3   2      2   2        2 3  2        3 2      2   3       3 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 9a c d + 3a b c )x - 2a c
+--R  /
+--R       4 3
+--R     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  303
+
+--S  304 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  304
+
+--S  305 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  305
+
+)clear all
+
+--S  306 of 1092
+t0:=(c+d*x)^3/(x^5*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    6      5
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  306
+
+--S  307 of 1092
+r0:=-1/4*c^3/(a*x^4)+1/3*c^2*(b*c-3*a*d)/(a^2*x^3)-_
+     1/2*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^2)+_
+     (b*c-a*d)^3/(a^4*x)+b*(b*c-a*d)^3*log(x)/a^5-b*(b*c-a*d)^3*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R           3   3      2 2   2        3 2       4 3  4
+--R       (12a b d  - 36a b c d  + 36a b c d - 12b c )x log(b x + a)
+--R     + 
+--R             3   3      2 2   2        3 2       4 3  4
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x log(x)
+--R     + 
+--R             4 3      3     2      2 2 2         3 3  3
+--R       (- 12a d  + 36a b c d  - 36a b c d + 12a b c )x
+--R     + 
+--R             4   2      3   2      2 2 3  2         4 2      3   3       4 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 12a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                                    Type: Expression(Integer)
+--E  307
+
+--S  308 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3   3      2 2   2        3 2       4 3  4
+--R       (12a b d  - 36a b c d  + 36a b c d - 12b c )x log(b x + a)
+--R     + 
+--R             3   3      2 2   2        3 2       4 3  4
+--R       (- 12a b d  + 36a b c d  - 36a b c d + 12b c )x log(x)
+--R     + 
+--R             4 3      3     2      2 2 2         3 3  3
+--R       (- 12a d  + 36a b c d  - 36a b c d + 12a b c )x
+--R     + 
+--R             4   2      3   2      2 2 3  2         4 2      3   3       4 3
+--R       (- 18a c d  + 18a b c d - 6a b c )x  + (- 12a c d + 4a b c )x - 3a c
+--R  /
+--R        5 4
+--R     12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  308
+
+--S  309 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  309
+
+--S  310 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  310
+
+)clear all
+
+--S  311 of 1092
+t0:=(c+d*x)^3/(x^6*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    7      6
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  311
+
+--S  312 of 1092
+r0:=-1/5*c^3/(a*x^5)+1/4*c^2*(b*c-3*a*d)/(a^2*x^4)-_
+     1/3*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^3)+_
+     1/2*(b*c-a*d)^3/(a^4*x^2)-b*(b*c-a*d)^3/(a^5*x)-_
+     b^2*(b*c-a*d)^3*log(x)/a^6+b^2*(b*c-a*d)^3*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R             3 2 3       2 3   2         4 2       5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(b x + a)
+--R     + 
+--R           3 2 3       2 3   2         4 2       5 3  5
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(x)
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3  4
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 30a d  + 90a b c d  - 90a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2       4   3        5 3
+--R       (- 60a c d  + 60a b c d - 20a b c )x  + (- 45a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  312
+
+--S  313 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3 2 3       2 3   2         4 2       5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(b x + a)
+--R     + 
+--R           3 2 3       2 3   2         4 2       5 3  5
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(x)
+--R     + 
+--R           4   3       3 2   2       2 3 2         4 3  4
+--R       (60a b d  - 180a b c d  + 180a b c d - 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 30a d  + 90a b c d  - 90a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2       4   3        5 3
+--R       (- 60a c d  + 60a b c d - 20a b c )x  + (- 45a c d + 15a b c )x - 12a c
+--R  /
+--R        6 5
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  313
+
+--S  314 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  314
+
+--S  315 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  315
+
+)clear all
+
+--S  316 of 1092
+t0:=(c+d*x)^3/(x^7*(a+b*x))
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                    8      7
+--R                 b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  316
+
+--S  317 of 1092
+r0:=-1/6*c^3/(a*x^6)+1/5*c^2*(b*c-3*a*d)/(a^2*x^5)-_
+     1/4*c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)/(a^3*x^4)+_
+     1/3*(b*c-a*d)^3/(a^4*x^3)-1/2*b*(b*c-a*d)^3/(a^5*x^2)+_
+     b^2*(b*c-a*d)^3/(a^6*x)+b^3*(b*c-a*d)^3*log(x)/a^7-_
+     b^3*(b*c-a*d)^3*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R           3 3 3       2 4   2         5 2       6 3  6
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(b x + a)
+--R     + 
+--R             3 3 3       2 4   2         5 2       6 3  6
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(x)
+--R     + 
+--R             4 2 3       3 3   2       2 4 2         5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R     + 
+--R           5   3      4 2   2      3 3 2       2 4 3  4
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 20a d  + 60a b c d  - 60a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2       5   3        6 3
+--R       (- 45a c d  + 45a b c d - 15a b c )x  + (- 36a c d + 12a b c )x - 10a c
+--R  /
+--R        7 6
+--R     60a x
+--R                                                    Type: Expression(Integer)
+--E  317
+
+--S  318 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3 3       2 4   2         5 2       6 3  6
+--R       (60a b d  - 180a b c d  + 180a b c d - 60b c )x log(b x + a)
+--R     + 
+--R             3 3 3       2 4   2         5 2       6 3  6
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60b c )x log(x)
+--R     + 
+--R             4 2 3       3 3   2       2 4 2         5 3  5
+--R       (- 60a b d  + 180a b c d  - 180a b c d + 60a b c )x
+--R     + 
+--R           5   3      4 2   2      3 3 2       2 4 3  4
+--R       (30a b d  - 90a b c d  + 90a b c d - 30a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 20a d  + 60a b c d  - 60a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2       5   3        6 3
+--R       (- 45a c d  + 45a b c d - 15a b c )x  + (- 36a c d + 12a b c )x - 10a c
+--R  /
+--R        7 6
+--R     60a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  318
+
+--S  319 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  319
+
+--S  320 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  320
+
+)clear all
+
+--S  321 of 1092
+t0:=x^m/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      m
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                                    Type: Expression(Integer)
+--E  321
+
+--S  322 of 1092
+--r0:=b*x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)*(1+m))-_
+--     d*x^(1+m)*hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)*(1+m))
+--E  322
+
+--S  323 of 1092
+--a0:=integrate(t0,x)
+--E  323
+
+--S  324 of 1092
+--m0:=a0-r0
+--E  324
+
+--S  325 of 1092
+--d0:=D(m0,x)
+--E  325
+
+)clear all
+
+--S  326 of 1092
+t0:=x^5/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      5
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  326
+
+--S  327 of 1092
+r0:=-(b*c+a*d)*(b^2*c^2+a^2*d^2)*x/(b^4*d^4)+_
+     1/2*(b^2*c^2+a*b*c*d+a^2*d^2)*x^2/(b^3*d^3)-_
+     1/3*(b*c+a*d)*x^3/(b^2*d^2)+1/4*x^4/(b*d)-_
+     a^5*log(a+b*x)/(b^5*(b*c-a*d))+c^5*log(c+d*x)/(d^5*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R            5 5                  5 5                    4 5     5   4  4
+--R       - 12b c log(d x + c) + 12a d log(b x + a) + (3a b d  - 3b c d )x
+--R     + 
+--R          2 3 5     5 2 3  3      3 2 5     5 3 2  2         4   5      5 4
+--R     (- 4a b d  + 4b c d )x  + (6a b d  - 6b c d )x  + (- 12a b d  + 12b c d)x
+--R  /
+--R          5 6      6   5
+--R     12a b d  - 12b c d
+--R                                                    Type: Expression(Integer)
+--E  327
+
+--S  328 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            5 5                  5 5                    4 5     5   4  4
+--R       - 12b c log(d x + c) + 12a d log(b x + a) + (3a b d  - 3b c d )x
+--R     + 
+--R          2 3 5     5 2 3  3      3 2 5     5 3 2  2         4   5      5 4
+--R     (- 4a b d  + 4b c d )x  + (6a b d  - 6b c d )x  + (- 12a b d  + 12b c d)x
+--R  /
+--R          5 6      6   5
+--R     12a b d  - 12b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  328
+
+--S  329 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  329
+
+--S  330 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  330
+
+)clear all
+
+--S  331 of 1092
+t0:=x^4/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      4
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  331
+
+--S  332 of 1092
+r0:=(b^2*c^2+a*b*c*d+a^2*d^2)*x/(b^3*d^3)-_
+     1/2*(b*c+a*d)*x^2/(b^2*d^2)+1/3*x^3/(b*d)+_
+     a^4*log(a+b*x)/(b^4*(b*c-a*d))-c^4*log(c+d*x)/(d^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R         4 4                 4 4                    3 4     4   3  3
+--R       6b c log(d x + c) - 6a d log(b x + a) + (2a b d  - 2b c d )x
+--R     + 
+--R            2 2 4     4 2 2  2      3   4     4 3
+--R       (- 3a b d  + 3b c d )x  + (6a b d  - 6b c d)x
+--R  /
+--R         4 5     5   4
+--R     6a b d  - 6b c d
+--R                                                    Type: Expression(Integer)
+--E  332
+
+--S  333 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R         4 4                 4 4                    3 4     4   3  3
+--R       6b c log(d x + c) - 6a d log(b x + a) + (2a b d  - 2b c d )x
+--R     + 
+--R            2 2 4     4 2 2  2      3   4     4 3
+--R       (- 3a b d  + 3b c d )x  + (6a b d  - 6b c d)x
+--R  /
+--R         4 5     5   4
+--R     6a b d  - 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  333
+
+--S  334 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  334
+
+--S  335 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  335
+
+)clear all
+
+--S  336 of 1092
+t0:=x^3/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      3
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  336
+
+--S  337 of 1092
+r0:=-(b*c+a*d)*x/(b^2*d^2)+1/2*x^2/(b*d)-a^3*log(a+b*x)/(b^3*(b*c-a*d))+_
+     c^3*log(c+d*x)/(d^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R           3 3                 3 3                   2 3    3   2  2
+--R       - 2b c log(d x + c) + 2a d log(b x + a) + (a b d  - b c d )x
+--R     + 
+--R            2   3     3 2
+--R       (- 2a b d  + 2b c d)x
+--R  /
+--R         3 4     4   3
+--R     2a b d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  337
+
+--S  338 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3                 3 3                   2 3    3   2  2
+--R       - 2b c log(d x + c) + 2a d log(b x + a) + (a b d  - b c d )x
+--R     + 
+--R            2   3     3 2
+--R       (- 2a b d  + 2b c d)x
+--R  /
+--R         3 4     4   3
+--R     2a b d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  338
+
+--S  339 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  339
+
+--S  340 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  340
+
+)clear all
+
+--S  341 of 1092
+t0:=x^2/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                      2
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  341
+
+--S  342 of 1092
+r0:=x/(b*d)+a^2*log(a+b*x)/(b^2*(b*c-a*d))-c^2*log(c+d*x)/(d^2*(b*c-a*d))
+--R 
+--R
+--R         2 2                2 2                     2    2
+--R        b c log(d x + c) - a d log(b x + a) + (a b d  - b c d)x
+--R   (2)  -------------------------------------------------------
+--R                               2 3    3   2
+--R                            a b d  - b c d
+--R                                                    Type: Expression(Integer)
+--E  342
+
+--S  343 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R         2 2                2 2                     2    2
+--R        b c log(d x + c) - a d log(b x + a) + (a b d  - b c d)x
+--R   (3)  -------------------------------------------------------
+--R                               2 3    3   2
+--R                            a b d  - b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  343
+
+--S  344 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  344
+
+--S  345 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  345
+
+)clear all
+
+--S  346 of 1092
+t0:=x/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                     x
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  346
+
+--S  347 of 1092
+r0:=-a*log(a+b*x)/(b*(b*c-a*d))+c*log(c+d*x)/(d*(b*c-a*d))
+--R 
+--R
+--R        - b c log(d x + c) + a d log(b x + a)
+--R   (2)  -------------------------------------
+--R                         2    2
+--R                    a b d  - b c d
+--R                                                    Type: Expression(Integer)
+--E  347
+
+--S  348 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        - b c log(d x + c) + a d log(b x + a)
+--R   (3)  -------------------------------------
+--R                         2    2
+--R                    a b d  - b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  348
+
+--S  349 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  349
+
+--S  350 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  350
+
+)clear all
+
+--S  351 of 1092
+t0:=1/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  351
+
+--S  352 of 1092
+r0:=log(a+b*x)/(b*c-a*d)-log(c+d*x)/(b*c-a*d)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (2)  ---------------------------
+--R                 a d - b c
+--R                                                    Type: Expression(Integer)
+--E  352
+
+--S  353 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (3)  ---------------------------
+--R                 a d - b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  353
+
+--S  354 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  354
+
+--S  355 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  355
+
+)clear all
+
+--S  356 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R             3               2
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  356
+
+--S  357 of 1092
+r0:=log(x)/(a*c)-b*log(a+b*x)/(a*(b*c-a*d))+d*log(c+d*x)/(c*(b*c-a*d))
+--R 
+--R
+--R        - a d log(d x + c) + b c log(b x + a) + (a d - b c)log(x)
+--R   (2)  ---------------------------------------------------------
+--R                               2           2
+--R                              a c d - a b c
+--R                                                    Type: Expression(Integer)
+--E  357
+
+--S  358 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        - a d log(d x + c) + b c log(b x + a) + (a d - b c)log(x)
+--R   (3)  ---------------------------------------------------------
+--R                               2           2
+--R                              a c d - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  358
+
+--S  359 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  359
+
+--S  360 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  360
+
+)clear all
+
+--S  361 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             4               3        2
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  361
+
+--S  362 of 1092
+r0:=(-1)/(a*c*x)-(b*c+a*d)*log(x)/(a^2*c^2)+_
+     b^2*log(a+b*x)/(a^2*(b*c-a*d))-d^2*log(c+d*x)/(c^2*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R        2 2                  2 2                     2 2    2 2             2
+--R       a d x log(d x + c) - b c x log(b x + a) + (- a d  + b c )x log(x) - a c d
+--R     + 
+--R            2
+--R       a b c
+--R  /
+--R       3 2     2   3
+--R     (a c d - a b c )x
+--R                                                    Type: Expression(Integer)
+--E  362
+
+--S  363 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R        2 2                  2 2                     2 2    2 2             2
+--R       a d x log(d x + c) - b c x log(b x + a) + (- a d  + b c )x log(x) - a c d
+--R     + 
+--R            2
+--R       a b c
+--R  /
+--R       3 2     2   3
+--R     (a c d - a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  363
+
+--S  364 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  364
+
+--S  365 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  365
+
+)clear all
+
+--S  366 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             5               4        3
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  366
+
+--S  367 of 1092
+r0:=(-1/2)/(a*c*x^2)+(b*c+a*d)/(a^2*c^2*x)+(b^2*c^2+a*b*c*d+a^2*d^2)*_
+     log(x)/(a^3*c^3)-b^3*log(a+b*x)/(a^3*(b*c-a*d))+_
+     d^3*log(c+d*x)/(c^3*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R           3 3 2                 3 3 2                  3 3     3 3  2
+--R       - 2a d x log(d x + c) + 2b c x log(b x + a) + (2a d  - 2b c )x log(x)
+--R     + 
+--R          3   2       2 3      3 2     2   3
+--R       (2a c d  - 2a b c )x - a c d + a b c
+--R  /
+--R        4 3      3   4  2
+--R     (2a c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  367
+
+--S  368 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 3 2                 3 3 2                  3 3     3 3  2
+--R       - 2a d x log(d x + c) + 2b c x log(b x + a) + (2a d  - 2b c )x log(x)
+--R     + 
+--R          3   2       2 3      3 2     2   3
+--R       (2a c d  - 2a b c )x - a c d + a b c
+--R  /
+--R        4 3      3   4  2
+--R     (2a c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  368
+
+--S  369 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  369
+
+--S  370 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  370
+
+)clear all
+
+--S  371 of 1092
+t0:=1/(x^4*(a+b*x)*(c+d*x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R             6               5        4
+--R        b d x  + (a d + b c)x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  371
+
+--S  372 of 1092
+r0:=(-1/3)/(a*c*x^3)+1/2*(b*c+a*d)/(a^2*c^2*x^2)+_
+     (-b^2*c^2-a*b*c*d-a^2*d^2)/(a^3*c^3*x)-(b*c+a*d)*(b^2*c^2+a^2*d^2)*_
+     log(x)/(a^4*c^4)+b^4*log(a+b*x)/(a^4*(b*c-a*d))-_
+     d^4*log(c+d*x)/(c^4*(b*c-a*d))
+--R 
+--R
+--R   (2)
+--R         4 4 3                 4 4 3                    4 4     4 4  3
+--R       6a d x log(d x + c) - 6b c x log(b x + a) + (- 6a d  + 6b c )x log(x)
+--R     + 
+--R            4   3       3 4  2      4 2 2     2 2 4       4 3      3   4
+--R       (- 6a c d  + 6a b c )x  + (3a c d  - 3a b c )x - 2a c d + 2a b c
+--R  /
+--R        5 4      4   5  3
+--R     (6a c d - 6a b c )x
+--R                                                    Type: Expression(Integer)
+--E  372
+
+--S  373 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R         4 4 3                 4 4 3                    4 4     4 4  3
+--R       6a d x log(d x + c) - 6b c x log(b x + a) + (- 6a d  + 6b c )x log(x)
+--R     + 
+--R            4   3       3 4  2      4 2 2     2 2 4       4 3      3   4
+--R       (- 6a c d  + 6a b c )x  + (3a c d  - 3a b c )x - 2a c d + 2a b c
+--R  /
+--R        5 4      4   5  3
+--R     (6a c d - 6a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  373
+
+--S  374 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  374
+
+--S  375 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  375
+
+)clear all
+
+--S  376 of 1092
+t0:=x^m/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  m
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                                    Type: Expression(Integer)
+--E  376
+
+--S  377 of 1092
+--r0:=-d*x^(1+m)/(c*(b*c-a*d)*(c+d*x))+b^2*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)^2*(1+m))-b*d*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)^2*(1+m))+d*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^2*(b*c-a*d)*(1+m))
+--E  377
+
+--S  378 of 1092
+--a0:=integrate(t0,x)
+--E  378
+
+--S  379 of 1092
+--m0:=a0-r0
+--E  379
+
+--S  380 of 1092
+--d0:=D(m0,x)
+--E  380
+
+)clear all
+
+--S  381 of 1092
+t0:=x^m/((1-a*x)^2*(1+a*x))
+--R 
+--R
+--R                   m
+--R                  x
+--R   (1)  ---------------------
+--R         3 3    2 2
+--R        a x  - a x  - a x + 1
+--R                                                    Type: Expression(Integer)
+--E  381
+
+--S  382 of 1092
+--r0:=1/2*x^(1+m)/(1-a*x)+1/4*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-a*x)/(1+m)+1/4*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,a*x)/(1+m)-1/2*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,a*x)/(1+m)
+--E  382
+
+--S  383 of 1092
+--a0:=integrate(t0,x)
+--E  383
+
+--S  384 of 1092
+--m0:=a0-r0
+--E  384
+
+--S  385 of 1092
+--d0:=D(m0,x)
+--E  385
+
+)clear all
+
+--S  386 of 1092
+t0:=x^5/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  5
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  386
+
+--S  387 of 1092
+r0:=(3*b^2*c^2+2*a*b*c*d+a^2*d^2)*x/(b^3*d^4)-_
+     1/2*(2*b*c+a*d)*x^2/(b^2*d^3)+1/3*x^3/(b*d^2)-_
+     c^5/(d^5*(b*c-a*d)*(c+d*x))-a^5*log(a+b*x)/(b^4*(b*c-a*d)^2)-_
+     c^4*(4*b*c-5*a*d)*log(c+d*x)/(d^5*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R              4 4 2      5 5           4 5       5 6
+--R       ((30a b c d  - 24b c d)x + 30a b c d - 24b c )log(d x + c)
+--R     + 
+--R            5 6      5   5                   2 3 6       4   5     5 2 4  4
+--R       (- 6a d x - 6a c d )log(b x + a) + (2a b d  - 4a b c d  + 2b c d )x
+--R     + 
+--R            3 2 6     2 3   5       4 2 4     5 3 3  3
+--R       (- 3a b d  + 2a b c d  + 5a b c d  - 4b c d )x
+--R     + 
+--R          4   6     3 2   5        4 3 3      5 4 2  2
+--R       (6a b d  - 3a b c d  - 15a b c d  + 12b c d )x
+--R     + 
+--R          4     5        4 4 2      5 5          4 5      5 6
+--R       (6a b c d  - 24a b c d  + 18b c d)x + 6a b c d - 6b c
+--R  /
+--R        2 4 8        5   7     6 2 6       2 4   7        5 2 6     6 3 5
+--R     (6a b d  - 12a b c d  + 6b c d )x + 6a b c d  - 12a b c d  + 6b c d
+--R                                                    Type: Expression(Integer)
+--E  387
+
+--S  388 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 4 2      5 5           4 5       5 6
+--R       ((30a b c d  - 24b c d)x + 30a b c d - 24b c )log(d x + c)
+--R     + 
+--R            5 6      5   5                   2 3 6       4   5     5 2 4  4
+--R       (- 6a d x - 6a c d )log(b x + a) + (2a b d  - 4a b c d  + 2b c d )x
+--R     + 
+--R            3 2 6     2 3   5       4 2 4     5 3 3  3
+--R       (- 3a b d  + 2a b c d  + 5a b c d  - 4b c d )x
+--R     + 
+--R          4   6     3 2   5        4 3 3      5 4 2  2
+--R       (6a b d  - 3a b c d  - 15a b c d  + 12b c d )x
+--R     + 
+--R          4     5        4 4 2      5 5          4 5      5 6
+--R       (6a b c d  - 24a b c d  + 18b c d)x + 6a b c d - 6b c
+--R  /
+--R        2 4 8        5   7     6 2 6       2 4   7        5 2 6     6 3 5
+--R     (6a b d  - 12a b c d  + 6b c d )x + 6a b c d  - 12a b c d  + 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  388
+
+--S  389 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  389
+
+--S  390 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  390
+
+)clear all
+
+--S  391 of 1092
+t0:=x^4/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  4
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  391
+
+--S  392 of 1092
+r0:=-(2*b*c+a*d)*x/(b^2*d^3)+1/2*x^2/(b*d^2)+_
+     c^4/(d^4*(b*c-a*d)*(c+d*x))+a^4*log(a+b*x)/(b^3*(b*c-a*d)^2)+_
+     c^3*(3*b*c-4*a*d)*log(c+d*x)/(d^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R               3 3 2     4 4          3 4      4 5
+--R       ((- 8a b c d  + 6b c d)x - 8a b c d + 6b c )log(d x + c)
+--R     + 
+--R          4 5      4   4                  2 2 5       3   4    4 2 3  3
+--R       (2a d x + 2a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R            3   5    2 2   4       3 2 3     4 3 2  2
+--R       (- 2a b d  + a b c d  + 4a b c d  - 3b c d )x
+--R     + 
+--R            3     4       3 3 2     4 4          3 4      4 5
+--R       (- 2a b c d  + 6a b c d  - 4b c d)x - 2a b c d + 2b c
+--R  /
+--R        2 3 7       4   6     5 2 5       2 3   6       4 2 5     5 3 4
+--R     (2a b d  - 4a b c d  + 2b c d )x + 2a b c d  - 4a b c d  + 2b c d
+--R                                                    Type: Expression(Integer)
+--E  392
+
+--S  393 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 3 2     4 4          3 4      4 5
+--R       ((- 8a b c d  + 6b c d)x - 8a b c d + 6b c )log(d x + c)
+--R     + 
+--R          4 5      4   4                  2 2 5       3   4    4 2 3  3
+--R       (2a d x + 2a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R            3   5    2 2   4       3 2 3     4 3 2  2
+--R       (- 2a b d  + a b c d  + 4a b c d  - 3b c d )x
+--R     + 
+--R            3     4       3 3 2     4 4          3 4      4 5
+--R       (- 2a b c d  + 6a b c d  - 4b c d)x - 2a b c d + 2b c
+--R  /
+--R        2 3 7       4   6     5 2 5       2 3   6       4 2 5     5 3 4
+--R     (2a b d  - 4a b c d  + 2b c d )x + 2a b c d  - 4a b c d  + 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  393
+
+--S  394 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  394
+
+--S  395 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  395
+
+)clear all
+
+--S  396 of 1092
+t0:=x^3/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  3
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  396
+
+--S  397 of 1092
+r0:=x/(b*d^2)-c^3/(d^3*(b*c-a*d)*(c+d*x))-_
+     a^3*log(a+b*x)/(b^2*(b*c-a*d)^2)-c^2*(2*b*c-3*a*d)*log(c+d*x)/_
+     (d^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             2 2 2     3 3          2 3      3 4
+--R       ((3a b c d  - 2b c d)x + 3a b c d - 2b c )log(d x + c)
+--R     + 
+--R           3 4     3   3                  2   4       2   3    3 2 2  2
+--R       (- a d x - a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R         2     3       2 2 2    3 3         2 3     3 4
+--R       (a b c d  - 2a b c d  + b c d)x + a b c d - b c
+--R  /
+--R       2 2 6       3   5    4 2 4      2 2   5       3 2 4    4 3 3
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  397
+
+--S  398 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2     3 3          2 3      3 4
+--R       ((3a b c d  - 2b c d)x + 3a b c d - 2b c )log(d x + c)
+--R     + 
+--R           3 4     3   3                  2   4       2   3    3 2 2  2
+--R       (- a d x - a c d )log(b x + a) + (a b d  - 2a b c d  + b c d )x
+--R     + 
+--R         2     3       2 2 2    3 3         2 3     3 4
+--R       (a b c d  - 2a b c d  + b c d)x + a b c d - b c
+--R  /
+--R       2 2 6       3   5    4 2 4      2 2   5       3 2 4    4 3 3
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  398
+
+--S  399 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  399
+
+--S  400 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  400
+
+)clear all
+
+--S  401 of 1092
+t0:=x^2/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  2
+--R                                 x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  401
+
+--S  402 of 1092
+r0:=c^2/(d^2*(b*c-a*d)*(c+d*x))+a^2*log(a+b*x)/(b*(b*c-a*d)^2)+_
+     c*(b*c-2*a*d)*log(c+d*x)/(d^2*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R                   2    2 2            2     2 3
+--R       ((- 2a b c d  + b c d)x - 2a b c d + b c )log(d x + c)
+--R     + 
+--R         2 3     2   2                     2     2 3
+--R       (a d x + a c d )log(b x + a) - a b c d + b c
+--R  /
+--R       2   5       2   4    3 2 3      2     4       2 2 3    3 3 2
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  402
+
+--S  403 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   2    2 2            2     2 3
+--R       ((- 2a b c d  + b c d)x - 2a b c d + b c )log(d x + c)
+--R     + 
+--R         2 3     2   2                     2     2 3
+--R       (a d x + a c d )log(b x + a) - a b c d + b c
+--R  /
+--R       2   5       2   4    3 2 3      2     4       2 2 3    3 3 2
+--R     (a b d  - 2a b c d  + b c d )x + a b c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  403
+
+--S  404 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  404
+
+--S  405 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  405
+
+)clear all
+
+--S  406 of 1092
+t0:=x/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  x
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  406
+
+--S  407 of 1092
+r0:=-c/(d*(b*c-a*d)*(c+d*x))-a*log(a+b*x)/(b*c-a*d)^2+a*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R   (2)
+--R       2                               2                                    2
+--R   (a d x + a c d)log(d x + c) + (- a d x - a c d)log(b x + a) + a c d - b c
+--R   --------------------------------------------------------------------------
+--R              2 4           3    2 2 2      2   3         2 2    2 3
+--R            (a d  - 2a b c d  + b c d )x + a c d  - 2a b c d  + b c d
+--R                                                    Type: Expression(Integer)
+--E  407
+
+--S  408 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R       2                               2                                    2
+--R   (a d x + a c d)log(d x + c) + (- a d x - a c d)log(b x + a) + a c d - b c
+--R   --------------------------------------------------------------------------
+--R              2 4           3    2 2 2      2   3         2 2    2 3
+--R            (a d  - 2a b c d  + b c d )x + a c d  - 2a b c d  + b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  408
+
+--S  409 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  409
+
+--S  410 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  410
+
+)clear all
+
+--S  411 of 1092
+t0:=1/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  1
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  411
+
+--S  412 of 1092
+r0:=1/((b*c-a*d)*(c+d*x))+b*log(a+b*x)/(b*c-a*d)^2-b*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (2)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                                    Type: Expression(Integer)
+--E  412
+
+--S  413 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (3)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  413
+
+--S  414 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  414
+
+--S  415 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  415
+
+)clear all
+
+--S  416 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  ------------------------------------------------------
+--R           2 4       2           3                2  2      2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  416
+
+--S  417 of 1092
+r0:=-d/(c*(b*c-a*d)*(c+d*x))+log(x)/(a*c^2)-_
+     b^2*log(a+b*x)/(a*(b*c-a*d)^2)+d*(2*b*c-a*d)*log(c+d*x)/(c^2*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R            2 3           2      2   2         2
+--R       ((- a d  + 2a b c d )x - a c d  + 2a b c d)log(d x + c)
+--R     + 
+--R           2 2       2 3
+--R       (- b c d x - b c )log(b x + a)
+--R     + 
+--R          2 3           2    2 2       2   2         2     2 3           2   2
+--R       ((a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c )log(x) + a c d
+--R     + 
+--R              2
+--R       - a b c d
+--R  /
+--R       3 2 3     2   3 2      2 4       3 3 2     2   4       2 5
+--R     (a c d  - 2a b c d  + a b c d)x + a c d  - 2a b c d + a b c
+--R                                                    Type: Expression(Integer)
+--E  417
+
+--S  418 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 3           2      2   2         2
+--R       ((- a d  + 2a b c d )x - a c d  + 2a b c d)log(d x + c)
+--R     + 
+--R           2 2       2 3
+--R       (- b c d x - b c )log(b x + a)
+--R     + 
+--R          2 3           2    2 2       2   2         2     2 3           2   2
+--R       ((a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c )log(x) + a c d
+--R     + 
+--R              2
+--R       - a b c d
+--R  /
+--R       3 2 3     2   3 2      2 4       3 3 2     2   4       2 5
+--R     (a c d  - 2a b c d  + a b c d)x + a c d  - 2a b c d + a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  418
+
+--S  419 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  419
+
+--S  420 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  420
+
+)clear all
+
+--S  421 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  -------------------------------------------------------
+--R           2 5       2           4                2  3      2 2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  421
+
+--S  422 of 1092
+r0:=(-1)/(a*c^2*x)+d^2/(c^2*(b*c-a*d)*(c+d*x))-_
+     (b*c+2*a*d)*log(x)/(a^2*c^3)+b^3*log(a+b*x)/(a^2*(b*c-a*d)^2)-_
+     d^2*(3*b*c-2*a*d)*log(c+d*x)/(c^3*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R           3 4     2     3  2      3   3     2   2 2
+--R       ((2a d  - 3a b c d )x  + (2a c d  - 3a b c d )x)log(d x + c)
+--R     + 
+--R         3 3   2    3 4
+--R       (b c d x  + b c x)log(b x + a)
+--R     + 
+--R             3 4     2     3    3 3   2        3   3     2   2 2    3 4
+--R       ((- 2a d  + 3a b c d  - b c d)x  + (- 2a c d  + 3a b c d  - b c )x)log(x)
+--R     + 
+--R            3   3     2   2 2      2 3       3 2 2     2   3       2 4
+--R       (- 2a c d  + 3a b c d  - a b c d)x - a c d  + 2a b c d - a b c
+--R  /
+--R       4 3 3     3   4 2    2 2 5   2     4 4 2     3   5     2 2 6
+--R     (a c d  - 2a b c d  + a b c d)x  + (a c d  - 2a b c d + a b c )x
+--R                                                    Type: Expression(Integer)
+--E  422
+
+--S  423 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           3 4     2     3  2      3   3     2   2 2
+--R       ((2a d  - 3a b c d )x  + (2a c d  - 3a b c d )x)log(d x + c)
+--R     + 
+--R         3 3   2    3 4
+--R       (b c d x  + b c x)log(b x + a)
+--R     + 
+--R             3 4     2     3    3 3   2        3   3     2   2 2    3 4
+--R       ((- 2a d  + 3a b c d  - b c d)x  + (- 2a c d  + 3a b c d  - b c )x)log(x)
+--R     + 
+--R            3   3     2   2 2      2 3       3 2 2     2   3       2 4
+--R       (- 2a c d  + 3a b c d  - a b c d)x - a c d  + 2a b c d - a b c
+--R  /
+--R       4 3 3     3   4 2    2 2 5   2     4 4 2     3   5     2 2 6
+--R     (a c d  - 2a b c d  + a b c d)x  + (a c d  - 2a b c d + a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  423
+
+--S  424 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  424
+
+--S  425 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  425
+
+)clear all
+
+--S  426 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                   1
+--R   (1)  -------------------------------------------------------
+--R           2 6       2           5                2  4      2 3
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  426
+
+--S  427 of 1092
+r0:=(-1/2)/(a*c^2*x^2)+(b*c+2*a*d)/(a^2*c^3*x)-_
+     d^3/(c^3*(b*c-a*d)*(c+d*x))+(b^2*c^2+2*a*b*c*d+3*a^2*d^2)*log(x)/_
+     (a^3*c^4)-b^4*log(a+b*x)/(a^3*(b*c-a*d)^2)+d^3*(4*b*c-3*a*d)*_
+     log(c+d*x)/(c^4*(b*c-a*d)^2)
+--R 
+--R
+--R   (2)
+--R             4 5     3     4  3        4   4     3   2 3  2
+--R       ((- 6a d  + 8a b c d )x  + (- 6a c d  + 8a b c d )x )log(d x + c)
+--R     + 
+--R            4 4   3     4 5 2
+--R       (- 2b c d x  - 2b c x )log(b x + a)
+--R     + 
+--R           4 5     3     4     4 4   3      4   4     3   2 3     4 5  2
+--R       ((6a d  - 8a b c d  + 2b c d)x  + (6a c d  - 8a b c d  + 2b c )x )log(x)
+--R     + 
+--R          4   4     3   2 3       3 4   2
+--R       (6a c d  - 8a b c d  + 2a b c d)x
+--R     + 
+--R          4 2 3     3   3 2    2 2 4        3 5      4 3 2     3   4     2 2 5
+--R       (3a c d  - 4a b c d  - a b c d + 2a b c )x - a c d  + 2a b c d - a b c
+--R  /
+--R        5 4 3     4   5 2     3 2 6   3      5 5 2     4   6      3 2 7  2
+--R     (2a c d  - 4a b c d  + 2a b c d)x  + (2a c d  - 4a b c d + 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  427
+
+--S  428 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             4 5     3     4  3        4   4     3   2 3  2
+--R       ((- 6a d  + 8a b c d )x  + (- 6a c d  + 8a b c d )x )log(d x + c)
+--R     + 
+--R            4 4   3     4 5 2
+--R       (- 2b c d x  - 2b c x )log(b x + a)
+--R     + 
+--R           4 5     3     4     4 4   3      4   4     3   2 3     4 5  2
+--R       ((6a d  - 8a b c d  + 2b c d)x  + (6a c d  - 8a b c d  + 2b c )x )log(x)
+--R     + 
+--R          4   4     3   2 3       3 4   2
+--R       (6a c d  - 8a b c d  + 2a b c d)x
+--R     + 
+--R          4 2 3     3   3 2    2 2 4        3 5      4 3 2     3   4     2 2 5
+--R       (3a c d  - 4a b c d  - a b c d + 2a b c )x - a c d  + 2a b c d - a b c
+--R  /
+--R        5 4 3     4   5 2     3 2 6   3      5 5 2     4   6      3 2 7  2
+--R     (2a c d  - 4a b c d  + 2a b c d)x  + (2a c d  - 4a b c d + 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  428
+
+--S  429 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  429
+
+--S  430 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  430
+
+)clear all
+
+--S  431 of 1092
+t0:=x^m/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         m
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                                    Type: Expression(Integer)
+--E  431
+
+--S  432 of 1092
+--r0:=-1/2*d*x^(1+m)/(c*(b*c-a*d)*(c+d*x)^2)-_
+--     b*d*x^(1+m)/(c*(b*c-a*d)^2*(c+d*x))-_
+--     1/2*d*(1-m)*x^(1+m)/(c^2*(b*c-a*d)*(c+d*x))+_
+--     b^3*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-b*x/a)/(a*(b*c-a*d)^3*(1+m))-b^2*d*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c*(b*c-a*d)^3*(1+m))+b*d*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^2*(b*c-a*d)^2*(1+m))+_
+--     1/2*d*(1-m)*m*x^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*x/c)/(c^3*(b*c-a*d)*(1+m))
+--E  432
+
+--S  433 of 1092
+--a0:=integrate(t0,x)
+--E  433
+
+--S  434 of 1092
+--m0:=a0-r0
+--E  434
+
+--S  435 of 1092
+--d0:=D(m0,x)
+--E  435
+
+)clear all
+
+--S  436 of 1092
+t0:=x^6/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         6
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  436
+
+--S  437 of 1092
+r0:=(6*b^2*c^2+3*a*b*c*d+a^2*d^2)*x/(b^3*d^5)-_
+     1/2*(3*b*c+a*d)*x^2/(b^2*d^4)+1/3*x^3/(b*d^3)+_
+     1/2*c^6/(d^6*(b*c-a*d)*(c+d*x)^2)-_
+     c^5*(5*b*c-6*a*d)/(d^6*(b*c-a*d)^2*(c+d*x))+_
+     a^6*log(a+b*x)/(b^4*(b*c-a*d)^3)-_
+     c^4*(10*b^2*c^2-24*a*b*c*d+15*a^2*d^2)*log(c+d*x)/(d^6*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               2 4 4 4         5 5 3      6 6 2  2
+--R           (90a b c d  - 144a b c d  + 60b c d )x
+--R         + 
+--R                2 4 5 3         5 6 2       6 7         2 4 6 2         5 7
+--R           (180a b c d  - 288a b c d  + 120b c d)x + 90a b c d  - 144a b c d
+--R         + 
+--R              6 8
+--R           60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            6 8 2      6   7      6 2 6
+--R       (- 6a d x  - 12a c d x - 6a c d )log(b x + a)
+--R     + 
+--R          3 3 8     2 4   7       5 2 6     6 3 5  5
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R            4 2 8     3 3   7     2 4 2 6        5 3 5     6 4 4  4
+--R       (- 3a b d  + 4a b c d  + 6a b c d  - 12a b c d  + 5b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4      6 5 3  3
+--R       (6a b d  - 6a b c d  + 2a b c d  - 30a b c d  + 48a b c d  - 20b c d )x
+--R     + 
+--R           5     7     4 2 2 6       2 4 4 4         5 5 3      6 6 2  2
+--R       (12a b c d  - 3a b c d  - 102a b c d  + 156a b c d  - 63b c d )x
+--R     + 
+--R          5   2 6      2 4 5 3        5 6 2     6 7         2 4 6 2        5 7
+--R       (6a b c d  - 24a b c d  + 24a b c d  - 6b c d)x + 33a b c d  - 60a b c d
+--R     + 
+--R          6 8
+--R       27b c
+--R  /
+--R          3 4 11      2 5   10        6 2 9     7 3 8  2
+--R       (6a b d   - 18a b c d   + 18a b c d  - 6b c d )x
+--R     + 
+--R           3 4   10      2 5 2 9        6 3 8      7 4 7       3 4 2 9
+--R       (12a b c d   - 36a b c d  + 36a b c d  - 12b c d )x + 6a b c d
+--R     + 
+--R            2 5 3 8        6 4 7     7 5 6
+--R       - 18a b c d  + 18a b c d  - 6b c d
+--R                                                    Type: Expression(Integer)
+--E  437
+
+--S  438 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 4 4 4         5 5 3      6 6 2  2
+--R           (90a b c d  - 144a b c d  + 60b c d )x
+--R         + 
+--R                2 4 5 3         5 6 2       6 7         2 4 6 2         5 7
+--R           (180a b c d  - 288a b c d  + 120b c d)x + 90a b c d  - 144a b c d
+--R         + 
+--R              6 8
+--R           60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            6 8 2      6   7      6 2 6
+--R       (- 6a d x  - 12a c d x - 6a c d )log(b x + a)
+--R     + 
+--R          3 3 8     2 4   7       5 2 6     6 3 5  5
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R            4 2 8     3 3   7     2 4 2 6        5 3 5     6 4 4  4
+--R       (- 3a b d  + 4a b c d  + 6a b c d  - 12a b c d  + 5b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4      6 5 3  3
+--R       (6a b d  - 6a b c d  + 2a b c d  - 30a b c d  + 48a b c d  - 20b c d )x
+--R     + 
+--R           5     7     4 2 2 6       2 4 4 4         5 5 3      6 6 2  2
+--R       (12a b c d  - 3a b c d  - 102a b c d  + 156a b c d  - 63b c d )x
+--R     + 
+--R          5   2 6      2 4 5 3        5 6 2     6 7         2 4 6 2        5 7
+--R       (6a b c d  - 24a b c d  + 24a b c d  - 6b c d)x + 33a b c d  - 60a b c d
+--R     + 
+--R          6 8
+--R       27b c
+--R  /
+--R          3 4 11      2 5   10        6 2 9     7 3 8  2
+--R       (6a b d   - 18a b c d   + 18a b c d  - 6b c d )x
+--R     + 
+--R           3 4   10      2 5 2 9        6 3 8      7 4 7       3 4 2 9
+--R       (12a b c d   - 36a b c d  + 36a b c d  - 12b c d )x + 6a b c d
+--R     + 
+--R            2 5 3 8        6 4 7     7 5 6
+--R       - 18a b c d  + 18a b c d  - 6b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  438
+
+--S  439 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  439
+
+--S  440 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  440
+
+)clear all
+
+--S  441 of 1092
+t0:=x^5/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         5
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  441
+
+--S  442 of 1092
+r0:=-(3*b*c+a*d)*x/(b^2*d^4)+1/2*x^2/(b*d^3)-_
+     1/2*c^5/(d^5*(b*c-a*d)*(c+d*x)^2)+c^4*(4*b*c-5*a*d)/_
+     (d^5*(b*c-a*d)^2*(c+d*x))-a^5*log(a+b*x)/(b^3*(b*c-a*d)^3)+_
+     c^3*(6*b^2*c^2-15*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 2 3 3 4        4 4 3      5 5 2  2
+--R           (- 20a b c d  + 30a b c d  - 12b c d )x
+--R         + 
+--R                 2 3 4 3        4 5 2      5 6         2 3 5 2        4 6
+--R           (- 40a b c d  + 60a b c d  - 24b c d)x - 20a b c d  + 30a b c d
+--R         + 
+--R                5 7
+--R           - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 7 2     5   6      5 2 5
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R         3 2 7     2 3   6       4 2 5    5 3 4  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4   7     3 2   6     2 3 2 5        4 3 4     5 4 3  3
+--R       (- 2a b d  + 2a b c d  + 6a b c d  - 10a b c d  + 4b c d )x
+--R     + 
+--R            4     6    3 2 2 5      2 3 3 4        4 4 3      5 5 2  2
+--R       (- 4a b c d  + a b c d  + 21a b c d  - 29a b c d  + 11b c d )x
+--R     + 
+--R            4   2 5     2 3 4 3       4 5 2     5 6        2 3 5 2        4 6
+--R       (- 2a b c d  + 2a b c d  + 2a b c d  - 2b c d)x - 9a b c d  + 16a b c d
+--R     + 
+--R           5 7
+--R       - 7b c
+--R  /
+--R          3 3 10     2 4   9       5 2 8     6 3 7  2
+--R       (2a b d   - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 3   9      2 4 2 8        5 3 7     6 4 6       3 3 2 8     2 4 3 7
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           5 4 6     6 5 5
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  442
+
+--S  443 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 3 3 4        4 4 3      5 5 2  2
+--R           (- 20a b c d  + 30a b c d  - 12b c d )x
+--R         + 
+--R                 2 3 4 3        4 5 2      5 6         2 3 5 2        4 6
+--R           (- 40a b c d  + 60a b c d  - 24b c d)x - 20a b c d  + 30a b c d
+--R         + 
+--R                5 7
+--R           - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 7 2     5   6      5 2 5
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R         3 2 7     2 3   6       4 2 5    5 3 4  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4   7     3 2   6     2 3 2 5        4 3 4     5 4 3  3
+--R       (- 2a b d  + 2a b c d  + 6a b c d  - 10a b c d  + 4b c d )x
+--R     + 
+--R            4     6    3 2 2 5      2 3 3 4        4 4 3      5 5 2  2
+--R       (- 4a b c d  + a b c d  + 21a b c d  - 29a b c d  + 11b c d )x
+--R     + 
+--R            4   2 5     2 3 4 3       4 5 2     5 6        2 3 5 2        4 6
+--R       (- 2a b c d  + 2a b c d  + 2a b c d  - 2b c d)x - 9a b c d  + 16a b c d
+--R     + 
+--R           5 7
+--R       - 7b c
+--R  /
+--R          3 3 10     2 4   9       5 2 8     6 3 7  2
+--R       (2a b d   - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 3   9      2 4 2 8        5 3 7     6 4 6       3 3 2 8     2 4 3 7
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           5 4 6     6 5 5
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  443
+
+--S  444 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  444
+
+--S  445 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  445
+
+)clear all
+
+--S  446 of 1092
+t0:=x^4/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         4
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  446
+
+--S  447 of 1092
+r0:=x/(b*d^3)+1/2*c^4/(d^4*(b*c-a*d)*(c+d*x)^2)-_
+     c^3*(3*b*c-4*a*d)/(d^4*(b*c-a*d)^2*(c+d*x))+_
+     a^4*log(a+b*x)/(b^2*(b*c-a*d)^3)-_
+     c^2*(3*b^2*c^2-8*a*b*c*d+6*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               2 2 2 4        3 3 3     4 4 2  2
+--R           (12a b c d  - 16a b c d  + 6b c d )x
+--R         + 
+--R             2 2 3 3        3 4 2      4 5         2 2 4 2        3 5      4 6
+--R         (24a b c d  - 32a b c d  + 12b c d)x + 12a b c d  - 16a b c d + 6b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 6 2     4   5      4 2 4
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          3   6     2 2   5       3 2 4     4 3 3  3
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     5      2 2 2 4        3 3 3     4 4 2  2
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x
+--R     + 
+--R          3   2 4     2 2 3 3       3 4 2     4 5        2 2 4 2        3 5
+--R       (2a b c d  + 2a b c d  - 8a b c d  + 4b c d)x + 7a b c d  - 12a b c d
+--R     + 
+--R         4 6
+--R       5b c
+--R  /
+--R          3 2 9     2 3   8       4 2 7     5 3 6  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 2   8      2 3 2 7        4 3 6     5 4 5       3 2 2 7     2 3 3 6
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           4 4 5     5 5 4
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  447
+
+--S  448 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2 2 4        3 3 3     4 4 2  2
+--R           (12a b c d  - 16a b c d  + 6b c d )x
+--R         + 
+--R             2 2 3 3        3 4 2      4 5         2 2 4 2        3 5      4 6
+--R         (24a b c d  - 32a b c d  + 12b c d)x + 12a b c d  - 16a b c d + 6b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 6 2     4   5      4 2 4
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          3   6     2 2   5       3 2 4     4 3 3  3
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     5      2 2 2 4        3 3 3     4 4 2  2
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x
+--R     + 
+--R          3   2 4     2 2 3 3       3 4 2     4 5        2 2 4 2        3 5
+--R       (2a b c d  + 2a b c d  - 8a b c d  + 4b c d)x + 7a b c d  - 12a b c d
+--R     + 
+--R         4 6
+--R       5b c
+--R  /
+--R          3 2 9     2 3   8       4 2 7     5 3 6  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3 2   8      2 3 2 7        4 3 6     5 4 5       3 2 2 7     2 3 3 6
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           4 4 5     5 5 4
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  448
+
+--S  449 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  449
+
+--S  450 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  450
+
+)clear all
+
+--S  451 of 1092
+t0:=x^3/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         3
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  451
+
+--S  452 of 1092
+r0:=-1/2*c^3/(d^3*(b*c-a*d)*(c+d*x)^2)+c^2*(2*b*c-3*a*d)/_
+     (d^3*(b*c-a*d)^2*(c+d*x))-a^3*log(a+b*x)/(b*(b*c-a*d)^3)+_
+     c*(b^2*c^2-3*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(d^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                2     4       2 2 3     3 3 2  2
+--R           (- 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R                 2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R           (- 12a b c d  + 12a b c d  - 4b c d)x - 6a b c d  + 6a b c d - 2b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 5 2     3   4      3 2 3
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R            2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R       (- 6a b c d  + 10a b c d  - 4b c d)x - 5a b c d  + 8a b c d - 3b c
+--R  /
+--R          3   8     2 2   7       3 2 6     4 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     7      2 2 2 6        3 3 5     4 4 4       3   2 6     2 2 3 5
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           3 4 4     4 5 3
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  452
+
+--S  453 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2     4       2 2 3     3 3 2  2
+--R           (- 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R                 2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R           (- 12a b c d  + 12a b c d  - 4b c d)x - 6a b c d  + 6a b c d - 2b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 5 2     3   4      3 2 3
+--R       (2a d x  + 4a c d x + 2a c d )log(b x + a)
+--R     + 
+--R            2   2 3        2 3 2     3 4        2   3 2       2 4      3 5
+--R       (- 6a b c d  + 10a b c d  - 4b c d)x - 5a b c d  + 8a b c d - 3b c
+--R  /
+--R          3   8     2 2   7       3 2 6     4 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3     7      2 2 2 6        3 3 5     4 4 4       3   2 6     2 2 3 5
+--R       (4a b c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R           3 4 4     4 5 3
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  453
+
+--S  454 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  454
+
+--S  455 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  455
+
+)clear all
+
+--S  456 of 1092
+t0:=x^2/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R                                        x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  456
+
+--S  457 of 1092
+r0:=1/2*c^2/(d^2*(b*c-a*d)*(c+d*x)^2)-c*(b*c-2*a*d)/_
+     (d^2*(b*c-a*d)^2*(c+d*x))+a^2*log(a+b*x)/(b*c-a*d)^3-_
+     a^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 4 2     2   3      2 2 2
+--R       (2a d x  + 4a c d x + 2a c d )log(d x + c)
+--R     + 
+--R            2 4 2     2   3      2 2 2
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          2   3         2 2     2 3        2 2 2         3     2 4
+--R       (4a c d  - 6a b c d  + 2b c d)x + 3a c d  - 4a b c d + b c
+--R  /
+--R          3 7     2     6       2 2 5     3 3 4  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   6      2   2 5        2 3 4     3 4 3       3 2 5     2   3 4
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 3     3 5 2
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  457
+
+--S  458 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2 4 2     2   3      2 2 2
+--R       (2a d x  + 4a c d x + 2a c d )log(d x + c)
+--R     + 
+--R            2 4 2     2   3      2 2 2
+--R       (- 2a d x  - 4a c d x - 2a c d )log(b x + a)
+--R     + 
+--R          2   3         2 2     2 3        2 2 2         3     2 4
+--R       (4a c d  - 6a b c d  + 2b c d)x + 3a c d  - 4a b c d + b c
+--R  /
+--R          3 7     2     6       2 2 5     3 3 4  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   6      2   2 5        2 3 4     3 4 3       3 2 5     2   3 4
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 3     3 5 2
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  458
+
+--S  459 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  459
+
+--S  460 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  460
+
+)clear all
+
+--S  461 of 1092
+t0:=x/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         x
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  461
+
+--S  462 of 1092
+r0:=-1/2*c/(d*(b*c-a*d)*(c+d*x)^2)-a/((b*c-a*d)^2*(c+d*x))-_
+     a*b*log(a+b*x)/(b*c-a*d)^3+a*b*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R                3 2           2          2
+--R       (- 2a b d x  - 4a b c d x - 2a b c d)log(d x + c)
+--R     + 
+--R              3 2           2          2                      2 3           2
+--R       (2a b d x  + 4a b c d x + 2a b c d)log(b x + a) + (- 2a d  + 2a b c d )x
+--R     + 
+--R          2   2    2 3
+--R       - a c d  + b c
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 2     3 5
+--R       6a b c d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E  462
+
+--S  463 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2           2          2
+--R       (- 2a b d x  - 4a b c d x - 2a b c d)log(d x + c)
+--R     + 
+--R              3 2           2          2                      2 3           2
+--R       (2a b d x  + 4a b c d x + 2a b c d)log(b x + a) + (- 2a d  + 2a b c d )x
+--R     + 
+--R          2   2    2 3
+--R       - a c d  + b c
+--R  /
+--R          3 6     2     5       2 2 4     3 3 3  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   5      2   2 4        2 3 3     3 4 2       3 2 4     2   3 3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d )x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4 2     3 5
+--R       6a b c d  - 2b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  463
+
+--S  464 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  464
+
+--S  465 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  465
+
+)clear all
+
+--S  466 of 1092
+t0:=1/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         1
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  466
+
+--S  467 of 1092
+r0:=1/2/((b*c-a*d)*(c+d*x)^2)+b/((b*c-a*d)^2*(c+d*x))+_
+     b^2*log(a+b*x)/(b*c-a*d)^3-b^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                                    Type: Expression(Integer)
+--E  467
+
+--S  468 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  468
+
+--S  469 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  469
+
+--S  470 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  470
+
+)clear all
+
+--S  471 of 1092
+t0:=1/(x*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 5       3         2  4          2       2   3        2       3  2
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  471
+
+--S  472 of 1092
+r0:=-1/2*d/(c*(b*c-a*d)*(c+d*x)^2)-d*(2*b*c-a*d)/_
+     (c^2*(b*c-a*d)^2*(c+d*x))+log(x)/(a*c^3)-_
+     b^3*log(a+b*x)/(a*(b*c-a*d)^3)+d*(3*b^2*c^2-3*a*b*c*d+a^2*d^2)*_
+     log(c+d*x)/(c^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                3 5     2     4       2 2 3  2
+--R           (- 2a d  + 6a b c d  - 6a b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2       3 2 3     2   3 2       2 4
+--R         (- 4a c d  + 12a b c d  - 12a b c d )x - 2a c d  + 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 3 2 2     3 4        3 5
+--R       (2b c d x  + 4b c d x + 2b c )log(b x + a)
+--R     + 
+--R              3 5     2     4       2 2 3     3 3 2  2
+--R           (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R           (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R         + 
+--R               2 4      3 5
+--R           6a b c d - 2b c
+--R      *
+--R         log(x)
+--R     + 
+--R          3   4     2   2 3       2 3 2       3 2 3     2   3 2       2 4
+--R       (2a c d  - 6a b c d  + 4a b c d )x + 3a c d  - 8a b c d  + 5a b c d
+--R  /
+--R          4 3 5     3   4 4     2 2 5 3       3 6 2  2
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          4 4 4      3   5 3      2 2 6 2       3 7        4 5 3     3   6 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R         2 2 7        3 8
+--R       6a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  472
+
+--S  473 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 5     2     4       2 2 3  2
+--R           (- 2a d  + 6a b c d  - 6a b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2       3 2 3     2   3 2       2 4
+--R         (- 4a c d  + 12a b c d  - 12a b c d )x - 2a c d  + 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          3 3 2 2     3 4        3 5
+--R       (2b c d x  + 4b c d x + 2b c )log(b x + a)
+--R     + 
+--R              3 5     2     4       2 2 3     3 3 2  2
+--R           (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R         + 
+--R              3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R           (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R         + 
+--R               2 4      3 5
+--R           6a b c d - 2b c
+--R      *
+--R         log(x)
+--R     + 
+--R          3   4     2   2 3       2 3 2       3 2 3     2   3 2       2 4
+--R       (2a c d  - 6a b c d  + 4a b c d )x + 3a c d  - 8a b c d  + 5a b c d
+--R  /
+--R          4 3 5     3   4 4     2 2 5 3       3 6 2  2
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          4 4 4      3   5 3      2 2 6 2       3 7        4 5 3     3   6 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R         2 2 7        3 8
+--R       6a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  473
+
+--S  474 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  474
+
+--S  475 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  475
+
+)clear all
+
+--S  476 of 1092
+t0:=1/(x^2*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 6       3         2  5          2       2   4        2       3  3
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3 2
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  476
+
+--S  477 of 1092
+r0:=(-1)/(a*c^3*x)+1/2*d^2/(c^2*(b*c-a*d)*(c+d*x)^2)+_
+     d^2*(3*b*c-2*a*d)/(c^3*(b*c-a*d)^2*(c+d*x))-(b*c+3*a*d)*_
+     log(x)/(a^2*c^4)+b^4*log(a+b*x)/(a^2*(b*c-a*d)^3)-_
+     d^2*(6*b^2*c^2-8*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R              4 6      3     5      2 2 2 4  3
+--R           (6a d  - 16a b c d  + 12a b c d )x
+--R         + 
+--R               4   5      3   2 4      2 2 3 3  2
+--R           (12a c d  - 32a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4      3   3 3      2 2 4 2
+--R           (6a c d  - 16a b c d  + 12a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 4 2 3     4 5   2     4 6
+--R       (- 2b c d x  - 4b c d x  - 2b c x)log(b x + a)
+--R     + 
+--R                4 6      3     5      2 2 2 4     4 4 2  3
+--R           (- 6a d  + 16a b c d  - 12a b c d  + 2b c d )x
+--R         + 
+--R                 4   5      3   2 4      2 2 3 3     4 5   2
+--R           (- 12a c d  + 32a b c d  - 24a b c d  + 4b c d)x
+--R         + 
+--R                4 2 4      3   3 3      2 2 4 2     4 6
+--R           (- 6a c d  + 16a b c d  - 12a b c d  + 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   5      3   2 4      2 2 3 3       3 4 2  2
+--R       (- 6a c d  + 16a b c d  - 12a b c d  + 2a b c d )x
+--R     + 
+--R            4 2 4      3   3 3      2 2 4 2       3 5        4 3 3     3   4 2
+--R       (- 9a c d  + 24a b c d  - 19a b c d  + 4a b c d)x - 2a c d  + 6a b c d
+--R     + 
+--R           2 2 5        3 6
+--R       - 6a b c d + 2a b c
+--R  /
+--R          5 4 5     4   5 4     3 2 6 3     2 3 7 2  3
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          5 5 4      4   6 3      3 2 7 2     2 3 8   2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          5 6 3     4   7 2     3 2 8      2 3 9
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  477
+
+--S  478 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 6      3     5      2 2 2 4  3
+--R           (6a d  - 16a b c d  + 12a b c d )x
+--R         + 
+--R               4   5      3   2 4      2 2 3 3  2
+--R           (12a c d  - 32a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4      3   3 3      2 2 4 2
+--R           (6a c d  - 16a b c d  + 12a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R            4 4 2 3     4 5   2     4 6
+--R       (- 2b c d x  - 4b c d x  - 2b c x)log(b x + a)
+--R     + 
+--R                4 6      3     5      2 2 2 4     4 4 2  3
+--R           (- 6a d  + 16a b c d  - 12a b c d  + 2b c d )x
+--R         + 
+--R                 4   5      3   2 4      2 2 3 3     4 5   2
+--R           (- 12a c d  + 32a b c d  - 24a b c d  + 4b c d)x
+--R         + 
+--R                4 2 4      3   3 3      2 2 4 2     4 6
+--R           (- 6a c d  + 16a b c d  - 12a b c d  + 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   5      3   2 4      2 2 3 3       3 4 2  2
+--R       (- 6a c d  + 16a b c d  - 12a b c d  + 2a b c d )x
+--R     + 
+--R            4 2 4      3   3 3      2 2 4 2       3 5        4 3 3     3   4 2
+--R       (- 9a c d  + 24a b c d  - 19a b c d  + 4a b c d)x - 2a c d  + 6a b c d
+--R     + 
+--R           2 2 5        3 6
+--R       - 6a b c d + 2a b c
+--R  /
+--R          5 4 5     4   5 4     3 2 6 3     2 3 7 2  3
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          5 5 4      4   6 3      3 2 7 2     2 3 8   2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          5 6 3     4   7 2     3 2 8      2 3 9
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  478
+
+--S  479 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  479
+
+--S  480 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  480
+
+)clear all
+
+--S  481 of 1092
+t0:=1/(x^3*(a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 7       3         2  6          2       2   5        2       3  4
+--R       b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x
+--R     + 
+--R          3 3
+--R       a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  481
+
+--S  482 of 1092
+r0:=(-1/2)/(a*c^3*x^2)+(b*c+3*a*d)/(a^2*c^4*x)-1/2*d^3/(c^3*(b*c-a*d)*_
+     (c+d*x)^2)-d^3*(4*b*c-3*a*d)/(c^4*(b*c-a*d)^2*(c+d*x))+_
+     (b^2*c^2+3*a*b*c*d+6*a^2*d^2)*log(x)/(a^3*c^5)-b^5*_
+     log(a+b*x)/(a^3*(b*c-a*d)^3)+d^3*(10*b^2*c^2-15*a*b*c*d+6*a^2*d^2)*_
+     log(c+d*x)/(c^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 5 7      4     6      3 2 2 5  4
+--R           (- 12a d  + 30a b c d  - 20a b c d )x
+--R         + 
+--R                 5   6      4   2 5      3 2 3 4  3
+--R           (- 24a c d  + 60a b c d  - 40a b c d )x
+--R         + 
+--R                 5 2 5      4   3 4      3 2 4 3  2
+--R           (- 12a c d  + 30a b c d  - 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 2 4     5 6   3     5 7 2
+--R       (2b c d x  + 4b c d x  + 2b c x )log(b x + a)
+--R     + 
+--R               5 7      4     6      3 2 2 5     5 5 2  4
+--R           (12a d  - 30a b c d  + 20a b c d  - 2b c d )x
+--R         + 
+--R               5   6      4   2 5      3 2 3 4     5 6   3
+--R           (24a c d  - 60a b c d  + 40a b c d  - 4b c d)x
+--R         + 
+--R               5 2 5      4   3 4      3 2 4 3     5 7  2
+--R           (12a c d  - 30a b c d  + 20a b c d  - 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           5   6      4   2 5      3 2 3 4       4 5 2  3
+--R       (12a c d  - 30a b c d  + 20a b c d  - 2a b c d )x
+--R     + 
+--R           5 2 5      4   3 4      3 2 4 3    2 3 5 2       4 6   2
+--R       (18a c d  - 45a b c d  + 30a b c d  + a b c d  - 4a b c d)x
+--R     + 
+--R          5 3 4      4   4 3     3 2 5 2     2 3 6        4 7      5 4 3
+--R       (4a c d  - 10a b c d  + 6a b c d  + 2a b c d - 2a b c )x - a c d
+--R     + 
+--R         4   5 2     3 2 6     2 3 7
+--R       3a b c d  - 3a b c d + a b c
+--R  /
+--R          6 5 5     5   6 4     4 2 7 3     3 3 8 2  4
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          6 6 4      5   7 3      4 2 8 2     3 3 9   3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          6 7 3     5   8 2     4 2 9      3 3 10  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  482
+
+--S  483 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 5 7      4     6      3 2 2 5  4
+--R           (- 12a d  + 30a b c d  - 20a b c d )x
+--R         + 
+--R                 5   6      4   2 5      3 2 3 4  3
+--R           (- 24a c d  + 60a b c d  - 40a b c d )x
+--R         + 
+--R                 5 2 5      4   3 4      3 2 4 3  2
+--R           (- 12a c d  + 30a b c d  - 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 2 4     5 6   3     5 7 2
+--R       (2b c d x  + 4b c d x  + 2b c x )log(b x + a)
+--R     + 
+--R               5 7      4     6      3 2 2 5     5 5 2  4
+--R           (12a d  - 30a b c d  + 20a b c d  - 2b c d )x
+--R         + 
+--R               5   6      4   2 5      3 2 3 4     5 6   3
+--R           (24a c d  - 60a b c d  + 40a b c d  - 4b c d)x
+--R         + 
+--R               5 2 5      4   3 4      3 2 4 3     5 7  2
+--R           (12a c d  - 30a b c d  + 20a b c d  - 2b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           5   6      4   2 5      3 2 3 4       4 5 2  3
+--R       (12a c d  - 30a b c d  + 20a b c d  - 2a b c d )x
+--R     + 
+--R           5 2 5      4   3 4      3 2 4 3    2 3 5 2       4 6   2
+--R       (18a c d  - 45a b c d  + 30a b c d  + a b c d  - 4a b c d)x
+--R     + 
+--R          5 3 4      4   4 3     3 2 5 2     2 3 6        4 7      5 4 3
+--R       (4a c d  - 10a b c d  + 6a b c d  + 2a b c d - 2a b c )x - a c d
+--R     + 
+--R         4   5 2     3 2 6     2 3 7
+--R       3a b c d  - 3a b c d + a b c
+--R  /
+--R          6 5 5     5   6 4     4 2 7 3     3 3 8 2  4
+--R       (2a c d  - 6a b c d  + 6a b c d  - 2a b c d )x
+--R     + 
+--R          6 6 4      5   7 3      4 2 8 2     3 3 9   3
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4a b c d)x
+--R     + 
+--R          6 7 3     5   8 2     4 2 9      3 3 10  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  483
+
+--S  484 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  484
+
+--S  485 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  485
+
+)clear all
+
+--S  486 of 1092
+t0:=x^4*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 6         5    2 4
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  486
+
+--S  487 of 1092
+r0:=a^2*(3*b*c-5*a*d)*(b*c-a*d)*x/b^6-a*(b*c-2*a*d)*(b*c-a*d)*x^2/b^5+_
+     1/3*(b*c-3*a*d)*(b*c-a*d)*x^3/b^4+1/2*d*(b*c-a*d)*x^4/b^3+_
+     1/5*d^2*x^5/b^2-a^4*(b*c-a*d)^2/(b^7*(a+b*x))-_
+     2*a^3*(2*b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                  5   2       4 2          3 3 2         6 2       5
+--R           (- 180a b d  + 300a b c d - 120a b c )x - 180a d  + 300a b c d
+--R         + 
+--R                 4 2 2
+--R           - 120a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 2 6          5 2      6     5       2 4 2        5         6 2  4
+--R       6b d x  + (- 9a b d  + 15b c d)x  + (15a b d  - 25a b c d + 10b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 30a b d  + 50a b c d - 20a b c )x
+--R     + 
+--R           4 2 2       3 3         2 4 2  2
+--R       (90a b d  - 150a b c d + 60a b c )x
+--R     + 
+--R            5   2       4 2         3 3 2        6 2      5           4 2 2
+--R       (150a b d  - 240a b c d + 90a b c )x - 30a d  + 60a b c d - 30a b c
+--R  /
+--R        8         7
+--R     30b x + 30a b
+--R                                                    Type: Expression(Integer)
+--E  487
+
+--S  488 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  5   2       4 2          3 3 2         6 2       5
+--R           (- 180a b d  + 300a b c d - 120a b c )x - 180a d  + 300a b c d
+--R         + 
+--R                 4 2 2
+--R           - 120a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 2 6          5 2      6     5       2 4 2        5         6 2  4
+--R       6b d x  + (- 9a b d  + 15b c d)x  + (15a b d  - 25a b c d + 10b c )x
+--R     + 
+--R             3 3 2      2 4           5 2  3
+--R       (- 30a b d  + 50a b c d - 20a b c )x
+--R     + 
+--R           4 2 2       3 3         2 4 2  2
+--R       (90a b d  - 150a b c d + 60a b c )x
+--R     + 
+--R            5   2       4 2         3 3 2        6 2      5           4 2 2
+--R       (150a b d  - 240a b c d + 90a b c )x - 30a d  + 60a b c d - 30a b c
+--R  /
+--R        8         7
+--R     30b x + 30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  488
+
+--S  489 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  489
+
+--S  490 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  490
+
+)clear all
+
+--S  491 of 1092
+t0:=x^3*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 5         4    2 3
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  491
+
+--S  492 of 1092
+r0:=-2*a*(b*c-2*a*d)*(b*c-a*d)*x/b^5+1/2*(b*c-3*a*d)*(b*c-a*d)*x^2/b^4+_
+     2/3*d*(b*c-a*d)*x^3/b^3+1/4*d^2*x^4/b^2+_
+     a^3*(b*c-a*d)^2/(b^6*(a+b*x))+a^2*(3*b*c-5*a*d)*(b*c-a*d)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R              4   2      3 2         2 3 2        5 2      4           3 2 2
+--R         ((60a b d  - 96a b c d + 36a b c )x + 60a d  - 96a b c d + 36a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 2 5          4 2     5     4       2 3 2        4        5 2  3
+--R       3b d x  + (- 5a b d  + 8b c d)x  + (10a b d  - 16a b c d + 6b c )x
+--R     + 
+--R             3 2 2      2 3           4 2  2
+--R       (- 30a b d  + 48a b c d - 18a b c )x
+--R     + 
+--R             4   2      3 2         2 3 2        5 2      4           3 2 2
+--R       (- 48a b d  + 72a b c d - 24a b c )x + 12a d  - 24a b c d + 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E  492
+
+--S  493 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4   2      3 2         2 3 2        5 2      4           3 2 2
+--R         ((60a b d  - 96a b c d + 36a b c )x + 60a d  - 96a b c d + 36a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 2 5          4 2     5     4       2 3 2        4        5 2  3
+--R       3b d x  + (- 5a b d  + 8b c d)x  + (10a b d  - 16a b c d + 6b c )x
+--R     + 
+--R             3 2 2      2 3           4 2  2
+--R       (- 30a b d  + 48a b c d - 18a b c )x
+--R     + 
+--R             4   2      3 2         2 3 2        5 2      4           3 2 2
+--R       (- 48a b d  + 72a b c d - 24a b c )x + 12a d  - 24a b c d + 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  493
+
+--S  494 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  494
+
+--S  495 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  495
+
+)clear all
+
+--S  496 of 1092
+t0:=x^2*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 4         3    2 2
+--R        d x  + 2c d x  + c x
+--R   (1)  ---------------------
+--R           2 2             2
+--R          b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  496
+
+--S  497 of 1092
+r0:=(b*c-3*a*d)*(b*c-a*d)*x/b^4+d*(b*c-a*d)*x^2/b^3+1/3*d^2*x^3/b^2-_
+     a^2*(b*c-a*d)^2/(b^5*(a+b*x))-2*a*(b*c-2*a*d)*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                3   2      2 2          3 2        4 2      3          2 2 2
+--R         ((- 12a b d  + 18a b c d - 6a b c )x - 12a d  + 18a b c d - 6a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 2 4          3 2     4     3      2 2 2       3        4 2  2
+--R       b d x  + (- 2a b d  + 3b c d)x  + (6a b d  - 9a b c d + 3b c )x
+--R     + 
+--R          3   2      2 2          3 2       4 2     3          2 2 2
+--R       (9a b d  - 12a b c d + 3a b c )x - 3a d  + 6a b c d - 3a b c
+--R  /
+--R       6        5
+--R     3b x + 3a b
+--R                                                    Type: Expression(Integer)
+--E  497
+
+--S  498 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3   2      2 2          3 2        4 2      3          2 2 2
+--R         ((- 12a b d  + 18a b c d - 6a b c )x - 12a d  + 18a b c d - 6a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 2 4          3 2     4     3      2 2 2       3        4 2  2
+--R       b d x  + (- 2a b d  + 3b c d)x  + (6a b d  - 9a b c d + 3b c )x
+--R     + 
+--R          3   2      2 2          3 2       4 2     3          2 2 2
+--R       (9a b d  - 12a b c d + 3a b c )x - 3a d  + 6a b c d - 3a b c
+--R  /
+--R       6        5
+--R     3b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  498
+
+--S  499 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  499
+
+--S  500 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  500
+
+)clear all
+
+--S  501 of 1092
+t0:=x*(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 3         2    2
+--R        d x  + 2c d x  + c x
+--R   (1)  --------------------
+--R          2 2             2
+--R         b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  501
+
+--S  502 of 1092
+r0:=2*d*(b*c-a*d)*x/b^3+1/2*d^2*x^2/b^2+a*(b*c-a*d)^2/(b^4*(a+b*x))+_
+     (b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R           2   2       2        3 2       3 2     2            2 2
+--R       ((6a b d  - 8a b c d + 2b c )x + 6a d  - 8a b c d + 2a b c )log(b x + a)
+--R     + 
+--R        3 2 3          2 2     3     2        2   2       2          3 2
+--R       b d x  + (- 3a b d  + 4b c d)x  + (- 4a b d  + 4a b c d)x + 2a d
+--R     + 
+--R           2            2 2
+--R       - 4a b c d + 2a b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  502
+
+--S  503 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R           2   2       2        3 2       3 2     2            2 2
+--R       ((6a b d  - 8a b c d + 2b c )x + 6a d  - 8a b c d + 2a b c )log(b x + a)
+--R     + 
+--R        3 2 3          2 2     3     2        2   2       2          3 2
+--R       b d x  + (- 3a b d  + 4b c d)x  + (- 4a b d  + 4a b c d)x + 2a d
+--R     + 
+--R           2            2 2
+--R       - 4a b c d + 2a b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  503
+
+--S  504 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  504
+
+--S  505 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  505
+
+)clear all
+
+--S  506 of 1092
+t0:=(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  506
+
+--S  507 of 1092
+r0:=d^2*x/b^2-(b*c-a*d)^2/(b^3*(a+b*x))+2*d*(b*c-a*d)*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                                    Type: Expression(Integer)
+--E  507
+
+--S  508 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  508
+
+--S  509 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  509
+
+--S  510 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  510
+
+)clear all
+
+--S  511 of 1092
+t0:=(c+d*x)^2/(x*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2
+--R         d x  + 2c d x + c
+--R   (1)  --------------------
+--R         2 3         2    2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  511
+
+--S  512 of 1092
+r0:=(b*c-a*d)^2/(a*b^2*(a+b*x))+c^2*log(x)/a^2-(c^2/a^2-d^2/b^2)*log(a+b*x)
+--R 
+--R
+--R   (2)
+--R          2   2    3 2      3 2      2 2                  3 2       2 2
+--R       ((a b d  - b c )x + a d  - a b c )log(b x + a) + (b c x + a b c )log(x)
+--R     + 
+--R        3 2     2           2 2
+--R       a d  - 2a b c d + a b c
+--R  /
+--R      2 3     3 2
+--R     a b x + a b
+--R                                                    Type: Expression(Integer)
+--E  512
+
+--S  513 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R          2   2    3 2      3 2      2 2                  3 2       2 2
+--R       ((a b d  - b c )x + a d  - a b c )log(b x + a) + (b c x + a b c )log(x)
+--R     + 
+--R        3 2     2           2 2
+--R       a d  - 2a b c d + a b c
+--R  /
+--R      2 3     3 2
+--R     a b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  513
+
+--S  514 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  514
+
+--S  515 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  515
+
+)clear all
+
+--S  516 of 1092
+t0:=(c+d*x)^2/(x^2*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  516
+
+--S  517 of 1092
+r0:=-c^2/(a^2*x)-(b*c-a*d)^2/(a^2*b*(a+b*x))-2*c*(b*c-a*d)*_
+     log(x)/a^3+2*c*(b*c-a*d)*log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R               2        3 2  2        2            2 2
+--R       ((- 2a b c d + 2b c )x  + (- 2a b c d + 2a b c )x)log(b x + a)
+--R     + 
+--R             2        3 2  2      2            2 2
+--R       ((2a b c d - 2b c )x  + (2a b c d - 2a b c )x)log(x)
+--R     + 
+--R           3 2     2            2 2      2   2
+--R       (- a d  + 2a b c d - 2a b c )x - a b c
+--R  /
+--R      3 2 2    4
+--R     a b x  + a b x
+--R                                                    Type: Expression(Integer)
+--E  517
+
+--S  518 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2        3 2  2        2            2 2
+--R       ((- 2a b c d + 2b c )x  + (- 2a b c d + 2a b c )x)log(b x + a)
+--R     + 
+--R             2        3 2  2      2            2 2
+--R       ((2a b c d - 2b c )x  + (2a b c d - 2a b c )x)log(x)
+--R     + 
+--R           3 2     2            2 2      2   2
+--R       (- a d  + 2a b c d - 2a b c )x - a b c
+--R  /
+--R      3 2 2    4
+--R     a b x  + a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  518
+
+--S  519 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  519
+
+--S  520 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  520
+
+)clear all
+
+--S  521 of 1092
+t0:=(c+d*x)^2/(x^3*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 5         4    2 3
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  521
+
+--S  522 of 1092
+r0:=-1/2*c^2/(a^2*x^2)+2*c*(b*c-a*d)/(a^3*x)+(b*c-a*d)^2/(a^3*(a+b*x))+_
+     (b*c-a*d)*(3*b*c-a*d)*log(x)/a^4-(b*c-a*d)*(3*b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R               2   2       2        3 2  3        3 2     2            2 2  2
+--R         ((- 2a b d  + 8a b c d - 6b c )x  + (- 2a d  + 8a b c d - 6a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           2   2       2        3 2  3      3 2     2            2 2  2
+--R       ((2a b d  - 8a b c d + 6b c )x  + (2a d  - 8a b c d + 6a b c )x )log(x)
+--R     + 
+--R          3 2     2            2 2  2        3        2   2      3 2
+--R       (2a d  - 8a b c d + 6a b c )x  + (- 4a c d + 3a b c )x - a c
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                                    Type: Expression(Integer)
+--E  522
+
+--S  523 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2   2       2        3 2  3        3 2     2            2 2  2
+--R         ((- 2a b d  + 8a b c d - 6b c )x  + (- 2a d  + 8a b c d - 6a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           2   2       2        3 2  3      3 2     2            2 2  2
+--R       ((2a b d  - 8a b c d + 6b c )x  + (2a d  - 8a b c d + 6a b c )x )log(x)
+--R     + 
+--R          3 2     2            2 2  2        3        2   2      3 2
+--R       (2a d  - 8a b c d + 6a b c )x  + (- 4a c d + 3a b c )x - a c
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  523
+
+--S  524 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  524
+
+--S  525 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  525
+
+)clear all
+
+--S  526 of 1092
+t0:=(c+d*x)^2/(x^4*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 6         5    2 4
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  526
+
+--S  527 of 1092
+r0:=-1/3*c^2/(a^2*x^3)+c*(b*c-a*d)/(a^3*x^2)-(b*c-a*d)*(3*b*c-a*d)/_
+     (a^4*x)-b*(b*c-a*d)^2/(a^4*(a+b*x))-2*b*(b*c-a*d)*(2*b*c-a*d)*_
+     log(x)/a^5+2*b*(b*c-a*d)*(2*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             2 2 2        3         4 2  4      3   2      2 2           3 2  3
+--R         ((6a b d  - 18a b c d + 12b c )x  + (6a b d  - 18a b c d + 12a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2 2        3         4 2  4
+--R           (- 6a b d  + 18a b c d - 12b c )x
+--R         + 
+--R                3   2      2 2           3 2  3
+--R           (- 6a b d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            3   2      2 2           3 2  3        4 2     3          2 2 2  2
+--R       (- 6a b d  + 18a b c d - 12a b c )x  + (- 3a d  + 9a b c d - 6a b c )x
+--R     + 
+--R            4        3   2      4 2
+--R       (- 3a c d + 2a b c )x - a c
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                                    Type: Expression(Integer)
+--E  527
+
+--S  528 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2 2 2        3         4 2  4      3   2      2 2           3 2  3
+--R         ((6a b d  - 18a b c d + 12b c )x  + (6a b d  - 18a b c d + 12a b c )x )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2 2        3         4 2  4
+--R           (- 6a b d  + 18a b c d - 12b c )x
+--R         + 
+--R                3   2      2 2           3 2  3
+--R           (- 6a b d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            3   2      2 2           3 2  3        4 2     3          2 2 2  2
+--R       (- 6a b d  + 18a b c d - 12a b c )x  + (- 3a d  + 9a b c d - 6a b c )x
+--R     + 
+--R            4        3   2      4 2
+--R       (- 3a c d + 2a b c )x - a c
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  528
+
+--S  529 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  529
+
+--S  530 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  530
+
+)clear all
+
+--S  531 of 1092
+t0:=(c+d*x)^2/(x^5*(a+b*x)^2)
+--R 
+--R
+--R           2 2             2
+--R          d x  + 2c d x + c
+--R   (1)  ---------------------
+--R         2 7         6    2 5
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  531
+
+--S  532 of 1092
+r0:=-1/4*c^2/(a^2*x^4)+2/3*c*(b*c-a*d)/(a^3*x^3)-1/2*(b*c-a*d)*_
+     (3*b*c-a*d)/(a^4*x^2)+2*b*(b*c-a*d)*(2*b*c-a*d)/(a^5*x)+_
+     b^2*(b*c-a*d)^2/(a^5*(a+b*x))+b^2*(5*b*c-3*a*d)*(b*c-a*d)*_
+     log(x)/a^6-b^2*(5*b*c-3*a*d)*(b*c-a*d)*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R                 2 3 2        4         5 2  5
+--R           (- 36a b d  + 96a b c d - 60b c )x
+--R         + 
+--R                 3 2 2      2 3           4 2  4
+--R           (- 36a b d  + 96a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2 3 2        4         5 2  5
+--R             (36a b d  - 96a b c d + 60b c )x
+--R           + 
+--R                 3 2 2      2 3           4 2  4
+--R             (36a b d  - 96a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           3 2 2      2 3           4 2  4       4   2      3 2         2 3 2  3
+--R       (36a b d  - 96a b c d + 60a b c )x  + (18a b d  - 48a b c d + 30a b c )x
+--R     + 
+--R            5 2      4           3 2 2  2        5        4   2       5 2
+--R       (- 6a d  + 16a b c d - 10a b c )x  + (- 8a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                                    Type: Expression(Integer)
+--E  532
+
+--S  533 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 3 2        4         5 2  5
+--R           (- 36a b d  + 96a b c d - 60b c )x
+--R         + 
+--R                 3 2 2      2 3           4 2  4
+--R           (- 36a b d  + 96a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 2 3 2        4         5 2  5
+--R             (36a b d  - 96a b c d + 60b c )x
+--R           + 
+--R                 3 2 2      2 3           4 2  4
+--R             (36a b d  - 96a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           3 2 2      2 3           4 2  4       4   2      3 2         2 3 2  3
+--R       (36a b d  - 96a b c d + 60a b c )x  + (18a b d  - 48a b c d + 30a b c )x
+--R     + 
+--R            5 2      4           3 2 2  2        5        4   2       5 2
+--R       (- 6a d  + 16a b c d - 10a b c )x  + (- 8a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  533
+
+--S  534 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  534
+
+--S  535 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  535
+
+)clear all
+
+--S  536 of 1092
+t0:=x^4*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 7       2 6     2   5    3 4
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  536
+
+--S  537 of 1092
+r0:=3*a^2*(b*c-2*a*d)*(b*c-a*d)^2*x/b^7-1/2*a*(2*b*c-5*a*d)*_
+     (b*c-a*d)^2*x^2/b^6+1/3*(b*c-4*a*d)*(b*c-a*d)^2*x^3/b^5+_
+     3/4*d*(b*c-a*d)^2*x^4/b^4+1/5*d^2*(3*b*c-2*a*d)*x^5/b^3+_
+     1/6*d^3*x^6/b^2-a^4*(b*c-a*d)^3/(b^8*(a+b*x))-_
+     a^3*(4*b*c-7*a*d)*(b*c-a*d)^2*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                6   3        5 2   2       4 3 2        3 4 3         7 3
+--R           (420a b d  - 1080a b c d  + 900a b c d - 240a b c )x + 420a d
+--R         + 
+--R                  6     2       5 2 2        4 3 3
+--R           - 1080a b c d  + 900a b c d - 240a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 3 7           6 3      7   2  6
+--R       10b d x  + (- 14a b d  + 36b c d )x
+--R     + 
+--R           2 5 3        6   2      7 2   5
+--R       (21a b d  - 54a b c d  + 45b c d)x
+--R     + 
+--R             3 4 3      2 5   2        6 2       7 3  4
+--R       (- 35a b d  + 90a b c d  - 75a b c d + 20b c )x
+--R     + 
+--R           4 3 3       3 4   2       2 5 2         6 3  3
+--R       (70a b d  - 180a b c d  + 150a b c d - 40a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 540a b c d  - 450a b c d + 120a b c )x
+--R     + 
+--R              6   3       5 2   2       4 3 2        3 4 3        7 3
+--R       (- 360a b d  + 900a b c d  - 720a b c d + 180a b c )x + 60a d
+--R     + 
+--R             6     2       5 2 2       4 3 3
+--R       - 180a b c d  + 180a b c d - 60a b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                                    Type: Expression(Integer)
+--E  537
+
+--S  538 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                6   3        5 2   2       4 3 2        3 4 3         7 3
+--R           (420a b d  - 1080a b c d  + 900a b c d - 240a b c )x + 420a d
+--R         + 
+--R                  6     2       5 2 2        4 3 3
+--R           - 1080a b c d  + 900a b c d - 240a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 3 7           6 3      7   2  6
+--R       10b d x  + (- 14a b d  + 36b c d )x
+--R     + 
+--R           2 5 3        6   2      7 2   5
+--R       (21a b d  - 54a b c d  + 45b c d)x
+--R     + 
+--R             3 4 3      2 5   2        6 2       7 3  4
+--R       (- 35a b d  + 90a b c d  - 75a b c d + 20b c )x
+--R     + 
+--R           4 3 3       3 4   2       2 5 2         6 3  3
+--R       (70a b d  - 180a b c d  + 150a b c d - 40a b c )x
+--R     + 
+--R              5 2 3       4 3   2       3 4 2        2 5 3  2
+--R       (- 210a b d  + 540a b c d  - 450a b c d + 120a b c )x
+--R     + 
+--R              6   3       5 2   2       4 3 2        3 4 3        7 3
+--R       (- 360a b d  + 900a b c d  - 720a b c d + 180a b c )x + 60a d
+--R     + 
+--R             6     2       5 2 2       4 3 3
+--R       - 180a b c d  + 180a b c d - 60a b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  538
+
+--S  539 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  539
+
+--S  540 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  540
+
+)clear all
+
+--S  541 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  541
+
+--S  542 of 1092
+r0:=-a*(2*b*c-5*a*d)*(b*c-a*d)^2*x/b^6+1/2*(b*c-4*a*d)*(b*c-a*d)^2*_
+     x^2/b^5+d*(b*c-a*d)^2*x^3/b^4+1/4*d^2*(3*b*c-2*a*d)*x^4/b^3+_
+     1/5*d^3*x^5/b^2+a^3*(b*c-a*d)^3/(b^7*(a+b*x))+_
+     3*a^2*(b*c-2*a*d)*(b*c-a*d)^2*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R                  5   3       4 2   2       3 3 2       2 4 3         6 3
+--R           (- 120a b d  + 300a b c d  - 240a b c d + 60a b c )x - 120a d
+--R         + 
+--R               5     2       4 2 2       3 3 3
+--R           300a b c d  - 240a b c d + 60a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 3 6          5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       4b d x  + (- 6a b d  + 15b c d )x  + (10a b d  - 25a b c d  + 20b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 50a b c d  - 40a b c d + 10b c )x
+--R     + 
+--R           4 2 3       3 3   2       2 4 2         5 3  2
+--R       (60a b d  - 150a b c d  + 120a b c d - 30a b c )x
+--R     + 
+--R            5   3       4 2   2       3 3 2       2 4 3        6 3      5     2
+--R       (100a b d  - 240a b c d  + 180a b c d - 40a b c )x - 20a d  + 60a b c d
+--R     + 
+--R            4 2 2       3 3 3
+--R       - 60a b c d + 20a b c
+--R  /
+--R        8         7
+--R     20b x + 20a b
+--R                                                    Type: Expression(Integer)
+--E  542
+
+--S  543 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  5   3       4 2   2       3 3 2       2 4 3         6 3
+--R           (- 120a b d  + 300a b c d  - 240a b c d + 60a b c )x - 120a d
+--R         + 
+--R               5     2       4 2 2       3 3 3
+--R           300a b c d  - 240a b c d + 60a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         6 3 6          5 3      6   2  5       2 4 3        5   2      6 2   4
+--R       4b d x  + (- 6a b d  + 15b c d )x  + (10a b d  - 25a b c d  + 20b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R       (- 20a b d  + 50a b c d  - 40a b c d + 10b c )x
+--R     + 
+--R           4 2 3       3 3   2       2 4 2         5 3  2
+--R       (60a b d  - 150a b c d  + 120a b c d - 30a b c )x
+--R     + 
+--R            5   3       4 2   2       3 3 2       2 4 3        6 3      5     2
+--R       (100a b d  - 240a b c d  + 180a b c d - 40a b c )x - 20a d  + 60a b c d
+--R     + 
+--R            4 2 2       3 3 3
+--R       - 60a b c d + 20a b c
+--R  /
+--R        8         7
+--R     20b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  543
+
+--S  544 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  544
+
+--S  545 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  545
+
+)clear all
+
+--S  546 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  546
+
+--S  547 of 1092
+r0:=(b*c-4*a*d)*(b*c-a*d)^2*x/b^5+3/2*d*(b*c-a*d)^2*x^2/b^4+_
+     1/3*d^2*(3*b*c-2*a*d)*x^3/b^3+1/4*d^3*x^4/b^2-a^2*_
+     (b*c-a*d)^3/(b^6*(a+b*x))-a*(2*b*c-5*a*d)*(b*c-a*d)^2*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R               4   3       3 2   2       2 3 2         4 3        5 3
+--R           (60a b d  - 144a b c d  + 108a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 4     2       3 2 2       2 3 3
+--R           - 144a b c d  + 108a b c d - 24a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       3b d x  + (- 5a b d  + 12b c d )x  + (10a b d  - 24a b c d  + 18b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 72a b c d  - 54a b c d + 12b c )x
+--R     + 
+--R             4   3       3 2   2      2 3 2         4 3        5 3      4     2
+--R       (- 48a b d  + 108a b c d  - 72a b c d + 12a b c )x + 12a d  - 36a b c d
+--R     + 
+--R          3 2 2       2 3 3
+--R       36a b c d - 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E  547
+
+--S  548 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               4   3       3 2   2       2 3 2         4 3        5 3
+--R           (60a b d  - 144a b c d  + 108a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 4     2       3 2 2       2 3 3
+--R           - 144a b c d  + 108a b c d - 24a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3      5   2  4       2 3 3        4   2      5 2   3
+--R       3b d x  + (- 5a b d  + 12b c d )x  + (10a b d  - 24a b c d  + 18b c d)x
+--R     + 
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R       (- 30a b d  + 72a b c d  - 54a b c d + 12b c )x
+--R     + 
+--R             4   3       3 2   2      2 3 2         4 3        5 3      4     2
+--R       (- 48a b d  + 108a b c d  - 72a b c d + 12a b c )x + 12a d  - 36a b c d
+--R     + 
+--R          3 2 2       2 3 3
+--R       36a b c d - 12a b c
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  548
+
+--S  549 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  549
+
+--S  550 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  550
+
+)clear all
+
+--S  551 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  551
+
+--S 552 of 1092
+r0:=3*d*(b*c-a*d)^2*x/b^4+1/2*d^2*(3*b*c-2*a*d)*x^2/b^3+1/3*d^3*x^3/b^2+_
+     a*(b*c-a*d)^3/(b^5*(a+b*x))+(b*c-4*a*d)*(b*c-a*d)^2*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R                 3   3      2 2   2        3 2      4 3        4 3      3     2
+--R           (- 24a b d  + 54a b c d  - 36a b c d + 6b c )x - 24a d  + 54a b c d
+--R         + 
+--R                2 2 2        3 3
+--R           - 36a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 4          3 3     4   2  3       2 2 3        3   2      4 2   2
+--R       2b d x  + (- 4a b d  + 9b c d )x  + (12a b d  - 27a b c d  + 18b c d)x
+--R     + 
+--R           3   3      2 2   2        3 2        4 3      3     2      2 2 2
+--R       (18a b d  - 36a b c d  + 18a b c d)x - 6a d  + 18a b c d  - 18a b c d
+--R     + 
+--R           3 3
+--R       6a b c
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 552
+
+--S  553 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3   3      2 2   2        3 2      4 3        4 3      3     2
+--R           (- 24a b d  + 54a b c d  - 36a b c d + 6b c )x - 24a d  + 54a b c d
+--R         + 
+--R                2 2 2        3 3
+--R           - 36a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 4          3 3     4   2  3       2 2 3        3   2      4 2   2
+--R       2b d x  + (- 4a b d  + 9b c d )x  + (12a b d  - 27a b c d  + 18b c d)x
+--R     + 
+--R           3   3      2 2   2        3 2        4 3      3     2      2 2 2
+--R       (18a b d  - 36a b c d  + 18a b c d)x - 6a d  + 18a b c d  - 18a b c d
+--R     + 
+--R           3 3
+--R       6a b c
+--R  /
+--R       6        5
+--R     6b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  553
+
+--S  554 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  554
+
+--S  555 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  555
+
+)clear all
+
+--S  556 of 1092
+t0:=(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R              2 2             2
+--R             b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  556
+
+--S  557 of 1092
+r0:=d^2*(3*b*c-2*a*d)*x/b^3+1/2*d^3*x^2/b^2-(b*c-a*d)^3/(b^4*(a+b*x))+_
+     3*d*(b*c-a*d)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  557
+
+--S  558 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  558
+
+--S  559 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  559
+
+--S  560 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  560
+
+)clear all
+
+--S  561 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 3         2    2
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  561
+
+--S  562 of 1092
+r0:=d^3*x/b^2+(b*c-a*d)^3/(a*b^3*(a+b*x))+c^3*log(x)/a^2-_
+     (b*c-a*d)^2*(b*c+2*a*d)*log(a+b*x)/(a^2*b^3)
+--R 
+--R
+--R   (2)
+--R               3   3     2 2   2    4 3       4 3     3     2      3 3
+--R         ((- 2a b d  + 3a b c d  - b c )x - 2a d  + 3a b c d  - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3       3 3           2 2 3 2    3   3     4 3     3     2     2 2 2
+--R       (b c x + a b c )log(x) + a b d x  + a b d x - a d  + 3a b c d  - 3a b c d
+--R     + 
+--R          3 3
+--R       a b c
+--R  /
+--R      2 4     3 3
+--R     a b x + a b
+--R                                                    Type: Expression(Integer)
+--E  562
+
+--S  563 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3   3     2 2   2    4 3       4 3     3     2      3 3
+--R         ((- 2a b d  + 3a b c d  - b c )x - 2a d  + 3a b c d  - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3       3 3           2 2 3 2    3   3     4 3     3     2     2 2 2
+--R       (b c x + a b c )log(x) + a b d x  + a b d x - a d  + 3a b c d  - 3a b c d
+--R     + 
+--R          3 3
+--R       a b c
+--R  /
+--R      2 4     3 3
+--R     a b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  563
+
+--S  564 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  564
+
+--S  565 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  565
+
+)clear all
+
+--S  566 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 4         3    2 2
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  566
+
+--S  567 of 1092
+r0:=-c^3/(a^2*x)-(b*c-a*d)^3/(a^2*b^2*(a+b*x))-c^2*(2*b*c-3*a*d)*_
+     log(x)/a^3+(b*c-a*d)^2*(2*b*c+a*d)*log(a+b*x)/(a^3*b^2)
+--R 
+--R
+--R   (2)
+--R            3   3       3 2      4 3  2     4 3     2 2 2        3 3
+--R         ((a b d  - 3a b c d + 2b c )x  + (a d  - 3a b c d + 2a b c )x)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 2      4 3  2      2 2 2        3 3
+--R       ((3a b c d - 2b c )x  + (3a b c d - 2a b c )x)log(x)
+--R     + 
+--R         4 3     3     2     2 2 2        3 3      2 2 3
+--R       (a d  - 3a b c d  + 3a b c d - 2a b c )x - a b c
+--R  /
+--R      3 3 2    4 2
+--R     a b x  + a b x
+--R                                                    Type: Expression(Integer)
+--E  567
+
+--S  568 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3   3       3 2      4 3  2     4 3     2 2 2        3 3
+--R         ((a b d  - 3a b c d + 2b c )x  + (a d  - 3a b c d + 2a b c )x)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 2      4 3  2      2 2 2        3 3
+--R       ((3a b c d - 2b c )x  + (3a b c d - 2a b c )x)log(x)
+--R     + 
+--R         4 3     3     2     2 2 2        3 3      2 2 3
+--R       (a d  - 3a b c d  + 3a b c d - 2a b c )x - a b c
+--R  /
+--R      3 3 2    4 2
+--R     a b x  + a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  568
+
+--S  569 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  569
+
+--S  570 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  570
+
+)clear all
+
+--S  571 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 5         4    2 3
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  571
+
+--S  572 of 1092
+r0:=-1/2*c^3/(a^2*x^2)+c^2*(2*b*c-3*a*d)/(a^3*x)+(b*c-a*d)^3/_
+     (a^3*b*(a+b*x))+3*c*(b*c-a*d)^2*log(x)/a^4-3*c*(b*c-a*d)^2*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R                2 2   2        3 2      4 3  3
+--R           (- 6a b c d  + 12a b c d - 6b c )x
+--R         + 
+--R                3     2      2 2 2        3 3  2
+--R           (- 6a b c d  + 12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2   2        3 2      4 3  3
+--R             (6a b c d  - 12a b c d + 6b c )x
+--R           + 
+--R                3     2      2 2 2        3 3  2
+--R             (6a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4 3     3     2      2 2 2        3 3  2        3   2      2 2 3
+--R       (- 2a d  + 6a b c d  - 12a b c d + 6a b c )x  + (- 6a b c d + 3a b c )x
+--R     + 
+--R          3   3
+--R       - a b c
+--R  /
+--R       4 2 3     5   2
+--R     2a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  572
+
+--S  573 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 2   2        3 2      4 3  3
+--R           (- 6a b c d  + 12a b c d - 6b c )x
+--R         + 
+--R                3     2      2 2 2        3 3  2
+--R           (- 6a b c d  + 12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                2 2   2        3 2      4 3  3
+--R             (6a b c d  - 12a b c d + 6b c )x
+--R           + 
+--R                3     2      2 2 2        3 3  2
+--R             (6a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4 3     3     2      2 2 2        3 3  2        3   2      2 2 3
+--R       (- 2a d  + 6a b c d  - 12a b c d + 6a b c )x  + (- 6a b c d + 3a b c )x
+--R     + 
+--R          3   3
+--R       - a b c
+--R  /
+--R       4 2 3     5   2
+--R     2a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  573
+
+--S  574 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  574
+
+--S  575 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  575
+
+)clear all
+
+--S  576 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 6         5    2 4
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  576
+
+--S  577 of 1092
+r0:=-1/3*c^3/(a^2*x^3)+1/2*c^2*(2*b*c-3*a*d)/(a^3*x^2)-3*c*(b*c-a*d)^2/_
+     (a^4*x)-(b*c-a*d)^3/(a^4*(a+b*x))-(b*c-a*d)^2*(4*b*c-a*d)*log(x)/_
+     a^5+(b*c-a*d)^2*(4*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R                3   3      2 2   2        3 2       4 3  4
+--R           (- 6a b d  + 36a b c d  - 54a b c d + 24b c )x
+--R         + 
+--R                4 3      3     2      2 2 2         3 3  3
+--R           (- 6a d  + 36a b c d  - 54a b c d + 24a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3   3      2 2   2        3 2       4 3  4
+--R           (6a b d  - 36a b c d  + 54a b c d - 24b c )x
+--R         + 
+--R              4 3      3     2      2 2 2         3 3  3
+--R           (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4 3      3     2      2 2 2         3 3  3
+--R       (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R     + 
+--R             4   2      3   2       2 2 3  2        4 2      3   3       4 3
+--R       (- 18a c d  + 27a b c d - 12a b c )x  + (- 9a c d + 4a b c )x - 2a c
+--R  /
+--R       5   4     6 3
+--R     6a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E  577
+
+--S  578 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3   3      2 2   2        3 2       4 3  4
+--R           (- 6a b d  + 36a b c d  - 54a b c d + 24b c )x
+--R         + 
+--R                4 3      3     2      2 2 2         3 3  3
+--R           (- 6a d  + 36a b c d  - 54a b c d + 24a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3   3      2 2   2        3 2       4 3  4
+--R           (6a b d  - 36a b c d  + 54a b c d - 24b c )x
+--R         + 
+--R              4 3      3     2      2 2 2         3 3  3
+--R           (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4 3      3     2      2 2 2         3 3  3
+--R       (6a d  - 36a b c d  + 54a b c d - 24a b c )x
+--R     + 
+--R             4   2      3   2       2 2 3  2        4 2      3   3       4 3
+--R       (- 18a c d  + 27a b c d - 12a b c )x  + (- 9a c d + 4a b c )x - 2a c
+--R  /
+--R       5   4     6 3
+--R     6a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  578
+
+--S  579 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  579
+
+--S  580 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  580
+
+)clear all
+
+--S  581 of 1092
+t0:=(c+d*x)^3/(x^5*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 7         6    2 5
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  581
+
+--S  582 of 1092
+r0:=-1/4*c^3/(a^2*x^4)+1/3*c^2*(2*b*c-3*a*d)/(a^3*x^3)-_
+     3/2*c*(b*c-a*d)^2/(a^4*x^2)+(b*c-a*d)^2*(4*b*c-a*d)/_
+     (a^5*x)+b*(b*c-a*d)^3/(a^5*(a+b*x))+b*(5*b*c-2*a*d)*_
+     (b*c-a*d)^2*log(x)/a^6-b*(5*b*c-2*a*d)*(b*c-a*d)^2*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R               3 2 3       2 3   2         4 2       5 3  5
+--R           (24a b d  - 108a b c d  + 144a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2         4 3  4
+--R           (24a b d  - 108a b c d  + 144a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 3 2 3       2 3   2         4 2       5 3  5
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2         4 3  4
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R             4   3       3 2   2       2 3 2         4 3  4
+--R       (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 12a d  + 54a b c d  - 72a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2      4   3       5 3
+--R       (- 18a c d  + 24a b c d - 10a b c )x  + (- 12a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                                    Type: Expression(Integer)
+--E  582
+
+--S  583 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3 2 3       2 3   2         4 2       5 3  5
+--R           (24a b d  - 108a b c d  + 144a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2         4 3  4
+--R           (24a b d  - 108a b c d  + 144a b c d - 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 3 2 3       2 3   2         4 2       5 3  5
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2         4 3  4
+--R           (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R             4   3       3 2   2       2 3 2         4 3  4
+--R       (- 24a b d  + 108a b c d  - 144a b c d + 60a b c )x
+--R     + 
+--R             5 3      4     2      3 2 2       2 3 3  3
+--R       (- 12a d  + 54a b c d  - 72a b c d + 30a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2         5 2      4   3       5 3
+--R       (- 18a c d  + 24a b c d - 10a b c )x  + (- 12a c d + 5a b c )x - 3a c
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  583
+
+--S  584 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  584
+
+--S  585 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  585
+
+)clear all
+
+--S  586 of 1092
+t0:=(c+d*x)^3/(x^6*(a+b*x)^2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R             2 8         7    2 6
+--R            b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  586
+
+--S  587 of 1092
+r0:=-1/5*c^3/(a^2*x^5)+1/4*c^2*(2*b*c-3*a*d)/(a^3*x^4)-c*(b*c-a*d)^2/_
+     (a^4*x^3)+1/2*(b*c-a*d)^2*(4*b*c-a*d)/(a^5*x^2)-_
+     b*(5*b*c-2*a*d)*(b*c-a*d)^2/(a^6*x)-b^2*(b*c-a*d)^3/_
+     (a^6*(a+b*x))-3*b^2*(b*c-a*d)^2*(2*b*c-a*d)*log(x)/a^7+_
+     3*b^2*(b*c-a*d)^2*(2*b*c-a*d)*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R                 3 3 3       2 4   2         5 2        6 3  6
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120b c )x
+--R         + 
+--R                 4 2 3       3 3   2       2 4 2          5 3  5
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               3 3 3       2 4   2         5 2        6 3  6
+--R           (60a b d  - 240a b c d  + 300a b c d - 120b c )x
+--R         + 
+--R               4 2 3       3 3   2       2 4 2          5 3  5
+--R           (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           4 2 3       3 3   2       2 4 2          5 3  5
+--R       (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R     + 
+--R           5   3       4 2   2       3 3 2       2 4 3  4
+--R       (30a b d  - 120a b c d  + 150a b c d - 60a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 10a d  + 40a b c d  - 50a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2      5   3       6 3
+--R       (- 20a c d  + 25a b c d - 10a b c )x  + (- 15a c d + 6a b c )x - 4a c
+--R  /
+--R        7   6      8 5
+--R     20a b x  + 20a x
+--R                                                    Type: Expression(Integer)
+--E  587
+
+--S  588 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3 3 3       2 4   2         5 2        6 3  6
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120b c )x
+--R         + 
+--R                 4 2 3       3 3   2       2 4 2          5 3  5
+--R           (- 60a b d  + 240a b c d  - 300a b c d + 120a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               3 3 3       2 4   2         5 2        6 3  6
+--R           (60a b d  - 240a b c d  + 300a b c d - 120b c )x
+--R         + 
+--R               4 2 3       3 3   2       2 4 2          5 3  5
+--R           (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           4 2 3       3 3   2       2 4 2          5 3  5
+--R       (60a b d  - 240a b c d  + 300a b c d - 120a b c )x
+--R     + 
+--R           5   3       4 2   2       3 3 2       2 4 3  4
+--R       (30a b d  - 120a b c d  + 150a b c d - 60a b c )x
+--R     + 
+--R             6 3      5     2      4 2 2       3 3 3  3
+--R       (- 10a d  + 40a b c d  - 50a b c d + 20a b c )x
+--R     + 
+--R             6   2      5   2       4 2 3  2         6 2      5   3       6 3
+--R       (- 20a c d  + 25a b c d - 10a b c )x  + (- 15a c d + 6a b c )x - 4a c
+--R  /
+--R        7   6      8 5
+--R     20a b x  + 20a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  588
+
+--S  589 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  589
+
+--S  590 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  590
+
+)clear all
+
+--S  591 of 1092
+t0:=(2-3*x)^3*sqrt(x)/(1+x)^2
+--R 
+--R
+--R              3      2            +-+
+--R        (- 27x  + 54x  - 36x + 8)\|x
+--R   (1)  -----------------------------
+--R                  2
+--R                 x  + 2x + 1
+--R                                                    Type: Expression(Integer)
+--E  591
+
+--S  592 of 1092
+r0a:=72*x^(3/2)-54/5*x^(5/2)+575*atan(sqrt(x))-450*sqrt(x)-_
+     125*sqrt(x)/(1+x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (2)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                                    Type: Expression(Integer)
+--E  592
+
+--S  593 of 1092
+r0b:=575*atan(sqrt(x))-2689/5*sqrt(x)-_
+     1/5*(62-513*x)*sqrt(x)-21/5*(2-3*x)^2*sqrt(x)-(2-3*x)^3*sqrt(x)/(1+x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (3)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                                    Type: Expression(Integer)
+--E  593
+
+--S  594 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R                            +-+          3       2                 +-+
+--R        (2875x + 2875)atan(\|x ) + (- 54x  + 306x  - 1890x - 2875)\|x
+--R   (4)  --------------------------------------------------------------
+--R                                    5x + 5
+--R                                         Type: Union(Expression(Integer),...)
+--E  594
+
+--S  595 of 1092
+m0a:=a0-r0a
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  595
+
+--S  596 of 1092
+d0:=D(m0a,x)
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E  596
+
+--S  597 of 1092
+m0b:=a0-r0b
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  597
+
+--S  598 of 1092
+d0:=D(m0b,x)
+--R 
+--R
+--R   (8)  0
+--R                                                    Type: Expression(Integer)
+--E  598
+
+)clear all
+
+--S  599 of 1092
+t0:=x^6/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  599
+
+--S  600 of 1092
+r0:=(3*b^2*c^2+4*a*b*c*d+3*a^2*d^2)*x/(b^4*d^4)-(b*c+a*d)*x^2/(b^3*d^3)+_
+     1/3*x^3/(b^2*d^2)-a^6/(b^5*(b*c-a*d)^2*(a+b*x))-_
+     c^6/(d^5*(b*c-a*d)^2*(c+d*x))-2*a^5*(3*b*c-2*a*d)*log(a+b*x)/_
+     (b^5*(b*c-a*d)^3)-2*c^5*(2*b*c-3*a*d)*log(c+d*x)/(d^5*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                   6 5 2      7 6   2         2 5 5 2       6 6       7 7
+--R           (- 18a b c d  + 12b c d)x  + (- 18a b c d  - 6a b c d + 12b c )x
+--R         + 
+--R                2 5 6         6 7
+--R           - 18a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6   7      5 2   6  2         7 7     6     6      5 2 2 5
+--R           (- 12a b d  + 18a b c d )x  + (- 12a d  + 6a b c d  + 18a b c d )x
+--R         + 
+--R                7   6      6   2 5
+--R           - 12a c d  + 18a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 4 7     2 5   6       6 2 5    7 3 4  5
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 3 7     3 4   6       6 3 4     7 4 3  4
+--R       (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R          5 2 7      4 3   6     3 4 2 5     2 5 3 4        6 4 3     7 5 2  3
+--R       (6a b d  - 11a b c d  + 3a b c d  - 3a b c d  + 11a b c d  - 6b c d )x
+--R     + 
+--R          6   7     5 2   6     4 3 2 5     2 5 4 3       6 5 2     7 6   2
+--R       (9a b d  - 9a b c d  - 9a b c d  + 9a b c d  + 9a b c d  - 9b c d)x
+--R     + 
+--R            7 7      6     6      5 2 2 5      2 5 5 2        6 6      7 7
+--R       (- 3a d  + 12a b c d  - 15a b c d  + 15a b c d  - 12a b c d + 3b c )x
+--R     + 
+--R           7   6     6   2 5     2 5 6        6 7
+--R       - 3a c d  + 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R          3 6 9     2 7   8       8 2 7     9 3 6  2
+--R       (3a b d  - 9a b c d  + 9a b c d  - 3b c d )x
+--R     + 
+--R          4 5 9     3 6   8       8 3 6     9 4 5       4 5   8     3 6 2 7
+--R       (3a b d  - 6a b c d  + 6a b c d  - 3b c d )x + 3a b c d  - 9a b c d
+--R     + 
+--R         2 7 3 6       8 4 5
+--R       9a b c d  - 3a b c d
+--R                                                    Type: Expression(Integer)
+--E  600
+
+--S  601 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                   6 5 2      7 6   2         2 5 5 2       6 6       7 7
+--R           (- 18a b c d  + 12b c d)x  + (- 18a b c d  - 6a b c d + 12b c )x
+--R         + 
+--R                2 5 6         6 7
+--R           - 18a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6   7      5 2   6  2         7 7     6     6      5 2 2 5
+--R           (- 12a b d  + 18a b c d )x  + (- 12a d  + 6a b c d  + 18a b c d )x
+--R         + 
+--R                7   6      6   2 5
+--R           - 12a c d  + 18a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 4 7     2 5   6       6 2 5    7 3 4  5
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 3 7     3 4   6       6 3 4     7 4 3  4
+--R       (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R          5 2 7      4 3   6     3 4 2 5     2 5 3 4        6 4 3     7 5 2  3
+--R       (6a b d  - 11a b c d  + 3a b c d  - 3a b c d  + 11a b c d  - 6b c d )x
+--R     + 
+--R          6   7     5 2   6     4 3 2 5     2 5 4 3       6 5 2     7 6   2
+--R       (9a b d  - 9a b c d  - 9a b c d  + 9a b c d  + 9a b c d  - 9b c d)x
+--R     + 
+--R            7 7      6     6      5 2 2 5      2 5 5 2        6 6      7 7
+--R       (- 3a d  + 12a b c d  - 15a b c d  + 15a b c d  - 12a b c d + 3b c )x
+--R     + 
+--R           7   6     6   2 5     2 5 6        6 7
+--R       - 3a c d  + 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R          3 6 9     2 7   8       8 2 7     9 3 6  2
+--R       (3a b d  - 9a b c d  + 9a b c d  - 3b c d )x
+--R     + 
+--R          4 5 9     3 6   8       8 3 6     9 4 5       4 5   8     3 6 2 7
+--R       (3a b d  - 6a b c d  + 6a b c d  - 3b c d )x + 3a b c d  - 9a b c d
+--R     + 
+--R         2 7 3 6       8 4 5
+--R       9a b c d  - 3a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  601
+
+--S  602 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  602
+
+--S  603 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  603
+
+)clear all
+
+--S  604 of 1092
+t0:=x^5/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  604
+
+--S  605 of 1092
+r0:=-2*(b*c+a*d)*x/(b^3*d^3)+1/2*x^2/(b^2*d^2)+a^5/(b^4*(b*c-a*d)^2*_
+     (a+b*x))+c^5/(d^4*(b*c-a*d)^2*(c+d*x))+a^4*(5*b*c-3*a*d)*_
+     log(a+b*x)/(b^4*(b*c-a*d)^3)+c^4*(3*b*c-5*a*d)*log(c+d*x)/_
+     (d^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                 5 4 2     6 5   2       2 4 4 2       5 5      6 6
+--R           (10a b c d  - 6b c d)x  + (10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              2 4 5        5 6
+--R           10a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5   6      4 2   5  2      6 6     5     5      4 2 2 4
+--R           (6a b d  - 10a b c d )x  + (6a d  - 4a b c d  - 10a b c d )x
+--R         + 
+--R             6   5      5   2 4
+--R           6a c d  - 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 6     2 4   5       5 2 4    6 3 3  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 2 6     3 3   5       5 3 3     6 4 2  3
+--R       (- 3a b d  + 6a b c d  - 6a b c d  + 3b c d )x
+--R     + 
+--R            5   6     4 2   5     3 3 2 4     2 4 3 3       5 4 2     6 5   2
+--R       (- 4a b d  + 5a b c d  + 5a b c d  - 5a b c d  - 5a b c d  + 4b c d)x
+--R     + 
+--R          6 6     5     5     4 2 2 4     2 4 4 2       5 5      6 6       6   5
+--R       (2a d  - 6a b c d  + 8a b c d  - 8a b c d  + 6a b c d - 2b c )x + 2a c d
+--R     + 
+--R           5   2 4     2 4 5        5 6
+--R       - 2a b c d  + 2a b c d - 2a b c
+--R  /
+--R          3 5 8     2 6   7       7 2 6     8 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          4 4 8     3 5   7       7 3 5     8 4 4       4 4   7     3 5 2 6
+--R       (2a b d  - 4a b c d  + 4a b c d  - 2b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R         2 6 3 5       7 4 4
+--R       6a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  605
+
+--S  606 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 5 4 2     6 5   2       2 4 4 2       5 5      6 6
+--R           (10a b c d  - 6b c d)x  + (10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              2 4 5        5 6
+--R           10a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5   6      4 2   5  2      6 6     5     5      4 2 2 4
+--R           (6a b d  - 10a b c d )x  + (6a d  - 4a b c d  - 10a b c d )x
+--R         + 
+--R             6   5      5   2 4
+--R           6a c d  - 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 6     2 4   5       5 2 4    6 3 3  4
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R            4 2 6     3 3   5       5 3 3     6 4 2  3
+--R       (- 3a b d  + 6a b c d  - 6a b c d  + 3b c d )x
+--R     + 
+--R            5   6     4 2   5     3 3 2 4     2 4 3 3       5 4 2     6 5   2
+--R       (- 4a b d  + 5a b c d  + 5a b c d  - 5a b c d  - 5a b c d  + 4b c d)x
+--R     + 
+--R          6 6     5     5     4 2 2 4     2 4 4 2       5 5      6 6       6   5
+--R       (2a d  - 6a b c d  + 8a b c d  - 8a b c d  + 6a b c d - 2b c )x + 2a c d
+--R     + 
+--R           5   2 4     2 4 5        5 6
+--R       - 2a b c d  + 2a b c d - 2a b c
+--R  /
+--R          3 5 8     2 6   7       7 2 6     8 3 5  2
+--R       (2a b d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          4 4 8     3 5   7       7 3 5     8 4 4       4 4   7     3 5 2 6
+--R       (2a b d  - 4a b c d  + 4a b c d  - 2b c d )x + 2a b c d  - 6a b c d
+--R     + 
+--R         2 6 3 5       7 4 4
+--R       6a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  606
+
+--S  607 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  607
+
+--S  608 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  608
+
+)clear all
+
+--S  609 of 1092
+t0:=x^4/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  609
+
+--S  610 of 1092
+r0:=x/(b^2*d^2)-a^4/(b^3*(b*c-a*d)^2*(a+b*x))-c^4/(d^3*(b*c-a*d)^2*(c+d*x))-_
+     2*a^3*(2*b*c-a*d)*log(a+b*x)/(b^3*(b*c-a*d)^3)-_
+     2*c^3*(b*c-2*a*d)*log(c+d*x)/(d^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                  4 3 2     5 4   2        2 3 3 2       4 4      5 5
+--R           (- 4a b c d  + 2b c d)x  + (- 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               2 3 4        4 5
+--R           - 4a b c d + 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4   5     3 2   4  2        5 5     4     4     3 2 2 3
+--R           (- 2a b d  + 4a b c d )x  + (- 2a d  + 2a b c d  + 4a b c d )x
+--R         + 
+--R               5   4     4   2 3
+--R           - 2a c d  + 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 2 5     2 3   4       4 2 3    5 3 2  3
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4   2
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x
+--R     + 
+--R           5 5     4     4     3 2 2 3     2 3 3 2       4 4     5 5      5   4
+--R       (- a d  + 2a b c d  - 3a b c d  + 3a b c d  - 2a b c d + b c )x - a c d
+--R     + 
+--R        4   2 3    2 3 4       4 5
+--R       a b c d  - a b c d + a b c
+--R  /
+--R         3 4 7     2 5   6       6 2 5    7 3 4  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 3 7     3 4   6       6 3 4    7 4 3      4 3   6     3 4 2 5
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 5 3 4      6 4 3
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  610
+
+--S  611 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4 3 2     5 4   2        2 3 3 2       4 4      5 5
+--R           (- 4a b c d  + 2b c d)x  + (- 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               2 3 4        4 5
+--R           - 4a b c d + 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4   5     3 2   4  2        5 5     4     4     3 2 2 3
+--R           (- 2a b d  + 4a b c d )x  + (- 2a d  + 2a b c d  + 4a b c d )x
+--R         + 
+--R               5   4     4   2 3
+--R           - 2a c d  + 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 2 5     2 3   4       4 2 3    5 3 2  3
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4   2
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x
+--R     + 
+--R           5 5     4     4     3 2 2 3     2 3 3 2       4 4     5 5      5   4
+--R       (- a d  + 2a b c d  - 3a b c d  + 3a b c d  - 2a b c d + b c )x - a c d
+--R     + 
+--R        4   2 3    2 3 4       4 5
+--R       a b c d  - a b c d + a b c
+--R  /
+--R         3 4 7     2 5   6       6 2 5    7 3 4  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 3 7     3 4   6       6 3 4    7 4 3      4 3   6     3 4 2 5
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 5 3 4      6 4 3
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  611
+
+--S  612 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  612
+
+--S  613 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  613
+
+)clear all
+
+--S  614 of 1092
+t0:=x^3/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  614
+
+--S  615 of 1092
+r0:=a^3/(b^2*(b*c-a*d)^2*(a+b*x))+c^3/(d^2*(b*c-a*d)^2*(c+d*x))+_
+     a^2*(3*b*c-a*d)*log(a+b*x)/(b^2*(b*c-a*d)^3)+_
+     c^2*(b*c-3*a*d)*log(c+d*x)/(d^2*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                3 2 2    4 3   2      2 2 2 2       3 3     4 4       2 2 3
+--R           (3a b c d  - b c d)x  + (3a b c d  + 2a b c d - b c )x + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             3   4     2 2   3  2     4 4     3     3     2 2 2 2      4   3
+--R           (a b d  - 3a b c d )x  + (a d  - 2a b c d  - 3a b c d )x + a c d
+--R         + 
+--R               3   2 2
+--R           - 3a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R       4 4    3     3      3 3     4 4      4   3    3   2 2    2 2 3       3 4
+--R     (a d  - a b c d  + a b c d - b c )x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         3 3 6     2 4   5       5 2 4    6 3 3  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 2 6     3 3   5       5 3 3    6 4 2      4 2   5     3 3 2 4
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 4 3 3      5 4 2
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  615
+
+--S  616 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2 2    4 3   2      2 2 2 2       3 3     4 4       2 2 3
+--R           (3a b c d  - b c d)x  + (3a b c d  + 2a b c d - b c )x + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             3   4     2 2   3  2     4 4     3     3     2 2 2 2      4   3
+--R           (a b d  - 3a b c d )x  + (a d  - 2a b c d  - 3a b c d )x + a c d
+--R         + 
+--R               3   2 2
+--R           - 3a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R       4 4    3     3      3 3     4 4      4   3    3   2 2    2 2 3       3 4
+--R     (a d  - a b c d  + a b c d - b c )x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         3 3 6     2 4   5       5 2 4    6 3 3  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4 2 6     3 3   5       5 3 3    6 4 2      4 2   5     3 3 2 4
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d )x + a b c d  - 3a b c d
+--R     + 
+--R         2 4 3 3      5 4 2
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  616
+
+--S  617 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  617
+
+--S  618 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  618
+
+)clear all
+
+--S  619 of 1092
+t0:=x^2/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  619
+
+--S  620 of 1092
+r0:=-a^2/(b*(b*c-a*d)^2*(a+b*x))-c^2/(d*(b*c-a*d)^2*(c+d*x))-_
+     2*a*c*log(a+b*x)/(b*c-a*d)^3+2*a*c*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R              2   2 2        2     2       2 2        2   2
+--R       (- 2a b c d x  + (- 2a b c d  - 2a b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R            2   2 2      2     2       2 2        2   2
+--R       (2a b c d x  + (2a b c d  + 2a b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R           3 3    2     2      2 2     3 3      3   2      2 3
+--R       (- a d  + a b c d  - a b c d + b c )x - a c d  + a b c
+--R  /
+--R         3 2 5     2 3   4       4 2 3    5 3 2  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4       4     4     3 2 2 3
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x + a b c d  - 3a b c d
+--R     + 
+--R         2 3 3 2      4 4
+--R       3a b c d  - a b c d
+--R                                                    Type: Expression(Integer)
+--E  620
+
+--S  621 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2   2 2        2     2       2 2        2   2
+--R       (- 2a b c d x  + (- 2a b c d  - 2a b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R            2   2 2      2     2       2 2        2   2
+--R       (2a b c d x  + (2a b c d  + 2a b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R           3 3    2     2      2 2     3 3      3   2      2 3
+--R       (- a d  + a b c d  - a b c d + b c )x - a c d  + a b c
+--R  /
+--R         3 2 5     2 3   4       4 2 3    5 3 2  2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R         4   5     3 2   4       4 3 2    5 4       4     4     3 2 2 3
+--R       (a b d  - 2a b c d  + 2a b c d  - b c d)x + a b c d  - 3a b c d
+--R     + 
+--R         2 3 3 2      4 4
+--R       3a b c d  - a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  621
+
+--S  622 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  622
+
+--S  623 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  623
+
+)clear all
+
+--S  624 of 1092
+t0:=x/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  624
+
+--S  625 of 1092
+r0:=a/((b*c-a*d)^2*(a+b*x))+c/((b*c-a*d)^2*(c+d*x))+_
+     (b*c+a*d)*log(a+b*x)/(b*c-a*d)^3-(b*c+a*d)*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R                2    2     2     2 2               2 2      2           2
+--R         ((a b d  + b c d)x  + (a d  + 2a b c d + b c )x + a c d + a b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  2    2     2       2 2               2 2      2           2
+--R         ((- a b d  - b c d)x  + (- a d  - 2a b c d - b c )x - a c d - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         2 2    2 2       2            2
+--R       (a d  - b c )x + 2a c d - 2a b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  625
+
+--S  626 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2    2     2     2 2               2 2      2           2
+--R         ((a b d  + b c d)x  + (a d  + 2a b c d + b c )x + a c d + a b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  2    2     2       2 2               2 2      2           2
+--R         ((- a b d  - b c d)x  + (- a d  - 2a b c d - b c )x - a c d - a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         2 2    2 2       2            2
+--R       (a d  - b c )x + 2a c d - 2a b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  626
+
+--S  627 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  627
+
+--S  628 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  628
+
+)clear all
+
+--S  629 of 1092
+t0:=1/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  629
+
+--S  630 of 1092
+r0:=-b/((b*c-a*d)^2*(a+b*x))-d/((b*c-a*d)^2*(c+d*x))-_
+     2*b*d*log(a+b*x)/(b*c-a*d)^3+2*b*d*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  630
+
+--S  631 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  631
+
+--S  632 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  632
+
+--S  633 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  633
+
+)clear all
+
+--S  634 of 1092
+t0:=1/(x*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 5          2     2     4     2 2               2 2  3
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  2    2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  634
+
+--S  635 of 1092
+r0:=b^2/(a*(b*c-a*d)^2*(a+b*x))+d^2/(c*(b*c-a*d)^2*(c+d*x))+_
+     log(x)/(a^2*c^2)-b^2*(b*c-3*a*d)*log(a+b*x)/(a^2*(b*c-a*d)^3)-_
+     d^2*(3*b*c-a*d)*log(c+d*x)/(c^2*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R               3   4     2 2   3  2       4 4     3     3     2 2 2 2      4   3
+--R           (- a b d  + 3a b c d )x  + (- a d  + 2a b c d  + 3a b c d )x - a c d
+--R         + 
+--R             3   2 2
+--R           3a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  3 2 2    4 3   2        2 2 2 2       3 3     4 4       2 2 3
+--R           (- 3a b c d  + b c d)x  + (- 3a b c d  - 2a b c d + b c )x - 3a b c d
+--R         + 
+--R              3 4
+--R           a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3   4     2 2   3       3 2 2    4 3   2
+--R           (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R         + 
+--R             4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R           (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(x)
+--R     + 
+--R         3     3      3 3       4   3    3   2 2    2 2 3       3 4
+--R       (a b c d  - a b c d)x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         5   2 4     4 2 3 3     3 3 4 2    2 4 5   2
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         6 2 4     5   3 3     3 3 5     2 4 6      6 3 3     5   4 2     4 2 5
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R          3 3 6
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E  635
+
+--S  636 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               3   4     2 2   3  2       4 4     3     3     2 2 2 2      4   3
+--R           (- a b d  + 3a b c d )x  + (- a d  + 2a b c d  + 3a b c d )x - a c d
+--R         + 
+--R             3   2 2
+--R           3a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                  3 2 2    4 3   2        2 2 2 2       3 3     4 4       2 2 3
+--R           (- 3a b c d  + b c d)x  + (- 3a b c d  - 2a b c d + b c )x - 3a b c d
+--R         + 
+--R              3 4
+--R           a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3   4     2 2   3       3 2 2    4 3   2
+--R           (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R         + 
+--R             4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R           (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R         + 
+--R                3 4
+--R           - a b c
+--R      *
+--R         log(x)
+--R     + 
+--R         3     3      3 3       4   3    3   2 2    2 2 3       3 4
+--R       (a b c d  - a b c d)x + a c d  - a b c d  + a b c d - a b c
+--R  /
+--R         5   2 4     4 2 3 3     3 3 4 2    2 4 5   2
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         6 2 4     5   3 3     3 3 5     2 4 6      6 3 3     5   4 2     4 2 5
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R          3 3 6
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  636
+
+--S  637 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  637
+
+--S  638 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  638
+
+)clear all
+
+--S  639 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 6          2     2     5     2 2               2 2  4
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  3    2 2 2
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  639
+
+--S  640 of 1092
+r0:=(-1)/(a^2*c^2*x)-b^3/(a^2*(b*c-a*d)^2*(a+b*x))-_
+     d^3/(c^2*(b*c-a*d)^2*(c+d*x))-2*(b*c+a*d)*log(x)/(a^3*c^3)+_
+     2*b^3*(b*c-2*a*d)*log(a+b*x)/(a^3*(b*c-a*d)^3)+_
+     2*d^3*(2*b*c-a*d)*log(c+d*x)/(c^3*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R              4   5     3 2   4  3      5 5     4     4     3 2 2 3  2
+--R           (2a b d  - 4a b c d )x  + (2a d  - 2a b c d  - 4a b c d )x
+--R         + 
+--R              5   4     4   2 3
+--R           (2a c d  - 4a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 2     5 4   3      2 3 3 2       4 4      5 5  2
+--R           (4a b c d  - 2b c d)x  + (4a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R              2 3 4        4 5
+--R           (4a b c d - 2a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4   5     3 2   4       4 3 2     5 4   3
+--R           (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d)x
+--R         + 
+--R                5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5  2
+--R           (- 2a d  + 2a b c d  + 4a b c d  - 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R                5   4     4   2 3     2 3 4        4 5
+--R           (- 2a c d  + 4a b c d  - 4a b c d + 2a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4     4     3 2 2 3     2 3 3 2       4 4   2
+--R       (- 2a b c d  + 4a b c d  - 4a b c d  + 2a b c d)x
+--R     + 
+--R            5   4     4   2 3     2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  + 3a b c d  - 3a b c d + 2a b c )x - a c d  + 3a b c d
+--R     + 
+--R           3 2 4     2 3 5
+--R       - 3a b c d + a b c
+--R  /
+--R         6   3 4     5 2 4 3     4 3 5 2    3 4 6   3
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         7 3 4     6   4 3     4 3 6     3 4 7  2
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x
+--R     + 
+--R         7 4 3     6   5 2     5 2 6     4 3 7
+--R       (a c d  - 3a b c d  + 3a b c d - a b c )x
+--R                                                    Type: Expression(Integer)
+--E  640
+
+--S  641 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4   5     3 2   4  3      5 5     4     4     3 2 2 3  2
+--R           (2a b d  - 4a b c d )x  + (2a d  - 2a b c d  - 4a b c d )x
+--R         + 
+--R              5   4     4   2 3
+--R           (2a c d  - 4a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 2     5 4   3      2 3 3 2       4 4      5 5  2
+--R           (4a b c d  - 2b c d)x  + (4a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R              2 3 4        4 5
+--R           (4a b c d - 2a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                4   5     3 2   4       4 3 2     5 4   3
+--R           (- 2a b d  + 4a b c d  - 4a b c d  + 2b c d)x
+--R         + 
+--R                5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5  2
+--R           (- 2a d  + 2a b c d  + 4a b c d  - 4a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R                5   4     4   2 3     2 3 4        4 5
+--R           (- 2a c d  + 4a b c d  - 4a b c d + 2a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4     4     3 2 2 3     2 3 3 2       4 4   2
+--R       (- 2a b c d  + 4a b c d  - 4a b c d  + 2a b c d)x
+--R     + 
+--R            5   4     4   2 3     2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  + 3a b c d  - 3a b c d + 2a b c )x - a c d  + 3a b c d
+--R     + 
+--R           3 2 4     2 3 5
+--R       - 3a b c d + a b c
+--R  /
+--R         6   3 4     5 2 4 3     4 3 5 2    3 4 6   3
+--R       (a b c d  - 3a b c d  + 3a b c d  - a b c d)x
+--R     + 
+--R         7 3 4     6   4 3     4 3 6     3 4 7  2
+--R       (a c d  - 2a b c d  + 2a b c d - a b c )x
+--R     + 
+--R         7 4 3     6   5 2     5 2 6     4 3 7
+--R       (a c d  - 3a b c d  + 3a b c d - a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  641
+
+--S  642 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  642
+
+--S  643 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  643
+
+)clear all
+
+--S  644 of 1092
+t0:=1/(x^3*(a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 7          2     2     6     2 2               2 2  5
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2  4    2 2 3
+--R       (2a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  644
+
+--S  645 of 1092
+r0:=(-1/2)/(a^2*c^2*x^2)+2*(b*c+a*d)/(a^3*c^3*x)+_
+     b^4/(a^3*(b*c-a*d)^2*(a+b*x))+d^4/(c^3*(b*c-a*d)^2*(c+d*x))+_
+     (3*b^2*c^2+4*a*b*c*d+3*a^2*d^2)*log(x)/(a^4*c^4)-b^4*(3*b*c-5*a*d)*_
+     log(a+b*x)/(a^4*(b*c-a*d)^3)-d^4*(5*b*c-3*a*d)*_
+     log(c+d*x)/(c^4*(b*c-a*d)^3)
+--R 
+--R
+--R   (2)
+--R                5   6      4 2   5  4        6 6     5     5      4 2 2 4  3
+--R           (- 6a b d  + 10a b c d )x  + (- 6a d  + 4a b c d  + 10a b c d )x
+--R         + 
+--R                6   5      5   2 4  2
+--R           (- 6a c d  + 10a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 2     6 5   4         2 4 4 2       5 5      6 6  3
+--R           (- 10a b c d  + 6b c d)x  + (- 10a b c d  - 4a b c d + 6b c )x
+--R         + 
+--R                 2 4 5        5 6  2
+--R           (- 10a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              5   6      4 2   5        5 4 2     6 5   4
+--R           (6a b d  - 10a b c d  + 10a b c d  - 6b c d)x
+--R         + 
+--R              6 6     5     5      4 2 2 4      2 4 4 2       5 5      6 6  3
+--R           (6a d  - 4a b c d  - 10a b c d  + 10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              6   5      5   2 4      2 4 5        5 6  2
+--R           (6a c d  - 10a b c d  + 10a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          5     5      4 2 2 4      2 4 4 2       5 5   3
+--R       (6a b c d  - 10a b c d  + 10a b c d  - 6a b c d)x
+--R     + 
+--R          6   5     5   2 4     4 2 3 3     3 3 4 2     2 4 5        5 6  2
+--R       (6a c d  - 7a b c d  - 5a b c d  + 5a b c d  + 7a b c d - 6a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5      2 4 6      6 3 3     5   4 2
+--R       (3a c d  - 6a b c d  + 6a b c d - 3a b c )x - a c d  + 3a b c d
+--R     + 
+--R           4 2 5     3 3 6
+--R       - 3a b c d + a b c
+--R  /
+--R          7   4 4     6 2 5 3     5 3 6 2     4 4 7   4
+--R       (2a b c d  - 6a b c d  + 6a b c d  - 2a b c d)x
+--R     + 
+--R          8 4 4     7   5 3     5 3 7      4 4 8  3
+--R       (2a c d  - 4a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R          8 5 3     7   6 2     6 2 7      5 3 8  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                                    Type: Expression(Integer)
+--E  645
+
+--S  646 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5   6      4 2   5  4        6 6     5     5      4 2 2 4  3
+--R           (- 6a b d  + 10a b c d )x  + (- 6a d  + 4a b c d  + 10a b c d )x
+--R         + 
+--R                6   5      5   2 4  2
+--R           (- 6a c d  + 10a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 2     6 5   4         2 4 4 2       5 5      6 6  3
+--R           (- 10a b c d  + 6b c d)x  + (- 10a b c d  - 4a b c d + 6b c )x
+--R         + 
+--R                 2 4 5        5 6  2
+--R           (- 10a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              5   6      4 2   5        5 4 2     6 5   4
+--R           (6a b d  - 10a b c d  + 10a b c d  - 6b c d)x
+--R         + 
+--R              6 6     5     5      4 2 2 4      2 4 4 2       5 5      6 6  3
+--R           (6a d  - 4a b c d  - 10a b c d  + 10a b c d  + 4a b c d - 6b c )x
+--R         + 
+--R              6   5      5   2 4      2 4 5        5 6  2
+--R           (6a c d  - 10a b c d  + 10a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          5     5      4 2 2 4      2 4 4 2       5 5   3
+--R       (6a b c d  - 10a b c d  + 10a b c d  - 6a b c d)x
+--R     + 
+--R          6   5     5   2 4     4 2 3 3     3 3 4 2     2 4 5        5 6  2
+--R       (6a c d  - 7a b c d  - 5a b c d  + 5a b c d  + 7a b c d - 6a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5      2 4 6      6 3 3     5   4 2
+--R       (3a c d  - 6a b c d  + 6a b c d - 3a b c )x - a c d  + 3a b c d
+--R     + 
+--R           4 2 5     3 3 6
+--R       - 3a b c d + a b c
+--R  /
+--R          7   4 4     6 2 5 3     5 3 6 2     4 4 7   4
+--R       (2a b c d  - 6a b c d  + 6a b c d  - 2a b c d)x
+--R     + 
+--R          8 4 4     7   5 3     5 3 7      4 4 8  3
+--R       (2a c d  - 4a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R          8 5 3     7   6 2     6 2 7      5 3 8  2
+--R       (2a c d  - 6a b c d  + 6a b c d - 2a b c )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  646
+
+--S  647 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  647
+
+--S  648 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  648
+
+)clear all
+
+--S  649 of 1092
+t0:=x^7/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      7
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  649
+
+--S  650 of 1092
+r0:=3*(2*b^2*c^2+2*a*b*c*d+a^2*d^2)*x/(b^4*d^5)-1/2*(3*b*c+2*a*d)*x^2/_
+     (b^3*d^4)+1/3*x^3/(b^2*d^3)+a^7/(b^5*(b*c-a*d)^3*(a+b*x))+1/2*c^7/_
+     (d^6*(b*c-a*d)^2*(c+d*x)^2)-c^6*(5*b*c-7*a*d)/(d^6*(b*c-a*d)^3*_
+     (c+d*x))+a^6*(7*b*c-4*a*d)*log(a+b*x)/(b^5*(b*c-a*d)^4)-_
+     c^5*(10*b^2*c^2-28*a*b*c*d+21*a^2*d^2)*log(c+d*x)/(d^6*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                  2 6 5 4         7 6 3      8 7 2  3
+--R           (- 126a b c d  + 168a b c d  - 60b c d )x
+--R         + 
+--R                  3 5 5 4      2 6 6 3         7 7 2       8 8   2
+--R           (- 126a b c d  - 84a b c d  + 276a b c d  - 120b c d)x
+--R         + 
+--R                  3 5 6 3       2 6 7 2        7 8       8 9         3 5 7 2
+--R           (- 252a b c d  + 210a b c d  + 48a b c d - 60b c )x - 126a b c d
+--R         + 
+--R               2 6 8         7 9
+--R           168a b c d - 60a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 7   9      6 2   8  3         8 9     7     8      6 2 2 7  2
+--R           (- 24a b d  + 42a b c d )x  + (- 24a d  - 6a b c d  + 84a b c d )x
+--R         + 
+--R                 8   8      7   2 7      6 2 3 6        8 2 7      7   3 6
+--R           (- 48a c d  + 60a b c d  + 42a b c d )x - 24a c d  + 42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 4 9     3 5   8      2 6 2 7       7 3 6     8 4 5  6
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R                 5 3 9      4 4   8     3 5 2 7      2 6 3 6        7 4 5
+--R             - 4a b d  + 11a b c d  - 4a b c d  - 14a b c d  + 16a b c d
+--R           + 
+--R                 8 5 4
+--R             - 5b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              6 2 9      5 3   8      4 4 2 7      3 5 3 6      2 6 4 5
+--R           12a b d  - 29a b c d  + 16a b c d  - 14a b c d  + 56a b c d
+--R         + 
+--R                  7 5 4      8 6 3
+--R           - 61a b c d  + 20b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7     4 4 3 6      3 5 4 5
+--R           18a b d  - 12a b c d  - 46a b c d  + 7a b c d  + 42a b c d
+--R         + 
+--R              2 6 5 4         7 6 3      8 7 2
+--R           94a b c d  - 166a b c d  + 63b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 9      7     8      6 2 2 7      5 3 3 6       3 5 5 4
+--R           - 6a d  + 42a b c d  - 60a b c d  - 21a b c d  + 150a b c d
+--R         + 
+--R                 2 6 6 3        7 7 2     8 8
+--R           - 138a b c d  + 27a b c d  + 6b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   8      7   2 7      6 2 3 6      3 5 6 3      2 6 7 2
+--R           - 12a c d  + 30a b c d  - 36a b c d  + 48a b c d  - 75a b c d
+--R         + 
+--R                7 8       8 9
+--R           72a b c d - 27b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 7     7   3 6      3 5 7 2      2 6 8         7 9
+--R       - 6a c d  + 6a b c d  - 39a b c d  + 66a b c d - 27a b c
+--R  /
+--R          4 6 12      3 7   11      2 8 2 10        9 3 9     10 4 8  3
+--R       (6a b d   - 24a b c d   + 36a b c d   - 24a b c d  + 6b  c d )x
+--R     + 
+--R             5 5 12      4 6   11      3 7 2 10      2 8 3 9        9 4 8
+--R           6a b d   - 12a b c d   - 12a b c d   + 48a b c d  - 42a b c d
+--R         + 
+--R              10 5 7
+--R           12b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 5   11      4 6 2 10      3 7 3 9      2 8 4 8        9 5 7
+--R           12a b c d   - 42a b c d   + 48a b c d  - 12a b c d  - 12a b c d
+--R         + 
+--R             10 6 6
+--R           6b  c d
+--R      *
+--R         x
+--R     + 
+--R         5 5 2 10      4 6 3 9      3 7 4 8      2 8 5 7       9 6 6
+--R       6a b c d   - 24a b c d  + 36a b c d  - 24a b c d  + 6a b c d
+--R                                                    Type: Expression(Integer)
+--E  650
+
+--S  651 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 6 5 4         7 6 3      8 7 2  3
+--R           (- 126a b c d  + 168a b c d  - 60b c d )x
+--R         + 
+--R                  3 5 5 4      2 6 6 3         7 7 2       8 8   2
+--R           (- 126a b c d  - 84a b c d  + 276a b c d  - 120b c d)x
+--R         + 
+--R                  3 5 6 3       2 6 7 2        7 8       8 9         3 5 7 2
+--R           (- 252a b c d  + 210a b c d  + 48a b c d - 60b c )x - 126a b c d
+--R         + 
+--R               2 6 8         7 9
+--R           168a b c d - 60a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 7   9      6 2   8  3         8 9     7     8      6 2 2 7  2
+--R           (- 24a b d  + 42a b c d )x  + (- 24a d  - 6a b c d  + 84a b c d )x
+--R         + 
+--R                 8   8      7   2 7      6 2 3 6        8 2 7      7   3 6
+--R           (- 48a c d  + 60a b c d  + 42a b c d )x - 24a c d  + 42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 4 9     3 5   8      2 6 2 7       7 3 6     8 4 5  6
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R                 5 3 9      4 4   8     3 5 2 7      2 6 3 6        7 4 5
+--R             - 4a b d  + 11a b c d  - 4a b c d  - 14a b c d  + 16a b c d
+--R           + 
+--R                 8 5 4
+--R             - 5b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              6 2 9      5 3   8      4 4 2 7      3 5 3 6      2 6 4 5
+--R           12a b d  - 29a b c d  + 16a b c d  - 14a b c d  + 56a b c d
+--R         + 
+--R                  7 5 4      8 6 3
+--R           - 61a b c d  + 20b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7   9      6 2   8      5 3 2 7     4 4 3 6      3 5 4 5
+--R           18a b d  - 12a b c d  - 46a b c d  + 7a b c d  + 42a b c d
+--R         + 
+--R              2 6 5 4         7 6 3      8 7 2
+--R           94a b c d  - 166a b c d  + 63b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 9      7     8      6 2 2 7      5 3 3 6       3 5 5 4
+--R           - 6a d  + 42a b c d  - 60a b c d  - 21a b c d  + 150a b c d
+--R         + 
+--R                 2 6 6 3        7 7 2     8 8
+--R           - 138a b c d  + 27a b c d  + 6b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   8      7   2 7      6 2 3 6      3 5 6 3      2 6 7 2
+--R           - 12a c d  + 30a b c d  - 36a b c d  + 48a b c d  - 75a b c d
+--R         + 
+--R                7 8       8 9
+--R           72a b c d - 27b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 7     7   3 6      3 5 7 2      2 6 8         7 9
+--R       - 6a c d  + 6a b c d  - 39a b c d  + 66a b c d - 27a b c
+--R  /
+--R          4 6 12      3 7   11      2 8 2 10        9 3 9     10 4 8  3
+--R       (6a b d   - 24a b c d   + 36a b c d   - 24a b c d  + 6b  c d )x
+--R     + 
+--R             5 5 12      4 6   11      3 7 2 10      2 8 3 9        9 4 8
+--R           6a b d   - 12a b c d   - 12a b c d   + 48a b c d  - 42a b c d
+--R         + 
+--R              10 5 7
+--R           12b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              5 5   11      4 6 2 10      3 7 3 9      2 8 4 8        9 5 7
+--R           12a b c d   - 42a b c d   + 48a b c d  - 12a b c d  - 12a b c d
+--R         + 
+--R             10 6 6
+--R           6b  c d
+--R      *
+--R         x
+--R     + 
+--R         5 5 2 10      4 6 3 9      3 7 4 8      2 8 5 7       9 6 6
+--R       6a b c d   - 24a b c d  + 36a b c d  - 24a b c d  + 6a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  651
+
+--S  652 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  652
+
+--S  653 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  653
+
+)clear all
+
+--S  654 of 1092
+t0:=x^6/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  654
+
+--S  655 of 1092
+r0:=-(3*b*c+2*a*d)*x/(b^3*d^4)+1/2*x^2/(b^2*d^3)-a^6/(b^4*(b*c-a*d)^3*_
+     (a+b*x))-1/2*c^6/(d^5*(b*c-a*d)^2*(c+d*x)^2)+2*c^5*(2*b*c-3*a*d)/_
+     (d^5*(b*c-a*d)^3*(c+d*x))-3*a^5*(2*b*c-a*d)*log(a+b*x)/_
+     (b^4*(b*c-a*d)^4)+3*c^4*(2*b^2*c^2-6*a*b*c*d+5*a^2*d^2)*_
+     log(c+d*x)/(d^5*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R               2 5 4 4        6 5 3      7 6 2  3
+--R           (30a b c d  - 36a b c d  + 12b c d )x
+--R         + 
+--R               3 4 4 4      2 5 5 3        6 6 2      7 7   2
+--R           (30a b c d  + 24a b c d  - 60a b c d  + 24b c d)x
+--R         + 
+--R               3 4 5 3      2 5 6 2        6 7       7 8        3 4 6 2
+--R           (60a b c d  - 42a b c d  - 12a b c d + 12b c )x + 30a b c d
+--R         + 
+--R                2 5 7         6 8
+--R           - 36a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              6   8      5 2   7  3      7 8      5 2 2 6  2
+--R           (6a b d  - 12a b c d )x  + (6a d  - 24a b c d )x
+--R         + 
+--R               7   7      6   2 6      5 2 3 5       7 2 6      6   3 5
+--R           (12a c d  - 18a b c d  - 12a b c d )x + 6a c d  - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 8     3 4   7     2 5 2 6       6 3 5    7 4 4  5
+--R       (a b d  - 4a b c d  + 6a b c d  - 4a b c d  + b c d )x
+--R     + 
+--R            5 2 8     4 3   7     3 4 2 6      2 5 3 5        6 4 4     7 5 3  4
+--R       (- 3a b d  + 8a b c d  - 2a b c d  - 12a b c d  + 13a b c d  - 4b c d )x
+--R     + 
+--R               6   8     5 2   7      4 3 2 6      3 4 3 5      2 5 4 4
+--R           - 4a b d  + 4a b c d  + 13a b c d  - 12a b c d  - 22a b c d
+--R         + 
+--R                6 5 3      7 6 2
+--R           32a b c d  - 11b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 8      6     7      5 2 2 6     4 3 3 5      3 4 4 4      2 5 5 3
+--R           2a d  - 10a b c d  + 17a b c d  + 6a b c d  - 34a b c d  + 28a b c d
+--R         + 
+--R                  6 6 2     7 7
+--R           - 11a b c d  + 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7   7     6   2 6      5 2 3 5     3 4 5 3      2 5 6 2        6 7
+--R           4a c d  - 8a b c d  + 10a b c d  - 8a b c d  + 11a b c d  - 16a b c d
+--R         + 
+--R             7 8
+--R           7b c
+--R      *
+--R         x
+--R     + 
+--R         7 2 6     6   3 5      3 4 6 2      2 5 7        6 8
+--R       2a c d  - 2a b c d  + 11a b c d  - 18a b c d + 7a b c
+--R  /
+--R          4 5 11     3 6   10      2 7 2 9       8 3 8     9 4 7  3
+--R       (2a b d   - 8a b c d   + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 4 11     4 5   10     3 6 2 9      2 7 3 8        8 4 7     9 5 6  2
+--R       (2a b d   - 4a b c d   - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 4   10      4 5 2 9      3 6 3 8     2 7 4 7       8 5 6     9 6 5
+--R       (4a b c d   - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 4 2 9     4 5 3 8      3 6 4 7     2 7 5 6       8 6 5
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  655
+
+--S  656 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 5 4 4        6 5 3      7 6 2  3
+--R           (30a b c d  - 36a b c d  + 12b c d )x
+--R         + 
+--R               3 4 4 4      2 5 5 3        6 6 2      7 7   2
+--R           (30a b c d  + 24a b c d  - 60a b c d  + 24b c d)x
+--R         + 
+--R               3 4 5 3      2 5 6 2        6 7       7 8        3 4 6 2
+--R           (60a b c d  - 42a b c d  - 12a b c d + 12b c )x + 30a b c d
+--R         + 
+--R                2 5 7         6 8
+--R           - 36a b c d + 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              6   8      5 2   7  3      7 8      5 2 2 6  2
+--R           (6a b d  - 12a b c d )x  + (6a d  - 24a b c d )x
+--R         + 
+--R               7   7      6   2 6      5 2 3 5       7 2 6      6   3 5
+--R           (12a c d  - 18a b c d  - 12a b c d )x + 6a c d  - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         4 3 8     3 4   7     2 5 2 6       6 3 5    7 4 4  5
+--R       (a b d  - 4a b c d  + 6a b c d  - 4a b c d  + b c d )x
+--R     + 
+--R            5 2 8     4 3   7     3 4 2 6      2 5 3 5        6 4 4     7 5 3  4
+--R       (- 3a b d  + 8a b c d  - 2a b c d  - 12a b c d  + 13a b c d  - 4b c d )x
+--R     + 
+--R               6   8     5 2   7      4 3 2 6      3 4 3 5      2 5 4 4
+--R           - 4a b d  + 4a b c d  + 13a b c d  - 12a b c d  - 22a b c d
+--R         + 
+--R                6 5 3      7 6 2
+--R           32a b c d  - 11b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 8      6     7      5 2 2 6     4 3 3 5      3 4 4 4      2 5 5 3
+--R           2a d  - 10a b c d  + 17a b c d  + 6a b c d  - 34a b c d  + 28a b c d
+--R         + 
+--R                  6 6 2     7 7
+--R           - 11a b c d  + 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7   7     6   2 6      5 2 3 5     3 4 5 3      2 5 6 2        6 7
+--R           4a c d  - 8a b c d  + 10a b c d  - 8a b c d  + 11a b c d  - 16a b c d
+--R         + 
+--R             7 8
+--R           7b c
+--R      *
+--R         x
+--R     + 
+--R         7 2 6     6   3 5      3 4 6 2      2 5 7        6 8
+--R       2a c d  - 2a b c d  + 11a b c d  - 18a b c d + 7a b c
+--R  /
+--R          4 5 11     3 6   10      2 7 2 9       8 3 8     9 4 7  3
+--R       (2a b d   - 8a b c d   + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 4 11     4 5   10     3 6 2 9      2 7 3 8        8 4 7     9 5 6  2
+--R       (2a b d   - 4a b c d   - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 4   10      4 5 2 9      3 6 3 8     2 7 4 7       8 5 6     9 6 5
+--R       (4a b c d   - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 4 2 9     4 5 3 8      3 6 4 7     2 7 5 6       8 6 5
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  656
+
+--S  657 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  657
+
+--S  658 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  658
+
+)clear all
+
+--S  659 of 1092
+t0:=x^5/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  659
+
+--S  660 of 1092
+r0:=x/(b^2*d^3)+a^5/(b^3*(b*c-a*d)^3*(a+b*x))+1/2*c^5/(d^4*(b*c-a*d)^2*_
+     (c+d*x)^2)-c^4*(3*b*c-5*a*d)/(d^4*(b*c-a*d)^3*(c+d*x))+_
+     a^4*(5*b*c-2*a*d)*log(a+b*x)/(b^3*(b*c-a*d)^4)-c^3*_
+     (3*b^2*c^2-10*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                 2 4 3 4        5 4 3     6 5 2  3
+--R           (- 20a b c d  + 20a b c d  - 6b c d )x
+--R         + 
+--R                 3 3 3 4      2 4 4 3        5 5 2      6 6   2
+--R           (- 20a b c d  - 20a b c d  + 34a b c d  - 12b c d)x
+--R         + 
+--R                 3 3 4 3      2 4 5 2       5 6      6 7        3 3 5 2
+--R           (- 40a b c d  + 20a b c d  + 8a b c d - 6b c )x - 20a b c d
+--R         + 
+--R              2 4 6        5 7
+--R           20a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                5   7      4 2   6  3        6 7     5     6      4 2 2 5  2
+--R           (- 4a b d  + 10a b c d )x  + (- 4a d  + 2a b c d  + 20a b c d )x
+--R         + 
+--R                6   6      5   2 5      4 2 3 4       6 2 5      5   3 4
+--R           (- 8a c d  + 16a b c d  + 10a b c d )x - 4a c d  + 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 2 7     3 3   6      2 4 2 5       5 3 4     6 4 3  4
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   7     4 2   6     3 3 2 5      2 4 3 4        5 4 3     6 5 2  3
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R               6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R           - 2a d  + 6a b c d  - 14a b c d  + 16a b c d  - 14a b c d
+--R         + 
+--R                5 5 2     6 6
+--R           12a b c d  - 4b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   6     5   2 5     4 2 3 4     3 3 4 3    2 4 5 2        5 6
+--R           - 4a c d  + 6a b c d  - 8a b c d  + 2a b c d  - a b c d  + 10a b c d
+--R         + 
+--R               6 7
+--R           - 5b c
+--R      *
+--R         x
+--R     + 
+--R           6 2 5     5   3 4     3 3 5 2      2 4 6        5 7
+--R       - 2a c d  + 2a b c d  - 9a b c d  + 14a b c d - 5a b c
+--R  /
+--R          4 4 10     3 5   9      2 6 2 8       7 3 7     8 4 6  3
+--R       (2a b d   - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 3 10     4 4   9     3 5 2 8      2 6 3 7        7 4 6     8 5 5  2
+--R       (2a b d   - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 3   9      4 4 2 8      3 5 3 7     2 6 4 6       7 5 5     8 6 4
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 3 2 8     4 4 3 7      3 5 4 6     2 6 5 5       7 6 4
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  660
+
+--S  661 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 4 3 4        5 4 3     6 5 2  3
+--R           (- 20a b c d  + 20a b c d  - 6b c d )x
+--R         + 
+--R                 3 3 3 4      2 4 4 3        5 5 2      6 6   2
+--R           (- 20a b c d  - 20a b c d  + 34a b c d  - 12b c d)x
+--R         + 
+--R                 3 3 4 3      2 4 5 2       5 6      6 7        3 3 5 2
+--R           (- 40a b c d  + 20a b c d  + 8a b c d - 6b c )x - 20a b c d
+--R         + 
+--R              2 4 6        5 7
+--R           20a b c d - 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                5   7      4 2   6  3        6 7     5     6      4 2 2 5  2
+--R           (- 4a b d  + 10a b c d )x  + (- 4a d  + 2a b c d  + 20a b c d )x
+--R         + 
+--R                6   6      5   2 5      4 2 3 4       6 2 5      5   3 4
+--R           (- 8a c d  + 16a b c d  + 10a b c d )x - 4a c d  + 10a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          4 2 7     3 3   6      2 4 2 5       5 3 4     6 4 3  4
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   7     4 2   6     3 3 2 5      2 4 3 4        5 4 3     6 5 2  3
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R               6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R           - 2a d  + 6a b c d  - 14a b c d  + 16a b c d  - 14a b c d
+--R         + 
+--R                5 5 2     6 6
+--R           12a b c d  - 4b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   6     5   2 5     4 2 3 4     3 3 4 3    2 4 5 2        5 6
+--R           - 4a c d  + 6a b c d  - 8a b c d  + 2a b c d  - a b c d  + 10a b c d
+--R         + 
+--R               6 7
+--R           - 5b c
+--R      *
+--R         x
+--R     + 
+--R           6 2 5     5   3 4     3 3 5 2      2 4 6        5 7
+--R       - 2a c d  + 2a b c d  - 9a b c d  + 14a b c d - 5a b c
+--R  /
+--R          4 4 10     3 5   9      2 6 2 8       7 3 7     8 4 6  3
+--R       (2a b d   - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 3 10     4 4   9     3 5 2 8      2 6 3 7        7 4 6     8 5 5  2
+--R       (2a b d   - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 3   9      4 4 2 8      3 5 3 7     2 6 4 6       7 5 5     8 6 4
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 3 2 8     4 4 3 7      3 5 4 6     2 6 5 5       7 6 4
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  661
+
+--S  662 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  662
+
+--S  663 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  663
+
+)clear all
+
+--S  664 of 1092
+t0:=x^4/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  664
+
+--S  665 of 1092
+r0:=-a^4/(b^2*(b*c-a*d)^3*(a+b*x))-1/2*c^4/(d^3*(b*c-a*d)^2*(c+d*x)^2)+_
+     2*c^3*(b*c-2*a*d)/(d^3*(b*c-a*d)^3*(c+d*x))-a^3*(4*b*c-a*d)*_
+     log(a+b*x)/(b^2*(b*c-a*d)^4)+c^2*(b^2*c^2-4*a*b*c*d+6*a^2*d^2)*_
+     log(c+d*x)/(d^3*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R               2 3 2 4       4 3 3     5 4 2  3
+--R           (12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R               3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (12a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R               3 2 3 3     2 3 4 2       4 5      5 6        3 2 4 2     2 3 5
+--R           (24a b c d  - 4a b c d  - 4a b c d + 2b c )x + 12a b c d  - 8a b c d
+--R         + 
+--R               4 6
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              4   6     3 2   5  3      5 6     4     5      3 2 2 4  2
+--R           (2a b d  - 8a b c d )x  + (2a d  - 4a b c d  - 16a b c d )x
+--R         + 
+--R              5   5      4   2 4     3 2 3 3       5 2 4     4   3 3
+--R           (4a c d  - 14a b c d  - 8a b c d )x + 2a c d  - 8a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 6     4     5     2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 2a b c d  + 8a b c d  - 12a b c d  + 4b c d)x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 4a b c d  + 8a b c d  - 5a b c d  - 6a b c d + 3b c )x
+--R     + 
+--R         5 2 4     4   3 3     3 2 4 2      2 3 5        4 6
+--R       2a c d  - 2a b c d  + 7a b c d  - 10a b c d + 3a b c
+--R  /
+--R          4 3 9     3 4   8      2 5 2 7       6 3 6     7 4 5  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 2 9     4 3   8     3 4 2 7      2 5 3 6        6 4 5     7 5 4  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 2   8      4 3 2 7      3 4 3 6     2 5 4 5       6 5 4     7 6 3
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 2 2 7     4 3 3 6      3 4 4 5     2 5 5 4       6 6 3
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  665
+
+--S  666 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 3 2 4       4 3 3     5 4 2  3
+--R           (12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R               3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (12a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R               3 2 3 3     2 3 4 2       4 5      5 6        3 2 4 2     2 3 5
+--R           (24a b c d  - 4a b c d  - 4a b c d + 2b c )x + 12a b c d  - 8a b c d
+--R         + 
+--R               4 6
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              4   6     3 2   5  3      5 6     4     5      3 2 2 4  2
+--R           (2a b d  - 8a b c d )x  + (2a d  - 4a b c d  - 16a b c d )x
+--R         + 
+--R              5   5      4   2 4     3 2 3 3       5 2 4     4   3 3
+--R           (4a c d  - 14a b c d  - 8a b c d )x + 2a c d  - 8a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 6     4     5     2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 2a b c d  + 8a b c d  - 12a b c d  + 4b c d)x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 4a b c d  + 8a b c d  - 5a b c d  - 6a b c d + 3b c )x
+--R     + 
+--R         5 2 4     4   3 3     3 2 4 2      2 3 5        4 6
+--R       2a c d  - 2a b c d  + 7a b c d  - 10a b c d + 3a b c
+--R  /
+--R          4 3 9     3 4   8      2 5 2 7       6 3 6     7 4 5  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 2 9     4 3   8     3 4 2 7      2 5 3 6        6 4 5     7 5 4  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5 2   8      4 3 2 7      3 4 3 6     2 5 4 5       6 5 4     7 6 3
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5 2 2 7     4 3 3 6      3 4 4 5     2 5 5 4       6 6 3
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  666
+
+--S  667 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  667
+
+--S  668 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  668
+
+)clear all
+
+--S  669 of 1092
+t0:=x^3/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  669
+
+--S  670 of 1092
+r0:=a^3/(b*(b*c-a*d)^3*(a+b*x))+1/2*c^3/(d^2*(b*c-a*d)^2*(c+d*x)^2)-_
+     c^2*(b*c-3*a*d)/(d^2*(b*c-a*d)^3*(c+d*x))+3*a^2*c*log(a+b*x)/_
+     (b*c-a*d)^4-3*a^2*c*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R               2 2   4 3        3     4      2 2 2 3  2
+--R           - 6a b c d x  + (- 6a b c d  - 12a b c d )x
+--R         + 
+--R                 3   2 3     2 2 3 2       3   3 2
+--R           (- 12a b c d  - 6a b c d )x - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             2 2   4 3      3     4      2 2 2 3  2       3   2 3     2 2 3 2
+--R           6a b c d x  + (6a b c d  + 12a b c d )x  + (12a b c d  + 6a b c d )x
+--R         + 
+--R             3   3 2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            4 5     3     4     2 2 2 3       3 3 2     4 4   2
+--R       (- 2a d  + 2a b c d  - 6a b c d  + 8a b c d  - 2b c d)x
+--R     + 
+--R            4   4     3   2 3     2 2 3 2       3 4     4 5       4 2 3
+--R       (- 4a c d  - 2a b c d  + 3a b c d  + 4a b c d - b c )x - 2a c d
+--R     + 
+--R           3   3 2     2 2 4       3 5
+--R       - 3a b c d  + 6a b c d - a b c
+--R  /
+--R          4 2 8     3 3   7      2 4 2 6       5 3 5     6 4 4  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4     6 5 3  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5     7      4 2 2 6      3 3 3 5     2 4 4 4       5 5 3     6 6 2
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5   2 6     4 2 3 5      3 3 4 4     2 4 5 3       5 6 2
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  670
+
+--S  671 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2   4 3        3     4      2 2 2 3  2
+--R           - 6a b c d x  + (- 6a b c d  - 12a b c d )x
+--R         + 
+--R                 3   2 3     2 2 3 2       3   3 2
+--R           (- 12a b c d  - 6a b c d )x - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R             2 2   4 3      3     4      2 2 2 3  2       3   2 3     2 2 3 2
+--R           6a b c d x  + (6a b c d  + 12a b c d )x  + (12a b c d  + 6a b c d )x
+--R         + 
+--R             3   3 2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            4 5     3     4     2 2 2 3       3 3 2     4 4   2
+--R       (- 2a d  + 2a b c d  - 6a b c d  + 8a b c d  - 2b c d)x
+--R     + 
+--R            4   4     3   2 3     2 2 3 2       3 4     4 5       4 2 3
+--R       (- 4a c d  - 2a b c d  + 3a b c d  + 4a b c d - b c )x - 2a c d
+--R     + 
+--R           3   3 2     2 2 4       3 5
+--R       - 3a b c d  + 6a b c d - a b c
+--R  /
+--R          4 2 8     3 3   7      2 4 2 6       5 3 5     6 4 4  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5   8     4 2   7     3 3 2 6      2 4 3 5        5 4 4     6 5 3  2
+--R       (2a b d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5     7      4 2 2 6      3 3 3 5     2 4 4 4       5 5 3     6 6 2
+--R       (4a b c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d )x
+--R     + 
+--R         5   2 6     4 2 3 5      3 3 4 4     2 4 5 3       5 6 2
+--R       2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  671
+
+--S  672 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  672
+
+--S  673 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  673
+
+)clear all
+
+--S  674 of 1092
+t0:=x^2/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  674
+
+--S  675 of 1092
+r0:=-a^2/((b*c-a*d)^3*(a+b*x))-1/2*c^2/(d*(b*c-a*d)^2*(c+d*x)^2)-_
+     2*a*c/((b*c-a*d)^3*(c+d*x))-a*(2*b*c+a*d)*log(a+b*x)/(b*c-a*d)^4+_
+     a*(2*b*c+a*d)*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R              2   4       2   3  3      3 4     2     3       2 2 2  2
+--R           (2a b d  + 4a b c d )x  + (2a d  + 8a b c d  + 8a b c d )x
+--R         + 
+--R              3   3      2   2 2       2 3        3 2 2     2   3
+--R           (4a c d  + 10a b c d  + 4a b c d)x + 2a c d  + 4a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2   4       2   3  3        3 4     2     3       2 2 2  2
+--R           (- 2a b d  - 4a b c d )x  + (- 2a d  - 8a b c d  - 8a b c d )x
+--R         + 
+--R                3   3      2   2 2       2 3        3 2 2     2   3
+--R           (- 4a c d  - 10a b c d  - 4a b c d)x - 2a c d  - 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 4     2     3       2 2 2  2
+--R       (2a d  + 2a b c d  - 4a b c d )x
+--R     + 
+--R          3   3     2   2 2       2 3     3 4       3 2 2     2   3       2 4
+--R       (8a c d  - 5a b c d  - 2a b c d - b c )x + 5a c d  - 4a b c d - a b c
+--R  /
+--R          4   7     3 2   6      2 3 2 5       4 3 4     5 4 3  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 7     4     6     3 2 2 5      2 3 3 4        4 4 3     5 5 2  2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5   6      4   2 5      3 2 3 4     2 3 4 3       4 5 2     5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d)x
+--R     + 
+--R         5 2 5     4   3 4      3 2 4 3     2 3 5 2       4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  675
+
+--S  676 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2   4       2   3  3      3 4     2     3       2 2 2  2
+--R           (2a b d  + 4a b c d )x  + (2a d  + 8a b c d  + 8a b c d )x
+--R         + 
+--R              3   3      2   2 2       2 3        3 2 2     2   3
+--R           (4a c d  + 10a b c d  + 4a b c d)x + 2a c d  + 4a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2   4       2   3  3        3 4     2     3       2 2 2  2
+--R           (- 2a b d  - 4a b c d )x  + (- 2a d  - 8a b c d  - 8a b c d )x
+--R         + 
+--R                3   3      2   2 2       2 3        3 2 2     2   3
+--R           (- 4a c d  - 10a b c d  - 4a b c d)x - 2a c d  - 4a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3 4     2     3       2 2 2  2
+--R       (2a d  + 2a b c d  - 4a b c d )x
+--R     + 
+--R          3   3     2   2 2       2 3     3 4       3 2 2     2   3       2 4
+--R       (8a c d  - 5a b c d  - 2a b c d - b c )x + 5a c d  - 4a b c d - a b c
+--R  /
+--R          4   7     3 2   6      2 3 2 5       4 3 4     5 4 3  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 7     4     6     3 2 2 5      2 3 3 4        4 4 3     5 5 2  2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d )x
+--R     + 
+--R          5   6      4   2 5      3 2 3 4     2 3 4 3       4 5 2     5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d  + 2b c d)x
+--R     + 
+--R         5 2 5     4   3 4      3 2 4 3     2 3 5 2       4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  676
+
+--S  677 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  677
+
+--S  678 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  678
+
+)clear all
+
+--S  679 of 1092
+t0:=x/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  679
+
+--S  680 of 1092
+r0:=a*b/((b*c-a*d)^3*(a+b*x))+1/2*c/((b*c-a*d)^2*(c+d*x)^2)+(b*c+a*d)/_
+     ((b*c-a*d)^3*(c+d*x))+b*(b*c+2*a*d)*log(a+b*x)/(b*c-a*d)^4-_
+     b*(b*c+2*a*d)*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R                  2 3     3   2  3        2   3        2   2     3 2   2
+--R           (- 4a b d  - 2b c d )x  + (- 4a b d  - 10a b c d  - 4b c d)x
+--R         + 
+--R                2     2       2 2      3 3       2   2        2 3
+--R           (- 8a b c d  - 8a b c d - 2b c )x - 4a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 3     3   2  3      2   3        2   2     3 2   2
+--R           (4a b d  + 2b c d )x  + (4a b d  + 10a b c d  + 4b c d)x
+--R         + 
+--R              2     2       2 2      3 3       2   2        2 3
+--R           (8a b c d  + 8a b c d + 2b c )x + 4a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2   3       2   2     3 2   2
+--R       (- 4a b d  + 2a b c d  + 2b c d)x
+--R     + 
+--R            3 3     2     2       2 2      3 3      3   2     2   2        2 3
+--R       (- 2a d  - 5a b c d  + 4a b c d + 3b c )x - a c d  - 4a b c d + 5a b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  680
+
+--S  681 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 3     3   2  3        2   3        2   2     3 2   2
+--R           (- 4a b d  - 2b c d )x  + (- 4a b d  - 10a b c d  - 4b c d)x
+--R         + 
+--R                2     2       2 2      3 3       2   2        2 3
+--R           (- 8a b c d  - 8a b c d - 2b c )x - 4a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 3     3   2  3      2   3        2   2     3 2   2
+--R           (4a b d  + 2b c d )x  + (4a b d  + 10a b c d  + 4b c d)x
+--R         + 
+--R              2     2       2 2      3 3       2   2        2 3
+--R           (8a b c d  + 8a b c d + 2b c )x + 4a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2   3       2   2     3 2   2
+--R       (- 4a b d  + 2a b c d  + 2b c d)x
+--R     + 
+--R            3 3     2     2       2 2      3 3      3   2     2   2        2 3
+--R       (- 2a d  - 5a b c d  + 4a b c d + 3b c )x - a c d  - 4a b c d + 5a b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  681
+
+--S  682 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  682
+
+--S  683 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  683
+
+)clear all
+
+--S  684 of 1092
+t0:=1/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  684
+
+--S  685 of 1092
+r0:=-b^2/((b*c-a*d)^3*(a+b*x))-1/2*d/((b*c-a*d)^2*(c+d*x)^2)-_
+     2*b*d/((b*c-a*d)^3*(c+d*x))-3*b^2*d*log(a+b*x)/(b*c-a*d)^4+_
+     3*b^2*d*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  685
+
+--S  686 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  686
+
+--S  687 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  687
+
+--S  688 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  688
+
+)clear all
+
+--S  689 of 1092
+t0:=1/(x*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 6          3     2   2  5     2 3           2     2 2   4
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  3      2 2          3  2    2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  689
+
+--S  690 of 1092
+r0:=b^3/(a*(b*c-a*d)^3*(a+b*x))+1/2*d^2/(c*(b*c-a*d)^2*(c+d*x)^2)+_
+     d^2*(3*b*c-a*d)/(c^2*(b*c-a*d)^3*(c+d*x))+log(x)/(a^2*c^3)-_
+     b^3*(b*c-4*a*d)*log(a+b*x)/(a^2*(b*c-a*d)^4)-d^2*(6*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^3*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                4   6     3 2   5      2 3 2 4  3
+--R           (- 2a b d  + 8a b c d  - 12a b c d )x
+--R         + 
+--R                5 6     4     5     3 2 2 4      2 3 3 3  2
+--R           (- 2a d  + 4a b c d  + 4a b c d  - 24a b c d )x
+--R         + 
+--R                5   5      4   2 4      3 2 3 3      2 3 4 2       5 2 4
+--R           (- 4a c d  + 14a b c d  - 16a b c d  - 12a b c d )x - 2a c d
+--R         + 
+--R             4   3 3      3 2 4 2
+--R           8a b c d  - 12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 3     5 4 2  3      2 3 3 3        4 4 2     5 5   2
+--R           (8a b c d  - 2b c d )x  + (8a b c d  + 14a b c d  - 4b c d)x
+--R         + 
+--R               2 3 4 2       4 5      5 6       2 3 5        4 6
+--R           (16a b c d  + 4a b c d - 2b c )x + 8a b c d - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R           (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R              5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R              5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R           (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R         + 
+--R             5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R           2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          4     5     3 2 2 4     2 3 3 3       4 4 2  2
+--R       (2a b c d  - 8a b c d  + 4a b c d  + 2a b c d )x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5        5 2 4
+--R       (2a c d  - 5a b c d  - 4a b c d  + 3a b c d  + 4a b c d)x + 3a c d
+--R     + 
+--R            4   3 3     3 2 4 2     2 3 5        4 6
+--R       - 10a b c d  + 7a b c d  - 2a b c d + 2a b c
+--R  /
+--R          6   3 6     5 2 4 5      4 3 5 4     3 4 6 3     2 5 7 2  3
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          7 3 6     6   4 5     5 2 5 4      4 3 6 3      3 4 7 2     2 5 8   2
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          7 4 5      6   5 4      5 2 6 3     4 3 7 2     3 4 8      2 5 9
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c )x
+--R     + 
+--R         7 5 4     6   6 3      5 2 7 2     4 3 8      3 4 9
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E  690
+
+--S  691 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                4   6     3 2   5      2 3 2 4  3
+--R           (- 2a b d  + 8a b c d  - 12a b c d )x
+--R         + 
+--R                5 6     4     5     3 2 2 4      2 3 3 3  2
+--R           (- 2a d  + 4a b c d  + 4a b c d  - 24a b c d )x
+--R         + 
+--R                5   5      4   2 4      3 2 3 3      2 3 4 2       5 2 4
+--R           (- 4a c d  + 14a b c d  - 16a b c d  - 12a b c d )x - 2a c d
+--R         + 
+--R             4   3 3      3 2 4 2
+--R           8a b c d  - 12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 3 3     5 4 2  3      2 3 3 3        4 4 2     5 5   2
+--R           (8a b c d  - 2b c d )x  + (8a b c d  + 14a b c d  - 4b c d)x
+--R         + 
+--R               2 3 4 2       4 5      5 6       2 3 5        4 6
+--R           (16a b c d  + 4a b c d - 2b c )x + 8a b c d - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R           (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R         + 
+--R              5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R           (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R         + 
+--R              5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R           (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R         + 
+--R             5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R           2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          4     5     3 2 2 4     2 3 3 3       4 4 2  2
+--R       (2a b c d  - 8a b c d  + 4a b c d  + 2a b c d )x
+--R     + 
+--R          5   5     4   2 4     3 2 3 3     2 3 4 2       4 5        5 2 4
+--R       (2a c d  - 5a b c d  - 4a b c d  + 3a b c d  + 4a b c d)x + 3a c d
+--R     + 
+--R            4   3 3     3 2 4 2     2 3 5        4 6
+--R       - 10a b c d  + 7a b c d  - 2a b c d + 2a b c
+--R  /
+--R          6   3 6     5 2 4 5      4 3 5 4     3 4 6 3     2 5 7 2  3
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          7 3 6     6   4 5     5 2 5 4      4 3 6 3      3 4 7 2     2 5 8   2
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          7 4 5      6   5 4      5 2 6 3     4 3 7 2     3 4 8      2 5 9
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c )x
+--R     + 
+--R         7 5 4     6   6 3      5 2 7 2     4 3 8      3 4 9
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  691
+
+--S  692 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  692
+
+--S  693 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  693
+
+)clear all
+
+--S  694 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 7          3     2   2  6     2 3           2     2 2   5
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  4      2 2          3  3    2 3 2
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  694
+
+--S  695 of 1092
+r0:=(-1)/(a^2*c^3*x)-b^4/(a^2*(b*c-a*d)^3*(a+b*x))-_
+     1/2*d^3/(c^2*(b*c-a*d)^2*(c+d*x)^2)-2*d^3*(2*b*c-a*d)/_
+     (c^3*(b*c-a*d)^3*(c+d*x))-(2*b*c+3*a*d)*log(x)/(a^3*c^4)+_
+     b^4*(2*b*c-5*a*d)*log(a+b*x)/(a^3*(b*c-a*d)^4)+_
+     d^3*(10*b^2*c^2-10*a*b*c*d+3*a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R              5   7      4 2   6      3 3 2 5  4
+--R           (6a b d  - 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 7     5     6      4 2 2 5      3 3 3 4  3
+--R           (6a d  - 8a b c d  - 20a b c d  + 40a b c d )x
+--R         + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3  2
+--R           (12a c d  - 34a b c d  + 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 2 5      5   3 4      4 2 4 3
+--R           (6a c d  - 20a b c d  + 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 3     6 5 2  4         2 4 4 3        5 5 2     6 6   3
+--R           (- 10a b c d  + 4b c d )x  + (- 10a b c d  - 16a b c d  + 8b c d)x
+--R         + 
+--R                 2 4 5 2       5 6      6 7  2         2 4 6        5 7
+--R           (- 20a b c d  - 2a b c d + 4b c )x  + (- 10a b c d + 4a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                5   7      4 2   6      3 3 2 5        5 4 3     6 5 2  4
+--R           (- 6a b d  + 20a b c d  - 20a b c d  + 10a b c d  - 4b c d )x
+--R         + 
+--R                   6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R               - 6a d  + 8a b c d  + 20a b c d  - 40a b c d  + 10a b c d
+--R             + 
+--R                    5 5 2     6 6
+--R               16a b c d  - 8b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R               - 12a c d  + 34a b c d  - 20a b c d  - 20a b c d  + 20a b c d
+--R             + 
+--R                   5 6      6 7
+--R               2a b c d - 4b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                6 2 5      5   3 4      4 2 4 3      2 4 6        5 7
+--R           (- 6a c d  + 20a b c d  - 20a b c d  + 10a b c d - 4a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            5     6      4 2 2 5      3 3 3 4      2 4 4 3       5 5 2  3
+--R       (- 6a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 4a b c d )x
+--R     + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R           - 6a c d  + 11a b c d  + 10a b c d  - 25a b c d  + 18a b c d
+--R         + 
+--R                 5 6
+--R           - 8a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            6 2 5      5   3 4      4 2 4 3     3 3 5 2     2 4 6        5 7
+--R       (- 9a c d  + 28a b c d  - 25a b c d  + 4a b c d  + 6a b c d - 4a b c )x
+--R     + 
+--R           6 3 4     5   4 3      4 2 5 2     3 3 6      2 4 7
+--R       - 2a c d  + 8a b c d  - 12a b c d  + 8a b c d - 2a b c
+--R  /
+--R          7   4 6     6 2 5 5      5 3 6 4     4 4 7 3     3 5 8 2  4
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          8 4 6     7   5 5     6 2 6 4      5 3 7 3      4 4 8 2     3 5 9   3
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          8 5 5      7   6 4      6 2 7 3     5 3 8 2     4 4 9      3 5 10  2
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c  )x
+--R     + 
+--R          8 6 4     7   7 3      6 2 8 2     5 3 9      4 4 10
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  695
+
+--S  696 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              5   7      4 2   6      3 3 2 5  4
+--R           (6a b d  - 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 7     5     6      4 2 2 5      3 3 3 4  3
+--R           (6a d  - 8a b c d  - 20a b c d  + 40a b c d )x
+--R         + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3  2
+--R           (12a c d  - 34a b c d  + 20a b c d  + 20a b c d )x
+--R         + 
+--R              6 2 5      5   3 4      4 2 4 3
+--R           (6a c d  - 20a b c d  + 20a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                   5 4 3     6 5 2  4         2 4 4 3        5 5 2     6 6   3
+--R           (- 10a b c d  + 4b c d )x  + (- 10a b c d  - 16a b c d  + 8b c d)x
+--R         + 
+--R                 2 4 5 2       5 6      6 7  2         2 4 6        5 7
+--R           (- 20a b c d  - 2a b c d + 4b c )x  + (- 10a b c d + 4a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                5   7      4 2   6      3 3 2 5        5 4 3     6 5 2  4
+--R           (- 6a b d  + 20a b c d  - 20a b c d  + 10a b c d  - 4b c d )x
+--R         + 
+--R                   6 7     5     6      4 2 2 5      3 3 3 4      2 4 4 3
+--R               - 6a d  + 8a b c d  + 20a b c d  - 40a b c d  + 10a b c d
+--R             + 
+--R                    5 5 2     6 6
+--R               16a b c d  - 8b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R               - 12a c d  + 34a b c d  - 20a b c d  - 20a b c d  + 20a b c d
+--R             + 
+--R                   5 6      6 7
+--R               2a b c d - 4b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                6 2 5      5   3 4      4 2 4 3      2 4 6        5 7
+--R           (- 6a c d  + 20a b c d  - 20a b c d  + 10a b c d - 4a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            5     6      4 2 2 5      3 3 3 4      2 4 4 3       5 5 2  3
+--R       (- 6a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 4a b c d )x
+--R     + 
+--R               6   6      5   2 5      4 2 3 4      3 3 4 3      2 4 5 2
+--R           - 6a c d  + 11a b c d  + 10a b c d  - 25a b c d  + 18a b c d
+--R         + 
+--R                 5 6
+--R           - 8a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            6 2 5      5   3 4      4 2 4 3     3 3 5 2     2 4 6        5 7
+--R       (- 9a c d  + 28a b c d  - 25a b c d  + 4a b c d  + 6a b c d - 4a b c )x
+--R     + 
+--R           6 3 4     5   4 3      4 2 5 2     3 3 6      2 4 7
+--R       - 2a c d  + 8a b c d  - 12a b c d  + 8a b c d - 2a b c
+--R  /
+--R          7   4 6     6 2 5 5      5 3 6 4     4 4 7 3     3 5 8 2  4
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          8 4 6     7   5 5     6 2 6 4      5 3 7 3      4 4 8 2     3 5 9   3
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c d)x
+--R     + 
+--R          8 5 5      7   6 4      6 2 7 3     5 3 8 2     4 4 9      3 5 10  2
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2a b c  )x
+--R     + 
+--R          8 6 4     7   7 3      6 2 8 2     5 3 9      4 4 10
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  696
+
+--S  697 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  697
+
+--S  698 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  698
+
+)clear all
+
+--S  699 of 1092
+t0:=1/(x^3*(a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 8          3     2   2  7     2 3           2     2 2   6
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  5      2 2          3  4    2 3 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  699
+
+--S  700 of 1092
+r0:=(-1/2)/(a^2*c^3*x^2)+(2*b*c+3*a*d)/(a^3*c^4*x)+b^5/(a^3*(b*c-a*d)^3*_
+     (a+b*x))+1/2*d^4/(c^3*(b*c-a*d)^2*(c+d*x)^2)+d^4*(5*b*c-3*a*d)/_
+     (c^4*(b*c-a*d)^3*(c+d*x))+3*(b^2*c^2+2*a*b*c*d+2*a^2*d^2)*log(x)/_
+     (a^4*c^5)-3*b^5*(b*c-2*a*d)*log(a+b*x)/(a^4*(b*c-a*d)^4)-_
+     3*d^4*(5*b^2*c^2-6*a*b*c*d+2*a^2*d^2)*log(c+d*x)/(c^5*(b*c-a*d)^4)
+--R 
+--R
+--R   (2)
+--R                 6   8      5 2   7      4 3 2 6  5
+--R           (- 12a b d  + 36a b c d  - 30a b c d )x
+--R         + 
+--R                 7 8      6     7      5 2 2 6      4 3 3 5  4
+--R           (- 12a d  + 12a b c d  + 42a b c d  - 60a b c d )x
+--R         + 
+--R                 7   7      6   2 6      5 2 3 5      4 3 4 4  3
+--R           (- 24a c d  + 60a b c d  - 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7 2 6      6   3 5      5 2 4 4  2
+--R           (- 12a c d  + 36a b c d  - 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 5 3     7 6 2  5       2 5 5 3        6 6 2      7 7   4
+--R           (12a b c d  - 6b c d )x  + (12a b c d  + 18a b c d  - 12b c d)x
+--R         + 
+--R               2 5 6 2     7 8  3       2 5 7        6 8  2
+--R           (24a b c d  - 6b c )x  + (12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6   8      5 2   7      4 3 2 6        6 5 3     7 6 2  5
+--R           (12a b d  - 36a b c d  + 30a b c d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                  7 8      6     7      5 2 2 6      4 3 3 5      2 5 5 3
+--R               12a d  - 12a b c d  - 42a b c d  + 60a b c d  - 12a b c d
+--R             + 
+--R                      6 6 2      7 7
+--R               - 18a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  7   7      6   2 6      5 2 3 5      4 3 4 4      2 5 6 2
+--R               24a c d  - 60a b c d  + 24a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 7 8
+--R               6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R               7 2 6      6   3 5      5 2 4 4      2 5 7        6 8  2
+--R           (12a c d  - 36a b c d  + 30a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           6     7      5 2 2 6      4 3 3 5      2 5 5 3       6 6 2  4
+--R       (12a b c d  - 36a b c d  + 30a b c d  - 12a b c d  + 6a b c d )x
+--R     + 
+--R              7   7      6   2 6      5 2 3 5      4 3 4 4     3 4 5 3
+--R           12a c d  - 18a b c d  - 24a b c d  + 45a b c d  - 6a b c d
+--R         + 
+--R                2 5 6 2        6 7
+--R           - 21a b c d  + 12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 6      6   3 5      5 2 4 4      4 3 5 3      3 4 6 2
+--R           18a c d  - 50a b c d  + 33a b c d  + 12a b c d  - 13a b c d
+--R         + 
+--R               2 5 7        6 8
+--R           - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7 3 5      6   4 4      5 2 5 3     4 3 6 2     3 4 7      2 5 8
+--R       (4a c d  - 13a b c d  + 12a b c d  + 2a b c d  - 8a b c d + 3a b c )x
+--R     + 
+--R          7 4 4     6   5 3     5 2 6 2     4 3 7     3 4 8
+--R       - a c d  + 4a b c d  - 6a b c d  + 4a b c d - a b c
+--R  /
+--R          8   5 6     7 2 6 5      6 3 7 4     5 4 8 3     4 5 9 2  5
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          9 5 6     8   6 5     7 2 7 4      6 3 8 3      5 4 9 2     4 5 10   4
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c  d)x
+--R     + 
+--R          9 6 5      8   7 4      7 2 8 3     6 3 9 2     5 4 10      4 5 11  3
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c  d + 2a b c  )x
+--R     + 
+--R          9 7 4     8   8 3      7 2 9 2     6 3 10      5 4 11  2
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c  d + 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  700
+
+--S  701 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 6   8      5 2   7      4 3 2 6  5
+--R           (- 12a b d  + 36a b c d  - 30a b c d )x
+--R         + 
+--R                 7 8      6     7      5 2 2 6      4 3 3 5  4
+--R           (- 12a d  + 12a b c d  + 42a b c d  - 60a b c d )x
+--R         + 
+--R                 7   7      6   2 6      5 2 3 5      4 3 4 4  3
+--R           (- 24a c d  + 60a b c d  - 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7 2 6      6   3 5      5 2 4 4  2
+--R           (- 12a c d  + 36a b c d  - 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 5 3     7 6 2  5       2 5 5 3        6 6 2      7 7   4
+--R           (12a b c d  - 6b c d )x  + (12a b c d  + 18a b c d  - 12b c d)x
+--R         + 
+--R               2 5 6 2     7 8  3       2 5 7        6 8  2
+--R           (24a b c d  - 6b c )x  + (12a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6   8      5 2   7      4 3 2 6        6 5 3     7 6 2  5
+--R           (12a b d  - 36a b c d  + 30a b c d  - 12a b c d  + 6b c d )x
+--R         + 
+--R                  7 8      6     7      5 2 2 6      4 3 3 5      2 5 5 3
+--R               12a d  - 12a b c d  - 42a b c d  + 60a b c d  - 12a b c d
+--R             + 
+--R                      6 6 2      7 7
+--R               - 18a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  7   7      6   2 6      5 2 3 5      4 3 4 4      2 5 6 2
+--R               24a c d  - 60a b c d  + 24a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 7 8
+--R               6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R               7 2 6      6   3 5      5 2 4 4      2 5 7        6 8  2
+--R           (12a c d  - 36a b c d  + 30a b c d  - 12a b c d + 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R           6     7      5 2 2 6      4 3 3 5      2 5 5 3       6 6 2  4
+--R       (12a b c d  - 36a b c d  + 30a b c d  - 12a b c d  + 6a b c d )x
+--R     + 
+--R              7   7      6   2 6      5 2 3 5      4 3 4 4     3 4 5 3
+--R           12a c d  - 18a b c d  - 24a b c d  + 45a b c d  - 6a b c d
+--R         + 
+--R                2 5 6 2        6 7
+--R           - 21a b c d  + 12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7 2 6      6   3 5      5 2 4 4      4 3 5 3      3 4 6 2
+--R           18a c d  - 50a b c d  + 33a b c d  + 12a b c d  - 13a b c d
+--R         + 
+--R               2 5 7        6 8
+--R           - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7 3 5      6   4 4      5 2 5 3     4 3 6 2     3 4 7      2 5 8
+--R       (4a c d  - 13a b c d  + 12a b c d  + 2a b c d  - 8a b c d + 3a b c )x
+--R     + 
+--R          7 4 4     6   5 3     5 2 6 2     4 3 7     3 4 8
+--R       - a c d  + 4a b c d  - 6a b c d  + 4a b c d - a b c
+--R  /
+--R          8   5 6     7 2 6 5      6 3 7 4     5 4 8 3     4 5 9 2  5
+--R       (2a b c d  - 8a b c d  + 12a b c d  - 8a b c d  + 2a b c d )x
+--R     + 
+--R          9 5 6     8   6 5     7 2 7 4      6 3 8 3      5 4 9 2     4 5 10   4
+--R       (2a c d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4a b c  d)x
+--R     + 
+--R          9 6 5      8   7 4      7 2 8 3     6 3 9 2     5 4 10      4 5 11  3
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c  d + 2a b c  )x
+--R     + 
+--R          9 7 4     8   8 3      7 2 9 2     6 3 10      5 4 11  2
+--R       (2a c d  - 8a b c d  + 12a b c d  - 8a b c  d + 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  701
+
+--S  702 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  702
+
+--S  703 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  703
+
+)clear all
+
+--S  704 of 1092
+t0:=x^2/((-1+x)^2*(1+x)^2)
+--R 
+--R
+--R              2
+--R             x
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  704
+
+--S  705 of 1092
+r0:=1/2*x/(1-x^2)-1/2*atanh(x)
+--R 
+--R
+--R            2
+--R        (- x  + 1)atanh(x) - x
+--R   (2)  ----------------------
+--R                  2
+--R                2x  - 2
+--R                                                    Type: Expression(Integer)
+--E  705
+
+--S  706 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R            2                    2
+--R        (- x  + 1)log(x + 1) + (x  - 1)log(x - 1) - 2x
+--R   (3)  ----------------------------------------------
+--R                              2
+--R                            4x  - 4
+--R                                         Type: Union(Expression(Integer),...)
+--E  706
+
+--S  707 of 1092
+m0:=a0-r0
+--R 
+--R
+--R        - log(x + 1) + log(x - 1) + 2atanh(x)
+--R   (4)  -------------------------------------
+--R                          4
+--R                                                    Type: Expression(Integer)
+--E  707
+
+--S  708 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  708
+
+)clear all
+
+--S  709 of 1092
+t0:=b^2*x^m/(b+a*x^2)^2
+--R 
+--R
+--R                 2 m
+--R                b x
+--R   (1)  -------------------
+--R         2 4         2    2
+--R        a x  + 2a b x  + b
+--R                                                    Type: Expression(Integer)
+--E  709
+
+--S  710 of 1092
+--r0:=1/2*b*x^(1+m)/(b+a*x^2)+1/2*(1-m)*x^(1+m)*_
+--     hypergeometric(1,1/2*(1+m),1/2*(3+m),-a*x^2/b)/(1+m)
+--E  710
+
+--S  711 of 1092
+--a0:=integrate(t0,x)
+--E  711
+
+--S  712 of 1092
+--m0:=a0-r0
+--E  712
+
+--S  713 of 1092
+--d0:=D(m0,x)
+--E  713
+
+)clear all
+
+--S  714 of 1092
+t0:=x^m/((1-x*sqrt(a)/sqrt(-b))^2*(1+x*sqrt(a)/sqrt(-b))^2)
+--R 
+--R
+--R                 2 m
+--R                b x
+--R   (1)  -------------------
+--R         2 4         2    2
+--R        a x  + 2a b x  + b
+--R                                                    Type: Expression(Integer)
+--E  714
+
+--S  715 of 1092
+--r0:=1/2*b*x^(1+m)/(b+a*x^2)+1/2*(1-m)*x^(1+m)*_
+--     hypergeometric(1,1/2*(1+m),1/2*(3+m),-a*x^2/b)/(1+m)
+--E  715
+
+--S  716 of 1092
+--a0:=integrate(t0,x)
+--E  716
+
+--S  717 of 1092
+--m0:=a0-r0
+--E  717
+
+--S  718 of 1092
+--d0:=D(m0,x)
+--E  718
+
+)clear all
+
+--S  719 of 1092
+t0:=x^3*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R           3 3       2 2     2       3
+--R          b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  719
+
+--S  720 of 1092
+r0:=(b*c-a*d)*(b^2*c^2-8*a*b*c*d+10*a^2*d^2)*x/b^6+_
+     3/2*d*(b*c-2*a*d)*(b*c-a*d)*x^2/b^5+d^2*(b*c-a*d)*x^3/b^4+_
+     1/4*d^3*x^4/b^3+1/2*a^3*(b*c-a*d)^3/(b^7*(a+b*x)^2)-_
+     3*a^2*(b*c-2*a*d)*(b*c-a*d)^2/(b^7*(a+b*x))-_
+     3*a*(b*c-a*d)*(b^2*c^2-5*a*b*c*d+5*a^2*d^2)*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R               4 2 3       3 3   2      2 4 2         5 3  2
+--R           (60a b d  - 120a b c d  + 72a b c d - 12a b c )x
+--R         + 
+--R                5   3       4 2   2       3 3 2       2 4 3        6 3
+--R           (120a b d  - 240a b c d  + 144a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 5     2      4 2 2       3 3 3
+--R           - 120a b c d  + 72a b c d - 12a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        6 3 6          5 3     6   2  5      2 4 3        5   2     6 2   4
+--R       b d x  + (- 2a b d  + 4b c d )x  + (5a b d  - 10a b c d  + 6b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2      6 3  3
+--R       (- 20a b d  + 40a b c d  - 24a b c d + 4b c )x
+--R     + 
+--R             4 2 3       3 3   2      2 4 2        5 3  2
+--R       (- 68a b d  + 126a b c d  - 66a b c d + 8a b c )x
+--R     + 
+--R             5   3      4 2   2      3 3 2      2 4 3        6 3      5     2
+--R       (- 16a b d  + 12a b c d  + 12a b c d - 8a b c )x + 22a d  - 54a b c d
+--R     + 
+--R          4 2 2       3 3 3
+--R       42a b c d - 10a b c
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                                    Type: Expression(Integer)
+--E  720
+
+--S  721 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               4 2 3       3 3   2      2 4 2         5 3  2
+--R           (60a b d  - 120a b c d  + 72a b c d - 12a b c )x
+--R         + 
+--R                5   3       4 2   2       3 3 2       2 4 3        6 3
+--R           (120a b d  - 240a b c d  + 144a b c d - 24a b c )x + 60a d
+--R         + 
+--R                 5     2      4 2 2       3 3 3
+--R           - 120a b c d  + 72a b c d - 12a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        6 3 6          5 3     6   2  5      2 4 3        5   2     6 2   4
+--R       b d x  + (- 2a b d  + 4b c d )x  + (5a b d  - 10a b c d  + 6b c d)x
+--R     + 
+--R             3 3 3      2 4   2        5 2      6 3  3
+--R       (- 20a b d  + 40a b c d  - 24a b c d + 4b c )x
+--R     + 
+--R             4 2 3       3 3   2      2 4 2        5 3  2
+--R       (- 68a b d  + 126a b c d  - 66a b c d + 8a b c )x
+--R     + 
+--R             5   3      4 2   2      3 3 2      2 4 3        6 3      5     2
+--R       (- 16a b d  + 12a b c d  + 12a b c d - 8a b c )x + 22a d  - 54a b c d
+--R     + 
+--R          4 2 2       3 3 3
+--R       42a b c d - 10a b c
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  721
+
+--S  722 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  722
+
+--S  723 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  723
+
+)clear all
+
+--S  724 of 1092
+t0:=x^2*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  -------------------------------
+--R           3 3       2 2     2       3
+--R          b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  724
+
+--S  725 of 1092
+r0:=3*d*(b*c-2*a*d)*(b*c-a*d)*x/b^5+3/2*d^2*(b*c-a*d)*x^2/b^4+_
+     1/3*d^3*x^3/b^3-1/2*a^2*(b*c-a*d)^3/(b^6*(a+b*x)^2)+_
+     a*(2*b*c-5*a*d)*(b*c-a*d)^2/(b^6*(a+b*x))+(b*c-a*d)*_
+     (b^2*c^2-8*a*b*c*d+10*a^2*d^2)*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R                 3 2 3       2 3   2        4 2      5 3  2
+--R           (- 60a b d  + 108a b c d  - 54a b c d + 6b c )x
+--R         + 
+--R                  4   3       3 2   2       2 3 2         4 3        5 3
+--R           (- 120a b d  + 216a b c d  - 108a b c d + 12a b c )x - 60a d
+--R         + 
+--R               4     2      3 2 2      2 3 3
+--R           108a b c d  - 54a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3     5   2  4       2 3 3        4   2      5 2   3
+--R       2b d x  + (- 5a b d  + 9b c d )x  + (20a b d  - 36a b c d  + 18b c d)x
+--R     + 
+--R           3 2 3      2 3   2        4 2   2
+--R       (63a b d  - 99a b c d  + 36a b c d)x
+--R     + 
+--R          4   3      3 2   2      2 3 2         4 3        5 3      4     2
+--R       (6a b d  + 18a b c d  - 36a b c d + 12a b c )x - 27a d  + 63a b c d
+--R     + 
+--R            3 2 2      2 3 3
+--R       - 45a b c d + 9a b c
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E  725
+
+--S  726 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 3 2 3       2 3   2        4 2      5 3  2
+--R           (- 60a b d  + 108a b c d  - 54a b c d + 6b c )x
+--R         + 
+--R                  4   3       3 2   2       2 3 2         4 3        5 3
+--R           (- 120a b d  + 216a b c d  - 108a b c d + 12a b c )x - 60a d
+--R         + 
+--R               4     2      3 2 2      2 3 3
+--R           108a b c d  - 54a b c d + 6a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 3 5          4 3     5   2  4       2 3 3        4   2      5 2   3
+--R       2b d x  + (- 5a b d  + 9b c d )x  + (20a b d  - 36a b c d  + 18b c d)x
+--R     + 
+--R           3 2 3      2 3   2        4 2   2
+--R       (63a b d  - 99a b c d  + 36a b c d)x
+--R     + 
+--R          4   3      3 2   2      2 3 2         4 3        5 3      4     2
+--R       (6a b d  + 18a b c d  - 36a b c d + 12a b c )x - 27a d  + 63a b c d
+--R     + 
+--R            3 2 2      2 3 3
+--R       - 45a b c d + 9a b c
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  726
+
+--S  727 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  727
+
+--S  728 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  728
+
+)clear all
+
+--S  729 of 1092
+t0:=x*(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R        d x  + 3c d x  + 3c d x  + c x
+--R   (1)  ------------------------------
+--R          3 3       2 2     2       3
+--R         b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  729
+
+--S  730 of 1092
+r0:=3*d^2*(b*c-a*d)*x/b^4+1/2*d^3*x^2/b^3+1/2*a*(b*c-a*d)^3/_
+     (b^5*(a+b*x)^2)-(b*c-4*a*d)*(b*c-a*d)^2/(b^5*(a+b*x))+_
+     3*d*(b*c-2*a*d)*(b*c-a*d)*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R               2 2 3        3   2     4 2   2
+--R           (12a b d  - 18a b c d  + 6b c d)x
+--R         + 
+--R             3   3      2 2   2        3 2         4 3      3     2     2 2 2
+--R         (24a b d  - 36a b c d  + 12a b c d)x + 12a d  - 18a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 3 4          3 3     4   2  3         2 2 3        3   2  2
+--R       b d x  + (- 4a b d  + 6b c d )x  + (- 11a b d  + 12a b c d )x
+--R     + 
+--R          3   3      2 2   2        3 2      4 3       4 3      3     2
+--R       (2a b d  - 12a b c d  + 12a b c d - 2b c )x + 7a d  - 15a b c d
+--R     + 
+--R         2 2 2       3 3
+--R       9a b c d - a b c
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  730
+
+--S  731 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 2 3        3   2     4 2   2
+--R           (12a b d  - 18a b c d  + 6b c d)x
+--R         + 
+--R             3   3      2 2   2        3 2         4 3      3     2     2 2 2
+--R         (24a b d  - 36a b c d  + 12a b c d)x + 12a d  - 18a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        4 3 4          3 3     4   2  3         2 2 3        3   2  2
+--R       b d x  + (- 4a b d  + 6b c d )x  + (- 11a b d  + 12a b c d )x
+--R     + 
+--R          3   3      2 2   2        3 2      4 3       4 3      3     2
+--R       (2a b d  - 12a b c d  + 12a b c d - 2b c )x + 7a d  - 15a b c d
+--R     + 
+--R         2 2 2       3 3
+--R       9a b c d - a b c
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  731
+
+--S  732 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  732
+
+--S  733 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  733
+
+)clear all
+
+--S  734 of 1092
+t0:=(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  734
+
+--S  735 of 1092
+r0:=d^3*x/b^3-1/2*(b*c-a*d)^3/(b^4*(a+b*x)^2)-3*d*(b*c-a*d)^2/_
+     (b^4*(a+b*x))+3*d^2*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  735
+
+--S  736 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  736
+
+--S  737 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  737
+
+--S  738 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  738
+
+)clear all
+
+--S  739 of 1092
+t0:=(c+d*x)^3/(x*(a+b*x)^3)
+--R 
+--R
+--R          3 3       2 2     2       3
+--R         d x  + 3c d x  + 3c d x + c
+--R   (1)  ------------------------------
+--R         3 4       2 3     2   2    3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  739
+
+--S  740 of 1092
+r0:=1/2*(b*c-a*d)^3/(a*b^3*(a+b*x)^2)+(b*c-a*d)^2*(b*c+2*a*d)/_
+     (a^2*b^3*(a+b*x))+c^3*log(x)/a^3-(c^3/a^3-d^3/b^3)*log(a+b*x)
+--R 
+--R
+--R   (2)
+--R             3 2 3     5 3  2      4   3       4 3       5 3     2 3 3
+--R         ((2a b d  - 2b c )x  + (4a b d  - 4a b c )x + 2a d  - 2a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 2       4 3      2 3 3             4   3     3 2   2       4 3
+--R       (2b c x  + 4a b c x + 2a b c )log(x) + (4a b d  - 6a b c d  + 2a b c )x
+--R     + 
+--R         5 3     4     2     3 2 2      2 3 3
+--R       3a d  - 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R       3 5 2     4 4      5 3
+--R     2a b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E  740
+
+--S  741 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R             3 2 3     5 3  2      4   3       4 3       5 3     2 3 3
+--R         ((2a b d  - 2b c )x  + (4a b d  - 4a b c )x + 2a d  - 2a b c )
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 2       4 3      2 3 3             4   3     3 2   2       4 3
+--R       (2b c x  + 4a b c x + 2a b c )log(x) + (4a b d  - 6a b c d  + 2a b c )x
+--R     + 
+--R         5 3     4     2     3 2 2      2 3 3
+--R       3a d  - 3a b c d  - 3a b c d + 3a b c
+--R  /
+--R       3 5 2     4 4      5 3
+--R     2a b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E  741
+
+--S  742 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  742
+
+--S  743 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  743
+
+)clear all
+
+--S  744 of 1092
+t0:=(c+d*x)^3/(x^2*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 5       2 4     2   3    3 2
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  744
+
+--S  745 of 1092
+r0:=-c^3/(a^3*x)-1/2*(b*c-a*d)^3/(a^2*b^2*(a+b*x)^2)-(b*c-a*d)^2*_
+     (2*b*c+a*d)/(a^3*b^2*(a+b*x))-3*c^2*(b*c-a*d)*log(x)/a^4+_
+     3*c^2*(b*c-a*d)*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R                  4 2      5 3  3         2 3 2         4 3  2
+--R           (- 6a b c d + 6b c )x  + (- 12a b c d + 12a b c )x
+--R         + 
+--R                3 2 2      2 3 3
+--R           (- 6a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4 2      5 3  3       2 3 2         4 3  2
+--R             (6a b c d - 6b c )x  + (12a b c d - 12a b c )x
+--R           + 
+--R                3 2 2      2 3 3
+--R             (6a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   3     2 3 2        4 3  2
+--R       (- 2a b d  + 6a b c d - 6a b c )x
+--R     + 
+--R           5 3     4     2     3 2 2      2 3 3       3 2 3
+--R       (- a d  - 3a b c d  + 9a b c d - 9a b c )x - 2a b c
+--R  /
+--R       4 4 3     5 3 2     6 2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  745
+
+--S  746 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  4 2      5 3  3         2 3 2         4 3  2
+--R           (- 6a b c d + 6b c )x  + (- 12a b c d + 12a b c )x
+--R         + 
+--R                3 2 2      2 3 3
+--R           (- 6a b c d + 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  4 2      5 3  3       2 3 2         4 3  2
+--R             (6a b c d - 6b c )x  + (12a b c d - 12a b c )x
+--R           + 
+--R                3 2 2      2 3 3
+--R             (6a b c d - 6a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R            4   3     2 3 2        4 3  2
+--R       (- 2a b d  + 6a b c d - 6a b c )x
+--R     + 
+--R           5 3     4     2     3 2 2      2 3 3       3 2 3
+--R       (- a d  - 3a b c d  + 9a b c d - 9a b c )x - 2a b c
+--R  /
+--R       4 4 3     5 3 2     6 2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  746
+
+--S  747 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  747
+
+--S  748 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  748
+
+)clear all
+
+--S  749 of 1092
+t0:=(c+d*x)^3/(x^3*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 6       2 5     2   4    3 3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  749
+
+--S  750 of 1092
+r0:=-1/2*c^3/(a^3*x^2)+3*c^2*(b*c-a*d)/(a^4*x)+1/2*(b*c-a*d)^3/_
+     (a^3*b*(a+b*x)^2)+3*c*(b*c-a*d)^2/(a^4*(a+b*x))+3*c*(b*c-a*d)*_
+     (2*b*c-a*d)*log(x)/a^5-3*c*(b*c-a*d)*(2*b*c-a*d)*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R                2 3   2        4 2       5 3  4
+--R           (- 6a b c d  + 18a b c d - 12b c )x
+--R         + 
+--R                 3 2   2      2 3 2         4 3  3
+--R           (- 12a b c d  + 36a b c d - 24a b c )x
+--R         + 
+--R                4     2      3 2 2       2 3 3  2
+--R           (- 6a b c d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3   2        4 2       5 3  4
+--R           (6a b c d  - 18a b c d + 12b c )x
+--R         + 
+--R               3 2   2      2 3 2         4 3  3
+--R           (12a b c d  - 36a b c d + 24a b c )x
+--R         + 
+--R              4     2      3 2 2       2 3 3  2
+--R           (6a b c d  - 18a b c d + 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          3 2   2      2 3 2         4 3  3
+--R       (6a b c d  - 18a b c d + 12a b c )x
+--R     + 
+--R           5 3     4     2      3 2 2       2 3 3  2        4   2      3 2 3
+--R       (- a d  + 9a b c d  - 27a b c d + 18a b c )x  + (- 6a b c d + 4a b c )x
+--R     + 
+--R          4   3
+--R       - a b c
+--R  /
+--R       5 3 4     6 2 3     7   2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                                    Type: Expression(Integer)
+--E  750
+
+--S  751 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 3   2        4 2       5 3  4
+--R           (- 6a b c d  + 18a b c d - 12b c )x
+--R         + 
+--R                 3 2   2      2 3 2         4 3  3
+--R           (- 12a b c d  + 36a b c d - 24a b c )x
+--R         + 
+--R                4     2      3 2 2       2 3 3  2
+--R           (- 6a b c d  + 18a b c d - 12a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3   2        4 2       5 3  4
+--R           (6a b c d  - 18a b c d + 12b c )x
+--R         + 
+--R               3 2   2      2 3 2         4 3  3
+--R           (12a b c d  - 36a b c d + 24a b c )x
+--R         + 
+--R              4     2      3 2 2       2 3 3  2
+--R           (6a b c d  - 18a b c d + 12a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          3 2   2      2 3 2         4 3  3
+--R       (6a b c d  - 18a b c d + 12a b c )x
+--R     + 
+--R           5 3     4     2      3 2 2       2 3 3  2        4   2      3 2 3
+--R       (- a d  + 9a b c d  - 27a b c d + 18a b c )x  + (- 6a b c d + 4a b c )x
+--R     + 
+--R          4   3
+--R       - a b c
+--R  /
+--R       5 3 4     6 2 3     7   2
+--R     2a b x  + 4a b x  + 2a b x
+--R                                         Type: Union(Expression(Integer),...)
+--E  751
+
+--S  752 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  752
+
+--S  753 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  753
+
+)clear all
+
+--S  754 of 1092
+t0:=(c+d*x)^3/(x^4*(a+b*x)^3)
+--R 
+--R
+--R           3 3       2 2     2       3
+--R          d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------
+--R         3 7       2 6     2   5    3 4
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  754
+
+--S  755 of 1092
+r0:=-1/3*c^3/(a^3*x^3)+3/2*c^2*(b*c-a*d)/(a^4*x^2)-3*c*(b*c-a*d)*_
+     (2*b*c-a*d)/(a^5*x)-1/2*(b*c-a*d)^3/(a^4*(a+b*x)^2)-(b*c-a*d)^2*_
+     (4*b*c-a*d)/(a^5*(a+b*x))-(b*c-a*d)*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*_
+     log(x)/a^6+(b*c-a*d)*(10*b^2*c^2-8*a*b*c*d+a^2*d^2)*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R                3 2 3      2 3   2         4 2       5 3  5
+--R           (- 6a b d  + 54a b c d  - 108a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2          4 3  4
+--R           (- 12a b d  + 108a b c d  - 216a b c d + 120a b c )x
+--R         + 
+--R                5 3      4     2       3 2 2       2 3 3  3
+--R           (- 6a d  + 54a b c d  - 108a b c d + 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3 2 3      2 3   2         4 2       5 3  5
+--R           (6a b d  - 54a b c d  + 108a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2          4 3  4
+--R           (12a b d  - 108a b c d  + 216a b c d - 120a b c )x
+--R         + 
+--R              5 3      4     2       3 2 2       2 3 3  3
+--R           (6a d  - 54a b c d  + 108a b c d - 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4   3      3 2   2       2 3 2         4 3  4
+--R       (6a b d  - 54a b c d  + 108a b c d - 60a b c )x
+--R     + 
+--R          5 3      4     2       3 2 2       2 3 3  3
+--R       (9a d  - 81a b c d  + 162a b c d - 90a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2        5 2      4   3       5 3
+--R       (- 18a c d  + 36a b c d - 20a b c )x  + (- 9a c d + 5a b c )x - 2a c
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E  755
+
+--S  756 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                3 2 3      2 3   2         4 2       5 3  5
+--R           (- 6a b d  + 54a b c d  - 108a b c d + 60b c )x
+--R         + 
+--R                 4   3       3 2   2       2 3 2          4 3  4
+--R           (- 12a b d  + 108a b c d  - 216a b c d + 120a b c )x
+--R         + 
+--R                5 3      4     2       3 2 2       2 3 3  3
+--R           (- 6a d  + 54a b c d  - 108a b c d + 60a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              3 2 3      2 3   2         4 2       5 3  5
+--R           (6a b d  - 54a b c d  + 108a b c d - 60b c )x
+--R         + 
+--R               4   3       3 2   2       2 3 2          4 3  4
+--R           (12a b d  - 108a b c d  + 216a b c d - 120a b c )x
+--R         + 
+--R              5 3      4     2       3 2 2       2 3 3  3
+--R           (6a d  - 54a b c d  + 108a b c d - 60a b c )x
+--R      *
+--R         log(x)
+--R     + 
+--R          4   3      3 2   2       2 3 2         4 3  4
+--R       (6a b d  - 54a b c d  + 108a b c d - 60a b c )x
+--R     + 
+--R          5 3      4     2       3 2 2       2 3 3  3
+--R       (9a d  - 81a b c d  + 162a b c d - 90a b c )x
+--R     + 
+--R             5   2      4   2       3 2 3  2        5 2      4   3       5 3
+--R       (- 18a c d  + 36a b c d - 20a b c )x  + (- 9a c d + 5a b c )x - 2a c
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E  756
+
+--S  757 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  757
+
+--S  758 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  758
+
+)clear all
+
+--S  759 of 1092
+t0:=x^7/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      7
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  759
+
+--S  760 of 1092
+r0:=-3*(b*c+a*d)*x/(b^4*d^4)+1/2*x^2/(b^3*d^3)+1/2*a^7/(b^5*(b*c-a*d)^3*_
+     (a+b*x)^2)-a^6*(7*b*c-4*a*d)/(b^5*(b*c-a*d)^4*(a+b*x))-1/2*c^7/_
+     (d^5*(b*c-a*d)^3*(c+d*x)^2)+c^6*(4*b*c-7*a*d)/(d^5*(b*c-a*d)^4*(c+d*x))-_
+     3*a^5*(7*b^2*c^2-7*a*b*c*d+2*a^2*d^2)*log(a+b*x)/(b^5*(b*c-a*d)^5)+_
+     3*c^5*(2*b^2*c^2-7*a*b*c*d+7*a^2*d^2)*log(c+d*x)/(d^5*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                 2 7 5 4        8 6 3      9 7 2  4
+--R           (- 42a b c d  + 42a b c d  - 12b c d )x
+--R         + 
+--R                 3 6 5 4        8 7 2      9 8   3
+--R           (- 84a b c d  + 60a b c d  - 24b c d)x
+--R         + 
+--R                 4 5 5 4       3 6 6 3       2 7 7 2       8 8       9 9  2
+--R           (- 42a b c d  - 126a b c d  + 114a b c d  - 6a b c d - 12b c )x
+--R         + 
+--R                 4 5 6 3      2 7 8         8 9        4 5 7 2      3 6 8
+--R           (- 84a b c d  + 60a b c d - 24a b c )x - 42a b c d  + 42a b c d
+--R         + 
+--R                2 7 9
+--R           - 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 2 9      6 3   8      5 4 2 7  4
+--R           (12a b d  - 42a b c d  + 42a b c d )x
+--R         + 
+--R               8   9      7 2   8      5 4 3 6  3
+--R           (24a b d  - 60a b c d  + 84a b c d )x
+--R         + 
+--R               9 9     8     8       7 2 2 7       6 3 3 6      5 4 4 5  2
+--R           (12a d  + 6a b c d  - 114a b c d  + 126a b c d  + 42a b c d )x
+--R         + 
+--R               9   8      8   2 7      6 3 4 5        9 2 7      8   3 6
+--R           (24a c d  - 60a b c d  + 84a b c d )x + 12a c d  - 42a b c d
+--R         + 
+--R              7 2 4 5
+--R           42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 4 9     4 5   8      3 6 2 7      2 7 3 6       8 4 5    9 5 4  6
+--R       (a b d  - 5a b c d  + 10a b c d  - 10a b c d  + 5a b c d  - b c d )x
+--R     + 
+--R                 6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4
+--R             - 4a b d  + 16a b c d  - 20a b c d  + 20a b c d  - 16a b c d
+--R           + 
+--R               9 6 3
+--R             4b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                7 2 9      6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           - 11a b d  + 35a b c d  - 21a b c d  - 35a b c d  + 35a b c d
+--R         + 
+--R              2 7 5 4        8 6 3      9 7 2
+--R           21a b c d  - 35a b c d  + 11b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8   9      7 2   8      6 3 2 7      5 4 3 6      3 6 5 4
+--R           2a b d  - 20a b c d  + 66a b c d  - 86a b c d  + 86a b c d
+--R         + 
+--R                2 7 6 3        8 7 2     9 8
+--R           - 66a b c d  + 20a b c d  - 2b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             9 9      8     8     7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4
+--R           7a d  - 16a b c d  + 6a b c d  + 11a b c d  - 50a b c d  + 50a b c d
+--R         + 
+--R                3 6 6 3     2 7 7 2        8 8      9 9
+--R           - 11a b c d  - 6a b c d  + 16a b c d - 7b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              9   8      8   2 7      7 2 3 6      6 3 4 5      4 5 6 3
+--R           14a c d  - 38a b c d  + 28a b c d  - 16a b c d  + 16a b c d
+--R         + 
+--R                3 6 7 2      2 7 8         8 9
+--R           - 28a b c d  + 38a b c d - 14a b c
+--R      *
+--R         x
+--R     + 
+--R         9 2 7      8   3 6      7 2 4 5      4 5 7 2      3 6 8      2 7 9
+--R       7a c d  - 20a b c d  + 13a b c d  - 13a b c d  + 20a b c d - 7a b c
+--R  /
+--R             5 7 12      4 8   11      3 9 2 10      2 10 3 9        11 4 8
+--R           2a b d   - 10a b c d   + 20a b c d   - 20a b  c d  + 10a b  c d
+--R         + 
+--R               12 5 7
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 6 12      5 7   11      4 8 2 10      2 10 4 8        11 5 7
+--R           4a b d   - 16a b c d   + 20a b c d   - 20a b  c d  + 16a b  c d
+--R         + 
+--R               12 6 6
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 5 12     6 6   11      5 7 2 10      4 8 3 9      3 9 4 8
+--R           2a b d   - 2a b c d   - 18a b c d   + 50a b c d  - 50a b c d
+--R         + 
+--R              2 10 5 7       11 6 6     12 7 5
+--R           18a b  c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 5   11      6 6 2 10      5 7 3 9      3 9 5 7      2 10 6 6
+--R           4a b c d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R                 11 7 5
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 5 2 10      6 6 3 9      5 7 4 8      4 8 5 7      3 9 6 6     2 10 7 5
+--R     2a b c d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b  c d
+--R                                                    Type: Expression(Integer)
+--E  760
+
+--S  761 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 7 5 4        8 6 3      9 7 2  4
+--R           (- 42a b c d  + 42a b c d  - 12b c d )x
+--R         + 
+--R                 3 6 5 4        8 7 2      9 8   3
+--R           (- 84a b c d  + 60a b c d  - 24b c d)x
+--R         + 
+--R                 4 5 5 4       3 6 6 3       2 7 7 2       8 8       9 9  2
+--R           (- 42a b c d  - 126a b c d  + 114a b c d  - 6a b c d - 12b c )x
+--R         + 
+--R                 4 5 6 3      2 7 8         8 9        4 5 7 2      3 6 8
+--R           (- 84a b c d  + 60a b c d - 24a b c )x - 42a b c d  + 42a b c d
+--R         + 
+--R                2 7 9
+--R           - 12a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 2 9      6 3   8      5 4 2 7  4
+--R           (12a b d  - 42a b c d  + 42a b c d )x
+--R         + 
+--R               8   9      7 2   8      5 4 3 6  3
+--R           (24a b d  - 60a b c d  + 84a b c d )x
+--R         + 
+--R               9 9     8     8       7 2 2 7       6 3 3 6      5 4 4 5  2
+--R           (12a d  + 6a b c d  - 114a b c d  + 126a b c d  + 42a b c d )x
+--R         + 
+--R               9   8      8   2 7      6 3 4 5        9 2 7      8   3 6
+--R           (24a c d  - 60a b c d  + 84a b c d )x + 12a c d  - 42a b c d
+--R         + 
+--R              7 2 4 5
+--R           42a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         5 4 9     4 5   8      3 6 2 7      2 7 3 6       8 4 5    9 5 4  6
+--R       (a b d  - 5a b c d  + 10a b c d  - 10a b c d  + 5a b c d  - b c d )x
+--R     + 
+--R                 6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4
+--R             - 4a b d  + 16a b c d  - 20a b c d  + 20a b c d  - 16a b c d
+--R           + 
+--R               9 6 3
+--R             4b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                7 2 9      6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           - 11a b d  + 35a b c d  - 21a b c d  - 35a b c d  + 35a b c d
+--R         + 
+--R              2 7 5 4        8 6 3      9 7 2
+--R           21a b c d  - 35a b c d  + 11b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             8   9      7 2   8      6 3 2 7      5 4 3 6      3 6 5 4
+--R           2a b d  - 20a b c d  + 66a b c d  - 86a b c d  + 86a b c d
+--R         + 
+--R                2 7 6 3        8 7 2     9 8
+--R           - 66a b c d  + 20a b c d  - 2b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             9 9      8     8     7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4
+--R           7a d  - 16a b c d  + 6a b c d  + 11a b c d  - 50a b c d  + 50a b c d
+--R         + 
+--R                3 6 6 3     2 7 7 2        8 8      9 9
+--R           - 11a b c d  - 6a b c d  + 16a b c d - 7b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              9   8      8   2 7      7 2 3 6      6 3 4 5      4 5 6 3
+--R           14a c d  - 38a b c d  + 28a b c d  - 16a b c d  + 16a b c d
+--R         + 
+--R                3 6 7 2      2 7 8         8 9
+--R           - 28a b c d  + 38a b c d - 14a b c
+--R      *
+--R         x
+--R     + 
+--R         9 2 7      8   3 6      7 2 4 5      4 5 7 2      3 6 8      2 7 9
+--R       7a c d  - 20a b c d  + 13a b c d  - 13a b c d  + 20a b c d - 7a b c
+--R  /
+--R             5 7 12      4 8   11      3 9 2 10      2 10 3 9        11 4 8
+--R           2a b d   - 10a b c d   + 20a b c d   - 20a b  c d  + 10a b  c d
+--R         + 
+--R               12 5 7
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 6 12      5 7   11      4 8 2 10      2 10 4 8        11 5 7
+--R           4a b d   - 16a b c d   + 20a b c d   - 20a b  c d  + 16a b  c d
+--R         + 
+--R               12 6 6
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 5 12     6 6   11      5 7 2 10      4 8 3 9      3 9 4 8
+--R           2a b d   - 2a b c d   - 18a b c d   + 50a b c d  - 50a b c d
+--R         + 
+--R              2 10 5 7       11 6 6     12 7 5
+--R           18a b  c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 5   11      6 6 2 10      5 7 3 9      3 9 5 7      2 10 6 6
+--R           4a b c d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R                 11 7 5
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 5 2 10      6 6 3 9      5 7 4 8      4 8 5 7      3 9 6 6     2 10 7 5
+--R     2a b c d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b  c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  761
+
+--S  762 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  762
+
+--S  763 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  763
+
+)clear all
+
+--S  764 of 1092
+t0:=x^6/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  764
+
+--S  765 of 1092
+r0:=x/(b^3*d^3)-1/2*a^6/(b^4*(b*c-a*d)^3*(a+b*x)^2)+3*a^5*(2*b*c-a*d)/_
+     (b^4*(b*c-a*d)^4*(a+b*x))+1/2*c^6/(d^4*(b*c-a*d)^3*(c+d*x)^2)-_
+     3*c^5*(b*c-2*a*d)/(d^4*(b*c-a*d)^4*(c+d*x))+3*a^4*(5*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(a+b*x)/(b^4*(b*c-a*d)^5)-3*c^4*_
+     (b^2*c^2-4*a*b*c*d+5*a^2*d^2)*log(c+d*x)/(d^4*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R               2 6 4 4        7 5 3     8 6 2  4
+--R           (30a b c d  - 24a b c d  + 6b c d )x
+--R         + 
+--R               3 5 4 4      2 6 5 3        7 6 2      8 7   3
+--R           (60a b c d  + 12a b c d  - 36a b c d  + 12b c d)x
+--R         + 
+--R               4 4 4 4      3 5 5 3      2 6 6 2     8 8  2
+--R           (30a b c d  + 96a b c d  - 60a b c d  + 6b c )x
+--R         + 
+--R               4 4 5 3      3 5 6 2      2 6 7         7 8        4 4 6 2
+--R           (60a b c d  + 12a b c d  - 36a b c d + 12a b c )x + 30a b c d
+--R         + 
+--R                3 5 7      2 6 8
+--R           - 24a b c d + 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                6 2 8      5 3   7      4 4 2 6  4
+--R           (- 6a b d  + 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7   8      6 2   7      5 3 2 6      4 4 3 5  3
+--R           (- 12a b d  + 36a b c d  - 12a b c d  - 60a b c d )x
+--R         + 
+--R                8 8      6 2 2 6      5 3 3 5      4 4 4 4  2
+--R           (- 6a d  + 60a b c d  - 96a b c d  - 30a b c d )x
+--R         + 
+--R                 8   7      7   2 6      6 2 3 5      5 3 4 4       8 2 6
+--R           (- 12a c d  + 36a b c d  - 12a b c d  - 60a b c d )x - 6a c d
+--R         + 
+--R              7   3 5      6 2 4 4
+--R           24a b c d  - 30a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  5
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  4
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           - 4a b d  + 16a b c d  - 30a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3        7 6 2     8 7
+--R           30a b c d  - 16a b c d  + 4b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 8     7     7     6 2 2 6     5 3 3 5     3 5 5 3     2 6 6 2
+--R           - 5a d  + 8a b c d  + 9a b c d  - 4a b c d  + 4a b c d  - 9a b c d
+--R         + 
+--R                 7 7      8 8
+--R           - 8a b c d + 5b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   7      7   2 6      6 2 3 5     5 3 4 4     4 4 5 3
+--R           - 10a c d  + 28a b c d  - 14a b c d  + 8a b c d  - 8a b c d
+--R         + 
+--R              3 5 6 2      2 6 7         7 8
+--R           14a b c d  - 28a b c d + 10a b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       - 5a c d  + 16a b c d  - 11a b c d  + 11a b c d  - 16a b c d + 5a b c
+--R  /
+--R             5 6 11      4 7   10      3 8 2 9      2 9 3 8        10 4 7
+--R           2a b d   - 10a b c d   + 20a b c d  - 20a b c d  + 10a b  c d
+--R         + 
+--R               11 5 6
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 5 11      5 6   10      4 7 2 9      2 9 4 7        10 5 6
+--R           4a b d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R               11 6 5
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 4 11     6 5   10      5 6 2 9      4 7 3 8      3 8 4 7
+--R           2a b d   - 2a b c d   - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 9 5 6       10 6 5     11 7 4
+--R           18a b c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 4   10      6 5 2 9      5 6 3 8      3 8 5 6      2 9 6 5
+--R           4a b c d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 10 7 4
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 4 2 9      6 5 3 8      5 6 4 7      4 7 5 6      3 8 6 5     2 9 7 4
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  765
+
+--S  766 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R               2 6 4 4        7 5 3     8 6 2  4
+--R           (30a b c d  - 24a b c d  + 6b c d )x
+--R         + 
+--R               3 5 4 4      2 6 5 3        7 6 2      8 7   3
+--R           (60a b c d  + 12a b c d  - 36a b c d  + 12b c d)x
+--R         + 
+--R               4 4 4 4      3 5 5 3      2 6 6 2     8 8  2
+--R           (30a b c d  + 96a b c d  - 60a b c d  + 6b c )x
+--R         + 
+--R               4 4 5 3      3 5 6 2      2 6 7         7 8        4 4 6 2
+--R           (60a b c d  + 12a b c d  - 36a b c d + 12a b c )x + 30a b c d
+--R         + 
+--R                3 5 7      2 6 8
+--R           - 24a b c d + 6a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                6 2 8      5 3   7      4 4 2 6  4
+--R           (- 6a b d  + 24a b c d  - 30a b c d )x
+--R         + 
+--R                 7   8      6 2   7      5 3 2 6      4 4 3 5  3
+--R           (- 12a b d  + 36a b c d  - 12a b c d  - 60a b c d )x
+--R         + 
+--R                8 8      6 2 2 6      5 3 3 5      4 4 4 4  2
+--R           (- 6a d  + 60a b c d  - 96a b c d  - 30a b c d )x
+--R         + 
+--R                 8   7      7   2 6      6 2 3 5      5 3 4 4       8 2 6
+--R           (- 12a c d  + 36a b c d  - 12a b c d  - 60a b c d )x - 6a c d
+--R         + 
+--R              7   3 5      6 2 4 4
+--R           24a b c d  - 30a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  5
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  4
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           - 4a b d  + 16a b c d  - 30a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3        7 6 2     8 7
+--R           30a b c d  - 16a b c d  + 4b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8 8     7     7     6 2 2 6     5 3 3 5     3 5 5 3     2 6 6 2
+--R           - 5a d  + 8a b c d  + 9a b c d  - 4a b c d  + 4a b c d  - 9a b c d
+--R         + 
+--R                 7 7      8 8
+--R           - 8a b c d + 5b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8   7      7   2 6      6 2 3 5     5 3 4 4     4 4 5 3
+--R           - 10a c d  + 28a b c d  - 14a b c d  + 8a b c d  - 8a b c d
+--R         + 
+--R              3 5 6 2      2 6 7         7 8
+--R           14a b c d  - 28a b c d + 10a b c
+--R      *
+--R         x
+--R     + 
+--R           8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       - 5a c d  + 16a b c d  - 11a b c d  + 11a b c d  - 16a b c d + 5a b c
+--R  /
+--R             5 6 11      4 7   10      3 8 2 9      2 9 3 8        10 4 7
+--R           2a b d   - 10a b c d   + 20a b c d  - 20a b c d  + 10a b  c d
+--R         + 
+--R               11 5 6
+--R           - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             6 5 11      5 6   10      4 7 2 9      2 9 4 7        10 5 6
+--R           4a b d   - 16a b c d   + 20a b c d  - 20a b c d  + 16a b  c d
+--R         + 
+--R               11 6 5
+--R           - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 4 11     6 5   10      5 6 2 9      4 7 3 8      3 8 4 7
+--R           2a b d   - 2a b c d   - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 9 5 6       10 6 5     11 7 4
+--R           18a b c d  + 2a b  c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 4   10      6 5 2 9      5 6 3 8      3 8 5 6      2 9 6 5
+--R           4a b c d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 10 7 4
+--R           - 4a b  c d
+--R      *
+--R         x
+--R     + 
+--R       7 4 2 9      6 5 3 8      5 6 4 7      4 7 5 6      3 8 6 5     2 9 7 4
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  766
+
+--S  767 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  767
+
+--S  768 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  768
+
+)clear all
+
+--S  769 of 1092
+t0:=x^5/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  769
+
+--S  770 of 1092
+r0:=1/2*a^5/(b^3*(b*c-a*d)^3*(a+b*x)^2)-a^4*(5*b*c-2*a*d)/_
+     (b^3*(b*c-a*d)^4*(a+b*x))-1/2*c^5/(d^3*(b*c-a*d)^3*(c+d*x)^2)+_
+     c^4*(2*b*c-5*a*d)/(d^3*(b*c-a*d)^4*(c+d*x))-a^3*(10*b^2*c^2-_
+     5*a*b*c*d+a^2*d^2)*log(a+b*x)/(b^3*(b*c-a*d)^5)+c^3*(b^2*c^2-_
+     5*a*b*c*d+10*a^2*d^2)*log(c+d*x)/(d^3*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                 2 5 3 4        6 4 3     7 5 2  4
+--R           (- 20a b c d  + 10a b c d  - 2b c d )x
+--R         + 
+--R                 3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (- 40a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R         + 
+--R                 4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (- 20a b c d  - 70a b c d  + 18a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R                 4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (- 40a b c d  - 20a b c d  + 16a b c d - 4a b c )x - 20a b c d
+--R         + 
+--R              3 4 6      2 5 7
+--R           10a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5 2 7      4 3   6      3 4 2 5  4
+--R           (2a b d  - 10a b c d  + 20a b c d )x
+--R         + 
+--R              6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (4a b d  - 16a b c d  + 20a b c d  + 40a b c d )x
+--R         + 
+--R              7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (2a d  - 2a b c d  - 18a b c d  + 70a b c d  + 20a b c d )x
+--R         + 
+--R              7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (4a c d  - 16a b c d  + 20a b c d  + 40a b c d )x + 2a c d
+--R         + 
+--R                6   3 4      5 2 4 3
+--R           - 10a b c d  + 20a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 14a b c d  + 10a b c d  - 10a b c d  + 14a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           3a d  - 4a b c d  - 19a b c d  + 20a b c d  - 20a b c d  + 19a b c d
+--R         + 
+--R               6 6      7 7
+--R           4a b c d - 3b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5     5 2 3 4     3 4 5 2      2 5 6        6 7
+--R       (6a c d  - 20a b c d  + 4a b c d  - 4a b c d  + 20a b c d - 6a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R               5 5 10      4 6   9      3 7 2 8      2 8 3 7        9 4 6
+--R             2a b d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R           + 
+--R                 10 5 5
+--R             - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               6 4 10      5 5   9      4 6 2 8      2 8 4 6        9 5 5
+--R             4a b d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R           + 
+--R                 10 6 4
+--R             - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 3 10     6 4   9      5 5 2 8      4 6 3 7      3 7 4 6
+--R           2a b d   - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 8 5 5       9 6 4     10 7 3
+--R           18a b c d  + 2a b c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 3   9      6 4 2 8      5 5 3 7      3 7 5 5      2 8 6 4
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 9 7 3
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 3 2 8      6 4 3 7      5 5 4 6      4 6 5 5      3 7 6 4     2 8 7 3
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  770
+
+--S  771 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                 2 5 3 4        6 4 3     7 5 2  4
+--R           (- 20a b c d  + 10a b c d  - 2b c d )x
+--R         + 
+--R                 3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (- 40a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R         + 
+--R                 4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (- 20a b c d  - 70a b c d  + 18a b c d  + 2a b c d - 2b c )x
+--R         + 
+--R                 4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (- 40a b c d  - 20a b c d  + 16a b c d - 4a b c )x - 20a b c d
+--R         + 
+--R              3 4 6      2 5 7
+--R           10a b c d - 2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              5 2 7      4 3   6      3 4 2 5  4
+--R           (2a b d  - 10a b c d  + 20a b c d )x
+--R         + 
+--R              6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (4a b d  - 16a b c d  + 20a b c d  + 40a b c d )x
+--R         + 
+--R              7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (2a d  - 2a b c d  - 18a b c d  + 70a b c d  + 20a b c d )x
+--R         + 
+--R              7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (4a c d  - 16a b c d  + 20a b c d  + 40a b c d )x + 2a c d
+--R         + 
+--R                6   3 4      5 2 4 3
+--R           - 10a b c d  + 20a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 14a b c d  + 10a b c d  - 10a b c d  + 14a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           3a d  - 4a b c d  - 19a b c d  + 20a b c d  - 20a b c d  + 19a b c d
+--R         + 
+--R               6 6      7 7
+--R           4a b c d - 3b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5     5 2 3 4     3 4 5 2      2 5 6        6 7
+--R       (6a c d  - 20a b c d  + 4a b c d  - 4a b c d  + 20a b c d - 6a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R               5 5 10      4 6   9      3 7 2 8      2 8 3 7        9 4 6
+--R             2a b d   - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R           + 
+--R                 10 5 5
+--R             - 2b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               6 4 10      5 5   9      4 6 2 8      2 8 4 6        9 5 5
+--R             4a b d   - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R           + 
+--R                 10 6 4
+--R             - 4b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 3 10     6 4   9      5 5 2 8      4 6 3 7      3 7 4 6
+--R           2a b d   - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 8 5 5       9 6 4     10 7 3
+--R           18a b c d  + 2a b c d  - 2b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 3   9      6 4 2 8      5 5 3 7      3 7 5 5      2 8 6 4
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 9 7 3
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 3 2 8      6 4 3 7      5 5 4 6      4 6 5 5      3 7 6 4     2 8 7 3
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  771
+
+--S  772 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  772
+
+--S  773 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  773
+
+)clear all
+
+--S  774 of 1092
+t0:=x^4/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  774
+
+--S  775 of 1092
+r0:=-1/2*a^4/(b^2*(b*c-a*d)^3*(a+b*x)^2)+a^3*(4*b*c-a*d)/(b^2*(b*c-a*d)^4*_
+     (a+b*x))+1/2*c^4/(d^2*(b*c-a*d)^3*(c+d*x)^2)-c^3*(b*c-4*a*d)/_
+     (d^2*(b*c-a*d)^4*(c+d*x))+6*a^2*c^2*log(a+b*x)/(b*c-a*d)^5-_
+     6*a^2*c^2*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              2 4 2 4 4       3 3 2 4      2 4 3 3  3
+--R           12a b c d x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R               4 2 2 4      3 3 3 3      2 4 4 2  2       4 2 3 3      3 3 4 2
+--R           (12a b c d  + 48a b c d  + 12a b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 4 2 4 4         3 3 2 4      2 4 3 3  3
+--R           - 12a b c d x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                 4 2 2 4      3 3 3 3      2 4 4 2  2
+--R           (- 12a b c d  - 48a b c d  - 12a b c d )x
+--R         + 
+--R                 4 2 3 3      3 3 4 2        4 2 4 2
+--R           (- 24a b c d  - 24a b c d )x - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5   6      4 2   5     3 3 2 4     2 4 3 3        5 4 2     6 5   3
+--R       (- 2a b d  + 10a b c d  - 8a b c d  + 8a b c d  - 10a b c d  + 2b c d)x
+--R     + 
+--R           6 6     5     5      4 2 2 4      2 4 4 2       5 5     6 6  2
+--R       (- a d  + 4a b c d  + 13a b c d  - 13a b c d  - 4a b c d + b c )x
+--R     + 
+--R            6   5      5   2 4     4 2 3 3     3 3 4 2      2 4 5        5 6
+--R       (- 2a c d  + 14a b c d  + 4a b c d  - 4a b c d  - 14a b c d + 2a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5     2 4 6
+--R       - a c d  + 8a b c d  - 8a b c d + a b c
+--R  /
+--R          5 4 9      4 5   8      3 6 2 7      2 7 3 6        8 4 5     9 5 4  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4     9 6 3  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7 2 9     6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 7 5 4       8 6 3     9 7 2
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 2   8      6 3 2 7      5 4 3 6      3 6 5 4      2 7 6 3
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 8 7 2
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4      3 6 6 3     2 7 7 2
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  775
+
+--S  776 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 4 2 4 4       3 3 2 4      2 4 3 3  3
+--R           12a b c d x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R               4 2 2 4      3 3 3 3      2 4 4 2  2       4 2 3 3      3 3 4 2
+--R           (12a b c d  + 48a b c d  + 12a b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              4 2 4 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 4 2 4 4         3 3 2 4      2 4 3 3  3
+--R           - 12a b c d x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                 4 2 2 4      3 3 3 3      2 4 4 2  2
+--R           (- 12a b c d  - 48a b c d  - 12a b c d )x
+--R         + 
+--R                 4 2 3 3      3 3 4 2        4 2 4 2
+--R           (- 24a b c d  - 24a b c d )x - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            5   6      4 2   5     3 3 2 4     2 4 3 3        5 4 2     6 5   3
+--R       (- 2a b d  + 10a b c d  - 8a b c d  + 8a b c d  - 10a b c d  + 2b c d)x
+--R     + 
+--R           6 6     5     5      4 2 2 4      2 4 4 2       5 5     6 6  2
+--R       (- a d  + 4a b c d  + 13a b c d  - 13a b c d  - 4a b c d + b c )x
+--R     + 
+--R            6   5      5   2 4     4 2 3 3     3 3 4 2      2 4 5        5 6
+--R       (- 2a c d  + 14a b c d  + 4a b c d  - 4a b c d  - 14a b c d + 2a b c )x
+--R     + 
+--R          6 2 4     5   3 3     3 3 5     2 4 6
+--R       - a c d  + 8a b c d  - 8a b c d + a b c
+--R  /
+--R          5 4 9      4 5   8      3 6 2 7      2 7 3 6        8 4 5     9 5 4  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 3 9      5 4   8      4 5 2 7      2 7 4 5        8 5 4     9 6 3  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7 2 9     6 3   8      5 4 2 7      4 5 3 6      3 6 4 5
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 7 5 4       8 6 3     9 7 2
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7 2   8      6 3 2 7      5 4 3 6      3 6 5 4      2 7 6 3
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 8 7 2
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R       7 2 2 7      6 3 3 6      5 4 4 5      4 5 5 4      3 6 6 3     2 7 7 2
+--R     2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  776
+
+--S  777 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  777
+
+--S  778 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  778
+
+)clear all
+
+--S  779 of 1092
+t0:=x^3/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  779
+
+--S  780 of 1092
+r0:=1/2*a^3/(b*(b*c-a*d)^3*(a+b*x)^2)-3*a^2*c/((b*c-a*d)^4*(a+b*x))-_
+     1/2*c^3/(d*(b*c-a*d)^3*(c+d*x)^2)-3*a*c^2/((b*c-a*d)^4*(c+d*x))-_
+     3*a*c*(b*c+a*d)*log(a+b*x)/(b*c-a*d)^5+3*a*c*(b*c+a*d)*log(c+d*x)/_
+     (b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R                2 3   4       4 2 3  4
+--R           (- 6a b c d  - 6a b c d )x
+--R         + 
+--R                 3 2   4      2 3 2 3        4 3 2  3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d )x
+--R         + 
+--R                4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (- 6a b c d  - 30a b c d  - 30a b c d  - 6a b c d)x
+--R         + 
+--R                 4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              2 3   4       4 2 3  4       3 2   4      2 3 2 3        4 3 2  3
+--R           (6a b c d  + 6a b c d )x  + (12a b c d  + 24a b c d  + 12a b c d )x
+--R         + 
+--R              4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (6a b c d  + 30a b c d  + 30a b c d  + 6a b c d)x
+--R         + 
+--R               4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            3 2   4       4 3 2  3
+--R       (- 6a b c d  + 6a b c d )x
+--R     + 
+--R           5 5     4     4      3 2 2 3      2 3 3 2       4 4     5 5  2
+--R       (- a d  - 4a b c d  - 19a b c d  + 19a b c d  + 4a b c d + b c )x
+--R     + 
+--R            5   4      4   2 3      2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  - 14a b c d  + 14a b c d + 2a b c )x - a c d  - 9a b c d
+--R     + 
+--R         3 2 4     2 3 5
+--R       9a b c d + a b c
+--R  /
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7   8     6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3       7 6 2     8 7
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 7 7
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R         7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2     2 6 7
+--R       2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                                    Type: Expression(Integer)
+--E  780
+
+--S  781 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                2 3   4       4 2 3  4
+--R           (- 6a b c d  - 6a b c d )x
+--R         + 
+--R                 3 2   4      2 3 2 3        4 3 2  3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d )x
+--R         + 
+--R                4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (- 6a b c d  - 30a b c d  - 30a b c d  - 6a b c d)x
+--R         + 
+--R                 4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R              2 3   4       4 2 3  4       3 2   4      2 3 2 3        4 3 2  3
+--R           (6a b c d  + 6a b c d )x  + (12a b c d  + 24a b c d  + 12a b c d )x
+--R         + 
+--R              4     4      3 2 2 3      2 3 3 2       4 4   2
+--R           (6a b c d  + 30a b c d  + 30a b c d  + 6a b c d)x
+--R         + 
+--R               4   2 3      3 2 3 2      2 3 4        4   3 2     3 2 4
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            3 2   4       4 3 2  3
+--R       (- 6a b c d  + 6a b c d )x
+--R     + 
+--R           5 5     4     4      3 2 2 3      2 3 3 2       4 4     5 5  2
+--R       (- a d  - 4a b c d  - 19a b c d  + 19a b c d  + 4a b c d + b c )x
+--R     + 
+--R            5   4      4   2 3      2 3 4        4 5      5 2 3     4   3 2
+--R       (- 2a c d  - 14a b c d  + 14a b c d + 2a b c )x - a c d  - 9a b c d
+--R     + 
+--R         3 2 4     2 3 5
+--R       9a b c d + a b c
+--R  /
+--R          5 3 8      4 4   7      3 5 2 6      2 6 3 5        7 4 4     8 5 3  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3     8 6 2  3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d )x
+--R     + 
+--R             7   8     6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R           2a b d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              2 6 5 3       7 6 2     8 7
+--R           18a b c d  + 2a b c d  - 2b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R             7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R                 7 7
+--R           - 4a b c d
+--R      *
+--R         x
+--R     + 
+--R         7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2     2 6 7
+--R       2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2a b c d
+--R                                         Type: Union(Expression(Integer),...)
+--E  781
+
+--S  782 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  782
+
+--S  783 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  783
+
+)clear all
+
+--S  784 of 1092
+t0:=x^2/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  784
+
+--S  785 of 1092
+r0:=-1/2*a^2/((b*c-a*d)^3*(a+b*x)^2)+a*(2*b*c+a*d)/((b*c-a*d)^4*(a+b*x))+_
+     1/2*c^2/((b*c-a*d)^3*(c+d*x)^2)+c*(b*c+2*a*d)/((b*c-a*d)^4*(c+d*x))+_
+     (b^2*c^2+4*a*b*c*d+a^2*d^2)*log(a+b*x)/(b*c-a*d)^5-(b^2*c^2+4*a*b*c*d+_
+     a^2*d^2)*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              2 2 4       3   3     4 2 2  4
+--R           (2a b d  + 8a b c d  + 2b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   3
+--R           (4a b d  + 20a b c d  + 20a b c d  + 4b c d)x
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (2a d  + 16a b c d  + 36a b c d  + 16a b c d + 2b c )x
+--R         + 
+--R              4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (4a c d  + 20a b c d  + 20a b c d + 4a b c )x + 2a c d  + 8a b c d
+--R         + 
+--R             2 2 4
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 2 4       3   3     4 2 2  4
+--R           (- 2a b d  - 8a b c d  - 2b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   3
+--R           (- 4a b d  - 20a b c d  - 20a b c d  - 4b c d)x
+--R         + 
+--R                4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (- 2a d  - 16a b c d  - 36a b c d  - 16a b c d - 2b c )x
+--R         + 
+--R                4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (- 4a c d  - 20a b c d  - 20a b c d - 4a b c )x - 2a c d  - 8a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3   4     2 2   3       3 2 2     4 3   3
+--R       (2a b d  + 6a b c d  - 6a b c d  - 2b c d)x
+--R     + 
+--R          4 4      3     3        3 3      4 4  2
+--R       (3a d  + 12a b c d  - 12a b c d - 3b c )x
+--R     + 
+--R           4   3     3   2 2     2 2 3         3 4       4 2 2     2 2 4
+--R       (10a c d  + 6a b c d  - 6a b c d - 10a b c )x + 6a c d  - 6a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  785
+
+--S  786 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              2 2 4       3   3     4 2 2  4
+--R           (2a b d  + 8a b c d  + 2b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   3
+--R           (4a b d  + 20a b c d  + 20a b c d  + 4b c d)x
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (2a d  + 16a b c d  + 36a b c d  + 16a b c d + 2b c )x
+--R         + 
+--R              4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (4a c d  + 20a b c d  + 20a b c d + 4a b c )x + 2a c d  + 8a b c d
+--R         + 
+--R             2 2 4
+--R           2a b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                2 2 4       3   3     4 2 2  4
+--R           (- 2a b d  - 8a b c d  - 2b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   3
+--R           (- 4a b d  - 20a b c d  - 20a b c d  - 4b c d)x
+--R         + 
+--R                4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (- 2a d  - 16a b c d  - 36a b c d  - 16a b c d - 2b c )x
+--R         + 
+--R                4   3      3   2 2      2 2 3        3 4       4 2 2     3   3
+--R           (- 4a c d  - 20a b c d  - 20a b c d - 4a b c )x - 2a c d  - 8a b c d
+--R         + 
+--R               2 2 4
+--R           - 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          3   4     2 2   3       3 2 2     4 3   3
+--R       (2a b d  + 6a b c d  - 6a b c d  - 2b c d)x
+--R     + 
+--R          4 4      3     3        3 3      4 4  2
+--R       (3a d  + 12a b c d  - 12a b c d - 3b c )x
+--R     + 
+--R           4   3     3   2 2     2 2 3         3 4       4 2 2     2 2 4
+--R       (10a c d  + 6a b c d  - 6a b c d - 10a b c )x + 6a c d  - 6a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  786
+
+--S  787 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  787
+
+--S  788 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  788
+
+)clear all
+
+--S  789 of 1092
+t0:=x/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  789
+
+--S  790 of 1092
+r0:=1/2*a*b/((b*c-a*d)^3*(a+b*x)^2)-b*(b*c+2*a*d)/((b*c-a*d)^4*(a+b*x))-_
+     1/2*c*d/((b*c-a*d)^3*(c+d*x)^2)-d*(2*b*c+a*d)/((b*c-a*d)^4*(c+d*x))-_
+     3*b*d*(b*c+a*d)*log(a+b*x)/(b*c-a*d)^5+3*b*d*(b*c+a*d)*_
+     log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R                  3 4     4   3  4         2 2 4        3   3      4 2 2  3
+--R           (- 6a b d  - 6b c d )x  + (- 12a b d  - 24a b c d  - 12b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   2
+--R           (- 6a b d  - 30a b c d  - 30a b c d  - 6b c d)x
+--R         + 
+--R                 3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                3 4     4   3  4       2 2 4        3   3      4 2 2  3
+--R           (6a b d  + 6b c d )x  + (12a b d  + 24a b c d  + 12b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b d  + 30a b c d  + 30a b c d  + 6b c d)x
+--R         + 
+--R               3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 2 4     4 2 2  3        3   4     2 2   3       3 2 2     4 3   2
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  - 9a b c d  + 9a b c d  + 9b c d)x
+--R     + 
+--R            4 4      3     3        3 3      4 4      4   3     3   2 2
+--R       (- 2a d  - 14a b c d  + 14a b c d + 2b c )x - a c d  - 9a b c d
+--R     + 
+--R         2 2 3       3 4
+--R       9a b c d + a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  790
+
+--S  791 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                  3 4     4   3  4         2 2 4        3   3      4 2 2  3
+--R           (- 6a b d  - 6b c d )x  + (- 12a b d  - 24a b c d  - 12b c d )x
+--R         + 
+--R                3   4      2 2   3        3 2 2     4 3   2
+--R           (- 6a b d  - 30a b c d  - 30a b c d  - 6b c d)x
+--R         + 
+--R                 3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (- 12a b c d  - 24a b c d  - 12a b c d)x - 6a b c d  - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                3 4     4   3  4       2 2 4        3   3      4 2 2  3
+--R           (6a b d  + 6b c d )x  + (12a b d  + 24a b c d  + 12b c d )x
+--R         + 
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b d  + 30a b c d  + 30a b c d  + 6b c d)x
+--R         + 
+--R               3     3      2 2 2 2        3 3        3   2 2     2 2 3
+--R           (12a b c d  + 24a b c d  + 12a b c d)x + 6a b c d  + 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 2 4     4 2 2  3        3   4     2 2   3       3 2 2     4 3   2
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  - 9a b c d  + 9a b c d  + 9b c d)x
+--R     + 
+--R            4 4      3     3        3 3      4 4      4   3     3   2 2
+--R       (- 2a d  - 14a b c d  + 14a b c d + 2b c )x - a c d  - 9a b c d
+--R     + 
+--R         2 2 3       3 4
+--R       9a b c d + a b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  791
+
+--S  792 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  792
+
+--S  793 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  793
+
+)clear all
+
+--S  794 of 1092
+t0:=1/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  794
+
+--S  795 of 1092
+r0:=-1/2*b^2/((b*c-a*d)^3*(a+b*x)^2)+3*b^2*d/((b*c-a*d)^4*(a+b*x))+_
+     1/2*d^2/((b*c-a*d)^3*(c+d*x)^2)+3*b*d^2/((b*c-a*d)^4*(c+d*x))+_
+     6*b^2*d^2*log(a+b*x)/(b*c-a*d)^5-6*b^2*d^2*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  795
+
+--S  796 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  796
+
+--S  797 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  797
+
+--S  798 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  798
+
+)clear all
+
+--S  799 of 1092
+t0:=1/(x*(a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 7        2 3     3   2  6      2   3       2   2     3 2   5
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  4      3   2     2   2        2 3  3
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3  2    3 3
+--R       (3a c d + 3a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  799
+
+--S  800 of 1092
+r0:=1/2*b^3/(a*(b*c-a*d)^3*(a+b*x)^2)+b^3*(b*c-4*a*d)/(a^2*(b*c-a*d)^4*_
+     (a+b*x))-1/2*d^3/(c*(b*c-a*d)^3*(c+d*x)^2)-d^3*(4*b*c-a*d)/_
+     (c^2*(b*c-a*d)^4*(c+d*x))+log(x)/(a^3*c^3)-b^3*(b^2*c^2-_
+     5*a*b*c*d+10*a^2*d^2)*log(a+b*x)/(a^3*(b*c-a*d)^5)+_
+     d^3*(10*b^2*c^2-5*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^3*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R                5 2 7      4 3   6      3 4 2 5  4
+--R           (- 2a b d  + 10a b c d  - 20a b c d )x
+--R         + 
+--R                6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (- 4a b d  + 16a b c d  - 20a b c d  - 40a b c d )x
+--R         + 
+--R                7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (- 2a d  + 2a b c d  + 18a b c d  - 70a b c d  - 20a b c d )x
+--R         + 
+--R                7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (- 4a c d  + 16a b c d  - 20a b c d  - 40a b c d )x - 2a c d
+--R         + 
+--R              6   3 4      5 2 4 3
+--R           10a b c d  - 20a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               2 5 3 4        6 4 3     7 5 2  4
+--R           (20a b c d  - 10a b c d  + 2b c d )x
+--R         + 
+--R               3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (40a b c d  + 20a b c d  - 16a b c d  + 4b c d)x
+--R         + 
+--R               4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (20a b c d  + 70a b c d  - 18a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (40a b c d  + 20a b c d  - 16a b c d + 4a b c )x + 20a b c d
+--R         + 
+--R                3 4 6      2 5 7
+--R           - 10a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3
+--R               2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R             + 
+--R                   7 5 2
+--R               - 2b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                 6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2
+--R               4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                   7 6
+--R               - 4b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R             + 
+--R                  2 5 5 2       6 6      7 7
+--R               18a b c d  + 2a b c d - 2b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6
+--R               4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                     6 7
+--R               - 4a b c
+--R          *
+--R             x
+--R         + 
+--R             7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R           2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          5 2   6      4 3 2 5      2 5 4 3       6 5 2  3
+--R       (2a b c d  - 10a b c d  + 10a b c d  - 2a b c d )x
+--R     + 
+--R               6     6      5 2 2 5     4 3 3 4     3 4 4 3      2 5 5 2
+--R             4a b c d  - 17a b c d  - 5a b c d  + 5a b c d  + 17a b c d
+--R           + 
+--R                   6 6
+--R             - 4a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6     6   2 5      5 2 3 4      3 4 5 2     2 5 6        6 7
+--R       (2a c d  - 4a b c d  - 16a b c d  + 16a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R             8 2 3 7      7 3 4 6      6 4 5 5      5 5 6 4      4 6 7 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               3 7 8 2
+--R           - 2a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             9   3 7      8 2 4 6      7 3 5 5      5 5 7 3      4 6 8 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               3 7 9
+--R           - 4a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             10 3 7     9   4 6      8 2 5 5      7 3 6 4      6 4 7 3
+--R           2a  c d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              5 5 8 2     4 6 9      3 7 10
+--R           18a b c d  + 2a b c d - 2a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          10 4 6      9   5 5      8 2 6 4      6 4 8 2      5 5 9      4 6 10
+--R       (4a  c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c  )x
+--R     + 
+--R         10 5 5      9   6 4      8 2 7 3      7 3 8 2      6 4 9      5 5 10
+--R       2a  c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E  800
+
+--S  801 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R                5 2 7      4 3   6      3 4 2 5  4
+--R           (- 2a b d  + 10a b c d  - 20a b c d )x
+--R         + 
+--R                6   7      5 2   6      4 3 2 5      3 4 3 4  3
+--R           (- 4a b d  + 16a b c d  - 20a b c d  - 40a b c d )x
+--R         + 
+--R                7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3  2
+--R           (- 2a d  + 2a b c d  + 18a b c d  - 70a b c d  - 20a b c d )x
+--R         + 
+--R                7   6      6   2 5      5 2 3 4      4 3 4 3       7 2 5
+--R           (- 4a c d  + 16a b c d  - 20a b c d  - 40a b c d )x - 2a c d
+--R         + 
+--R              6   3 4      5 2 4 3
+--R           10a b c d  - 20a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               2 5 3 4        6 4 3     7 5 2  4
+--R           (20a b c d  - 10a b c d  + 2b c d )x
+--R         + 
+--R               3 4 3 4      2 5 4 3        6 5 2     7 6   3
+--R           (40a b c d  + 20a b c d  - 16a b c d  + 4b c d)x
+--R         + 
+--R               4 3 3 4      3 4 4 3      2 5 5 2       6 6      7 7  2
+--R           (20a b c d  + 70a b c d  - 18a b c d  - 2a b c d + 2b c )x
+--R         + 
+--R               4 3 4 3      3 4 5 2      2 5 6        6 7        4 3 5 2
+--R           (40a b c d  + 20a b c d  - 16a b c d + 4a b c )x + 20a b c d
+--R         + 
+--R                3 4 6      2 5 7
+--R           - 10a b c d + 2a b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3
+--R               2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R             + 
+--R                   7 5 2
+--R               - 2b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                 6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2
+--R               4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                   7 6
+--R               - 4b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R             + 
+--R                  2 5 5 2       6 6      7 7
+--R               18a b c d  + 2a b c d - 2b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6
+--R               4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R             + 
+--R                     6 7
+--R               - 4a b c
+--R          *
+--R             x
+--R         + 
+--R             7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R           2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R      *
+--R         log(x)
+--R     + 
+--R          5 2   6      4 3 2 5      2 5 4 3       6 5 2  3
+--R       (2a b c d  - 10a b c d  + 10a b c d  - 2a b c d )x
+--R     + 
+--R               6     6      5 2 2 5     4 3 3 4     3 4 4 3      2 5 5 2
+--R             4a b c d  - 17a b c d  - 5a b c d  + 5a b c d  + 17a b c d
+--R           + 
+--R                   6 6
+--R             - 4a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6     6   2 5      5 2 3 4      3 4 5 2     2 5 6        6 7
+--R       (2a c d  - 4a b c d  - 16a b c d  + 16a b c d  + 4a b c d - 2a b c )x
+--R     + 
+--R         7 2 5      6   3 4     5 2 4 3     4 3 5 2      3 4 6      2 5 7
+--R       3a c d  - 12a b c d  + 9a b c d  - 9a b c d  + 12a b c d - 3a b c
+--R  /
+--R             8 2 3 7      7 3 4 6      6 4 5 5      5 5 6 4      4 6 7 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               3 7 8 2
+--R           - 2a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             9   3 7      8 2 4 6      7 3 5 5      5 5 7 3      4 6 8 2
+--R           4a b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               3 7 9
+--R           - 4a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             10 3 7     9   4 6      8 2 5 5      7 3 6 4      6 4 7 3
+--R           2a  c d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              5 5 8 2     4 6 9      3 7 10
+--R           18a b c d  + 2a b c d - 2a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          10 4 6      9   5 5      8 2 6 4      6 4 8 2      5 5 9      4 6 10
+--R       (4a  c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c  )x
+--R     + 
+--R         10 5 5      9   6 4      8 2 7 3      7 3 8 2      6 4 9      5 5 10
+--R       2a  c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E  801
+
+--S  802 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  802
+
+--S  803 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  803
+
+)clear all
+
+--S  804 of 1092
+t0:=1/(x^2*(a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 8        2 3     3   2  7      2   3       2   2     3 2   6
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  5      3   2     2   2        2 3  4
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3  3    3 3 2
+--R       (3a c d + 3a b c )x  + a c x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E  804
+
+--S  805 of 1092
+r0:=(-1)/(a^3*c^3*x)-1/2*b^4/(a^2*(b*c-a*d)^3*(a+b*x)^2)-b^4*(2*b*c-5*a*d)/_
+     (a^3*(b*c-a*d)^4*(a+b*x))+1/2*d^4/(c^2*(b*c-a*d)^3*_
+     (c+d*x)^2)+d^4*(5*b*c-2*a*d)/(c^3*(b*c-a*d)^4*(c+d*x))-_
+     3*(b*c+a*d)*log(x)/(a^4*c^4)+3*b^4*(b^2*c^2-4*a*b*c*d+_
+     5*a^2*d^2)*log(a+b*x)/(a^4*(b*c-a*d)^5)-3*d^4*(5*b^2*c^2-_
+     4*a*b*c*d+a^2*d^2)*log(c+d*x)/(c^4*(b*c-a*d)^5)
+--R 
+--R
+--R   (2)
+--R              6 2 8      5 3   7      4 4 2 6  5
+--R           (6a b d  - 24a b c d  + 30a b c d )x
+--R         + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5  4
+--R           (12a b d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 8      6 2 2 6      5 3 3 5      4 4 4 4  3
+--R           (6a d  - 60a b c d  + 96a b c d  + 30a b c d )x
+--R         + 
+--R               8   7      7   2 6      6 2 3 5      5 3 4 4  2
+--R           (12a c d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 2 6      7   3 5      6 2 4 4
+--R           (6a c d  - 24a b c d  + 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 2 6 4 4        7 5 3     8 6 2  5
+--R           (- 30a b c d  + 24a b c d  - 6b c d )x
+--R         + 
+--R                 3 5 4 4      2 6 5 3        7 6 2      8 7   4
+--R           (- 60a b c d  - 12a b c d  + 36a b c d  - 12b c d)x
+--R         + 
+--R                 4 4 4 4      3 5 5 3      2 6 6 2     8 8  3
+--R           (- 30a b c d  - 96a b c d  + 60a b c d  - 6b c )x
+--R         + 
+--R                 4 4 5 3      3 5 6 2      2 6 7         7 8  2
+--R           (- 60a b c d  - 12a b c d  + 36a b c d - 12a b c )x
+--R         + 
+--R                 4 4 6 2      3 5 7      2 6 8
+--R           (- 30a b c d  + 24a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3
+--R               - 6a b d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 8 6 2
+--R               6b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R               - 12a b d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  2 6 5 3        7 6 2      8 7
+--R               12a b c d  - 36a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     8 8      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R                 - 6a d  + 60a b c d  - 96a b c d  + 96a b c d  - 60a b c d
+--R               + 
+--R                   8 8
+--R                 6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    8   7      7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R               - 12a c d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  3 5 6 2      2 6 7         7 8
+--R               12a b c d  - 36a b c d + 12a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7
+--R               - 6a c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 2 6 8
+--R               6a b c
+--R          *
+--R             x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 2   7      5 3 2 6      4 4 3 5      3 5 4 4      2 6 5 3
+--R           - 6a b c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R         + 
+--R               7 6 2
+--R           6a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           - 12a b c d  + 39a b c d  - 24a b c d  + 24a b c d  - 39a b c d
+--R         + 
+--R                7 7
+--R           12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8   7     7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R           - 6a c d  + 6a b c d  + 40a b c d  - 72a b c d  + 72a b c d
+--R         + 
+--R                3 5 6 2     2 6 7        7 8
+--R           - 40a b c d  - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       (- 9a c d  + 32a b c d  - 31a b c d  + 31a b c d  - 32a b c d + 9a b c )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7      3 5 8
+--R       - 2a c d  + 10a b c d  - 20a b c d  + 20a b c d  - 10a b c d + 2a b c
+--R  /
+--R             9 2 4 7      8 3 5 6      7 4 6 5      6 5 7 4      5 6 8 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               4 7 9 2
+--R           - 2a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R             10   4 7      9 2 5 6      8 3 6 5      6 5 8 3      5 6 9 2
+--R           4a  b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               4 7 10
+--R           - 4a b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             11 4 7     10   5 6      9 2 6 5      8 3 7 4      7 4 8 3
+--R           2a  c d  - 2a  b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              6 5 9 2     5 6 10      4 7 11
+--R           18a b c d  + 2a b c  d - 2a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             11 5 6      10   6 5      9 2 7 4      7 4 9 2      6 5 10
+--R           4a  c d  - 16a  b c d  + 20a b c d  - 20a b c d  + 16a b c  d
+--R         + 
+--R               5 6 11
+--R           - 4a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R        11 6 5      10   7 4      9 2 8 3      8 3 9 2      7 4 10      6 5 11
+--R     (2a  c d  - 10a  b c d  + 20a b c d  - 20a b c d  + 10a b c  d - 2a b c  )x
+--R                                                    Type: Expression(Integer)
+--E  805
+
+--S  806 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R              6 2 8      5 3   7      4 4 2 6  5
+--R           (6a b d  - 24a b c d  + 30a b c d )x
+--R         + 
+--R               7   8      6 2   7      5 3 2 6      4 4 3 5  4
+--R           (12a b d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 8      6 2 2 6      5 3 3 5      4 4 4 4  3
+--R           (6a d  - 60a b c d  + 96a b c d  + 30a b c d )x
+--R         + 
+--R               8   7      7   2 6      6 2 3 5      5 3 4 4  2
+--R           (12a c d  - 36a b c d  + 12a b c d  + 60a b c d )x
+--R         + 
+--R              8 2 6      7   3 5      6 2 4 4
+--R           (6a c d  - 24a b c d  + 30a b c d )x
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 2 6 4 4        7 5 3     8 6 2  5
+--R           (- 30a b c d  + 24a b c d  - 6b c d )x
+--R         + 
+--R                 3 5 4 4      2 6 5 3        7 6 2      8 7   4
+--R           (- 60a b c d  - 12a b c d  + 36a b c d  - 12b c d)x
+--R         + 
+--R                 4 4 4 4      3 5 5 3      2 6 6 2     8 8  3
+--R           (- 30a b c d  - 96a b c d  + 60a b c d  - 6b c )x
+--R         + 
+--R                 4 4 5 3      3 5 6 2      2 6 7         7 8  2
+--R           (- 60a b c d  - 12a b c d  + 36a b c d - 12a b c )x
+--R         + 
+--R                 4 4 6 2      3 5 7      2 6 8
+--R           (- 30a b c d  + 24a b c d - 6a b c )x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   6 2 8      5 3   7      4 4 2 6      2 6 4 4        7 5 3
+--R               - 6a b d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 8 6 2
+--R               6b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    7   8      6 2   7      5 3 2 6      4 4 3 5      3 5 4 4
+--R               - 12a b d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  2 6 5 3        7 6 2      8 7
+--R               12a b c d  - 36a b c d  + 12b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     8 8      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R                 - 6a d  + 60a b c d  - 96a b c d  + 96a b c d  - 60a b c d
+--R               + 
+--R                   8 8
+--R                 6b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    8   7      7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R               - 12a c d  + 36a b c d  - 12a b c d  - 60a b c d  + 60a b c d
+--R             + 
+--R                  3 5 6 2      2 6 7         7 8
+--R               12a b c d  - 36a b c d + 12a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7
+--R               - 6a c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R             + 
+--R                 2 6 8
+--R               6a b c
+--R          *
+--R             x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 2   7      5 3 2 6      4 4 3 5      3 5 4 4      2 6 5 3
+--R           - 6a b c d  + 24a b c d  - 30a b c d  + 30a b c d  - 24a b c d
+--R         + 
+--R               7 6 2
+--R           6a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7     7      6 2 2 6      5 3 3 5      3 5 5 3      2 6 6 2
+--R           - 12a b c d  + 39a b c d  - 24a b c d  + 24a b c d  - 39a b c d
+--R         + 
+--R                7 7
+--R           12a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               8   7     7   2 6      6 2 3 5      5 3 4 4      4 4 5 3
+--R           - 6a c d  + 6a b c d  + 40a b c d  - 72a b c d  + 72a b c d
+--R         + 
+--R                3 5 6 2     2 6 7        7 8
+--R           - 40a b c d  - 6a b c d + 6a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            8 2 6      7   3 5      6 2 4 4      4 4 6 2      3 5 7      2 6 8
+--R       (- 9a c d  + 32a b c d  - 31a b c d  + 31a b c d  - 32a b c d + 9a b c )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7      3 5 8
+--R       - 2a c d  + 10a b c d  - 20a b c d  + 20a b c d  - 10a b c d + 2a b c
+--R  /
+--R             9 2 4 7      8 3 5 6      7 4 6 5      6 5 7 4      5 6 8 3
+--R           2a b c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d
+--R         + 
+--R               4 7 9 2
+--R           - 2a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R             10   4 7      9 2 5 6      8 3 6 5      6 5 8 3      5 6 9 2
+--R           4a  b c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d
+--R         + 
+--R               4 7 10
+--R           - 4a b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R             11 4 7     10   5 6      9 2 6 5      8 3 7 4      7 4 8 3
+--R           2a  c d  - 2a  b c d  - 18a b c d  + 50a b c d  - 50a b c d
+--R         + 
+--R              6 5 9 2     5 6 10      4 7 11
+--R           18a b c d  + 2a b c  d - 2a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             11 5 6      10   6 5      9 2 7 4      7 4 9 2      6 5 10
+--R           4a  c d  - 16a  b c d  + 20a b c d  - 20a b c d  + 16a b c  d
+--R         + 
+--R               5 6 11
+--R           - 4a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R        11 6 5      10   7 4      9 2 8 3      8 3 9 2      7 4 10      6 5 11
+--R     (2a  c d  - 10a  b c d  + 20a b c d  - 20a b c d  + 10a b c  d - 2a b c  )x
+--R                                         Type: Union(Expression(Integer),...)
+--E  806
+
+--S  807 of 1092
+m0:=a0-r0
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E  807
+
+--S  808 of 1092
+d0:=D(m0,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  808
+
+)clear all
+
+--S  809 of 1092
+t0:=(a+b*x)^2/(x^2*sqrt(c+d*x))
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R            2 +-------+
+--R           x \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  809
+
+--S  810 of 1092
+r0:=-a*(4*b*c-a*d)*atanh(sqrt(c+d*x)/sqrt(c))/c^(3/2)+2*b^2*sqrt(c+d*x)/d-_
+     a^2*sqrt(c+d*x)/(c*x)
+--R 
+--R
+--R                                  +-------+
+--R          2 2                    \|d x + c        2       2   +-+ +-------+
+--R        (a d  - 4a b c d)x atanh(----------) + (2b c x - a d)\|c \|d x + c
+--R                                     +-+
+--R                                    \|c
+--R   (2)  -------------------------------------------------------------------
+--R                                           +-+
+--R                                     c d x\|c
+--R                                                    Type: Expression(Integer)
+--E  810
+
+--S  811 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                   +-------+              +-+
+--R           2 2                  2c\|d x + c  + (d x + 2c)\|c
+--R         (a d  - 4a b c d)x log(-----------------------------)
+--R                                              x
+--R       + 
+--R            2        2   +-+ +-------+
+--R         (4b c x - 2a d)\|c \|d x + c
+--R    /
+--R              +-+
+--R       2c d x\|c
+--R     ,
+--R                             +---+ +-------+
+--R      2 2                   \|- c \|d x + c        2       2   +---+ +-------+
+--R    (a d  - 4a b c d)x atan(----------------) + (2b c x - a d)\|- c \|d x + c
+--R                                    c
+--R    --------------------------------------------------------------------------]
+--R                                          +---+
+--R                                    c d x\|- c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  811
+
+--S  812 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                            +-------+              +-+
+--R         2               2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4a b c)log(-----------------------------)
+--R                                       x
+--R     + 
+--R                               +-------+
+--R            2                 \|d x + c
+--R       (- 2a d + 8a b c)atanh(----------)
+--R                                  +-+
+--R                                 \|c
+--R  /
+--R        +-+
+--R     2c\|c
+--R                                                    Type: Expression(Integer)
+--E  812
+
+--S  813 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  813
+
+--S  814 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                    +-------+
+--R           2            +---+      \|d x + c
+--R       (- a d + 4a b c)\|- c atanh(----------)
+--R                                       +-+
+--R                                      \|c
+--R     + 
+--R                               +---+ +-------+
+--R         2            +-+     \|- c \|d x + c
+--R       (a d - 4a b c)\|c atan(----------------)
+--R                                      c
+--R  /
+--R       +---+ +-+
+--R     c\|- c \|c
+--R                                                    Type: Expression(Integer)
+--E  814
+
+--S  815 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  815
+
+)clear all
+
+--S  816 of 1092
+t0:=(c+d*x)^(3/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R                   +-------+
+--R         (d x + c)\|d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  816
+
+--S  817 of 1092
+r0:=-(c+d*x)^(3/2)/(a*x*(a+b*x))+(4*b*c-3*a*d)*atanh(sqrt(c+d*x)/sqrt(c))*_
+     sqrt(c)/a^3-(4*b*c-a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b*c-a*d)/(a^3*sqrt(b))-2*(b*c-a*d)*sqrt(c+d*x)/(a^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R                   2   2     2              +-----------+      \|b \|d x + c
+--R       ((a b d - 4b c)x  + (a d - 4a b c)x)\|- a d + b c atanh(--------------)
+--R                                                                +-----------+
+--R                                                               \|- a d + b c
+--R     + 
+--R                                                                +-------+
+--R                      2   2        2              +-+ +-+      \|d x + c
+--R       ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|b \|c atanh(----------)
+--R                                                                   +-+
+--R                                                                  \|c
+--R     + 
+--R          2                2   +-+ +-------+
+--R       ((a d - 2a b c)x - a c)\|b \|d x + c
+--R  /
+--R       3   2    4   +-+
+--R     (a b x  + a x)\|b
+--R                                                    Type: Expression(Integer)
+--E  817
+
+--S  818 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                +-----------+
+--R                       2   2     2              |- a d + b c
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                        2   2      2              +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                        2   2      2              +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R                                                +---------+       +-------+
+--R                      2   2      2              |a d - b c       \|d x + c
+--R         ((2a b d - 8b c)x  + (2a d - 8a b c)x) |--------- atan(------------)
+--R                                               \|    b           +---------+
+--R                                                                 |a d - b c
+--R                                                                 |---------
+--R                                                                \|    b
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                                                +-----------+
+--R                       2   2     2              |- a d + b c
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                               +-------+
+--R                        2   2        2              +---+     \|d x + c
+--R         ((- 6a b d + 8b c)x  + (- 6a d + 8a b c)x)\|- c atan(----------)
+--R                                                                 +---+
+--R                                                                \|- c
+--R       + 
+--R             2                 2   +-------+
+--R         ((2a d - 4a b c)x - 2a c)\|d x + c
+--R    /
+--R         3   2     4
+--R       2a b x  + 2a x
+--R     ,
+--R
+--R                                                               +-------+
+--R                        2   2        2              +---+     \|d x + c
+--R         ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|- c atan(----------)
+--R                                                                 +---+
+--R                                                                \|- c
+--R       + 
+--R                                              +---------+       +-------+
+--R                     2   2     2              |a d - b c       \|d x + c
+--R         ((a b d - 4b c)x  + (a d - 4a b c)x) |--------- atan(------------)
+--R                                             \|    b           +---------+
+--R                                                               |a d - b c
+--R                                                               |---------
+--R                                                              \|    b
+--R       + 
+--R            2                2   +-------+
+--R         ((a d - 2a b c)x - a c)\|d x + c
+--R    /
+--R        3   2    4
+--R       a b x  + a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  818
+
+--S  819 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                      +-----------+
+--R                      |- a d + b c  +-+
+--R         (a d - 4b c) |----------- \|b
+--R                     \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                    +-+ +-------+
+--R                     +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (3a d - 4b c)\|b \|c log(----------------------------)
+--R                                              x
+--R     + 
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 8b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                   +-------+
+--R                     +-+ +-+      \|d x + c
+--R       (6a d - 8b c)\|b \|c atanh(----------)
+--R                                      +-+
+--R                                     \|c
+--R  /
+--R       3 +-+
+--R     2a \|b
+--R                                                    Type: Expression(Integer)
+--E  819
+
+--S  820 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  820
+
+--S  821 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                    +-+ +-------+
+--R                     +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (3a d - 4b c)\|b \|c log(----------------------------)
+--R                                              x
+--R     + 
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 8b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                   +-------+
+--R                     +-+ +-+      \|d x + c
+--R       (6a d - 8b c)\|b \|c atanh(----------)
+--R                                      +-+
+--R                                     \|c
+--R     + 
+--R                         +---------+       +-------+
+--R                     +-+ |a d - b c       \|d x + c
+--R       (2a d - 8b c)\|b  |--------- atan(------------)
+--R                        \|    b           +---------+
+--R                                          |a d - b c
+--R                                          |---------
+--R                                         \|    b
+--R  /
+--R       3 +-+
+--R     2a \|b
+--R                                                    Type: Expression(Integer)
+--E  821
+
+--S  822 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  822
+
+)clear all
+
+--S  823 of 1092
+t0:=(c+d*x)^(1/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R               +-------+
+--R              \|d x + c
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  823
+
+--S  824 of 1092
+r0:=(4*b*c-a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*sqrt(c))-(4*b*c-3*a*d)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/(a^3*sqrt(b*c-a*d))-_
+     2*b*sqrt(c+d*x)/(a^2*(a+b*x))-sqrt(c+d*x)/(a*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R                    2   2      2              +-+ +-+      \|b \|d x + c
+--R       ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|b \|c atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R     + 
+--R                                                                    +-------+
+--R                     2   2       2              +-----------+      \|d x + c
+--R       ((- a b d + 4b c)x  + (- a d + 4a b c)x)\|- a d + b c atanh(----------)
+--R                                                                       +-+
+--R                                                                      \|c
+--R     + 
+--R                    2  +-----------+ +-+ +-------+
+--R       (- 2a b x - a )\|- a d + b c \|c \|d x + c
+--R  /
+--R       3   2    4   +-----------+ +-+
+--R     (a b x  + a x)\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  824
+
+--S  825 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                       2   2     2
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x)
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                  +-----------+
+--R                        2   2      2              |      b      +-+
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x) |- --------- \|c
+--R                                                 \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                       2  +-+ +-------+
+--R         (- 4a b x - 2a )\|c \|d x + c
+--R    /
+--R          3   2     4   +-+
+--R       (2a b x  + 2a x)\|c
+--R     ,
+--R
+--R                       2   2     2
+--R           ((a b d - 4b c)x  + (a d - 4a b c)x)
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                      +---------+
+--R                          2   2        2              |    b      +-+
+--R           ((- 6a b d + 8b c)x  + (- 6a d + 8a b c)x) |--------- \|c
+--R                                                     \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R                       2  +-+ +-------+
+--R         (- 4a b x - 2a )\|c \|d x + c
+--R    /
+--R          3   2     4   +-+
+--R       (2a b x  + 2a x)\|c
+--R     ,
+--R
+--R                                                        +-----------+
+--R                        2   2      2              +---+ |      b
+--R           ((3a b d - 4b c)x  + (3a d - 4a b c)x)\|- c  |- ---------
+--R                                                       \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                                         +---+ +-------+
+--R                        2   2        2                  \|- c \|d x + c
+--R         ((- 2a b d + 8b c)x  + (- 2a d + 8a b c)x)atan(----------------)
+--R                                                                c
+--R       + 
+--R                       2  +---+ +-------+
+--R         (- 4a b x - 2a )\|- c \|d x + c
+--R    /
+--R          3   2     4   +---+
+--R       (2a b x  + 2a x)\|- c
+--R     ,
+--R
+--R                                                       +---+ +-------+
+--R                       2   2       2                  \|- c \|d x + c
+--R         ((- a b d + 4b c)x  + (- a d + 4a b c)x)atan(----------------)
+--R                                                              c
+--R       + 
+--R                                                            +---------+
+--R                          2   2        2              +---+ |    b
+--R           ((- 3a b d + 4b c)x  + (- 3a d + 4a b c)x)\|- c  |---------
+--R                                                           \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R                      2  +---+ +-------+
+--R         (- 2a b x - a )\|- c \|d x + c
+--R    /
+--R         3   2    4   +---+
+--R       (a b x  + a x)\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  825
+
+--S  826 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-------+              +-+
+--R                    +-----------+    - 2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4b c)\|- a d + b c log(-------------------------------)
+--R                                                    x
+--R     + 
+--R                                     +-----------+
+--R                       +-----------+ |      b      +-+
+--R         (3a d - 4b c)\|- a d + b c  |- --------- \|c
+--R                                    \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|b \|d x + c
+--R       (- 6a d + 8b c)\|b \|c atanh(--------------)
+--R                                     +-----------+
+--R                                    \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                     +-----------+      \|d x + c
+--R       (2a d - 8b c)\|- a d + b c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3 +-----------+ +-+
+--R     2a \|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  826
+
+--S  827 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  827
+
+--S  828 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                          +-------+              +-+
+--R                    +-----------+    - 2c\|d x + c  + (d x + 2c)\|c
+--R       (a d - 4b c)\|- a d + b c log(-------------------------------)
+--R                                                    x
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|b \|d x + c
+--R       (- 6a d + 8b c)\|b \|c atanh(--------------)
+--R                                     +-----------+
+--R                                    \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                     +-----------+      \|d x + c
+--R       (2a d - 8b c)\|- a d + b c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                   +---------+                 +-------+
+--R                     +-----------+ |    b      +-+           b\|d x + c
+--R     (- 6a d + 8b c)\|- a d + b c  |--------- \|c atan(-----------------------)
+--R                                  \|a d - b c                      +---------+
+--R                                                                   |    b
+--R                                                       (a d - b c) |---------
+--R                                                                  \|a d - b c
+--R  /
+--R       3 +-----------+ +-+
+--R     2a \|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  828
+
+--S  829 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  829
+
+)clear all
+
+--S  830 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(1/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  830
+
+--S  831 of 1092
+r0:=(4*b*c+a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*c^(3/2))-b^(3/2)*_
+     (4*b*c-5*a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*_
+     (b*c-a*d)^(3/2))-b*(2*b*c-a*d)*sqrt(c+d*x)/(a^2*c*(b*c-a*d)*(a+b*x))-_
+     sqrt(c+d*x)/(a*c*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-------+
+--R          +-----------+      \|d x + c
+--R         \|- a d + b c atanh(----------)
+--R                                 +-+
+--R                                \|c
+--R     + 
+--R            2          2       3     2     +-----------+ +-+ +-------+
+--R       ((- a b d + 2a b c)x - a d + a b c)\|- a d + b c \|c \|d x + c
+--R  /
+--R        4         3 2 2  2     5       4   2    +-----------+ +-+
+--R     ((a b c d - a b c )x  + (a c d - a b c )x)\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  831
+
+--S  832 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                          +-----------+
+--R                 2        3 2  2      2            2 2    |      b      +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x) |- --------- \|c
+--R                                                         \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                  +-------+              +-+
+--R               2c\|d x + c  + (d x + 2c)\|c
+--R           log(-----------------------------)
+--R                             x
+--R       + 
+--R               2          2        3      2     +-+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +-+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|c
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                  +-------+              +-+
+--R               2c\|d x + c  + (d x + 2c)\|c
+--R           log(-----------------------------)
+--R                             x
+--R       + 
+--R                                                            +---------+
+--R                  2        3 2  2       2            2 2    |    b      +-+
+--R           ((10a b c d - 8b c )x  + (10a b c d - 8a b c )x) |--------- \|c
+--R                                                           \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R               2          2        3      2     +-+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +-+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|c
+--R     ,
+--R
+--R                                                                +-----------+
+--R                 2        3 2  2      2            2 2    +---+ |      b
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|- c  |- ---------
+--R                                                               \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R               2   2       2        3 2  2      3 2     2            2 2
+--R           ((2a b d  + 6a b c d - 8b c )x  + (2a d  + 6a b c d - 8a b c )x)
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R               2          2        3      2     +---+ +-------+
+--R         ((- 2a b d + 4a b c)x - 2a d + 2a b c)\|- c \|d x + c
+--R    /
+--R           4          3 2 2  2      5        4   2    +---+
+--R       ((2a b c d - 2a b c )x  + (2a c d - 2a b c )x)\|- c
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                                                                +---------+
+--R                 2        3 2  2      2            2 2    +---+ |    b
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|- c  |---------
+--R                                                               \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R              2          2       3     2     +---+ +-------+
+--R         ((- a b d + 2a b c)x - a d + a b c)\|- c \|d x + c
+--R    /
+--R          4         3 2 2  2     5       4   2    +---+
+--R       ((a b c d - a b c )x  + (a c d - a b c )x)\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  832
+
+--S  833 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-----------+
+--R                       2 2  +-----------+ |      b      +-+
+--R         (5a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                                                     +-------+              +-+
+--R         2 2                2 2  +-----------+    2c\|d x + c  + (d x + 2c)\|c
+--R       (a d  + 3a b c d - 4b c )\|- a d + b c log(-----------------------------)
+--R                                                                x
+--R     + 
+--R                                         +-+ +-------+
+--R                      2 2  +-+ +-+      \|b \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R            2 2                2 2  +-----------+      \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R  /
+--R        4        3   2  +-----------+ +-+
+--R     (2a c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  833
+
+--S  834 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  834
+
+--S  835 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                     +-------+              +-+
+--R         2 2                2 2  +-----------+    2c\|d x + c  + (d x + 2c)\|c
+--R       (a d  + 3a b c d - 4b c )\|- a d + b c log(-----------------------------)
+--R                                                                x
+--R     + 
+--R                                         +-+ +-------+
+--R                      2 2  +-+ +-+      \|b \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R            2 2                2 2  +-----------+      \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R     + 
+--R                                           +---------+
+--R                        2 2  +-----------+ |    b      +-+
+--R         (10a b c d - 8b c )\|- a d + b c  |--------- \|c
+--R                                          \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        4        3   2  +-----------+ +-+
+--R     (2a c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  835
+
+--S  836 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  836
+
+)clear all
+
+--S  837 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                                        1
+--R   (1)  -----------------------------------------------------------------
+--R          2   5              2   4     2            3    2   2  +-------+
+--R        (b d x  + (2a b d + b c)x  + (a d + 2a b c)x  + a c x )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E  837
+
+--S  838 of 1092
+r0:=(4*b*c+3*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/(a^3*c^(5/2))-b^(5/2)*_
+     (4*b*c-7*a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a^3*(b*c-a*d)^(5/2))-d*(2*b^2*c^2-2*a*b*c*d+3*a^2*d^2)/_
+     (a^2*c^2*(b*c-a*d)^2*sqrt(c+d*x))-b*(2*b*c-a*d)/(a^2*c*(b*c-a*d)*_
+     (a+b*x)*sqrt(c+d*x))+(-1)/(a*c*x*(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               3 2      4 3  2      2 2 2        3 3    +-+ +-+ +-------+
+--R         ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x)\|b \|c \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              3   3     2 2   2       3 2      4 3  2
+--R           (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R         + 
+--R              4 3     3     2     2 2 2        3 3
+--R           (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R      *
+--R                                        +-------+
+--R          +-----------+ +-------+      \|d x + c
+--R         \|- a d + b c \|d x + c atanh(----------)
+--R                                           +-+
+--R                                          \|c
+--R     + 
+--R                3   3     2 2   2       3 2   2
+--R           (- 3a b d  + 2a b c d  - 2a b c d)x
+--R         + 
+--R              4 3    3     2    2 2 2        3 3      4   2     3   2     2 2 3
+--R         (- 3a d  + a b c d  + a b c d - 2a b c )x - a c d  + 2a b c d - a b c
+--R      *
+--R          +-----------+ +-+
+--R         \|- a d + b c \|c
+--R  /
+--R          5   2 2     4 2 3     3 3 4  2     6 2 2     5   3     4 2 4
+--R       ((a b c d  - 2a b c d + a b c )x  + (a c d  - 2a b c d + a b c )x)
+--R    *
+--R        +-----------+ +-+ +-------+
+--R       \|- a d + b c \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  838
+
+--S  839 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                                                          +-----------+
+--R                 3 2      4 3  2      2 2 2        3 3    |      b      +-+
+--R           ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x) |- --------- \|c
+--R                                                         \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                                                                +---------+
+--R                    3 2      4 3  2         2 2 2        3 3    |    b      +-+
+--R           ((- 14a b c d + 8b c )x  + (- 14a b c d + 8a b c )x) |--------- \|c
+--R                                                               \|a d - b c
+--R        *
+--R                                  +-------+
+--R            +-------+           b\|d x + c
+--R           \|d x + c atan(-----------------------)
+--R                                      +---------+
+--R                                      |    b
+--R                          (a d - b c) |---------
+--R                                     \|a d - b c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                                                                +-----------+
+--R                 3 2      4 3  2      2 2 2        3 3    +---+ |      b
+--R           ((7a b c d - 4b c )x  + (7a b c d - 4a b c )x)\|- c  |- ---------
+--R                                                               \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                3   3     2 2   2        3 2      4 3  2
+--R             (6a b d  - 4a b c d  - 10a b c d + 8b c )x
+--R           + 
+--R                4 3     3     2      2 2 2        3 3
+--R             (6a d  - 4a b c d  - 10a b c d + 8a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 6a b d  + 4a b c d  - 4a b c d)x
+--R           + 
+--R                  4 3     3     2     2 2 2        3 3       4   2     3   2
+--R             (- 6a d  + 2a b c d  + 2a b c d - 4a b c )x - 2a c d  + 4a b c d
+--R           + 
+--R                 2 2 3
+--R             - 2a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R             5   2 2     4 2 3      3 3 4  2      6 2 2     5   3      4 2 4
+--R         ((2a b c d  - 4a b c d + 2a b c )x  + (2a c d  - 4a b c d + 2a b c )x)
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ,
+--R
+--R                3   3     2 2   2       3 2      4 3  2
+--R             (3a b d  - 2a b c d  - 5a b c d + 4b c )x
+--R           + 
+--R                4 3     3     2     2 2 2        3 3
+--R             (3a d  - 2a b c d  - 5a b c d + 4a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                                                                    +---------+
+--R                   3 2      4 3  2        2 2 2        3 3    +---+ |    b
+--R           ((- 7a b c d + 4b c )x  + (- 7a b c d + 4a b c )x)\|- c  |---------
+--R                                                                   \|a d - b c
+--R        *
+--R                                  +-------+
+--R            +-------+           b\|d x + c
+--R           \|d x + c atan(-----------------------)
+--R                                      +---------+
+--R                                      |    b
+--R                          (a d - b c) |---------
+--R                                     \|a d - b c
+--R       + 
+--R                  3   3     2 2   2       3 2   2
+--R             (- 3a b d  + 2a b c d  - 2a b c d)x
+--R           + 
+--R                  4 3    3     2    2 2 2        3 3      4   2     3   2
+--R             (- 3a d  + a b c d  + a b c d - 2a b c )x - a c d  + 2a b c d
+--R           + 
+--R                2 2 3
+--R             - a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R            5   2 2     4 2 3     3 3 4  2     6 2 2     5   3     4 2 4
+--R         ((a b c d  - 2a b c d + a b c )x  + (a c d  - 2a b c d + a b c )x)
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  839
+
+--S  840 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3     2     2       2 2      3 3  +-----------+
+--R         (3a d  - 2a b c d  - 5a b c d + 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                          +-----------+
+--R              2 2      3 3  +-----------+ |      b      +-+
+--R         (7a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                                           +-+ +-------+
+--R               2 2      3 3  +-+ +-+      \|b \|d x + c
+--R       (- 14a b c d + 8b c )\|b \|c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                                                     +-------+
+--R            3 3     2     2        2 2      3 3  +-----------+      \|d x + c
+--R       (- 6a d  + 4a b c d  + 10a b c d - 8b c )\|- a d + b c atanh(----------)
+--R                                                                        +-+
+--R                                                                       \|c
+--R  /
+--R        5 2 2     4   3      3 2 4  +-----------+ +-+
+--R     (2a c d  - 4a b c d + 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  840
+
+--S  841 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  841
+
+--S  842 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3     2     2       2 2      3 3  +-----------+
+--R         (3a d  - 2a b c d  - 5a b c d + 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                           +-+ +-------+
+--R               2 2      3 3  +-+ +-+      \|b \|d x + c
+--R       (- 14a b c d + 8b c )\|b \|c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                                                                     +-------+
+--R            3 3     2     2        2 2      3 3  +-----------+      \|d x + c
+--R       (- 6a d  + 4a b c d  + 10a b c d - 8b c )\|- a d + b c atanh(----------)
+--R                                                                        +-+
+--R                                                                       \|c
+--R     + 
+--R                                             +---------+
+--R                 2 2      3 3  +-----------+ |    b      +-+
+--R         (- 14a b c d + 8b c )\|- a d + b c  |--------- \|c
+--R                                            \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        5 2 2     4   3      3 2 4  +-----------+ +-+
+--R     (2a c d  - 4a b c d + 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  842
+
+--S  843 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  843
+
+)clear all
+
+--S  844 of 1092
+t0:=1/(x^2*(a+b*x)^2*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          2 2 6          2     2     5     2 2               2 2  4
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2  3    2 2 2
+--R         (2a c d + 2a b c )x  + a c x
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  844
+
+--S  845 of 1092
+r0:=-1/3*d*(6*b^2*c^2-6*a*b*c*d+5*a^2*d^2)/(a^2*c^2*(b*c-a*d)^2*_
+     (c+d*x)^(3/2))-b*(2*b*c-a*d)/(a^2*c*(b*c-a*d)*(a+b*x)*(c+d*x)^(3/2))+_
+     (-1)/(a*c*x*(a+b*x)*(c+d*x)^(3/2))+(4*b*c+5*a*d)*atanh(sqrt(c+d*x)/_
+     sqrt(c))/(a^3*c^(7/2))-b^(7/2)*(4*b*c-9*a*d)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*(b*c-a*d)^(7/2))-d*(2*b*c-a*d)*_
+     (b^2*c^2-a*b*c*d+5*a^2*d^2)/(a^2*c^3*(b*c-a*d)^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                   4 3 2      5 4   3         2 3 3 2        4 4       5 5  2
+--R           (- 27a b c d  + 12b c d)x  + (- 27a b c d  - 15a b c d + 12b c )x
+--R         + 
+--R                 2 3 4         4 5
+--R           (- 27a b c d + 12a b c )x
+--R      *
+--R                                  +-+ +-------+
+--R          +-+ +-+ +-------+      \|b \|d x + c
+--R         \|b \|c \|d x + c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R     + 
+--R               4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R           (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R         + 
+--R               5 5      4     4      3 2 2 3      2 3 3 2       4 4       5 5  2
+--R           (15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d - 12b c )x
+--R         + 
+--R               5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R           (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R      *
+--R                                        +-------+
+--R          +-----------+ +-------+      \|d x + c
+--R         \|- a d + b c \|d x + c atanh(----------)
+--R                                           +-+
+--R                                          \|c
+--R     + 
+--R                 4   5      3 2   4     2 3 2 3       4 3 2  3
+--R           (- 15a b d  + 33a b c d  - 9a b c d  + 6a b c d )x
+--R         + 
+--R                 5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R           (- 15a d  + 13a b c d  + 35a b c d  - 15a b c d  + 12a b c d)x
+--R         + 
+--R                 5   4      4   2 3     3 2 3 2     2 3 4        4 5       5 2 3
+--R           (- 20a c d  + 41a b c d  - 9a b c d  - 3a b c d + 6a b c )x - 3a c d
+--R         + 
+--R             4   3 2     3 2 4      2 3 5
+--R           9a b c d  - 9a b c d + 3a b c
+--R      *
+--R          +-----------+ +-+
+--R         \|- a d + b c \|c
+--R  /
+--R            6   3 4     5 2 4 3     4 3 5 2     3 4 6   3
+--R         (3a b c d  - 9a b c d  + 9a b c d  - 3a b c d)x
+--R       + 
+--R            7 3 4     6   4 3     4 3 6      3 4 7  2
+--R         (3a c d  - 6a b c d  + 6a b c d - 3a b c )x
+--R       + 
+--R            7 4 3     6   5 2     5 2 6      4 3 7
+--R         (3a c d  - 9a b c d  + 9a b c d - 3a b c )x
+--R    *
+--R        +-----------+ +-+ +-------+
+--R       \|- a d + b c \|c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  845
+
+--S  846 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R            +-----------+
+--R            |      b      +-+ +-------+
+--R            |- --------- \|c \|d x + c
+--R           \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                            +-------+              +-+
+--R            +-------+    2c\|d x + c  + (d x + 2c)\|c
+--R           \|d x + c log(-----------------------------)
+--R                                       x
+--R       + 
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (54a b c d  - 24b c d)x  + (54a b c d  + 30a b c d - 24b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (54a b c d - 24a b c )x
+--R        *
+--R            +---------+                           +-------+
+--R            |    b      +-+ +-------+           b\|d x + c
+--R            |--------- \|c \|d x + c atan(-----------------------)
+--R           \|a d - b c                                +---------+
+--R                                                      |    b
+--R                                          (a d - b c) |---------
+--R                                                     \|a d - b c
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +-+
+--R           \|c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R     ,
+--R
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R                  +-----------+
+--R            +---+ |      b      +-------+
+--R           \|- c  |- --------- \|d x + c
+--R                 \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R                 4   5      3 2   4      2 3 2 3        4 3 2      5 4   3
+--R             (30a b d  - 66a b c d  + 18a b c d  + 42a b c d  - 24b c d)x
+--R           + 
+--R                    5 5      4     4      3 2 2 3      2 3 3 2        4 4
+--R                 30a d  - 36a b c d  - 48a b c d  + 60a b c d  + 18a b c d
+--R               + 
+--R                      5 5
+--R                 - 24b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3      3 2 3 2      2 3 4         4 5
+--R             (30a c d  - 66a b c d  + 18a b c d  + 42a b c d - 24a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                   4   5      3 2   4      2 3 2 3        4 3 2  3
+--R             (- 30a b d  + 66a b c d  - 18a b c d  + 12a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 30a d  + 26a b c d  + 70a b c d  - 30a b c d  + 24a b c d)x
+--R           + 
+--R                   5   4      4   2 3      3 2 3 2     2 3 4         4 5
+--R             (- 40a c d  + 82a b c d  - 18a b c d  - 6a b c d + 12a b c )x
+--R           + 
+--R                 5 2 3      4   3 2      3 2 4      2 3 5
+--R             - 6a c d  + 18a b c d  - 18a b c d + 6a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R              6   3 4      5 2 4 3      4 3 5 2     3 4 6   3
+--R           (6a b c d  - 18a b c d  + 18a b c d  - 6a b c d)x
+--R         + 
+--R              7 3 4      6   4 3      4 3 6      3 4 7  2
+--R           (6a c d  - 12a b c d  + 12a b c d - 6a b c )x
+--R         + 
+--R              7 4 3      6   5 2      5 2 6      4 3 7
+--R           (6a c d  - 18a b c d  + 18a b c d - 6a b c )x
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ,
+--R
+--R                 4   5      3 2   4     2 3 2 3        4 3 2      5 4   3
+--R             (15a b d  - 33a b c d  + 9a b c d  + 21a b c d  - 12b c d)x
+--R           + 
+--R                      5 5      4     4      3 2 2 3      2 3 3 2       4 4
+--R                   15a d  - 18a b c d  - 24a b c d  + 30a b c d  + 9a b c d
+--R                 + 
+--R                        5 5
+--R                   - 12b c
+--R            *
+--R                2
+--R               x
+--R           + 
+--R                 5   4      4   2 3     3 2 3 2      2 3 4         4 5
+--R             (15a c d  - 33a b c d  + 9a b c d  + 21a b c d - 12a b c )x
+--R        *
+--R                           +---+ +-------+
+--R            +-------+     \|- c \|d x + c
+--R           \|d x + c atan(----------------)
+--R                                  c
+--R       + 
+--R                   4 3 2      5 4   3       2 3 3 2        4 4       5 5  2
+--R             (27a b c d  - 12b c d)x  + (27a b c d  + 15a b c d - 12b c )x
+--R           + 
+--R                 2 3 4         4 5
+--R             (27a b c d - 12a b c )x
+--R        *
+--R                  +---------+                       +-------+
+--R            +---+ |    b      +-------+           b\|d x + c
+--R           \|- c  |--------- \|d x + c atan(-----------------------)
+--R                 \|a d - b c                            +---------+
+--R                                                        |    b
+--R                                            (a d - b c) |---------
+--R                                                       \|a d - b c
+--R       + 
+--R                   4   5      3 2   4     2 3 2 3       4 3 2  3
+--R             (- 15a b d  + 33a b c d  - 9a b c d  + 6a b c d )x
+--R           + 
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4   2
+--R             (- 15a d  + 13a b c d  + 35a b c d  - 15a b c d  + 12a b c d)x
+--R           + 
+--R                   5   4      4   2 3     3 2 3 2     2 3 4        4 5
+--R             (- 20a c d  + 41a b c d  - 9a b c d  - 3a b c d + 6a b c )x
+--R           + 
+--R                 5 2 3     4   3 2     3 2 4      2 3 5
+--R             - 3a c d  + 9a b c d  - 9a b c d + 3a b c
+--R        *
+--R            +---+
+--R           \|- c
+--R    /
+--R              6   3 4     5 2 4 3     4 3 5 2     3 4 6   3
+--R           (3a b c d  - 9a b c d  + 9a b c d  - 3a b c d)x
+--R         + 
+--R              7 3 4     6   4 3     4 3 6      3 4 7  2
+--R           (3a c d  - 6a b c d  + 6a b c d - 3a b c )x
+--R         + 
+--R              7 4 3     6   5 2     5 2 6      4 3 7
+--R           (3a c d  - 9a b c d  + 9a b c d - 3a b c )x
+--R      *
+--R          +---+ +-------+
+--R         \|- c \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  846
+
+--S  847 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                          +-----------+
+--R              3 3      4 4  +-----------+ |      b      +-+
+--R         (9a b c d - 4b c )\|- a d + b c  |- --------- \|c
+--R                                         \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R            4 4      3     3     2 2 2 2       3 3      4 4  +-----------+
+--R         (5a d  - 11a b c d  + 3a b c d  + 7a b c d - 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                         +-+ +-------+
+--R             3 3      4 4  +-+ +-+      \|b \|d x + c
+--R       (18a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R               4 4      3     3     2 2 2 2        3 3      4 4  +-----------+
+--R         (- 10a d  + 22a b c d  - 6a b c d  - 14a b c d + 8b c )\|- a d + b c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R  /
+--R        6 3 3     5   4 2     4 2 5      3 3 6  +-----------+ +-+
+--R     (2a c d  - 6a b c d  + 6a b c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  847
+
+--S  848 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  848
+
+--S  849 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            4 4      3     3     2 2 2 2       3 3      4 4  +-----------+
+--R         (5a d  - 11a b c d  + 3a b c d  + 7a b c d - 4b c )\|- a d + b c
+--R      *
+--R                +-------+              +-+
+--R             2c\|d x + c  + (d x + 2c)\|c
+--R         log(-----------------------------)
+--R                           x
+--R     + 
+--R                                         +-+ +-------+
+--R             3 3      4 4  +-+ +-+      \|b \|d x + c
+--R       (18a b c d - 8b c )\|b \|c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R               4 4      3     3     2 2 2 2        3 3      4 4  +-----------+
+--R         (- 10a d  + 22a b c d  - 6a b c d  - 14a b c d + 8b c )\|- a d + b c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R                                           +---------+
+--R               3 3      4 4  +-----------+ |    b      +-+
+--R         (18a b c d - 8b c )\|- a d + b c  |--------- \|c
+--R                                          \|a d - b c
+--R      *
+--R                      +-------+
+--R                    b\|d x + c
+--R         atan(-----------------------)
+--R                          +---------+
+--R                          |    b
+--R              (a d - b c) |---------
+--R                         \|a d - b c
+--R  /
+--R        6 3 3     5   4 2     4 2 5      3 3 6  +-----------+ +-+
+--R     (2a c d  - 6a b c d  + 6a b c d - 2a b c )\|- a d + b c \|c
+--R                                                    Type: Expression(Integer)
+--E  849
+
+--S  850 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  850
+
+)clear all
+
+--S  851 of 1092
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  851
+
+--S  852 of 1092
+r0:=-2/3*a^3*(b*c-a*d)*(c+d*x)^(3/2)/b^5+2/3465*(40*b^3*c^3+110*a*b^2*c^2*d+_
+     495*a^2*b*c*d^2-693*a^3*d^3)*(c+d*x)^(5/2)/(b^4*d^3)-2/693*_
+     (20*b^2*c^2+55*a*b*c*d-99*a^2*d^2)*x*(c+d*x)^(5/2)/(b^3*d^2)+_
+     2/99*(5*b*c-11*a*d)*x^2*(c+d*x)^(5/2)/(b^2*d)+2/11*x^3*(c+d*x)^(5/2)/b+_
+     2*a^3*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(13/2)-_
+     2*a^3*(b*c-a*d)^2*sqrt(c+d*x)/b^6
+--R 
+--R
+--R   (2)
+--R               5 5         4     4        3 2 2 3  +-----------+
+--R         (6930a d  - 13860a b c d  + 6930a b c d )\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R               5 5 5            4 5        5   4  4
+--R           630b d x  + (- 770a b d  + 1610b c d )x
+--R         + 
+--R                2 3 5          4   4        5 2 3  3
+--R           (990a b d  - 2090a b c d  + 1130b c d )x
+--R         + 
+--R                   3 2 5        2 3   4          4 2 3      5 3 2  2
+--R           (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R         + 
+--R                 4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R           (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R         + 
+--R                  5 5         4     4         3 2 2 3       2 3 3 2         4 4
+--R           - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d  + 220a b c d
+--R         + 
+--R              5 5
+--R           80b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          6 3 +-+
+--R     3465b d \|b
+--R                                                    Type: Expression(Integer)
+--E  852
+
+--S  853 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                    +-----------+
+--R                 5 5        4     4        3 2 2 3  |- a d + b c
+--R           (3465a d  - 6930a b c d  + 3465a b c d ) |-----------
+--R                                                   \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                 5 5 5            4 5        5   4  4
+--R             630b d x  + (- 770a b d  + 1610b c d )x
+--R           + 
+--R                  2 3 5          4   4        5 2 3  3
+--R             (990a b d  - 2090a b c d  + 1130b c d )x
+--R           + 
+--R                     3 2 5        2 3   4          4 2 3      5 3 2  2
+--R             (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R           + 
+--R                   4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R             (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R           + 
+--R                    5 5         4     4         3 2 2 3       2 3 3 2
+--R             - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d
+--R           + 
+--R                   4 4       5 5
+--R             220a b c d + 80b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R            6 3
+--R       3465b d
+--R     ,
+--R
+--R                                                   +---------+       +-------+
+--R               5 5         4     4        3 2 2 3  |a d - b c       \|d x + c
+--R         (6930a d  - 13860a b c d  + 6930a b c d ) |--------- atan(------------)
+--R                                                  \|    b           +---------+
+--R                                                                    |a d - b c
+--R                                                                    |---------
+--R                                                                   \|    b
+--R       + 
+--R                 5 5 5            4 5        5   4  4
+--R             630b d x  + (- 770a b d  + 1610b c d )x
+--R           + 
+--R                  2 3 5          4   4        5 2 3  3
+--R             (990a b d  - 2090a b c d  + 1130b c d )x
+--R           + 
+--R                     3 2 5        2 3   4          4 2 3      5 3 2  2
+--R             (- 1386a b d  + 2970a b c d  - 1650a b c d  + 30b c d )x
+--R           + 
+--R                   4   5        3 2   4        2 3 2 3         4 3 2      5 4
+--R             (2310a b d  - 5082a b c d  + 2970a b c d  - 110a b c d  - 40b c d)x
+--R           + 
+--R                    5 5         4     4         3 2 2 3       2 3 3 2
+--R             - 6930a d  + 16170a b c d  - 10626a b c d  + 990a b c d
+--R           + 
+--R                   4 4       5 5
+--R             220a b c d + 80b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R            6 3
+--R       3465b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  853
+
+--S  854 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           5 2     4         3 2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                          +-+ +-------+
+--R            5 2     4          3 2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  854
+
+--S  855 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  855
+
+--S  856 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R            5 2     4          3 2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R          5 2     4          3 2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  856
+
+--S  857 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  857
+
+)clear all
+
+--S  858 of 1092
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  858
+
+--S  859 of 1092
+r0:=2/3*a^2*(b*c-a*d)*(c+d*x)^(3/2)/b^4+2/5*a^2*(c+d*x)^(5/2)/b^3-_
+     2/63*(2*b*c+9*a*d)*(c+d*x)^(7/2)/(b^2*d^2)+2/9*x*(c+d*x)^(7/2)/(b*d)-_
+     2*a^2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/b^(11/2)+2*a^2*(b*c-a*d)^2*sqrt(c+d*x)/b^5
+--R 
+--R
+--R   (2)
+--R                4 4        3     3       2 2 2 2  +-----------+
+--R         (- 630a d  + 1260a b c d  - 630a b c d )\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              4 4 4           3 4       4   3  3
+--R           70b d x  + (- 90a b d  + 190b c d )x
+--R         + 
+--R                2 2 4         3   3       4 2 2  2
+--R           (126a b d  - 270a b c d  + 150b c d )x
+--R         + 
+--R                  3   4       2 2   3         3 2 2      4 3          4 4
+--R           (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R         + 
+--R                  3     3       2 2 2 2        3 3       4 4
+--R           - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         5 2 +-+
+--R     315b d \|b
+--R                                                    Type: Expression(Integer)
+--E  859
+
+--S  860 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                 +-----------+
+--R                4 4       3     3       2 2 2 2  |- a d + b c
+--R           (315a d  - 630a b c d  + 315a b c d ) |-----------
+--R                                                \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                4 4 4           3 4       4   3  3
+--R             70b d x  + (- 90a b d  + 190b c d )x
+--R           + 
+--R                  2 2 4         3   3       4 2 2  2
+--R             (126a b d  - 270a b c d  + 150b c d )x
+--R           + 
+--R                    3   4       2 2   3         3 2 2      4 3          4 4
+--R             (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R           + 
+--R                    3     3       2 2 2 2        3 3       4 4
+--R             - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           5 2
+--R       315b d
+--R     ,
+--R
+--R                                                  +---------+       +-------+
+--R                4 4        3     3       2 2 2 2  |a d - b c       \|d x + c
+--R         (- 630a d  + 1260a b c d  - 630a b c d ) |--------- atan(------------)
+--R                                                 \|    b           +---------+
+--R                                                                   |a d - b c
+--R                                                                   |---------
+--R                                                                  \|    b
+--R       + 
+--R                4 4 4           3 4       4   3  3
+--R             70b d x  + (- 90a b d  + 190b c d )x
+--R           + 
+--R                  2 2 4         3   3       4 2 2  2
+--R             (126a b d  - 270a b c d  + 150b c d )x
+--R           + 
+--R                    3   4       2 2   3         3 2 2      4 3          4 4
+--R             (- 210a b d  + 462a b c d  - 270a b c d  + 10b c d)x + 630a d
+--R           + 
+--R                    3     3       2 2 2 2        3 3       4 4
+--R             - 1470a b c d  + 966a b c d  - 90a b c d - 20b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           5 2
+--R       315b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  860
+
+--S  861 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           4 2     3         2 2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                        +-+ +-------+
+--R          4 2     3          2 2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  861
+
+--S  862 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  862
+
+--S  863 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                        +-+ +-------+
+--R          4 2     3          2 2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                          +---------+       +-------+
+--R            4 2     3          2 2 2  +-+ |a d - b c       \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|b  |--------- atan(------------)
+--R                                         \|    b           +---------+
+--R                                                           |a d - b c
+--R                                                           |---------
+--R                                                          \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  863
+
+--S  864 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  864
+
+)clear all
+
+--S  865 of 1092
+t0:=x*(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                     b x + a
+--R                                                    Type: Expression(Integer)
+--E  865
+
+--S  866 of 1092
+r0:=-2/3*a*(b*c-a*d)*(c+d*x)^(3/2)/b^3-2/5*a*(c+d*x)^(5/2)/b^2+_
+     2/7*(c+d*x)^(7/2)/(b*d)+2*a*(b*c-a*d)^(5/2)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))/b^(9/2)-2*a*(b*c-a*d)^2*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                                                                +-+ +-------+
+--R            3 3       2     2         2 2   +-----------+      \|b \|d x + c
+--R       (210a d  - 420a b c d  + 210a b c d)\|- a d + b c atanh(--------------)
+--R                                                                +-----------+
+--R                                                               \|- a d + b c
+--R     + 
+--R              3 3 3           2 3      3   2  2
+--R           30b d x  + (- 42a b d  + 90b c d )x
+--R         + 
+--R               2   3         2   2      3 2          3 3       2     2
+--R           (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R         + 
+--R                   2 2       3 3
+--R           - 322a b c d + 30b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         4  +-+
+--R     105b d\|b
+--R                                                    Type: Expression(Integer)
+--E  866
+
+--S  867 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                +-----------+
+--R                3 3       2     2         2 2   |- a d + b c
+--R           (105a d  - 210a b c d  + 105a b c d) |-----------
+--R                                               \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                3 3 3           2 3      3   2  2
+--R             30b d x  + (- 42a b d  + 90b c d )x
+--R           + 
+--R                 2   3         2   2      3 2          3 3       2     2
+--R             (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 322a b c d + 30b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           4
+--R       105b d
+--R     ,
+--R
+--R                                              +---------+       +-------+
+--R              3 3       2     2         2 2   |a d - b c       \|d x + c
+--R         (210a d  - 420a b c d  + 210a b c d) |--------- atan(------------)
+--R                                             \|    b           +---------+
+--R                                                               |a d - b c
+--R                                                               |---------
+--R                                                              \|    b
+--R       + 
+--R                3 3 3           2 3      3   2  2
+--R             30b d x  + (- 42a b d  + 90b c d )x
+--R           + 
+--R                 2   3         2   2      3 2          3 3       2     2
+--R             (70a b d  - 154a b c d  + 90b c d)x - 210a d  + 490a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 322a b c d + 30b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           4
+--R       105b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  867
+
+--S  868 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R           3 2     2           2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + a b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                          +-+ +-------+
+--R            3 2     2            2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  868
+
+--S  869 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  869
+
+--S  870 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R            3 2     2            2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R          3 2     2            2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2a b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  870
+
+--S  871 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  871
+
+)clear all
+
+--S  872 of 1092
+t0:=(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                    b x + a
+--R                                                    Type: Expression(Integer)
+--E  872
+
+--S  873 of 1092
+r0:=2/3*(b*c-a*d)*(c+d*x)^(3/2)/b^2+2/5*(c+d*x)^(5/2)/b-2*(b*c-a*d)^(5/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+2*(b*c-a*d)^2*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 30a d  + 60a b c d - 30b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        3 +-+
+--R     15b \|b
+--R                                                    Type: Expression(Integer)
+--E  873
+
+--S  874 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                         +-----------+
+--R               2 2                  2 2  |- a d + b c
+--R           (15a d  - 30a b c d + 15b c ) |-----------
+--R                                        \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ,
+--R
+--R                                         +---------+       +-------+
+--R               2 2                  2 2  |a d - b c       \|d x + c
+--R         (- 30a d  + 60a b c d - 30b c ) |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  874
+
+--S  875 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R           2 2               2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + b c ) |----------- \|b
+--R                                 \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  875
+
+--S  876 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  876
+
+--S  877 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  877
+
+--S  878 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  878
+
+)clear all
+
+--S  879 of 1092
+t0:=(c+d*x)^(5/2)/(x*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     2
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  879
+
+--S  880 of 1092
+r0:=2/3*d*(c+d*x)^(3/2)/b-2*c^(5/2)*atanh(sqrt(c+d*x)/sqrt(c))/a+_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a*b^(5/2))+2*d*(2*b*c-a*d)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R          2 2                 2 2  +-----------+      \|b \|d x + c
+--R       (6a d  - 12a b c d + 6b c )\|- a d + b c atanh(--------------)
+--R                                                       +-----------+
+--R                                                      \|- a d + b c
+--R     + 
+--R                             +-------+
+--R           2 2 +-+ +-+      \|d x + c
+--R       - 6b c \|b \|c atanh(----------)
+--R                                +-+
+--R                               \|c
+--R     + 
+--R              2      2 2              +-+ +-------+
+--R       (2a b d x - 6a d  + 14a b c d)\|b \|d x + c
+--R  /
+--R         2 +-+
+--R     3a b \|b
+--R                                                    Type: Expression(Integer)
+--E  880
+
+--S  881 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +-----------+
+--R              2 2                2 2  |- a d + b c
+--R           (3a d  - 6a b c d + 3b c ) |-----------
+--R                                     \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                          +-+ +-------+
+--R           2 2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         3b c \|c log(----------------------------)
+--R                                    x
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                          +-+ +-------+
+--R           2 2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         3b c \|c log(----------------------------)
+--R                                    x
+--R       + 
+--R                                     +---------+       +-------+
+--R            2 2                 2 2  |a d - b c       \|d x + c
+--R         (6a d  - 12a b c d + 6b c ) |--------- atan(------------)
+--R                                    \|    b           +---------+
+--R                                                      |a d - b c
+--R                                                      |---------
+--R                                                     \|    b
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                                      +-----------+
+--R              2 2                2 2  |- a d + b c
+--R           (3a d  - 6a b c d + 3b c ) |-----------
+--R                                     \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                          +-------+
+--R           2 2 +---+     \|d x + c            2      2 2              +-------+
+--R       - 6b c \|- c atan(----------) + (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R                            +---+
+--R                           \|- c
+--R    /
+--R           2
+--R       3a b
+--R     ,
+--R
+--R                            +-------+
+--R             2 2 +---+     \|d x + c
+--R         - 6b c \|- c atan(----------)
+--R                              +---+
+--R                             \|- c
+--R       + 
+--R                                     +---------+       +-------+
+--R            2 2                 2 2  |a d - b c       \|d x + c
+--R         (6a d  - 12a b c d + 6b c ) |--------- atan(------------)
+--R                                    \|    b           +---------+
+--R                                                      |a d - b c
+--R                                                      |---------
+--R                                                     \|    b
+--R       + 
+--R                2      2 2              +-------+
+--R         (2a b d x - 6a d  + 14a b c d)\|d x + c
+--R    /
+--R           2
+--R       3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  881
+
+--S  882 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R           2 2               2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + b c ) |----------- \|b
+--R                                 \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R  /
+--R        2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  882
+
+--S  883 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  883
+
+--S  884 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R        2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  884
+
+--S  885 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  885
+
+)clear all
+
+--S  886 of 1092
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     3      2
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  886
+
+--S  887 of 1092
+r0:=d*(c+d*x)^(3/2)/a-(c+d*x)^(5/2)/(a*x)+c^(3/2)*(2*b*c-5*a*d)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/a^2-2*(b*c-a*d)^(5/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^2*b^(3/2))+_
+     d*(b*c+2*a*d)*sqrt(c+d*x)/(a*b)
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R            2 2                2 2   +-----------+      \|b \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )x\|- a d + b c atanh(--------------)
+--R                                                         +-----------+
+--R                                                        \|- a d + b c
+--R     + 
+--R                                           +-------+
+--R                       2 2   +-+ +-+      \|d x + c
+--R       (- 5a b c d + 2b c )x\|b \|c atanh(----------)
+--R                                              +-+
+--R                                             \|c
+--R     + 
+--R          2 2         2  +-+ +-------+
+--R       (2a d x - a b c )\|b \|d x + c
+--R  /
+--R      2    +-+
+--R     a b x\|b
+--R                                                    Type: Expression(Integer)
+--E  887
+
+--S  888 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                       +-----------+
+--R              2 2                2 2   |- a d + b c
+--R           (2a d  - 4a b c d + 2b c )x |-----------
+--R                                      \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                        +-+ +-------+
+--R                       2 2   +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (5a b c d - 2b c )x\|c log(----------------------------)
+--R                                                  x
+--R       + 
+--R            2 2          2  +-------+
+--R         (4a d x - 2a b c )\|d x + c
+--R    /
+--R         2
+--R       2a b x
+--R     ,
+--R
+--R                                        +-+ +-------+
+--R                       2 2   +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (5a b c d - 2b c )x\|c log(----------------------------)
+--R                                                  x
+--R       + 
+--R                                       +---------+       +-------+
+--R              2 2                2 2   |a d - b c       \|d x + c
+--R         (- 4a d  + 8a b c d - 4b c )x |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R            2 2          2  +-------+
+--R         (4a d x - 2a b c )\|d x + c
+--R    /
+--R         2
+--R       2a b x
+--R     ,
+--R
+--R                                     +-----------+
+--R             2 2               2 2   |- a d + b c
+--R           (a d  - 2a b c d + b c )x |-----------
+--R                                    \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                        +-------+
+--R                       2 2   +---+     \|d x + c        2 2         2  +-------+
+--R       (- 5a b c d + 2b c )x\|- c atan(----------) + (2a d x - a b c )\|d x + c
+--R                                          +---+
+--R                                         \|- c
+--R    /
+--R        2
+--R       a b x
+--R     ,
+--R
+--R                                          +-------+
+--R                         2 2   +---+     \|d x + c
+--R         (- 5a b c d + 2b c )x\|- c atan(----------)
+--R                                            +---+
+--R                                           \|- c
+--R       + 
+--R                                       +---------+       +-------+
+--R              2 2                2 2   |a d - b c       \|d x + c
+--R         (- 2a d  + 4a b c d - 2b c )x |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R            2 2         2  +-------+
+--R         (2a d x - a b c )\|d x + c
+--R    /
+--R        2
+--R       a b x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  888
+
+--S  889 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R            2 2                2 2  |- a d + b c  +-+
+--R         (2a d  - 4a b c d + 2b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 2b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (4a d  - 8a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 4b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       2  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  889
+
+--S  890 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  890
+
+--S  891 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 2b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (4a d  - 8a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 4b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 4a d  + 8a b c d - 4b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R       2  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  891
+
+--S  892 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  892
+
+)clear all
+
+--S  893 of 1092
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     4      3
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  893
+
+--S  894 of 1092
+r0:=1/4*(4*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x)-1/2*(c+d*x)^(5/2)/(a*x^2)+_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (a^3*sqrt(b))-1/4*(8*b^2*c^2-20*a*b*c*d+15*a^2*d^2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))*sqrt(c)/a^3-1/4*d*(4*b*c-7*a*d)*_
+     sqrt(c+d*x)/a^2
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R          2 2                 2 2  2 +-----------+      \|b \|d x + c
+--R       (8a d  - 16a b c d + 8b c )x \|- a d + b c atanh(--------------)
+--R                                                         +-----------+
+--R                                                        \|- a d + b c
+--R     + 
+--R                                                      +-------+
+--R             2 2                 2 2  2 +-+ +-+      \|d x + c
+--R       (- 15a d  + 20a b c d - 8b c )x \|b \|c atanh(----------)
+--R                                                         +-+
+--R                                                        \|c
+--R     + 
+--R             2            2       2 2  +-+ +-------+
+--R       ((- 9a c d + 4a b c )x - 2a c )\|b \|d x + c
+--R  /
+--R       3 2 +-+
+--R     4a x \|b
+--R                                                    Type: Expression(Integer)
+--E  894
+
+--S  895 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                         +-----------+
+--R              2 2                 2 2  2 |- a d + b c
+--R           (8a d  - 16a b c d + 8b c )x  |-----------
+--R                                        \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                   +-+ +-------+
+--R             2 2                 2 2  2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (15a d  - 20a b c d + 8b c )x \|c log(----------------------------)
+--R                                                             x
+--R       + 
+--R                2            2       2 2  +-------+
+--R         ((- 18a c d + 8a b c )x - 4a c )\|d x + c
+--R    /
+--R         3 2
+--R       8a x
+--R     ,
+--R
+--R                                                   +-+ +-------+
+--R             2 2                 2 2  2 +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (15a d  - 20a b c d + 8b c )x \|c log(----------------------------)
+--R                                                             x
+--R       + 
+--R                                         +---------+       +-------+
+--R             2 2                  2 2  2 |a d - b c       \|d x + c
+--R         (16a d  - 32a b c d + 16b c )x  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R       + 
+--R                2            2       2 2  +-------+
+--R         ((- 18a c d + 8a b c )x - 4a c )\|d x + c
+--R    /
+--R         3 2
+--R       8a x
+--R     ,
+--R
+--R                                        +-----------+
+--R              2 2                2 2  2 |- a d + b c
+--R           (4a d  - 8a b c d + 4b c )x  |-----------
+--R                                       \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                                     +-------+
+--R               2 2                 2 2  2 +---+     \|d x + c
+--R         (- 15a d  + 20a b c d - 8b c )x \|- c atan(----------)
+--R                                                       +---+
+--R                                                      \|- c
+--R       + 
+--R               2            2       2 2  +-------+
+--R         ((- 9a c d + 4a b c )x - 2a c )\|d x + c
+--R    /
+--R         3 2
+--R       4a x
+--R     ,
+--R
+--R                                                     +-------+
+--R               2 2                 2 2  2 +---+     \|d x + c
+--R         (- 15a d  + 20a b c d - 8b c )x \|- c atan(----------)
+--R                                                       +---+
+--R                                                      \|- c
+--R       + 
+--R                                       +---------+       +-------+
+--R            2 2                 2 2  2 |a d - b c       \|d x + c
+--R         (8a d  - 16a b c d + 8b c )x  |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R       + 
+--R               2            2       2 2  +-------+
+--R         ((- 9a c d + 4a b c )x - 2a c )\|d x + c
+--R    /
+--R         3 2
+--R       4a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  895
+
+--S  896 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                     +-----------+
+--R            2 2                 2 2  |- a d + b c  +-+
+--R         (8a d  - 16a b c d + 8b c ) |----------- \|b
+--R                                    \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                   +-+ +-------+
+--R           2 2                 2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 20a b c d + 8b c )\|b \|c log(----------------------------)
+--R                                                             x
+--R     + 
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 16a d  + 32a b c d - 16b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 40a b c d + 16b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R  /
+--R       3 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  896
+
+--S  897 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  897
+
+--S  898 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                   +-+ +-------+
+--R           2 2                 2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 20a b c d + 8b c )\|b \|c log(----------------------------)
+--R                                                             x
+--R     + 
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 16a d  + 32a b c d - 16b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 40a b c d + 16b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R     + 
+--R                                         +---------+       +-------+
+--R           2 2                  2 2  +-+ |a d - b c       \|d x + c
+--R       (16a d  - 32a b c d + 16b c )\|b  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R  /
+--R       3 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  898
+
+--S  899 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  899
+
+)clear all
+
+--S  900 of 1092
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x))
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                     5      4
+--R                  b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  900
+
+--S  901 of 1092
+r0:=1/12*(6*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^2)-1/3*(c+d*x)^(5/2)/(a*x^3)-_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b)/a^4+1/8*(16*b^3*c^3-40*a*b^2*c^2*d+30*a^2*b*c*d^2-5*a^3*d^3)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/(a^4*sqrt(c))-1/8*(4*b*c-5*a*d)*_
+     (2*b*c-a*d)*sqrt(c+d*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R               2 2                  2 2  3 +-----------+ +-+ +-+
+--R         (- 48a d  + 96a b c d - 48b c )x \|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                             +-------+
+--R             3 3      2     2         2 2       3 3  3      \|d x + c
+--R       (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atanh(----------)
+--R                                                                +-+
+--R                                                               \|c
+--R     + 
+--R                3 2      2             2 2  2         3         2   2       3 2
+--R         ((- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x - 8a c )
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R  /
+--R        4 3 +-+
+--R     24a x \|c
+--R                                                    Type: Expression(Integer)
+--E  901
+
+--S  902 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               3 3      2     2         2 2       3 3  3
+--R           (15a d  - 90a b c d  + 120a b c d - 48b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                           +-------------+
+--R               2 2                  2 2  3 |           2   +-+
+--R           (48a d  - 96a b c d + 48b c )x \|- a b d + b c \|c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                   3 2       2             2 2  2         3         2   2
+--R             (- 66a d  + 108a b c d - 48a b c )x  + (- 52a c d + 24a b c )x
+--R           + 
+--R                  3 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R          4 3 +-+
+--R       48a x \|c
+--R     ,
+--R
+--R               3 3      2     2         2 2       3 3  3
+--R           (15a d  - 90a b c d  + 120a b c d - 48b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                                                  +-----------+
+--R                 2 2                   2 2  3 +-+ |         2
+--R           (- 96a d  + 192a b c d - 96b c )x \|c \|a b d - b c
+--R        *
+--R                    +-------+
+--R                  b\|d x + c
+--R           atan(--------------)
+--R                 +-----------+
+--R                 |         2
+--R                \|a b d - b c
+--R       + 
+--R                   3 2       2             2 2  2         3         2   2
+--R             (- 66a d  + 108a b c d - 48a b c )x  + (- 52a c d + 24a b c )x
+--R           + 
+--R                  3 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R          4 3 +-+
+--R       48a x \|c
+--R     ,
+--R
+--R                                           +-------------+
+--R               2 2                  2 2  3 |           2   +---+
+--R           (24a d  - 48a b c d + 24b c )x \|- a b d + b c \|- c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                                                              +---+ +-------+
+--R               3 3      2     2         2 2       3 3  3     \|- c \|d x + c
+--R         (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atan(----------------)
+--R                                                                     c
+--R       + 
+--R                     3 2      2             2 2  2         3         2   2
+--R               (- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x
+--R             + 
+--R                   3 2
+--R               - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R          4 3 +---+
+--R       24a x \|- c
+--R     ,
+--R
+--R                                                              +---+ +-------+
+--R               3 3      2     2         2 2       3 3  3     \|- c \|d x + c
+--R         (- 15a d  + 90a b c d  - 120a b c d + 48b c )x atan(----------------)
+--R                                                                     c
+--R       + 
+--R                                                   +-----------+
+--R                 2 2                  2 2  3 +---+ |         2
+--R           (- 48a d  + 96a b c d - 48b c )x \|- c \|a b d - b c
+--R        *
+--R                    +-------+
+--R                  b\|d x + c
+--R           atan(--------------)
+--R                 +-----------+
+--R                 |         2
+--R                \|a b d - b c
+--R       + 
+--R                     3 2      2             2 2  2         3         2   2
+--R               (- 33a d  + 54a b c d - 24a b c )x  + (- 26a c d + 12a b c )x
+--R             + 
+--R                   3 2
+--R               - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R          4 3 +---+
+--R       24a x \|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  902
+
+--S  903 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3      2     2        2 2       3 3
+--R         (5a d  - 30a b c d  + 40a b c d - 16b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                       +-------------+
+--R             2 2                  2 2  |           2   +-+
+--R         (16a d  - 32a b c d + 16b c )\|- a b d + b c \|c
+--R      *
+--R                 +-------------+
+--R                 |           2   +-------+
+--R             - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R         log(--------------------------------------------------)
+--R                                   b x + a
+--R     + 
+--R                                                                 +-+ +-------+
+--R           2 2                  2 2  +-----------+ +-+ +-+      \|b \|d x + c
+--R       (32a d  - 64a b c d + 32b c )\|- a d + b c \|b \|c atanh(--------------)
+--R                                                                 +-----------+
+--R                                                                \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R           3 3      2     2        2 2       3 3       \|d x + c
+--R       (10a d  - 60a b c d  + 80a b c d - 32b c )atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R  /
+--R        4 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  903
+
+--S  904 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  904
+
+--S  905 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3      2     2        2 2       3 3
+--R         (5a d  - 30a b c d  + 40a b c d - 16b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                                                 +-+ +-------+
+--R           2 2                  2 2  +-----------+ +-+ +-+      \|b \|d x + c
+--R       (32a d  - 64a b c d + 32b c )\|- a d + b c \|b \|c atanh(--------------)
+--R                                                                 +-----------+
+--R                                                                \|- a d + b c
+--R     + 
+--R                                                        +-------+
+--R           3 3      2     2        2 2       3 3       \|d x + c
+--R       (10a d  - 60a b c d  + 80a b c d - 32b c )atanh(----------)
+--R                                                           +-+
+--R                                                          \|c
+--R     + 
+--R                                           +-----------+         +-------+
+--R             2 2                  2 2  +-+ |         2         b\|d x + c
+--R       (- 32a d  + 64a b c d - 32b c )\|c \|a b d - b c atan(--------------)
+--R                                                              +-----------+
+--R                                                              |         2
+--R                                                             \|a b d - b c
+--R  /
+--R        4 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  905
+
+--S  906 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  906
+
+)clear all
+
+--S  907 of 1092
+t0:=x^3*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                 2 2             2
+--R                b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  907
+
+--S  908 of 1092
+r0:=1/3*a^2*(6*b*c-11*a*d)*(c+d*x)^(3/2)/b^5-1/315*(20*b^2*c^2+_
+     180*a*b*c*d-693*a^2*d^2)*(c+d*x)^(5/2)/(b^4*d^2)+_
+     1/63*(10*b*c-99*a*d)*x*(c+d*x)^(5/2)/(b^3*d)+11/9*x^2*(c+d*x)^(5/2)/_
+     b^2-x^3*(c+d*x)^(5/2)/(b*(a+b*x))-a^2*(6*b*c-11*a*d)*(b*c-a*d)^(3/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(13/2)+a^2*(6*b*c-11*a*d)*_
+     (b*c-a*d)*sqrt(c+d*x)/b^6
+--R 
+--R
+--R   (2)
+--R                   4   4        3 2   3        2 3 2 2          5 4
+--R           (- 3465a b d  + 5355a b c d  - 1890a b c d )x - 3465a d
+--R         + 
+--R                4     3        3 2 2 2
+--R           5355a b c d  - 1890a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R              5 4 5            4 4       5   3  4
+--R           70b d x  + (- 110a b d  + 190b c d )x
+--R         + 
+--R                2 3 4         4   3       5 2 2  3
+--R           (198a b d  - 350a b c d  + 150b c d )x
+--R         + 
+--R                  3 2 4       2 3   3         4 2 2      5 3   2
+--R           (- 462a b d  + 846a b c d  - 390a b c d  + 10b c d)x
+--R         + 
+--R                 4   4        3 2   3        2 3 2 2         4 3       5 4
+--R           (2310a b d  - 4494a b c d  + 2358a b c d  - 170a b c d - 20b c )x
+--R         + 
+--R                5 4        4     3        3 2 2 2       2 3 3         4 4
+--R           3465a d  - 6510a b c d  + 3213a b c d  - 180a b c d - 20a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          7 2          6 2  +-+
+--R     (315b d x + 315a b d )\|b
+--R                                                    Type: Expression(Integer)
+--E  908
+
+--S  909 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                   4   4        3 2   3        2 3 2 2          5 4
+--R             (3465a b d  - 5355a b c d  + 1890a b c d )x + 3465a d
+--R           + 
+--R                    4     3        3 2 2 2
+--R             - 5355a b c d  + 1890a b c d
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                 5 4 5            4 4       5   3  4
+--R             140b d x  + (- 220a b d  + 380b c d )x
+--R           + 
+--R                  2 3 4         4   3       5 2 2  3
+--R             (396a b d  - 700a b c d  + 300b c d )x
+--R           + 
+--R                    3 2 4        2 3   3         4 2 2      5 3   2
+--R             (- 924a b d  + 1692a b c d  - 780a b c d  + 20b c d)x
+--R           + 
+--R                   4   4        3 2   3        2 3 2 2         4 3       5 4
+--R             (4620a b d  - 8988a b c d  + 4716a b c d  - 340a b c d - 40b c )x
+--R           + 
+--R                  5 4         4     3        3 2 2 2       2 3 3         4 4
+--R             6930a d  - 13020a b c d  + 6426a b c d  - 360a b c d - 40a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           7 2          6 2
+--R       630b d x + 630a b d
+--R     ,
+--R
+--R                     4   4        3 2   3        2 3 2 2          5 4
+--R             (- 3465a b d  + 5355a b c d  - 1890a b c d )x - 3465a d
+--R           + 
+--R                  4     3        3 2 2 2
+--R             5355a b c d  - 1890a b c d
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                5 4 5            4 4       5   3  4
+--R             70b d x  + (- 110a b d  + 190b c d )x
+--R           + 
+--R                  2 3 4         4   3       5 2 2  3
+--R             (198a b d  - 350a b c d  + 150b c d )x
+--R           + 
+--R                    3 2 4       2 3   3         4 2 2      5 3   2
+--R             (- 462a b d  + 846a b c d  - 390a b c d  + 10b c d)x
+--R           + 
+--R                   4   4        3 2   3        2 3 2 2         4 3       5 4
+--R             (2310a b d  - 4494a b c d  + 2358a b c d  - 170a b c d - 20b c )x
+--R           + 
+--R                  5 4        4     3        3 2 2 2       2 3 3         4 4
+--R             3465a d  - 6510a b c d  + 3213a b c d  - 180a b c d - 20a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           7 2          6 2
+--R       315b d x + 315a b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  909
+
+--S  910 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                        +-----------+
+--R             4 2      3          2 2 2  |- a d + b c  +-+
+--R         (11a d  - 17a b c d + 6a b c ) |----------- \|b
+--R                                       \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                           +-+ +-------+
+--R           4 2      3           2 2 2  +-----------+      \|b \|d x + c
+--R       (22a d  - 34a b c d + 12a b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R  /
+--R       6 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  910
+
+--S  911 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  911
+
+--S  912 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                          +-+ +-------+
+--R           4 2      3          2 2 2  +-----------+      \|b \|d x + c
+--R       (11a d  - 17a b c d + 6a b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                            +---------+       +-------+
+--R             4 2      3          2 2 2  +-+ |a d - b c       \|d x + c
+--R       (- 11a d  + 17a b c d - 6a b c )\|b  |--------- atan(------------)
+--R                                           \|    b           +---------+
+--R                                                             |a d - b c
+--R                                                             |---------
+--R                                                            \|    b
+--R  /
+--R      6 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  912
+
+--S  913 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  913
+
+)clear all
+
+--S  914 of 1092
+t0:=x^2*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R        (d x  + 2c d x  + c x )\|d x + c
+--R   (1)  ---------------------------------
+--R                 2 2             2
+--R                b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  914
+
+--S  915 of 1092
+r0:=-1/3*a*(4*b*c-9*a*d)*(c+d*x)^(3/2)/b^4-1/5*a*(4*b*c-9*a*d)*_
+     (c+d*x)^(5/2)/(b^3*(b*c-a*d))+2/7*(c+d*x)^(7/2)/(b^2*d)-_
+     a^2*(c+d*x)^(7/2)/(b^2*(b*c-a*d)*(a+b*x))+a*(4*b*c-9*a*d)*_
+     (b*c-a*d)^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(11/2)-_
+     a*(4*b*c-9*a*d)*(b*c-a*d)*sqrt(c+d*x)/b^5
+--R 
+--R
+--R   (2)
+--R                3   3        2 2   2         3 2          4 3        3     2
+--R           (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R         + 
+--R               2 2 2
+--R           420a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R              4 3 4           3 3      4   2  3
+--R           30b d x  + (- 54a b d  + 90b c d )x
+--R         + 
+--R                2 2 3         3   2      4 2   2
+--R           (126a b d  - 218a b c d  + 90b c d)x
+--R         + 
+--R                  3   3        2 2   2         3 2       4 3         4 3
+--R           (- 630a b d  + 1162a b c d  - 554a b c d + 30b c )x - 945a d
+--R         + 
+--R                3     2       2 2 2         3 3
+--R           1680a b c d  - 749a b c d + 30a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R          6            5   +-+
+--R     (105b d x + 105a b d)\|b
+--R                                                    Type: Expression(Integer)
+--E  915
+
+--S  916 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                  3   3        2 2   2         3 2          4 3        3     2
+--R             (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R           + 
+--R                 2 2 2
+--R             420a b c d
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                4 3 4            3 3       4   2  3
+--R             60b d x  + (- 108a b d  + 180b c d )x
+--R           + 
+--R                  2 2 3         3   2       4 2   2
+--R             (252a b d  - 436a b c d  + 180b c d)x
+--R           + 
+--R                     3   3        2 2   2          3 2       4 3          4 3
+--R             (- 1260a b d  + 2324a b c d  - 1108a b c d + 60b c )x - 1890a d
+--R           + 
+--R                  3     2        2 2 2         3 3
+--R             3360a b c d  - 1498a b c d + 60a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           6            5
+--R       210b d x + 210a b d
+--R     ,
+--R
+--R                  3   3        2 2   2         3 2          4 3        3     2
+--R             (945a b d  - 1365a b c d  + 420a b c d)x + 945a d  - 1365a b c d
+--R           + 
+--R                 2 2 2
+--R             420a b c d
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R                4 3 4           3 3      4   2  3
+--R             30b d x  + (- 54a b d  + 90b c d )x
+--R           + 
+--R                  2 2 3         3   2      4 2   2
+--R             (126a b d  - 218a b c d  + 90b c d)x
+--R           + 
+--R                    3   3        2 2   2         3 2       4 3         4 3
+--R             (- 630a b d  + 1162a b c d  - 554a b c d + 30b c )x - 945a d
+--R           + 
+--R                  3     2       2 2 2         3 3
+--R             1680a b c d  - 749a b c d + 30a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R           6            5
+--R       105b d x + 105a b d
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  916
+
+--S  917 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                       +-----------+
+--R            3 2      2            2 2  |- a d + b c  +-+
+--R         (9a d  - 13a b c d + 4a b c ) |----------- \|b
+--R                                      \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                            +-+ +-------+
+--R             3 2      2            2 2  +-----------+      \|b \|d x + c
+--R       (- 18a d  + 26a b c d - 8a b c )\|- a d + b c atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R  /
+--R       5 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  917
+
+--S  918 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  918
+
+--S  919 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                           +-+ +-------+
+--R            3 2      2            2 2  +-----------+      \|b \|d x + c
+--R       (- 9a d  + 13a b c d - 4a b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R                                         +---------+       +-------+
+--R          3 2      2            2 2  +-+ |a d - b c       \|d x + c
+--R       (9a d  - 13a b c d + 4a b c )\|b  |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R  /
+--R      5 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  919
+
+--S  920 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  920
+
+)clear all
+
+--S  921 of 1092
+t0:=x*(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R        (d x  + 2c d x  + c x)\|d x + c
+--R   (1)  --------------------------------
+--R                2 2             2
+--R               b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  921
+
+--S  922 of 1092
+r0:=1/3*(2*b*c-7*a*d)*(c+d*x)^(3/2)/b^3+1/5*(2*b*c-7*a*d)*(c+d*x)^(5/2)/_
+     (b^2*(b*c-a*d))+a*(c+d*x)^(7/2)/(b*(b*c-a*d)*(a+b*x))-(2*b*c-7*a*d)*_
+     (b*c-a*d)^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(9/2)+_
+     (2*b*c-7*a*d)*(b*c-a*d)*sqrt(c+d*x)/b^4
+--R 
+--R
+--R   (2)
+--R                    2   2         2         3 2         3 2       2
+--R             (- 105a b d  + 135a b c d - 30b c )x - 105a d  + 135a b c d
+--R           + 
+--R                    2 2
+--R             - 30a b c
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R             3 2 3           2 2      3     2
+--R           6b d x  + (- 14a b d  + 22b c d)x
+--R         + 
+--R               2   2         2         3 2         3 2       2             2 2
+--R           (70a b d  - 118a b c d + 46b c )x + 105a d  - 170a b c d + 61a b c
+--R      *
+--R          +-+ +-------+
+--R         \|b \|d x + c
+--R  /
+--R         5         4  +-+
+--R     (15b x + 15a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  922
+
+--S  923 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                    2   2         2         3 2         3 2       2
+--R               (105a b d  - 135a b c d + 30b c )x + 105a d  - 135a b c d
+--R             + 
+--R                    2 2
+--R               30a b c
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                3 2 3           2 2      3     2
+--R             12b d x  + (- 28a b d  + 44b c d)x
+--R           + 
+--R                2   2         2         3 2         3 2       2              2 2
+--R           (140a b d  - 236a b c d + 92b c )x + 210a d  - 340a b c d + 122a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          5         4
+--R       30b x + 30a b
+--R     ,
+--R
+--R                    2   2         2         3 2         3 2       2
+--R             (- 105a b d  + 135a b c d - 30b c )x - 105a d  + 135a b c d
+--R           + 
+--R                    2 2
+--R             - 30a b c
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2 3           2 2      3     2
+--R             6b d x  + (- 14a b d  + 22b c d)x
+--R           + 
+--R               2   2         2         3 2         3 2       2             2 2
+--R           (70a b d  - 118a b c d + 46b c )x + 105a d  - 170a b c d + 61a b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          5         4
+--R       15b x + 15a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  923
+
+--S  924 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                    +-----------+
+--R            2 2                2 2  |- a d + b c  +-+
+--R         (7a d  - 9a b c d + 2b c ) |----------- \|b
+--R                                   \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                        +-+ +-------+
+--R           2 2                 2 2  +-----------+      \|b \|d x + c
+--R       (14a d  - 18a b c d + 4b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R  /
+--R       4 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  924
+
+--S  925 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  925
+
+--S  926 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (7a d  - 9a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 7a d  + 9a b c d - 2b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      4 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  926
+
+--S  927 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  927
+
+)clear all
+
+--S  928 of 1092
+t0:=(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E  928
+
+--S  929 of 1092
+r0:=5/3*d*(c+d*x)^(3/2)/b^2-(c+d*x)^(5/2)/(b*(a+b*x))-5*d*(b*c-a*d)^(3/2)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+5*d*(b*c-a*d)*_
+     sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                  2      2           2 2              +-----------+
+--R         ((15a b d  - 15b c d)x + 15a d  - 15a b c d)\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                 2 2  +-+
+--R         (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4        3  +-+
+--R     (3b x + 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  929
+
+--S  930 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                        +-----------+
+--R                    2      2           2 2              |- a d + b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |-----------
+--R                                                       \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (4b d x  + (- 20a b d  + 28b c d)x - 30a d  + 40a b c d - 6b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       6b x + 6a b
+--R     ,
+--R
+--R                                                        +---------+
+--R                    2      2           2 2              |a d - b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |---------
+--R                                                       \|    b
+--R        *
+--R                  +-------+
+--R                 \|d x + c
+--R           atan(------------)
+--R                 +---------+
+--R                 |a d - b c
+--R                 |---------
+--R                \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       3b x + 3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  930
+
+--S  931 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                          +-----------+
+--R              2           |- a d + b c  +-+
+--R         (5a d  - 5b c d) |----------- \|b
+--R                         \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                +-+ +-------+
+--R               2            +-----------+      \|b \|d x + c
+--R       (- 10a d  + 10b c d)\|- a d + b c atanh(--------------)
+--R                                                +-----------+
+--R                                               \|- a d + b c
+--R  /
+--R       3 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E  931
+
+--S  932 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  932
+
+--S  933 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                              +-+ +-------+
+--R              2           +-----------+      \|b \|d x + c
+--R       (- 5a d  + 5b c d)\|- a d + b c atanh(--------------)
+--R                                              +-----------+
+--R                                             \|- a d + b c
+--R     + 
+--R                            +---------+       +-------+
+--R            2           +-+ |a d - b c       \|d x + c
+--R       (5a d  - 5b c d)\|b  |--------- atan(------------)
+--R                           \|    b           +---------+
+--R                                             |a d - b c
+--R                                             |---------
+--R                                            \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E  933
+
+--S  934 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  934
+
+)clear all
+
+--S  935 of 1092
+t0:=(c+d*x)^(5/2)/(x*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 3         2    2
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  935
+
+--S  936 of 1092
+r0:=-d*(c+d*x)^(3/2)/(a*b)+(c+d*x)^(5/2)/(a*(a+b*x))-2*c^(5/2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))/a^2+(b*c-a*d)^(3/2)*(2*b*c+3*a*d)*_
+     atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^2*b^(5/2))-_
+     d*(b*c-3*a*d)*sqrt(c+d*x)/(a*b^2)
+--R 
+--R
+--R   (2)
+--R               2   2      2        3 2       3 2    2            2 2
+--R         ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                                          +-------+
+--R            3 2        2 2  +-+ +-+      \|d x + c
+--R       (- 2b c x - 2a b c )\|b \|c atanh(----------)
+--R                                             +-+
+--R                                            \|c
+--R     + 
+--R          2   2      3 2     2           2 2  +-+ +-------+
+--R       (2a b d x + 3a d  - 2a b c d + a b c )\|b \|d x + c
+--R  /
+--R       2 3     3 2  +-+
+--R     (a b x + a b )\|b
+--R                                                    Type: Expression(Integer)
+--E  936
+
+--S  937 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               2   2      2        3 2       3 2    2            2 2
+--R           ((3a b d  - a b c d - 2b c )x + 3a d  - a b c d - 2a b c )
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                                       +-+ +-------+
+--R            3 2        2 2  +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (2b c x + 2a b c )\|c log(----------------------------)
+--R                                                 x
+--R       + 
+--R            2   2      3 2     2            2 2  +-------+
+--R         (4a b d x + 6a d  - 4a b c d + 2a b c )\|d x + c
+--R    /
+--R         2 3      3 2
+--R       2a b x + 2a b
+--R     ,
+--R
+--R                                     +-+ +-------+
+--R           3 2       2 2  +-+    - 2\|c \|d x + c  + d x + 2c
+--R         (b c x + a b c )\|c log(----------------------------)
+--R                                               x
+--R       + 
+--R                 2   2      2        3 2       3 2    2            2 2
+--R           ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R            2   2      3 2     2           2 2  +-------+
+--R         (2a b d x + 3a d  - 2a b c d + a b c )\|d x + c
+--R    /
+--R        2 3     3 2
+--R       a b x + a b
+--R     ,
+--R
+--R               2   2      2        3 2       3 2    2            2 2
+--R           ((3a b d  - a b c d - 2b c )x + 3a d  - a b c d - 2a b c )
+--R        *
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R            +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c         \|     b
+--R            |----------- log(-------------------------------------------------)
+--R           \|     b                               b x + a
+--R       + 
+--R                                         +-------+
+--R              3 2        2 2  +---+     \|d x + c
+--R         (- 4b c x - 4a b c )\|- c atan(----------)
+--R                                           +---+
+--R                                          \|- c
+--R       + 
+--R            2   2      3 2     2            2 2  +-------+
+--R         (4a b d x + 6a d  - 4a b c d + 2a b c )\|d x + c
+--R    /
+--R         2 3      3 2
+--R       2a b x + 2a b
+--R     ,
+--R
+--R                                         +-------+
+--R              3 2        2 2  +---+     \|d x + c
+--R         (- 2b c x - 2a b c )\|- c atan(----------)
+--R                                           +---+
+--R                                          \|- c
+--R       + 
+--R                 2   2      2        3 2       3 2    2            2 2
+--R           ((- 3a b d  + a b c d + 2b c )x - 3a d  + a b c d + 2a b c )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R            2   2      3 2     2           2 2  +-------+
+--R         (2a b d x + 3a d  - 2a b c d + a b c )\|d x + c
+--R    /
+--R        2 3     3 2
+--R       a b x + a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  937
+
+--S  938 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                   +-----------+
+--R            2 2               2 2  |- a d + b c  +-+
+--R         (3a d  - a b c d - 2b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                            +-+ +-------+
+--R         2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       2b c \|b \|c log(----------------------------)
+--R                                      x
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (6a d  - 2a b c d - 4b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       4b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R  /
+--R       2 2 +-+
+--R     2a b \|b
+--R                                                    Type: Expression(Integer)
+--E  938
+
+--S  939 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  939
+
+--S  940 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                           +-+ +-------+
+--R        2 2 +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       b c \|b \|c log(----------------------------)
+--R                                     x
+--R     + 
+--R                                                     +-+ +-------+
+--R          2 2               2 2  +-----------+      \|b \|d x + c
+--R       (3a d  - a b c d - 2b c )\|- a d + b c atanh(--------------)
+--R                                                     +-----------+
+--R                                                    \|- a d + b c
+--R     + 
+--R                           +-------+
+--R         2 2 +-+ +-+      \|d x + c
+--R       2b c \|b \|c atanh(----------)
+--R                              +-+
+--R                             \|c
+--R     + 
+--R                                       +---------+       +-------+
+--R            2 2               2 2  +-+ |a d - b c       \|d x + c
+--R       (- 3a d  + a b c d + 2b c )\|b  |--------- atan(------------)
+--R                                      \|    b           +---------+
+--R                                                        |a d - b c
+--R                                                        |---------
+--R                                                       \|    b
+--R  /
+--R      2 2 +-+
+--R     a b \|b
+--R                                                    Type: Expression(Integer)
+--E  940
+
+--S  941 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  941
+
+)clear all
+
+--S  942 of 1092
+t0:=(c+d*x)^(5/2)/(x^2*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 4         3    2 2
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  942
+
+--S  943 of 1092
+r0a:=c^(3/2)*(4*b*c-5*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/a^3-(b*c-a*d)^(3/2)*_
+     (4*b*c+a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*b^(3/2))-_
+     c^2*sqrt(c+d*x)/(a^2*x)-(b*c-a*d)^2*sqrt(c+d*x)/(a^2*b*(a+b*x))
+--R 
+--R
+--R   (2)
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R            3 2     2            2 2      2   2  +-+ +-------+
+--R       ((- a d  + 2a b c d - 2a b c )x - a b c )\|b \|d x + c
+--R  /
+--R       3 2 2    4     +-+
+--R     (a b x  + a b x)\|b
+--R                                                    Type: Expression(Integer)
+--E  943
+
+--S  944 of 1092
+r0b:=-2*(b*c-a*d)*(c+d*x)^(3/2)/(a^2*(a+b*x))-(c+d*x)^(5/2)/(a*x*(a+b*x))+_
+     c^(3/2)*(4*b*c-5*a*d)*atanh(sqrt(c+d*x)/sqrt(c))/a^3-(b*c-a*d)^(3/2)*_
+     (4*b*c+a*d)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(a^3*b^(3/2))+_
+     d*(2*b*c-a*d)*sqrt(c+d*x)/(a^2*b)
+--R 
+--R
+--R   (3)
+--R            2   2       2        3 2  2     3 2     2            2 2
+--R         ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2        3 2  2        2            2 2    +-+ +-+
+--R         ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|b \|c
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R            3 2     2            2 2      2   2  +-+ +-------+
+--R       ((- a d  + 2a b c d - 2a b c )x - a b c )\|b \|d x + c
+--R  /
+--R       3 2 2    4     +-+
+--R     (a b x  + a b x)\|b
+--R                                                    Type: Expression(Integer)
+--E  944
+
+--S  945 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (4)
+--R   [
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                 2        3 2  2      2            2 2    +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R                 2        3 2  2      2            2 2    +-+
+--R           ((5a b c d - 4b c )x  + (5a b c d - 4a b c )x)\|c
+--R        *
+--R                   +-+ +-------+
+--R               - 2\|c \|d x + c  + d x + 2c
+--R           log(----------------------------)
+--R                             x
+--R       + 
+--R               2   2       2        3 2  2      3 2     2            2 2
+--R           ((2a b d  + 6a b c d - 8b c )x  + (2a d  + 6a b c d - 8a b c )x)
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                    2        3 2  2         2            2 2    +---+
+--R           ((- 10a b c d + 8b c )x  + (- 10a b c d + 8a b c )x)\|- c
+--R        *
+--R                 +-------+
+--R                \|d x + c
+--R           atan(----------)
+--R                   +---+
+--R                  \|- c
+--R       + 
+--R               3 2     2            2 2       2   2  +-------+
+--R         ((- 2a d  + 4a b c d - 4a b c )x - 2a b c )\|d x + c
+--R    /
+--R         3 2 2     4
+--R       2a b x  + 2a b x
+--R     ,
+--R
+--R                   2        3 2  2        2            2 2    +---+
+--R           ((- 5a b c d + 4b c )x  + (- 5a b c d + 4a b c )x)\|- c
+--R        *
+--R                 +-------+
+--R                \|d x + c
+--R           atan(----------)
+--R                   +---+
+--R                  \|- c
+--R       + 
+--R              2   2       2        3 2  2     3 2     2            2 2
+--R           ((a b d  + 3a b c d - 4b c )x  + (a d  + 3a b c d - 4a b c )x)
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R              3 2     2            2 2      2   2  +-------+
+--R         ((- a d  + 2a b c d - 2a b c )x - a b c )\|d x + c
+--R    /
+--R        3 2 2    4
+--R       a b x  + a b x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  945
+
+--S  946 of 1092
+m0a:=a0.1-r0a
+--R 
+--R
+--R   (5)
+--R                                   +-----------+
+--R           2 2                2 2  |- a d + b c  +-+
+--R         (a d  + 3a b c d - 4b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  946
+
+--S  947 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E  947
+
+--S  948 of 1092
+m0b:=a0.1-r0b
+--R 
+--R
+--R   (7)
+--R                                   +-----------+
+--R           2 2                2 2  |- a d + b c  +-+
+--R         (a d  + 3a b c d - 4b c ) |----------- \|b
+--R                                  \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  948
+
+--S  949 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (8)  0
+--R                                                    Type: Expression(Integer)
+--E  949
+
+--S  950 of 1092
+m0c:=a0.2-r0a
+--R 
+--R
+--R   (9)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  + 6a b c d - 8b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  950
+
+--S  951 of 1092
+d0c:=D(m0c,x)
+--R 
+--R
+--R   (10)  0
+--R                                                    Type: Expression(Integer)
+--E  951
+
+--S  952 of 1092
+m0d:=a0.2-r0b
+--R 
+--R
+--R   (11)
+--R                                         +-+ +-------+
+--R                     2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (5a b c d - 4b c )\|b \|c log(----------------------------)
+--R                                                   x
+--R     + 
+--R                                                        +-+ +-------+
+--R            2 2                2 2  +-----------+      \|b \|d x + c
+--R       (- 2a d  - 6a b c d + 8b c )\|- a d + b c atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R                                         +-------+
+--R                      2 2  +-+ +-+      \|d x + c
+--R       (10a b c d - 8b c )\|b \|c atanh(----------)
+--R                                            +-+
+--R                                           \|c
+--R     + 
+--R                                      +---------+       +-------+
+--R          2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (2a d  + 6a b c d - 8b c )\|b  |--------- atan(------------)
+--R                                     \|    b           +---------+
+--R                                                       |a d - b c
+--R                                                       |---------
+--R                                                      \|    b
+--R  /
+--R       3  +-+
+--R     2a b\|b
+--R                                                    Type: Expression(Integer)
+--E  952
+
+--S  953 of 1092
+d0d:=D(m0d,x)
+--R 
+--R
+--R   (12)  0
+--R                                                    Type: Expression(Integer)
+--E  953
+
+)clear all
+
+--S  954 of 1092
+t0:=(c+d*x)^(5/2)/(x^3*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 5         4    2 3
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  954
+
+--S  955 of 1092
+r0:=1/4*(6*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x*(a+b*x))-1/2*(c+d*x)^(5/2)/_
+     (a*x^2*(a+b*x))+(b*c-a*d)^(3/2)*(6*b*c-a*d)*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/(a^4*sqrt(b))-1/4*(24*b^2*c^2-40*a*b*c*d+15*a^2*d^2)*_
+     atanh(sqrt(c+d*x)/sqrt(c))*sqrt(c)/a^4+1/4*(12*b*c-11*a*d)*_
+     (b*c-a*d)*sqrt(c+d*x)/(a^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R             2   2        2         3 2  3      3 2      2             2 2  2
+--R         ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R      *
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R         \|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                 2   2        2         3 2  3
+--R           (- 15a b d  + 40a b c d - 24b c )x
+--R         + 
+--R                 3 2      2             2 2  2
+--R           (- 15a d  + 40a b c d - 24a b c )x
+--R      *
+--R                        +-------+
+--R          +-+ +-+      \|d x + c
+--R         \|b \|c atanh(----------)
+--R                           +-+
+--R                          \|c
+--R     + 
+--R             3 2      2             2 2  2        3        2   2       3 2  +-+
+--R         ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4   3     5 2  +-+
+--R     (4a b x  + 4a x )\|b
+--R                                                    Type: Expression(Integer)
+--E  955
+
+--S  956 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                   2   2        2         3 2  3
+--R               (15a b d  - 40a b c d + 24b c )x
+--R             + 
+--R                   3 2      2             2 2  2
+--R               (15a d  - 40a b c d + 24a b c )x
+--R        *
+--R                       +-+ +-------+
+--R            +-+    - 2\|c \|d x + c  + d x + 2c
+--R           \|c log(----------------------------)
+--R                                 x
+--R       + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R           ((8a d  - 34a b c d + 24a b c )x  + (- 18a c d + 12a b c )x - 4a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       8a b x  + 8a x
+--R     ,
+--R
+--R                   2   2        2         3 2  3
+--R               (15a b d  - 40a b c d + 24b c )x
+--R             + 
+--R                   3 2      2             2 2  2
+--R               (15a d  - 40a b c d + 24a b c )x
+--R        *
+--R                       +-+ +-------+
+--R            +-+    - 2\|c \|d x + c  + d x + 2c
+--R           \|c log(----------------------------)
+--R                                 x
+--R       + 
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((8a b d  - 56a b c d + 48b c )x  + (8a d  - 56a b c d + 48a b c )x )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2      2             2 2  2         3         2   2       3 2
+--R           ((8a d  - 34a b c d + 24a b c )x  + (- 18a c d + 12a b c )x - 4a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       8a b x  + 8a x
+--R     ,
+--R
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((2a b d  - 14a b c d + 12b c )x  + (2a d  - 14a b c d + 12a b c )x )
+--R        *
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R            +-----------+    2b |----------- \|d x + c  + b d x - a d + 2b c
+--R            |- a d + b c       \|     b
+--R            |----------- log(-----------------------------------------------)
+--R           \|     b                              b x + a
+--R       + 
+--R                   2   2        2         3 2  3
+--R             (- 15a b d  + 40a b c d - 24b c )x
+--R           + 
+--R                   3 2      2             2 2  2
+--R             (- 15a d  + 40a b c d - 24a b c )x
+--R        *
+--R                       +-------+
+--R            +---+     \|d x + c
+--R           \|- c atan(----------)
+--R                         +---+
+--R                        \|- c
+--R       + 
+--R               3 2      2             2 2  2        3        2   2       3 2
+--R           ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       4a b x  + 4a x
+--R     ,
+--R
+--R                   2   2        2         3 2  3
+--R             (- 15a b d  + 40a b c d - 24b c )x
+--R           + 
+--R                   3 2      2             2 2  2
+--R             (- 15a d  + 40a b c d - 24a b c )x
+--R        *
+--R                       +-------+
+--R            +---+     \|d x + c
+--R           \|- c atan(----------)
+--R                         +---+
+--R                        \|- c
+--R       + 
+--R               2   2        2         3 2  3      3 2      2             2 2  2
+--R           ((4a b d  - 28a b c d + 24b c )x  + (4a d  - 28a b c d + 24a b c )x )
+--R        *
+--R            +---------+       +-------+
+--R            |a d - b c       \|d x + c
+--R            |--------- atan(------------)
+--R           \|    b           +---------+
+--R                             |a d - b c
+--R                             |---------
+--R                            \|    b
+--R       + 
+--R               3 2      2             2 2  2        3        2   2       3 2
+--R           ((4a d  - 17a b c d + 12a b c )x  + (- 9a c d + 6a b c )x - 2a c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4   3     5 2
+--R       4a b x  + 4a x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  956
+
+--S  957 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R                                      +-----------+
+--R            2 2                  2 2  |- a d + b c  +-+
+--R         (4a d  - 28a b c d + 24b c ) |----------- \|b
+--R                                     \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                    +-+ +-------+
+--R           2 2                  2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 40a b c d + 24b c )\|b \|c log(----------------------------)
+--R                                                              x
+--R     + 
+--R                                                          +-+ +-------+
+--R            2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 8a d  + 56a b c d - 48b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 80a b c d + 48b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R  /
+--R       4 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  957
+
+--S  958 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  958
+
+--S  959 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R                                                    +-+ +-------+
+--R           2 2                  2 2  +-+ +-+    - 2\|c \|d x + c  + d x + 2c
+--R       (15a d  - 40a b c d + 24b c )\|b \|c log(----------------------------)
+--R                                                              x
+--R     + 
+--R                                                          +-+ +-------+
+--R            2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 8a d  + 56a b c d - 48b c )\|- a d + b c atanh(--------------)
+--R                                                          +-----------+
+--R                                                         \|- a d + b c
+--R     + 
+--R                                                   +-------+
+--R           2 2                  2 2  +-+ +-+      \|d x + c
+--R       (30a d  - 80a b c d + 48b c )\|b \|c atanh(----------)
+--R                                                      +-+
+--R                                                     \|c
+--R     + 
+--R                                        +---------+       +-------+
+--R          2 2                  2 2  +-+ |a d - b c       \|d x + c
+--R       (8a d  - 56a b c d + 48b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R       4 +-+
+--R     8a \|b
+--R                                                    Type: Expression(Integer)
+--E  959
+
+--S  960 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  960
+
+)clear all
+
+--S  961 of 1092
+t0:=(c+d*x)^(5/2)/(x^4*(a+b*x)^2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R              2 6         5    2 4
+--R             b x  + 2a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E  961
+
+--S  962 of 1092
+r0:=1/12*(8*b*c-5*a*d)*(c+d*x)^(3/2)/(a^2*x^2*(a+b*x))-1/3*(c+d*x)^(5/2)/_
+     (a*x^3*(a+b*x))-(8*b*c-3*a*d)*(b*c-a*d)^(3/2)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/a^5+1/8*(64*b^3*c^3-_
+     120*a*b^2*c^2*d+60*a^2*b*c*d^2-5*a^3*d^3)*atanh(sqrt(c+d*x)/_
+     sqrt(c))/(a^5*sqrt(c))-1/8*b*(32*b^2*c^2-52*a*b*c*d+19*a^2*d^2)*_
+     sqrt(c+d*x)/(a^4*(a+b*x))-1/8*(16*b^2*c^2-22*a*b*c*d+5*a^2*d^2)*_
+     sqrt(c+d*x)/(a^3*x*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 2   2         2          3 2  4
+--R           (- 72a b d  + 264a b c d - 192b c )x
+--R         + 
+--R                 3 2       2              2 2  3
+--R           (- 72a d  + 264a b c d - 192a b c )x
+--R      *
+--R                                      +-+ +-------+
+--R          +-----------+ +-+ +-+      \|b \|d x + c
+--R         \|- a d + b c \|b \|c atanh(--------------)
+--R                                      +-----------+
+--R                                     \|- a d + b c
+--R     + 
+--R                 3   3       2 2   2         3 2        4 3  4
+--R           (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R         + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R           (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R      *
+--R                +-------+
+--R               \|d x + c
+--R         atanh(----------)
+--R                   +-+
+--R                  \|c
+--R     + 
+--R                 3   2       2 2           3 2  3
+--R           (- 57a b d  + 156a b c d - 96a b c )x
+--R         + 
+--R               4 2      3           2 2 2  2         4         3   2       4 2
+--R         (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R      *
+--R          +-+ +-------+
+--R         \|c \|d x + c
+--R  /
+--R         5   4      6 3  +-+
+--R     (24a b x  + 24a x )\|c
+--R                                                    Type: Expression(Integer)
+--E  962
+
+--S  963 of 1092
+a0:=integrate(t0,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 3   3       2 2   2         3 2        4 3  4
+--R             (15a b d  - 180a b c d  + 360a b c d - 192b c )x
+--R           + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R             (15a d  - 180a b c d  + 360a b c d - 192a b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                 2   2         2          3 2  4
+--R             (72a b d  - 264a b c d + 192b c )x
+--R           + 
+--R                 3 2       2              2 2  3
+--R             (72a d  - 264a b c d + 192a b c )x
+--R        *
+--R            +-------------+
+--R            |           2   +-+
+--R           \|- a b d + b c \|c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                    3   2       2 2            3 2  3
+--R             (- 114a b d  + 312a b c d - 192a b c )x
+--R           + 
+--R                   4 2       3           2 2 2  2         4         3   2
+--R             (- 66a d  + 164a b c d - 96a b c )x  + (- 52a c d + 32a b c )x
+--R           + 
+--R                  4 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R           5   4      6 3  +-+
+--R       (48a b x  + 48a x )\|c
+--R     ,
+--R
+--R                 3   3       2 2   2         3 2        4 3  4
+--R             (15a b d  - 180a b c d  + 360a b c d - 192b c )x
+--R           + 
+--R                 4 3       3     2       2 2 2          3 3  3
+--R             (15a d  - 180a b c d  + 360a b c d - 192a b c )x
+--R        *
+--R                    +-------+              +-+
+--R               - 2c\|d x + c  + (d x + 2c)\|c
+--R           log(-------------------------------)
+--R                              x
+--R       + 
+--R                    2   2         2          3 2  4
+--R             (- 144a b d  + 528a b c d - 384b c )x
+--R           + 
+--R                    3 2       2              2 2  3
+--R             (- 144a d  + 528a b c d - 384a b c )x
+--R        *
+--R                +-----------+         +-------+
+--R            +-+ |         2         b\|d x + c
+--R           \|c \|a b d - b c atan(--------------)
+--R                                   +-----------+
+--R                                   |         2
+--R                                  \|a b d - b c
+--R       + 
+--R                    3   2       2 2            3 2  3
+--R             (- 114a b d  + 312a b c d - 192a b c )x
+--R           + 
+--R                   4 2       3           2 2 2  2         4         3   2
+--R             (- 66a d  + 164a b c d - 96a b c )x  + (- 52a c d + 32a b c )x
+--R           + 
+--R                  4 2
+--R             - 16a c
+--R        *
+--R            +-+ +-------+
+--R           \|c \|d x + c
+--R    /
+--R           5   4      6 3  +-+
+--R       (48a b x  + 48a x )\|c
+--R     ,
+--R
+--R                 2   2         2         3 2  4
+--R             (36a b d  - 132a b c d + 96b c )x
+--R           + 
+--R                 3 2       2             2 2  3
+--R             (36a d  - 132a b c d + 96a b c )x
+--R        *
+--R            +-------------+
+--R            |           2   +---+
+--R           \|- a b d + b c \|- c
+--R        *
+--R                   +-------------+
+--R                   |           2   +-------+
+--R               - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R           log(--------------------------------------------------)
+--R                                     b x + a
+--R       + 
+--R                   3   3       2 2   2         3 2        4 3  4
+--R             (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R           + 
+--R                   4 3       3     2       2 2 2          3 3  3
+--R             (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                   3   2       2 2           3 2  3
+--R             (- 57a b d  + 156a b c d - 96a b c )x
+--R           + 
+--R                 4 2      3           2 2 2  2         4         3   2       4 2
+--R           (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R           5   4      6 3  +---+
+--R       (24a b x  + 24a x )\|- c
+--R     ,
+--R
+--R                   3   3       2 2   2         3 2        4 3  4
+--R             (- 15a b d  + 180a b c d  - 360a b c d + 192b c )x
+--R           + 
+--R                   4 3       3     2       2 2 2          3 3  3
+--R             (- 15a d  + 180a b c d  - 360a b c d + 192a b c )x
+--R        *
+--R                 +---+ +-------+
+--R                \|- c \|d x + c
+--R           atan(----------------)
+--R                        c
+--R       + 
+--R                   2   2         2          3 2  4
+--R             (- 72a b d  + 264a b c d - 192b c )x
+--R           + 
+--R                   3 2       2              2 2  3
+--R             (- 72a d  + 264a b c d - 192a b c )x
+--R        *
+--R                  +-----------+         +-------+
+--R            +---+ |         2         b\|d x + c
+--R           \|- c \|a b d - b c atan(--------------)
+--R                                     +-----------+
+--R                                     |         2
+--R                                    \|a b d - b c
+--R       + 
+--R                   3   2       2 2           3 2  3
+--R             (- 57a b d  + 156a b c d - 96a b c )x
+--R           + 
+--R                 4 2      3           2 2 2  2         4         3   2       4 2
+--R           (- 33a d  + 82a b c d - 48a b c )x  + (- 26a c d + 16a b c )x - 8a c
+--R        *
+--R            +---+ +-------+
+--R           \|- c \|d x + c
+--R    /
+--R           5   4      6 3  +---+
+--R       (24a b x  + 24a x )\|- c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E  963
+
+--S  964 of 1092
+m0a:=a0.1-r0
+--R 
+--R
+--R   (4)
+--R            3 3      2     2         2 2       3 3
+--R         (5a d  - 60a b c d  + 120a b c d - 64b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R                                       +-------------+
+--R             2 2                  2 2  |           2   +-+
+--R         (24a d  - 88a b c d + 64b c )\|- a b d + b c \|c
+--R      *
+--R                 +-------------+
+--R                 |           2   +-------+
+--R             - 2\|- a b d + b c \|d x + c  + b d x - a d + 2b c
+--R         log(--------------------------------------------------)
+--R                                   b x + a
+--R     + 
+--R             2 2                    2 2  +-----------+ +-+ +-+
+--R         (48a d  - 176a b c d + 128b c )\|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                           +-------+
+--R           3 3       2     2         2 2        3 3       \|d x + c
+--R       (10a d  - 120a b c d  + 240a b c d - 128b c )atanh(----------)
+--R                                                              +-+
+--R                                                             \|c
+--R  /
+--R        5 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  964
+
+--S  965 of 1092
+d0a:=D(m0a,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E  965
+
+--S  966 of 1092
+m0b:=a0.2-r0
+--R 
+--R
+--R   (6)
+--R            3 3      2     2         2 2       3 3
+--R         (5a d  - 60a b c d  + 120a b c d - 64b c )
+--R      *
+--R                  +-------+              +-+
+--R             - 2c\|d x + c  + (d x + 2c)\|c
+--R         log(-------------------------------)
+--R                            x
+--R     + 
+--R             2 2                    2 2  +-----------+ +-+ +-+
+--R         (48a d  - 176a b c d + 128b c )\|- a d + b c \|b \|c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                                                           +-------+
+--R           3 3       2     2         2 2        3 3       \|d x + c
+--R       (10a d  - 120a b c d  + 240a b c d - 128b c )atanh(----------)
+--R                                                              +-+
+--R                                                             \|c
+--R     + 
+--R                                             +-----------+         +-------+
+--R             2 2                    2 2  +-+ |         2         b\|d x + c
+--R       (- 48a d  + 176a b c d - 128b c )\|c \|a b d - b c atan(--------------)
+--R                                                                +-----------+
+--R                                                                |         2
+--R                                                               \|a b d - b c
+--R  /
+--R        5 +-+
+--R     16a \|c
+--R                                                    Type: Expression(Integer)
+--E  966
+
+--S  967 of 1092
+d0b:=D(m0b,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E  967
+
+)clear all
+
+--S  968 of 1092
+t0:=x^3*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         3 +-------+ +-------+
+--R   (1)  x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  968
+
+--S  969 of 1092
+r0:=1/128*(b*c-a*d)^2*(b*c+a*d)*(7*b^2*c^2+2*a*b*c*d+7*a^2*d^2)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(9/2))-_
+     1/960*(105*b^3*c^3-5*a*b^2*c^2*d-17*a^2*b*c*d^2-35*a^3*d^3)*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b^3*d^4)-1/240*(4*a*c-35*b*c^2/d+_
+     7*a^2*d/b)*x*(c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)-1/40*(7*b*c-a*d)*x^2*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)/(b*d^2)+1/5*x^3*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/d+1/128*(7*b^4*c^4+2*a*b^3*c^3*d-2*a^3*b*c*d^3-_
+     7*a^4*d^4)*sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^4)
+--R 
+--R
+--R   (2)
+--R              5 5      4     4      3 2 2 3      2 3 3 2        4 4        5 5
+--R         (105a d  - 75a b c d  - 30a b c d  - 30a b c d  - 75a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4      4   3  3
+--R           384b d x  + (48a b d  + 48b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2
+--R           (- 56a b d  + 16a b c d  - 56b c d )x
+--R         + 
+--R               3   4      2 2   3        3 2 2      4 3          4 4
+--R           (70a b d  - 22a b c d  - 22a b c d  + 70b c d)x - 105a d
+--R         + 
+--R              3     3      2 2 2 2        3 3        4 4
+--R           40a b c d  + 34a b c d  + 40a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  969
+
+--S  970 of 1092
+--a0:=integrate(t0,x)
+--E  970
+
+--S  971 of 1092
+--m0:=a0-r0
+--E  971
+
+--S  972 of 1092
+--d0:=D(m0,x)
+--E  972
+
+)clear all
+
+--S  973 of 1092
+t0:=x^2*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         2 +-------+ +-------+
+--R   (1)  x \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  973
+
+--S  974 of 1092
+r0:=-5/24*(b*c+a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^2*d^2)+1/4*x*_
+     (a+b*x)^(3/2)*(c+d*x)^(3/2)/(b*d)+1/64*(b*c-a*d)^2*_
+     (4*a*b*c*d-5*(b*c+a*d)^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*_
+     sqrt(c+d*x)))/(b^(7/2)*d^(7/2))-1/32*(4*a*b*c*d-5*(b*c+a*d)^2)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d^2)-1/64*(b*c-a*d)*_
+     (4*a*b*c*d-5*(b*c+a*d)^2)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3     2 2 2 2        3 3       4 4
+--R         (- 15a d  + 12a b c d  + 6a b c d  + 12a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3     3   2  2
+--R           48b d x  + (8a b d  + 8b c d )x
+--R         + 
+--R                 2   3       2   2      3 2         3 3     2     2       2 2
+--R           (- 10a b d  + 4a b c d  - 10b c d)x + 15a d  - 7a b c d  - 7a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  974
+
+--S  975 of 1092
+--a0:=integrate(t0,x)
+--E  975
+
+--S  976 of 1092
+--m0:=a0-r0
+--E  976
+
+--S  977 of 1092
+--d0:=D(m0,x)
+--E  977
+
+)clear all
+
+--S  978 of 1092
+t0:=x*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R          +-------+ +-------+
+--R   (1)  x\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  978
+
+--S  979 of 1092
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b*d)+1/8*(b*c-a*d)^2*(b*c+a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))-_
+     1/4*(b*c+a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d)+1/8*_
+     (a^2/b^2-c^2/d^2)*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (3a d  - 3a b c d  - 3a b c d + 3b c )atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2 2          2     2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 2b c d)x - 3a d  + 2a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  979
+
+--S  980 of 1092
+--a0:=integrate(t0,x)
+--E  980
+
+--S  981 of 1092
+--m0:=a0-r0
+--E  981
+
+--S  982 of 1092
+--d0:=D(m0,x)
+--E  982
+
+)clear all
+
+--S  983 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R         +-------+ +-------+
+--R   (1)  \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  983
+
+--S  984 of 1092
+r0:=-1/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(3/2))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/b+1/4*(b*c-a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R           2 2               2 2       \|d \|b x + a
+--R       (- a d  + 2a b c d - b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                            +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  984
+
+--S  985 of 1092
+--a0:=integrate(t0,x)
+--E  985
+
+--S  986 of 1092
+--m0:=a0-r0
+--E  986
+
+--S  987 of 1092
+--d0:=D(m0,x)
+--E  987
+
+)clear all
+
+--S  988 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  x
+--R                                                    Type: Expression(Integer)
+--E  988
+
+--S  989 of 1092
+r0:=-2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)*sqrt(c)+_
+     (b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (sqrt(b)*sqrt(d))+sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                         +-+ +-------+                            +-+ +-------+
+--R                        \|d \|b x + a       +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       (a d + b c)atanh(--------------) - 2\|a \|b \|c \|d atanh(--------------)
+--R                         +-+ +-------+                            +-+ +-------+
+--R                        \|b \|d x + c                            \|a \|d x + c
+--R     + 
+--R        +-+ +-+ +-------+ +-------+
+--R       \|b \|d \|b x + a \|d x + c
+--R  /
+--R      +-+ +-+
+--R     \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  989
+
+--S  990 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  990
+
+--S  991 of 1092
+--m0:=a0-r0
+--E  991
+
+--S  992 of 1092
+--d0:=D(m0,x)
+--E  992
+
+)clear all
+
+--S  993 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^2
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  2
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  993
+
+--S  994 of 1092
+r0:=-(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (sqrt(a)*sqrt(c))+2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)*sqrt(d)-sqrt(a+b*x)*sqrt(c+d*x)/x
+--R 
+--R
+--R   (2)
+--R                                +-+ +-------+
+--R          +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       2x\|a \|b \|c \|d atanh(--------------)
+--R                                +-+ +-------+
+--R                               \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R                            \|c \|b x + a      +-+ +-+ +-------+ +-------+
+--R       (- a d - b c)x atanh(--------------) - \|a \|c \|b x + a \|d x + c
+--R                             +-+ +-------+
+--R                            \|a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|a \|c
+--R                                                    Type: Expression(Integer)
+--E  994
+
+--S  995 of 1092
+--a0:=integrate(t0,x)
+--E  995
+
+--S  996 of 1092
+--m0:=a0-r0
+--E  996
+
+--S  997 of 1092
+--d0:=D(m0,x)
+--E  997
+
+)clear all
+
+--S  998 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^3
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  3
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  998
+
+--S  999 of 1092
+r0:=1/4*(b*c-a*d)^2*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(3/2)*c^(3/2))-1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/(c*x^2)-_
+     1/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R         2 2               2 2  2      \|c \|b x + a
+--R       (a d  - 2a b c d + b c )x atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|a \|d x + c
+--R     + 
+--R                               +-+ +-+ +-------+ +-------+
+--R       ((- a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R           2 +-+ +-+
+--R     4a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  999
+
+--S  1000 of 1092
+--a0:=integrate(t0,x)
+--E  1000
+
+--S  1001 of 1092
+--m0:=a0-r0
+--E  1001
+
+--S  1002 of 1092
+--d0:=D(m0,x)
+--E  1002
+
+)clear all
+
+--S  1003 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^4
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  4
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1003
+
+--S  1004 of 1092
+r0:=-1/8*(b*c-a*d)^2*(b*c+a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(5/2)*c^(5/2))-1/3*sqrt(a+b*x)*sqrt(c+d*x)/x^3-_
+     1/12*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*c*x^2)+_
+     1/24*(3*b^2*c^2-2*a*b*c*d+3*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x)
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (- 3a d  + 3a b c d  + 3a b c d - 3b c )x atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|a \|d x + c
+--R     + 
+--R             2 2                2 2  2        2            2       2 2  +-+ +-+
+--R         ((3a d  - 2a b c d + 3b c )x  + (- 2a c d - 2a b c )x - 8a c )\|a \|c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 2 3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1004
+
+--S  1005 of 1092
+--a0:=integrate(t0,x)
+--E  1005
+
+--S  1006 of 1092
+--m0:=a0-r0
+--E  1006
+
+--S  1007 of 1092
+--d0:=D(m0,x)
+--E  1007
+
+)clear all
+
+--S  1008 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^5
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  5
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1008
+
+--S  1009 of 1092
+r0:=1/64*(b*c-a*d)^2*(5*b^2*c^2+6*a*b*c*d+5*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(7/2)*c^(7/2))-_
+     1/4*sqrt(a+b*x)*sqrt(c+d*x)/x^4-1/24*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^3)+1/96*(5*b^2*c^2-2*a*b*c*d+5*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^2)-1/192*(b*c+a*d)*_
+     (15*b^2*c^2-22*a*b*c*d+15*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^3*x)
+--R 
+--R
+--R   (2)
+--R             4 4      3     3     2 2 2 2        3 3       4 4  4
+--R         (15a d  - 12a b c d  - 6a b c d  - 12a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R                 3 3     2     2       2 2       3 3  3
+--R           (- 15a d  + 7a b c d  + 7a b c d - 15b c )x
+--R         + 
+--R               3   2     2   2         2 3  2        3 2      2   3        3 3
+--R           (10a c d  - 4a b c d + 10a b c )x  + (- 8a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 3 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1009
+
+--S  1010 of 1092
+--a0:=integrate(t0,x)
+--E  1010
+
+--S  1011 of 1092
+--m0:=a0-r0
+--E  1011
+
+--S  1012 of 1092
+--d0:=D(m0,x)
+--E  1012
+
+)clear all
+
+--S  1013 of 1092
+t0:=sqrt(a+b*x)*sqrt(c+d*x)/x^6
+--R 
+--R
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R   (1)  --------------------
+--R                  6
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E  1013
+
+--S  1014 of 1092
+r0:=-1/128*(b*c-a*d)^2*(b*c+a*d)*(7*b^2*c^2+2*a*b*c*d+7*a^2*d^2)*_
+     atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(9/2))-_
+     1/5*sqrt(a+b*x)*sqrt(c+d*x)/x^5-1/40*(b*c+a*d)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a*c*x^4)+1/240*(7*b^2*c^2-2*a*b*c*d+7*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c^2*x^3)-1/960*(b*c+a*d)*_
+     (35*b^2*c^2-46*a*b*c*d+35*a^2*d^2)*sqrt(a+b*x)*sqrt(c+d*x)/_
+     (a^3*c^3*x^2)+1/1920*(105*b^4*c^4-40*a*b^3*c^3*d-_
+     34*a^2*b^2*c^2*d^2-40*a^3*b*c*d^3+105*a^4*d^4)*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(a^4*c^4*x)
+--R 
+--R
+--R   (2)
+--R                   5 5      4     4      3 2 2 3      2 3 3 2        4 4
+--R             - 105a d  + 75a b c d  + 30a b c d  + 30a b c d  + 75a b c d
+--R           + 
+--R                   5 5
+--R             - 105b c
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                4 4      3     3      2 2 2 2        3 3        4 4  4
+--R           (105a d  - 40a b c d  - 34a b c d  - 40a b c d + 105b c )x
+--R         + 
+--R                 4   3      3   2 2      2 2 3         3 4  3
+--R           (- 70a c d  + 22a b c d  + 22a b c d - 70a b c )x
+--R         + 
+--R             4 2 2      3   3       2 2 4  2         4 3       3   4         4 4
+--R         (56a c d  - 16a b c d + 56a b c )x  + (- 48a c d - 48a b c )x - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 4 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1014
+
+--S  1015 of 1092
+--a0:=integrate(t0,x)
+--E  1015
+
+--S  1016 of 1092
+--m0:=a0-r0
+--E  1016
+
+--S  1017 of 1092
+--d0:=D(m0,x)
+--E  1017
+
+)clear all
+
+--S  1018 of 1092
+t0:=x^2*(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R            3      2  +-------+ +-------+
+--R   (1)  (d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1018
+
+--S  1019 of 1092
+r0:=1/48*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/_
+     (b^3*d^2)-1/40*(5*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^2*d^2)+_
+     1/5*x*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b*d)-1/128*(b*c-a*d)^3*_
+     (3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(9/2)*d^(7/2))+1/64*(b*c-a*d)*_
+     (3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^4*d^2)+1/128*(b*c-a*d)^2*(3*b^2*c^2+6*a*b*c*d+7*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^3)
+--R 
+--R
+--R   (2)
+--R              5 5       4     4      3 2 2 3      2 3 3 2        4 4       5 5
+--R         (105a d  - 225a b c d  + 90a b c d  + 30a b c d  + 45a b c d - 45b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4       4   3  3
+--R           384b d x  + (48a b d  + 528b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2
+--R           (- 56a b d  + 96a b c d  + 24b c d )x
+--R         + 
+--R               3   4       2 2   3        3 2 2      4 3          4 4
+--R           (70a b d  - 122a b c d  + 18a b c d  - 30b c d)x - 105a d
+--R         + 
+--R               3     3      2 2 2 2        3 3       4 4
+--R           190a b c d  - 36a b c d  - 30a b c d + 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 3 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1019
+
+--S  1020 of 1092
+--a0:=integrate(t0,x)
+--E  1020
+
+--S  1021 of 1092
+--m0:=a0-r0
+--E  1021
+
+--S  1022 of 1092
+--d0:=D(m0,x)
+--E  1022
+
+)clear all
+
+--S  1023 of 1092
+t0:=x*(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R            2        +-------+ +-------+
+--R   (1)  (d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1023
+
+--S  1024 of 1092
+r0:=-1/24*(3*b*c+5*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^2*d)+1/4*_
+     (a+b*x)^(3/2)*(c+d*x)^(5/2)/(b*d)+1/64*(b*c-a*d)^3*(3*b*c+5*a*d)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(5/2))-_
+     1/32*(b*c-a*d)*(3*b*c+5*a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^3*d)-_
+     1/64*(b*c-a*d)^2*(3*b*c+5*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3      4 4
+--R         (- 15a d  + 36a b c d  - 18a b c d  - 12a b c d + 9b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3      3   2  2
+--R           48b d x  + (8a b d  + 72b c d )x
+--R         + 
+--R                 2   3        2   2     3 2         3 3      2     2       2 2
+--R           (- 10a b d  + 20a b c d  + 6b c d)x + 15a d  - 31a b c d  + 9a b c d
+--R         + 
+--R               3 3
+--R           - 9b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 2 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1024
+
+--S  1025 of 1092
+--a0:=integrate(t0,x)
+--E  1025
+
+--S  1026 of 1092
+--m0:=a0-r0
+--E  1026
+
+--S  1027 of 1092
+--d0:=D(m0,x)
+--E  1027
+
+)clear all
+
+--S  1028 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1028
+
+--S  1029 of 1092
+r0:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b-1/8*(b*c-a*d)^3*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+1/4*(b*c-a*d)*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/b^2+1/8*(b*c-a*d)^2*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (3a d  - 9a b c d  + 9a b c d - 3b c )atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 14b c d)x - 3a d  + 8a b c d + 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2  +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1029
+
+--S  1030 of 1092
+--a0:=integrate(t0,x)
+--E  1030
+
+--S  1031 of 1092
+--m0:=a0-r0
+--E  1031
+
+--S  1032 of 1092
+--d0:=D(m0,x)
+--E  1032
+
+)clear all
+
+--S  1033 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1033
+
+--S  1034 of 1092
+r0:=-2*c^(3/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(a)+1/4*(3*b^2*c^2+6*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(3/2)*sqrt(d))+_
+     1/2*(c+d*x)^(3/2)*sqrt(a+b*x)+1/4*(3*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R           2 2                2 2       \|d \|b x + a
+--R       (- a d  + 6a b c d + 3b c )atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                                    +-+ +-------+
+--R              +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 8b c\|a \|b \|c \|d atanh(--------------)
+--R                                    +-+ +-------+
+--R                                   \|a \|d x + c
+--R     + 
+--R                             +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d + 5b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R        +-+ +-+
+--R     4b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1034
+
+--S  1035 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1035
+
+--S  1036 of 1092
+--m0:=a0-r0
+--E  1036
+
+--S  1037 of 1092
+--d0:=D(m0,x)
+--E  1037
+
+)clear all
+
+--S  1038 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^2
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1038
+
+--S  1039 of 1092
+r0:=-(b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*_
+     sqrt(c)/sqrt(a)+(3*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))*sqrt(d)/sqrt(b)-(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/x+2*d*sqrt(a+b*x)*sqrt(c+d*x)
+--R 
+--R
+--R   (2)
+--R                                   +-+ +-------+
+--R                     +-+ +-+      \|d \|b x + a
+--R       (a d + 3b c)x\|a \|d atanh(--------------)
+--R                                   +-+ +-------+
+--R                                  \|b \|d x + c
+--R     + 
+--R                                     +-+ +-------+
+--R                       +-+ +-+      \|c \|b x + a
+--R       (- 3a d - b c)x\|b \|c atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|a \|d x + c
+--R     + 
+--R                 +-+ +-+ +-------+ +-------+
+--R       (d x - c)\|a \|b \|b x + a \|d x + c
+--R  /
+--R       +-+ +-+
+--R     x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1039
+
+--S  1040 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1040
+
+--S  1041 of 1092
+--m0:=a0-r0
+--E  1041
+
+--S  1042 of 1092
+--d0:=D(m0,x)
+--E  1042
+
+)clear all
+
+--S  1043 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^3
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1043
+
+--S  1044 of 1092
+r0:=2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)+_
+     1/4*(b^2*c^2-6*a*b*c*d-3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(3/2)*sqrt(c))-_
+     1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/x^2-1/4*(b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*x)
+--R 
+--R
+--R   (2)
+--R                                     +-+ +-------+
+--R             2 +-+ +-+ +-+ +-+      \|d \|b x + a
+--R       8a d x \|a \|b \|c \|d atanh(--------------)
+--R                                     +-+ +-------+
+--R                                    \|b \|d x + c
+--R     + 
+--R                                           +-+ +-------+
+--R            2 2               2 2  2      \|c \|b x + a
+--R       (- 3a d  - 6a b c d + b c )x atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|a \|d x + c
+--R     + 
+--R                                +-+ +-+ +-------+ +-------+
+--R       ((- 5a d - b c)x - 2a c)\|a \|c \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4a x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1044
+
+--S  1045 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1045
+
+--S  1046 of 1092
+--m0:=a0-r0
+--E  1046
+
+--S  1047 of 1092
+--d0:=D(m0,x)
+--E  1047
+
+)clear all
+
+--S  1048 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^4
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       4
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1048
+
+--S  1049 of 1092
+r0:=-1/8*(b*c-a*d)^3*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     (a^(5/2)*c^(3/2))-1/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*c*x^2)-_
+     1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/(c*x^3)+1/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^2*c*x)
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R          3 3     2     2       2 2      3 3  3      \|c \|b x + a
+--R       (3a d  - 9a b c d  + 9a b c d - 3b c )x atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|a \|d x + c
+--R     + 
+--R               2 2                2 2  2         2            2       2 2  +-+
+--R         ((- 3a d  - 8a b c d + 3b c )x  + (- 14a c d - 2a b c )x - 8a c )\|a
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|c \|b x + a \|d x + c
+--R  /
+--R        2   3 +-+ +-+
+--R     24a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1049
+
+--S  1050 of 1092
+--a0:=integrate(t0,x)
+--E  1050
+
+--S  1051 of 1092
+--m0:=a0-r0
+--E  1051
+
+--S  1052 of 1092
+--d0:=D(m0,x)
+--E  1052
+
+)clear all
+
+--S  1053 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^5
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       5
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1053
+
+--S  1054 of 1092
+r0:=1/64*(b*c-a*d)^3*(5*b*c+3*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*_
+     sqrt(c+d*x)))/(a^(7/2)*c^(5/2))-1/4*(c+d*x)^(3/2)*_
+     sqrt(a+b*x)/x^4-1/24*(b*c+3*a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^3)+_
+     1/96*(5*b^2*c/a-10*b*d-3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^2)-_
+     1/192*(15*b^3*c^3-31*a*b^2*c^2*d+9*a^2*b*c*d^2-9*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x)
+--R 
+--R
+--R   (2)
+--R              4 4      3     3      2 2 2 2        3 3       4 4  4
+--R         (- 9a d  + 12a b c d  + 18a b c d  - 36a b c d + 15b c )x
+--R      *
+--R                +-+ +-------+
+--R               \|c \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|a \|d x + c
+--R     + 
+--R              3 3     2     2        2 2       3 3  3
+--R           (9a d  - 9a b c d  + 31a b c d - 15b c )x
+--R         + 
+--R              3   2      2   2         2 3  2         3 2      2   3        3 3
+--R         (- 6a c d  - 20a b c d + 10a b c )x  + (- 72a c d - 8a b c )x - 48a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R         3 2 4 +-+ +-+
+--R     192a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1054
+
+--S  1055 of 1092
+--a0:=integrate(t0,x)
+--E  1055
+
+--S  1056 of 1092
+--m0:=a0-r0
+--E  1056
+
+--S  1057 of 1092
+--d0:=D(m0,x)
+--E  1057
+
+)clear all
+
+--S  1058 of 1092
+t0:=(c+d*x)^(3/2)*sqrt(a+b*x)/x^6
+--R 
+--R
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R   (1)  -----------------------------
+--R                       6
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E  1058
+
+--S  1059 of 1092
+r0:=-1/128*(b*c-a*d)^3*(7*b^2*c^2+6*a*b*c*d+3*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/(a^(9/2)*c^(7/2))-_
+     1/5*(c+d*x)^(3/2)*sqrt(a+b*x)/x^5-1/40*(b*c+3*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a*x^4)+1/240*(7*b^2*c/a-_
+     12*b*d-3*a*d^2/c)*sqrt(a+b*x)*sqrt(c+d*x)/(a*x^3)-_
+     1/960*(35*b^3*c^3-61*a*b^2*c^2*d+9*a^2*b*c*d^2-15*a^3*d^3)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^3*c^2*x^2)+1/1920*(105*b^4*c^4-_
+     190*a*b^3*c^3*d+36*a^2*b^2*c^2*d^2+30*a^3*b*c*d^3-45*a^4*d^4)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(a^4*c^3*x)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4      3 2 2 3      2 3 3 2         4 4        5 5
+--R         (45a d  - 45a b c d  - 30a b c d  - 90a b c d  + 225a b c d - 105b c )
+--R      *
+--R                  +-+ +-------+
+--R          5      \|c \|b x + a
+--R         x atanh(--------------)
+--R                  +-+ +-------+
+--R                 \|a \|d x + c
+--R     + 
+--R                 4 4      3     3      2 2 2 2         3 3        4 4  4
+--R           (- 45a d  + 30a b c d  + 36a b c d  - 190a b c d + 105b c )x
+--R         + 
+--R               4   3      3   2 2       2 2 3         3 4  3
+--R           (30a c d  - 18a b c d  + 122a b c d - 70a b c )x
+--R         + 
+--R                 4 2 2      3   3       2 2 4  2          4 3       3   4
+--R           (- 24a c d  - 96a b c d + 56a b c )x  + (- 528a c d - 48a b c )x
+--R         + 
+--R                 4 4
+--R           - 384a c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|a \|c \|b x + a \|d x + c
+--R  /
+--R          4 3 5 +-+ +-+
+--R     1920a c x \|a \|c
+--R                                                    Type: Expression(Integer)
+--E  1059
+
+--S  1060 of 1092
+--a0:=integrate(t0,x)
+--E  1060
+
+--S  1061 of 1092
+--m0:=a0-r0
+--E  1061
+
+--S  1062 of 1092
+--d0:=D(m0,x)
+--E  1062
+
+)clear all
+
+--S  1063 of 1092
+t0:=x^2*(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 4         3    2 2  +-------+ +-------+
+--R   (1)  (d x  + 2c d x  + c x )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1063
+
+--S  1064 of 1092
+r0:=1/192*(b*c-a*d)*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*(a+b*x)^(3/2)*_
+     (c+d*x)^(3/2)/(b^4*d^2)+1/160*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*_
+     (a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^3*d^2)-1/60*(5*b*c+9*a*d)*_
+     (a+b*x)^(3/2)*(c+d*x)^(7/2)/(b^2*d^2)+1/6*x*(a+b*x)^(3/2)*_
+     (c+d*x)^(7/2)/(b*d)-1/512*(b*c-a*d)^4*(5*b^2*c^2+14*a*b*c*d+_
+     21*a^2*d^2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(11/2)*d^(7/2))+1/256*(b*c-a*d)^2*(5*b^2*c^2+14*a*b*c*d+_
+     21*a^2*d^2)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^5*d^2)+_
+     1/512*(b*c-a*d)^3*(5*b^2*c^2+14*a*b*c*d+21*a^2*d^2)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^5*d^3)
+--R 
+--R
+--R   (2)
+--R                 6 6        5     5        4 2 2 4       3 3 3 3      2 4 4 2
+--R           - 315a d  + 1050a b c d  - 1125a b c d  + 300a b c d  + 75a b c d
+--R         + 
+--R                5 5       6 6
+--R           90a b c d - 75b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R                5 5 5          4 5        5   4  4
+--R           1280b d x  + (128a b d  + 3200b c d )x
+--R         + 
+--R                  2 3 5         4   4        5 2 3  3
+--R           (- 144a b d  + 416a b c d  + 2160b c d )x
+--R         + 
+--R                3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (168a b d  - 488a b c d  + 408a b c d  + 40b c d )x
+--R         + 
+--R                  4   5       3 2   4       2 3 2 3        4 3 2      5 4
+--R           (- 210a b d  + 616a b c d  - 524a b c d  + 40a b c d  - 50b c d)x
+--R         + 
+--R             5 5       4     4       3 2 2 3      2 3 3 2        4 4       5 5
+--R         315a d  - 945a b c d  + 838a b c d  - 90a b c d  - 65a b c d + 75b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          5 3 +-+ +-+
+--R     7680b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1064
+
+--S  1065 of 1092
+--a0:=integrate(t0,x)
+--E  1065
+
+--S  1066 of 1092
+--m0:=a0-r0
+--E  1066
+
+--S  1067 of 1092
+--d0:=D(m0,x)
+--E  1067
+
+)clear all
+
+--S  1068 of 1092
+t0:=x*(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 3         2    2   +-------+ +-------+
+--R   (1)  (d x  + 2c d x  + c x)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1068
+
+--S  1069 of 1092
+r0:=-1/48*(b*c-a*d)*(3*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/(b^3*d)-_
+     1/40*(3*b*c+7*a*d)*(a+b*x)^(3/2)*(c+d*x)^(5/2)/(b^2*d)+_
+     1/5*(a+b*x)^(3/2)*(c+d*x)^(7/2)/(b*d)+1/128*(b*c-a*d)^4*_
+     (3*b*c+7*a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(9/2)*d^(5/2))-1/64*(b*c-a*d)^2*(3*b*c+7*a*d)*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^4*d)-1/128*(b*c-a*d)^3*(3*b*c+7*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b^4*d^2)
+--R 
+--R
+--R   (2)
+--R                 5 5       4     4       3 2 2 3       2 3 3 2        4 4
+--R             105a d  - 375a b c d  + 450a b c d  - 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             45b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4         3 4        4   3  3
+--R           384b d x  + (48a b d  + 1008b c d )x
+--R         + 
+--R                 2 2 4         3   3       4 2 2  2
+--R           (- 56a b d  + 176a b c d  + 744b c d )x
+--R         + 
+--R               3   4       2 2   3         3 2 2      4 3          4 4
+--R           (70a b d  - 222a b c d  + 218a b c d  + 30b c d)x - 105a d
+--R         + 
+--R               3     3       2 2 2 2        3 3       4 4
+--R           340a b c d  - 346a b c d  + 60a b c d - 45b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          4 2 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1069
+
+--S  1070 of 1092
+--a0:=integrate(t0,x)
+--E  1070
+
+--S  1071 of 1092
+--m0:=a0-r0
+--E  1071
+
+--S  1072 of 1092
+--d0:=D(m0,x)
+--E  1072
+
+)clear all
+
+--S  1073 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E  1073
+
+--S  1074 of 1092
+r0:=5/24*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b^2+1/4*(a+b*x)^(3/2)*_
+     (c+d*x)^(5/2)/b-5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(7/2)*d^(3/2))+5/32*(b*c-a*d)^2*_
+     (a+b*x)^(3/2)*sqrt(c+d*x)/b^3+5/64*(b*c-a*d)^3*sqrt(a+b*x)*_
+     sqrt(c+d*x)/(b^3*d)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3       3   2  2
+--R           48b d x  + (8a b d  + 136b c d )x
+--R         + 
+--R                 2   3        2   2       3 2         3 3      2     2
+--R           (- 10a b d  + 36a b c d  + 118b c d)x + 15a d  - 55a b c d
+--R         + 
+--R                2 2       3 3
+--R           73a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1074
+
+--S  1075 of 1092
+--a0:=integrate(t0,x)
+--E  1075
+
+--S  1076 of 1092
+--m0:=a0-r0
+--E  1076
+
+--S  1077 of 1092
+--d0:=D(m0,x)
+--E  1077
+
+)clear all
+
+--S  1078 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            x
+--R                                                    Type: Expression(Integer)
+--E  1078
+
+--S  1079 of 1092
+r0:=-2*c^(5/2)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(a)+_
+     1/8*(5*b^3*c^3+15*a*b^2*c^2*d-5*a^2*b*c*d^2+a^3*d^3)*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*sqrt(d))+_
+     1/12*(5*b*c+a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b+1/3*(c+d*x)^(5/2)*_
+     sqrt(a+b*x)+1/8*(5*b*c-a*d)*(b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                                       +-+ +-------+
+--R          3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (3a d  - 15a b c d  + 45a b c d + 15b c )atanh(--------------)
+--R                                                       +-+ +-------+
+--R                                                      \|b \|d x + c
+--R     + 
+--R                                      +-+ +-------+
+--R            2 2 +-+ +-+ +-+ +-+      \|c \|b x + a
+--R       - 48b c \|a \|b \|c \|d atanh(--------------)
+--R                                      +-+ +-------+
+--R                                     \|a \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                  2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 26b c d)x - 3a d  + 14a b c d + 33b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2 +-+ +-+
+--R     24b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E  1079
+
+--S  1080 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1080
+
+--S  1081 of 1092
+--m0:=a0-r0
+--E  1081
+
+--S  1082 of 1092
+--d0:=D(m0,x)
+--E  1082
+
+)clear all
+
+--S  1083 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^2
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            2
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1083
+
+--S  1084 of 1092
+r0:=-c^(3/2)*(b*c+5*a*d)*atanh(sqrt(c)*sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))/_
+     sqrt(a)+1/4*(15*b^2*c^2+10*a*b*c*d-a^2*d^2)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/b^(3/2)+3/2*d*_
+     (c+d*x)^(3/2)*sqrt(a+b*x)-(c+d*x)^(5/2)*sqrt(a+b*x)/x+_
+     1/4*d*(11*b*c+a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R           2 2                  2 2   +-+ +-+      \|d \|b x + a
+--R       (- a d  + 10a b c d + 15b c )x\|a \|d atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R                                            +-+ +-------+
+--R                        2 2   +-+ +-+      \|c \|b x + a
+--R       (- 20a b c d - 4b c )x\|b \|c atanh(--------------)
+--R                                            +-+ +-------+
+--R                                           \|a \|d x + c
+--R     + 
+--R            2 2       2                  2  +-+ +-+ +-------+ +-------+
+--R       (2b d x  + (a d  + 9b c d)x - 4b c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4b x\|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1084
+
+--S  1085 of 1092 (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1085
+
+--S  1086 of 1092
+--m0:=a0-r0
+--E  1086
+
+--S  1087 of 1092
+--d0:=D(m0,x)
+--E  1087
+
+)clear all
+ 
+--S  1088 of 1092
+t0:=(c+d*x)^(5/2)*sqrt(a+b*x)/x^3
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R   (1)  ----------------------------------------
+--R                            3
+--R                           x
+--R                                                    Type: Expression(Integer)
+--E  1088
+
+--S  1089 of 1092
+r0:=d^(3/2)*(5*b*c+a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     sqrt(b)+1/4*(b^2*c^2-10*a*b*c*d-15*a^2*d^2)*atanh(sqrt(c)*_
+     sqrt(a+b*x)/(sqrt(a)*sqrt(c+d*x)))*sqrt(c)/a^(3/2)-_
+     1/4*(b*c+5*a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/(a*x)-_
+     1/2*(c+d*x)^(5/2)*sqrt(a+b*x)/x^2+1/4*d*(b*c+11*a*d)*_
+     sqrt(a+b*x)*sqrt(c+d*x)/a
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R          2 2              2 +-+ +-+      \|d \|b x + a
+--R       (4a d  + 20a b c d)x \|a \|d atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                                     +-+ +-------+
+--R             2 2                2 2  2 +-+ +-+      \|c \|b x + a
+--R       (- 15a d  - 10a b c d + b c )x \|b \|c atanh(--------------)
+--R                                                     +-+ +-------+
+--R                                                    \|a \|d x + c
+--R     + 
+--R            2 2                  2         2  +-+ +-+ +-------+ +-------+
+--R       (4a d x  + (- 9a c d - b c )x - 2a c )\|a \|b \|b x + a \|d x + c
+--R  /
+--R         2 +-+ +-+
+--R     4a x \|a \|b
+--R                                                    Type: Expression(Integer)
+--E  1089
+
+--S  1090 of 1092  (non-algebraic residues)
+--a0:=integrate(t0,x)
+--E  1090
+
+--S  1091 of 1092
+--m0:=a0-r0
+--E  1091
+
+--S  1092 of 1092
+--d0:=D(m0,x)
+--E 1092
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
